#
# spec file for package kernel-vanilla (Version 2.6.27.31)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if 0%{?opensuse_bs}
# Strip off the build number ("y") from the "x.y" release number
%define source_rel %(release=%release; echo ${release%.*})
%else
# We don't have build numbers internally
%define source_rel %release
%endif

# Don't use shell commands in build macros, this won't work outside of rpm
%define build_flavor "vanilla"
%define build_kdump 0
%define build_xen 0
%define build_vanilla 0
%define build_ps3 0

%if %{build_flavor} == "kdump"
%define build_kdump 1
%endif
%if %{build_flavor} == "xen" || %{build_flavor} == "ec2"
%define build_xen 1
%endif
%if %{build_flavor} == "vanilla"
%define build_vanilla 1
%endif
%if %{build_flavor} == "ps3"
%define build_ps3 1
%endif

%(chmod +x %_sourcedir/{arch-symbols,guards,config-subst,check-for-config-changes,check-supported-list,built-in-where,modversions,symsets.pl})

%define symbols %(set -- kernel-vanilla kernel-vanilla $(case vanilla in (rt|rt_*) echo RT ;; esac) $(%_sourcedir/arch-symbols %_target_cpu) $([ -e %_sourcedir/extra-symbols ] && cat %_sourcedir/extra-symbols) ; echo $*)
%define cpu_arch_flavor %(%_sourcedir/guards %symbols < %_sourcedir/config.conf | grep '/vanilla$')

# Define some CONFIG variables as rpm macros as well. (rpm cannot handle
# defining them all at once.)
%define config_vars CONFIG_MODULES CONFIG_KMSG_IDS
%{expand:%(eval "$(test -n "%cpu_arch_flavor" && tar xfj %_sourcedir/config.tar.bz2 --to-stdout config/%cpu_arch_flavor)"; for config in %config_vars; do echo "%%global $config ${!config:-n}"; done)}

%ifarch %ix86 x86_64
%define install_vdso 1
%else
%define install_vdso 0
%endif
%if %build_vanilla || %build_kdump || %CONFIG_MODULES != "y"
%define split_packages 0
%else
%define split_packages 1
%endif

Name:           kernel-vanilla
Summary:        Dummy summary
Version:        2.6.27.31
Release:        SLE11_BRANCH_20090819135643_4e0061bc
License:        GPL
Group:          System/Kernel
Url:            http://www.kernel.org/
AutoReqProv:    on
BuildRequires:  coreutils module-init-tools sparse
BuildRequires:  fdupes
Provides:       kernel-vanilla_%_target_cpu = %version-%release
%if %split_packages
Requires:       kernel-vanilla-base_%_target_cpu = %version-%release
%endif
Requires(pre):  coreutils awk
Requires(post): module-init-tools
# require a m-i-t package that fixes bnc#480524
Requires(post): module-init-tools_fix_bnc480524
# This Requires is wrong, because the post/postun scripts have a
# test -x update-bootloader, having perl-Bootloader is not a hard requirement.
# But, there is no way to tell rpm or yast to schedule the installation
# of perl-Bootloader before kernel-binary.rpm if both are in the list of
# packages to install/update. Likewise, this is true for mkinitrd.
# A specific version of perl-Bootloader is not required, because the post/postun
# scripts handle the two API versions of 10.1/SLES10 GA and 10.2/SLES10 SP1
Requires(post): perl-Bootloader >= 0.4.81.1
Requires(post): mkinitrd
#!BuildIgnore:  perl-Bootloader mkinitrd

%if ! 0%{?opensuse_bs}
BuildRequires:  kernel-dummy
%endif
%ifarch ia64
# arch/ia64/scripts/unwcheck.py
BuildRequires:  python
%endif
%if %build_xen && %build_flavor != "ec2"
%ifarch %ix86
Provides:       kernel-xenpae = 2.6.27.31
Obsoletes:      kernel-xenpae <= 2.6.27.31
%endif
#!BuildIgnore:  xen
%endif

Provides:     kernel-vanilla-nongpl
Obsoletes:    kernel-vanilla-nongpl
%if %build_vanilla
# force bzip2 instead of lzma compression to allow install on older dist versions
%define _binary_payload w9.bzdio
%endif
# dead network if installed on SLES10, otherwise it will work (mostly)
Conflicts:    sysfsutils < 2.0
%if ! %build_vanilla
Conflicts:    apparmor-profiles <= 2.1
Conflicts:    apparmor-parser < 2.3
# root-lvm only works with newer udevs
Conflicts:      udev < 118
Conflicts:      lvm2 < 2.02.33
%endif
%ifarch %ix86
Conflicts:      libc.so.6()(64bit)
%endif
Provides:     kernel = 2.6.27.31-%source_rel
%ifarch %ix86
%else
%ifarch ia64
%else
%ifarch ppc
%else
%ifarch ppc64
%else
%ifarch s390
Provides:     kernel-32bit k_deflt
Obsoletes:    kernel-32bit k_deflt
%else
%ifarch s390x
Provides:     kernel-64bit k_deflt
Obsoletes:    kernel-64bit k_deflt
%else
%ifarch x86_64
%endif
%endif
%endif
%endif
%endif
%endif
%endif

Source0:      http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.27.tar.bz2
Source10:     preun.sh
Source11:     postun.sh
Source12:     pre.sh
Source13:     post.sh
Source20:     series.conf
Source21:     config.conf
Source22:     supported.conf
Source30:     arch-symbols
Source31:     guards
Source32:     config-subst
Source33:     check-for-config-changes
Source34:     check-supported-list
Source40:     build-source-timestamp
Source41:     built-in-where
Source44:     find-provides
Source45:     module-renames
Source46:     modversions
Source47:     symsets.pl
Source100:    config.tar.bz2
Source101:    patches.arch.tar.bz2
Source102:    patches.drivers.tar.bz2
Source103:    patches.fixes.tar.bz2
Source104:    patches.rpmify.tar.bz2
Source105:    patches.suse.tar.bz2
Source107:    patches.xen.tar.bz2
Source108:    patches.addon.tar.bz2
Source109:    patches.kernel.org.tar.bz2
Source110:    patches.apparmor.tar.bz2
Source111:    patches.rt.tar.bz2
Source112:    patches.trace.tar.bz2
Source113:    patches.kabi.tar.bz2
Source120:    kabi.tar.bz2
%define my_builddir %_builddir/%{name}-%{version}
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 ia64 ppc ppc64 s390 s390x x86_64

# These files are found in the kernel-source package:
NoSource:     0
NoSource:     100
NoSource:     101
NoSource:     102
NoSource:     103
NoSource:     104
NoSource:     105
NoSource:     107
NoSource:     108
NoSource:     109
NoSource:     110
NoSource:     111
NoSource:     120

# The following KMPs have been integrated into the kernel package.
Obsoletes: iwlwifi-kmp
Obsoletes: ipw3945-kmp
Obsoletes: adm8211-kmp
Obsoletes: rt2x00-kmp
Obsoletes: rfswitch-kmp
Obsoletes: uvcvideo-kmp
Obsoletes: atl2-kmp
Obsoletes: wlan-ng-kmp
Obsoletes: et131x-kmp
Obsoletes: ivtv-kmp
Obsoletes: at76_usb-kmp
Obsoletes: pcc-acpi-kmp
Obsoletes: uvcvideo-kmp
Obsoletes: ralink-rt2860-kmp
Obsoletes: btusb-kmp

# Build with bash instead of sh as the shell: this turns on bash
# extensions like <(...).
%define _buildshell /bin/bash

# Provide the exported symbols as "ksym(symbol) = hash"
%define __find_provides %my_builddir/find-provides %name

# Will modules not listed in supported.conf abort the kernel build (0/1)?
%define supported_modules_check 0

%define tolerate_unknown_new_config_options 0

# kABI change tolerance (default in maintenance should be 4, 6, 8 or 15,
# 31 is the maximum; see scripts/kabi-checks)
%define tolerate_kabi_changes 6

%description
Dummy description.

%prep
if ! [ -e %_sourcedir/linux-2.6.27.tar.bz2 ]; then
    echo "The kernel-vanilla-2.6.27.31.nosrc.rpm package does not contain the" \
	 "complete sources. Please install kernel-source-2.6.27.31.src.rpm."
    exit 1
fi

echo "Architecture symbol(s):" %symbols

# Unpack all sources and patches
%setup -q -c -T -a 0 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 107 -a 108 -a 109 -a 110 -a 111 -a 112 -a 113 -a 120

supported_conf() {
	%_sourcedir/guards %symbols $* < %_sourcedir/supported.conf | sort -u
}

# Generate the list of modules to be marked as supported
{   supported_conf base
    for how in external; do
	comm -2 -3 <(supported_conf base $how) <(supported_conf base) \
	    | sed -e 's:$: '"$how"':'
    done
} | sed -e 's,.*/,,' -e 's,\.ko$,,' > linux-2.6.27/Module.supported

# Create grep pattern file for the modules to end up in the base package
comm -2 -3 <(supported_conf base) <(supported_conf) \
    | sed -e 's:.*/::' -e 's:^:\\/:' -e 's:$:\.ko$:' \
    > %my_builddir/grep-for-base-modules

cd linux-2.6.27

# Apply the patches needed for this architecture.
%if ! %build_vanilla
for patch in $(%_sourcedir/guards %symbols < %_sourcedir/series.conf); do
    if ! patch -s -F0 -E -p1 --no-backup-if-mismatch -i ../$patch; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
done
%else
for patch in $(%_sourcedir/guards %symbols < %_sourcedir/series.conf | egrep kernel.org\|rpmify); do
    if ! patch -s -F0 -E -p1 --no-backup-if-mismatch -i ../$patch; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
done
%endif

# Release number without the EXTRAVERSION
RELEASE=%source_rel
while [ "$RELEASE" != "${RELEASE#[^0-9]*.}" ]; do
    RELEASE=${RELEASE#[^0-9]*.}
done

if [ -f %_sourcedir/localversion ] ; then
    cat %_sourcedir/localversion > localversion
fi

cat ../config/%cpu_arch_flavor \
| %_sourcedir/config-subst CONFIG_LOCALVERSION '"'-$RELEASE-vanilla'"' \
| %_sourcedir/config-subst CONFIG_SUSE_KERNEL y \
%if 0%{?__debug_package:1}
    | %_sourcedir/config-subst CONFIG_DEBUG_INFO y \
%endif
    > .config

cpu_arch_flavor="%cpu_arch_flavor"
cat >> ../.rpm-defs <<EOF
cpu_arch=${cpu_arch_flavor%/*}
KERNELRELEASE=2.6.27.31-$RELEASE-vanilla
EOF

%if 0%{?__debug_package:1}
cat >> ../.rpm-defs <<EOF
MAKE_ARGS="\$MAKE_ARGS CONFIG_DEBUG_INFO=y"
EOF
%endif

echo CONFIG_MODULES=%CONFIG_MODULES >> ../.rpm-defs

sed 's|^sourcedir=.*|sourcedir="%_sourcedir"|;
     s|^builddir=.*|builddir="%my_builddir"|' \
     %_sourcedir/find-provides >%my_builddir/find-provides
chmod +x %my_builddir/find-provides

%build
source .rpm-defs

cd linux-2.6.27
cp .config .config.orig
%if %{tolerate_unknown_new_config_options}
MAKE_ARGS="$MAKE_ARGS -k"
yes '' | make oldconfig $MAKE_ARGS
%else
make silentoldconfig $MAKE_ARGS < /dev/null
%_sourcedir/check-for-config-changes .config.orig .config
rm .config.orig
%endif

# create *.symref files in the tree
if [ -e ../kabi/$cpu_arch/symtypes-vanilla ]; then
    %_sourcedir/modversions --unpack . <../kabi/$cpu_arch/symtypes-vanilla
fi

make prepare $MAKE_ARGS
krel=$(make -s kernelrelease $MAKE_ARGS)

if [ "$krel" != "$KERNELRELEASE" ]; then
    echo "Kernel release mismatch: $krel != $KERNELRELEASE" >&2
    exit 1
fi


cat > .kernel-binary.spec.buildenv <<EOF
# Override the timestamp 'uname -v' reports with the build
# timestamp.
export KBUILD_BUILD_VERSION="$(grep SHA1_ID %_sourcedir/build-source-timestamp | awk '{ print $2 }')"
export KBUILD_BUILD_TIMESTAMP="$(head -n 1 %_sourcedir/build-source-timestamp)"

# The following branch/timestamp will end up in Oopses.
export OOPS_TIMESTAMP="$(
    echo -n $(sed -ne 's/^GIT Branch: \(.*\)/\1-/p' \
		  %_sourcedir/build-source-timestamp)
    head -n 1 %_sourcedir/build-source-timestamp \
	| tr -dc 0-9)"

export KBUILD_VERBOSE=0
export KBUILD_SYMTYPES=1
export KBUILD_OVERRIDE=1
EOF
source .kernel-binary.spec.buildenv

# If the %jobs macro is defined to a number, make will spawn that many jobs.
# There are several ways how to define it:
# If you are using the build script:
#     build --jobs=N kernel-$flavor.spec
# With plain rpmbuild:
#     rpmbuild -ba --define 'jobs N' kernel-$flavor.spec
# To spawn as many jobs as there are cpu cores:
#     rpmbuild -ba --define "jobs 0$(grep -c ^processor /proc/cpuinfo)" \
#         kernel-$flavor.spec
# You can also set this permanently in ~/.rpmmacros:
#     %jobs 0%(grep -c ^processor /proc/cpuinfo)
%if %CONFIG_KMSG_IDS == "y"
    chmod +x scripts/kmsg-doc
    make %{?jobs:-j%jobs} all $MAKE_ARGS CONFIG_DEBUG_SECTION_MISMATCH=y D=2
%ifarch s390 s390x
%if ! %build_vanilla
    make arch/s390/boot/kerntypes.o
%endif
%endif
%else
    make %{?jobs:-j%jobs} all $MAKE_ARGS CONFIG_DEBUG_SECTION_MISMATCH=y
%endif


%install
source .rpm-defs

# get rid of /usr/lib/rpm/brp-strip-debug
# strip removes too much from the vmlinux ELF binary
export NO_BRP_STRIP_DEBUG=true

# /lib/modules/$KERNELRELEASE/build will be a stale symlink until the
# kernel-source package is installed. Don't check for stale symlinks
# in the brp-symlink check:
export NO_BRP_STALE_LINK_ERROR=yes

cd linux-2.6.27

mkdir %buildroot/boot
# (Could strip out non-public symbols.)
cp -p System.map %buildroot/boot/System.map-$KERNELRELEASE

add_vmlinux()
{
    local vmlinux=boot/vmlinux-$KERNELRELEASE
%if 0%{?__debug_package:1}
    local vmlinux_debug=usr/lib/debug/$vmlinux.debug
    mkdir -p $(dirname %buildroot/$vmlinux_debug)
    cp vmlinux %buildroot/$vmlinux
    /usr/lib/rpm/debugedit -b $RPM_BUILD_DIR -d /usr/src/debug \
			   -l vmlinux.sourcefiles %buildroot/$vmlinux
    objcopy --only-keep-debug \
	    %buildroot/$vmlinux \
	    %buildroot/$vmlinux_debug || :
    objcopy --add-gnu-debuglink=%buildroot/$vmlinux_debug \
	    --strip-debug \
	    %buildroot/$vmlinux || :
    mkdir -p %buildroot/usr/src/debug
    LANG=C sort -z -u vmlinux.sourcefiles | grep -z -v "<built-in>" \
	| ( cd %_builddir && cpio -pd0m %buildroot/usr/src/debug )
    find %buildroot/usr/src/debug -type d -print0 | xargs -0 -r chmod 0755
    find %buildroot/usr/src/debug -type f -print0 | xargs -0 -r chmod 0644
%else
    cp vmlinux %buildroot/$vmlinux
%endif
    if [ "$1" = --compressed ]; then
	gzip -9 %buildroot/$vmlinux
        chmod a-x %buildroot/$vmlinux.gz
    fi
}

%if %build_kdump
    add_vmlinux
    chmod 644 %buildroot/boot/vmlinux-$KERNELRELEASE
    image=vmlinux
%else

# architecture specifics
%ifarch %ix86 x86_64
    add_vmlinux --compressed
%if %build_xen
    image=vmlinuz
%else
    image=bzImage
%endif
    cp -p arch/x86/boot/$image %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%ifarch alpha
    add_vmlinux --compressed
    cp -p arch/alpha/boot/vmlinux.gz %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%ifarch ppc ppc64
    add_vmlinux
    chmod 644 %buildroot/boot/vmlinux-$KERNELRELEASE
    image=vmlinux
%endif
%ifarch ia64
    add_vmlinux --compressed
    mv %buildroot/boot/vmlinux-$KERNELRELEASE.gz \
       %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%ifarch s390 s390x
    add_vmlinux --compressed
    cp -p arch/s390/boot/image %buildroot/boot/image-$KERNELRELEASE
    image=image
%ifarch s390 s390x
%if ! %build_vanilla
    cp -p arch/s390/boot/kerntypes.o %buildroot/boot/Kerntypes-$KERNELRELEASE
%endif
%endif
%if %CONFIG_KMSG_IDS == "y"
    mkdir -p %buildroot/usr/share/man/man9
    find man -name '*.9' -exec install -m 644 -D '{}' %buildroot/usr/share/man/man9/ ';'
%endif
%endif
    if [ -e init/kerntypes.o ]; then
	cp init/kerntypes.o %buildroot/boot/Kerntypes-$KERNELRELEASE
    fi

# end of build_kdump
%endif

for sub in '-base' '' '-extra'; do
%if %split_packages
    if [ "x$sub" = "x-base" ]; then
        base_package=1
    else
        base_package=0
    fi
%else
    base_package=1
%endif
    for script in preun postun pre post; do
        sed -e "s:@KERNELRELEASE@:$KERNELRELEASE:g" \
            -e "s:@IMAGE@:$image:g" \
            -e "s:@FLAVOR""@:vanilla:g" \
            -e "s:@SUBPACKAGE@:kernel-vanilla$sub:g" \
            -e "s:@BASE_PACKAGE@:$base_package:g" \
            -e "s:@RPM_VERSION_RELEASE@:%version-%release:g" \
            -e "s:@RPM_TARGET_CPU@:%_target_cpu:g" \
            %_sourcedir/$script.sh > ../$script$sub.sh
    done
done


%if %build_kdump || %build_xen || %build_vanilla || %build_ps3
# keep this -suffix list in sync with post.sh and postun.sh
suffix=-vanilla
%endif
ln -s $image$suffix %buildroot/boot/$image$suffix
ln -s initrd$suffix %buildroot/boot/initrd$suffix

cp .config %buildroot/boot/config-$KERNELRELEASE

%if %install_vdso
# Install the unstripped vdso's that are linked in the kernel image
make vdso_install $MAKE_ARGS INSTALL_MOD_PATH=%buildroot
%endif

# Create a dummy initrd with roughly the size the real one will have.
# That way, YaST will know that this package requires some additional
# space in /boot.
dd if=/dev/zero of=%buildroot/boot/initrd-$KERNELRELEASE \
	bs=1024 seek=2047 count=1

if [ $CONFIG_MODULES = y ]; then
    # Figure out where the symbols that vmlinux exports are defined.
    # (We need this information below as well as in find-provides; we "annotate"
    #  the original Module.symvers here to make sure that we are consistent in
    #  both places.)
    %_sourcedir/built-in-where < Module.symvers > Module.symvers.split
    mv Module.symvers.split Module.symvers

    gzip -c9 < Module.symvers > %buildroot/boot/symvers-$KERNELRELEASE.gz

    make modules_install $MAKE_ARGS INSTALL_MOD_PATH=%buildroot

    if ! %_sourcedir/check-supported-list \
	    %_sourcedir %buildroot/lib/modules/$KERNELRELEASE; then
%if %supported_modules_check
	exit 1
%endif
	echo "Consistency check error: please update supported.conf."
    fi

    # Also put the resulting file in $obj_dir/$cpu_arch/vanilla
    # so that kernel-source + kernel-vanilla is sufficient for building
    # modules that have modversions as well.
    obj_dir=usr/src/linux-${KERNELRELEASE%%-vanilla}-obj
    mkdir -p %buildroot/$obj_dir/$cpu_arch/vanilla
    cp Module.symvers %buildroot/$obj_dir/$cpu_arch/vanilla

    # Table of types used in exported symbols (for modversion debugging).
    %_sourcedir/modversions --pack . > %buildroot/boot/symtypes-$KERNELRELEASE
    if [ -s %buildroot/boot/symtypes-$KERNELRELEASE ]; then
	gzip -9 %buildroot/boot/symtypes-$KERNELRELEASE
    else
	rm -f %buildroot/boot/symtypes-$KERNELRELEASE
    fi

    # Some architecture's $(uname -m) output is different from the ARCH
    # parameter that needs to be passed to kbuild. Create symlinks from
    # $(uname -m) to the ARCH directory.
    [ -e %buildroot/$obj_dir/%_target_cpu ] \
	|| ln -sf $cpu_arch %buildroot/$obj_dir/%_target_cpu

    # We were building in %my_builddir/linux-2.6.27, but the sources will
    # later be installed in /usr/src/linux-2.6.27-%source_rel. Fix up the
    # build symlink.
    rm -f %buildroot/lib/modules/$KERNELRELEASE/{source,build}
    ln -s /usr/src/linux-${KERNELRELEASE%%-vanilla} \
	%buildroot/lib/modules/$KERNELRELEASE/source
    ln -s /$obj_dir/$cpu_arch/vanilla \
	%buildroot/lib/modules/$KERNELRELEASE/build

    # Abort if there are any undefined symbols
    msg="$(/sbin/depmod -F %buildroot/boot/System.map-$KERNELRELEASE \
			-b %buildroot -ae $KERNELRELEASE 2>&1)"
    if [ $? -ne 0 ] || echo "$msg" | grep  'needs unknown symbol'; then
	exit 1
    fi

%if %split_packages
    # Generate the lists of supported and unsupported modules.
    (   cd %buildroot
	: > %my_builddir/supported-modules
	: > %my_builddir/unsupported-modules
	for module in $(find lib/modules/$KERNELRELEASE -type f -name '*.ko'); do
	    case "$(/sbin/modinfo -F supported $module)" in
	    (yes|external)
		modname=$(basename $module .ko)
		deps=$(/sbin/modinfo -F depends $module|tr ',' ' ')
		echo "$modname: $deps" >> %my_builddir/Makefile.supported
		echo "/$module" >> %my_builddir/supported-modules
		;;
	    (*)
		echo "/$module" >> %my_builddir/unsupported-modules
		;;
	    esac
	done
    )

    add_dependent_modules() {
	local modules_dep=$1

	xargs make -rRs -f <(echo -e '%:\n\t@echo $@' ; cat $modules_dep)
    }

    modules_dep=%buildroot/lib/modules/$KERNELRELEASE/modules.dep

    # Make sure that no supported modules depend on any unsupported modules.
    dependent_unsupported_modules=$(
	OUT=$(mktemp)
	sed -e 's/:.*//g' < %my_builddir/Makefile.supported | \
		    xargs make -rRsk -f %my_builddir/Makefile.supported > $OUT
	sed -ne '/No rule/s/^.*No rule to make target//p' < $OUT | tr -d "\`'"
    )
    if [ -n "$dependent_unsupported_modules" ]; then
	echo "The following unsupported modules are used by supported modules:"
	echo "$dependent_unsupported_modules"
	echo "Please fix supported.conf."
	if [ ! -e %_sourcedir/IGNORE-UNSUPPORTED-DEPS ]; then
		exit 1
	fi
    fi

    # Compute the list of base modules: modules that core modules depend on
    # implicitly are also core modules.
    grep -f %my_builddir/grep-for-base-modules %my_builddir/supported-modules \
    | add_dependent_modules $modules_dep > %my_builddir/base-modules

    # All supported modules which are not core modules belong in kernel-vanilla.
    comm -3 <(sort %my_builddir/supported-modules) \
	    <(sort %my_builddir/base-modules) \
	> %my_builddir/main-modules
%else
    (   cd %buildroot
	find lib/modules/$KERNELRELEASE -type f -name '*.ko' -printf '/%%p\n'
    ) > %my_builddir/base-modules
%endif

    # generate symsets
    mkdir -p %my_builddir/{base,main,extra}-symsets
    for f in %my_builddir/{base,main,unsupported}-modules; do
        if [ -f "$f" ]; then
            sed 's:^/:%buildroot/:' "$f"
        fi > "$f-br"
    done
    reference=
    if test -e %my_builddir/kabi/$cpu_arch/symsets-vanilla.tar.gz; then
        tar xzf %my_builddir/kabi/$cpu_arch/symsets-vanilla.tar.gz -C \
	    %my_builddir/kabi/$cpu_arch
        reference="--reference %my_builddir/kabi/$cpu_arch/symsets-*-vanilla/"
    fi
    %_sourcedir/symsets.pl --generate-symsets \
        $reference \
        --symvers=Module.symvers \
        --modules=%my_builddir/base-modules-br \
        --output-dir=%my_builddir/base-symsets
%if %split_packages
    %_sourcedir/symsets.pl --generate-symsets \
        $reference \
        --modules=%my_builddir/main-modules-br \
        --required-modules=%my_builddir/base-modules-br \
        --output-dir=%my_builddir/main-symsets
    %_sourcedir/symsets.pl --generate-symsets \
        $reference \
        --modules=%my_builddir/unsupported-modules-br \
        --required-modules=%my_builddir/base-modules-br \
        --required-modules=%my_builddir/main-modules-br \
        --output-dir=%my_builddir/extra-symsets
%endif
    # check for kabi changes
    KABI=0
    if [ -n "$reference" ]; then
        %_sourcedir/symsets.pl --check-kabi \
            $reference \
            --symvers=Module.symvers \
            --modules=%my_builddir/base-modules-br \
            --modules=%my_builddir/main-modules-br \
            --modules=%my_builddir/unsupported-modules-br \
            --commonsyms=%my_builddir/kabi/commonsyms \
            --usedsyms=%my_builddir/kabi/usedsyms \
            --severities=%my_builddir/kabi/severities \
            --max-badness=%tolerate_kabi_changes || KABI=$?
    fi
    if [ $KABI -ne 0 ]; then
	if [ ! -e %my_builddir/kabi/$cpu_arch/ignore-vanilla -a \
	     ! -e %_sourcedir/IGNORE-KABI-BADNESS ]; then
	    echo "Create a file IGNORE-KABI-BADNESS in the kernel-source" \
		 "directory to build this kernel even though its badness is" \
		 "higher than allowed for an official kernel."
	   exit 1
	fi

	# Indicate the ABI badness in build result emails.
	echo "KABI BADNESS $KABI" > %_rpmdir/%_arch/mbuild_subject.tag
    fi

    symsets=%my_builddir/symsets-$KERNELRELEASE
    mkdir -p $symsets
    find %my_builddir/{base,main,extra}-symsets -type f \
	| xargs --replace='{}' cp '{}' $symsets/
    tar c -C ${symsets%/*} ${symsets##*/} \
	| gzip -9 \
	> %buildroot/boot/symsets-$KERNELRELEASE.tar.gz

    # Set up some module aliases
    install -d -m 755 %buildroot/etc/modprobe.d/
    install -m 644 %_sourcedir/module-renames %buildroot/etc/modprobe.d/
fi

add_dirs_to_filelist() {
    local filelist

    filelist=$(cat "$@")
    echo "$filelist"

    # Below, we do this:
    # - remove filelist macros
    # - remove last pathname component
    # - generate all parents and make the list unique
    # - skip directories owned be other packages
    # - add the %dir prefix (double-escaped for find and rpm)

    echo "$filelist" \
    | sed -re 's:%%%%[a-z]+(\([^)]+\))? ?::g' \
    | sed -re 's:/[^/]+$::' \
    | sed -nre ':a; p; s:/[^/]+$::; ta' \
    | sort -u \
    | sed -r -e '\:^(|/boot|/etc|/lib(/modules|/firmware)?|/usr(/src)?)$:d' \
    | sed -e 's:^:%%%%dir :'
}

# Collect the file lists.
{   cd %buildroot
    find boot \
	\( -type l -o -name 'initrd-*' \) -printf '%%%%%%%%ghost /%%p\n' -o \
	-type f -printf '/%%p\n'

    # Add the auto-generated (by mkdumprd) kdump initrd to %ghost so that
    # the file gets removed when uninstalling the kernel.
    echo '%%%%ghost /boot/initrd-'${KERNELRELEASE}'-kdump'
    touch $RPM_BUILD_ROOT/boot/initrd-${KERNELRELEASE}-kdump

    if [ $CONFIG_MODULES = y ]; then
	find lib/modules/$KERNELRELEASE \
	    -type d -o \
	    \( -path '*/modules.*' ! -path '*/modules.order' \) \
		-printf '%%%%%%%%ghost /%%p\n' -o \
	    -name '*.ko' -prune -o \
	    -printf '/%%p\n'
	cat %my_builddir/base-modules
	echo '%%%%config /etc/modprobe.d/module-renames'
	find $obj_dir \
	    -type d -o \
	    -printf '/%%p\n'
    fi
    test -d lib/firmware/$KERNELRELEASE && \
    find lib/firmware/$KERNELRELEASE \
	-type d -o \
	-printf '/%%p\n'
    if [ -e .%_docdir/%name ]; then
	echo "%%%%doc %_docdir/%name"
    fi
} | add_dirs_to_filelist > %my_builddir/kernel-base.files

%if %split_packages
    add_dirs_to_filelist %my_builddir/main-modules > %my_builddir/kernel-main.files
    add_dirs_to_filelist %my_builddir/unsupported-modules > %my_builddir/kernel-extra.files
%endif

# Hardlink duplicate files automatically (from package fdupes): It doesn't save
# much, but it keeps rpmlint from breaking the package build.
%fdupes $RPM_BUILD_ROOT

%preun -f preun.sh
%postun -f postun.sh
%pre -f pre.sh
%post -f post.sh


%if %split_packages
%files -f kernel-main.files
%else
%files -f kernel-base.files
%endif
%defattr(-, root, root)

%package -n kernel-vanilla-base
Summary: Base kernel package
License:        GPL
Group:          System/Kernel
Url:            http://www.kernel.org/
AutoReqProv:    on
Provides:       kernel-vanilla-base_%_target_cpu = %version-%release
Provides:       kernel-base = %version-%source_rel
Requires(pre):  coreutils awk
Requires(post): module-init-tools >= 3.4-56.9
Requires(post): perl-Bootloader >= 0.4.81.1
Requires(post): mkinitrd
%ifarch %ix86
Conflicts:      libc.so.6()(64bit)
%endif

%description -n kernel-vanilla-base
Dummy description.

%preun base -f preun-base.sh
%postun base -f postun-base.sh
%pre base -f pre-base.sh
%post base -f post-base.sh

%if %split_packages
%files -n kernel-vanilla-base -f kernel-base.files
%defattr(-, root, root)
%endif

%package -n kernel-vanilla-extra
Summary: Unsupported kernel modules
License:        GPL
Group:          System/Kernel
Url:            http://www.kernel.org/
AutoReqProv:    on
Provides:       kernel-vanilla-extra_%_target_cpu = %version-%release
Requires:       kernel-vanilla_%_target_cpu = %version-%release
Provides:       kernel-extra = %version-%source_rel
Requires(pre):  coreutils awk
Requires(post): module-init-tools >= 3.4-56.9
Requires(post): perl-Bootloader >= 0.4.81.1
Requires(post): mkinitrd
Supplements:    packageand(product(SUSE_SLED):kernel-vanilla_%_target_cpu)
Supplements:    packageand(product(openSUSE):kernel-vanilla_%_target_cpu)
%ifarch %ix86
Conflicts:      libc.so.6()(64bit)
%endif

%description -n kernel-vanilla-extra
Dummy description.

%preun extra -f preun-extra.sh
%postun extra -f postun-extra.sh
%pre extra -f pre-extra.sh
%post extra -f post-extra.sh

%if %split_packages
%files -n kernel-vanilla-extra -f kernel-extra.files
%defattr(-, root, root)
%endif

%if %CONFIG_KMSG_IDS == "y"
%package -n kernel-vanilla-man
Summary: The collection of man pages generated by the kmsg script.
Group: System Environment/Kernel

%description -n kernel-vanilla-man
This package includes the man pages that have been generated from the
kmsg message documentation comments.

%files -n kernel-vanilla-man
%defattr(-,root,root)
/usr/share/man/man9/*
%endif
%changelog
* Wed Aug 19 2009 duwe@suse.de
- patches.fixes/xfs-more-sb-checks: add more checks to superblock
  validation (SGI:PV995062 bnc#471396).
* Tue Aug 18 2009 gregkh@suse.de
- patches.drivers/usb-storage-increase-the-bcd-range-in-sony-s-bad-device-table.patch:
  USB: storage: increase the bcd range in Sony's bad device
  table. (bnc#466554).
* Tue Aug 18 2009 nfbrown@suse.de
- patches.fixes/NFSv4-Fix-an-Oops-in-nfs4_free_lock_state.patch:
  NFSv4: Fix an Oops in nfs4_free_lock_state.
* Tue Aug 18 2009 nfbrown@suse.de
- patches.fixes/nfs-06-dont-bother-with-check_mnt-in-do_add_mount-on-shrinkable-ones:
  Fix regression caused by "Various NFS fixes" below (bnc#490030, bnc#531633).
* Mon Aug 17 2009 bphilips@suse.de
- patches.drivers/quickcam_messenger.c-add-support-for-all-quickcam.patch:
  quickcam_messenger.c: add support for all quickcam
  Messengers of the same family (bnc#441650).
* Mon Aug 17 2009 gregkh@suse.de
- refresh patches due to changes in .27-stable releases
* Mon Aug 17 2009 gregkh@suse.de
- Update to 2.6.27.30 and 2.6.27.31
  - security fixes
  - lots of bugfixes
  - obsoletes:
    - patches.fixes/net-make-sock_sendpage-use-kernel_sendpage
    - patches.fixes/page-allocator-preserve-pfn-ordering-when-__gfp_cold-is-set.patch
* Mon Aug 17 2009 nfbrown@suse.de
- patches.fixes/nfsd-09-fix-kabi: Fix kabi breakage in previous
  nfsd patch series (bnc#498708).
* Mon Aug 17 2009 nfbrown@suse.de
  Various NFS fixes - both client and server - to make failover work
  more promptly.  The client reconnects more predictably and the server
  tries harder not to drop requests that it cannot immediately service.
- patches.fixes/nfsd-01-sunrpc-cache-simplify-cache_fresh_locked-and-cache_f.patch:
  sunrpc/cache: simplify cache_fresh_locked and
  cache_fresh_unlocked. (bnc#498708).
- patches.fixes/nfsd-02-sunrpc-cache-recheck-cache-validity-after-cache_defe.patch:
  sunrpc/cache: recheck cache validity after cache_defer_req
  (bnc#498708).
- patches.fixes/nfsd-03-sunrpc-cache-use-list_del_init-for-the-list_head-ent.patch:
  sunrpc/cache: use list_del_init for the list_head entries in
  cache_deferred_req (bnc#498708).
- patches.fixes/nfsd-04-sunrpc-cache-avoid-variable-over-loading-in-cache_de.patch:
  sunrpc/cache: avoid variable over-loading in cache_defer_req
  (bnc#498708).
- patches.fixes/nfsd-05-sunrpc-cache-allow-thread-to-block-while-waiting-for.patch:
  sunrpc/cache: allow thread to block while waiting for cache
  update. (bnc#498708).
- patches.fixes/nfsd-06-sunrpc-cache-retry-cache-lookups-that-return-ETIMEDO.patch:
  sunrpc/cache: retry cache lookups that return -ETIMEDOUT
  (bnc#498708).
- patches.fixes/nfsd-07-nfsd-idmap-drop-special-request-deferal-in-favour-of.patch:
  nfsd/idmap: drop special request deferal in favour of improved
  default. (bnc#498708).
- patches.fixes/nfsd-08-sunrpc-fix-memory-leak-in-unix_gid-cache.patch:
  sunrpc: fix memory leak in unix_gid cache. (bnc#498708).
- patches.fixes/sunrpc-tcp-reconnect: reset TCP connect timeout
  on successful connection. (bnc#498708).
* Sun Aug 16 2009 coly.li@suse.de
- supported.conf:
  set kernel/fs/dlm/dlm as unsupported, since fs/dlm is provided in ocfs2-KMP
  saperately.
* Sat Aug 15 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-idt92hd8x-fix: ALSA: hda -
  Fix / clean up IDT92HD83xxx codec parser (bnc#531533).
* Sat Aug 15 2009 jjolly@suse.de
- patches.arch/s390-16-01-zfcp-link-test.patch: zfcp: Only issue
  one test link command per port (bnc#529188,LTC#55337).
* Sat Aug 15 2009 jeffm@suse.de
- patches.kabi/ia64-sn-specific-version-of-dma_get_required_mask-kabi-fix:
  Fixup MACHVEC_INIT.
* Fri Aug 14 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add some hints how to set the %%jobs
  macro (bnc#530535).
* Fri Aug 14 2009 jeffm@suse.com
- patches.kabi/ia64-sn-specific-version-of-dma_get_required_mask-kabi-fix:
  preserve the kabi checksum of dma_get_required_mask on ia64.
* Fri Aug 14 2009 mmarek@suse.cz
- rpm/modversions: for overriden functions, keep the keyword in
  --pack.
* Fri Aug 14 2009 hare@suse.de
- patches.fixes/dm-mpath-skip-inactive-paths-during-activation:
  dm-mpath: Skip inactive paths when activating pathgroup
  (bnc#524797).
* Fri Aug 14 2009 npiggin@suse.de
- patches.apparmor/security-xattr-file.diff: Refresh.
- patches.apparmor/vfs-removexattr.diff: Refresh.
- patches.apparmor/vfs-setxattr.diff: Refresh.
- patches.suse/mnt_clone_write.patch: Fix kABI
* Fri Aug 14 2009 teheo@suse.de
- patches.fixes/block-failfast-merge-fix: block: don't merge
  requests of different failfast settings (bnc#519111).
* Fri Aug 14 2009 jeffm@suse.com
- patches.fixes/net-make-sock_sendpage-use-kernel_sendpage:
  Make sock_sendpage() use kernel_sendpage() (bnc#530151
  CVE-2009-2692)).
* Thu Aug 13 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-stac-lo-detect-fix: ALSA:
  hda - Enable line-out detection only with speakers (bnc#520975).
* Wed Aug 12 2009 jeffm@suse.de
- patches.fixes/initialize-dev-power-entry: pm: initialize
  &dev->power.entry (bnc#514022).
* Wed Aug 12 2009 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-realtek-8192-pci-wireless-driver.patch:
  Staging: add Realtek 8192 PCI wireless driver (bnc#525903).
- patches.drivers/staging-rtl8192e-backport-net_device_ops-conversion.patch:
  Staging: rtl8192e: backport net_device_ops conversion.
* Wed Aug 12 2009 jeffm@suse.com
- patches.arch/ia64-sn-specific-version-of-dma_get_required_mask:
  SN specific version of dma_get_required_mask() (bnc#529369).
* Tue Aug 11 2009 jeffm@suse.com
- patches.fixes/ext4-avoid-corrupting-the-uninitialized-bit-in-the-extent-during-truncate:
  ext4: Avoid corrupting the uninitialized bit in the extent
  during truncate (bnc#514265).
* Tue Aug 11 2009 jeffm@suse.com
- patches.fixes/zfcp-make-queue_depth-adjustable: zfcp: Make
  queue_depth adjustable (bnc#513954).
* Tue Aug 11 2009 jeffm@suse.com
- patches.arch/ppc64-eeh-msix-irq: powerpc/eeh: Only
  disable/enable LSI interrupts in EEH (bnc#509497).
* Tue Aug 11 2009 jeffm@suse.com
- patches.fixes/fix-nr_uninterruptible-accounting-of-frozen-tasks:
  sched: fix nr_uninterruptible accounting of frozen tasks (bnc#529660).
* Mon Aug 10 2009 trenn@suse.de
- patches.fixes/acpi_assure_unique_processor_proc_creation.patch:
  ACPI: Rename ACPI processor device bus ID (bnc#528769).
* Mon Aug 10 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-alc269-fix-vmaster: ALSA: hda -
  Add missing vmaster initialization for ALC269 (bnc#527361).
* Mon Aug 10 2009 jbeulich@novell.com
- patches.drivers/staging-hv-add-the-hyper-v-virtual-bus-to-the-build.patch:
  HYPERV depends on !XEN.
- patches.drivers/staging-hv-add-the-hyper-v-virtual-block-driver-to-the-build.patch:
  HYPERV_BLOCK depends on HYPERV.
- patches.drivers/staging-hv-add-the-hyper-v-virtual-network-driver-to-the-build.patch:
  HYPERV_NET depends on HYPERV.
- patches.drivers/staging-hv-add-the-hyper-v-virtual-scsi-driver-to-the-build.patch:
  HYPERV_STORAGE depends on HYPERV.
- Update Xen config files.
* Mon Aug 10 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-stac-automic: Refresh.
* Fri Aug 07 2009 gregkh@suse.de
- disable Hyper-V drivers from EC2 build, they fail there and it
  really doesn't make any sense to have them there either, unless
  you find it fun to watch dueling hypervisors slug it out...
* Fri Aug 07 2009 gregkh@suse.de
- add Microsoft Hyper-V drivers from upstream.
* Fri Aug 07 2009 gregkh@suse.de
- patches.arch/x86-enable-gart-iommu-only-after-setting-up-protection-methods.patch:
  x86: enable GART-IOMMU only after setting up protection methods
  (bnc#526514).
* Thu Aug 06 2009 teheo@suse.de
- patches.drivers/libata-ocz-vertex-no-hpa: libata: OCZ Vertex
  can't do HPA (bnc#522414).
* Thu Aug 06 2009 npiggin@suse.de
- patches.apparmor/security-xattr-file.diff: Refresh.
- patches.apparmor/vfs-removexattr.diff: Refresh.
- patches.apparmor/vfs-setxattr.diff: Refresh.
* Thu Aug 06 2009 npiggin@suse.de
- patches.suse/mnt_clone_write.patch: bug fixes (bnc#528853)
* Thu Aug 06 2009 hare@suse.de
- patches.suse/dm-mpath-no-partitions-feature: Disable partitions
  scan for multipathed devices (bnc#402922,bnc#514767).
* Thu Aug 06 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-reduce-click-noise: ALSA:
  hda - Reduce click noise at power-saving (bnc#521190).
- patches.drivers/alsa-post-ga-hda-snd-array: ALSA: Backport
  snd_array_*() for HD-audio driver (bnc#511306).
- patches.drivers/alsa-post-ga-hda-quirk-ext: ALSA: Backport
  snd_pci_quirk*() extension (bnc#511306).
- patches.drivers/alsa-post-ga-hda-stac-automic: ALSA: Update
  STAC/IDT codec support (auto-mic, etc) (bnc#511306, bnc#520975).
- patches.drivers/alsa-post-ga-hp-piaget-quirk: ALSA: Add quirk
  for new HP laptops (bnc#527284).
* Thu Aug 06 2009 jbeulich@novell.com
- Update Xen patches to 2.6.27.29.
- patches.xen/897-balloon-keep-trying.patch: balloon: try harder to
  balloon up under memory pressure.
- patches.xen/899-kbuild-extmod.patch: Fix Makefile.xen generation when
  building external modules.
- patches.xen/914-dynamic-Cx-change.patch: x86: Handle dynamic Cx state
  changes correctly.
- patches.xen/xen-x86-dcr-fallback: Fix updating a global variable
  outside of a locked region.
- Refresh other Xen patches.
* Wed Aug 05 2009 jeffm@suse.de
- patches.arch/pseries-set-error_state-correctly-in-eeh_report_reset:
  powerpc/pseries: Set error_state to pci_channel_io_normal in
  eeh_report_reset() (bnc#509407).
* Wed Aug 05 2009 teheo@suse.de
- patches.drivers/libata-ahci-sb600-srst-workaround-soften-msg:
  ahci: soften up the dmesg on SB600 PMP softreset failure
  recovery (bnc#527748).
* Tue Aug 04 2009 jeffm@suse.de
- patches.fixes/altstack-avoid-copying-stack_t-as-a-structure-to-userspace:
  do_sigaltstack: avoid copying 'stack_t' as a structure to user
  space (bnc#527848).
* Mon Aug 03 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage: add Enhances: kernel-$flavor to
  kmps (bnc#502092).
* Mon Aug 03 2009 coly.li@suse.de
- Update config files.to enable CONFIG_DLM_DEBUG
* Fri Jul 31 2009 hare@suse.de
- patches.fixes/scsi-initialize-max_targets_blocked: initialize
  max_target_blocked in scsi_alloc_target (bnc#524347).
* Fri Jul 31 2009 gregkh@suse.de
- Update to 2.6.27.29
  - lots of bugfixes
  - security fixes
  - obsoletes:
    - patches.arch/acpi_ec_limit_asus_workaround.patch
    - patches.fixes/ecryptfs-check-tag-11-literal-data-buffer-size
    - patches.fixes/ecryptfs-parse_tag_3_packet-check-tag-3-packet-encrypted-key-size
    - patches.fixes/usb-ti_usb_3410_5052-fix-duplicate-device-ids.patch
* Thu Jul 30 2009 jeffm@suse.com
- patches.fixes/ecryptfs-check-tag-11-literal-data-buffer-size:
  eCryptfs: Check Tag 11 literal data buffer size (bnc#523719).
- patches.fixes/ecryptfs-parse_tag_3_packet-check-tag-3-packet-encrypted-key-size:
  eCryptfs: parse_tag_3_packet check tag 3 packet encrypted key
  size (bnc#523719).
* Thu Jul 30 2009 mmarek@suse.cz
- Update kabi files, add ec2 flavor.
* Wed Jul 29 2009 npiggin@suse.de
- patches.suse/smtnice-disable: Delete. This was leftover from SLES10,
  and should not apply to SLES11 now. Actually the flag is used for more
  than just smtnice, so it could be harming scheduler behaviour on SMT
  CPUs.
* Wed Jul 29 2009 npiggin@suse.de
- patches.fixes/page-allocator-preserve-pfn-ordering-when-__gfp_cold-is-set.patch:
  mm: page_alloc preserve pfn ordering with __GFP_COLD
  (bnc#521578).
* Wed Jul 29 2009 nfbrown@suse.de
  Backport NFS4 follow-symlink-during-mount code
  requested in bnc#490030
- patches.fixes/nfs-01-Uninline-the-function-put_mnt_ns: VFS:
  Uninline the function put_mnt_ns().
- patches.fixes/nfs-02-Add-VFS-helper-functions-for-setting-up-private-namespaces:
  VFS: Add VFS helper functions for setting up private namespaces.
- patches.fixes/nfs-03-NFSv4-Replace-nfs4_path_walk-with-VFS-path-lookup-in-private-namespace:
  NFSv4: Replace nfs4_path_walk() with VFS path lookup in a
  private namespace.
- patches.fixes/nfs-04-Fix-nfs_path-to-always-return-a-slash-at-the-beginning-of-the-path:
  NFS: Fix nfs_path() to always return a '/' at the beginning
  of the path.
- patches.fixes/nfs-05-Correct-the-NFS-mount-path-when-following-a-referral:
  NFS: Correct the NFS mount path when following a referral.
* Wed Jul 29 2009 nfbrown@suse.de
- patches.fixes/0017A-md-array_size-sysfs-arrtibute.patch: md:
  'array_size' sysfs attribute (bnc#498358).
* Wed Jul 29 2009 jjolly@suse.de
- patches.arch/s390-15-01-zfcp-erp-escalation.patch: zfcp:
  Fix erp escalation procedure (bnc#518291,LTC#54456).
- patches.arch/s390-15-02-phys-port-close.patch: zfcp: Handle
  "forced close" correctly in the erp (bnc#518291,LTC#54458).
- patches.arch/s390-15-03-zfcp-recover-stall.patch: zfcp:
  Recover from stalled outbound queue (bnc#518291,LTC#54460).
- patches.arch/s390-15-04-zfcp-unchained-sbals.patch: zfcp: Use
  only single SBAL commands from recovery (bnc#518291,LTC#54462).
- patches.arch/s390-15-05-zfcp-erp-notify.patch: zfcp: Use correct
  flags when reporting status to erp (bnc#518291,LTC#54463).
- patches.arch/s390-15-06-zfcp-recovery-wait.patch: zfcp: Improve
  reliability of SCSI eh handlers in zfcp (bnc#518291,LTC#54465).
- patches.arch/s390-15-07-zfcp-fc-rport.patch: zfcp: Don't create
  multiple sysfs entries for same WWPN (bnc#518291,LTC#54468).
- patches.arch/s390-15-08-zfcp-fc-wka-opening.patch: zfcp:
  fix wka port processing (bnc#518291,LTC#54673).
- patches.arch/s390-15-09-idle-accounting.diff: kernel: fix idle
  time accounting (bnc#518291,LTC#54879).
- patches.arch/s390-15-10-zcrypt-hrtimer-scheduling.patch:
  zcrypt: fix z90crypt kernel modules causes 100%% cpu usage
  (bnc#518291,LTC#54925).
- patches.arch/s390-15-11-cio-vary-unregister.patch: cio:
  ccw devices are not removed when last path is varied offline
  (bnc#518291,LTC#54951).
- patches.arch/s390-15-12-zfcp-wka-work.patch: zfcp: Cancel WKA
  port work on adapter dequeue (bnc#518291,LTC#54988).
* Tue Jul 28 2009 coly.li@suse.de
  Drop patch due to broken KBI.
- patches.fixes/dlm-Make-name-input-parameter-of-dlm_-new_lockspa.patch:
  Delete.
* Tue Jul 28 2009 coly.li@suse.de
  sync fs/dlm code from upstream 2.6.31
- patches.fixes/dlm-Fix-uninitialised-variable-warning-in-lock.c.patch:
  dlm: Fix uninitialised variable warning in lock.c.
- patches.fixes/dlm-Make-name-input-parameter-of-dlm_-new_lockspa.patch:
  dlm: Make name input parameter of {,dlm_}new_lockspace() const.
- patches.fixes/dlm-connect-to-nodes-earlier.patch: dlm: connect
  to nodes earlier.
- patches.fixes/dlm-fix-plock-use-after-free.patch: dlm: fix
  plock use-after-free.
- patches.fixes/dlm-fix-use-count-with-multiple-joins.patch:
  dlm: fix use count with multiple joins.
- patches.fixes/dlm-free-socket-in-error-exit-path.patch: dlm:
  free socket in error exit path.
- patches.fixes/dlm-use-more-NOFS-allocation.patch: dlm: use
  more NOFS allocation.
* Tue Jul 28 2009 gregkh@suse.de
- patches.drivers/staging-rt2860-sync-driver-up-with-2.6.30-version.patch:
  Staging: rt2860: sync driver up with 2.6.30 version
  (bnc#512070).
* Mon Jul 27 2009 jbeulich@novell.com
- patches.xen/sfc-external-sram: enable access to Falcon's
  external SRAM (bnc#489105).
* Sat Jul 25 2009 gregkh@suse.de
- Update to 2.6.27.27 and 2.6.27.28:
  - bugfixes
  - security fixes
  - Update config files.
  - obsoleted:
  patches.fixes/add-fno-delete-null-pointer-checks.patch
  patches.fixes/add-fwrapv-to-gcc-CFLAGS
* Wed Jul 22 2009 tiwai@suse.de
- Fix regression in patches.drivers/alsa-post-ga-hp-ad1984a-mobile-mute-fix
  (bnc#522764).
* Wed Jul 22 2009 mmarek@suse.cz
- patches.fixes/udf-last_block_fix.patch: remove double-slash to
  make git apply happy.
* Tue Jul 21 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-alc268-mono-output-fix: ALSA:
  hda - Fix ALC268 parser for mono speaker (bnc#467846).
* Tue Jul 21 2009 jslaby@suse.cz
- patches.fixes/add-fno-delete-null-pointer-checks.patch: Add
  '-fno-delete-null-pointer-checks' to gcc CFLAGS (bnc#522914).
* Tue Jul 21 2009 npiggin@suse.de
- Update config files for bnc#522686 -- set
  CONFIG_SECURITY_DEFAULT_MMAP_MIN_ADDR=65536.
* Mon Jul 20 2009 rgoldwyn@suse.de
- patches.fixes/ocfs2-initialize-count-before-generic_write_checks:
  Initialize count in aio_write before generic_write_checks
  (bnc#517098).
* Fri Jul 17 2009 mhocko@suse.de
- rpm/kernel-binary.spec.in: fix sed command if sourcedir contains
  colons (such as in osc checkouts).
* Fri Jul 17 2009 teheo@suse.de
- patches.drivers/libata-6gbps-message: Add SATA GEN3 related
  messages (bnc#522911).
* Thu Jul 16 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: add workaround for bnc#519188.
* Thu Jul 16 2009 jack@suse.cz
  Pull important ocfs2 fixes from upstream:
- patches.fixes/ocfs2-1.4-git-4e8a301929bfa017e6ffe11e3cf78ccaf8492801:
  ocfs2: Fix possible deadlock in ocfs2_global_read_dquot().
- patches.fixes/ocfs2-1.4-git-65bac575e35915801ea518b9d8d8824367d125c8:
  ocfs2: Fix possible deadlock with quotas in ocfs2_setattr().
- patches.fixes/ocfs2-1.4-git-80d73f15d12f087f3fe074f8a4d6e5c5624f2b47:
  ocfs2: Fix possible deadlock in quota recovery.
- patches.fixes/ocfs2-1.4-git-b4c30de39a2596503e888a7b47d19792f25913d6:
  ocfs2: Fix lock inversion in ocfs2_local_read_info().
- patches.fixes/ocfs2-quota-Initialize-blocks-allocated-to-local-quota-fi.patch:
  ocfs2: Initialize blocks allocated to local quota file.
- patches.fixes/ocfs2-quota-Make-global-quota-files-blocksize-aligned.patch:
  ocfs2: Make global quota files blocksize aligned.
- patches.fixes/ocfs2-quota-Mark-buffer-uptodate-before-calling-ocfs2_jou.patch:
  ocfs2: Mark buffer uptodate before calling
  ocfs2_journal_access().
- patches.fixes/ocfs2-quota-Remove-syncjiff-field-from-quota-info.patch:
  ocfs2: Remove syncjiff field from quota info.
* Thu Jul 16 2009 duwe@suse.de
- patches.arch/ppc-altivec-VSX-ctxswitch: change
  giveup_fpu/altivec to disable VSX for current (bnc#492324).
* Wed Jul 15 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete btusb-kmp (bnc#514375).
* Tue Jul 14 2009 mmarek@suse.cz
- patches.kabi/ftrace-dummy-export: Add mcount() dummy export.
* Tue Jul 14 2009 bphilips@suse.de
- patches.drivers/e100-adapt-to-the-reworked-PCI-PM.patch: e100:
  adapt to the reworked PCI PM (bnc#504646).
* Mon Jul 13 2009 mmarek@suse.cz
- rpm/modversions: fix overriding of function symbols.
* Mon Jul 13 2009 mmarek@suse.cz
- rpm/modversions: fix overriding of unknown symbols.
* Mon Jul 13 2009 npiggin@suse.de
- patches.suse/mm-vmalloc-fail-dump-stack.patch: mm: improve
  vmalloc reporting (bnc#511079).
* Mon Jul 13 2009 npiggin@suse.de
- patches.arch/ppc64-reduce-hashtable-size-for-64k-pages.patch:
  powerpc/mm: Reduce hashtable size when using 64kB pages
  (bnc#501160).
* Fri Jul 10 2009 nfbrown@suse.de
- patches.fixes/md-utime-fix: md: move assignment of ->utime so
  that it never gets skipped. (498402).
* Thu Jul 09 2009 trenn@suse.de
- patches.arch/acpi_ec_limit_asus_workaround.patch: ACPI: EC:
  Limit workaround for ASUS notebooks even more (bnc#492658
  bnc#496871 and others).
* Thu Jul 09 2009 nfbrown@suse.de
- patches.fixes/md-update-size: Update size of md device as soon
  as it is successfully assemble. (bnc#509495).
* Wed Jul 08 2009 hare@suse.de
- patches.drivers/cciss-ignore-stale-commands: Remove hunk
  to disable sendcmd_reject() failures.
* Tue Jul 07 2009 mmarek@suse.cz
- kabi/severities: really whitelist drivers/isdn/hisax.
* Tue Jul 07 2009 jblunck@suse.de
- Update config files (disable CONFIG_FTRACE).
* Tue Jul 07 2009 jack@suse.cz
- patches.fixes/udf-last_block_fix.patch: udf: Use device size
  when drive reported bogus number of written blocks (bnc#501663).
* Fri Jul 03 2009 mmarek@suse.cz
- kabi/severities: whitelist drivers/isdn/hisax
* Fri Jul 03 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hp-ad1984a-mobile-mute-fix: ALSA:
  hda - Add GPIO1 control at muting with HP laptops (bnc#515266).
* Fri Jul 03 2009 mmarek@suse.cz
- patches.suse/SoN-17-net-ps_rx.patch: fix patch formatting to make
  series2git happy.
* Fri Jul 03 2009 bphilips@suse.de
- patches.drivers/e1000e-Fixes-possible-phy-corrupton-on-82571-design.patch:
  e1000e: Fixes possible phy corrupton on 82571
  designs. (bnc#495259).
* Fri Jul 03 2009 hare@suse.de
- patches.drivers/cciss-ignore-stale-commands: cciss: Ignore
  stale commands after reboot (bnc#513437).
* Fri Jul 03 2009 gregkh@suse.de
- Update to 2.6.27.26:
  - security fixes
  - bugfixes
  - obsoletes:
    - patches.arch/x86-quirk-for-reboot-stalls-on-dell-optiplex-330-and-360.patch
    - patches.fixes/firmware-memmap-64bit.diff
    - patches.fixes/jbd-commit-refile-race.patch
    - patches.fixes/r8169-fix-crash-when-large-packets-are-received.patch
* Thu Jul 02 2009 jbohac@suse.cz
- fixed patches.suse/SoN-17-net-ps_rx.patch:
  fixed a bug in the bnx2 driver (bnc#484306)
* Wed Jul 01 2009 gregkh@suse.de
- patches.drivers/uvcvideo-ignore-hue-control-for-5986-0241.patch:
  uvcvideo: ignore hue control for 5986:0241 (bnc#499152).
* Tue Jun 30 2009 gregkh@suse.de
- patches.arch/powerpc-pseries-cmo-unused-page-hinting.patch:
  powerpc/pseries: CMO unused page hinting (bnc#495091).
- patches.suse/led_classdev.sysfs-name.patch: Refresh.
* Tue Jun 30 2009 gregkh@suse.de
- patches.fixes/usb-ti_usb_3410_5052-fix-duplicate-device-ids.patch:
  USB: ti_usb_3410_5052: fix duplicate device ids. (bnc#395775).
* Tue Jun 30 2009 mmarek@suse.cz
- patches.fixes/jbd-commit-refile-race.patch: Fix patch to apply
  with git apply.
* Tue Jun 30 2009 bphilips@suse.de
- patches.drivers/atl1-add-device_set_wakeup_enable-to-atl1-_set_wol.patch:
  atl1e: add device_set_wakeup_enable to atl1e_set_wol
  (bnc#493214).
* Mon Jun 29 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-alc269-lenovo-capture-fix:
  ALSA: Fix capture volume for Lenovo S10E (bnc#516213).
* Mon Jun 29 2009 ptesarik@suse.cz
- patches.fixes/aggressive-zone-reclaim.patch: be more aggressive
  with zone reclaims (bnc#476525).
* Fri Jun 26 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add Provides: kernel-{base,extra} to
  the subpackages (bnc#516827).
* Fri Jun 26 2009 mmarek@suse.de
- Add kabi files for 11.1 ppc kernels.
* Fri Jun 26 2009 jack@suse.cz
- patches.fixes/jbd-commit-refile-race.patch: Fix race in buffer
  processing in commit code (bnc#509544).
* Thu Jun 25 2009 jjolly@suse.de
- patches.arch/s390-14-01-af_iucv-connect-free-path.patch:
  af_iucv: avoid left over IUCV connections from failing connects
  (bnc#514644,LTC#52270).
* Wed Jun 24 2009 hare@suse.de
- patches.fixes/scsi-dh-rdac-add-stk: STK arrays missing from
  rdac devicehandler (bnc#503855).
* Thu Jun 18 2009 jslaby@suse.cz
- patches.drivers/ide-tape-flags-fix.patch: ide-tape: fix
  IDE_AFLAG_* atomic accesses (bnc#509071).
- patches.drivers/ide-tape-ignore_dsc-flags-fix.patch: ide-tape:
  change IDE_AFLAG_IGNORE_DSC non-atomically (bnc#509071).
* Thu Jun 18 2009 jblunck@suse.de
- patches.fixes/block-get-rid-of-the-manual-directory-counting-in-blktrace.patch:
  block: get rid of the manual directory counting in blktrace
  (bnc#475149).
* Wed Jun 17 2009 jbeulich@novell.com
- patches.kernel.org/arch-include-asm-fixes: Also address those arch-s
  that don't create arch/*/include/asm in archprepare.
* Wed Jun 17 2009 jbeulich@novell.com
- patches.kernel.org/arch-include-asm-fixes: Adjust to properly
  function when building outside of the source tree.
* Wed Jun 17 2009 mmarek@suse.cz
- move patches.fixes/splice-kabi-fix.patch to
  patches.kabi/splice-kabi-fix.patch.
* Wed Jun 17 2009 mszeredi@suse.cz
- patches.fixes/splice-fix-locking.patch: Delete.
* Wed Jun 17 2009 mszeredi@suse.cz
- patches.fixes/splice-fix-locking.patch: splice: fix i_mutex
  locking in splice write (bnc#495065).
- patches.fixes/splice-kabi-fix.patch: fix kabi breakage from
  i_mutex locking fix (bnc#495065).
* Wed Jun 17 2009 hare@suse.de
- patches.fixes/libiscsi-don-t-let-io-sit-in-queue-when-session-has-failed:
  libiscsi: don't let io sit in queue when session has failed.
- patches.fixes/libiscsi-fix-locking-in-eh_device_reset: fix
  locking in iscsi_eh_device_reset (bnc#498369).
- patches.fixes/libiscsi-fix-null-pointer-in-fail-all-commands:
  libiscsi: fix possbile null ptr session command cleanup
  (bnc#498369).
* Tue Jun 16 2009 mmarek@suse.cz
- patches.kabi/mm-page_mkwrite-rename.patch: added __GENKSYMS__
  ifdef: ->_pmkw.page_mkwrite() will be the same as
  ->page_mkwrite() in assembly, but for genksyms it's two different
  things.
- patches.suse/xfs-dmapi-enable: refresh.
* Tue Jun 16 2009 npiggin@suse.de
- patches.kabi/mm-page_mkwrite-compat.patch: mm: page_mkwrite
  kABI compat 2.
- patches.kabi/mm-page_mkwrite-rename.patch: mm: page_mkwrite
  kABI compat 1.
- patches.suse/xfs-dmapi-enable: VFS changes to support DMAPI
  (bnc#450658).
- patches.suse/xfs-dmapi-xfs-enable: DMAPI support for xfs
  (bnc#450658).
- patches.xen/xen3-auto-common.diff: xen3 common.
  page_mkwrite kABI compat
* Tue Jun 16 2009 jjolly@suse.de
- patches.drivers/ipoib_null_skb_on_free.patch: ipoib NULL skb
  pointers on free (bnc#503635).
* Tue Jun 16 2009 jjolly@suse.de
- patches.drivers/cxgb3-handle-err-inject.patch:    network
  command hung the system after manully errinjct 6 times EEH
  errors. (bnc#497648).
* Mon Jun 15 2009 gregkh@suse.de
- remove HP accelerometer driver.  It was accidentally pushed.
* Mon Jun 15 2009 gregkh@suse.de
- clean up fuzz due to 2.6.27.25 import.
* Mon Jun 15 2009 gregkh@suse.de
- update to 2.6.27.25:
  - lots of bugfixes
  - some security fixes
  - obsoletes:
    - patches.fixes/e1000-add-missing-length-check-to-e1000-receive-routine
    - patches.fixes/igb_ethtool.patch
    - patches.fixes/mac80211-pid-fix-memory-corruption.patch
    - patches.fixes/net-fix-skb-seq-read
    - patches.fixes/nfs4-check-exec-permission
    - patches.fixes/x86-fix-dmi-on-efi.patch
    - patches.kernel.org/revert-ext4-changes-in-2.6.27.19-and-2.6.27.20.patch
* Fri Jun 12 2009 greg@suse.de
- patches.fixes/r8169-fix-crash-when-large-packets-are-received.patch:
  r8169: fix crash when large packets are received (CVE-2009-1389)
  (bnc#511243).
* Fri Jun 12 2009 greg@suse.de
- Update to 2.6.27.24:
  - lots of bugfixes
  - some security updates
  - obsoletes:
    - patches.drivers/ehea-fix-invalid-pointer-access.patch
    - patches.fixes/0021-md-fix-loading-of-out-of-date-bitmap.patch
    - patches.fixes/0022-md-raid10-don-t-clear-bitmap-during-recovery-if-arra.patch
    - patches.fixes/0023-md-fix-some-more-errors-with-bitmaps-on-devices-larg.patch
    - patches.fixes/0025-md-remove-ability-to-explicit-set-an-inactive-array-.patch
    - patches.fixes/dup2-retval-fix
* Fri Jun 12 2009 greg@suse.de
- patches.kernel.org/patch-2.6.27.22-23: correct subject info.
* Thu Jun 11 2009 jeffm@suse.com
- patches.fixes/e1000-add-missing-length-check-to-e1000-receive-routine:
  e1000: add missing length check to e1000 receive routine
  (bnc#509822).
* Thu Jun 11 2009 jeffm@suse.com
- patches.arch/x86-mce-make-polling-timer-interval-per-cpu: x86,
  mce: make polling timer interval per CPU (bnc#507557).
- patches.arch/x86-mce-switch-machine-check-polling-to-per-cpu-timer:
  x86, mce: switch machine check polling to per CPU timer
  (bnc#507557).
- patches.arch/x86-mce-use-round_jiffies-instead-round_jiffies_relative:
  x86, mce: use round_jiffies() instead round_jiffies_relative()
  (bnc#507557).
* Thu Jun 11 2009 jeffm@suse.com
- patches.fixes/xfs-fix-overflow-in-xfs_growfs_data_private:
  xfs: fix overflow in xfs_growfs_data_private (bnc#506361).
* Wed Jun 10 2009 bphilips@suse.de
- patches.drivers/bnx2x-Adding-restriction-on-sge_buf_size.patch:
  bnx2x: Adding restriction on sge_buf_size (bnc#481074).
- patches.drivers/bnx2x-Casting-page-alignment.patch: bnx2x:
  Casting page alignment (bnc#481074).
- patches.drivers/bnx2x-Using-DMAE-to-initialize-the-chip.patch:
  bnx2x: Using DMAE to initialize the chip (bnc#484716).
* Tue Jun 09 2009 greg@suse.de
- patches.fixes/scsi-lib-string_get_size-don-t-hang-on-zero-no-decimals-on-exact.patch:
  SCSI lib: string_get_size(): don't hang on zero; no decimals
  on exact (bnc#500429).
* Mon Jun 08 2009 jbenc@suse.cz
- patches.fixes/iwlwifi-fix-updating-key-flags.patch: iwlwifi:
  update key flags at time key is set (bnc#487247).
* Fri Jun 05 2009 mmarek@suse.cz
- rpm/kernel-syms.spec.in: fix release numbers check to also take
  the version field into account (bnc#478462).
* Fri Jun 05 2009 jdelvare@suse.de
- patches.arch/x86-quirk-for-reboot-stalls-on-dell-optiplex-330-and-360.patch:
  x86: quirk for reboot stalls on Dell Optiplex 330 and 360
  (bnc#476822, bnc#501396).
- patches.suse/kdb-x86: Adjust offset.
* Thu Jun 04 2009 jbeulich@novell.com
- config.conf: Add -ec2 flavors.
- New ec2 config files.
- rpm/kernel-binary.spec.in, rpm/post.sh, rpm/postun.sh: Adjust for
  new flavors.
- patches.xen/xen3-patch-2.6.27: Make use of ticket spinlocks
  conditional upon oldest supported hypervisor version.
- Adjust a few other Xen patches.
* Wed Jun 03 2009 mmarek@suse.cz
- Enable patches.fixes/xfs-kern_32215a_Clean-up-dquot-pincount-code.patch
- Update reference module symbol versions with xfs kabi change
  caused by above patch.
* Tue Jun 02 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-intelhdmi: ALSA: Add Intel
  HDMI support (bnc#485768).
- patches.drivers/alsa-post-ga-hda-single-cmd-concurrent-access:
  ALSA: hda - Allow concurrent RIRB access in single_cmd mode
  (bnc#502903).
- patches.drivers/alsa-post-ga-hda-single-cmd-sync-write: ALSA:
  hda - Always sync writes in single_cmd mode (bnc#502903).
- patches.drivers/alsa-post-ga-hda-sync-verbs: ALSA: hda -
  Support sync after writing a verb (bnc#502903).
- patches.drivers/alsa-post-ga-hda-codec-limit-verb-retry: ALSA:
  hda - Limit codec-verb retry to limited hardwares (bnc#502903).
- patches.drivers/alsa-post-ga-hda-codec-verb-retry: ALSA: Add
  codec bus reset and verb-retry at critical errors (bnc#502903).
- patches.drivers/alsa-post-ga-hda-internal-binary-compat: ALSA:
  hda - keep internal structure binary compatibility (bnc#497341).
- Update config files to add Intel HDMI support.
* Mon Jun 01 2009 nfbrown@suse.de
  Backport all relevant md bugfixes and minor features from 2.6.30
  to SLES11.  This was partly triggered by bnc#498358.
- patches.fixes/0001-md-Relax-minimum-size-restrictions-on-chunk_size.patch:
  md: Relax minimum size restrictions on chunk_size..
- patches.fixes/0002-md-fix-input-truncation-in-safe_delay_store.patch:
  md: fix input truncation in safe_delay_store().
- patches.fixes/0003-md-don-t-retry-recovery-of-raid1-that-fails-due-to-e.patch:
  md: don't retry recovery of raid1 that fails due to error on
  source drive..
- patches.fixes/0004-md-fix-deadlock-when-stopping-arrays.patch:
  md: fix deadlock when stopping arrays.
- patches.fixes/0005-md-Fix-is_mddev_idle-test-again.patch: md:
  Fix is_mddev_idle test (again)..
- patches.fixes/0006-md-never-clear-bit-from-the-write-intent-bitmap-when.patch:
  md: never clear bit from the write-intent bitmap when the
  array is degraded..
- patches.fixes/0007-md-write-bitmap-information-to-devices-that-are-unde.patch:
  md: write bitmap information to devices that are undergoing
  recovery..
- patches.fixes/0008-md-be-more-consistent-about-setting-WriteMostly-flag.patch:
  md: be more consistent about setting WriteMostly flag when
  adding a drive to an array.
- patches.fixes/0009-md-raid5-simplify-interface-for-init_stripe-and-get_.patch:
  md/raid5: simplify interface for init_stripe and
  get_active_stripe.
- patches.fixes/0010-md-raid5-change-raid5_compute_sector-and-stripe_to_p.patch:
  md/raid5: change raid5_compute_sector and stripe_to_pdidx to
  take a 'previous' argument.
- patches.fixes/0011-md-raid6-remove-expectation-that-Q-device-is-immedia.patch:
  md/raid6: remove expectation that Q device is immediately
  after P device..
- patches.fixes/0012-md-raid5-simplify-raid5_compute_sector-interface.patch:
  md/raid5: simplify raid5_compute_sector interface.
- patches.fixes/0013-md-raid5-Add-support-for-new-layouts-for-raid5-and-r.patch:
  md/raid5: Add support for new layouts for raid5 and raid6..
- patches.fixes/0014-md-raid5-finish-support-for-DDF-raid6.patch:
  md/raid5: finish support for DDF/raid6.
- patches.fixes/0015-md-add-size-as-a-personality-method.patch:
  md: add 'size' as a personality method.
- patches.fixes/0016-md-centralize-array_sectors-modifications.patch:
  md: centralize ->array_sectors modifications.
- patches.fixes/0017-md-array_size-sysfs-attribute.patch: md:
  'array_size' sysfs attribute.
- patches.fixes/0018-md-raid5-run-Fix-max_degraded-for-raid-level-4.patch:
  md: raid5 run(): Fix max_degraded for raid level 4..
- patches.fixes/0019-md-allow-setting-newly-added-device-to-in_sync-via-s.patch:
  md: allow setting newly added device to 'in_sync' via sysfs..
- patches.fixes/0020-md-support-bitmaps-on-RAID10-arrays-larger-then-2-te.patch:
  md: support bitmaps on RAID10 arrays larger then 2 terabytes.
- patches.fixes/0021-md-fix-loading-of-out-of-date-bitmap.patch:
  md: fix loading of out-of-date bitmap..
- patches.fixes/0022-md-raid10-don-t-clear-bitmap-during-recovery-if-arra.patch:
  md/raid10: don't clear bitmap during recovery if array will
  still be degraded..
- patches.fixes/0023-md-fix-some-more-errors-with-bitmaps-on-devices-larg.patch:
  md: fix some (more) errors with bitmaps on devices larger
  than 2TB..
- patches.fixes/0024-md-tidy-up-status_resync-to-handle-large-arrays.patch:
  md: tidy up status_resync to handle large arrays..
- patches.fixes/0025-md-remove-ability-to-explicit-set-an-inactive-array-.patch:
  md: remove ability to explicit set an inactive array to
  'clean'..
- patches.fixes/0026-md-remove-rd-d-links-immediately-after-stopping-an-a.patch:
  md: remove rd%%d links immediately after stopping an array..
- patches.fixes/0027-md-improve-errno-return-when-setting-array_size.patch:
  md: improve errno return when setting array_size.
- patches.fixes/0028-md-add-explicit-method-to-signal-the-end-of-a-reshap.patch:
  md: add explicit method to signal the end of a reshape..
* Sun May 31 2009 teheo@suse.de
  Schedule patch for SP1 inclusion.
- patches.drivers/libata-ahci-Withdraw-IGN_SERR_INTERNAL-for-SB800:
  ahci: Withdraw IGN_SERR_INTERNAL for SB800 SATA (bnc#449873).
* Fri May 29 2009 jjolly@suse.de
- patches.arch/s390-13-03-qeth_checksum.patch: qeth: improve
  no_checksumming handling for layer3 (bnc#499845,LTC#53306).
- patches.arch/s390-13-04-qeth-port-isolation.patch: qeth:
  handle error codes from z/VM VSwitch Port Isolation
  (bnc#499845,LTC#53307).
* Fri May 29 2009 trenn@suse.de
- patches.suse/hp_backlight_blacklist_6530b.patch: Blacklist
  HP laptop (6530b) to not use generic ACPI backlight interface
  (bnc#491802).
* Thu May 28 2009 jdelvare@suse.de
- patches.fixes/scsi-scan-blist-update: Add BLIST_REPORTLUN2 to
  EMC SYMMETRIX (bnc#185164, bnc#191648, bnc#505578).
* Thu May 28 2009 nfbrown@suse.de
- patches.fixes/nfs-lock-release-lockargs: lockd: call
  locks_release_private to cleanup per-filesystem state
  (bnc#501651).
* Thu May 28 2009 nfbrown@suse.de
- patches.fixes/nfs4-check-exec-permission: nfs: Fix NFS v4
  client handling of MAY_EXEC in nfs_permission. (bnc#502675).
* Wed May 27 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-codec-verb-retry: Delete.
  This rarely helps the critical situtaion in bnc#502903.
* Tue May 26 2009 jeffm@suse.com
- patches.fixes/mm-fix-Commited_AS-underflow-on-large-NR_CPUS:
  mm: fix Committed_AS underflow on large NR_CPUS environment
  (bnc#505831).
- patches.fixes/kdb-Commited_AS-fix: kdb: account for
  vm_committed_space -> vm_committed_as change (bnc#505831).
* Tue May 26 2009 jdelvare@suse.de
- patches.drivers/r8169-allow-true-forced-mode-setting.patch:
  r8169: allow true forced mode setting (bnc#467518).
* Mon May 25 2009 tiwai@suse.de
- Fix unbalanced snd_hda_power_*() call in patches.drivers/\
  alsa-post-ga-hda-codec-bus-intapi-change
- patches.drivers/alsa-post-ga-hda-codec-verb-retry: ALSA: hda -
  Retry codec-verbs at errors (bnc#502903).
* Fri May 22 2009 hare@suse.de
- patches.fixes/net-fix-skb-seq-read: fix skb_seq_read returning
  wrong offset/length for page frag data (bnc#499772).
* Fri May 22 2009 rjw@sisk.pl
- patches.fixes/bug-502026_fix_apicid_panic.patch: x86: Fix
  APICID panic (bnc#502026).
* Thu May 21 2009 jeffm@suse.com
- patches.fixes/scsi-ipr-fix-PCI-permanent-error-handler: ipr:
  fix PCI permanent error handler (bnc#505925).
* Wed May 20 2009 jeffm@suse.com
- patches.fixes/xfs_file_last_byte-needs-to-acquire-ilock.patch:
  xfs_file_last_byte() needs to acquire ilock (SGI:PV963454
  bnc#487987).
* Wed May 20 2009 mmarek@suse.cz
- fix patches to apply with git apply.
* Wed May 20 2009 hare@suse.de
- patches.drivers/ipr-slave-alloc-crash: ipr: Fix sleeping
  function called with interrupts disabled (bnc#501234).
* Wed May 20 2009 mfasheh@suse.com
- Update config files.
- patches.fixes/ocfs2-really-add-ACL-Kconfig.patch: ocfs2:
  really add ACL Kconfig. (bnc#499278)
* Tue May 19 2009 gregkh@suse.de
- patches.fixes/x86-fix-dmi-on-efi.patch: x86: fix DMI on EFI
  (bnc#500508).
* Tue May 19 2009 jeffm@suse.com
- patches.fixes/ext4-clear-unwritten-flag-after-extent-initialization:
  ext4: Clear the unwritten buffer_head flag after the extent
  is initialized (bnc#503161).
- patches.fixes/ext4-fix-sub-block-zeroing-for-preallocated-writes:
  ext4: Fix sub-block zeroing for writes into preallocated extents
  (bnc#503161).
- patches.fixes/ext4-use-a-fake-block-number-for-delayed-new-buffer_head:
  ext4: Use a fake block number for delayed new buffer_head
  (bnc#503161).
* Tue May 19 2009 astarikovskiy@suse.de
- patches-arch/acpi_srat-pxm-rev-ia64.patch
  patches.arch/acpi_srat-pxm-rev-x86-64.patch
  patches.arch/acpi_srat-pxm-rev-store.patch: Fix SRAT v.1 incompatibility on Bull
  (bnc#503038).
* Mon May 18 2009 jeffm@suse.de
- patches.arch/ppc32-fix-ptrace-compat-wrapper-for-fpu-register-access:
  powerpc: Fix ptrace compat wrapper for FPU register access
  (bnc#496027).
* Mon May 18 2009 jeffm@suse.com
- patches.fixes/kdb-bb_all-fixes: KDB Backtrace Fixes
  (bnc#501114).
* Mon May 18 2009 jeffm@suse.com
- patches.fixes/ib-ipath-fix-hang-on-module-unload: IB/ipath:
  Fix hang on module unload (bnc#495068).
* Mon May 18 2009 npiggin@suse.de
- patches.fixes/numa-enable-hashdist-default.patch: mm: enable
  hashdist by default on 64bit NUMA (bnc#501160).
* Sat May 16 2009 jslaby@suse.de
- patches.fixes/ath5k-5211-protected-fix.patch: ath5k: 5211,
  don't crypt every protected frame (bnc#464360).
- patches.fixes/mac80211-pid-fix-memory-corruption.patch:
  mac80211: pid, fix memory corruption (bnc#464360).
* Fri May 15 2009 jdelvare@suse.de
- patches.fixes/libiscsi-fix-nop-response-reply-and-session-cleanup.patch:
  libiscsi: fix nop response/reply and session cleanup race
  (bnc#499558).
* Fri May 15 2009 jbeulich@novell.com
- patches.xen/870-i386-critical-section.patch: i386: hypervisor_callback
  adjustments (bnc#503457)
- Update other Xen patches.
* Thu May 14 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-ati-pos-fix: ALSA: hda
  - Workaround for buggy DMA position on ATI controllers
  (bnc#502733).
- patches.drivers/alsa-post-ga-hda-codec-bus-intapi-change:
  ALSA: hda - simplify hda_bus ops callbacks.
- patches.drivers/alsa-post-ga-hda-forced-codec-slots: ALSA:
  hda - Allow fixed codec-probe mask (bnc#502733).
- patches.drivers/alsa-post-ga-hda-hwptr-stabilize: hda_intel:
  fix unexpected ring buffer positions (bnc#502733).
- patches.drivers/alsa-post-ga-hda-intel-cleanup: ALSA: hda -
  clean up hda_intel.c (bnc#502733).
- patches.drivers/alsa-post-ga-hda-own-workq: ALSA: hda - Use
  own workqueue (bnc#502733).
- patches.drivers/alsa-post-ga-hda-robust-codec-probe: ALSA:
  hda - Make codec-probing more robust (bnc#502733).
* Wed May 13 2009 sjayaraman@suse.de
- patches.fixes/sunrpc-fix-oops-not-setup-socket: SUNRPC: Fix
  an Oops due to socket not set up yet... (bnc#474062).
* Wed May 13 2009 jack@suse.cz
- disabled patches.fixes/xfs-kern_32215a_Clean-up-dquot-pincount-code.patch
  for now because it breaks KABI
* Wed May 13 2009 jack@suse.cz
- patches.fixes/xfs-kern_32215a_Clean-up-dquot-pincount-code.patch:
  Clean up dquot pincount code (SGI:PV986789 bnc#482148).
* Wed May 13 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-hp-ad1984a-more-quirk2: ALSA:
  hda - Add yet more quirk for HP laptop (bnc#502425, bnc#503101).
* Tue May 12 2009 jjolly@suse.de
- Updated series.conf to use the patches from the previous push
* Tue May 12 2009 jjolly@suse.de
- patches.arch/s390-13-01-af_iucv-fix-race-msgpending.patch:
  af_iucv: Fix race when queuing incoming iucv messages
  (bnc#499845,LTC#53033).
- patches.arch/s390-13-02-zfcp_changed_port_did.patch: zfcp:
  unrecoverable port on D_ID change. (bnc#499845,LTC#53175).
* Tue May 12 2009 jeffm@suse.de
- patches.arch/ia64-smp_flush_tlb_mm-IPI-fix: ia64:
  smp_flush_tlb_mm() should only send IPI's to cpus in cpu_vm_mask
  (bnc#497807).
* Tue May 12 2009 mmarek@suse.cz
- kabi/severities: ignore kabi changes in drivers/staging.
* Tue May 12 2009 mmarek@suse.de
- Update reference module symbol versions, added -debug and -trace
  on i386 and x86_64.
* Mon May 11 2009 jeffm@suse.com
- patches.fixes/dup2-retval-fix: dup2: Fix return value with
  oldfd == newfd and invalid fd (bnc#498042).
* Mon May 11 2009 ptesarik@suse.cz
- patches.arch/ppc-xics-EOI-unmapped-irqs.patch: powerpc/xics:
  EOI unmapped irqs after disabling them (bnc#459065).
* Mon May 11 2009 jdelvare@suse.de
- patches.drivers/ehea-fix-invalid-pointer-access.patch: ehea:
  fix invalid pointer access (bnc#501224, IBM-LTC-53178).
* Sat May 09 2009 gregkh@suse.de
- clean up fuzz in tree.
* Sat May 09 2009 gregkh@suse.de
- Update to 2.6.27.23
  - security fixes
  - bug fixes
  - obsoletes:
    - patches.fixes/via_blacklist_msi_pciid.patch
* Thu May 07 2009 hare@suse.de
- patches.fixes/scsi-retry-alua-transition-in-progress: I/O
  errors for ALUA state transitions (bnc#491289).
* Wed May 06 2009 duwe@suse.de
- patches.drivers/ehca-malloc-speedup:
  try kmalloc before vmalloc. (bnc#491430)
* Wed May 06 2009 duwe@suse.de
- patches.drivers/ehca-malloc-speedup:  Re: IB/ehca: Replace
  vmalloc with kmalloc.
* Wed May 06 2009 duwe@suse.de
- patches.fixes/no-frozentasks-loadavg: Delete.
  already in 2.6.27.22.
* Wed May 06 2009 duwe@suse.de
- patches.fixes/no-frozentasks-loadavg:  (bnc#494463).
  Do not count frozen tasks when computing the load average.
* Tue May 05 2009 nfbrown@suse.de
- patches.fixes/read_page_cache_race.fix: Delete.
  It turns out that this isn't needed since 2.6.27.
  The bug has bene fixed a different way.
* Mon May 04 2009 hare@suse.de
- patches.fixes/scsi-dh-rdac-retry-for-not-ready: Retry NOT
  READY for rdac device handler (bnc#496502).
* Sun May 03 2009 gregkh@suse.de
- update to 2.6.27.22:
  - bugfixes
  - security fixes
  - obsoletes:
    - patches.drivers/alsa-post-ga-hda-ad-typo-fix
    - patches.fixes/cifs-fix-buffer-overflow-in-CIFSTCon
    - patches.fixes/exit_notify-kill-the-wrong-capable-check.patch
    - patches.fixes/ipv6-dont-use-tw-net-when-accounting-for-recycled-tw
    - patches.fixes/net-af_rose-x25-check-maximum-user-frame-size.patch
* Wed Apr 29 2009 jbeulich@novell.com
- patches.xen/xen-blktap-vma-close-fix: fix c/s 863.
* Tue Apr 28 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-unicode-string-alignment: cifs: fix
  unicode string area word alignment in session setup (bnc#498237,
  bnc#496398).
* Tue Apr 28 2009 npiggin@suse.de
- patches.apparmor/unambiguous-__d_path.diff: update patch to fix
  lock order reversal between dcache_lock and vfsmount_lock
  (bnc#490902).
* Tue Apr 28 2009 teheo@suse.de
- patches.drivers/libata-ahci-correct-enclosure-LED-state-save:
  ahci: correct enclosure LED state save (bnc#489005).
- patches.drivers/libata-ahci-enclosure-management-bios-workaround:
  libata: ahci enclosure management bios workaround (bnc#489005).
* Mon Apr 27 2009 hare@suse.de
- patches.drivers/qla4xxx-correct-extended-sense-data-errors:
  Correct Extended Sense Data Errors (bnc#483706).
* Mon Apr 27 2009 nfbrown@suse.de
- patches.fixes/read_page_cache_race.fix: Avoid race between
  page_cache_read and invalida_inode_pages (bnc#484931).
* Fri Apr 24 2009 hare@suse.de
- patches.drivers/qla1280-eh-update: panic in qla_1280_done
  following adapter reset (bnc#493991).
- patches.suse/dm-mpath-requeue-for-stopped-queue: Do not
  detach device handler if none is set from multipathing.
* Fri Apr 24 2009 hare@suse.de
- patches.fixes/sparsemem-maxmem-fix: Limit MAXMEM on 64bit.
* Thu Apr 23 2009 jjolly@suse.de
- patches.arch/s390-12-04-zfcp_rport_handling_on_error_inject.patch:
  zfcp: no port recovery after ADISC request timeout
  (bnc#487755,LTC#52565).
- patches.arch/s390-12-05-cio_introduce_ccw_device_boxed_notify.patch:
  cio: notify ccw driver for boxed devices (bnc#487755,LTC#52560).
- patches.arch/s390-12-06-zfcp_actcli_error.patch: zfcp: Let
  actcli handle control file errors (bnc#487755,LTC#52571).
- patches.arch/s390-12-07-ctcm_remove_crash.patch: ctcm: avoid
  crash in ctcm_remove_device (bnc#487755,LTC#52679).
- patches.arch/s390-12-08-kernel_appldata_vtimer.patch: kernel:
  appldata vtimer bug with cpu hotplug (bnc#487755,LTC#52680).
- patches.arch/s390-12-09-qeth_lan_offline.patch:
  qeth: avoid crash after detach of replugged device
  (bnc#487755,LTC#52681,LTC#52353).
- patches.arch/s390-12-10-kernel_appldata_mutex.patch:
  kernel: use mutex for appldata_ops instead of
  spin_lock. (bnc#487755,LTC#52788).
- patches.arch/s390-12-11-zfcp_fcp_port_handling.patch: zfcp:
  Fix oops when port disappears (bnc#487755,LTC#52844).
- patches.arch/s390-12-12-zfcp_wka_wait_refcount.patch:
  zfcp: deadlock between scheduled task, ERP and scan_work
  (bnc#487755,LTC#52845).
- patches.arch/s390-12-13-zfcp_deadlock_port_scan_ERP.patch: zfcp:
  deadlock between scheduled task and ERP (bnc#487755,LTC#52846).
- patches.arch/s390-12-14-zfcp_port_reference_counting.patch:
  zfcp: Fix port reference counting (bnc#487755,LTC#52847).
- patches.arch/s390-12-15-zfcp_abort_handler_for_completions_in_progress.patch:
  zfcp: Fix abort handler for FSF requests in completion
  (bnc#487755,LTC#52848).
- patches.arch/s390-12-16-zfcp_reference_counting_for_cfdc_requests.patch:
  zfcp: Fix reference counting for cfdc requests
  (bnc#487755,LTC#52849).
* Thu Apr 23 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-ad1884a-mobile-init-fix: ALSA:
  hda - Fix init verbs of AD1884A mobile model (bnc#495668).
- patches.drivers/alsa-post-ga-hda-pb-rs65-quirk: ALSA: hda -
  Add quirk for Packard Bell RS65 (bnc#496878).
* Thu Apr 23 2009 teheo@suse.de
- patches.drivers/libata-clear-ering-on-resume: libata: clear
  ering on resume (bnc#486803).
* Wed Apr 22 2009 jdelvare@suse.de
- patches.fixes/exit_notify-kill-the-wrong-capable-check.patch:
  exit_notify: kill the wrong capable(CAP_KILL) check (bnc#492768
  CVE-2009-1337).
- patches.trace/lttng-instrumentation-scheduler.patch: Update
  offsets.
* Wed Apr 22 2009 jeffm@suse.com
- patches.fixes/ipv6-dont-use-tw-net-when-accounting-for-recycled-tw:
  ipv6: don't use tw net when accounting for recycled tw
  (bnc#496399).
* Wed Apr 22 2009 jeffm@suse.com
- patches.fixes/kvm-vmx-dont-allow-uninhibited-access-to-EFER-on-i386:
  KVM: VMX: Don't allow uninhibited access to EFER on i386
  (bnc#492760).
* Wed Apr 22 2009 jeffm@suse.com
- patches.fixes/add-fwrapv-to-gcc-CFLAGS: Add '-fwrapv' to gcc
  CFLAGS (bko#12597 bnc#487106).
* Wed Apr 22 2009 jdelvare@suse.de
- patches.fixes/net-af_rose-x25-check-maximum-user-frame-size.patch:
  af_rose/x25: Sanity check the maximum user frame size
  (bnc#490608 kernel.org#10423 CVE-2009-1265).
* Mon Apr 20 2009 jbenc@suse.cz
- patches.fixes/iwl3945-fix-crash-on-rmmod.patch: iwl3945:
  release resources before shutting down (bnc#495816).
* Mon Apr 20 2009 knikanth@suse.de
- patches.fixes/dm_flag_queue_barrier_support: dm: set queue
  ordered mode (bnc#496353).
* Mon Apr 20 2009 jbeulich@novell.com
- patches.xen/848-sfc-vif-states-lock.patch:
- patches.xen/849-sfc-tx-skb-lock.patch:
- patches.xen/863-blktap-vma-close.patch:
- patches.xen/sfc-sync-headers: sync Solarflare accelerator
  headers (bnc#489105).
- patches.xen/xen3-auto-include-xen-interface.diff: Remove some
  obsolete files.
- patches.xen/xen3-fixup-sfc: Delete.
* Fri Apr 17 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-buffer-overflow-in-CIFSTCon: cifs:
  fix buffer size for tcon->nativeFileSystem field (bnc#492282).
* Fri Apr 17 2009 sjayaraman@suse.de
- patches.fixes/nfs-fix-nfs3_xdr_setaclargs: NFS: Fix the XDR
  iovec calculation in nfs3_xdr_setaclargs (bnc#465854).
* Thu Apr 16 2009 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-psb-drm-driver.patch: Delete.
* Thu Apr 16 2009 coly.li@suse.de
-  Backport fs/dlm from 2.6.30rc1 to SLES11 branch
  patches.suse/dlm-detect-available-userspace-daemon.patch
  patches.suse/dlm-fix-locking-of-lockspace-list-in-dlm_scand.patch
  patches.suse/dlm-fix-address-compare.patch
  patches.suse/dlm-remove-bkl.patch
  patches.suse/dlm-choose-better-identifiers.patch
  patches.suse/dlm-trivial-annotation-of-be16-value.patch
  patches.suse/dlm-fix-up-memory-allocation-flags.patch
  patches.suse/dlm-remove-kmap-and-kunmap.patch
  patches.suse/fix-warning-in-fsdlm-netlink.c.patch
  patches.suse/dlm-remove-extra-blocking-callback-check.patch
  patches.suse/dlm-improve-how-bast-mode-handling.patch
  patches.suse/dlm-change-lock-time-stamping.patch
  patches.suse/dlm-replace-schedule-with-cond_resched.patch
  patches.suse/dlm-add-new-debugfs-entry.patch
  patches.suse/dlm-add-time-stamp-of-blocking-callback.patch
  patches.suse/dlm-fsdlm-ast.c-fix-warning.patch
  patches.suse/dlm-fix-seq_file-usage-in-debugfs-lock-dump.patch
  patches.suse/dlm-Change-rwlock-which-is-only-used-in-write-mode-to-a-spinlock.patch
  patches.suse/dlm-change-rsbtbl-rwlock-to-spinlock.patch
  patches.suse/dlm-fix-plock-notify-callback-to-lockd.patch
  patches.suse/dlm-use-ipv6_addr_copy.patch
  patches.suse/dlm-comment-typo-fixes.patch
  patches.suse/dlm-replace-idr-with-hash-table-for-connections.patch
  patches.suse/dlm-clear-defunct-cancel-state.patch
  patches.suse/dlm-ignore-cancel-on-granted-lock.patch
  patches.suse/dlm-fix-length-calculation-in-compat-code.patch
  patches.suse/headers_check-fix-linux-dlm_plock.h.patch
  patches.suse/dlm_lock_data-make-most-exported-headers-use-strict-integer-types.patch
* Thu Apr 16 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-stac-hp-detect-fix: ALSA: hda -
  Fix headphone-detection on some machines with STAC/IDT codecs
  (bnc#495515).
- patches.drivers/alsa-post-ga-hda-ad-typo-fix: ALSA: hda -
  add missing comma in ad1884_slave_vols.
* Wed Apr 15 2009 mmarek@suse.cz
- rpm/get_release_number.sh.in, scripts/tar-up.sh: do not append
  the commit id to the release number.
* Tue Apr 14 2009 npiggin@suse.de
- patches.fixes/mm-nr_pdflush-race-fix.patch: mm: fix pdflush
  thread creation upper bound. (bnc#460284).
* Thu Apr 09 2009 jack@suse.cz
- patches.fixes/ext2_mtime_update_on_rename.diff: ext2: Do not
  update mtime of a move directory when parent has not changed
  (bnc#493392).
* Fri Apr 03 2009 nfbrown@suse.de
- patches.fixes/dm-table-upgrade-mode-race-fix: dm table: fix
  upgrade mode race (bnc#486430).
* Thu Apr 02 2009 mmarek@suse.cz
- rpm/modversions: keep the override keyword in --pack.
* Thu Apr 02 2009 jeffm@suse.com
- patches.drivers/alsa-ad1984-hp-volume-fix: Added volume workaround
  for AD1884A_MOBILE as well (bnc#490368)
* Wed Apr 01 2009 jjolly@suse.de
- patches.arch/s390-12-01-cio-reprobe-deadlock-fix.patch: cio:
  incomplete device initialization on LPAR (bnc#487755,LTC#52366).
- patches.arch/s390-12-02-zfcp_scsi_queue_erp_deadlock.patch:
  zfcp: SCSI queue ERP deadlock (bnc#487755,LTC#52401).
- patches.arch/s390-12-03-zfcp_adjust_test_link_pre_reqs.patch:
  zfcp: no port recovery after storage side error inject
  (bnc#487755,LTC#52402).
* Tue Mar 31 2009 mmarek@suse.cz
- doc/README.SUSE: allow_unsupported_modules needs to be set before
  installing the kernel (bnc#484664).
* Tue Mar 31 2009 teheo@suse.de
- patches.drivers/libata-ata_piix-add-VGN-BX297XP-to-broken-suspend-list:
  ata_piix: VGN-BX297XP wants the controller power up on suspend
  (bko#10293, bnc#490517).
* Tue Mar 31 2009 bphilips@suse.de
- patches.drivers/v4l-dvb-uvcvideo-implement-the-usb-power-management-reset_resume-method.patch:
  V4L/DVB (8754): uvcvideo: Implement the USB power management
  reset_resume method. (bnc#486331).
* Mon Mar 30 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: require a m-i-t package that fixes
  bnc#480524
* Mon Mar 30 2009 jbenc@suse.cz
- patches.fixes/ath5k-aspire-one-led.patch: ath5k: support LEDs
  on Acer Aspire One netbook (bnc#486728).
* Mon Mar 30 2009 jack@suse.cz
- patches.fixes/ext3_false_EIO_fix.diff: ext3: Avoid false EIO
  errors (bnc#479730).
* Fri Mar 27 2009 hare@suse.de
- patches.suse/dm-mpath-no-activate-for-offlined-paths: DM-MPIO
  fails to tresspass LUNs on CLARiiON arrays (bnc#484529).
* Wed Mar 25 2009 mfasheh@suse.com
  Patches for bnc#408304. This includes a kabi update because of changed
  ocfs2_dlm.ko symbols.
- patches.fixes/ocfs2-dlm-activate-dlm-master_hash-for-master-list.patch:
  ocfs2/dlm: Activate dlm->master_hash for master list entries
  (bnc#408304).
- patches.fixes/ocfs2-dlm-clean-up-struct-dlm_lock_name.patch:
  ocfs2/dlm: Clean up struct dlm_lock_name (bnc#408304).
- patches.fixes/ocfs2-dlm-create-and-destroy-the-dlm-master_hash.patch:
  ocfs2/dlm: Create and destroy the dlm->master_hash (bnc#408304).
- patches.fixes/ocfs2-dlm-dlm_set_lockres_owner-and-dlm_change_lo.patch:
  ocfs2/dlm: dlm_set_lockres_owner() and
  dlm_change_lockres_owner() inlined (bnc#408304).
- patches.fixes/ocfs2-dlm-do-not-purge-lockres-that-is-being-migrat.patch:
  ocfs2/dlm: Do not purge lockres that is being migrated
  dlm_purge_lockres() (bnc#408304).
- patches.fixes/ocfs2-dlm-encapsulate-adding-and-removing-of-mle-fr.patch:
  ocfs2/dlm: Encapsulate adding and removing of mle from
  dlm->master_list (bnc#408304).
- patches.fixes/ocfs2-dlm-fix-race-in-adding-removing-lockres-to-f.patch:
  ocfs2/dlm: Fix race in adding/removing lockres' to/from the
  tracking list (bnc#408304).
- patches.fixes/ocfs2-dlm-improve-lockres-counts.patch: ocfs2/dlm:
  Improve lockres counts (bnc#408304).
- patches.fixes/ocfs2-dlm-indent-dlm_cleanup_master_list.patch:
  ocfs2/dlm: Indent dlm_cleanup_master_list() (bnc#408304).
- patches.fixes/ocfs2-dlm-refactor-dlm_clean_master_list.patch:
  ocfs2/dlm: Refactor dlm_clean_master_list() (bnc#408304).
- patches.fixes/ocfs2-dlm-remove-struct-dlm_lock_name-in-struct-dlm.patch:
  ocfs2/dlm: Remove struct dlm_lock_name in struct
  dlm_master_list_entry (bnc#408304).
- patches.fixes/ocfs2-dlm-show-the-number-of-lockres-mles-in-dlm_st.patch:
  ocfs2/dlm: Show the number of lockres/mles in dlm_state
  (bnc#408304).
- patches.fixes/ocfs2-dlm-track-number-of-mles.patch: ocfs2/dlm:
  Track number of mles (bnc#408304).
- patches.fixes/ocfs2-dlm-tweak-mle_state-output.patch: ocfs2/dlm:
  Tweak mle_state output (bnc#408304).
* Wed Mar 25 2009 jeffm@suse.de
- Update reference module symbol versions for s390.
* Wed Mar 25 2009 hare@suse.de
- patches.fixes/aic7xxx-leaves-timer-running-on-init-failure:
  aic7xxx leaves timer running on init failure (bnc#469576).
* Tue Mar 24 2009 jjolly@suse.de
- patches.arch/s390-11-15-kernel_task_size.patch: kernel: fix
  dynamic TASK_SIZE handling. (bnc#484767,LTC#52259).
- patches.arch/s390-11-16-qeth_siga_error_handling.patch:
  qeth: adept SIGA error handling to qdio changes
  (bnc#484767,LTC#52300).
* Tue Mar 24 2009 jbeulich@novell.com
- patches.xen/821-xenbus-state-strings.patch,
  patches.xen/832-ntp-interaction.patch,
  patches.xen/844-swiotlb-alloc.patch: Add From: headers.
* Tue Mar 24 2009 jbeulich@novell.com
- Update Xen patches to 2.6.27.21 plus upstream imports and bug
  fixes (bnc#473881, bnc#458222).
- patches.kabi/xen-x86_64-note-init-p2m: fix kABI for
  patches.xen/xen-x86_64-note-init-p2m.patch (bnc#417417).
- patches.xen/781-fbfront-bogus-rect.patch: xenfb: fix
  xenfb_update_screen bogus rect (bnc#474335).
- patches.xen/797-pirq-range-check.patch: fix off-by-one error in the
  pirq range checks.
- patches.xen/801-pciback-no-pci_match_id.patch: pciback: Fix invalid
  use of pci_match_id().
- patches.xen/803-netfront-unregister-notifier.patch: netfront:
  Unregister inetdev notifiers on failure.
- patches.xen/xen-blkfront-map-sg: Rename to ...
- patches.xen/805-blkfront-map-sg.patch: blkfront: use blk_rq_map_sg to
  generate ring entries (bnc#470238).
- patches.xen/821-xenbus-state-strings.patch: xenbus: Add new states to
  xenbus_strstate().
- patches.xen/832-ntp-interaction.patch: x86: Fix interaction of NTP
  and dom0->xen time updates.
- patches.xen/844-swiotlb-alloc.patch: swiotlb allocations do not need
  to come from low memory (bnc#482614).
- patches.xen/xen-x86_64-note-init-p2m: eliminate scalability
  issues from initial mapping setup (bnc#417417).
- patches.xen/xen3-x86-fix-nodac: x86: fix iommu=nodac parameter
  handling (bnc#482220).
- patches.xen/xen3-x86-mcp51-no-dac: x86: disallow DAC for MCP51
  PCI bridge (bnc#482220).
- patches.xen/xen3-x86-pageattr-pmd-permission-fix.patch: x86:
  use the right protections for split-up pagetables (bnc#439348).
- patches.xen/xen3-patch-2.6.27.15-rc1: Delete.
* Tue Mar 24 2009 gregkh@suse.de
- patches.drivers/libata-ata_piix-use-slave_link: ata_piix: fix merge build error.
* Tue Mar 24 2009 gregkh@suse.de
- refresh patch fuzz after adding the .20 and .21 kernels
* Tue Mar 24 2009 gregkh@suse.de
- proper header info on 2.6.27.21 patch
* Tue Mar 24 2009 gregkh@suse.de
- Update to 2.6.27.21:
  - bugfixes
  - security fixes
  - obsoletes:
    - patches.drivers/ehci-expedite-unlinks-when-the-root-hub-is-suspended.patch
    - patches.drivers/libata-ata_piix-samsung-db_p70-workaround
    - patches.kernel.org/build-fix-for-__early_pfn_to_nid-undefined-link-error.patch
* Mon Mar 23 2009 jack@suse.cz
- patches.fixes/udf-faster_anchor_detection.patch: udf: Try
  anchor in block 256 first (bnc#467174).
* Mon Mar 23 2009 jbenc@suse.cz
- patches.fixes/iwlwifi-dont-clean-static-wep-keys.patch: iwlagn:
  fix warning when set WEP key (bnc#487247).
* Mon Mar 23 2009 jeffm@suse.de
- patches.fixes/no-sys_uv-on-non-uv-systems: sgi_uv: Don't
  publish /sys/firmware/sgi_uv on !uv systems (bnc#482506).
* Fri Mar 20 2009 mfasheh@suse.com
  Add some high priority Ocfs2 fixes from 2.6.29.
- patches.fixes/ocfs2-access-and-dirty-the-buffer_head-in-mark_writ.patch:
  ocfs2: Access and dirty the buffer_head in mark_written..
- patches.fixes/ocfs2-add-io-error-check-in-ocfs2_get_sector.patch:
  ocfs2: add IO error check in ocfs2_get_sector().
- patches.fixes/ocfs2-add-quota-call-to-ocfs2_remove_btree_range.patch:
  ocfs2: add quota call to ocfs2_remove_btree_range().
- patches.fixes/ocfs2-dlm-make-dlm_assert_master_handler-kill-its.patch:
  ocfs2/dlm: Make dlm_assert_master_handler() kill itself instead
  of the asserter.
- patches.fixes/ocfs2-dlm-use-ast_lock-to-protect-ast_list.patch:
  ocfs2/dlm: Use ast_lock to protect ast_list.
- patches.fixes/ocfs2-fix-a-bug-found-by-sparse-check.patch:
  ocfs2: Fix a bug found by sparse check..
- patches.fixes/ocfs2-push-out-dropping-of-dentry-lock-to-ocfs2_wq.patch:
  ocfs2: Push out dropping of dentry lock to ocfs2_wq.
- patches.fixes/ocfs2-reserve-xattr-block-for-new-directory-with-in.patch:
  ocfs2: reserve xattr block for new directory with inline data.
- patches.fixes/ocfs2-set-gap-to-seperate-entry-and-value-when-xatt.patch:
  ocfs2: set gap to seperate entry and value when xattr in bucket.
- patches.fixes/ocfs2-tweak-to-get-the-maximum-inline-data-size-wit.patch:
  ocfs2: tweak to get the maximum inline data size with xattr.
- patches.fixes/ocfs2-use-xs-bucket-to-set-xattr-value-outside.patch:
  ocfs2: Use xs->bucket to set xattr value outside.
- patches.fixes/ocfs2-wakeup-the-downconvert-thread-after-a-success.patch:
  ocfs2: Wakeup the downconvert thread after a successful
  cancel convert.
* Thu Mar 19 2009 gregkh@suse.de
- patches.kabi/abi-add-back-skb_truesize_bug-and-skb_truesize_check.patch:
  ABI: add back skb_truesize_bug() and skb_truesize_check().
* Thu Mar 19 2009 gregkh@suse.de
- Update ia64 vanilla config files to build correctly now.
* Thu Mar 19 2009 gregkh@suse.de
- Update ia64 config files to build correctly now.
* Thu Mar 19 2009 gregkh@suse.de
- scripts/sequence-patch.sh: If using ketchup, don't die if it
  works properly.
* Thu Mar 19 2009 gregkh@suse.de
- patches.kernel.org/build-fix-for-__early_pfn_to_nid-undefined-link-error.patch:
  Build fix for __early_pfn_to_nid() undefined link error.
  Resolves ia64 build issue with 2.6.27.20
* Thu Mar 19 2009 gregkh@suse.de
- patches.kabi/abi-fix-for-struct-seq_file-change.patch: KABI:
  fix for struct seq_file change.
* Thu Mar 19 2009 tiwai@suse.de
- Update PCI SSID in patches.drivers/alsa-post-ga-hda-hp-more-quirks
  (bnc#479558).
* Thu Mar 19 2009 gregkh@suse.de
- update to 2.6.27.20:
  - lots of bugfixes
  - some security updates
  - obsoletes:
    - patches.arch/ppc-load-store-fdp-align-fix.patch
    - patches.drivers/libata-thaw-when-skipping-reset
    - patches.drivers/usb-asix-new-device-ids.patch
    - patches.drivers/usb-net-asix-add-support-for-cables-to-go-usb-ethernet-adapter.patch
    - patches.drivers/usb-option-add-benq-3g-modem-information.patch
    - patches.fixes/cifs-fix-oops-during-mount
    - patches.fixes/fix-minor-signal-handling-vulnerability
    - patches.fixes/scsi-revive-sd_index_lock
  - Note, there are going to be some kabi issues here, will be resolved
  in future patches.
* Wed Mar 18 2009 jjolly@suse.de
- patches.arch/s390-11-05-qdio_error_reporting_hs.patch: qdio:
  Set the patch back to modify the KABI.  This is allowed with
  s390x patches.
* Wed Mar 18 2009 jjolly@suse.de
- patches.arch/s390-11-05-qdio_error_reporting_hs.patch: qdio:
  Modified patch to fix KABI modification.
* Wed Mar 18 2009 hare@suse.de
- patches.fixes/dm-mpath-reattach-dh: Rediff
- patches.fixes/scsi-dh-queuedata-accessors: Fixup patch to
  apply.
* Wed Mar 18 2009 hare@suse.de
- patches.fixes/scsi-dh-queuedata-accessors: Kernel bug triggered
  in multipath (bnc#486001).
* Tue Mar 17 2009 jjolly@suse.de
- patches.arch/s390-11-01-kernel_ds_pgtable_walk.patch: kernel:
  don't use pagetable walk for KERNEL_DS (bnc#484767,LTC#52176).
- patches.arch/s390-11-02-kernel_pfn_valid_uaccess.patch:
  kernel: don't check for pfn_valid() in uaccess_pt.c
  (bnc#484767,LTC#52175).
- patches.arch/s390-11-03-qeth_recovery_drop_mac.patch:
  qeth: unregister MAC addresses during
  recovery. (bnc#484767,LTC#52200).
- patches.arch/s390-11-04-lcs_hard_sx_rc.patch: lcs: invalid
  return codes from hard_start_xmit. (bnc#484767,LTC#52201).
- patches.arch/s390-11-05-qdio_error_reporting_hs.patch: qdio:
  fix hipersocket busy error handling (bnc#484767,LTC#52204).
- patches.arch/s390-11-06-qdio_tiq_list_lock.patch: qdio: add
  missing tiq_list locking (bnc#484767,LTC#52205).
- patches.arch/s390-11-07-qdio_kill_tasklets.patch: qdio: proper
  kill of qdio tasklets (bnc#484767,LTC#52206).
- patches.arch/s390-11-08-qdio_free_shutdown.patch: qdio: call
  qdio_free also if qdio_shutdown fails (bnc#484767,LTC#52207).
- patches.arch/s390-11-09-qdio_ack_newest_and_seperate_polling.patch:
  qdio: move ACK to newest buffer for devices without QEBSM
  (bnc#484767,LTC#52208).
- patches.arch/s390-11-10-zfcp_nameserver_state_on_adapter_offline.patch:
  zfcp: set nameserver port to offline on adapter
  deactivation. (bnc#484767,LTC#52232).
- patches.arch/s390-11-11-zfcp_req_free.patch: zfcp: Don't call
  zfcp_fsf_req_free on NULL pointer (bnc#484767,LTC#52234).
- patches.arch/s390-11-12-zfcp_scsi_scan.patch: zfcp: Move
  scan_target to scsi host workqueue (bnc#484767,LTC#52236).
- patches.arch/s390-11-13-zfcp_avoid_semaphore_race.patch:
  zfcp: avoid false ERP complete task due to semaphore
  race. (bnc#484767,LTC#55250).
- patches.arch/s390-11-14-zfcp_unit_remove.patch: zfcp:
  remove unit will fail if add unit is not finished
  (bnc#484767,LTC#48795).
* Tue Mar 17 2009 knikanth@suse.de
- patches.fixes/loop-barriers: Delete.
- patches.fixes/loop-barriers2: Delete.
  Remove non-mainline patches to loop driver making it honour
  O_SYNC, sync requests and barriers. (bnc#485089), (bnc#471249)
* Tue Mar 17 2009 gregkh@suse.de
- patches.drivers/staging-add-psb-drm-driver.patch: Staging:
  add psb drm driver (bnc#478534) - fix duplicate module param problem.
* Mon Mar 16 2009 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-psb-drm-driver.patch: Staging:
  add psb drm driver (bnc#478534).
* Mon Mar 16 2009 bphilips@suse.de
- patches.drivers/ehci-expedite-unlinks-when-the-root-hub-is-suspended.patch:
  EHCI: expedite unlinks when the root hub is suspended
  (bnc#467317).
* Mon Mar 16 2009 jbeulich@novell.com
- patches.fixes/fix-nf_conntrack_slp: fix build warning.
* Mon Mar 16 2009 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: fix unwind annotations
  (bnc#472783).
* Mon Mar 16 2009 hare@suse.de
- patches.fixes/sd-no-spinup-on-standby-ports: sd: Don't try
  to spin up drives that are connected to an inactive port
  (bnc#477624).
* Mon Mar 16 2009 hare@suse.de
- patches.drivers/qla4xxx-sles11-update: Wrong sense data length
  (bnc#483706).
* Mon Mar 16 2009 jack@suse.cz
- patches.fixes/ext4-mballoc-preallocate.patch: Fix assertion
  failure in mballoc code (bnc#480749).
* Mon Mar 16 2009 npiggin@suse.de
- patches.arch/x86-pageattr-pmd-permission-fix.patch: x86:
  use the right protections for split-up pagetables (bnc#439348).
* Mon Mar 16 2009 sjayaraman@suse.de
- patches.fixes/nfs-fix-posix-acl: NFSv3: Fix posix ACL code
  (bnc#465854).
* Mon Mar 16 2009 sjayaraman@suse.de
- patches.fixes/nfs-handle-ESTALE-on-ACCESS: NFS: Handle -ESTALE
  error in access() (bnc#465955).
* Fri Mar 13 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-hda-hp-more-quirks: ALSA: Add
  more quirks for HP laptops with IDT codec (bnc#479558).
- patches.drivers/alsa-hda-sigmatel-no-hp-reset: Delete (unused).
* Fri Mar 13 2009 hare@suse.de
- patches.fixes/scsi-dh-emc-mode-select-10-size: DM-MPIO fails
  to tresspass LUNs on CLARiiON arrays (bnc#484529).
* Fri Mar 13 2009 tiwai@suse.de
- patches.drivers/alsa-post-ga-alc888-coef-fix: ALSA: hda -
  Fix check of ALC888S-VC in alc888_coef_init() (bnc#482796).
- patches.drivers/alsa-post-ga-alc888-hp-3stack-auto-mute:
  ALSA: hda - Add headphone automute support for 3stack-hp model
  (ALC888) (bnc#482796).
- patches.drivers/alsa-post-ga-alc888-hp-4ch-mode: ALSA: hda -
  Add 4 channel mode for 3stack-hp model (ALC888) (bnc#482796).
- patches.drivers/alsa-post-ga-alc888-hp-quirk: ALSA: hda -
  Map 3stack-hp model (ALC888) for HP Educ.ar (bnc#482796).
- patches.drivers/alsa-post-ga-hda-hp-ad1984a-more-quirk: ALSA:
  update HP quirks for Zenith & co (bnc#472789, bnc#479617).
- patches.drivers/alsa-post-ga-hda-hp-xw-quirk: ALSA: hda -
  Add quirk for new HP xw series (bnc#480448).
- patches.drivers/alsa-post-ga-hda-sigmatel-update: Backport
  fixes for patch_sigmatel.c from 2.6.29 (bcn#457472, bnc#462913,
  bnc#467381, bnc#479558, bnc#480617, bnc#480809).
- patches.drivers/alsa-post-ga-hda-sigmatel-update2: ALSA:
  hda - Fix headphone-detect regression with multiple HP jacks
  (bnc#479558, bnc#482052).
- patches.drivers/alsa-post-ga-hda-sigmatel-update3: ALSA: hda
  - Create output controls according to pin types for IDT/STAC
  (bnc#479558, bnc#482052).
- patches.drivers/alsa-post-ga-hp-dv6736-mic-fix: ALSA: hda -
  Fix HP dv6736 mic input (bnc#480753).
- patches.drivers/alsa-post-ga-ideapad-44khz-fix: ALSA: Fix
  sample rate of Lenovo Ideapad to 44.1kHz (bnc#480391).
- patches.drivers/alsa-post-ga-lenovo-x200-quirk: ALSA: hda:
  add quirk for Lenovo X200 laptop dock (bnc#480753).
- Refreshed and removed the double-entry in array in
  patches.drivers/alsa-hda-realtek-update
* Thu Mar 12 2009 hare@suse.de
- patches.fixes/blk-timeout-readd-timeout-list: Kernel bug in
  kmpathd during FC cable pulls (bnc#476330).
* Wed Mar 11 2009 jjolly@suse.de
- patches.arch/s390-10-01-airq_fix_array_boundary.patch: cio:
  airq - fix array boundary (bnc#482818,LTC#51920).
- patches.arch/s390-10-02-zfcp_wait_sbal.patch: zfcp: Fix locking
  problem found during port offline test (bnc#482818,LTC#51957).
- patches.arch/s390-10-03-zfcp_els_thread_context.patch: zfcp:
  Send ELS ADISC from workqueue (bnc#482818,LTC#51958).
- patches.arch/s390-10-04-zfcp_change_adisc_processing.patch:
  zfcp: incorrect reaction on incoming
  RSCN. (bnc#482818,LTC#51960).
- patches.arch/s390-10-05-zfcp_remote_port_handling.patch: zfcp:
  Block remote ports (rports) early (bnc#482818,LTC#51961).
- patches.arch/s390-10-06-zfcp_slave_destroy.patch: zfcp: erp
  failed status bit will not be set (bnc#482818,LTC#51962).
- patches.arch/s390-10-07-zfcp_refc_work_inflight.patch: zfcp:
  fix queue, scheduled work processing. (bnc#482818,LTC#51963).
- patches.arch/s390-10-08-iucv-2ndparm.patch: iucv: provide second
  per-cpu IUCV command parameter block (bnc#482818,LTC#52502).
- patches.arch/s390-10-09-dasd-fix-timer-add.patch: dasd: fix
  race in dasd timer handling (bnc#482818,LTC#52092).
- patches.arch/s390-10-10-ccwgroup_fix_unbind.patch: cio:
  ccwgroup - fix unbind behaviour (bnc#482818,LTC#52098).
* Mon Mar 09 2009 hare@suse.de
- patches.drivers/qla2xxx-extend-address-range-of-option-rom-update:
  qla2xxx: Extend address range of option-rom update for recent
  ISPs (bnc#476206).
* Wed Mar 04 2009 teheo@suse.de
- patches.drivers/libata-thaw-when-skipping-reset: libata:
  make sure port is thawed when skipping resets (bnc#481749).
* Wed Mar 04 2009 teheo@suse.de
- patches.arch/x86-fix-nodac: x86: fix iommu=nodac parameter
  handling (bnc#463829).
- patches.arch/x86-mcp51-no-dac: x86: disallow DAC for MCP51
  PCI bridge (bnc#463829).
* Tue Mar 03 2009 teheo@suse.de
- patches.drivers/libata-ata_piix-samsung-db_p70-workaround:
  ata_piix: add workaround for Samsung DB-P70 (bnc#441420).
* Mon Mar 02 2009 hare@suse.de
- patches.arch/s390-disable-etr-stp: Disable ETR/STP on S/390
  (bnc#450468).
* Mon Mar 02 2009 knikanth@suse.de
- patches.fixes/dm-release-map_lock-before-set_disk_ro: Release
  md->map_lock before set_disk_ro to avoid calling
  kobject_uevent_env with interrupts disabled (bnc#479784).
* Sat Feb 28 2009 tiwai@suse.de
- patches.drivers/alsa-hda-hp6530b-quirk: ALSA: hda - Add quirk
  for HP 6530b (bnc#479617).
* Sat Feb 28 2009 carnold@novell.com
- patches.xen/xen-blkfront-map-sg: xen/blkfront: use blk_rq_map_sg
  to generate ring entries (bnc#470238).
* Sat Feb 28 2009 jeffm@suse.de
- Disabled patches.suse/reiserfs-inode-init.
  (bnc#447406, bnc#399966, bnc#468163)
* Sat Feb 28 2009 gregkh@suse.de
- patches.arch/ia64-sn-fix-pci-attribute-propagation-bug.patch:
  ia64: sn: fix pci attribute propagation bug (bnc#480591).
* Fri Feb 27 2009 carnold@novell.com
- patches.xen/xen-sysdev-suspend: use base kernel suspend/resume
  infrastructure. (bnc#477729)
* Fri Feb 27 2009 kkeil@suse.de
- patches.drivers/ixgbe_pagesize_fix.patch: Fix ixgbe bad
  performance with 64kB pages and large MTU.(bnc#480109)
* Fri Feb 27 2009 nfbrown@suse.de
- patches.fixes/md-raid1-handle-read-error.patch: Allow read
  error in single drive in raid1 to be passed up (bnc#447835).
* Thu Feb 26 2009 gregkh@suse.de
- patches.fixes/pci-amd-813x-b2-devices-do-not-need-quirk.patch:
  PCI: AMD 813x B2 devices do not need quirk (bnc#477675).
* Thu Feb 26 2009 hare@suse.de
- patches.fixes/dm-mpath-leastpending-correction: Path selector
  fix to dm-least-pending (bnc#444199).
* Thu Feb 26 2009 hare@suse.de
- patches.fixes/scsi-dh-alua-retry-UA: Ignore 06/04/02 in ALUA
  handler to allow generic code to process it (bnc#472069)
* Thu Feb 26 2009 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-rt3070-wireless-driver.patch:
  Staging: add rt3070 wireless driver.
* Wed Feb 25 2009 trenn@suse.de
- patches.fixes/via_blacklist_msi_pciid.patch: Disable MSI on
  specific VIA chipset (bnc#442387).
- scripts/check-cvs-add:
- scripts/tar-up.sh:
* Wed Feb 25 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: change the module-init-tools version
  requirement to '>= 3.4-56.9' to match the 11.1 update package
* Wed Feb 25 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: require fixed versions of m-i-t and
  perl-Bootloader for 11.1 update.
* Tue Feb 24 2009 jeffm@suse.com
- patches.fixes/fix-minor-signal-handling-vulnerability: kernel:
  minor signal handling vulnerability (bnc#465963 CVE-2009-0028).
* Tue Feb 24 2009 gregkh@suse.de
- patches.drivers/usb-asix-new-device-ids.patch: USB: asix:
  new device ids (bnc#478594).
- patches.drivers/usb-net-asix-add-support-for-cables-to-go-usb-ethernet-adapter.patch:
  USB: net: asix: add support for Cables-to-Go USB Ethernet
  adapter.
* Mon Feb 23 2009 jeffm@suse.de
- Updated VMI flavor kABI references.
* Mon Feb 23 2009 jeffm@suse.com
- patches.fixes/hpet-fix-for-LS21-boot-hang: x86, hpet: fix for
  LS21 + HPET = boot hang (bnc#476877).
* Mon Feb 23 2009 mmarek@suse.cz
- rpm/post.sh: only pass --xen-kernel=... to update_bootloader when
  in dom0
* Mon Feb 23 2009 tiwai@suse.de
- patches.drivers/alsa-ad1984-hp-volume-fix: ALSA: hda - Don't
  give over 0dB volume for AD1984A HP laptops (bnc#478158).
* Mon Feb 23 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-oops-during-mount: Fix oops in
  cifs_strfromUCS_le mounting to servers which do not specify
  their OS (bnc#478586).
* Mon Feb 23 2009 hare@suse.de
- patches.drivers/libfc-cancel_delayed_work_sync-called-improperly.patch:
  libfc: cancel_delayed_work_sync called improperly (bnc#477931).
* Mon Feb 23 2009 hare@suse.de
- patches.drivers/fcoe-fix-handling-of-pending-queue: fcoe:
  fix handling of pending queue, prevent out of order frames
  (bnc#477953).
* Mon Feb 23 2009 olh@suse.de
- patches.arch/ppc-load-store-fdp-align-fix.patch: powerpc:
  Fix load/store float double alignment handler (bnc#478551 - LTC51809)
* Mon Feb 23 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.14-update: Disable MSI by default
  in lpfc driver (bnc#477843).
* Sat Feb 21 2009 jeffm@suse.de
- Enabled PAE on VMI flavor.
* Sat Feb 21 2009 gregkh@suse.de
- patches.drivers/usb-option-add-benq-3g-modem-information.patch:
  USB: option: add BenQ 3g modem information (bnc#473918).
* Sat Feb 21 2009 gregkh@suse.de
- clean up patch fuzz due to 2.6.27.19
* Sat Feb 21 2009 teheo@suse.de
- patches.fixes/scsi-revive-sd_index_lock: sd: revive
  sd_index_lock (bnc#477999).
* Sat Feb 21 2009 gregkh@suse.de
- Update to 2.6.27.19
* Fri Feb 20 2009 knikanth@suse.de
- patches.suse/dm-mpath-lockdep-irqsave: dm: Fix lock dependency
  warning for request based dm (bnc#477927).
* Fri Feb 20 2009 olh@suse.de
- update patches.drivers/ehea.patch: Added missing set_bit() to
  disable data transfer when a memchange notification is handled
  (bnc#477972 - LTC51731)
* Thu Feb 19 2009 hare@suse.de
- patches.drivers/megaraid-mbox-fix-SG_IO: megaraid_mbox: Oops
  on SG_IO (bnc#475619).
* Thu Feb 19 2009 hare@suse.de
- patches.drivers/qla2xxx-eeh-recovery: qla2xxx driver EEH unable
  to recover from injected PCI error (bnc#442923).
* Thu Feb 19 2009 hare@suse.de
- patches.drivers/qla2xxx-correct-endianness-issue-during-flash:
  qla2xxx: Correct endianness issue during flash
  manipulation. (bnc#476206).
* Thu Feb 19 2009 jjolly@suse.de
- patches.arch/s390-09-01-cio_disable_notoper.patch: cio: Properly
  disable not operational subchannel. (bnc#477666,LTC#51619).
- patches.arch/s390-09-02-sclp-handle-empty-evbufs.patch: sclp:
  handle zero-length event buffers (bnc#477666,LTC#51641).
- patches.arch/s390-09-03-sclp-mem.patch: sclp: consider "mem="
  kernel parameter for standby memory (bnc#477666,LTC#51741).
- patches.arch/s390-09-04-topology.diff: topology: introduce
  arch specific SD_MC_INIT initializer (bnc#477666,LTC#51049).
* Thu Feb 19 2009 mmarek@suse.cz
- rpm/symsets.pl: allow passing only Module.symvers and no modules
* Thu Feb 19 2009 nfbrown@suse.de
- patches.suse/md-bitmap-sub-page-chunks: md: Allow write-intent
  bitmaps to have chunksize < PAGE_SIZE (459557).
* Thu Feb 19 2009 gregkh@suse.de
- Update to 2.6.27.19-rc1:
  - lots of bugfixes
  - obsoletes:
    - patches.arch/ppc-vsx_align.patch
    - patches.fixes/libiscsi-fix-iscsi-pool-leak.patch
* Wed Feb 18 2009 jslaby@suse.cz
- patches.fixes/rt2x00-fix-race-conditions.patch: rt2x00: Fix
  race conditions in flag handling (bnc#462551).
* Wed Feb 18 2009 gregkh@suse.de
- Update config files.
- patches.drivers/usb-serial-add-qualcomm-wireless-modem-driver.patch:
  USB: serial: add qualcomm wireless modem driver.
* Tue Feb 17 2009 gregkh@suse.de
- refresh patches to apply cleanly due to 2.6.27.18 release
* Tue Feb 17 2009 gregkh@suse.de
- Update to 2.6.27.18
* Tue Feb 17 2009 olh@suse.de
- patches.arch/ppc-vsx_align.patch:
  fix VSX alignment handler for regs 32-63 (bnc#475903 - LTC51663)
* Mon Feb 16 2009 jeffm@suse.de
- patches.apparmor/fix-deleted-leak.diff: AppArmor: Fix leak of
  filename for deleted files.
* Mon Feb 16 2009 jdelvare@suse.de
- patches.fixes/libiscsi-fix-iscsi-pool-leak.patch: Fix iscsi pool
  leak (bnc#472896).
* Mon Feb 16 2009 tiwai@suse.de
- Update patches.drivers/alsa-hda-hp-zenith-quirk: add more entries
  and fix model type (bnc#472789).
* Sun Feb 15 2009 gregkh@suse.de
- Update to 2.6.27.18-rc2
  - security fix
* Sat Feb 14 2009 gregkh@suse.de
- Update to 2.6.27.18-rc1
  - lots of bugfixes
  - security fixes
  - obsoletes:
    - patches.drivers/libata-fix-EH-device-failure-handling
    - patches.fixes/iwlwifi-scan-correct-setting-of-valid-rx_chains.patch
    - patches.fixes/mm-write_cache_pages-fix-2.patch
    - patches.fixes/mm-write_cache_pages-fix-3.patch
    - patches.fixes/mm-write_cache_pages-fix.patch
    - patches.fixes/net-Fix-OOPS-in-skb_seq_read.patch
    - patches.fixes/net-Fix-frag_list-handling-in-skb_seq_read.patch
* Fri Feb 13 2009 jbenc@suse.cz
- patches.fixes/iwlagn-fix-error-path.patch: iwlagn: clean up
  error path in iwl_pci_probe (bnc#474043).
* Fri Feb 13 2009 npiggin@suse.de
- patches.fixes/mm-write_cache_pages-fix-3.patch: Fix page
  writeback thinko, causing Berkeley DB slowdown.
* Fri Feb 13 2009 hare@suse.de
- patches.fixes/blk-timeout-splice-timeout-list: Deadlock during
  multipath failover (bnc#475107).
* Fri Feb 13 2009 hare@suse.de
- patches.drivers/libfc-check-for-err-when-recv-state-is-incorrect.diff:
  libfc: check for err when recv and state is incorrect
  (bnc#473602).
* Fri Feb 13 2009 rw@suse.de
- supported.conf: mark perfmon as unsupported technology preview
  everywhere.  (bnc#475158)
* Fri Feb 13 2009 gregkh@suse.de
- Update to 2.6.27.17
  - bugfix for a acpi dock problem.
- patches.arch/acpi-dock-don-t-eval-_sta-on-every-show_docked-sysfs-read.patch:
  ACPI: dock: Don't eval _STA on every show_docked sysfs read.
* Thu Feb 12 2009 gregkh@suse.de
- refresh patches for 2.6.27.16, cleaning up fuzz.
* Thu Feb 12 2009 gregkh@suse.de
- Update to final 2.6.27.16 release
* Thu Feb 12 2009 jjolly@suse.de
- patches.drivers/Out-of-order-tx-frames-was-causing-several-check-con.patch:
  Out of order tx frames was causing several check condition
  SCSI statusframes followed by these errors in log. (bnc#473604).
- patches.drivers/fcoe-exch-mgr-is-freed-while-lport-still-retrying-s.patch:
  fcoe: exch mgr is freed while lport still retrying sequences
  (bnc#473603).
- patches.drivers/fcoe-fix-kfree-skb.patch: fcoe: fix kfree(skb)
  (bnc#473609).
* Wed Feb 11 2009 garloff@suse.de
- patches.suse/mm-devzero-optimisation.patch: Enable for Xen
  (bnc#430738).
* Wed Feb 11 2009 gregkh@suse.de
- patches.fixes/iwlwifi-scan-correct-setting-of-valid-rx_chains.patch:
  iwlwifi: scan correct setting of valid rx_chains (bnc#462527).
* Wed Feb 11 2009 jack@suse.cz
- patches.fixes/ext4-fixes-2.6.28-rc8.patch: Ext4 update (fixes several
  bad bugs and touches only ext4 so it is safe) (fate#303783).
  Delete old ext4 fixes as they are part of the large update patch:
- patches.fixes/ext4_fix_printk_checkpatch_issues
- patches.fixes/ext4_fix_longlong_checkpatch_issues
- patches.fixes/ext4_invalidate_pages_when_delalloc_alloc_fail.patch
- patches.fixes/ext4_nonmballoc_reservation_ENOSPC_fix.patch
- patches.fixes/ext4_truncate_block_allocated_on_a_failed_ext4_write_begin.patch
- patches.fixes/ext4_i_disksize_lock_race_fix.patch
- patches.fixes/ext4-Add-inode-to-journal-handle-after-block-alloca.patch
- patches.fixes/ext4-Add-percpu-dirty-block-accounting.patch
- patches.fixes/ext4-Make-sure-all-the-block-allocation-paths-reser.patch
- patches.fixes/ext4-Retry-block-allocation-if-we-have-free-blocks.patch
- patches.fixes/ext4-Retry-block-reservation.patch
- patches.fixes/ext4-Signed-arithematic-fix.patch
- patches.fixes/ext4-Switch-to-non-delalloc-mode-when-we-are-low-on.patch
* Wed Feb 11 2009 hare@suse.de
- patches.fixes/scsi-dh-emc-rw-mismatch: Server crashes when
  path failures occur against EMC storage.
* Wed Feb 11 2009 gregkh@suse.de
- patches.kabi/abi-fix-add-vc_scrl_erase_char-back-to-struct-vc_data.patch:
  ABI fix: add vc_scrl_erase_char back to struct vc_data.
* Wed Feb 11 2009 gregkh@suse.de
- Update to 2.6.27.16-rc1
  - lots of bugfixes
  - obsoletes:
    - patches.drivers/alsa-hda-alc272-eapd-init
    - patches.drivers/alsa-hda-fsc-amilo-xi2550-quirk
    - patches.drivers/e1000-fix-shared-emc.patch
    - patches.fixes/acpi_copy_tables_fix_suspend.patch
    - patches.fixes/acpi_dereference_object_if_possible.patch
    - patches.fixes/acpi_do_not_load_acpi_cpufreq_acpioff.patch
    - patches.fixes/acpi_video_handle_reversed_brightness_info.patch
    - patches.fixes/dm-mpath-NULL-pgpath-in-activate_path
    - patches.fixes/e1000-Fix-PCI-enable-to-honor-the-need_ioport-flag.patch
    - patches.fixes/hso_killswitch.patch
    - patches.fixes/ipw2200-workaround-firmware-restarts-when-scanning.patch
    - patches.fixes/md-Allow-metadata_version-to-be-updated-for-externa.patch
    - patches.fixes/md-Don-t-try-to-set-an-array-to-read-auto-if-it-i.patch
    - patches.fixes/null_irq_desc_name.diff
    - patches.fixes/remove_over-zealous_check_in__module_get
    - patches.fixes/revert-bgcolor-line-feed-93f78da4.patch
    - patches.fixes/s390-lru_add_drain_all.patch
    - patches.fixes/sctp_do_not_use_stale_copy_of_sk
    - patches.fixes/sunrpc-module-refcount-fix
    - patches.fixes/ti_usb_table_size.diff
    - patches.fixes/xfs-barrier-fix.patch
    - patches.kernel.org/fix-get_user-for-core-dump
    - patches.suse/ti_usb_470900.diff
* Wed Feb 11 2009 mfasheh@suse.com
  Fix build breakage - moved some Ocfs2 patches from patches.kernel.org to
  patches.suse.
* Tue Feb 10 2009 mfasheh@suse.com
  Refresh and re-enable Ocfs2 quota patches.
- patches.suse/ocfs2-Add-quota-calls-for-allocation-and-freeing-of.patch:
  ocfs2: Add quota calls for allocation and freeing of inodes
  and space (fate#302681).
- patches.suse/ocfs2-Enable-quota-accounting-on-mount-disable-on.patch:
  ocfs2: Enable quota accounting on mount, disable on umount
  (fate#302681).
- patches.suse/ocfs2-Implementation-of-local-and-global-quota-file.patch:
  ocfs2: Implementation of local and global quota file handling
  (fate#302681).
* Tue Feb 10 2009 mfasheh@suse.com
  Add better Ocfs2 ACL/security attribute patches. The original set of patches
  for Ocfs2 ACLs were based on pre-release code. This refreshes them to be up
  to date with the well tested and bugfixed kernel.org patches.
- patches.kernel.org/ocfs2-Add-clusters-free-in-dealloc_ctxt.patch:
  ocfs2: Add clusters free in dealloc_ctxt..
- patches.kernel.org/ocfs2-Convenient-access-to-an-xattr-bucket-s-block.patch:
  ocfs2: Convenient access to an xattr bucket's block number..
- patches.kernel.org/ocfs2-Convenient-access-to-an-xattr-bucket-s-header.patch:
  ocfs2: Convenient access to an xattr bucket's header..
- patches.kernel.org/ocfs2-Convenient-access-to-xattr-bucket-data-blocks.patch:
  ocfs2: Convenient access to xattr bucket data blocks..
- patches.kernel.org/ocfs2-Copy-xattr-buckets-with-a-dedicated-function.patch:
  ocfs2: Copy xattr buckets with a dedicated function..
- patches.kernel.org/ocfs2-Field-prefixes-for-the-xattr_bucket-structure.patch:
  ocfs2: Field prefixes for the xattr_bucket structure.
- patches.kernel.org/ocfs2-Improve-ocfs2_read_xattr_bucket.patch:
  ocfs2: Improve ocfs2_read_xattr_bucket()..
- patches.kernel.org/ocfs2-Provide-a-wrapper-to-brelse-xattr-bucket-bu.patch:
  ocfs2: Provide a wrapper to brelse() xattr bucket buffers..
- patches.kernel.org/ocfs2-Take-ocfs2_xattr_bucket-structures-off-of-the.patch:
  ocfs2: Take ocfs2_xattr_bucket structures off of the stack..
- patches.kernel.org/ocfs2-Use-buckets-in-ocfs2_defrag_xattr_bucket.patch:
  ocfs2: Use buckets in ocfs2_defrag_xattr_bucket()..
- patches.kernel.org/ocfs2-Use-buckets-in-ocfs2_xattr_bucket_find.patch:
  ocfs2: Use buckets in ocfs2_xattr_bucket_find()..
- patches.kernel.org/ocfs2-Use-buckets-in-ocfs2_xattr_create_index_block.patch:
  ocfs2: Use buckets in ocfs2_xattr_create_index_block()..
- patches.kernel.org/ocfs2-Use-buckets-in-ocfs2_xattr_set_entry_in_bucke.patch:
  ocfs2: Use buckets in ocfs2_xattr_set_entry_in_bucket()..
- patches.kernel.org/ocfs2-Wrap-journal_access-journal_dirty-for-xattr-b.patch:
  ocfs2: Wrap journal_access/journal_dirty for xattr buckets..
- patches.kernel.org/ocfs2-add-POSIX-ACL-API.patch: ocfs2:
  add POSIX ACL API.
- patches.kernel.org/ocfs2-add-mount-option-and-Kconfig-option-for-acl.patch:
  ocfs2: add mount option and Kconfig option for acl.
- patches.kernel.org/ocfs2-add-ocfs2_acl_chmod.patch: ocfs2:
  add ocfs2_acl_chmod.
- patches.kernel.org/ocfs2-add-ocfs2_check_acl.patch: ocfs2:
  add ocfs2_check_acl.
- patches.kernel.org/ocfs2-add-ocfs2_init_acl-in-mknod.patch:
  ocfs2: add ocfs2_init_acl in mknod.
- patches.kernel.org/ocfs2-add-ocfs2_init_security-in-during-file-create.patch:
  ocfs2: add ocfs2_init_security in during file create.
- patches.kernel.org/ocfs2-add-ocfs2_xattr_get_nolock.patch:
  ocfs2: add ocfs2_xattr_get_nolock.
- patches.kernel.org/ocfs2-add-ocfs2_xattr_set_handle.patch:
  ocfs2: add ocfs2_xattr_set_handle.
- patches.kernel.org/ocfs2-add-security-xattr-API.patch: ocfs2:
  add security xattr API.
- patches.kernel.org/ocfs2-move-new-inode-allocation-out-of-the-transact.patch:
  ocfs2: move new inode allocation out of the transaction.
- patches.kernel.org/ocfs2-turn-__ocfs2_remove_inode_range-into-ocfs2_.patch:
  ocfs2: turn __ocfs2_remove_inode_range() into
  ocfs2_remove_btree_range().
- patches.kernel.org/ocfs2-xattr-Merge-xattr-set-transaction.patch:
  ocfs2/xattr: Merge xattr set transaction..
- patches.kernel.org/ocfs2-xattr-Move-clusters-free-into-dealloc.patch:
  ocfs2/xattr: Move clusters free into dealloc..
- patches.kernel.org/ocfs2-xattr-Only-extend-xattr-bucket-in-need.patch:
  ocfs2/xattr: Only extend xattr bucket in need..
- patches.kernel.org/ocfs2-xattr-Only-set-buffer-update-if-it-doesn-t-ex.patch:
  ocfs2/xattr: Only set buffer update if it doesn't exist
  in cache..
- patches.kernel.org/ocfs2-xattr-Remove-additional-bucket-allocation-in.patch:
  ocfs2/xattr: Remove additional bucket allocation in bucket
  defragment..
- patches.kernel.org/ocfs2-xattr-Reserve-meta-data-at-the-beginning-of-o.patch:
  ocfs2/xattr: Reserve meta/data at the beginning of
  ocfs2_xattr_set..
- patches.suse/ocfs2-Add-POSIX-ACL-support-in-ocfs2.patch: Delete.
- patches.suse/ocfs2-Add-security-xattr-support-in-ocfs2.patch:
  Delete.
- patches.suse/ocfs2-Merge-transactions-during-xattr-set.patch:
  Delete.
- patches.suse/ocfs2-Remove-unused-function-restore_extent_block.patch:
  Delete.
- patches.suse/ocfs2-xattr.-ch-definition-cleanups.patch: Delete.
* Tue Feb 10 2009 mfasheh@suse.com
  The Ocfs2 code we've got here is mostly the same as what went into the
  2.6.28 merge window. This update adds all the fixes between the end of the
  merge window, and the release of 2.6.28. I had to temporarily disable quota
  and acl support. They will be re-enabled in the next couple of updates.
- patches.fixes/ocfs2-Add-JBD2-compat-feature-bit.patch: ocfs2:
  Add JBD2 compat feature bit..
- patches.fixes/ocfs2-Always-update-xattr-search-when-creating-buck.patch:
  ocfs2: Always update xattr search when creating bucket..
- patches.fixes/ocfs2-Check-errors-from-ocfs2_xattr_update_xattr_se.patch:
  ocfs2: Check errors from ocfs2_xattr_update_xattr_search().
- patches.fixes/ocfs2-Check-search-result-in-ocfs2_xattr_block_get.patch:
  ocfs2: Check search result in ocfs2_xattr_block_get().
- patches.fixes/ocfs2-Check-xattr-block-signatures-properly.patch:
  ocfs2: Check xattr block signatures properly..
- patches.fixes/ocfs2-Don-t-repeat-ocfs2_xattr_block_find.patch:
  ocfs2: Don't repeat ocfs2_xattr_block_find().
- patches.fixes/ocfs2-Don-t-return-EFAULT-from-a-corrupt-xattr-ent.patch:
  ocfs2: Don't return -EFAULT from a corrupt xattr entry..
- patches.fixes/ocfs2-Fix-check-of-return-value-of-ocfs2_start_tran.patch:
  ocfs2: Fix check of return value of ocfs2_start_trans().
- patches.fixes/ocfs2-Fix-checking-of-return-value-of-new_inode.patch:
  ocfs2: Fix checking of return value of new_inode().
- patches.fixes/ocfs2-Fix-some-typos-in-xattr-annotations.patch:
  ocfs2: Fix some typos in xattr annotations..
- patches.fixes/ocfs2-Let-inode-be-really-deleted-when-ocfs2_mknod_.patch:
  ocfs2: Let inode be really deleted when ocfs2_mknod_locked()
  fails.
- patches.fixes/ocfs2-Remove-unused-ocfs2_restore_xattr_block.patch:
  ocfs2: Remove unused ocfs2_restore_xattr_block()..
- patches.fixes/ocfs2-Specify-appropriate-journal-access-for-new-xa.patch:
  ocfs2: Specify appropriate journal access for new xattr
  buckets..
- patches.fixes/ocfs2-add-handler_map-array-bounds-checking.patch:
  ocfs2: add handler_map array bounds checking.
- patches.fixes/ocfs2-comments-typo-fix.patch: ocfs2: comments
  typo fix.
- patches.fixes/ocfs2-fix-function-declaration-and-definition-in-xa.patch:
  ocfs2: fix function declaration and definition in xattr.
- patches.fixes/ocfs2-fix-license-in-xattr.patch: ocfs2: fix
  license in xattr.
- patches.fixes/ocfs2-fix-printk-related-build-warnings-in-xattr.c.patch:
  ocfs2: fix printk related build warnings in xattr.c.
- patches.fixes/ocfs2-fix-regression-in-ocfs2_read_blocks_sync.patch:
  ocfs2: fix regression in ocfs2_read_blocks_sync().
- patches.fixes/ocfs2-fix-return-value-set-in-init_dlmfs_fs.patch:
  ocfs2: fix return value set in init_dlmfs_fs().
- patches.fixes/ocfs2-fix-wake_up-in-unlock_ast.patch: ocfs2:
  fix wake_up in unlock_ast.
- patches.fixes/ocfs2-initialize-stack_user-lvbptr.patch: ocfs2:
  initialize stack_user lvbptr.
- patches.fixes/ocfs2-more_start_tran_fixes.patch: ocfs2: Fix
  check of return value of ocfs2_start_trans() in xattr.c..
- patches.fixes/ocfs2-remove-acl-handlers.patch: Remove un-defined
  acl handlers .
- patches.fixes/ocfs2-remove-duplicate-definition-in-xattr.patch:
  ocfs2: remove duplicate definition in xattr.
- patches.fixes/ocfs2-remove-prepare_write-commit_write.patch:
  fs: remove prepare_write/commit_write.
- patches.fixes/ocfs2-remove-undefined-xattr-handlers.patch:
  Remove un-defined acl handlers .
- patches.fixes/ocfs2-return-0-in-page_mkwrite-to-let-VFS-retry.patch:
  ocfs2: return 0 in page_mkwrite to let VFS retry..
- patches.fixes/ocfs2-truncate-outstanding-block-after-direct-io-fa.patch:
  ocfs2: truncate outstanding block after direct io failure.
- patches.fixes/ocfs2-xattr-Proper-hash-collision-handle-in-bucket.patch:
  ocfs2/xattr: Proper hash collision handle in bucket division.
* Tue Feb 10 2009 gregkh@suse.de
- patches.drivers/libata-sata_via-add-vt8261-support.patch:
  libata: sata_via: Add VT8261 support (bnc#474301).
* Tue Feb 10 2009 jblunck@suse.de
- patches.fixes/fix-device-number-in-blktrace.patch: sg: fix
  device number in blktrace data (bnc#473537).
* Mon Feb 09 2009 npiggin@suse.de
- patches.fixes/mm-write_cache_pages-fix-2.patch:
  write_cache_pages fix 2 (bnc#473932).
- patches.fixes/mm-write_cache_pages-fix.patch:
  write-back: fix nr_to_write counter (bnc#473932).
* Mon Feb 09 2009 npiggin@suse.de
- patches.suse/mm-devzero-optimisation.patch: mm: /dev/zero
  optimisation (bnc#430738).
* Mon Feb 09 2009 hare@suse.de
- patches.fixes/scsi-dh-rdac-retry-UA: Retry for Quiescence in
  Progress in rdac device handler.
- patches.kernel.org/fix-get_user-for-core-dump: elf core dump:
  fix get_user use (bnc#473916).
* Mon Feb 09 2009 trenn@suse.de
- patches.arch/x86_intel_cacheinfo_fix.patch: x86: Also move
  detect_extended_topology before init_intel_cacheinfo(c) in
  init_intel() (bnc#464329).
* Mon Feb 09 2009 hare@suse.de
- Set CONFIG_HZ value to 100 for S/390 (bnc#472367)
* Mon Feb 09 2009 hare@suse.de
- patches.suse/dm-mpath-leastpending-path-update: Fix
  dm table output (bnc#444199).
* Mon Feb 09 2009 trenn@suse.de
  Adjust acpi_evaluate_integer to pass long long:
- patches.arch/0000-ACPI-video-Ignore-devices-not-present.patch:
  ACPI: video: Ignore devices that aren't present in hardware.
- patches.drivers/panasonic-laptop-add-panasonic-let-s-note-laptop-extras-driver-v0.94.patch:
  panasonic-laptop: add Panasonic Let's Note laptop extras
  driver v0.94.
* Mon Feb 09 2009 hare@suse.de
- Disable OPTIMIZE_FOR_SIZE on S/390 (bnc#472367)
- supported.conf: Mark em_cmp as supported (bnc#473047)
* Mon Feb 09 2009 hare@suse.de
- patches.fixes/open-iscsi-mv-transport-eh-setting: Kernel panic
  on sysReboot of array controller (bnc#466846).
* Sun Feb 08 2009 mmarek@suse.cz
- update kabi files: import acpi_evaluate_integer() abi change.
* Sat Feb 07 2009 gregkh@suse.de
- refresh patches for fuzz due to update to 2.6.27.15
* Sat Feb 07 2009 gregkh@suse.de
- Update to 2.6.27.15
* Sat Feb 07 2009 mfasheh@suse.com
- patches.fixes/ocfs2-Set-journal-descriptor-to-NULL-after-journal.patch:
  ocfs2: Set journal descriptor to NULL after journal shutdown
  (BZ 450579).
- patches.fixes/ocfs2-dlm-Hold-off-sending-lockres-drop-ref-message.patch:
  ocfs2/dlm: Hold off sending lockres drop ref message while
  lockres is migrating (BZ 450579).
* Fri Feb 06 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage, rpm/post.sh, rpm/postun.sh: fix
  last change: don't pass -e to weak-modules2.
* Fri Feb 06 2009 jeffm@suse.de
- patches.fixes/mmu_notifiers_release_fixup: Delete.
* Fri Feb 06 2009 rw@suse.de
- patches.arch/ia64-cpu_disable-fix:
  IA64: first clear CPU from online map, then fixup IRQs. (bnc#386714)
- patches.suse/perfmon2.patch:
  refresh.
* Fri Feb 06 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage, rpm/post.sh, rpm/postun.sh: pass
  down shell options like -x to weak-modules2 to make debugging
  with rpm -ivv easier.
* Fri Feb 06 2009 rw@suse.de
- patches.arch/ia64-sn-BTE_MAX_XFER:
  IA64: bte_copy of BTE_MAX_XFER trips BUG_ON.  (bnc#472894)
* Fri Feb 06 2009 hare@suse.de
- patches.fixes/qla2xxx-devtbl-fix: Kernel Panic with Qlogic
  2472 Card (bnc#472804).
* Fri Feb 06 2009 jjolly@suse.de
- patches.arch/s390-08-09-switch-amode-off.patch: kernel: Fix user
  copy functions (pagetable walk) with KERNEL_DS. (bnc#466462).
* Fri Feb 06 2009 rw@suse.de
- Update config files: disable KDB hardware breakpoints for ia64
  default kernel.  (bnc#448917)
* Fri Feb 06 2009 olh@suse.de
- patches.arch/ppc-fix-ppc-insn-emulation_mr.patch:
  Don't emulate mr. instructions (bnc#459387 - LTC49903)
* Fri Feb 06 2009 tiwai@suse.de
- patches.drivers/alsa-hda-alc272-eapd-init: ALSA: hda - Add
  missing initialization for ALC272 (bnc#473221).
* Fri Feb 06 2009 jjolly@suse.de
- patches.drivers/cxgb3-fix_lro_alignment.patch: cxgb3: Fix
  LRO misalignment.
- patches.drivers/cxgb3-fix_lro_switch.patch: cxgb3: Fix lro
  switch.
* Fri Feb 06 2009 olh@suse.de
- patches.drivers/ibmvfc_tasklet.patch:
  Fix dropped interrupts (bnc#473115 - LTC51485)
* Fri Feb 06 2009 nfbrown@suse.de
- patches.fixes/md-raid1-chunksize: Don't fail to start a RAID1
  with a small chunksize (459557).
* Fri Feb 06 2009 rjw@suse.de
- patches.fixes/Hibernate-Take-overlapping-zones-into-account-rev-2.patch:
  Hibernate: Take overlapping zones into account (rev. 2)
  (bnc#438914).
* Fri Feb 06 2009 jeffm@suse.de
- patches.fixes/mmu_notifiers_release_fixup: mmu_notifiers
  destroyed by __mmu_notifier_release() (bnc#472939).
* Thu Feb 05 2009 kkeil@suse.de
  This bnx2x update fix some critial issues in the driver
  and is in sync with mainline now (bnc#472500)
- patches.drivers/bnx2x-1G-10G-toggling-race.patch: bnx2x:
  1G-10G toggling race.
- patches.drivers/bnx2x-Barriers-for-the-compiler.patch: bnx2x:
  Barriers for the compiler.
- patches.drivers/bnx2x-Calling-napi_del.patch: bnx2x: Calling
  napi_del.
- patches.drivers/bnx2x-Carrier-off-first-call.patch: bnx2x:
  Carrier off first call.
- patches.drivers/bnx2x-Disable-napi.patch: bnx2x: Disable napi.
- patches.drivers/bnx2x-Driver-description-update.patch: bnx2x:
  Driver description update.
- patches.drivers/bnx2x-Endianness-issues.patch: bnx2x:
  Endianness issues.
- patches.drivers/bnx2x-First-slow-path-interrupt-race.patch:
  bnx2x: First slow path interrupt race.
- patches.drivers/bnx2x-Fixing-the-doorbell-size.patch: bnx2x:
  Fixing the doorbell size.
- patches.drivers/bnx2x-Flow-control-updated-before-reporting-the-lin.patch:
  bnx2x: Flow control updated before reporting the link.
- patches.drivers/bnx2x-Free-IRQ.patch: bnx2x: Free IRQ.
- patches.drivers/bnx2x-Handling-PHY-FW-load-failure.patch:
  bnx2x: Handling PHY FW load failure.
- patches.drivers/bnx2x-Handling-load-failures.patch: bnx2x:
  Handling load failures.
- patches.drivers/bnx2x-Handling-probe-failures.patch: bnx2x:
  Handling probe failures.
- patches.drivers/bnx2x-Indirection-table-initialization-index.patch:
  bnx2x: Indirection table initialization index.
- patches.drivers/bnx2x-Legacy-speeds-autoneg-failures.patch:
  bnx2x: Legacy speeds autoneg failures.
- patches.drivers/bnx2x-MTU-Filter.patch: bnx2x: MTU Filter.
- patches.drivers/bnx2x-Missing-brackets.patch: bnx2x: Missing
  brackets.
- patches.drivers/bnx2x-Missing-mask-when-calculating-flow-control.patch:
  bnx2x: Missing mask when calculating flow control.
- patches.drivers/bnx2x-Missing-memory-barriers.patch: bnx2x:
  Missing memory barriers.
- patches.drivers/bnx2x-Missing-rmb-when-waiting-for-FW-response.patch:
  bnx2x: Missing rmb when waiting for FW response.
- patches.drivers/bnx2x-Overstepping-array-bounds.patch: bnx2x:
  Overstepping array bounds.
- patches.drivers/bnx2x-Potential-race-after-iSCSI-boot.patch:
  bnx2x: Potential race after iSCSI boot.
- patches.drivers/bnx2x-Prevent-self-test-loopback-failures.patch:
  bnx2x: Prevent self test loopback failures.
- patches.drivers/bnx2x-Protecting-the-link-change-indication.patch:
  bnx2x: Protecting the link change indication.
- patches.drivers/bnx2x-Read-chip-ID.patch: bnx2x: Read chip ID.
- patches.drivers/bnx2x-Reset-HW-before-use.patch: bnx2x: Reset
  HW before use.
- patches.drivers/bnx2x-Using-singlethread-work-queue.patch:
  bnx2x: Using singlethread work queue.
- patches.drivers/bnx2x-Using-system-page-size-for-SGE.patch:
  bnx2x: Using system page size for SGE.
- patches.drivers/bnx2x-VLAN-tagged-packets-without-VLAN-offload.patch:
  bnx2x: VLAN tagged packets without VLAN offload.
- patches.drivers/bnx2x-Version-update.patch: bnx2x: Version
  update.
- patches.drivers/bnx2x-Version.patch: bnx2x: Version.
- patches.drivers/bnx2x-Wrong-HDR-offset-in-CAM.patch: bnx2x:
  Wrong HDR offset in CAM.
- patches.drivers/bnx2x-loopback-test-failure.patch: bnx2x:
  loopback test failure.
- patches.drivers/bnx2x-tx_has_work-should-not-wait-for-FW.patch:
  bnx2x: tx_has_work should not wait for FW.
- patches.fixes/bnx2x-block-nvram-access-when-device-is-inactive:
  bnx2x: Block nvram access when the device is inactive
  (bnc#470898).
* Thu Feb 05 2009 bwalle@suse.de
- rpm/kernel-binary.spec.in: Don't try to copy Kerntypes when
  building the 'vanilla' flavour.
* Thu Feb 05 2009 hare@suse.de
- patches.fixes/scsi-scan-set-SDEV_DEL-on-destroy: add missing
  interim SDEV_DEL state if slave_alloc fails (bnc#468640).
* Thu Feb 05 2009 tiwai@suse.de
- Update SSIDs in patches.drivers/alsa-hda-hp-zenith-quirk
  (bnc#472789).
* Thu Feb 05 2009 bwalle@suse.de
- patches.suse/s390-Kerntypes.diff, rpm/kernel-binary.spec.in:
  Generate dwarf Kerntypes file for s390.
* Thu Feb 05 2009 hare@suse.de
- patches.fixes/dm-path-selector-ref-count: dm-path-selector:
  fix refcount corruption.
- patches.fixes/scsi-dh-alua-group-id-mask: Incorrect masking
  for group ID in scsi_dh_alua.
* Thu Feb 05 2009 jbeulich@novell.com
- patches.xen/782-netback-error-handling.patch: netback: unmap tx ring
  gref when mapping of rx ring gref failed.
- patches.xen/791-x86-pcifront-register-pirq.patch: fix IRQ handling
  for PV passthrough.
- patches.xen/xen3-patch-2.6.27.15-rc1: Linux 2.6.27.15-rc1.
- patches.xen/xen3-remove_kernel_physical_mapping_init_from_init:
  move kernel_physical_mapping_init to __meminit (bnc#467474).
- patches.xen/xen3-x86-usb-debug-port-early-console-v4.patch:
  x86: usb debug port early console, v4.
- Re-diff other Xen patches.
* Thu Feb 05 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.13-update: Update lpfc from 8.2.8.12
  to 8.2.8.13 (bnc#472608).
- patches.fixes/scsi-fixup-scsi_host_lookup-return-value: Fixup
  return value in scsi_host_lookup() (bnc#468654).
- patches.suse/dm-use-md-for-free_bio_clone: Kernel oops in
  free_bio_clone() (bnc#472360).
* Thu Feb 05 2009 tiwai@suse.de
- patches.drivers/alsa-hda-fsc-amilo-xi2550-quirk: ALSA: hda -
  Add quirk for FSC Amilo Xi2550 (bnc#450979).
- patches.drivers/alsa-hda-hp-zenith-quirk: ALSA: hda - Add
  quirk for HP zenith laptop (bnc#472789).
* Thu Feb 05 2009 pavel@suse.cz
- patches.drivers/igp-fix-ring-on-suspend.patch: Fix
  tx/rx_ring_count parameters for igb on suspend/resume/ring
  resize (bnc#465049).
- scripts/sequence-patch.sh: add default tmp/ directory, and
  use ketchup if kernel source is unavailable otherwise
* Thu Feb 05 2009 bwalle@suse.de
- patches.fixes/make-note_interrupt-fast.diff: Fix performance
  regression on large IA64 systems (bnc #469589).
* Thu Feb 05 2009 olh@suse.de
- patches.drivers/ibmvfc_class3.patch: Fix command timeout errors
- patches.drivers/ibmvfc_default_timeout.patch: Increase cancel timeout
- patches.drivers/ibmvfc_relogin_fix.patch: Fix rport relogin
  (bnc#472645 - LTC51429)
* Thu Feb 05 2009 gregkh@suse.de
- remove unused patches, I forgot to remove them during -stable merges:
  - patches.fixes/PCI-PM-Split-PCI-Express-port-suspend-resume.patch
  - patches.fixes/acpi_fix_double_slash_root_prefix_handling.patch
* Wed Feb 04 2009 gregkh@suse.de
- Update config files for 2.6.27.15-rc1
* Wed Feb 04 2009 gregkh@suse.de
- README.BRANCH: fix up wording to be correct now that it is no
  longer HEAD
* Wed Feb 04 2009 tonyj@suse.de
- supported.conf: mark perfmon as externally supported on ia64
* Wed Feb 04 2009 gregkh@suse.de
- Update to 2.6.27.15-rc1
  - loads of bugfixes
  - obsoletes:
    - patches.fixes/acpi_check_for_invalid_handle.patch: Delete.
    - patches.fixes/acpi_video_always_update_sys.patch: Delete.
    - patches.fixes/cifs-fix-oops-on-ipv6-mount: Delete.
    - patches.fixes/serial-jsm-enable_ms.patch: Delete.
* Wed Feb 04 2009 kkeil@suse.de
  Update netxen 10Gb driver to current mainline (bnc#472416)
- patches.drivers/netxen-avoid-invalid-iounmap.patch: netxen:
  avoid invalid iounmap.
- patches.drivers/netxen-cleanup-mac-list-on-driver-unload.patch:
  netxen: cleanup mac list on driver unload.
- patches.drivers/netxen-enable-msi-x-for-quad-gig-boards.patch:
  netxen: enable msi-x for quad-gig boards.
- patches.drivers/netxen-firmware-init-fix.patch: netxen:
  firmware init fix.
- patches.drivers/netxen-fix-endianness-in-firmware-commands.patch:
  netxen: fix endianness in firmware commands.
- patches.drivers/netxen-fix-ipv6-offload-and-tx-cleanup.patch:
  netxen: fix ipv6 offload and tx cleanup.
- patches.drivers/netxen-fix-link-speed-reporting-for-some-boards.patch:
  netxen: fix link speed reporting for some boards.
- patches.drivers/netxen-fix-memory-leak-in-drivers-net-netxen_nic_in.patch:
  netxen: fix memory leak in drivers/net/netxen_nic_init.c.
- patches.drivers/netxen-fix-vlan-tso-checksum-offload.patch:
  netxen: fix vlan tso/checksum offload.
- patches.drivers/netxen-handle-dma-mapping-failures.patch:
  netxen: handle dma mapping failures.
- patches.drivers/netxen-hold-tx-lock-while-sending-firmware-commands.patch:
  netxen: hold tx lock while sending firmware commands.
- patches.drivers/netxen-include-ipv6.h-fixes-build-failure.patch:
  netxen: include ipv6.h (fixes build failure).
- patches.drivers/netxen-reduce-memory-footprint.patch: netxen:
  reduce memory footprint.
- patches.drivers/netxen-revert-jumbo-ringsize.patch: netxen:
  revert jumbo ringsize.
* Wed Feb 04 2009 kkeil@suse.de
- patches.fixes/remove_over-zealous_check_in__module_get: module:
  remove over-zealous check in __module_get(). (bnc#465316)
* Wed Feb 04 2009 olh@suse.de
- update patches.arch/ppc-pseries-cpu-migrate.patch:
  handle irq affinities for removed cpus (bnc#472342 - LTC51259)
* Tue Feb 03 2009 jeffm@suse.de
- patches.fixes/video-vesa-bad-mode: x86/boot: fix clobbered
  register in vesa_store_edid (bnc#400487).
* Tue Feb 03 2009 jeffm@suse.de
- patches.fixes/fix-nf_conntrack_slp: make nf_conntrack_slp
  actually work (bnc#470963).
* Tue Feb 03 2009 kkeil@suse.de
- patches.fixes/e1000-Fix-PCI-enable-to-honor-the-need_ioport-flag.patch:
  e1000: Fix PCI enable to honor the need_ioport flag (bnc#471941)
* Tue Feb 03 2009 oneukum@suse.de
- patches.fixes/ti_usb_table_size.diff: adapt size of id table.
  This allows the homegrown ID additioning mechanism to work
* Tue Feb 03 2009 kkeil@suse.de
  * Final fix from mainline development for bnc#467316
- patches.fixes/net-Fix-OOPS-in-skb_seq_read.patch: net: Fix
  OOPS in skb_seq_read()..
- patches.fixes/net-Fix-frag_list-handling-in-skb_seq_read.patch:
  net: Fix frag_list handling in skb_seq_read.
- patches.fixes/disable-lro-per-default: Delete.
* Tue Feb 03 2009 kkeil@suse.de
- patches.fixes/net-Fix-OOPS-in-skb_seq_read.patch: net: Fix
  OOPS in skb_seq_read()..
- patches.fixes/net-Fix-frag_list-handling-in-skb_seq_read.patch:
  net: Fix frag_list handling in skb_seq_read.
* Tue Feb 03 2009 hare@suse.de
- patches.suse/dm-mpath-check-info-before-access: Add missing
  initialisation (bnc#458393).
* Tue Feb 03 2009 mmarek@suse.cz
- scripts/tar-up.sh: fix branch name in KOTD packages.
* Tue Feb 03 2009 hare@suse.de
- patches.drivers/cxgb3i-fix-skb-overrun: cxgb3i - fixes over-run
  of skb MAX_SKB_FRAGS (bnc#468314).
* Tue Feb 03 2009 oneukum@suse.de
- patches.suse/ti_usb_470900.diff: add support for two additional
  bar code scanners to ti_usb_3410_5052. (bnc#470900)
* Tue Feb 03 2009 olh@suse.de
- patches.drivers/ibmvfc_prli_initiator_fix.patch:
  Better handle other FC initiators (bnc#471217 - LTC51238)
* Tue Feb 03 2009 hare@suse.de
- patches.suse/dm-table-change-mode-to-ro: Switch device-mapper
  tables to READ-WRITE (bnc#440959).
* Tue Feb 03 2009 hare@suse.de
- patches.suse/genhd-disk-ro-uevents: Formatting
  error of DISK_RO uevent (bnc#440959).
* Tue Feb 03 2009 jeffm@suse.de
- patches.fixes/bnx2x-block-nvram-access-when-device-is-inactive:
  bnx2x: Block nvram access when the device is inactive
  (bnc#470898).
* Mon Feb 02 2009 jeffm@suse.de
- patches.fixes/b43legacy-fix-led_device_naming.diff: b43legacy:
  fix led naming.
- patches.fixes/iwlwifi-fix-iwl-3945_led_device_naming.diff:
  iwlwifi: another led naming fix.
- patches.fixes/iwlwifi-fix-iwl-led_device_naming.diff: iwlwifi:
  fix led naming   .
- patches.fixes/rt2x00-fix-led_device_naming.diff: rt2x00:
  fix led naming.
* Mon Feb 02 2009 gregkh@suse.de
- Updated to final version of 2.6.27.14
* Mon Feb 02 2009 jeffm@suse.de
- Enabled patches.suse/reiserfs_warning-reentrant
* Mon Feb 02 2009 rw@suse.de
- patches.fixes/xpc-pass-physical,
  patches.kabi/xpc-pass-physical:
  kABI: restore upstream patch, add ABI cover-up. (bnc#458811)
* Mon Feb 02 2009 olh@suse.de
- patches.fixes/serial-jsm-enable_ms.patch:
  Add enable_ms to jsm driver (bnc#471224 - LTC51066)
* Mon Feb 02 2009 olh@suse.de
- patches.arch/ppc-optimize-sync.patch:
  Optimise smp_{r,w}mb and mutex (bnc#471222 - LTC51356)
* Sat Jan 31 2009 gregkh@suse.de
- refresh patches for fuzz due to 2.6.27.14-rc1 import.
* Sat Jan 31 2009 gregkh@suse.de
- patches.kabi/abi-fix-add-epoll_devs-back-to-struct-user_struct.patch:
  ABI fix: add epoll_devs back to struct user_struct.
* Sat Jan 31 2009 gregkh@suse.de
- Update to 2.6.27.14-rc1
  - lots of security fixes
  - lots of bugfixes
  - obsoletes:
    - patches.drivers/alsa-virtuoso-no-eeprom-overwrite
    - patches.drivers/pata_via.c-support-vx855-and-future-chips-whose-ide-controller-use-0x0571.patch
    - patches.fixes/SUNRPC-Fix-autobind-on-cloned-rpc-clients.patch
    - patches.fixes/sysfs-fix-problems-with-binary-files.patch
    - patches.fixes/xpc-fix-NULL-deref
    - patches.fixes/xpc-write-barrier
* Fri Jan 30 2009 olh@suse.de
- patches.arch/ppc-pseries-migration_hang_fix.patch:
  Fix partition migration hang under load (bnc#470563 - LTC51153)
* Fri Jan 30 2009 olh@suse.de
- disable CONFIG_DEBUG_STACKOVERFLOW and CONFIG_DEBUG_STACK_USAGE
  on ppc/ppc64
* Fri Jan 30 2009 teheo@suse.de
- patches.drivers/libata-fix-EH-device-failure-handling: libata:
  fix EH device failure handling (bnc#470845).
* Thu Jan 29 2009 jjolly@suse.de
- patches.arch/s390-08-08-add_qdio_utilization.patch: zfcp:
  queue_full is lacking the entry for qdio utilization
  (bnc#466462).
* Thu Jan 29 2009 gregkh@suse.de
- add ability to debug kernel using USB debug connector.
- Update config files.
- patches.suse/usb-move-ehci-reg-def.patch: usb: move ehci
  reg def.
- patches.suse/x86-usb-debug-port-early-console-v4.patch: x86:
  usb debug port early console, v4.
* Thu Jan 29 2009 mmarek@suse.cz
- patches.kabi/abi-fix-add-s_syncing-back-to-struct-super_block.patch
  patches.kabi/abi-fix-add-wb_sync_hold-enum-writeback_sync_modes.patch
  patches.kabi/export-iwl_rx_allocate
  patches.kabi/sched-kabi-compat-hack.patch: Introduce
  patches.kabi/ for patches that only work around kabi issues and
  can be safely dropped at the next SP.
* Wed Jan 28 2009 agruen@suse.de
- patches.xen/xen-x86-mark_rodata_rw.patch: Add missing pageattr.c
  changes to pageattr-xen.c (bnc#439348).
* Wed Jan 28 2009 agruen@suse.de
- patches.suse/x86-mark_rodata_rw.patch: Add mark_rodata_rw()
  to un-protect read-only kernel code pages (bnc#439348).
- patches.xen/xen-x86-mark_rodata_rw.patch: xen specific part
  (bnc#439348).
* Wed Jan 28 2009 mmarek@suse.cz
- config/s390/s390: the -man package still fails for s390, disable
  it
* Wed Jan 28 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix build of the -man subpackage on
  31bit s390
* Wed Jan 28 2009 mmarek@suse.cz
- fix kernel-default.ppc64 reference symsets
* Wed Jan 28 2009 jslaby@suse.cz
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
  [cpu_mask_to_apicid bigsmp fix]
* Wed Jan 28 2009 olh@suse.de
- patches.fixes/scsi-ibmvscsi-module_alias.patch:
  map scsi proc_name to module name (bnc#459933 - LTC50724)
* Wed Jan 28 2009 jeffm@suse.de
- Update config files: Disable ftrace in -debug on ppc64
* Wed Jan 28 2009 jeffm@suse.de
- config.conf: Added -debug flavor for ppc64.
* Tue Jan 27 2009 bwalle@suse.de
- patches.drivers/libfc-set-the-release-function.diff:
  Whitespace change.
* Tue Jan 27 2009 hare@suse.de
- patches.drivers/libfc-fix-read-IO-data-integrity: libfc:
  IO data integrity issue when a IO data frame lost (bnc#469536).
* Tue Jan 27 2009 jbeulich@novell.com
- re-enable patches.xen/xen3-e1000e_Export_set_memory_ro-rw.
* Tue Jan 27 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  include prototype for PFN_UP() (bnc#462546 - LTC50009)
* Mon Jan 26 2009 kkeil@suse.de
- patches.suse/e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls.
  readded to avoid kabi change
* Mon Jan 26 2009 jeffm@suse.de
- config.conf: Added kernel-vmi to i386.
* Mon Jan 26 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  use PFN_UP() for end_pfn (bnc#462546 - LTC50009)
* Mon Jan 26 2009 mmarek@suse.cz
- kabi: import FCoE changes
* Mon Jan 26 2009 hare@suse.de
- patches.suse/dm-mpath-requeue-for-stopped-queue: disable
  wrong debug message again.
* Mon Jan 26 2009 rw@suse.de
- patches.fixes/taskstats-alignment:
  IA64: fill 'struct taskstats' on stack and 'memcpy' result to skb.
  (bnc#448410)
* Mon Jan 26 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  fix calculation of reserve_size (bnc#462546 - LTC50009)
* Mon Jan 26 2009 kkeil@suse.de
- patches.fixes/disable-lro-per-default: Disable LRO per default
  in igb and ixgbe. (bnc#467519)
* Mon Jan 26 2009 jbeulich@novell.com
- Just comment out patches.xen/xen3-e1000e_* (to address build error)
  until disposition of their originals is known.
* Mon Jan 26 2009 kkeil@suse.de
- patches.fixes/sctp_do_not_use_stale_copy_of_sk: Do not use
  stale copy of sk. (bnc#440104)
* Mon Jan 26 2009 jblunck@suse.de
  Renamed some patches so they get included in vanilla builds.
- patches.rpmify/firmware-path: Renamed.
- patches.rpmify/no-include-asm: Renamed.
- patches.suse/md-raid-metadata-PAGE_SIZE.patch: Renamed.
* Mon Jan 26 2009 olh@suse.de
- patches.suse/led_classdev.sysfs-name.patch: use correct name
  for /sys/devices/virtual/leds/ entries (bnc#468350)
* Mon Jan 26 2009 kkeil@suse.de
- patches.suse/e1000e_Export_set_memory_ro-rw: Delete.
- patches.suse/e1000e_allow_bad_checksum: Delete.
- patches.suse/e1000e_call_dump_eeprom: Delete.
- patches.suse/e1000e_ioremap_sanity_check: Delete.
- patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory:
  Delete.
  Remove not mainline e1000e patches which were added to help with
  the e1000e NVM corruption - root issue is fixed
* Mon Jan 26 2009 kkeil@suse.de
- patches.drivers/tg3_libphy_workaround: tg3 libphy workaround.
  (bnc#468725)
* Mon Jan 26 2009 hare@suse.de
- supported.conf: Correct spelling for dm-least-pending
  path checker.
* Mon Jan 26 2009 hare@suse.de
- patches.suse/dm-mpath-check-info-before-access: Kernel Oops
  during path failover (bnc#458393).
* Sun Jan 25 2009 gregkh@suse.de
- refresh patch fuzz now that 2.6.27.13 is in tree
* Sun Jan 25 2009 gregkh@suse.de
- Update to final version of 2.6.27.13
* Sun Jan 25 2009 gregkh@suse.de
- dynamic debugging fixes backported from upstream:
- patches.drivers/driver-core-add-newlines-to-debugging-enabled-disabled-messages.patch:
  driver core: add newlines to debugging enabled/disabled
  messages.
- patches.drivers/driver-core-fix-dynamic_debug-cmd-line-parameter.patch:
  Driver core: fix 'dynamic_debug' cmd line parameter.
- patches.drivers/driver-core-fix-using-ret-variable-in-unregister_dynamic_debug_module.patch:
  driver core: fix using 'ret' variable in
  unregister_dynamic_debug_module.
* Sat Jan 24 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch:
  (fix return of an unitialized value (bnc#469017)
* Sat Jan 24 2009 mmarek@suse.cz
- update kabi files: ignore changes in struct pcie_link_state as
  it is an internal structure only.
* Sat Jan 24 2009 mmarek@suse.cz
- patches.suse/genksyms-add-override-flag.diff: genksyms: add
  --override flag.
- rpm/kernel-binary.spec.in: set KBUILD_OVERRIDE=1
* Sat Jan 24 2009 ghaskins@suse.de
- patches.fixes/sched-kabi-compat-hack.patch: sched: leave
  RT_GROUP_SCHED structure components intact to preserve kABI.
  broke kabi with fix for 456542
* Sat Jan 24 2009 trenn@suse.de
- patches.fixes/cpufreq_export_latency.patch: CPUFREQ: Introduce
  /sys/devices/system/cpu/cpu*/cpufreq/cpuinfo_transition_latency
  (bnc#464461).
- patches.fixes/cpufreq_ondemand_adjust_sampling_rate_limit.patch:
  CPUFREQ: ondemand/conservative: sanitize sampling_rate
  restrictions (bnc#464461).
- patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch:
  CPUFREQ: ondemand: Limit default sampling rate to 300ms
  max. (bnc#464461).
- patches.fixes/x86_cpufreq_powernow-k8_acpi_latency_values.patch:
  X86 powernow-k8 cpufreq: Get transition latency from acpi _PSS
  object (bnc#464461).
* Fri Jan 23 2009 jeffm@suse.de
- patches.fixes/xfs-dmapi-fixes: xfs/dmapi: fix crash on mount
  (bnc#458027).
* Fri Jan 23 2009 ghaskins@suse.de
- Update config files: Disable RT_GROUP_SCHED (bnc#456542).
  The RT_GROUP_SCHED feature is experimental and clearly broken, so
  lets turn it off for now.
* Fri Jan 23 2009 jeffm@suse.de
- patches.fixes/hpilo-open-close-fix: hpilo open/close fix
  (bnc#466517).
* Fri Jan 23 2009 hare@suse.de
- patches.suse/dm-mpath-requeue-for-stopped-queue: Handle I/O
  on stopped queues correctly (bnc#458393).
* Fri Jan 23 2009 jbenc@suse.cz
- patches.suse/mnt-want-write-speedup.patch,
  patches.suse/mnt_clone_write.patch: modified not to break kABI,
  enabled (bnc#436953).
* Fri Jan 23 2009 jbenc@suse.cz
- patches.fixes/iwlagn-fix-rfkill.patch: iwlagn: fix hw-rfkill
  while the interface is down (bnc#446158).
* Fri Jan 23 2009 mmarek@suse.cz
- kabi/severities: temporarily enable changes in FcOE modules.
* Fri Jan 23 2009 hare@suse.de
- patches.arch/s390-08-06-personality.patch: kernel: setting 32
  bit personality doesn't work (bnc#466462).
- patches.arch/s390-08-07-compat_wrappers.patch: kernel:
  Add missing wrapper functions for 31 bit compat
  syscalls. (bnc#466462,LTC#51229).
- patches.fixes/block-leave-the-request-timeout-timer-running:
  Delete obsolete patch.
* Fri Jan 23 2009 bwalle@suse.de
- patches.drivers/fcoe-change-fcoe_sw-sg_tablesi.diff: change
  fcoe_sw sg_tablesize to SG_ALL (bnc #459142).
- patches.drivers/fcoe-check-return-for-fc_set_m.diff: check
  return for fc_set_mfs (bnc #459142).
- patches.drivers/fcoe-fix-frame-length-validati.diff: fix frame
  length validation in the early receive path (bnc #459142).
- patches.drivers/fcoe-fix-incorrect-use-of-struct-module.diff:
  fcoe: fix incorrect use of struct module (bnc #468051).
- patches.drivers/fcoe-improved-load-balancing-i.diff: improved
  load balancing in rx path (bnc #459142).
- patches.drivers/fcoe-logoff-of-the-fabric-when.diff: Logoff
  of the fabric when destroying interface (bnc #459142).
- patches.drivers/fcoe-remove-warn_on-in-fc_set.diff: remove
  WARN_ON in fc_set_mfs (bnc #459142).
- patches.drivers/fcoe-user_mfs-is-never-used.diff: user_mfs is
  never used (bnc #459142).
- patches.drivers/libfc-add-fc_disc-c-locking-co.diff: Add
  fc_disc.c locking comment block (bnc #459142).
- patches.drivers/libfc-ensure-correct-device_pu.diff: libfc:
  Ensure correct device_put/get usage (round 2).
- patches.drivers/libfc-fix-rport-recursive-lock.diff: libfc:
  Fix rport recursive lock on rport mutex (bnc #459142).
- patches.drivers/libfc-handle-rrq-exch-timeout.diff: libfc:
  handle RRQ exch timeout (bnc #465596).
- patches.drivers/libfc-improve-fc_lport-c-locki.diff: Improve
  fc_lport.c locking comment block (bnc #459142).
- patches.drivers/libfc-improve-fc_rport-c-locki.diff: Improve
  fc_rport.c locking comment block (459142).
- patches.drivers/libfc-make-fc_disc-inline-with.diff: make
  fc_disc inline with the fc_lport structure (bnc #459142).
- patches.drivers/libfc-make-rscn-parsing-more-r.diff: make RSCN
  parsing more robust (bnc #459142).
- patches.drivers/libfc-make-sure-we-access-the.diff: make sure
  we access the CRC safely (bnc #459142).
- patches.drivers/libfc-pass-lport-in-exch_mgr_r.diff: libfc:
  Pass lport in exch_mgr_reset (bnc #465596).
- patches.drivers/libfc-remove-debug-print-state.diff: libfc:
  Remove debug print statement, too verbose (bnc #459142).
- patches.drivers/libfc-set-the-release-function.diff: Set
  the release function for the rport's kobject (round 2)
  (bnc #459142).
- patches.drivers/libfc-updated-comment-for-orde.diff: updated
  comment for order of em and ex locks (bnc #459142).
- patches.drivers/libfc-updated-libfc-fcoe-modul.diff: updated
  libfc fcoe module ver to 1.0.6 (bnc #459142).
- patches.drivers/libfc-use-an-operations-struct.diff: use an
  operations structure for rport callbacks (bnc #459142).
- patches.drivers/libfc-when-rport-goes-away-re.diff: libfc:
  when rport goes away (re-plogi), clean up exchanges to/from
  rport (bnc #465596).
- patches.drivers/libfc_locking.diff: libfc, fcoe: fixed locking
  issues with lport->lp_mutex around lport->link_status (bnc
  [#468053]).
- patches.drivers/libfc_rport.diff: libfc: rport retry on LS_RJT
  from certain ELS (bnc #468054).
* Fri Jan 23 2009 hare@suse.de
- patches.fixes/qla2xxx-check-fc-rport-validity:
  qla2xxx: added check for fcport is valid in
  qla2x00_terminate_rport_io(). (bnc#467624).
* Fri Jan 23 2009 tiwai@suse.de
- patches.drivers/alsa-hda-gateway-t1616-quirk: ALSA: hda -
  Add quirk for Gateway T1616 laptop (bnc#467597).
- patches.drivers/alsa-hda-hp-dv4-quirk: ALSA: hda - Add model
  entry for HP dv4.
- patches.drivers/alsa-hda-intel-d945-ref-quirk: ALSA: hda -
  Add model=ref for Intel board with STAC9221 (bnc#406529).
* Fri Jan 23 2009 hare@suse.de
- patches.fixes/blk-leave-sync-timer-running: block: Rediff
- patches.fixes/block-use-round_jiffies_up: Block: use
  round_jiffies_up() (bnc#464155).
- Add missing patches to series.conf:
  patches.fixes/round-jiffies-up
  patches.fixes/block-use-round_jiffies_up
  patches.fixes/block-fix-blk_start_queueing
  patches.fixes/suppress-buffer-IO-errors
  patches.fixes/block-optimizations-in-blk_rq_timed_out_timer
  patches.fixes/block-add-comment-in-blk_rq_timed_out
* Fri Jan 23 2009 olh@suse.de
- update patches.fixes/scsi-ibmvscsi-vio_leak.patch:
  handle also drivers/scsi/ibmvscsi/ibmvfc.c
* Fri Jan 23 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-oops-on-ipv6-mount: cifs: make sure we
  allocate enough storage for socket address (467691).
* Fri Jan 23 2009 gregkh@suse.de
- patches.kernel.org/abi-fix-add-wb_sync_hold-enum-writeback_sync_modes.patch:
  ABI fix: add WB_SYNC_HOLD enum writeback_sync_modes.
* Fri Jan 23 2009 gregkh@suse.de
- patches.kernel.org/abi-fix-add-s_syncing-back-to-struct-super_block.patch:
  ABI fix: add s_syncing back to struct super_block.
* Fri Jan 23 2009 gregkh@suse.de
- update to 2.6.27.13-rc1:
  - security updates
  - lots of bugfixes
  - obsoletes:
    - patches.arch/ppc-fix_hugepage_check.patch
    - patches.drivers/alsa-hda-ad1986a-laptop-eapd-model-back
    - patches.drivers/alsa-hda-samsung-q45-quirk
    - patches.fixes/security-introduce-missing-kfree.patch
    - patches.fixes/xpc-fix-heartbeat
- Update config files.
* Fri Jan 23 2009 kkeil@suse.de
- patches.drivers/e1000-fix-shared-emc.patch: e1000: fix bug
  with shared interrupt during reset (bnc#396687)
* Thu Jan 22 2009 tonyj@suse.de
- patches.fixes/revert-bgcolor-line-feed-93f78da4.patch: Revert
  "vt: fix background color on line feed" (bnc#418613).
* Thu Jan 22 2009 jbenc@suse.cz
- patches.fixes/iwlwifi-fix-rs_get_rate-oops.patch: iwlwifi:
  fix rs_get_rate WARN_ON() (bnc#456002).
- Reordered wireless patches to group together patches touching the same
  driver.
* Thu Jan 22 2009 bphilips@suse.de
- patches.drivers/disable-catas_reset-by-default-to-avoid-problems-with-eeh.patch:
  disable catas_reset by default to avoid problems with EEH
  (bnc#456389).
* Thu Jan 22 2009 rw@suse.de
- patches.fixes/xpc-pass-physical:
  fixed kABI breakage. (bnc#458811)
* Thu Jan 22 2009 bwalle@suse.de
- scripts/tar-up_and_run_mbuild.sh: s390 (the 31 bit variant) is
  not an important spec file.
* Thu Jan 22 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: fixed kABI
  breakage, reenabled.
* Thu Jan 22 2009 mmarek@suse.cz
- rpm/modversions: eat the "override" keyword before parsing the
  symbol definition.
* Thu Jan 22 2009 olh@suse.de
- patches.fixes/scsi-ibmvscsi-vio_leak.patch:
  Correct VIO bus/device CMO accounting problems (bnc#468304 - LTC51205)
* Thu Jan 22 2009 olh@suse.de
- patches.suse/of_platform_driver.module-owner.patch:
  add missing module symlink to /sys/bus/*/driver/*
  in struct of_platform_driver.
* Thu Jan 22 2009 kkeil@suse.de
- patches.drivers/ixgbe_DCB_compile_err.patch: DCB compile
  error fix - new version from Intel  (bnc#465923)
* Thu Jan 22 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch: allow 64-bit mode
  for HPET Timer0 (bnc#456700).
  (fix compilation on i386 and add hpet64 to kernel-parameters.txt)
* Thu Jan 22 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch: allow 64-bit mode
  for HPET Timer0 (bnc#456700).
* Thu Jan 22 2009 rw@suse.de
- patches.fixes/xpc-pass-physical:
  sgi-xpc: need to pass the physical address, not virtual. (bnc#458811)
- patches.fixes/xpc-fix-heartbeat:
  sgi-xpc: eliminate false detection of no heartbeat. (bnc#464545)
* Thu Jan 22 2009 jkosina@suse.de
- patches.fixes/input-add-nomux-dell-vostro-1510.patch: Input:
  add Dell Vostro 1510 to nomux list (bnc#404881).
* Thu Jan 22 2009 jblunck@suse.de
- scripts/compute-PATCHVERSION.sh: Fix SRCVERSION parsing (bnc#465113).
* Thu Jan 22 2009 tiwai@suse.de
- patches.drivers/alsa-hda-add-volume-offset: ALSA: hda - Add
  extra volume offset to standard volume amp macros (bnc#466428).
- patches.drivers/alsa-hda-stac-reduce-volume-scale: ALSA: hda -
  Halve too large volume scales for STAC/IDT codecs (bnc#466428).
* Thu Jan 22 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.12-update: Update lpfc from 8.2.8.11
  to 8.2.8.12 (bnc#467713).
* Thu Jan 22 2009 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: fix missing jl arg
* Wed Jan 21 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: delete duplicate error message in the
  kabi checks
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/remove_kernel_physical_mapping_init_from_init:
  move kernel_physical_mapping_init to __meminit (bnc#467474).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: disabled, as it changes
  kABI.
* Wed Jan 21 2009 gregkh@suse.de
- patches.fixes/security-introduce-missing-kfree.patch: security:
  introduce missing kfree (bnc#467322).
- patches.fixes/sysfs-fix-problems-with-binary-files.patch:
  sysfs: fix problems with binary files.
* Wed Jan 21 2009 rw@suse.de
- patches.arch/ia64-page-migration.fix:
  fix deadlock caused by cpe_migrate.ko and mark it supported.
  (bnc#464676)
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/sn-irq-affinity: sn2: preserve irq affinity set
  in PROM (bnc#457679).
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/uv_zalias_support: uv: Support for non-nasid 0
  systems (bnc#458869).
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/xpc-fix-NULL-deref: sgi-xpc: Remove NULL pointer
  dereference. (bnc#466563).
- patches.fixes/xpc-write-barrier: sgi-xpc: ensure flags are
  updated before bte_copy (bnc#466563).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/ipw2200-workaround-firmware-restarts-when-scanning.patch:
  ipw2200: fix scanning while associated (bnc#459067).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/iwl3945-fix-rfkill.patch: iwl3945: report
  killswitch changes even if the interface is down (bnc#446013).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: mac80211:
  add direct probe before association (bnc#461889).
* Wed Jan 21 2009 hare@suse.de
- patches.drivers/mptsas-discover-all-devices: mptsas driver
  fails to discover devices (bnc#459932).
* Wed Jan 21 2009 jbeulich@novell.com
- Update Xen patches to 2.6.27.12.
- patches.xen/764-netback-foreign-pages.patch: netback: handle
  non-netback foreign pages.
- patches.xen/769-evtchn-CPU-offline.patch: evtchn: Fix CPU offlining
  to switch all affected ports belonging to a particular /dev/evcthn
  user.
- patches.xen/gso-size-check.patch: gso: Ensure that the packet
  is long enough.
- patches.xen/xen-S3-MSI: fix Dom0 resume from S3 when MSI is
  in use (bnc#435596).
- patches.xen/xen3-e1000e_ioremap_sanity_check: ioremap sanity
  check to catch mapping requests exceeding the BAR sizes
  (bnc#425480).
- patches.xen/xen3-x86-fix-kmap-contig.patch: x86: contiguous
  kmap fix (bnc#449812).
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/radeon-monitor-jsxx-quirk.patch:
  implement correct model matching
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/dm-mpath-tracking-nr-bytes:
  lpp_end_io gets nr_bytes as third arg
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/radeon-monitor-jsxx-quirk.patch:
  match all JSxx/QSxx models based on the first 4 chars in 'model'
* Wed Jan 21 2009 olh@suse.de
- update patches.arch/ppc-axon-missing-msi-workaround-5.diff:
  Fix MSI after kexec (bnc#467633)
* Tue Jan 20 2009 gregkh@suse.de
- clean up patch fuzz after 2.6.27.12 inclusion.
* Tue Jan 20 2009 gregkh@suse.de
- Update to the real 2.6.27.12
* Tue Jan 20 2009 jeffm@suse.de
- patches.suse/reiserfs_warning-reentrant: reiserfs: eliminate
  reiserfs_warning from uniqueness functions; Fixes deadlock.
* Tue Jan 20 2009 olh@suse.de
- patches.drivers/cxgb3-ser.patch:
  reset the adapter on fatal error (bnc#466062 - LTC51042)
* Tue Jan 20 2009 jjolly@suse.de
- patches.arch/s390-08-03-iucv-cpu-hotremove.diff: iucv: failing
  cpu hot remove for inactive iucv (bnc#466462,LTC#51104).
- patches.arch/s390-08-04-compat-sigaltstack.diff:
  kernel: 31 bit compat sigaltstack syscall fails with
  -EFAULT. (bnc#466462,LTC#50888).
- patches.arch/s390-08-05-af_iucv-msgpeek-fix.patch:
  af_iucv: System hang if recvmsg() is used with MSG_PEEK
  (bnc#466462,LTC#51136).
* Tue Jan 20 2009 hare@suse.de
- patches.suse/dm-mpath-accept-failed-paths: Only accept
  non-existing paths when adding failed paths (bnc#467579)
* Tue Jan 20 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: set CONFIG_DEBUG_INFO=y in the
  packaged .configs if builfing debug packages (bnc#460887)
* Mon Jan 19 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: set %%tolerate_kabi_changes to 6
* Mon Jan 19 2009 mmarek@suse.cz
- patches.suse/export-iwl_rx_allocate: reintroduce
  EXPORT_SYMBOL(iwl_rx_allocate).
* Mon Jan 19 2009 mmarek@suse.cz
- import SLE11 RC2 reference kabi
* Mon Jan 19 2009 hare@suse.de
- patches.drivers/mpt-return-all-sense-data: MPT Fusion doesn't
  return all sense data (bnc#466179).
* Sat Jan 17 2009 gregkh@suse.de
- Update to 2.6.27.12-rc2
* Fri Jan 16 2009 od@suse.de
- patches.arch/x86-call-boot-IRQ-quirks-at-end-of-device-init-and-during-resume.patch:
  call boot IRQ quirks at end of device init and during resume.
- patches.arch/x86-disable-AMD-ATI-boot-interrupt-generation.patch:
  update to upstream variant of this patch:
    - integrate an older quirk to make IO-APIC mode work on AMD
  8131 rev. A0 and B0
    - fix boot IRQ disabling logic for AMD 813x
    - remove unneeded code for AMD SB700S
* Fri Jan 16 2009 jbeulich@novell.com
- patches.arch/x86-fix-kmap-contig.patch: x86: contiguous kmap
  fix (bnc#449812).
* Fri Jan 16 2009 olh@suse.de
- enable mptsas in kdump kernel to allow crashdump on QS2x blades
* Fri Jan 16 2009 tiwai@suse.de
  Fix STAC925x patch again
- patches.drivers/alsa-hda-stac925x-init-fix: ALSA: hda - Fix
  (yet more) STAC925x issues (bnc#460478).
* Fri Jan 16 2009 jjolly@suse.de
- patches.arch/s390-08-01-cio-fix-mp-mode.diff: cio: fix
  subchannel multipath mode setup (bnc#466462,LTC#51047).
- patches.arch/s390-08-02-zfcp-gpn-align-fix.diff: zfcp: fix
  memory alignment for GPN_FT requests. (bnc#466462).
* Fri Jan 16 2009 gregkh@suse.de
- Update config files for vanilla kernel versions due to new config
  option added in 2.6.27.12-rc1.
* Fri Jan 16 2009 gregkh@suse.de
- Update to 2.6.27.12-rc1:
  - security fixes
  - fixes CVE-2009-0029
  - bug fixes all over the place.
  - obsoletes the following patches:
    - patches.arch/ppc-cmm_no_kdump.patch
    - patches.drivers/alsa-caiaq-midi-oops-fix
    - patches.drivers/alsa-hda-hp-6730b-quirk
    - patches.drivers/ibmvfc-host_init_delay.patch
    - patches.drivers/ibmvfc-improve_sync_events.patch
    - patches.fixes/PCI-Suspend-and-resume-PCI-Express-ports-with-interrupts-disabled.patch
    - patches.fixes/PCI-handle-PCI-state-saving-with-interrupts-disabled.patch
    - patches.fixes/fs-symlink-write_begin-allocation-context-fix.patch
    - patches.fixes/mm-lockless-pagecache-barrier.patch
    - patches.fixes/pci-rework-suspend-of-devices-with-no-drivers.patch
    - patches.fixes/uv-remove-erroneous-BAU-init
- Update config files.
* Thu Jan 15 2009 tiwai@suse.de
- patches.drivers/alsa-virtuoso-no-eeprom-overwrite: sound:
  virtuoso: do not overwrite EEPROM on Xonar D2/D2X (bnc#462365).
* Thu Jan 15 2009 bwalle@suse.de
- patches.suse/s390-System.map.diff:
  Strip L2^B symbols (bnc #456682).
* Thu Jan 15 2009 tiwai@suse.de
- patches.drivers/alsa-hda-gateway-fix: ALSA: patch_sigmatel:
  Add missing Gateway entries and autodetection (bnc#460478).
- patches.drivers/alsa-hda-gateway-fix2: ALSA: hda - More fixes
  on Gateway entries (bnc#460478).
- patches.drivers/alsa-hda-hp-dv5-mic-fix: ALSA: hda - Fix HP
  dv5 mic input (bnc#462913).
- patches.drivers/alsa-hda-hp-dv5-quirk: ALSA: hda - Add quirk
  for another HP dv5 (bnc#462913).
- patches.drivers/alsa-hda-idt92hd83-fix-typo: ALSA: hda -
  Fix a typo.
- patches.drivers/alsa-hda-samsung-q45-quirk: ALSA: hda - Add
  automatic model setting for Samsung Q45.
- patches.drivers/alsa-hda-seek-for-codec-id: ALSA: hda - Add
  a new function to seek for a codec ID (bnc#460478).
- patches.drivers/alsa-hda-sigmatel-no-hp-reset: ALSA: hda -
  Don't reset HP pinctl in patch_sigmatel.c (bnc#460478).
- patches.drivers/alsa-hda-stac925x-init-fix: ALSA: hda - Fix
  missing initialization of NID 0x0e for STAC925x (bnc#460478).
* Thu Jan 15 2009 olh@suse.de
- patches.arch/ppc-fix_hugepage_check.patch:
  is_hugepage_only_range() must account for both 4kB and 64kB
  slices (bnc#466229 - LTC51063)
* Thu Jan 15 2009 jeffm@suse.de
- Update config files: Disabled PARAVIRT on vanilla and LGUEST.
* Thu Jan 15 2009 jeffm@suse.de
- Enabled patches.suse/unlock_page-speedup.patch
* Wed Jan 14 2009 rjw@suse.de
- patches.fixes/PCI-PM-Split-PCI-Express-port-suspend-resume.patch:
  PCI PM: Split PCI Express port suspend-resume (bnc#455926).
- patches.fixes/PCI-Suspend-and-resume-PCI-Express-ports-with-interrupts-disabled.patch:
  PCI: Suspend and resume PCI Express ports with interrupts
  disabled (bnc#455926).
- patches.fixes/PCI-handle-PCI-state-saving-with-interrupts-disabled.patch:
  PCI: handle PCI state saving with interrupts disabled
  (bnc#455926).
- patches.fixes/pci-rework-suspend-of-devices-with-no-drivers.patch:
  PCI: Rework default handling of suspend and resume (bnc#455926).
* Wed Jan 14 2009 jeffm@suse.de
- Update config files: Disable PARAVIRT.
* Wed Jan 14 2009 gregkh@suse.de
- refresh patches for fuzz due to update to 2.6.27.11
* Wed Jan 14 2009 gregkh@suse.de
- Update to final version of 2.6.27.11
* Wed Jan 14 2009 kkeil@suse.de
- patches.drivers/ixgbe-dcb-setstate.patch: Bugfix for ixgbe
  and kernel DCB netlink code. (bnc#458194)
- patches.drivers/ixgbe_DCB_compile_err.patch: DCB compile
  error fix. (bnc#465923)
- Update config files.
* Wed Jan 14 2009 trenn@suse.de
- patches.fixes/acpi_irq_quirk_pci_irq_derive.patch: Delete.
  It came out that this is an already fixed BIOS bug. The quirk
  is not needed anymore.
* Wed Jan 14 2009 trenn@suse.de
- patches.fixes/acpi_fix_double_slash_root_prefix_handling.patch:
  In AcpiNsGetInternalNameLength, skip the redundant backslash
  of RootPrefix (http://bugzilla.kernel.org/show_bug.cgi?id=11541
  http://www.acpica.org/bugzilla/show_bug.cgi?id=739).
- patches.fixes/acpi_video_always_update_sys.patch: video: always
  update the brightness when poking "brightness" (bnc#450149).
- patches.fixes/acpi_video_handle_reversed_brightness_info.patch:
  ACPI: video: Fix reversed brightness behavior on ThinkPad SL
  series (bnc#450149).
* Wed Jan 14 2009 olh@suse.de
- patches.fixes/sched-fix-__load_balance_iterator-for-cfs-with-on.patch:
  fix __load_balance_iterator() for cfs with only one task
  (bnc#457594 - LTC50544)
* Wed Jan 14 2009 olh@suse.de
- patches.fixes/xfs-redirty-ENOSPC.patch: Re-dirty pages on
  ENOSPC when converting delayed allocations (bnc#433112 - LTC48749)
* Wed Jan 14 2009 npiggin@suse.de
- Added guarded patches:
- patches.suse/mnt-want-write-speedup.patch: fs: mnt_want_write
  speedup (bnc#436953).
- patches.suse/mnt_clone_write.patch: fs: introduce
  mnt_clone_write (bnc#436953).
- patches.suse/unlock_page-speedup.patch: mm: unlock_page speedup
  (bnc#436953).
* Wed Jan 14 2009 gregkh@suse.de
- Update config files.
- patches.drivers/add-via-chrome9-drm-support.patch: add Via
  chrome9 drm support.
* Wed Jan 14 2009 gregkh@suse.de
- patches.drivers/pata_via.c-support-vx855-and-future-chips-whose-ide-controller-use-0x0571.patch:
  pata_via.c: Support VX855 and future chips whose IDE controller
  use 0x0571..
* Tue Jan 13 2009 hare@suse.de
- patches.fixes/scsi-restart-lookup-by-target: Modify patch
  after suggestions from James Bottomley (bnc#465346).
* Tue Jan 13 2009 hare@suse.de
- patches.fixes/scsi-restart-lookup-by-target: Restart
  scsi_device_lookup_by_target() (bnc#465346).
* Tue Jan 13 2009 olh@suse.de
- update patches.drivers/cxgb3-Allocate-multiqueues-at-init-time:
  Allow multiqueue setting in MSI-X mode only (bnc#464351 - LTC50966)
* Tue Jan 13 2009 olh@suse.de
- patches.drivers/cxgb3i-mainline.patch: fixes bug in tag release
  and sync-up cxgb3i with mainline state (bnc#464508 - LTC50816)
* Tue Jan 13 2009 gregkh@suse.de
- Update to 2.6.27.11-rc1:
  - lots of minor fixes
  - obsoletes:
    - patches.fixes/md-bitmap-read-do-not-overflow
    - patches.suse/scsi-scsi_transport_srp-shost_data.patch
* Mon Jan 12 2009 gregkh@suse.de
- supported.conf: add kernel/drivers/acpi/acpi_memhotplug as supported
* Mon Jan 12 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh: handle arch
  symlinks like i586 -> i386 in /usr/src/linux-obj.
* Mon Jan 12 2009 gregkh@suse.de
- supported.conf: updated staging and other drivers
* Mon Jan 12 2009 kkeil@suse.de
- patches.drivers/r8169-Tx-performance-tweak-helper: r8169:
  Tx performance tweak helper.
- patches.drivers/r8169-add-8168-8101-registers-description:
  r8169: add 8168/8101 registers description.
- patches.drivers/r8169-add-hw-start-helpers-for-the-8168-and-the-8101:
  r8169: add hw start helpers for the 8168 and the 8101.
- patches.drivers/r8169-additional-8101-and-8102-support: r8169:
  additional 8101 and 8102 support.
- patches.drivers/r8169-use-pci_find_capability-for-the-PCI-E-features:
  r8169: use pci_find_capability for the PCI-E features.
  (bnc#448168)
* Mon Jan 12 2009 dgollub@suse.de
- scripts/tar-up_and_run_mbuild.sh: use $BUILD_DIR instead of fixed
  "kernel-source" string, to stay in sync with with differet kernel
  variants.
* Mon Jan 12 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh, rpm/source-pre.sh:
  replace the /usr/src/linux-obj symlink with a directory containing
  per-flavor symlinks instead. This allows us to install kernel-source /
  syms and kernel-source-rt / syms-rt in parallel and still find
  everything below /usr/src/linux-obj/.
- rpm/kernel-binary.spec.in: for -rt, install into
  /usr/src/linux-$version-rt-obj.
- rpm/kernel-syms.spec.in: fix kernel-source requires for -rt.
* Mon Jan 12 2009 jkosina@suse.de
- patches.drivers/input-usbtouchscreen-hw-calibration.patch:
  Input: usbtouchscreen - allow reporting calibrated data
  (bnc#444814).
* Fri Jan 09 2009 mmarek@suse.cz
- patches.suse/file-capabilities-add-file_caps-switch.diff:
  fix parsing of the file_caps commandline option (bnc#264075)
* Fri Jan 09 2009 trenn@suse.de
- patches.arch/x86_fix_llc_shared_map__cpu_llc_id_anomolies.patch:
  x86: fix intel x86_64 llc_shared_map/cpu_llc_id anomolies
  (bnc#464329).
* Fri Jan 09 2009 olh@suse.de
- patches.arch/ppc-cmm_no_kdump.patch:
  Disable Collaborative Memory Manager for kdump (bnc#460552 - LTC50789)
* Fri Jan 09 2009 jslaby@suse.cz
- patches.suse/cgroup-disable-memory.patch: memcg: disable the
  memory controller by default.
- patches.suse/add-enable_cgroup-parameter.patch: Delete.
- patches.suse/disable-cgroups.patch: Delete.
* Fri Jan 09 2009 olh@suse.de
- patches.suse/radeon-monitor-jsxx-quirk.patch
  fix compile errors
* Fri Jan 09 2009 jslaby@suse.de
- patches.fixes/ath5k-ignore-calibration-return-value.patch:
  ath5k: ignore the return value of
  ath5k_hw_noise_floor_calibration (bnc#446541).
* Fri Jan 09 2009 jslaby@suse.de
- patches.fixes/cgroups-suppress-cloning-warning.patch: cgroups:
  suppress bogus warning messages (bnc#460961).
* Fri Jan 09 2009 olh@suse.de
- patches.suse/radeon-monitor-jsxx-quirk.patch: Add quirk for
  the graphics adapter in some JSxx (bnc#461002 - LTC50817)
* Fri Jan 09 2009 trenn@suse.de
- patches.fixes/acpi_irq_quirk_pci_irq_derive.patch: ACPI: Do not
  derive IRQ from parent bridge/device via boot param/dmi list
  (bnc#437211).
- patches.suse/acpi_osi_sle11_ident.patch: Provide possibility
  for vendors to fix BIOS issues for SLE11 only (none).
* Fri Jan 09 2009 hare@suse.de
- patches.drivers/blk-request-based-multipath-update: Rediff.
- patches.fixes/scsi-refactor-busy-processing: refactor
  sdev/starget/shost busy checking; break out from
  blk-request-based-multipath-update.
* Fri Jan 09 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.11-update: Update lpfc from 8.2.8.10
  to 8.2.8.11 (bnc#464662).
- patches.fixes/scsi-call-unprep_request-under-lock: scsi_lib:
  only call scsi_unprep_request() under queue lock (bnc#464155).
- patches.fixes/scsi-fix-hang-in-starved-list-processing: Fix
  hang in starved list processing (bnc#464155).
* Fri Jan 09 2009 kkeil@suse.de
- patches.drivers/bnx2-Add-PCI-ID-for-5716S: bnx2: Add PCI ID
  for 5716S
- patches.drivers/bnx2-Fix-bug-in-bnx2_free_rx_mem_: bnx2:
  Fix bug in bnx2_free_rx_mem() (bnc#464130)
* Fri Jan 09 2009 jslaby@suse.cz
- patches.suse/disable-cgroups.patch: Disable all cgroups
  (bnc#436025).
* Fri Jan 09 2009 hare@suse.de
- Backporting block layer fixes (bnc#464155):
  * patches.fixes/block-add-comment-in-blk_rq_timed_out: add
  comment in blk_rq_timed_out() about why next can not be 0
  * patches.fixes/block-fix-blk_start_queueing: block: Fix
  blk_start_queueing() to not kick a stopped queue.
  * patches.fixes/block-leave-the-request-timeout-timer-running:
  block: leave the request timeout timer running even on an
  empty list.
  * patches.fixes/block-optimizations-in-blk_rq_timed_out_timer:
  block: optimizations in blk_rq_timed_out_timer().
  * patches.fixes/block-suppress-buffer-IO-errors: block: Supress
  Buffer I/O errors when SCSI REQ_QUIET flag set.
  * patches.fixes/block-use-round_jiffies_up: Block: use
  round_jiffies_up().
  * patches.fixes/round-jiffies-up: Add round_jiffies_up and
  related routines.
* Fri Jan 09 2009 jbeulich@novell.com
- patches.xen/xen3-acpi-pci-pci-msi-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI MSI _OSC support capabilities called when root
  bridge added (bnc#438941).
* Fri Jan 09 2009 hare@suse.de
- patches.fixes/scsi_dh-retry-on-UNIT_ATTENTION: scsi_dh_rdac
  does not retry MODE SENSE on UNIT ATTENTION (bnc#464155).
- patches.suse/scsi-check-removed-device-for-offline: Only check
  for SDEV_OFFLINE and SDEV_DEL, not SDEV_CANCEL.
* Fri Jan 09 2009 jslaby@suse.cz
- patches.suse/add-enable_cgroup-parameter.patch: Add
  cgroup_enable parameter (bnc#436025).
* Fri Jan 09 2009 gregkh@suse.de
- patches.drivers/acpi-pci-include-missing-acpi.h-file-in-pci-acpi.h.patch:
  ACPI/PCI: include missing acpi.h file in
  pci-acpi.h. (bnc#438941).
* Fri Jan 09 2009 gregkh@suse.de
- clean up patch fuzz
* Fri Jan 09 2009 gregkh@suse.de
- patches.drivers/acpi-pci-pci-msi-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI MSI _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-pcie-aer-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCIe AER _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-pcie-aspm-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCIe ASPM _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-remove-obsolete-_osc-capability-support-functions.patch:
  ACPI/PCI: remove obsolete _OSC capability support functions
  (bnc#438941).
* Fri Jan 09 2009 gregkh@suse.de
- patches.drivers/acpi-pci-call-_osc-support-during-root-bridge-discovery.patch:
  ACPI/PCI: call _OSC support during root bridge discovery
  (bnc#438941).
- patches.drivers/acpi-pci-change-pci_osc_control_set-to-query-control-bits-first.patch:
  ACPI/PCI: Change pci_osc_control_set() to query control bits
  first (bnc#438941).
- patches.drivers/acpi-pci-fix-possible-race-condition-on-_osc-evaluation.patch:
  ACPI/PCI: Fix possible race condition on _OSC evaluation
  (bnc#438941).
- patches.drivers/acpi-pci-include-missing-acpi.h-file-in-pci-acpi.h.patch:
  ACPI/PCI: include missing acpi.h file in
  pci-acpi.h. (bnc#438941).
- patches.drivers/acpi-pci-pci-extended-config-_osc-support-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI extended config _OSC support called when root
  bridge added (bnc#438941).
* Thu Jan 08 2009 gregkh@suse.de
- patches.drivers/bnx2x-version-update.patch: bnx2x: Version
  Update (bnc#439679).
* Thu Jan 08 2009 jjolly@suse.de
- patches.arch/s390-07-01-zfcp-port-failed-message.diff: zfcp:
  Remove message for failed port (bnc#464466).
- patches.arch/s390-07-02-zfcp-unchained-fsf.diff: zfcp: Add
  support for unchained FSF requests (bnc#464466).
- patches.arch/s390-07-03-topology-fix.diff: kernel: fix cpu
  topology support (bnc#464466).
- patches.arch/s390-07-04-dasd-failfast.patch: dasd: Add
  'failfast' device feature. (bnc#464466,LTC#43066).
* Thu Jan 08 2009 tiwai@suse.de
- patches.drivers/alsa-caiaq-midi-oops-fix: ALSA: caiaq - Fix
  Oops with MIDI.
* Thu Jan 08 2009 knikanth@suse.de
- patches.fixes/dm-avoid-put-table-dm_any_congested: dm: avoid
  destroying table in dm_any_congested (bnc#457205).
- patches.fixes/dm-table-ref-count: dm table: rework reference
  counting (bnc#457205).
- patches.fixes/dm-unbind-drop-ref: dm table: drop reference at
  unbind (bnc#457205).
* Thu Jan 08 2009 olh@suse.de
- update kdump config, disable some unused drivers
* Thu Jan 08 2009 olh@suse.de
- refresh config files, no functional changes
* Thu Jan 08 2009 olh@suse.de
- patches.drivers/ehea-modinfo.patch:
  use separate table for module alias (bnc#435215 - LTC48564)
* Thu Jan 08 2009 tiwai@suse.de
  Backport fixes for HD-audio from the upstream:
- patches.drivers/alsa-hda-ad1882-id-typo-fix: ALSA: hda -
  Fix typos for AD1882 codecs.
- patches.drivers/alsa-hda-ad1986a-laptop-eapd-model-back: ALSA:
  hda - make laptop-eapd model back for AD1986A.
- patches.drivers/alsa-hda-hp2230s-quirk: ALSA: hda - Add quirk
  for HP 2230s (bnc#461660).
- patches.drivers/alsa-hda-sigmatel-add-missing-terminators:
  ALSA: hda - Add missing terminators in patch_sigmatel.c.
* Thu Jan 08 2009 bwalle@suse.de
- Update config files: Enable CONFIG_EHEA=m (and CONFIG_IBMEBUS=y)
  for ppc/kdump and ppc64/kdump (bnc #459119).
* Thu Jan 08 2009 jblunck@suse.de
- Make kernel-source.changes incremental again
* Thu Jan 08 2009 olh@suse.de
- supported.conf: rename dm-leastpending-path to dm-leastpending
* Thu Jan 08 2009 olh@suse.de
- patches.drivers/ehea-modinfo.patch:
  add alias entry for portN properties (bnc#435215 - LTC48564)
* Thu Jan 08 2009 olh@suse.de
- patches.drivers/ibmvfc-abort-response.patch:
  Fixup command response translation (bnc#459383 - LTC50695)
* Thu Jan 08 2009 olh@suse.de
- patches.drivers/ibmvfc-improve_sync_events.patch:
  Improve async event handling (bnc#460567 - LTC50778)
* Thu Jan 08 2009 gregkh@suse.de
- patches.drivers/via-unichrome-drm-bugfixes.patch: via: Unichrome
  DRM bugfixes.
* Thu Jan 08 2009 coly.li@suse.de
- Move patch from patches.suse/dlm-fix-shutdown-cleanup.patch to
  patches.fixes/dlm-fix-shutdown-cleanup.patch
* Thu Jan 08 2009 coly.li@suse.de
- Fixes a regression from commit
  0f8e0d9a317406612700426fad3efab0b7bbc467,
  "dlm: allow multiple lockspace creates".
* Wed Jan 07 2009 olh@suse.de
- patches.arch/ppc-pseries-cpu-migrate.patch: Update
  default_server during migrate_irqs_away (bnc#460566 - LTC50723)
* Wed Jan 07 2009 jack@suse.cz
- patches.suse/mm-increase-dirty-limits.patch: Increase limits
  for starting writeback of dirty data (bnc#449662).
* Wed Jan 07 2009 ghaskins@suse.de
- Update config files (part of bnc#448412).
* Wed Jan 07 2009 ghaskins@suse.de
- patches.fixes/ia64-configure-HAVE_UNSTABLE_SCHED_CLOCK-for-SGI_SN.patch:
  configure HAVE_UNSTABLE_SCHED_CLOCK for SGI_SN systems (bnc#448412).
* Wed Jan 07 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.10-update: Emulex 8.2.8.10 driver
  patches for SLE11 (bnc#460775).
* Wed Jan 07 2009 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Update Patch-mainline
  header. Patch is not refreshed as it breaks kabi (FATE#304489).
* Wed Jan 07 2009 hare@suse.de
- patches.drivers/cciss-driver-panic-on-volume-delete: cciss
  driver may panic if a logical volume is deleted (bnc#459553).
* Wed Jan 07 2009 hare@suse.de
- patches.suse/scsi-netlink-ml: Use GFP_ATOMIC to avoid deadlocks
  (bnc#461747).
* Wed Jan 07 2009 hare@suse.de
- patches.fixes/fc_transport-devloss-callback-restore: FC devloss
  callback not called when devloss timer fires (bnc#463289).
* Wed Jan 07 2009 hare@suse.de
- patches.suse/dm-mpath-leastpending-path-update: Update
  least-pending-IO dynamic load balancer (bnc#444199).
- patches.suse/dm-mpath-queue-length-load-balancing: Rediff.
- patches.suse/dm-mpath-service-time-load-balancing: Rediff.
- patches.suse/dm-mpath-tracking-nr-bytes: Rediff.
- patches.suse/dm-mpath-leastpending-path: Delete.
* Tue Jan 06 2009 jeffm@suse.de
- patches.fixes/uv-remove-erroneous-BAU-init: UV: remove erroneous
  BAU initialization (bnc#463313).
* Tue Jan 06 2009 jjolly@suse.de
- patches.arch/s390-06-01-qeth-ext-src-mac-addr.patch: qeth:
  exploit source MAC address for inbound layer3 packets
  (bnc#458339).
- patches.arch/s390-06-02-qeth-layercrash.patch: qeth: avoid
  crash in case of layer mismatch for VSWITCH (bnc#458339).
- patches.arch/s390-06-03-dasd_sim_sense_condition.patch: Fix
  unsolicited SIM sense condition. (bnc#458339).
- patches.arch/s390-06-04-qdio_ssqd_memcpy.patch: qdio: fix
  broken memcpy (bnc#458339).
- patches.arch/s390-06-05-qdio_s390dbf.patch: qdio: rework
  s390dbf usage  (bnc#458339).
- patches.arch/s390-06-06-qdio_inbound_ack.patch: qdio: rework
  inbound buffer acknowledgement (bnc#458339).
- patches.arch/s390-06-07-cio-attach_detach.patch: cio: Crashes
  when repeatetly attaching/detaching devices. (bnc#458339).
* Tue Jan 06 2009 npiggin@suse.de
- patches.arch/x86-fix-kmap-contig.patch: x86: Jan's comments for
  contiguous kmap fix (bnc#449812).
* Tue Jan 06 2009 npiggin@suse.de
- patches.fixes/mm-lockless-pagecache-barrier.patch: update.
* Mon Jan 05 2009 mmarek@suse.cz
- patches.suse/modpost-filter-out-built-in-depends: modpost:
  filter out "built-in" depends (bnc#450085).
- patches.drivers/0002-Staging-add-TAINT_CRAP-flag-to-drivers-staging-modu.patch:
  refresh.
* Mon Jan 05 2009 npiggin@suse.de
- Fix ps3 config.
* Mon Jan 05 2009 npiggin@suse.de
- patches.fixes/mm-lockless-pagecache-barrier.patch: mm lockless
  pagecache barrier fix.
* Mon Jan 05 2009 npiggin@suse.de
- patches.fixes/fs-symlink-write_begin-allocation-context-fix.patch:
  fs symlink write_begin allocation context fix.
* Mon Jan 05 2009 npiggin@suse.de
- Update config files.
* Mon Jan 05 2009 npiggin@suse.de
- patches.suse/cgroup-freezer.patch: cgroup freezer update (bnc#417294,
  fate#304191, fate#201036).
* Wed Dec 31 2008 npiggin@suse.de
- patches.fixes/s390-lru_add_drain_all.patch: mm: remove UP
  version of lru_add_drain_all() (bnc#458380).
* Wed Dec 31 2008 npiggin@suse.de
- patches.arch/x86-fix-kmap-contig.patch: x86: contiguous kmap
  fix (bnc#449812).
* Tue Dec 30 2008 jeffm@suse.de
- patches.arch/thinkpad_acpi-hotkey-notify-fix: thinkpad_acpi:
  Fix oops with incompatible backlight interface.
* Mon Dec 22 2008 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  fix bootmem reservation on uninitialized node (bunc#457029 - LTC50483)
* Mon Dec 22 2008 olh@suse.de
- patches.fixes/scsi-ibmvscsi-can_queue_fix.patch: Make
  max_requests module parameter more accurate (bnc#458499 - LTC50637)
* Sat Dec 20 2008 tiwai@suse.de
- patches.drivers/alsa-hda-hp-dv7-quirk: ALSA: hda - Add quirk
  for another HP dv7 (bnc#461108).
* Sat Dec 20 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-pm-support: More fixes (bnc#447624).
* Fri Dec 19 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Print more info.
* Fri Dec 19 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-capture-no-44khz: ALSA: disable
  44.1kHz capture on CA0106 (bnc#447624).
- patches.drivers/alsa-ca0106-pm-support: ALSA: ca0106 - Add
  power-amangement support (bnc#447624).
- patches.drivers/alsa-hda-92hd73x-desktop-fixes: ALSA: Fix
  plaback problems on Intel desktops with IDT codecs.
* Fri Dec 19 2008 jbeulich@novell.com
- patches.arch/x86_sgi-uv-scir.patch,
  patches.suse/e1000e_ioremap_sanity_check,
  patches.suse/perfmon2-remove_get_base_syscall_attr.patch,
  patches.suse/perfmon2.patch,
  patches.suse/silent-stack-overflow-2.patch: eliminate build warnings.
* Fri Dec 19 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-rt2870-wireless-driver.patch:
  Staging: add rt2870 wireless driver.
* Fri Dec 19 2008 nfbrown@suse.de
- patches.fixes/md-bitmap-read-do-not-overflow: md: Don't read
  past end of bitmap when reading bitmap. (bnc#459557).
* Thu Dec 18 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Fixed ordering.
* Thu Dec 18 2008 jeffm@suse.de
- patches.fixes/reiserfs-ensure-nonzero-transaction: Delete.
* Thu Dec 18 2008 gregkh@suse.de
- Updated to final 2.6.27.10 release
* Thu Dec 18 2008 trenn@suse.de
- patches.arch/x86-apic-force-bigsmp-apic-on-IBM-EXA3-4.patch:
  Use apic=bigsmp on specific xseries machines (bnc#440497).
* Thu Dec 18 2008 trenn@suse.de
- patches.arch/x86_restrict_pci_early_quirks_to_root_bridges.patch:
  Only scan the root bus in early PCI quirks. (bnc#57886).
* Thu Dec 18 2008 jbeulich@novell.com
- patches.xen/746-pirq-status-page.patch: Merge in c/s 751.
- patches.xen/761-highpte.patch: blktap, gntdev: fix highpte handling.
- patches.xen/762-xencons-hvc.patch: add hvc compatibility mode to xencons.
- patches.xen/xen3-patch-2.6.27.7-8: Linux 2.6.27.8.
- patches.xen/xen3-patch-2.6.27.8-9: Linux 2.6.27.9.
- patches.xen/xen-x86-exports: export a few more symbols
  (bnc#458222).
- patches.xen/xen3-perfmon2_remove_syscalls.patch: Rename to ...
- patches.xen/xen3-perfmon2-remove_syscalls.patch: ... this.
* Thu Dec 18 2008 nfbrown@suse.de
- patches.fixes/md-disable-recovery-on-faulty-degraded-array:
  Disable recovery when degraded RAID1 array appears to be
  faulty. (bnc#447835).
* Wed Dec 17 2008 mmarek@suse.cz
- rpm/symsets.pl: fix uninitialized variable
* Wed Dec 17 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in:
  - add genksyms reference files so that genksyms can explain why
  did checksums change
* Wed Dec 17 2008 gregkh@suse.de
- patches.drivers/via-framebuffer-driver.patch: Delete.  It
  oopses badly and is not needed for the HP2133 hardware, as
  it has switched to Intel chipsets.
* Wed Dec 17 2008 gregkh@suse.de
- Upate to 2.6.27.10-rc1, fixing lots of problems.
  - obsoletes:
    - patches.drivers/libata-update-ST-FLUSH-blacklist
    - patches.fixes/iwlwifi_fix_oops.patch
    - patches.fixes/v4l-dvb-avoid-writing-outside-array
* Wed Dec 17 2008 jeffm@suse.de
- patches.suse/reiserfs-barrier-default: Make reiserfs default
  to barrier=flush.
* Tue Dec 16 2008 mmarek@suse.cz
- addded symtypes-* files to the RC1 reference kabi
* Tue Dec 16 2008 jeffm@suse.de
- patches.fixes/ext3-mark-super-uptodate: ext3: always mark
  super uptodate before dirty (bnc#457043).
* Tue Dec 16 2008 hare@suse.de
- patches.fixes/blk-dont-invoke-request_fn-on-stopped-queue:
  block: only call ->request_fn when the queue is not stopped
  (bnc#457041).
- patches.fixes/blk-get-extra-reference-before-unmap: block:
  hold extra reference to bio in blk_rq_map_user_iov().
- patches.fixes/blk-move-unplug_work-init: block: move
  q->unplug_work initialization.
- patches.fixes/blk-set-segment-boundary-mask: block: fix setting
  of max_segment_size and seg_boundary mask.
- patches.fixes/dm-mpath-send-activate-to-every-path: Handle
  multiple paths in a path group properly during pg_init.
- patches.fixes/scsi_dh-add-lsi-ids-to-rdac: Adding LSI vendor
  and product IDs to RDAC device handler.
- patches.suse/dm-mpath-accept-failed-paths: Accept failed paths
  for multipath maps (bnc#458037,bnc#458393).
- patches.suse/scsi-check-removed-device-for-offline: Check if
  device is removed in scsi_device_online() (bnc#456747).
* Tue Dec 16 2008 hare@suse.de
- Enable 3270 console (bnc#457039)
* Tue Dec 16 2008 rjw@suse.de
- Update config files.
- patches.suse/mm-do-not-disable-memory-hotplug-when-hibernation-is-enabled.patch:
  mm: Do not disable memory hotplug when hibernation is enabled
  (bnc#438914).
* Tue Dec 16 2008 jeffm@suse.de
- patches.fixes/iwlwifi_fix_oops.patch: iwlwifi: clean key table
  in iwl_clear_stations_table function (bnc#457062).
* Mon Dec 15 2008 jjolly@suse.de
- patches.drivers/cxgb3i_ddp.patch: cxgb3i - added pdu size
  check and fixed ddp page setup (bnc#449519).
* Mon Dec 15 2008 hare@suse.de
- patches.drivers/qla4xxx-5.01.00-k8_sles11-04-update: qla4xxx
  driver SLES 11 Beta6 update (bnc#458186).
* Mon Dec 15 2008 oneukum@suse.de
- patches.suse/usb_correct_config_ti_04b3_4543.diff: fix
  ti_usb_3410_5052 driver for device 04b3:4543 (bnc#395775).
* Sun Dec 14 2008 gregkh@suse.de
- Update to 2.6.27.9
  - obsoleted:
    - patches.fixes/applicom-fix-unchecked-ioctl-range
    - patches.fixes/watchdog-ib700wdt-buffer-underflow
* Fri Dec 12 2008 jeffm@suse.de
- patches.fixes/reiserfs-ensure-nonzero-transaction: reiserfs:
  ensure nonzero transaction (bnc#447406).
* Fri Dec 12 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Update to print accurate refcount.
* Fri Dec 12 2008 jblunck@suse.de
- .gitignore: Ignore backup files.
* Fri Dec 12 2008 hare@suse.de
- patches.fixes/scsi-check-host-lookup-failure: Correct
  scsi_host_lookup return value (bnc#456532).
- patches.suse/dm-mpath-accept-failed-paths: Accept failed paths
  for multipath maps (bnc#458037).
* Fri Dec 12 2008 fseidel@suse.de
- patches.fixes/hso_killswitch.patch: hso: rfkill type should
  be WWAN (bnc#458625).
* Fri Dec 12 2008 fseidel@suse.de
- patches.fixes/hso_killswitch.patch:
  fix hso rfkillswitch type to WWAN (bnc#458625)
* Fri Dec 12 2008 mmarek@suse.cz
- import SLE11 RC1 reference kabi
* Fri Dec 12 2008 gregkh@suse.de
- refresh patches to apply cleanly due to 2.6.27.9-rc addition.
* Fri Dec 12 2008 gregkh@suse.de
- remove patches that were obsoleted by 2.6.27.9-rc2
  - patches.arch/ppc-mpic-dont-reset-affinity-for-secondary-MPIC-on-boot.patch
  - patches.arch/x86-hpet-use-WARN_ON_ONCE
  - patches.drivers/alsa-hda-acer-quirk
  - patches.drivers/alsa-hda-alc888-medion-add
  - patches.drivers/alsa-hda-dell-studio-15-quirk
  - patches.drivers/alsa-hda-dell-studio-1535-quirk
  - patches.drivers/alsa-hda-hp-6730s-quirk
  - patches.drivers/alsa-hda-hp-elitebook-8530p-quirk
  - patches.drivers/alsa-hda-hp-mobile-fix
  - patches.drivers/alsa-hda-stac-no-hp-as-line-out-switch
  - patches.drivers/cell_edac.patch
  - patches.fixes/acpi-set-SCI_EN-on-MacBook.patch
  - patches.fixes/atm-duplicate-listen-on-socket-corrupts-the-vcc-table.patch
  - patches.fixes/block-enforce-minimum-SG_IO-timeout
  - patches.fixes/cxgb3-remove-duplicate-tests-in-lro
  - patches.fixes/cxgb3_fix_race_in_EEH
  - patches.fixes/hibernate-x86-fix-breakage-on-x86_32-with-PAE.patch
  - patches.fixes/pci_aspm_check_endless_loop_safe.patch
  - patches.fixes/sched-fix-bug-in-sched-domain-degenerate.patch
  - patches.fixes/x86-arch_add_memory-remove-debug
  - patches.fixes/x86-memory-hotplug-off-by-one
* Fri Dec 12 2008 gregkh@suse.de
- update to 2.6.27.9-rc2:
  - lots of bugfixes
  - some security updates
* Fri Dec 12 2008 gregkh@suse.de
- intermediate commit as part of adding 2.6.27.9-rc1 to the tree.
* Thu Dec 11 2008 hare@suse.de
- Compile in zfcpdump module for S/390 (bnc#446367).
* Thu Dec 11 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: one more fix to make kabi checks work
* Thu Dec 11 2008 teheo@suse.de
- patches.drivers/libata-update-ST-FLUSH-blacklist: libata:
  fix Seagate NCQ+FLUSH blacklist (bnc#458192).
* Thu Dec 11 2008 nfbrown@suse.de
- patches.suse/SoN-fix-sync: Cope with racy nature of sync_page
  in swap_sync_page (441793).
* Wed Dec 10 2008 jjolly@suse.de
- patches.arch/s390-05-09-cleanup-of-portopen-requests.patch:
  zfcp: fix erp timeout cleanup for port open requests
  (bnc#450096).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/watchdog-ib700wdt-buffer-underflow: ib700wdt.c -
  fix buffer_underflow bug (bnc#457898).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/applicom-fix-unchecked-ioctl-range: applicom: Fix
  an unchecked user ioctl range and an error return (bnc#457897).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/block-enforce-minimum-SG_IO-timeout: Enforce a
  minimum SG_IO timeout (bnc#457896).
* Wed Dec 10 2008 mmarek@suse.cz
- rpm/find-provides: don't fail if a subpackage doesn't contain
  any modules (such as the -man subpackage on s390x)
* Wed Dec 10 2008 tiwai@suse.de
- patches.drivers/alsa-hda-hp-6730b-quirk: ALSA: hda - Add quirk
  for HP6730B laptop (bnc#457909).
- patches.drivers/alsa-hda-hp-6730s-quirk: ALSA: hda - Add
  another HP model (6730s) for AD1884A.
- patches.drivers/alsa-hda-hp-elitebook-8530p-quirk: ALSA: hda -
  Make the HP EliteBook 8530p use AD1884A model laptop.
* Wed Dec 10 2008 olh@suse.de
- patches.drivers/ibmvfc-add_sync.patch:
  Fix errors due to inconsistent command data (bnc#456654 - LTC50451)
- patches.drivers/ibmvfc-host_init_delay.patch:
  Delay NPIV login retry and add retries (bnc#456654 - LTC50451)
* Wed Dec 10 2008 teheo@suse.de
- patches.drivers/libata-pata_hpt366-fix-cable-detection:
  pata_hpt366: fix cable detection, (bnc#362159).
- patches.drivers/libata-pata_hpt366-fix-clock-detection:
  pata_hpt366: fix clock detection (bnc#362159).
- patches.drivers/libata-pata_hpt366-no-ATAPI-DMA: pata_hpt366:
  no ATAPI DMA (bnc#362159).
- patches.drivers/libata-pata_hpt366-reimplement-mode-programming:
  pata_hpt366: reimplement mode programming (bnc#362159).
* Tue Dec 09 2008 agruen@suse.de
- supported.conf: Mark xfs_dmapi as supported (bnc#457668).
* Tue Dec 09 2008 jeffm@suse.de
- patches.fixes/x86-arch_add_memory-remove-debug: x86: remove
  debug code from arch_add_memory() (bnc#457526).
- patches.fixes/x86-memory-hotplug-off-by-one: x86, memory
  hotplug: remove wrong -1 in calling init_memory_mapping()
  (bnc#457526).
* Tue Dec 09 2008 agruen@suse.de
- rpm/{kernel-module-subpackage,macros.kernel-source}: Remove
  a leftover hardcoded dependency on the kernel-source package so
  that KMPs can alternatively be built against a kernel other
  than (kernel-source + kernel-syms), such as (kernel-source-rt +
  kernel-syms-rt).
* Tue Dec 09 2008 trenn@suse.de
- patches.fixes/pci_aspm_check_endless_loop_safe.patch: PCIe:
  ASPM: Break out of endless loop waiting for PCI config bits
  to switch (bnc#449799).
* Tue Dec 09 2008 mmarek@suse.cz
- rpm/symsets.pl:
  - add --required-modules option to tell which modules this
  subpackage requires via dependencies. This is needed to
  preserve symsets when modules move from one subpackage to
  another.
  - add POD help and --help option.
- rpm/kernel-binary.spec.in: make use of --required-modules
* Tue Dec 09 2008 nfbrown@suse.de
- patches.fixes/xfs-barrier-fix.patch: Fix propagation of
  EOPNOTSUPP when barriers are not supported. (bnc#438608).
* Tue Dec 09 2008 rjw@suse.de
- patches.fixes/tg3-fix-default-wol.patch: net (tg3): Fix failure
  to enable WoL by default when possible (bnc#447371).
* Mon Dec 08 2008 olh@suse.de
- patches.arch/ppc-valid-hugepage-size-hugetlb_get_unmapped_area.patch:
  Check for valid hugepage size in hugetlb_get_unmapped_area
  (bnc#456433 - LTC50170).
* Mon Dec 08 2008 trenn@suse.de
- patches.fixes/pci_aspm_check_endless_loop.patch: Delete.
* Mon Dec 08 2008 rw@suse.de
- patches.drivers/sgi-xp-no-uv:
  SGI SN: Eliminate dependency of the XP/XPC drivers on GRU. (bnc#442442)
* Mon Dec 08 2008 rw@suse.de
- Update config files for ia64:
  Disable PERMIT_BSP_REMOVE.  (bnc#386714)
* Mon Dec 08 2008 mmarek@suse.cz
- rpm/find-provides, rpm/kernel-binary.spec.in: figure out what
  subpackage is being processed in find-provides and just print
  the symsets computed in the spec.
* Mon Dec 08 2008 olh@suse.de
- rpm/post.sh: use flavor-rpmarch to match boards on powerpc
* Mon Dec 08 2008 mmarek@suse.cz
- rpm/kernel-module-subpackage: skip empty KMPs with a warning in
  the kmp %%postun
* Mon Dec 08 2008 jjohansen@suse.de
- Update config files.
- patches.apparmor/fix-complain.diff: fix enforcement of deny
  rules in complain mode (bnc#426159).
- patches.apparmor/fix-security-param.diff: fix recognition of
  security= boot parameter (bnc#442668).
- patches.apparmor/fork-tracking.diff: fix log messages to enable
  tools profile learning (bnc#447564).
* Mon Dec 08 2008 olh@suse.de
- rpm/post.sh: update board detection to use rpmarch instead flavor
* Mon Dec 08 2008 hare@suse.de
- patches.fixes/block-integrity-update: Block integrity update
  (FATE#304345).
- patches.suse/dm-block-integrity: Block integrity support for
  DM and MD (FATE#304345).
- patches.suse/dm-mpath-add-start-io: dm-mpath: add a path
  selector interface (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-queue-length-load-balancing: dm-mpath: add
  queue-length dynamic load balancer (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-service-time-load-balancing:
  dm-mpath: add service-time oriented dynamic load balancer
  (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-tracking-nr-bytes: dm-mpath:
  interface change for service-time dynamic load balancer
  (FATE#303862,FATE#302108).
- supported.conf: Update to correctly reference dynamic load
  balancer modules (bnc#444199)
* Mon Dec 08 2008 tonyj@suse.de
- patches.suse/perfmon2-add_ioctl_interface.patch: switch to
  ioctl interface for perfmon2.
- patches.suse/perfmon2-fix_disabled.patch: fix initializion of
  perfmon disabled.
- patches.suse/perfmon2-remove_get_base_syscall_attr.patch:
  remove perfmon syscall_base attribyute.
- patches.suse/perfmon2-remove_syscalls.patch: drop additional
  perfmon2 syscalls.
- patches.xen/xen3-perfmon2_remove_syscalls.patch: drop additional
  perfmon2 syscalls.
* Sat Dec 06 2008 trenn@suse.de
- patches.arch/acpi_ec_provide_non_interrupt_mode_boot_param.patch:
  ACPI: EC: Don't degrade to poll mode at storm
  automatically. (bnc#446142).
- patches.fixes/pci_aspm_check_endless_loop.patch: PCIE Break
  out of endless loop waiting for PCI config bits to switch
  (bnc#449799).
* Sat Dec 06 2008 gregkh@suse.de
- refresh patches to apply cleanly.
* Sat Dec 06 2008 gregkh@suse.de
- Update to final 2.6.27.8 release
  - contains 2 changes from 2.6.27.8-rc1
* Fri Dec 05 2008 jbeulich@novell.com
- patches.xen/xen-configurable-guest-devices: fix a typo.
* Fri Dec 05 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch:
  move crq_queue_create at the end of initialization (bnc#455929).
* Fri Dec 05 2008 hare@suse.de
- patches.drivers/open-fcoe-fnic-patches: Open-FCoE bugfixes
  for fnic.
- patches.drivers/open-fcoe-rc1-update: Update open-FCoE with
  latest patches from Intel (bnc#438954).
* Fri Dec 05 2008 jbeulich@novell.com
- Update Xen x86-64 config (2k guest devices, 1k outstanding transmits
  in netback).
* Fri Dec 05 2008 hare@suse.de
- patches.arch/s390-zfcp-synchronize-scsi-register: No udev
  events for zfcp online / offline (bnc#443667).
- patches.fixes/scsi-remove-scmd-timeout: Fix block timeout
  residue problems (bnc#447249,bnc#441335).
- patches.fixes/scsi-eh_stu-timeout: Delete obsolet patch.
* Fri Dec 05 2008 bphilips@suse.de
- patches.fixes/saa7134-fix-resource-map-sanity-check-conflict.patch:
  saa7134: fix resource map sanity check conflict (bnc#446733).
* Fri Dec 05 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-rtl8187se-driver.patch: Staging:
  add rtl8187se driver.  Needed for MSI Wind and other netbooks.
* Fri Dec 05 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-serverengines-benet-10gb-ethernet-driver.patch:
  Staging: Add ServerEngines benet 10Gb ethernet driver.
* Fri Dec 05 2008 gregkh@suse.de
- update the wlan-ng driver to the latest upstream version, making
  it much more useful (it actually works now...)
* Fri Dec 05 2008 nfbrown@suse.de
- patches.fixes/sunrpc-module-refcount-fix: Add a reference to
  sunrpc in svc_addsock (443379).  This avoid a bug where
  refcount on sunrpc can go zero or negative.
* Thu Dec 04 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: reiserfs: print more
  information when an empty journal list is encountered
  (bnc#447406 bnc#399966).
* Thu Dec 04 2008 gregkh@suse.de
- patches.fixes/atm-duplicate-listen-on-socket-corrupts-the-vcc-table.patch:
  ATM: duplicate listen() on socket corrupts the vcc table
  (CVE-2008-5079).
* Thu Dec 04 2008 jack@suse.cz
- Update config files.
* Thu Dec 04 2008 jack@suse.cz
  XFS update on request from SGI:
- patches.apparmor/vfs-notify_change.diff: Add a vfsmount
  parameter to notify_change(). (refreshed)
- patches.suse/xfs-account-for-allocated-blocks-when-expanding-directories:
  Account for allocated blocks when expanding directories
  (bnc#450658).
- patches.suse/xfs-check-for-valid-transaction-headers-in-recovery:
  XFS: Check for valid transaction headers in recovery
  (bnc#450658).
- patches.suse/xfs-dmapi-enable: VFS changes to support DMAPI
  (bnc#450658).
- patches.suse/xfs-dmapi-src: DMAPI Source  (bnc#450658).
- patches.suse/xfs-dmapi-xfs-enable: DMAPI support for xfs
  (bnc#450658).
- patches.suse/xfs-handle-memory-allocation-failures-during-log-initialisation:
  handle memory allocation failures during log initialisation
  (bnc#450658).
- patches.suse/xfs-nfsd-dmapi-aware: Make NFSD DMAPI aware
  (74107, 173874, bnc#450658).
- patches.suse/xfs-wait-for-all-IO-on-truncate-to-zero: Wait
  for all I/O on truncate to zero file size (bnc#450658).
- patches.suse/xfs-dmapi-2.6.27: Delete.
- patches.suse/xfs-dmapi-xfs-2.6.27: Delete.
* Thu Dec 04 2008 olh@suse.de
- patches.arch/ppc-mpic-dont-reset-affinity-for-secondary-MPIC-on-boot.patch:
  Don't reset affinity for secondary MPIC on boot (bnc#456408 - LTC50397).
* Thu Dec 04 2008 jjolly@suse.de
- Update config files.
- patches.arch/s390-05-04-fix_rport_status_check.patch: zfcp:
  fix remote port status check (bnc#450096).
- patches.arch/s390-05-05-stp-etr-stop-machine.patch: stp/etr:
  smp_call_function races. (bnc#450096).
- patches.arch/s390-05-06-stp-etr-mutex.patch: stp/etr: serialize
  work. (bnc#450096).
- patches.arch/s390-05-07-generic-ipi.patch: kernel:
  smp_call_function races. (bnc#450096).
- patches.arch/s390-05-08-topology.patch: kernel: disable cpu
  topology support by default (bnc#450096,LTC#50392).
* Thu Dec 04 2008 olh@suse.de
- patches.arch/ppc-cell-gdb-watchpoints.patch:
  Fix GDB watchpoints on Cell (bnc#456405 - LTC50396).
* Thu Dec 04 2008 olh@suse.de
- patches.arch/ppc-syscall-xer.so.1.patch: Fix system calls on
  Cell entered with XER.SO=1 (bnc#456406 - LTC50395).
* Thu Dec 04 2008 hare@suse.de
- patches.suse/genhd-disk-ro-uevents: Send uevents for
  write_protect changes (bnc#440959).
* Thu Dec 04 2008 mmarek@suse.cz
- supported.conf: mark kernel/net/ipv4/ipvs/ip_vs/* and
  kernel/net/ipv4/netfilter/ipt_CLUSTERIP as unsupported,
  a supported variant will be provided in a separate KMP
  (bnc#455959)
* Thu Dec 04 2008 schwab@suse.de
- Set CONFIG_IA64_CPE_MIGRATE=m.
* Thu Dec 04 2008 jbeulich@novell.com
- supported.conf: Mark pciback as support, sfc_resource, sfc_netback,
  and sfc_netutil as externally supported, add sfc_netfront, and mark
  xenscsi and xen-scsibk as unsupported.
* Thu Dec 04 2008 mszeredi@suse.de
- patches.suse/SoN-fix-uninitialized-variable.patch: Fix use of
  uninitialized variable in cache_grow() (bnc#444597).
* Thu Dec 04 2008 hare@suse.de
- patches.fixes/scsi-eh_stu-timeout: make scsi_eh_try_stu use
  block timeout (bnc#447249,bnc#441335).
* Thu Dec 04 2008 gregkh@suse.de
- patches.fixes/jbd2-create-proc-entry-fix.patch: Delete. It's not needed
  anymore now that 2.6.27.8-rc1 has a similar fix.
* Thu Dec 04 2008 gregkh@suse.de
- Update to 2.6.27.8-rc1:
  - lots of bugfixes
  - some security fixes as well.
  - obsoletes lots of existing patches:
    - patches.arch/ppc-spufs-02-add-a-missing-mutex_unlock.patch
    - patches.arch/ppc-spufs-11-Fix-spinning-in-spufs_ps_fault-on-sig.patch
    - patches.drivers/libata-fix-ata_tf_read_block-overflow
    - patches.drivers/libata-fix-ata_tf_to_lba48-overflow
    - patches.drivers/libata-seagate-firmware-bug
    - patches.drivers/parport-serial-array-overflow-fix
    - patches.fixes/af_unix-soft-lockup-fix.patch
    - patches.fixes/cifs-add-cifs_sock_list
    - patches.fixes/cifs-cleanup-cifs_mount
    - patches.fixes/cifs-cleanup-proto-handling
    - patches.fixes/cifs-disable-sess-sharing
    - patches.fixes/cifs-fix-build-breakage
    - patches.fixes/cifs-fix-data-corruption
    - patches.fixes/cifs-fix-dead-tcon-check
    - patches.fixes/cifs-fix-oops-on-failed-mount
    - patches.fixes/cifs-fix-reconnection-flags
    - patches.fixes/cifs-fix-smb-send2
    - patches.fixes/cifs-fix-writepages
    - patches.fixes/cifs-reinstate-sess-sharing-sans-races
    - patches.fixes/cifs-reinstate-treecon-sharing
    - patches.fixes/ext4_add-missing-unlock-to-ext4-check-descriptors
    - patches.fixes/ext4_create-proc-ext4-stats-file-more-carefully
    - patches.fixes/ext4_fix_whitespace_checkpatch_issues
    - patches.fixes/ext4_update-flex-bg-counters-when-resizing
    - patches.fixes/fix-inotify-watch-removal-umount-races
    - patches.fixes/hpwdt-execute-page.diff
    - patches.fixes/hpwdt-kdump.diff
    - patches.fixes/ia64-fix-boot-panic-caused-by-offline-CPUs.patch
    - patches.fixes/x86_cpufreq_powernow-k8_handle_invalid_state_gracefully.patch
* Wed Dec 03 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.19: Fix a kernel warning during shutdown.
- patches.xen/xen3-patch-2.6.27,
  patches.xen/xen-netback-notify-multi,
  patches.xen/xen-virq-per-cpu-irq: Refresh.
* Wed Dec 03 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch: change
  init order to fill in shost_data (bnc#455929).
* Wed Dec 03 2008 hare@suse.de
- patches.suse/scsi-netlink-ml: Use GFP_ATOMIC for
  skb allocation.
* Wed Dec 03 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch:
  add debug for Scsi_Host->shost_data (bnc#455929).
* Wed Dec 03 2008 hare@suse.de
- supported.conf: mark dm-leastpending-path as supported
  (bnc#444199)
* Wed Dec 03 2008 teheo@suse.de
  Patch updated to remove strcmp() on NULL strings.
- patches.drivers/libata-ata_piix-borked-tecra-m4-broken-suspend:
  ata_piix: add borked Tecra M4 to broken suspend list
  (bnc#398270).
* Wed Dec 03 2008 jbeulich@novell.com
- Update Xen patches to c/s 728 (plus several indivual ones)
- patches.xen/735-balloon-exit.patch: remove sysfs files during balloon
  module exit.
- patches.xen/737-kexec-free.patch: kexec: Don't pass
  limit_pages_to_max_mfn() regions to xen_destroy_contiguous_region().
- patches.xen/740-blkback-resource-leak.patch: blkback, blktap: Fix
  potential resource leak.
- patches.xen/746-pirq-status-page.patch: use shared page indicating
  the need for an EOI notification
- patches.xen/747-x86-undo-mfn-limit.patch: revert the effect of
  xen_limit_pages_to_max_mfn()
- patches.xen/748-x86-ioapic-cleanup.patch: cleanup IO-APIC code
- patches.xen/panic-on-io-nmi-xen.diff: Rename to ...
- patches.xen/xen3-panic-on-io-nmi.diff: ... this.
- patches.xen/uv-sysfs-no-xen.diff: Replace by ...
- patches.xen/xen3-uv_setup_irq.diff: ... this.
- patches.xen/xen3-x86_sgi_uv_early_detect_oem.patch: x86, uv:
  add early detection of UV system types (bnc#429984).
- patches.xen/xen-fb-bad-irq: Delete.
* Wed Dec 03 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.9-update: Update Emulex lpfc driver
  to 8.2.8.9 (bnc#420767).
* Wed Dec 03 2008 knikanth@suse.de
- patches.suse/cfq-ioc-race: Exiting queue and task might race
  to free cic (bnc#444346).
* Wed Dec 03 2008 sjayaraman@suse.de
- patches.fixes/cifs-reinstate-sess-sharing-sans-races: Adjust as it
  didn't apply cleanly.
* Wed Dec 03 2008 sjayaraman@suse.de
- Fix data corruption issues (411655).
  patches.fixes/cifs-fix-data-corruption
  patches.fixes/cifs-fix-smb-send2
- Fix multiple oopses, memory corruption due to mount/umount races
  (https://bugzilla.samba.org/show_bug.cgi?id=5720).
  patches.fixes/cifs-add-cifs_sock_list
  patches.fixes/cifs-cleanup-cifs_mount
  patches.fixes/cifs-cleanup-proto-handling
  patches.fixes/cifs-disable-sess-sharing
  patches.fixes/cifs-fix-build-breakage
  patches.fixes/cifs-fix-dead-tcon-check
  patches.fixes/cifs-fix-oops-on-failed-mount
  patches.fixes/cifs-fix-reconnection-flags
  patches.fixes/cifs-fix-writepages
  patches.fixes/cifs-reinstate-sess-sharing-sans-races
  patches.fixes/cifs-reinstate-treecon-sharing
* Wed Dec 03 2008 jeffm@suse.de
- scripts/git-create-branch: Helper script to create a new
  branch.
* Tue Dec 02 2008 mmarek@suse.cz
- rpm/get_release_number.sh.in, scripts/tar-up.sh: append first
  eight digits of the commit id to the release string. This makes
  it easier to match rpm release numbers with commits.
* Tue Dec 02 2008 mszeredi@suse.de
- patches.fixes/af_unix-soft-lockup-fix.patch: net: Fix soft
  lockups/OOM issues w/ unix garbage collector (bnc#449739
  CVE-2008-5300).
* Tue Dec 02 2008 hare@suse.de
- patches.drivers/qla2xxx-8.02.01.02.11.0-k9-update: qla2xxx:
  additional fixes/updates for SLES11 (bnc#450197).
- patches.fixes/scsi-fixup-failfast-definitions: fc_transport:
  fix old bug on bitflag definitions (bnc#447814).
* Tue Dec 02 2008 goldwyn@suse.de
- patches.suse/novfs-map-drives-correctly.diff
- patches.suse/novfs-merge-changes.diff: Modified to revert
  some changes in novfs_set_map_drive()
- patches.suse/novfs-clear-mappeddrives.patch: Unlink mapped
  drives on exit (bnc#449451).
* Tue Dec 02 2008 mmarek@suse.cz
- supported.conf: mark ocfs2 as unsupported, a supported variant
  will be provided in a separate KMP (bnc#449824)
* Tue Dec 02 2008 olh@suse.de
- patches.drivers/ehca-rejecting-dynamic-mem-add-remove.patch:
  update error message (bnc#448301 - LTC50134)
* Tue Dec 02 2008 hare@suse.de
- Update config files for S/390: Disable FCoE and sync
  default and s390.
- supported.conf: Mark KVM as supported.
* Tue Dec 02 2008 jjolly@suse.de
- ...and added the patches to the series.conf (bnc#450096)
* Tue Dec 02 2008 jjolly@suse.de
- patches.arch/s390-05-01-zfcp-message-linebreak.patch: zfcp:
  Wrong placement of linebreak in message (bnc#450096).
- patches.arch/s390-05-02-zfcp-invalid-non-null-return.patch:
  zfcp: invalid return value on failing fsf_req creation
  (bnc#450096).
- patches.arch/s390-05-03-zfcp-wka-port.patch: zfcp: Fix opening
  of wka ports (bnc#450096).
* Mon Dec 01 2008 kkeil@suse.de
- patches.drivers/cxgb3-Add-1G-fiber-support: cxgb3: Add 1G
  fiber support.
- patches.drivers/cxgb3-Allocate-multiqueues-at-init-time: cxgb3:
  Allocate multiqueues at init time.
- patches.drivers/cxgb3-More-flexible-support-for-PHY-interrupts:
  cxgb3: More flexible support for PHY interrupts..
- patches.drivers/cxgb3-Support-for-Aeluros-2005-PHY: cxgb3:
  Support for Aeluros 2005 PHY.
- patches.drivers/cxgb3-allow-for-PHY-reset-status: cxgb3:
  allow for PHY reset status.
- patches.drivers/cxgb3-commnonize-LASI-phy-code: cxgb3:
  commnonize LASI phy code.
- patches.drivers/cxgb3-eeprom-read-fixes.patch:
  cxgb3 - eeprom read fixes.
- patches.drivers/cxgb3-enable-lro-through-ethtool: cxgb3 -
  enable lro control through ethtool.
- patches.drivers/cxgb3-simplify-port-type-struct-and-usage:
  cxgb3: simplify port type struct and usage.
- patches.drivers/cxgb3-update-driver-version: cxgb3: update
  driver version. (bnc#446739)
* Mon Dec 01 2008 mmarek@suse.cz
- rpm/macros.kernel-source: one more fix to the flavor selection
  code (for some reason %%* contained a newline)
* Mon Dec 01 2008 trenn@suse.de
- patches.arch/acpi_x2APIC_madt_enhancements.patch: ACPICA:
  x2APIC support: changes for MADT and SRAT ACPI tables (fate
  303948 and fate 303984).
- patches.fixes/acpi_check_for_invalid_handle.patch: ACPICA:
  Add check for invalid handle in acpi_get_object_info
  (http://www.acpica.org/bugzilla/show_bug.cgi?id=474).
- patches.fixes/acpi_dereference_object_if_possible.patch:
  ACPICA: Add function to dereference returned reference objects
  (http://bugzilla.kernel.org/show_bug.cgi?id=11105).
- patches.fixes/acpi_do_not_load_acpi_cpufreq_acpioff.patch:
  ACPI: don't load acpi_cpufreq if acpi=off (no reference).
* Mon Dec 01 2008 trenn@suse.de
- patches.fixes/acpi_copy_tables_fix_suspend.patch: ACPICA:
  Copy dynamically loaded tables to local buffer (bnc#410726).
* Sat Nov 29 2008 nfbrown@suse.de
- patches.fixes/SUNRPC-Fix-autobind-on-cloned-rpc-clients.patch:
  SUNRPC: Fix autobind on cloned rpc clients.
  Importantly, this removes a 'BUG_ON' that fires. (450083).
* Sat Nov 29 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-borked-tecra-m4-broken-suspend:
  ata_piix: add borked Tecra M4 to broken suspend list
  (bnc#398270).
* Sat Nov 29 2008 bwalle@suse.de
- UV updates from SGI (bnc#442455, #442455).
  o patches.fixes/ia64_uv_partition_id.diff:
  Add partition id, coherence id, and region size to UV
  o patches.fixes/ia64_uv_watchlist.diff:
  Add UV watchlist suppor
  o patches.fixes/null_irq_desc_name.diff:
  genirq: NULL struct irq_desc's member 'name' in
  dynamic_irq_cleanup()
  o patches.fixes/uv-bios_call_memprotect.diff:
  Add UV bios call to change memory protections
  o patches.fixes/uv-bios_call_partition.diff:
  x86: Add UV partition call
  o patches.fixes/uv-bios_call_reserve_page.diff:
  Add UV bios call to get the address of the reserved page
  o patches.fixes/uv-bios_call_watchlist.diff:
  Add UV bios calls to allocate and free watchlists
  o patches.fixes/uv-bios_common.diff:
  x86: Add UV bios call infrastructure
  o patches.fixes/uv-efi_bios.diff:
  x86: Add UV EFI table entry
  o patches.fixes/uv-sn_region_size.diff:
  Use consistent names for region size and conherence id on x86
  and ia64
  o patches.fixes/uv-sysfs.diff:
  x86: Add UV sysfs entries
  o patches.fixes/uv-xp-change_memprotect.diff:
  Define xp_expand_memprotect() and xp_restrict_memprotect()
  o patches.fixes/uv-xpc-get_sn_info.diff:
  Define xp_partition_id and xp_region_size
  o patches.fixes/uv-xpc_create_gru_mq_uv.diff:
  Add the code to create the activate and notify gru message
  queues
  o patches.fixes/uv-xpc_get_part_rsvd_page.diff:
  Add support for getting the address of a partition's reserved
  page
  o patches.fixes/uv_setup_irq.diff:
  x86, UV: add uv_setup_irq() and uv_teardown_irq() functions, v3
- Refresh Xen patches
  o patches.xen/xen3-auto-arch-x86.diff
  o patches.xen/xen3-patch-2.6.19
- patches.xen/xen-x86-no-lapic: Add uv_irq.o
- patches.xen/uv-sysfs-no-xen.diff:
  Don't build UV sysfs support on Xen.
* Sat Nov 29 2008 trenn@suse.de
- patches.fixes/x86_cpufreq_powernow-k8_handle_invalid_state_gracefully.patch:
  powernow-k8: ignore out-of-range PstateStatus value (no
  bug avail).
* Fri Nov 28 2008 sassmann@suse.de
- Update config files.
  activate ALTIVEC in ps3 config
* Fri Nov 28 2008 hare@suse.de
- patches.drivers/open-fcoe-beta4-update: rediff.
- patches.drivers/open-fcoe-beta6-update: Incremental Open-FCoE
  for Beta6 (bnc#438954).
* Fri Nov 28 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sony-vaio-vgn-sr19xn-quirk: ALSA:
  hda - Add quirk for Sony VAIO VGN-SR19XN (bnc#450080).
* Fri Nov 28 2008 olh@suse.de
- rpm/kernel-binary.spec.in: move Module.symvers creation into
  CONFIG_MODULES section, a static kernel exports nothing
* Fri Nov 28 2008 olh@suse.de
- rpm/post*.sh: kernel-vanilla has now vmlinux-vanilla symlink
* Fri Nov 28 2008 teheo@suse.de
  Block layer timer bug fixed.  Multipath patch update is just patch
  refresh.
- patches.drivers/block-internal-dequeue-shouldnt-start-timer:
  block: internal dequeue shouldn't start timer (bnc#449880).
- patches.drivers/blk-request-based-multipath-update: Block layer
  fixes for request-based multipathing (References: FATE#302108).
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: fix no-op macro args
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: fix compile on ppc32
* Thu Nov 27 2008 olh@suse.de
- rpm/kernel-binary.spec.in: always create a dummy initrd because
  mkinitrd is called unconditionally
* Thu Nov 27 2008 olh@suse.de
- rpm/kernel-binary.spec.in: kernel-ps3 needs a suffix
* Thu Nov 27 2008 olh@suse.de
- remove last traces of kernel-um handling
* Thu Nov 27 2008 hare@suse.de
- patches.fixes/qla2xxx-disable-automatic-queue-tracking: qla2xxx:
  Conditionally disable queue_full tracking (bnc#449386).
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: no sysrq on Cell QS21/QS22
  serial console (bnc#422987,bnc#96313 - LTC47675/LTC16841).
* Thu Nov 27 2008 olh@suse.de
- patches.arch/ppc-memoryless-nodes.patch: fix booting with
  memoryless nodes (443280 - LTC49675)
* Thu Nov 27 2008 teheo@suse.de
- patches.drivers/libata-seagate-firmware-bug: libata: blacklist
  Seagate drives which time out FLUSH_CACHE when used with NCQ
  (bnc#449531).
* Wed Nov 26 2008 agruen@suse.de
- rpm/macros.kernel-source: Fix the kernel flavor selection logic
  for the %%kernel_module_package macro.
* Wed Nov 26 2008 hare@suse.de
- patches.fixes/blk-leave-sync-timer-running: move to
  correct place in series.conf and rediff
- patches.drivers/cciss-newids.patch: Delete.
* Wed Nov 26 2008 hare@suse.de
- patches.drivers/cciss-newids.patch: Support for newcciss
  controller (bnc#448416).
- patches.fixes/blk-leave-sync-timer-running: block: leave
  request timeout timer running on an empty list (bnc#447249).
* Tue Nov 25 2008 mszeredi@suse.de
- patches.fixes/slab-alloc_slabmgmt-fix.patch: slab: remove
  GFP_THISNODE clearing from alloc_slabmgmt() (bnc#444597).
* Tue Nov 25 2008 sjayaraman@suse.de
- patches.suse/SoN-11-mm-page_alloc-emerg.patch: Fix accidental side-effect
  that this patch introduced by reverting patches.fixes/oom-warning
  (bnc #444597).
* Tue Nov 25 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-pm-support: ALSA: ca0106 - Add
  power-amangement support (bnc#447624).
- patches.drivers/alsa-hda-dell-92hd73xx-models: ALSA: hda -
  Check model for Dell 92HD73xx laptops (bnc#446025).
- patches.drivers/alsa-hda-dell-studio-1535-quirk: ALSA: hda -
  mark Dell studio 1535 quirk (bnc#446025).
- patches.drivers/alsa-hda-spdif-bits-cache-fix: ALSA: hda -
  Fix caching of SPDIF status bits.
- patches.drivers/alsa-hda-stac-no-hp-as-line-out-switch: ALSA:
  hda - No 'Headphone as Line-out' swich without line-outs
  (bnc#446025).
- patches.drivers/alsa-hda-stac-yet-more-fixes: ALSA: hda -
  Fix AFG power management on IDT 92HD* codecs (bnc#446025).
* Tue Nov 25 2008 jeffm@suse.de
- patches.fixes/fix-inotify-watch-removal-umount-races: Fix
  inotify watch removal/umount races (bnc#446973 CVE-2008-5182).
* Tue Nov 25 2008 jeffm@suse.de
- patches.fixes/uv-redundant-creation-of-proc-dir: UV: redundant
  creation of sgi_uv (bnc#444799).
* Mon Nov 24 2008 agruen@suse.de
- supported.conf: dm-raid45 depends on a few more modules
  (bnc#440208, bnc#441310).
* Mon Nov 24 2008 agruen@suse.de
- Switch from a no_file_caps command line switch to file_caps={0,1}
  for enabling/disabling file capabilities, and make file_caps=0
  the default: we cannot get the no_file_caps option added to the
  kernel command line anymore (perl-Bootloader, bnc#418366).
* Mon Nov 24 2008 agruen@suse.de
- supported.conf: dm-raid4-5 was renamed to dm-raid45 (bnc#440208,
  bnc#441310).
* Mon Nov 24 2008 agruen@suse.de
- Update config files: switch from CONFIG_PREEMPT_VOLUNTARY to
  CONFIG_PREEMPT_NONE.
* Mon Nov 24 2008 ghaskins@suse.de
- patches.fixes/sched-fix-bug-in-sched-domain-degenerate.patch:
  sched: fix a bug in sched domain degenerate (bnc#442464).
* Mon Nov 24 2008 mmarek@suse.cz
- doc/README.SUSE: document that setting allow_unsupported_modules
  to 1 in /etc/modprobe.d/unsupported-modules is required to make
  self-compiled kernels work.
* Mon Nov 24 2008 bwalle@suse.de
- patches.fixes/hpwdt-kdump.diff: Sync with latest upstream
  submission.
* Sun Nov 23 2008 trenn@suse.de
- patches.arch/x86_sgi_uv_early_detect_oem.patch: x86, uv:
  add early detection of UV system types (bnc#429984).
* Sat Nov 22 2008 olh@suse.de
- enable CONFIG_CGROUP_NS on ia64, s390 and powerpc (bnc#447507 - LTC50053)
* Sat Nov 22 2008 rjw@suse.de
- patches.fixes/ia64-fix-boot-panic-caused-by-offline-CPUs.patch:
  fix boot panic caused by offline CPUs (bnc#440386).
* Fri Nov 21 2008 agruen@suse.de
- config/x86_64/maxcpus: Delete.
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: s/CVS/GIT/
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/symsets.pl: fix module names in export lists
  (kernel/irq/built-in was printed as irq/built-in)
* Fri Nov 21 2008 agruen@suse.de
- Update x86_64/{debug,default,trace,vanilla} config files:
  increase NR_CPUS to 512.
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/symsets.pl: Replace the bash and awk scripts around symsets
  and kabi checking with a single script that generates symsets,
  reuses symsets from older kernels and checks for kabi changes for
  each of the split packages (kabi checking and symset reuse
  require a set of reference files, which does not exist yet)
- rpm/list-exported-symbols: Delete.
- rpm/split-into-symsets: Delete.
- scripts/kabi-checks: Delete.
- kabi/severities: table of kabi change severities
- rpm/built-in-where, rpm/find-provides,
  rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  scripts/tar-up.sh: update to use symsets.pl
* Fri Nov 21 2008 kkeil@suse.de
- patches.drivers/ixgbe-sfp.patch: include additional fixes from
  Intel (bnc#442411)
* Fri Nov 21 2008 kkeil@suse.de
- patches.fixes/igb_ethtool.patch: add missing ethtool hooks
  (bnc#435551)
* Fri Nov 21 2008 jjolly@suse.de
- patches.arch/s390-04-08-cio-ungroup-race-fix.patch:
  cio: ccwgroup online vs. ungroup race condition
  (bnc#445100,LTC#50092).
- patches.arch/s390-04-09-zfcp-host-busy-count-fix.patch: zfcp:
  prevent double decrement on host_busy counter (bnc#445100).
* Fri Nov 21 2008 agruen@suse.de
- rpm/macros.kernel-source:
  + Rename the -s option to -t in the %%kernel_module_package macro
  for improved cross-distro compatibility.
  + Define %%kernel_module_package_release as 1 for feature tests.
  + Define %%kernel_module_package_buildreqs for use by KMPs: that
  way, KMPs can either use this macro for compatibility, or
  they can substitute other packages for special cases.
* Fri Nov 21 2008 hare@suse.de
- patches.drivers/cxgb3i: add cxgb3i iscsi driver
  (FATE#304154,bnc#433500).
- patches.drivers/cxgb3i-fixed-offload-array-size: cxgb3i -
  fixed offload wr array size (bnc#447409).
- patches.fixes/dm-table-switch-to-readonly: dm multipath devices
  are not getting created for readonly devices (bnc#382705).
- patches.suse/dm-mpath-null-pgs: Allow zero paths for multipath
  priority groups (bnc#372684).
- patches.suse/scsi-netlink-ml: Netlink interface for SCSI
  sense codes (FATE#303789).
* Fri Nov 21 2008 goldwyn@suse.de
- patches.suse/novfs-map-drives-correctly.diff: Fix oops in
  set_map_drive (bnc#446824, bnc#444469).
* Fri Nov 21 2008 jbeulich@novell.com
- patches.xen/xen3-x86-vmware-tsc-03-detect-from-hypervisor:
  Fix Xen pv driver build.
* Fri Nov 21 2008 olh@suse.de
- patches.arch/ppc-spufs-01-use-inc_nlink.patch: use inc_nlink
- patches.arch/ppc-spufs-02-add-a-missing-mutex_unlock.patch
- patches.arch/ppc-spufs-03-sputrace-Only-enable-logging-on-open.patch
- patches.arch/ppc-spufs-04-sputrace-Don-t-block-until-the-read.patch
- patches.arch/ppc-spufs-05-Use-state_mutex-for-switch_log-lockin.patch
- patches.arch/ppc-spufs-06-Don-t-require-full-buffer-in-switch_l.patch
- patches.arch/ppc-spufs-07-Don-t-spu_acquire_saved-unnecessarily.patch
- patches.arch/ppc-spufs-08-Use-kmalloc-rather-than-kzalloc-for-s.patch
- patches.arch/ppc-spufs-09-Improve-search-of-node-for-contexts-w.patch
- patches.arch/ppc-spufs-10-Explain-conditional-decrement-of-aff_.patch
- patches.arch/ppc-spufs-11-Fix-spinning-in-spufs_ps_fault-on-sig.patch
  update spufs to current mainline state (bnc#447133 - LTC50070)
* Fri Nov 21 2008 tiwai@suse.de
- patches.drivers/parport-serial-array-overflow-fix: Fix array
  overflow in parport_serial.c (bnc#447067).
* Fri Nov 21 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dell-studio-15-quirk: ALSA: hda -
  Add a quirk for Dell Studio 15 (bnc#446025).
- patches.drivers/alsa-hda-stac-dell-m4-3-quirk: ALSA: hda:
  Add STAC_DELL_M4_3 quirk (bnc#446025).
* Fri Nov 21 2008 npiggin@suse.de
- patches.suse/silent-stack-overflow-2.patch: avoid silent stack
  overflow over the heap. Try again.
* Fri Nov 21 2008 gregkh@suse.de
- Refresh patches to apply cleanly after 2.6.27.7 update.
* Fri Nov 21 2008 gregkh@suse.de
- Update to 2.6.27.7
  - lots of bugfixes and security updates.
  - obsoletes:
    - patches.arch/s390-04-05-topology-lock.diff
    - patches.drivers/bnx2x-zero-PMF
    - patches.drivers/input-alps-add-signature-for-dualpoint-found-in-dell-latitude-e6500.patch
    - patches.fixes/cdc-acm.c-fix-recursive-lock-in-acm_start_wb-error-path.patch
    - patches.fixes/sony_laptop_fix_suspend.patch
    - patches.kernel.org/iwlagn-avoid-sleep-in-softirq-context.patch
    - patches.kernel.org/memory-hotplug-fix-page_zone-calculation-in-test_pages_isolated.patch
    - patches.kernel.org/touch_mnt_namespace-when-the-mount-flags-change.patch:
* Fri Nov 21 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-clear-spurious-IRQ: ata_piix:
  detect and clear spurious IRQs (bnc#445872).
* Fri Nov 21 2008 npiggin@suse.de
- patches.fixes/mm-madvise-fix.patch: mm: madvise correct return
  code (bnc#352998).
* Thu Nov 20 2008 jack@suse.cz
- patches.suse/ocfs2-Change-quotafile-names.patch: ocfs2: Change
  file names of local quota files to be consistent (fate#302681).
- patches.suse/ocfs2-Fix-hang-in-quota-recovery-code.patch:
  ocfs2: Fix hang in quota recovery code (fate#302681).
- patches.suse/ocfs2-Fix-oops-when-one-quotatype-enabled: ocfs2:
  Fix oops when only usrquota or grpquota feature is enabled
  (fate#302681).
* Thu Nov 20 2008 garloff@suse.de
- patches.suse/panic-on-io-nmi.diff
  patches.xen/panic-on-io-nmi-xen.diff:
  New kernel sysctl panic-on-io-nmi, which is set will cause a
  kernel panic on receiving an IOCK NMI (bnc#427979).
* Thu Nov 20 2008 jjolly@suse.de
- patches.arch/s390-04-06-cio-sac-update.diff: cio: update sac
  values (bnc#445100).
- patches.arch/s390-04-07-als.patch: kernel: Add processor type
  march=z10 and a processor type safety check. (bnc#445100).
* Thu Nov 20 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-hp-gpio-switch-fix: ALSA: hda:
  STAC_DELL_M6 EAPD (bnc#446025).
* Thu Nov 20 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27.6 and c/s 724.
- Update Xen config files.
- patches.xen/xen-fb-bad-irq: xenfb: don't use irq before it
  gets set up (bnc#445659).
- patches.xen/xen-netback-notify-multi: netback: use multicall
  for send multiple notifications.
- patches.xen/xen-netback-nr-irqs: netback: reduce overhead of
  IRQ recording.
* Thu Nov 20 2008 kkeil@suse.de
- patches.drivers/igb-pf.patch: removed (no SR-IOV) (bnc#440614)
* Thu Nov 20 2008 olh@suse.de
- disable patches.arch/ppc-efika-bestcomm-ata-dma.patch
  crashes the sound driver
* Thu Nov 20 2008 jjolly@suse.de
- rpm/kernel-binary.spec.in: excluded vanilla build from creating
  the man package
* Thu Nov 20 2008 hare@suse.de
- patches.drivers/ibmvfc-async-events-oops: ibmvfc oops while
  processing async events (bnc#445541).
- patches.drivers/mpt-fusion-4.16.00.00-update: MPT fusion driver
  update to 4.16.00.00 (bnc#425660).
- patches.fixes/dm-mpath-NULL-pgpath-in-activate_path: Do not
  call activate_path() if pgpath is NULL (bnc#442676).
- patches.fixes/scsi-dh-rdac-initialize-passive-path: Initialize
  path state to be passive when path is not owned (bnc#442676).
- patches.suse/dm-mpath-leastpending-path: Dynamic load balancing
  policy for device mapper multipath (bnc#444199).
* Thu Nov 20 2008 olh@suse.de
- patches.fixes/bug-437171_1_sched_clock_lock.patch: sched: only
  update rq->clock while holding rq->lock (437171 - LTC47404).
- patches.fixes/bug-437171_2_sched_delta_weight.patch: sched:
  revert back to per-rq vruntime (437171 - LTC47404).
- patches.fixes/bug-437171_3_rework_wakeup_preemption.patch:
  sched: rework wakeup preemption (437171 - LTC47404).
- patches.fixes/bug-437171_4_sched_reinstate_vruntime_wakeup.patch:
  sched: re-instate vruntime based wakeup preemption (437171 -
  LTC47404).
* Thu Nov 20 2008 trenn@suse.de
- Update config files.
  Fixed debug build, added dependent config option.
* Thu Nov 20 2008 trenn@suse.de
- Update config files.
  -> unified i386/x86_64 debug kernels:
     - added CONFIG_NO_HZ=y to i386-debug
     - added CONFIG_DEBUG_INFO to x86_64-debug
  Differ method to receive processor_id depending whether the processor
  got declared as a regular ACPI device or as a processor object:
- patches.arch/acpi_behave_uniquely_based_on_processor_declaration.patch:
  ACPI: Behave uniquely based on processor declaration definition
  type (bnc#440062).
- patches.arch/acpi_disambiguate_processor_declaration_type.patch:
  ACPI: Disambiguate processor declaration type (bnc#440062).
- patches.arch/acpi_processor_cleanups.patch: ACPI: 80 column
  adherence and spelling fix (no functional change) (bnc#440062).
- patches.xen/xen3-auto-common.diff: xen3 common.
  Fix missing bit for ThinkPad brightness switching:
- patches.arch/acpi_video_thinkpad_exclude_IGD_devices.patch:
  Do not use video backlight switching for Lenovo ThinkPads.
- patches.fixes/sony_laptop_fix_suspend.patch: sony-laptop:
  Ignore missing _DIS method on pic device (bnc#446487).
* Thu Nov 20 2008 hare@suse.de
- patches.fixes/dm-mpath-reattach-dh: Do not detach hardware
  handler when removing multipath maps (bnc#435688).
- patches.fixes/scsi-dh-alua-send-stpg: Always send STPG for
  explicit tgps mode.
* Thu Nov 20 2008 jjolly@suse.de
- rpm/kernel-binary.spec.in: Added kernel man package for s390x
* Thu Nov 20 2008 olh@suse.de
- patches.arch/ppc-of-irq-map.patch: fix IRQ assignment if
  interrupts property is missing (bnc#446610 - LTC50006)
* Thu Nov 20 2008 rjw@suse.de
- patches.fixes/acpi-set-SCI_EN-on-MacBook.patch: ACPI suspend:
  Blacklist boxes that require us to set SCI_EN directly on resume
  (bnc#444786).
* Wed Nov 19 2008 tiwai@suse.de
- patches.arch/x86-hpet-pre-read: x86: workaround for mccreary
  HPET read problem (bnc#433746).
* Wed Nov 19 2008 trenn@suse.de
- patches.arch/0008-sony-laptop-fingers-off-backlight.patch:
  sony-laptop: fingers off backlight if video.ko is serving
  this functionality.
  -> Fix typo, must not invert logic at this point
* Wed Nov 19 2008 kkeil@suse.de
- patches.drivers/e1000e_add_ECC: e1000e: enable ECC (bnc#445829)
* Wed Nov 19 2008 mmarek@suse.cz
- scripts/tar-up.sh: record the git branch name in the spec files
  (no branch name means master)
* Wed Nov 19 2008 jkosina@suse.de
- patches.drivers/elousb.patch: fix values of maximum X and Y
  coordinates so that they are compliant with the values that
  the device contains in its descriptor (bnc#442865)
* Wed Nov 19 2008 goldwyn@suse.de
- patches.suse/novfs-merge-changes.diff: Merge changes left out
  during code pull (bnc#445000).
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-bsr-multinode.patch: Add support for
  multiple BSR nodes in the device tree. (bnc#443665 - LTC49817)
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-cmm-pagecounter.patch:
  Update page in counter for CMM (bnc#445540 - LTC49942)
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-bsr-4k.patch: Unable to Use Small
  BSR register on Power LPAR (bnc#443673 - LTC49749)
* Wed Nov 19 2008 jjolly@suse.de
- config/s390/s390: Update config files: added CONFIG_UTRACE=y and
  CONFIG_HAVE_ARCH_TRACEHOOK=y
* Wed Nov 19 2008 jjolly@suse.de
- patches.drivers/ehca-fix-possible-nullpointer-access-v2.patch:
  ehca: fix a possible nullpointer access (bnc#441966).
* Wed Nov 19 2008 jjolly@suse.de
- patches.arch/ppc-axon-missing-msi-workaround-5.diff:
  powerpc/cell/axon-msi: retry on missing interrupt (bnc#445964).
* Wed Nov 19 2008 jjolly@suse.de
- patches.drivers/0001-IB-ehca-Fix-problem-with-max-number-of-QPs-and-CQs.patch:
  Fix problem with max number of QPs and CQs (bnc#441619).
* Tue Nov 18 2008 bwalle@suse.de
- Disable CONFIG_STRICT_DEVMEM for i386 and x86_64 (bnc#443852).
* Tue Nov 18 2008 jjolly@suse.de
- Update config files.
- patches.trace/s390-syscall-get-nr.diff: fix syscall_get_nr..
- patches.trace/s390-utrace-enablement.patch: Backport s390
  kernel components required for utrace enablement.
* Tue Nov 18 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: on s390(x) call dwarfextract to create the
  Kerntypes file for use with old lcrash debuggers.
* Tue Nov 18 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-92hd71bxx-gpio-fix: ALSA:
  hda - Fix GPIO initialization in patch_stac92hd71bxx()
  (bnc#445321,bnc#445161).
- patches.drivers/alsa-hda-stac-gpio-unsol-resume-fix:
  ALSA: hda - Fix resume of GPIO unsol event for STAC/IDT
  (bnc#445321,bnc#445161).
- patches.drivers/alsa-hda-stac-hp-pavilion-quirks: ALSA: hda -
  Add quirks for HP Pavilion DV models (bnc#445321,bnc#445161).
* Tue Nov 18 2008 tiwai@suse.de
- patches.arch/x86-hpet-use-WARN_ON_ONCE: x86: HPET: convert
  WARN_ON to WARN_ON_ONCE (bnc#433746).
* Tue Nov 18 2008 sdietrich@suse.de
  RT development has moved to slert-devel branch.
- Remove RT patches from master branch.
  (itemized RT patch list suppressed)
* Tue Nov 18 2008 olh@suse.de
- patches.arch/ppc-efika-bestcomm-ata-dma.patch: use ATA DMA (bnc#445856)
* Tue Nov 18 2008 olh@suse.de
- config/ppc/ppc64: reenable 64k PAGE_SIZE to keep the config
  flavor on ppc and ppc64 in sync
  the last change had also no bug number to fix the possible bug
  in the Xserver.
* Tue Nov 18 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-acer-dmic: ALSA: hda - Split
  ALC268 acer model (bnc#420048).
* Tue Nov 18 2008 jjolly@suse.de
- patches.arch/s390-04-01-qdio_prevent_double_shutdown.patch:
  qdio: prevent double qdio shutdown in case of I/O
  errors. (bnc#445100).
- patches.arch/s390-04-02-qdio-osa-port-count.patch: qdio:
  fix qeth port count detection. (bnc#445100).
- patches.arch/s390-04-03-kmsg.patch: kmsg: do not change pr_xyz
  messages without KMSG_COMPONENT (bnc#445100).
- patches.arch/s390-04-04-dasd_fatal_error_log_sense.patch:
  dasd: log sense for fatal errors. (bnc#445100).
- patches.arch/s390-04-05-topology-lock.diff: kernel: Fix locking
  in cpu topology code. (bnc#445100).
* Tue Nov 18 2008 jjolly@suse.de
- patches.arch/s390-personality-mask.patch: fix s390x_newuname.
* Tue Nov 18 2008 gregkh@suse.de
- patches.drivers/staging-rt2860-enable-wpa_supplicant-support.patch:
  Staging: rt2860: enable WPA_SUPPLICANT support (bnc#437959).
* Mon Nov 17 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.7-update: Update lpfc to 8.2.8.7
  (bnc#420767).
- patches.drivers/qla4xxx-5.01.00-k8_sles11-03-update: Update
  qla4xxx to 5.01.00-k8_sles11-03     (bnc#444884).
- patches.fixes/dm-mpath-reattach-dh: Reattach device handler
  for multipath devices (bnc#435688).
- patches.fixes/scsi-add-tgps-setting: Add TGPS setting to
  scsi devices.
- patches.fixes/scsi-dh-alua-retry-UA: Retry ALUA device handler
  initialization on Unit Attention.
* Mon Nov 17 2008 jeffm@suse.de
- patches.fixes/v4l-dvb-avoid-writing-outside-array: V4L/DVB
  (9621): Avoid writing outside shadow.bytes array (bnc#445569).
* Mon Nov 17 2008 fseidel@suse.de
- patches.fixes/ipw2200-send-noassoc.patch: ipw2200: fix oops
  in ipw_tx_skb (bnc#397390).
* Sat Nov 15 2008 rjw@suse.com
- patches.fixes/hibernate-x86-fix-breakage-on-x86_32-with-PAE.patch:
  x86: Hibernate: Fix breakage on x86_32 with CONFIG_NUMA set
  (bnc#439126).
* Sat Nov 15 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-hp-m4-check-fix: ALSA:
  hda - Check model type instead of SSID in patch_92hd71bxx()
  (bnc#444349).
- patches.drivers/alsa-hda-sigmatel-vref-event-fix: ALSA: hda:
  STAC_VREF_EVENT value change (bnc#444349).
* Sat Nov 15 2008 gregkh@suse.de
- patches.kernel.org/memory-hotplug-fix-page_zone-calculation-in-test_pages_isolated.patch:
  memory hotplug: fix page_zone() calculation in
  test_pages_isolated() (bnc#445163).
* Fri Nov 14 2008 gregkh@suse.de
- patches.drivers/input-alps-add-signature-for-dualpoint-found-in-dell-latitude-e6500.patch:
  Input: ALPS - add signature for DualPoint found in Dell Latitude
  E6500 (bnc#436719).
* Fri Nov 14 2008 hare@suse.de
- patches.fixes/scsi-eh-timed-out-missing-braces: scsi_error:
  fix indentation and braces disagreement - add braces.
- patches.fixes/scsi-retry-TASK_ABORTED: scsi_error: TASK ABORTED
  status handling improvement.
- patches.fixes/scsi-retry-transport-error: scsi_error regression:
  Fix idempotent command handling.
* Fri Nov 14 2008 hare@suse.de
- patches.fixes/scsi-eh-timed-out-missing-braces: scsi_error:
  fix indentation and braces disagreement - add braces.
- patches.fixes/scsi-retry-TASK_ABORTED: scsi_error: TASK ABORTED
  status handling improvement.
- patches.fixes/scsi-retry-transport-error: scsi_error regression:
  Fix idempotent command handling.
* Fri Nov 14 2008 bwalle@suse.de
- patches.fixes/hpwdt-execute-page.diff:
  [WATCHDOG] [hpwdt] Set the mapped BIOS address space as
  executable (bnc#430680).
* Fri Nov 14 2008 tiwai@suse.de
- patches.arch/x86-vmware-tsc-01-add-TSC_RELIABLE,
  patches.arch/x86-vmware-tsc-02-add-X86_FEATURE_HYPERVISOR,
  patches.arch/x86-vmware-tsc-03-detect-from-hypervisor,
  patches.arch/x86-vmware-tsc-04-use-TSC_RELIABLE,
  patches.arch/x86-vmware-tsc-05-skip-tsc-clocksource,
  patches.arch/x86-vmware-tsc-06-fix-vmware_get_tsc,
  patches.arch/x86-vmware-tsc-07-DMI-product-serial-key,
  patches.xen/xen-x86-vmware-tsc-fix:
  VMware tsc clocksource workaround (bnc#441338).
* Fri Nov 14 2008 tiwai@suse.de
- Fixed a typo in definition of X86_FEATURE_XTOPOLOGY (bnc#443293)
  in patches.arch/x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4
* Fri Nov 14 2008 agruen@suse.de
- Update CONFIG_X86_RESERVE_LOW_64K in config/x86_64/maxcpus as
  well.
- patches.suse/bug-425240_nr_cpus-mem_cgroup_stat-fix.diff:
  rename to patches.suse/mem_cgroup_stat-dynamic-alloc, and update
  to newer version.
* Fri Nov 14 2008 bwalle@suse.de
- patches.fixes/kdump-x86-sparsemem.diff: x86, kdump: fix invalid
  access on i386 sparsemem (bnc#440525).
- patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-i386.patch:
  Refresh.
* Fri Nov 14 2008 gregkh@suse.de
- patches.kernel.org/iwlagn-avoid-sleep-in-softirq-context.patch:
  iwlagn: avoid sleep in softirq context (bnc#444382).
* Fri Nov 14 2008 philips@suse.de
- patches.fixes/cdc-acm.c-fix-recursive-lock-in-acm_start_wb-error-path.patch:
  cdc-acm.c: fix recursive lock in acm_start_wb error path.
* Thu Nov 13 2008 gregkh@suse.de
- enable CONFIG_X86_RESERVE_LOW_64K for i386 and x86-64 vanilla
  configs.
* Thu Nov 13 2008 gregkh@suse.de
- enable CONFIG_X86_RESERVE_LOW_64K on i386 and x86-64 to fix some
  suspend/resume issues (option added in 2.6.27.6)
* Thu Nov 13 2008 gregkh@suse.de
- refresh patches so that everything applies cleanly.
* Thu Nov 13 2008 gregkh@suse.de
- Update to 2.6.27.6:
  - fixes some security issues
  - lots of bugfixes
  - obsoletes:
    - patches.arch/acpi-dock-avoid-check-_STA-method.patch:
    - patches.arch/ppc-gigantic-page-fix2.patch:
    - patches.arch/ppc-gigantic-page-fix3.patch:
    - patches.drivers/alsa-hda-dell-eq-option:
    - patches.drivers/cciss-fix-procfs-firmware-regression.patch:
    - patches.drivers/cciss-fix-sysfs-symlink.patch:
    - patches.drivers/libata-fix-last_reset-timestamp-handling:
    - patches.kernel.org/md-raid10-recovoery-fix.path:
* Thu Nov 13 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: package modules.order (bnc#441384)
* Thu Nov 13 2008 agruen@suse.de
- config.conf: Add x86_64/maxcpus as the 4096-cpu configuration
  and switch back to at most 128 cpus in the other configs. This
  avoids wasting memory on all but the most extreme x86_64
  systems.
- rpm/kernel-binary.spec.in: define a kernel-$flavor symbol to
  allow per-flavor patches. (Use this for testing only!)
- patches.suse/bug-425240_nr_cpus-mem_cgroup_stat-fix.diff: Add
  this patch conditionally for x86_64/maxcpus for now pending
  test results from bnc#425240.
* Thu Nov 13 2008 tiwai@suse.de
- patches.drivers/alsa-hda-beep-dig-switch: ALSA: hda - Add
  digital beep playback switch for STAC/IDT codecs (#444572).
- patches.drivers/alsa-hda-beep-null-check-fix: ALSA: hda -
  Missing NULL check in hda_beep.c.
* Thu Nov 13 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: fix to
  make it work with iSCSI (bnc#444234)
* Thu Nov 13 2008 olh@suse.de
- mark some powerpc device drivers as supported to move them out of
  kernel-extra, otherwise installation-images will not pick them up
- ps3vram, mtd, mtdblock, mtd_blkdevs (bnc#444220)
- PowerMac, Efika and Pegasos2 storage and network drivers
* Wed Nov 12 2008 bwalle@suse.de
- patches.fixes/firmware-memmap-64bit.diff: Always use 64 bit
  addresses for the firmware memory map.
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-powermac-ibook-g4-mic-fix: ALSA: powermac -
  Rename mic-analog loopback mixer element (bnc#444194).
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-hp-detect-fix: ALSA: hda -
  Fix IDT/STAC multiple HP detection (bnc#443267).
* Wed Nov 12 2008 agruen@suse.de
- patches.suse/module-ref-dynamic-alloc: fall back to vmalloc if
  kmalloc fails (bnc#425240).
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac9200-missing-mux-capture: ALSA:
  hda - Add missing analog-mux mixer creation for STAC9200
  (bnc#443738).
- patches.drivers/alsa-hda-stac92xx-mic-pin-fix: ALSA: hda -
  Fix input pin initialization for STAC/IDT codecs (bnc#443738).
* Wed Nov 12 2008 philips@suse.de
- rpm/kernel-binary.spec.in: remove Recommends: kerneloops, opt-in will
  be implemented in the 11.2 installer
* Tue Nov 11 2008 jeffm@suse.de
- patches.fixes/reiserfs-error-buffer-locking: reiserfs: add
  locking around error buffer.
- patches.fixes/reiserfs-varargs-fix: reiserfs: prepare_error_buf
  wrongly consumes va_arg.
* Tue Nov 11 2008 tiwai@suse.de
- patches.suse/module-ref-dynamic-alloc: Allocate module.ref
  array dynamically (bnc#425240).
- Update config files: back to NR_CPUS=4096
* Tue Nov 11 2008 jblunck@suse.de
- Update config files: Set NR_CPUS on x86_64 back to 128 again for
  now: with NR_CPUS=4096, the size of eack .ko file increases by
  496 KiB because of the static struct module in
  .gnu.linkonce.this_module.
* Tue Nov 11 2008 schwab@suse.de
- patches.arch/ppc-select: Fix wrong error code from ppc32 select.
* Tue Nov 11 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: also encode the architecture into the
  packageand supplements.
* Tue Nov 11 2008 teheo@suse.de
- patches.drivers/libata-fix-ata_tf_read_block-overflow: libata:
  Avoid overflow in ata_tf_read_block() when tf->hba_lbal > 127
  (bnc#443661).
- patches.drivers/libata-fix-ata_tf_to_lba48-overflow: libata:
  Avoid overflow in ata_tf_to_lba48() when tf->hba_lbal > 127
  (bnc#443661).
* Tue Nov 11 2008 teheo@suse.de
- patches.drivers/libata-pata_sch-slave-poss: pata_sch: slave
  devices (bnc#443657).
* Mon Nov 10 2008 schwab@suse.de
- config/ppc/ppc64: Disable 64k pages to work around X server bug.
* Mon Nov 10 2008 olh@suse.de
- rpm/kernel-binary.spec.in: fix variable assignment in last change
* Mon Nov 10 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: encode the architecture into
  subpackage dependencies (bnc#440961)
* Mon Nov 10 2008 olh@suse.de
- handle arch differences for cpu and kbuild correctly
* Mon Nov 10 2008 schwab@suse.de
- patches.arch/ia64-page-migration. patches.arch/mm-avoid-bad-page-on-lru:
  migrade pages off of pages with correctable errors.
* Mon Nov 10 2008 mmarek@suse.cz
- scripts/tar-up.sh: do not generate kernel-source-rt.spec and
  kernel-syms-rt.spec if RT is not enabled.
* Mon Nov 10 2008 sdietrich@suse.de
- config.conf: Suppress RT configurations.
* Sun Nov 09 2008 jeffm@suse.de
- config.conf: Removed previous workaround.
- rpm/kernel-binary.spec.in: Remove @FLAVOR@ from %%symbols.
* Sat Nov 08 2008 jeffm@suse.de
- config.conf: Workaround for kernel-ppc64 on head-ppc.
* Sat Nov 08 2008 gregkh@suse.de
- Update to the "real" 2.6.27.5.  No code changes from what we had
  in our tree previously, with the exception for the version number
  change.
* Fri Nov 07 2008 bwalle@suse.de
- patches.fixes/kdb-read-CR.diff:
  Support '\n' in KDB (bnc#442808).
* Fri Nov 07 2008 gregkh@suse.de
- disable perfmon support in the -trace kernels as it doesn't build
  properly.
* Fri Nov 07 2008 schwab@suse.de
- patches.arch/compat-sys-swapcontext: Fix msr check in sys_swapcontext.
* Fri Nov 07 2008 hare@suse.de
- patches.drivers/ixgbe-add-bcna-support: DCB: Add BCNA support
  to ixgbe.
- patches.drivers/open-fcoe-beta3-update: Open-FCoE update for
  Beta3 (bnc#438954).
- patches.drivers/open-fcoe-beta4-update: Open-FCoE: Update for
  Beta4 (bnc#438954).
- patches.drivers/open-fcoe-beta5-update: Open-FCoE: Update for
  Beta5 (bnc#438954).
- patches.fixes/dcb-fix-setpfcstate: Fix setpfcstate (bnc#438954).
- patches.fixes/dcb-setting-pg-will-cause-tx-hang: DCB: setting
  pg will cause tx unit hangs (bnc#438954).
- patches.fixes/multiq-requeue-should-rewind-current_band:
  multiq: requeue should rewind the current_band (bnc#438954).
- patches.fixes/scsi-dh-rdac-retry-mode-select: Retry mode select
  in RDAC device handler (bnc#441337).
- patches.fixes/scsi-dh-rdac-set-default-ownership: scsi_dh_rdac:
  make sure the ownership is set correctly (bnc#441337).
- patches.fixes/scsi-skip-nonscsi-device-for-dma: Update patch
  to check for ->bus instead of ->type (bnc#431294).
* Fri Nov 07 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dell-studio-probe-fix: ALSA: hda -
  Fix probe errors on Dell Studio Desktop (bnc#440907).
- patches.drivers/alsa-hda-hp-3013-master-fix: ALSA: hda -
  Fix ALC260 hp3013 master switch (bnc#441068).
* Fri Nov 07 2008 jjolly@suse.de
- patches.arch/s390-03-07-qeth_hsi_mcl_string.patch:
  qeth: pre z9 systems return HiperSocket version string
  different. (bnc#440610,LTC#49052).
- patches.arch/s390-03-08-zfcp-abort-race.patch: zfcp: eliminate
  race between validation and locking. (bnc#440610).
- patches.arch/s390-03-09-zfcp-oops-during-target-scan.patch:
  zfcp: prevent SCSI target scan for vanished rport
  (bnc#440610,LTC#49373).
* Fri Nov 07 2008 olh@suse.de
- Update config files for RT
* Fri Nov 07 2008 olh@suse.de
- build a kernel-default in dist ppc64, its identical to kernel-ppc64
  otherwise unused
* Fri Nov 07 2008 olh@suse.de
- rpm/kernel-source.spec.in: map ppc/ppc64 to powerpc
* Fri Nov 07 2008 kkeil@suse.de
- patches.drivers/igb-pf.patch: VF enabled igb driver (fate#305004)
* Fri Nov 07 2008 olh@suse.de
- stop building kernel-default and kernel-ps3 in dist ppc64,
  they are openSuSE only packages
* Fri Nov 07 2008 olh@suse.de
- rpm/kernel-binary.spec.in: extracting debuginfo from vdso fails
  on powerpc, disable vdso_install for the time being
* Fri Nov 07 2008 jbeulich@novell.com
- patches.xen/xen3-intel-ibex-peak-device-ids.patch: x86/PCI: irq
  and pci_ids patch for Intel Ibex Peak DeviceIDs (bnc#415383).
* Fri Nov 07 2008 olh@suse.de
- rpm/post.sh: reject legacy iSeries again
* Fri Nov 07 2008 olh@suse.de
- build a 32bit and a 64bit vanilla kernel on powerpc
* Fri Nov 07 2008 olh@suse.de
- rpm/kernel-binary.spec.in: no vdso in vanilla and ps3 kernel
* Fri Nov 07 2008 gregkh@suse.de
- patches.kernel.org/net-fix-recursive-descent-in-__scm_destroy.patch:
  net: Fix recursive descent in __scm_destroy()..
* Fri Nov 07 2008 olh@suse.de
- remove patches.arch/ppc64-rpanote-relocate-firmware.patch
  older firmware versions can handle relocation properly (bnc#427960)
* Fri Nov 07 2008 jjolly@suse.de
- patches.drivers/cxgb3-get_drvinfo-deadlock.patch: RDMA/cxgb3:
  deadlock in iw_cxgb3 can cause hang when configuring
  interface. (bnc#430998).
* Fri Nov 07 2008 gregkh@suse.de
- patches.suse/perfmon2.patch: perfmon2 (bnc#430298).
* Fri Nov 07 2008 nfbrown@suse.de
- patches.fixes/nfs-write.c-bug-removal.patch: Revert "NFS:
  Allow redirtying of a completed unstable write." (442267).
  It causes a BUG().
* Fri Nov 07 2008 nfbrown@suse.de
- patches.kernel.org/md-raid10-recovoery-fix.path: md: fix bug
  in raid10 recovery..
- patches.suse/md-notify-when-stopped: md: notify udev when an
  md array is stopped..:  Removed much of this patch as it turned out
  to be both buggy and unnecessary (the ioctl can be done from
  mdadm).
* Thu Nov 06 2008 kkeil@suse.de
- patches.drivers/ixgbe-sfp.patch: ixgbe driver update to add
  Longcove (SFP+) NIC support for FCoE needs (bnc#442411)
* Thu Nov 06 2008 gregkh@suse.de
- enable CONFIG_X86_SUMMIT, CONFIG_X86_ES7000, and CONFIG_X86_BIGSMP
  for the i386 default kernel, so that the installer can actually
  boot on "modern" multiprocessor i386 boxes (bnc#428247)
* Thu Nov 06 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Call make vdso_install only on x86 and ppc.
* Thu Nov 06 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Call make vdso_install to install the
  vdso shared objects for debugging.
* Thu Nov 06 2008 jjolly@suse.de
- patches.drivers/intel-ibex-peak-device-ids.patch: x86/PCI: irq
  and pci_ids patch for Intel Ibex Peak DeviceIDs (bnc#415383).
- patches.drivers/intel-ibex-peak-device-support.patch: i2c-i801:
  Add support for Intel Ibex Peak (bnc#415383).
* Thu Nov 06 2008 jjolly@suse.de
- patches.arch/s390-03-01-stp-init.patch: Fixed patch for build
- patches.arch/s390-03-04-qdio_multicast_performance.patch: dasd:
  fix  message flood for unsolicited interrupts (bnc#440610).
- patches.arch/s390-03-05-dasd-block-uevent.patch: dasd: DASD
  uevents are not sent correctly (bnc#440610,LTC#49429).
- patches.arch/s390-03-06-zfcp-hexdump.patch: zfcp: fix hexdump
  data in s390dbf traces (bnc#440610).
* Thu Nov 06 2008 jjolly@suse.de
- patches.arch/s390-03-01-stp-init.patch: kernel: Fix
  initialization of stp. (bnc#440610,LTC#49639).
- patches.arch/s390-03-02-setup_memory.patch: kernel: Fix range
  for add_active_range() in setup_memory() (bnc#440610,LTC#49639).
- patches.arch/s390-03-03-dasd_unsolicited_interrupt.patch:
  dasd: fix  message flood for unsolicited interrupts
  (bnc#440610,LTC#49639).
* Thu Nov 06 2008 jjolly@suse.de
- patches.arch/s390-02-10-zfcp-scan-online.patch: wait for port
  scan when setting FCP device online (bnc#434333).
* Thu Nov 06 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27.4 and c/s 718.
- Update Xen config files.
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch: Include
  pv-ops-Xen changes here
- patches.xen/x86_sgi_xen-x86-cpus4096.patch: Delete.
- patches.xen/xen-configurable-guest-devices: allow number of
  guest devices to be configurable.
- patches.xen/xen-cpufreq-report: make /proc/cpuinfo track
  CPU speed.
- patches.xen/xen-ipi-per-cpu-irq: fold IPIs onto a single
  IRQ each.
- patches.xen/xen-rtl2860-build: Rename to ...
- patches.xen/xen-rt2860-build: ... this.
- patches.xen/xen-sysdev-suspend: use base kernel suspend/resume
  infrastructure.
- patches.xen/xen-virq-per-cpu-irq: fold per-CPU VIRQs onto a
  single IRQ each.
- patches.xen/xen-x86-mmu-batching: Delete.
- patches.xen/xen3-patch-2.6.27.3-4: Linux 2.6.27.4.
- patches.xen/xen3-x2APIC_PATCH_20_of_41_cff73a6ffaed726780b001937d2a42efde553922:
  x64, x2apic/intr-remap: introcude self IPI to genapic routines
  (fate #303948 and fate #303984).
- patches.xen/xen3-x86_sgi_cpus4096-02-fix-send_call_func_ip.patch:
  x86: reduce stack requirements for send_call_func_ipi
  (bnc#425240 FATE304266).
- patches.xen/xen3-x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
* Thu Nov 06 2008 sassmann@suse.de
- patches.arch/ppc-ps3-introduce-ps3_gpu_mutex.patch: required for
  new ps3vram patch
- patches.arch/ppc-ps3-ps3vram-mtd.patch: updated ps3vram patch
  that works with firmware 2.50 (bnc#442227)
* Thu Nov 06 2008 olh@suse.de
- remove unneeded BuildRequires for dtc
* Thu Nov 06 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v3.patch: Feature removed
  (bnc#417299)
* Thu Nov 06 2008 gregkh@suse.de
- patches.suse/file-capabilities-add-no_file_caps-switch.patch:
  file capabilities: add no_file_caps switch (v4).
  add the patch back into the tree.
* Wed Nov 05 2008 jblunck@suse.de
- patches.suse/coredump_filter-add-elfhdr-default.patch: Dump
  elf headers to core per default.
* Wed Nov 05 2008 teheo@suse.de
  Fix !CONFIG_DMI case.
- patches.drivers/dmi-introduce-dmi_first_match: DMI:
  Introduce dmi_first_match to make the interface more flexible
  (bnc#441721).
* Wed Nov 05 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: update patch
  to skip all devices with no dma_parms (bnc#431294)
* Wed Nov 05 2008 agruen@suse.de
- rpm/kernel-module-subpackage: Remove the obsolete kernel-$flavor
  dependency (bnc#440961).
* Wed Nov 05 2008 jjolly@suse.de
- patches.arch/s390-01-05-kmsg-v2.patch: Removed and replaced with
  v3 of the patch from IBM (bnc#417300)
- patches.arch/s390-01-05-kmsg-v3.patch: Kernel message catalog
  infrastucture and message generation (bnc#417300).
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  Patch edited to allow new kmsg patch
* Wed Nov 05 2008 agruen@suse.de
- Update config files: set CONFIG_MODULE_FORCE_LOAD=y to allow
  ignoring ABI mismatches. (This is still unsafe to do!)
* Wed Nov 05 2008 tiwai@suse.de
  Backport fixes from 2.6.28-rc.
- patches.drivers/alsa-hda-acer-quirk: ALSA: hda - Add a quirk
  for another Acer Aspire (1025:0090) (bnc#426935).
- patches.drivers/alsa-hda-alc888-medion-add: ALSA: hda - Add
  a quirk for MEDION MD96630 (bnc#412548).
- patches.drivers/alsa-hda-dell-eq-option: ALSA: hda: make a
  STAC_DELL_EQ option.
- patches.drivers/alsa-hda-proc-gpio-fix: ALSA: hda - Limit the
  number of GPIOs show in proc.
* Wed Nov 05 2008 gregkh@suse.de
- refresh -rt patches to remove fuzz.
* Wed Nov 05 2008 teheo@suse.de
  Backport two more device specific workarounds from 2.6.28-rc.
- patches.drivers/libata-add-and-use-HORKAGE_ATAPI_MOD16_DMA:
  libata: implement ATA_HORKAGE_ATAPI_MOD16_DMA and apply it.
- patches.drivers/libata-whitelist-good-bridges: libata: add
  whitelist for devices with known good pata-sata bridges.
* Wed Nov 05 2008 gregkh@suse.de
- refresh patches to remove fuzz
* Wed Nov 05 2008 teheo@suse.de
  Backport double spin off workaround.
- patches.drivers/dmi-introduce-dmi_first_match: DMI:
  Introduce dmi_first_match to make the interface more flexible
  (bnc#441721).
- patches.drivers/libata-ahci-blacklist-double-spin-off: SATA
  AHCI: Blacklist system that spins off disks during ACPI power
  off (bnc#441721).
- patches.drivers/libata-ata_piix-blacklist-double-spin-off:
  SATA PIIX: Blacklist system that spins off disks during ACPI
  power off (bnc#441721).
- patches.drivers/libata-implement-NO_SPINDOWN: SATA: Blacklisting
  of systems that spin off disks during ACPI power off (rev. 2)
  (bnc#441721).
- patches.drivers/libata-sata_sil-blacklist-double-spin-off:
  SATA Sil: Blacklist system that spins off disks during ACPI
  power off (bnc#441721).
- patches.drivers/power-introduce-system_entering_hibernation:
  Hibernation: Introduce system_entering_hibernation (bnc#441721).
* Wed Nov 05 2008 gregkh@suse.de
- fix rt tree that was broken by 2.6.27.5-rc1
* Wed Nov 05 2008 olh@suse.de
- update patches.arch/ppc-powerpc-debug-pci-hotplug.patch
  fix booting on ppc32 (bnc#439491 - LTC48584)
* Wed Nov 05 2008 teheo@suse.de
  Backport sata_via fixes from 2.6.28-rc.
- patches.drivers/libata-sata_via-fix-support-for-5287: sata_via:
  fix support for 5287 (bnc#441718).
- patches.drivers/libata-sata_via-load-DEVICE-register-when-CTL-changes:
  sata_via: load DEVICE register when CTL changes (bnc#441718).
- patches.drivers/libata-sata_via-restore-vt-_prepare_host-error-handling:
  sata_via: restore vt*_prepare_host error handling (bnc#441718).
* Wed Nov 05 2008 teheo@suse.de
  Backport laptop table and pci device ID table entries from 2.6.28-rc.
- patches.drivers/libata-ata_piix-add-Hercules-EC-900-mini-to-laptop-tbl:
  ata_piix: add Hercules EC-900 mini-notebook to ich_laptop
  short cable list.
- patches.drivers/libata-ata_piix-add-intel-ibex-pci-ids:
  ata_piix: IDE Mode SATA patch for Intel Ibex Peak DeviceIDs.
* Wed Nov 05 2008 teheo@suse.de
  Backport slave_link from 2.6.28-rc to fix ata_piix probing problem.
- patches.drivers/libata-ata_piix-use-slave_link: ata_piix:
  drop merged SCR access and use slave_link instead (bnc#441420).
- patches.drivers/libata-eh-fix-slave-link-EH-action-mask-handling:
  libata-eh: fix slave link EH action mask handling (bnc#441420).
- patches.drivers/libata-implement-slave_link: libata: implement
  slave_link (bnc#441420).
- patches.drivers/libata-make-SCR-access-ops-per-link: libata:
  make SCR access ops per-link (bnc#441420).
- patches.drivers/libata-misc-updates-to-prepare-for-slave-link:
  libata: misc updates to prepare for slave link (bnc#441420).
- patches.drivers/libata-reimplement-link-iterator: libata:
  reimplement link iterator (bnc#441420).
- patches.drivers/libata-set-device-class-to-NONE-if-phys_offline:
  libata: set device class to NONE if phys_offline (bnc#441420).
- patches.drivers/libata-transfer-EHI-control-flags-to-slave-ehc.i:
  libata: transfer EHI control flags to slave ehc.i (bnc#441420).
* Wed Nov 05 2008 gregkh@suse.de
- Update to 2.6.27.5-rc1:
  - fixes lots of things, including a few CVE entries
  - obsoletes, and caused to be deleted:
    - patches.arch/ppc-pseries_16g-numa.patch
    - patches.arch/ppc-pseries_hugepage_pagetable_allocation.patch
    - patches.arch/ppc-pseries_mem-limit-16g.patch
    - patches.arch/s390-02-02-smp-sysdev.patch
    - patches.drivers/alsa-hda-reboot-notifier
    - patches.drivers/libata-sata_nv-hardreset-fix
    - patches.fixes/acpi-clear-wake-status.patch
    - patches.fixes/agp-fix-stolen-memory-counting-on-g4x.patch
    - patches.suse/file-capabilities-add-no_file_caps-switch.diff
    - patches.suse/file-capabilities-turn-on-by-default.diff
- Update config files.
* Wed Nov 05 2008 kkeil@suse.de
- patches.drivers/bnx2-Add-bnx2_shutdown_chip: bnx2: Add
  bnx2_shutdown_chip()
- patches.drivers/bnx2-check-running.patch: Check netif_running
  in most ethtool operations    (bnc#440052)
* Wed Nov 05 2008 kkeil@suse.de
- patches.drivers/ixgbe-copper_pond.patch: ixgbe: add device
  support for 82598AT (copper 10GbE) adapters (bnc#441471)
* Tue Nov 04 2008 tonyj@suse.de
- patches.rt/fork_init_nrcpus.patch: Fix oops in fork_init.
* Tue Nov 04 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix typo
* Tue Nov 04 2008 rw@suse.de
- patches.drivers/bnx2x-zero-PMF:
  bnx2x: Removing the PMF indication when unloading.  (bnc#439679)
* Tue Nov 04 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: make also -base and -extra x86
  subpackages not installable on x86_64
* Tue Nov 04 2008 jjolly@suse.de
- patches.arch/s390-01-04-fcpperf-3-v2.patch: (kernel):FCP -
  Performance Data colletion & analysis patch update (bnc#417243).
- patches.arch/s390-01-04-fcpperf-3.patch: Removed for update
* Tue Nov 04 2008 miklos@szeredi.hu
- patches.apparmor/d_namespace_path_oops_fix.diff: fix oops in
  d_namespace_path (bnc#433504).
* Tue Nov 04 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: scsi_lib_dma.c :
  fix bug w/ dma on virtual fc ports (bnc#431294).
* Tue Nov 04 2008 sdietrich@suse.de
- Update RT config files: Enable CONFIG_NO_HZ on i386/rt_debug.
  - Refresh config files.
* Tue Nov 04 2008 teheo@suse.de
- patches.drivers/libata-fix-last_reset-timestamp-handling:
  libata: fix last_reset timestamp handling (bnc#441340).
* Tue Nov 04 2008 hare@suse.de
- patches.drivers/qla2xxx-8.02.01-k9-update: Update qla2xxx to
  8.02.01-k9 (bnc#439208).
* Tue Nov 04 2008 gregkh@suse.de
- refresh patches to apply cleanly.
* Mon Nov 03 2008 jeffm@suse.de
- patches.suse/dm-raid45_2.6.27_20081027.patch: Compile fix.
* Mon Nov 03 2008 tiwai@suse.de
- patches.drivers/alsa-emu10k1-audigy-fixes: ALSA: emu10k1 -
  Add more invert_shared_spdif flag to Audigy models (bnc#440862).
- patches.drivers/alsa-hda-alc269-fsc-amilo: ALSA: hda - Add
  ALC269 fujitsu model (bnc#440626).
* Mon Nov 03 2008 jeffm@suse.de
- patches.suse/dm-raid45_2.6.27_20081027.patch: Update dmraid45.
* Mon Nov 03 2008 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Fix dm table
  ref count (FATE#304489).
* Mon Nov 03 2008 teheo@suse.de
  BNC reference added.
- patches.drivers/libata-dont-restore-DET-on-detach: libata:
  mask off DET when restoring SControl for detach (bnc#440980).
* Mon Nov 03 2008 teheo@suse.de
- patches.drivers/libata-dont-restore-DET-on-detach: libata:
  mask off DET when restoring SControl for detach.
* Mon Nov 03 2008 olh@suse.de
- add patches.arch/ppc-clock_gettime-nanoseconds.patch
  update also nanoseconds (bnc#439908 - LTC49499)
* Mon Nov 03 2008 teheo@suse.de
- scripts/vc: s/GIT_COMMITER_EMAIL/GIT_COMMITTER_EMAIL and add
  SUSE_COMMITTER_EMAIL.
* Mon Nov 03 2008 teheo@suse.de
  BNC reference added.
- patches.drivers/libata-sata_nv-hardreset-fix: sata_nv: fix
  generic, nf2/3 detection regression (bnc#429344).
* Mon Nov 03 2008 teheo@suse.de
- patches.drivers/libata-sata_nv-hardreset-fix: sata_nv: fix
  generic, nf2/3 detection regression.
* Sun Nov 02 2008 sdietrich@suse.de
- Update RT config files: enable more lock debugging,
  latency features, make x86_64 and i386 consistent.
* Sun Nov 02 2008 sdietrich@suse.de
- patches.rt/kprobes_make_pointer_decl_consistent.patch: Make
  kprobe locking consistent with lock-type declarations
* Sun Nov 02 2008 sdietrich@suse.de
- patches.rt/mem_cgroup_charge_statistics-smp_processor_id.patch:
  Use raw_smp_processor_id in __mem_cgroup_stat_add_safe.
* Sun Nov 02 2008 sdietrich@suse.de
- patches.rt/mem_cgroup_charge_statistics-smp_processor_id.patch:
* Sun Nov 02 2008 sdietrich@suse.de
- patches.rt/workqueue-introduce-create_rt_workqueue.patch:
  workqueue: introduce create_rt_workqueue. (from 2.6.28)
  Refresh to eliminate fuzz:
  - patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
* Sun Nov 02 2008 sdietrich@suse.de
- Update RT config files:
	- Sync with SLES 11 default/debug configs
	- Limit CPUS to 32
	- Disable CONFIG_RADIX_TREE_CONCURRENT
	- Disable CONFIG_RADIX_TREE_OPTIMISTIC
	- Disable CONFIG_PREEMPT_RCU_BOOST
	- Enable CONFIG_RTMUTEX_CHECK
- Adapt RT patches to changes made by:
  x86_sgi_cpus4096-05-update-send_IPI_mask.patch
  - patches.rt/mitigate-resched-flood-update.patch: Update
  smp_send_reschedule_allbutself_cpumask mask parameter.
  - patches.rt/x86-nmi-send_IPI_mask-pointer-fix.patch: Update
  smp_send_nmi_allbutself  mask parameter.
  Resolve conflicts introduced by:
  x86_sgi_cpus4096-05-update-send_IPI_mask.patch
  - patches.rt/nmi-profiling-base.patch
  - patches.rt/send-nmi-all-preempt-disable.patch
  Refresh to eliminate fuzz
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.27-RT.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
* Sat Nov 01 2008 bwalle@suse.de
- patches.fixes/kdb-fix-stack-overflow.patch:
  kdb: fix stack overflow for large NR_CPUS count (bnc#440361).
* Fri Oct 31 2008 trenn@suse.de
  Fate 304268 and 304266. SGI scir driver (replaces the more intrusive
  leds one) and the rather intrusive x86_64 4096 CPU support patches:
- Update config files.
- patches.arch/x86_uv_early_detect.patch: Delete hacks that were
  necessary while waiting for x2apic code. (bnc#429984).
- patches.arch/x86_sgi-uv-scir.patch: SGI X86 UV: Provide a
  System Activity Indicator driver (FATE304268 bnc#426066).
- patches.arch/x86_sgi_cpus4096-01-fix-smp_call_function.patch:
  smp: reduce stack requirements for smp_call_function_mask
  (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-02-fix-send_call_func_ip.patch:
  x86: reduce stack requirements for send_call_func_ipi
  (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
- patches.arch/x86_sgi_cpus4096-06-optimize-cpumask-in-sched_c.patch:
  Additional cpumask fixups (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-04-add-for_each_cpu_mask_and.patch:
  Add for_each_cpu_mask_and (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-07_pae_compile_fixups.patch:
  more cpumask cleanups for previous (x86_sgi_cpu4096..) patches
  (Additional cpumask fixups).
- patches.suse/kdb-x86: kdb-v4.4-2.6.27-rc8-x86-1 (FATE#303971).
- patches.xen/xen3-patch-2.6.27: Linux: Update to 2.6.27.
- patches.xen/x86_sgi_xen-x86-cpus4096.patch: x86 cpumask xen:
  Updates to support NR_CPUS=4096 (Additional cpumask fixups).
* Fri Oct 31 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-alc269-dmic: ALSA: hda -
  Add digital-mic for ALC269 auto-probe mode (bnc#440626).
- patches.drivers/alsa-hda-realtek-mic-automute-fix: ALSA: hda -
  Disable broken mic auto-muting in Realtek codes (bnc#440626).
* Fri Oct 31 2008 hare@suse.de
- Update config files.
- patches.drivers/cxgb3i: add cxgb3i iscsi driver
  (FATE#304154,bnc#433500).
- patches.drivers/cxgb3-private-iscsi-ip-addresses: cxgb3 -
  manage private iSCSI IP addresses (FATE#304154,bnc#433500).
- patches.drivers/open-iscsi-offloading-support: support for iscsi
  pdu digest offload and payload DDP. (FATE#304154,bnc#433500).
- patches.fixes/cxgb3-remove-duplicate-tests-in-lro: cxgb3 -
  remove duplicate tests in lro (FATE#304154, bnc#430538).
- supported.conf: Mark cxgb3i as supported.
* Fri Oct 31 2008 bwalle@suse.de
- patches.suse/kdb-resolve-uv-conflict.diff:
  Resolve KDB conflicts with UV (bnc#440376).
* Fri Oct 31 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-spdif-fix: ALSA: hda -
  Fix SPDIF mute on IDT/STAC codecs.
- patches.drivers/alsa-hda-reboot-notifier: ALSA: hda - Add
  reboot notifier.
* Fri Oct 31 2008 jack@suse.cz
- patches.suse/ocfs2-Fix-mount-cleanup-after-quota-failure.patch:
  ocfs2: Fix mount cleanup after quota failure (fate#302681).
- patches.suse/ocfs2-Fix-oop-in-recovery-without-quotas:
  ocfs2: Fix recovery of nodes when quota feature is disabled
  (fate#302681).
- patches.suse/ocfs2-Fix-grace-time-syncing.patch: ocfs2: Fix
  grace time syncing (fate#302681).
* Fri Oct 31 2008 teheo@suse.de
- patches.drivers/block-del-timer-after-dequeue: blk: move
  blk_delete_timer call in end_that_request_last (bnc#440076
  bnc#440173).
* Fri Oct 31 2008 trenn@suse.de
- patches.arch/x86_agpgart-g33-stoeln-fix-2.patch: Avoid oops
  on G33 in 1MB stolen Mem case (bnc#391261).
* Thu Oct 30 2008 gregkh@suse.de
- patches.fixes/agp-fix-stolen-memory-counting-on-g4x.patch:
  agp: Fix stolen memory counting on G4X. (bnc#437618).
* Thu Oct 30 2008 oneukum@suse.de
- patches.fixes/sd_liberal_28_sense_invalid.diff: fix medium
  presence misdetection in usb storage device  (bnc#362850).
* Thu Oct 30 2008 olh@suse.de
- add patches.fixes/scsi-ibmvscsi-show-config.patch
  use 4k buffer to transfer config data (439970 - LTC49349)
* Thu Oct 30 2008 teheo@suse.de
- patches.drivers/block-add-timeout-on-dequeue: block: add timer
  on blkdev_dequeue_request() not elv_next_request() (bnc#440076).
* Wed Oct 29 2008 sdietrich@suse.de
  Refresh RT patches:
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.27-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/check-for-migration-during-push.patch: RT: fix
  push_rt_task() to handle dequeue_pushable properly.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.27-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.27-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.27-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.27-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.27-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.27-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.27-RT
  event-tracer: add clockevent trace.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.27-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.27-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.27-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-net-bug-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/fix-up-comment.patch: RT: Remove comment that is
  no longer true.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.27-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/futex-fifo-warn-sysctl.patch: Linux-RT 2.6.27-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.27-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.27-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.27-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.27-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/kdb-rtmisc.patch: Misc KDB fixes for RT (debug
  builds).
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.27-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.27-RT.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.27-RT
  mm: lock_page_ref.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.27-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.27-RT
  reduce pagetable-freeing latencies.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.27-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.27-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.27-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.27-RT
  read lock Priority Inheritance implementation.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.27-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.27-RT
  softirq preemption: optimization.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.27-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.27-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.27-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.27-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/partreadd-lttng-instrumentation-irq.patch: readd
  RT compatible version of lttng-instrumentation-irq.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.27-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.27-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.27-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.27-RT.
- patches.rt/prof-sysctl-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.27-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.27-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.27-RT
  radix-tree: optimistic locking.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.27-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.27-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.27-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/s_files.patch: Linux-RT 2.6.27-RT
  remove global files_lock.
- patches.rt/sched-add-needs_post_schedule.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.27-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.27-RT
  sched-fix-dequeued-race.patch.
- patches.rt/sched-make-double-lock-balance-fair.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/sched-only-push-once-per-queue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-properly-account-irq-and-rt-load.patch:
  Linux-RT 2.6.27-RT
  sched: properly account IRQ and RT load in .
- patches.rt/sched-rt-runtime-lock-raw.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.27-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/start_irq_thread.patch: Linux-RT 2.6.27-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.27-RT
  rt: dont disable irqs in usb.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.27-RT.
* Wed Oct 29 2008 gregkh@suse.de
- s/rtl2860/rt2860/
- remove driver from the Xen build as it's dying for some reason.
- add obsoletes for ralink-rt2860-kmp
* Wed Oct 29 2008 olh@suse.de
- update patches.arch/ppc-oprofile-spu.patch
  add missing ARRAY_SIZE(pm_signal_local)
* Wed Oct 29 2008 hare@suse.de
- patches.arch/s390-symmetrix-ioctl.patch: Add ioctl support
  for EMC Symmetrix Subsystem Control I/O (bnc#439221)
* Wed Oct 29 2008 jbeulich@suse.de
- patches.xen/xen-rtl2860-build: fix issue with Windows-style
  types used in rtl2680.
* Wed Oct 29 2008 olh@suse.de
- build af_packet as a module on powerpc (bnc#433540)
* Wed Oct 29 2008 olh@suse.de
- add patches.arch/ppc-oprofile-spu-mutex-locking.patch
  Fix mutex locking for cell spu-oprofile (bnc#422501 - LTC47617)
* Wed Oct 29 2008 olh@suse.de
- add patches.arch/ppc-oprofile-spu.patch
  fix local array size in activate spu profiling function (bnc#439553 - LTC48925)
* Wed Oct 29 2008 olh@suse.de
- update patches.drivers/ehea.patch
  Add hugepage detection (bnc#439599 - LTC48958)
* Wed Oct 29 2008 gregkh@suse.de
- patches.drivers/staging-add-agnx-wireless-driver.patch: Staging:
  add agnx wireless driver.
- patches.drivers/staging-add-otus-atheros-wireless-network-driver.patch:
  Staging: add otus Atheros wireless network driver.
- patches.drivers/staging-add-rtl2860-wireless-driver.patch:
  Staging: add rtl2860 wireless driver (bnc#437959).
- Update config files.
* Tue Oct 28 2008 jkosina@suse.de
- patches.suse/silent-stack-overflow-2.patch: disabled, as it
  causes kernel hangs triggered by grub (bnc#439448).
* Tue Oct 28 2008 kkeil@suse.de
- update patches.suse/SoN-17-net-ps_rx.patch
  fix i/o corruption on rx in ixgbe (bnc#438929)
* Tue Oct 28 2008 jdelvare@suse.de
- config/powerpc/*: Fixup configuration files after last change.
* Tue Oct 28 2008 jdelvare@suse.de
- config/*: Include many multimedia drivers which has been dropped
  accidentally. This includes the pwc, ivtv, zr36067 drivers and
  many old webcam drivers (bnc#439489).
- supported.conf: Add all these drivers again.
* Tue Oct 28 2008 tiwai@suse.de
- patches.drivers/alsa-hda-analog-update,
  patches.drivers/alsa-hda-atihdmi-update,
  patches.drivers/alsa-hda-beep,
  patches.drivers/alsa-hda-hp-mobile-fix,
  patches.drivers/alsa-hda-nvidia-hdmi,
  patches.drivers/alsa-hda-probe-fix,
  patches.drivers/alsa-hda-proc-fix,
  patches.drivers/alsa-hda-realtek-update,
  patches.drivers/alsa-hda-sigmatel-update,
  patches.drivers/alsa-hda-spdif-slave,
  patches.drivers/alsa-hda-via-rec-fix,
  patches.drivers/alsa-hda-via-update:
  ALSA updates, mostly taken from 2.6.28-rc1 patches
- Update config files.
* Tue Oct 28 2008 jdelvare@suse.de
- Actually CONFIG_SND_HDA_HWDEP is a boolean, sorry.
* Tue Oct 28 2008 jdelvare@suse.de
- config/ia64/vanilla, config/x86_64/vanilla: fix configuration
  discrepancy, CONFIG_SND_HDA_HWDEP=m.
* Tue Oct 28 2008 olh@suse.de
- add patches.arch/ppc-pcibios_allocate_bus_resources.patch
  add patches.arch/ppc-powerpc-debug-pci-hotplug.patch
  fix DLPAR on pseries (bnc#439491 - LTC48584)
* Tue Oct 28 2008 olh@suse.de
- add patches.arch/ppc-powerpc-fix-pci-unmap-io.patch
  Fix unmapping of IO space on 64-bit (bnc#439491 - LTC48584)
* Tue Oct 28 2008 olh@suse.de
- update ps3 config, remove unneeded options to reduce vmlinux size
* Tue Oct 28 2008 neilb@suse.de
- patches.suse/md-notify-when-stopped: md: notify udev when an
  md array is stopped. (fate#303894).
* Tue Oct 28 2008 gregkh@suse.de
- use the panasonic laptop driver that was accepted by upstream, not the
  pcc-acpi driver, which was rejected:
  - patches.drivers/staging-add-pcc-acpi-driver.patch: Delete.
  - patches.drivers/panasonic-laptop-add-panasonic-let-s-note-laptop-extras-driver-v0.94.patch:
  panasonic-laptop: add Panasonic Let's Note laptop extras
  driver v0.94.
- Update config files.
* Tue Oct 28 2008 gregkh@suse.de
- patches.drivers/via-framebuffer-driver.patch: Via Framebuffer
  driver.
- Update config files.
* Mon Oct 27 2008 bwalle@suse.de
- patches.fixes/hpwdt-kdump.diff:
  Don't change permission of sysfs file (did that accidentally
  when changing the default value).
* Mon Oct 27 2008 trenn@suse.de
- patches.arch/x86_uv_early_detect.patch: Delete hacks that were
  necessary while waiting for x2apic code. (bnc#429984).
* Mon Oct 27 2008 tj@suse.de
  Refresh the govault patch.
- patches.drivers/libata-add-waits-for-govault: libata: add
  waits for GoVault (bnc#246451).
* Sun Oct 26 2008 bwalle@suse.de
- patches.fixes/kdb-oops-panic.diff:
  Fix NULL pointer dereference when regs == NULL (bnc#439007).
- patches.fixes/hpwdt-kdump.diff:
  Fix kdump when using hpwdt (bnc#436786).
* Sun Oct 26 2008 gregkh@suse.de
- refresh patches to apply cleanly and properly.
* Sun Oct 26 2008 gregkh@suse.de
- Update to 2.6.27.4
* Sat Oct 25 2008 agruen@suse.de
- Fix the dependencies between the split kernel packages and KMPs
  (FATE 303631).
- Fix for kernel paclages which are not split.
- rpm/kernel-source.spec.in: Update list of scripts to include.
* Sat Oct 25 2008 jjolly@suse.de
- patches.arch/s390-02-02-smp-sysdev.patch: kernel: sysdev class
  file creation (bnc#434333)
- patches.arch/s390-02-03-zfcp.patch: Fix zfcp problems that have
  been found (bnc#434333)
- patches.arch/s390-02-04-qeth-mac.patch: qeth: use firmware
  MAC-address for layer2 hsi-devices (bnc#434333)
- patches.arch/s390-02-05-qeth-recovery.patch: qeth: qeth recovery
  fails (bnc#434333)
- patches.arch/s390-02-06-qeth-offset.patch: qeth: fix offset error
  in non prealloc header path (bnc#434333,LTC#48840)
- patches.arch/s390-02-07-qeth-ipv6check.patch: qeth: remove
  unnecessary support ckeck in sysfs route6 (bnc#434333)
- patches.arch/s390-02-08-qeth-panic.patch: qeth: avoid
  skb_under_panic for malformatted inbound data (bnc#434333)
- patches.arch/s390-02-09-tape-lock.patch: tape device driver:
  improve locking (bnc#434333)
* Sat Oct 25 2008 neilb@suse.de
- patches.kernel.org/touch_mnt_namespace-when-the-mount-flags-change.patch:
  touch_mnt_namespace when the mount flags change (FATE#304218).
* Fri Oct 24 2008 gregkh@suse.de
- Updated to 2.6.27.4-rc3:
  - fixed ath5k suspend/resume regression
  - fixed pvrusb2 so it actually works
* Fri Oct 24 2008 jack@suse.cz
- patches.suse/ocfs2-Implementation-of-local-and-global-quota-file.patch:
  ocfs2: Implementation of local and global quota file handling
  (fate#302681). - fixed 64-bit division
* Fri Oct 24 2008 jeffm@suse.de
- Update config files for -rt.
* Fri Oct 24 2008 hare@suse.de
- patches.suse/cgroup-freezer.patch: Add TIF_FREEZE for s390.
* Fri Oct 24 2008 olh@suse.de
- move patches.suse/md-raid-metadata-PAGE_SIZE.patch
  to patches.kernel.org/md-raid-metadata-PAGE_SIZE.patch
  to allow raid0 with 64k PAGE_SIZE
* Fri Oct 24 2008 jack@suse.cz
- Update config files.
- supported.conf: Added new quota module
- patches.suse/xfs-dmapi-enable: Enable XFS DMAPI. - Refreshed
  Quotas for OCFS2:
- patches.suse/quota-Add-callbacks-for-allocating-and-destroying-d.patch:
  quota: Add callbacks for allocating and destroying dquot
  structures (fate#302681).
- patches.suse/quota-Increase-size-of-variables-for-limits-and-ino.patch:
  quota: Increase size of variables for limits and inode usage
  (fate#302681).
- patches.suse/quota-Remove-bogus-optimization-in-check_idq-an.patch:
  quota: Remove bogus 'optimization' in check_idq() and
  check_bdq() (fate#302681).
- patches.suse/quota-Make-_SUSPENDED-just-a-flag.patch: quota:
  Make _SUSPENDED just a flag (fate#302681).
- patches.suse/quota-Allow-to-separately-enable-quota-accounting-a.patch:
  quota: Allow to separately enable quota accounting and enforcing
  limits (fate#302681).
- patches.suse/ext3-Use-sb_any_quota_loaded-instead-of-sb_any_qu.patch:
  ext3: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled() (fate#302681).
- patches.suse/ext4-Use-sb_any_quota_loaded-instead-of-sb_any_qu.patch:
  ext4: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled() (fate#302681).
- patches.suse/reiserfs-Use-sb_any_quota_loaded-instead-of-sb_an.patch:
  reiserfs: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled(). (fate#302681).
- patches.suse/quota-Remove-compatibility-function-sb_any_quota_en.patch:
  quota: Remove compatibility function sb_any_quota_enabled()
  (fate#302681).
- patches.suse/quota-Introduce-DQUOT_QUOTA_SYS_FILE-flag.patch:
  quota: Introduce DQUOT_QUOTA_SYS_FILE flag (fate#302681).
- patches.suse/quota-Move-quotaio_v-12-.h-from-include-linux-to-f.patch:
  quota: Move quotaio_v[12].h from include/linux/ to fs/
  (fate#302681).
- patches.suse/quota-Split-off-quota-tree-handling-into-a-separate.patch:
  quota: Split off quota tree handling into a separate file
  (fate#302681).
- patches.suse/quota-Convert-union-in-mem_dqinfo-to-a-pointer.patch:
  quota: Convert union in mem_dqinfo to a pointer (fate#302681).
- patches.suse/quota-Allow-negative-usage-of-space-and-inodes.patch:
  quota: Allow negative usage of space and inodes (fate#302681).
- patches.suse/quota-Keep-which-entries-were-set-by-SETQUOTA-quota.patch:
  quota: Keep which entries were set by SETQUOTA quotactl
  (fate#302681).
- patches.suse/quota-Add-helpers-to-allow-ocfs2-specific-quota-ini.patch:
  quota: Add helpers to allow ocfs2 specific quota initialization,
  freeing and recovery (fate#302681).
- patches.suse/quota-Implement-function-for-scanning-active-dquots.patch:
  quota: Implement function for scanning active dquots
  (fate#302681).
- patches.suse/ocfs2-Fix-check-of-return-value-of-ocfs2_start_tran.patch:
  ocfs2: Fix check of return value of ocfs2_start_trans()
  (fate#302681).
- patches.suse/ocfs2-Support-nested-transactions.patch: ocfs2:
  Support nested transactions (fate#302681).
- patches.suse/ocfs2-Fix-checking-of-return-value-of-new_inode.patch:
  ocfs2: Fix checking of return value of new_inode()
  (fate#302681).
- patches.suse/ocfs2-Let-inode-be-really-deleted-when-ocfs2_mknod_.patch:
  ocfs2: Let inode be really deleted when ocfs2_mknod_locked()
  fails (fate#302681).
- patches.suse/ocfs2-Assign-feature-bits-and-system-inodes-to-quot.patch:
  ocfs2: Assign feature bits and system inodes to quota feature
  and quota files (fate#302681).
- patches.suse/ocfs2-Mark-system-files-as-not-subject-to-quota-acc.patch:
  ocfs2: Mark system files as not subject to quota accounting
  (fate#302681).
- patches.suse/ocfs2-Implementation-of-local-and-global-quota-file.patch:
  ocfs2: Implementation of local and global quota file handling
  (fate#302681).
- patches.suse/ocfs2-Add-quota-calls-for-allocation-and-freeing-of.patch:
  ocfs2: Add quota calls for allocation and freeing of inodes
  and space (fate#302681).
- patches.suse/ocfs2-Enable-quota-accounting-on-mount-disable-on.patch:
  ocfs2: Enable quota accounting on mount, disable on umount
  (fate#302681).
- patches.suse/ocfs2-Implement-quota-syncing-thread.patch: ocfs2:
  Implement quota syncing thread (fate#302681).
- patches.suse/ocfs2-Implement-quota-recovery.patch: ocfs2:
  Implement quota recovery (fate#302681).
* Fri Oct 24 2008 kkeil@suse.de
- patches.fixes/cxgb3_fix_race_in_EEH: cxgb3: fix race in EEH.
  (bnc#430093)
* Fri Oct 24 2008 jeffm@suse.de
- Refreshed context for -RT patches so they apply again.
* Fri Oct 24 2008 rw@suse.de
- patches.drivers/sgi-ioc4-request-submodules:
  Make ioc4 request dependant modules.  (bnc#429215)
* Fri Oct 24 2008 hare@suse.de
- Update config files: Disable FAIL_MAKE_REQUEST.
* Fri Oct 24 2008 tiwai@suse.de
- patches.drivers/alsa-usb-exclude-1st-slot: Delete this old ugly
  workaround patch.
* Fri Oct 24 2008 hare@suse.de
- Include patches from upstream:
  - patches.fixes/block-use-bio_has_data: Implement bio_has_data().
  - patches.fixes/block-git-fixes: Block layer fixes for 2.6.28.
  - patches.fixes/block-rq-affinity: Implement rq affinity.
  - patches.fixes/dm-mpath-remove-is_active: dm mpath: remove
  is_active from struct dm_path.
  - patches.fixes/block-discard-requests: Implement block discard.
  - patches.drivers/dm-abort-queue-on-failed-paths: dm: Call
  blk_abort_queue on failed paths (bnc#417544).
  - patches.drivers/block-call-sync-on-cleanup: block:
  blk_cleanup_queue() should call blk_sync_queue().
- Refaktor and update request-based multipath patches:
  - patches.drivers/blk-request-based-multipath-update:
  Update request-based multipathing patches to upstream version
  (bnc#434105).
  - patches.suse/rq-based-multipath: Update to latest version
  of request-based multipathing patchset (bnc#434105)
  - patches.drivers/block-abort-request-rq-complete-marking:
  use rq complete marking in blk_abort_request (bnc#434105).
  - patches.fixes/scsi-atomic-blk-timer-deletes: Delete.
  - patches.fixes/dm-mpath-abort-queue: Delete.
  - patches.suse/rq-based-block-layer: Delete.
  - patches.suse/rq-based-dm-interface: Delete.
  - patches.suse/rq-based-multipath-functions: Delete.
  - patches.suse/rq-based-init-crash: Delete.
- Update patches to upstream version:
  - patches.drivers/bdev-resize-check-for-device-resize
  - patches.drivers/bdev-resize-added-flush_disk
  - patches.drivers/bdev-resize-call-flush_disk
  - patches.drivers/bdev-resize-sd-driver-calls
  - patches.drivers/block-timeout-handling
  - patches.drivers/bdev-resize-adjust-block-device-size
  - patches.drivers/bdev-resize-wrapper-for-revalidate_disk
  - patches.drivers/block-abort-queue
  - patches.fixes/scsi-enhance-error-codes
- Rediff patches:
  - patches.fixes/scsi-misc-git-update
  - patches.suse/dm-barrier-single-device
  - patches.suse/kdb-common
  - patches.drivers/lpfc-8.2.8-update
  - patches.drivers/lpfc-8.2.8.3-update
  - patches.drivers/mpt-fusion-4.00.43.00-update
* Fri Oct 24 2008 bwalle@suse.de
- patches.suse/kdump-dump_after_notifier.patch: Add sysctl also
  to kernel/sysctl_check.c.
* Fri Oct 24 2008 bwalle@suse.de
- Obsolete uvcvideo-kmp.
* Fri Oct 24 2008 jbeulich@suse.de
- rpm/kernel-binary.spec.in: Provide 'kernel' also for Xen (bnc#362918).
* Fri Oct 24 2008 jbeulich@suse.de
- patches.arch/x86_64-unwind-annotations: fix unwind annotations.
- patches.xen/xen3-x86_64-unwind-annotations: fix unwind
  annotations.
* Fri Oct 24 2008 jbeulich@suse.de
- Update Xen patches to 2.6.27.3 and c/s 704
- patches.xen/xen3-x2APIC_PATCH_27_of_41_9fa8c481b55e80edd8c637573f87853bb6b600f5:
  x64, x2apic/intr-remap: introduce CONFIG_INTR_REMAP (fate
  [#303948] and fate #303984).
- patches.xen/xen3-x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4:
  x86: use cpuid vector 0xb when available for detecting cpu
  topology (fate #303948 and fate #303984).
- patches.xen/xen-kconfig-compat-3.2.0: add 3.2.0-compatibility
  configure option.
- patches.xen/xen-x86-exit-mmap: be more aggressive about
  de-activating mm-s under destruction.
- patches.xen/xen-x86-machphys-prediction: properly predict
  phys<->mach translations.
- patches.xen/xen-x86-mmu-batching: utilize
  arch_{enter,leave}_lazy_cpu_mode().
- patches.xen/xen-x86-no-lazy-tlb: ensure inadvertent uses of
  lazy TLB data are caught during the build.
- Update Xen config files.
* Fri Oct 24 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in:
  - do not split kernel-kdump into -base and -extra
  - fix case when a build results in no unsupported modules
* Fri Oct 24 2008 bwalle@suse.de
- patches.fixes/kdb-kdump.diff:
  Fix CONFIG_KDB_KDUMP on xSeries (bnc#436454).
* Fri Oct 24 2008 agruen@suse.de
- supported.conf: Mark dmapi as supported (by SGI).
* Fri Oct 24 2008 olh@suse.de
- disable all unsupported drivers in kernel-kdump
* Fri Oct 24 2008 npiggin@suse.de
- patches.suse/silent-stack-overflow-2.patch: avoid silent stack
  overflow over the heap (bnc#44807 bnc#211997).
* Fri Oct 24 2008 gregkh@suse.de
- Update to 2.6.27.4-rc2
* Fri Oct 24 2008 gregkh@suse.de
- disable CONFIG_SYSFS_DEPRECATED_V2 from powerpc/rt config file
* Fri Oct 24 2008 gregkh@suse.de
- Update to 2.6.27.4-rc1
  - lots of bugfixes, and obsoletes some current patches:
    - patches.fixes/ext3-avoid-printk-flood-with-dir-corruption: Delete.
    - patches.fixes/ext2-avoid-printk-flood-with-dir-corruption: Delete.
    - patches.fixes/wdm_autoload.diff: Delete.
* Fri Oct 24 2008 npiggin@suse.de
- Fix ppc and ps3 configs
* Fri Oct 24 2008 npiggin@suse.de
- Update config files.
- patches.suse/cgroup-freezer.patch: cgroup freezer (bnc#417294,
  fate#304191, fate#201036).
* Fri Oct 24 2008 npiggin@suse.de
- Update config files. Enable cgroups for all archs (bnc#417527)
* Fri Oct 24 2008 npiggin@suse.de
- patches.arch/ppc-gigantic-page-fix2.patch: powerpc gigantic
  pages fix 2 (bnc#434026).
- patches.arch/ppc-gigantic-page-fix3.patch: powerpc gigantic
  pages fix 3 (bnc#434026).
- patches.trace/lttng-instrumentation-hugetlb.patch: de-fuzz
* Fri Oct 24 2008 gregkh@suse.de
- disabled CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT on x86-64
  vanilla kernel.
* Fri Oct 24 2008 gregkh@suse.de
- patches.drivers/cciss-fix-procfs-firmware-regression.patch:
  cciss: fix procfs firmware regression (bnc435644).
- patches.drivers/cciss-fix-sysfs-symlink.patch: cciss: fix
  sysfs symlink (bnc435644).
* Fri Oct 24 2008 gregkh@suse.de
- disable CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT on x86-64.  To use
  Calgary iommu systems, you now must manually pass "iommu=calgary" to
  get this hardware support back enabled.  This is the recommended
  proceedure right now, from IBM, otherwise the hardware crashes.
  bnc#436450.
* Fri Oct 24 2008 gregkh@suse.de
- clean up all fuzz in patches to get them to apply cleanly.
* Fri Oct 24 2008 gregkh@suse.de
- delete patches.arch/s390-01-03-cmm2-v2.patch as it touched core
  kernel code and was rejected from upstream.
  - patches.arch/s390-01-03-cmm2-v2.patch: Delete.
  - patches.arch/s390-01-03-cmm2-v2a.patch: Delete.
* Fri Oct 24 2008 gregkh@suse.de
- Update to version 3.4 of squashfs:
  - patches.suse/squashfs3.3-patch: Delete.
  - patches.suse/squashfs-patch-2.6.25: Delete.
  - patches.suse/squashfs-patch-2.6.27: Delete.
  - patches.suse/squashfs-3.4.patch: squashfs v3.4.
* Thu Oct 23 2008 jeffm@suse.de
- patches.fixes/block-sanitize-invalid-partition-table-entries:
  block: sanitize invalid partition table entries (bnc#371657).
* Thu Oct 23 2008 olh@suse.de
- add patches.arch/ppc-pseries_mem-limit-16g.patch
  Don't use a 16G page if beyond mem= limits (bnc#438111 - LTC49329)
* Thu Oct 23 2008 kkeil@suse.de
- Update x86 64bit config files to include WAN support (bnc#437692)
* Thu Oct 23 2008 olh@suse.de
- add patches.drivers/cell_edac.patch
  Fix incorrect edac_mode in csrow causing oops (bnc#437757 - LTC49143)
* Thu Oct 23 2008 olh@suse.de
- update patches.suse/nameif-track-rename.patch
  print also application and pid
* Thu Oct 23 2008 jkosina@suse.de
- patches.fixes/hid-rdesc-quirk-for-sony-vaio-VGX-TP1E.patch:
  HID: Fix Sony Vaio VGX report descriptor (bnc#437758).
* Thu Oct 23 2008 olh@suse.de
- add patches.drivers/ehca-rejecting-dynamic-mem-add-remove.patch
  reject dynamic memory add/remove (bnc#434651 - LTC48744)
* Thu Oct 23 2008 npiggin@suse.de
- Update config files.
* Thu Oct 23 2008 npiggin@suse.de
- patches.suse/x86-gb-linear-map.patch: Enable GB mapped linear
  KVA on x86 (bnc#437674).
- patches.xen/xen3-patch-2.6.26: merge
* Thu Oct 23 2008 gregkh@suse.de
- update to 2.6.27.3
  - lots of bugfixes
  - CVE-2008-3831 fix
* Wed Oct 22 2008 jeffm@suse.de
- scripts/vc: Handle unset $EDITOR
* Wed Oct 22 2008 jeffm@suse.de
- patches.suse/export-release_open_intent: Export
  release_open_intent for NFS branches with aufs.
* Wed Oct 22 2008 jdelvare@suse.de
- supported.conf: Mark the ibmaem and ibmpex hwmon drivers as
  supported by IBM.
- supported.conf: Mark the i5k_amb hwmon driver as supported.
* Wed Oct 22 2008 olh@suse.de
- add patches.drivers/ehea.patch
  Fix memory hotplug support (436447 - LTC48713)
* Wed Oct 22 2008 olh@suse.de
- add patches.arch/ppc-pseries_hugepage_pagetable_allocation.patch
  Cleanup hugepage pagetable allocation (bnc# 433503 - LTC48757)
* Wed Oct 22 2008 sassmann@suse.de
  Add PS3 audio patches:
- patches.arch/ppc-ps3-add-passthrough-support-for-non-audio-streams.patch:
  ps3: Add passthrough support for non-audio streams.
- patches.arch/ppc-ps3-add-ps3av-audio-mute-analog.patch:
  ps3: Add ps3av_audio_mute_analog().
- patches.arch/ppc-ps3-add-support-for-SPDIF-HDMI-passthrough.patch:
  ps3: Add support for SPDIF/HDMI passthrough.
* Tue Oct 21 2008 sdietrich@suse.de
- patches.rt/genirq-usb.patch: Make status_cache u32
- patches.rt/genirq-ohci1394.patch: Enable ohci1394 IRQ
  threading.
* Tue Oct 21 2008 hare@suse.de
- patches.fixes/dm-mpath-abort-queue: rediff.
- patches.fixes/scsi-atomic-blk-timer-deletes: scsi: atomic blk
  timer deletes (LTC#48990, bnc#434105).
- patches.suse/rq-based-block-layer: rq-based multipathing:
  rediff.
* Tue Oct 21 2008 hare@suse.de
- patches.fixes/scsi-inquiry-too-short-ratelimit: INQUIRY result
  too short (5) message flood (bnc#432535).
* Tue Oct 21 2008 npiggin@suse.de
- patches.suse/filp-slab-rcu: Delete.
* Tue Oct 21 2008 sdietrich@suse.de
  USB IRQ threading (experimental: guarded by genirq):
- patches.rt/genirq1-make-irqreturn_t-an-enum: genirq: make
  irqreturn_t an enum.
- patches.rt/genirq2-add-quick-check-handler.patch: genirq:
  add a quick check handler.
- patches.rt/genirq3-add-threaded-irq-handler-support: genirq:
  add threaded interrupt handler support.
- patches.rt/genirq4-add-helper-to-check-whether-irq-thread-should-run:
  genirq: add a helper to check whether the irqthread should run.
- patches.rt/genirq5-make-irq-threading-robust: genirq: make
  irq threading robust.
- patches.rt/genirq-usb.patch: genirq threading for ehci, ohci
  and uhci USB hosts..
- patches.rt/genirq-wlan-ng-compat.patch: Remove redundant,
  obsolete 2.4 compatibility code in wlan-ng.
  Ack:
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
* Mon Oct 20 2008 gregkh@suse.de
- patches.arch/x2APIC_PATCH_x86-mach_apicdef.h-need-to-include-before-smp.h.patch:
  x86: mach_apicdef.h need to include before smp.h.
  fixes build error on i386 pae kernels.
* Mon Oct 20 2008 bwalle@suse.de
- patches.suse/kdump-dump_after_notifier.patch:
  Add dump_after_notifier sysctl (bnc#436678).
* Mon Oct 20 2008 gregkh@suse.de
- scripts/wd-functions.sh: reverse git and cvs checks (check for
  cvs before git).  This solves the problem if you are using a cvs
  tree, yet it happens to live in a directory that way up the
  directory chain is in a git tree (like for people who keep portions
  of their $HOME in git).
* Mon Oct 20 2008 gregkh@suse.de
- Update config files: enable CONFIG_GENERICARCH and CONFIG_BIGSMP
  on i386-pae kernels. (bnc#428247)
* Mon Oct 20 2008 ptesarik@suse.cz
- patches.arch/x86-tracehook: fix the order of arguments in
  /proc/$pid/syscall on x86_64.
* Mon Oct 20 2008 bwalle@suse.de
- Update config files: Enable CONFIG_KVM_KMP for RT config, run
  oldconfig.
* Mon Oct 20 2008 bwalle@suse.de
- patches.arch/ppc-vmcoreinfo.diff: Correct to reflect mainline
  state.
* Mon Oct 20 2008 hare@suse.de
- Update config files.
- patches.suse/kvm-as-kmp: Allow KVM to be built as KMP
  (FATE#303679).
* Mon Oct 20 2008 jjolly@suse.de
- patches.arch/s390-01-05-kmsg-v2.patch: Instrument the kernel
  components such that a kernel message catalog as well as related
  man pages can be automatically generated. (bnc#417300)
- patches.arch/s390-01-06-zfcp-cleanup-v2.patch: Update patch to
  fit on recent kmsg patch changes. (bnc#417550)
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  Update patch to fit on recent kmsg patch changes.
- config/s390/{default,s390}: Added CONFIG_KMSG_IDS=y
* Mon Oct 20 2008 bwalle@suse.de
- supported.conf: Mark 'crasher' as supported to avoid installing
  the "extra" package only for that module.
* Mon Oct 20 2008 olh@suse.de
- add patches.arch/ppc-pseries_16g-numa.patch
  fix crash with more 2 numa nodes and 16G hugepage (bnc#436452 - LTC48839)
* Sat Oct 18 2008 gregkh@suse.de
- Update to 2.6.27.2.
  - lots of bugfixes
* Sat Oct 18 2008 tonyj@suse.de
- patches.rt/fix-preempt-none.patch: Fix preempt-none build
  errors
* Fri Oct 17 2008 jeffm@suse.de
- patches.suse/SoN-20-netvm-reserve-inet.patch-fix: SoN: Fix
  initialization of ipv4_route_lock (bnc#435994).
* Fri Oct 17 2008 kkeil@suse.de
- patches.drivers/tg3-Add-57780-ASIC-revision.patch: tg3: Add
  57780 ASIC revision. (bnc#434147)
- patches.drivers/broadcom-Add-support-for-the-57780-integrated-PHY.patch:
  broadcom: Add support for the 57780 integrated PHY. (bnc#434147)
- patches.drivers/bnx2x-eeh.patch: bnx2x: EEH recovery fix.(bnc#433875)
* Fri Oct 17 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: Add the auto-generated (by mkdumprd)
  kdump initrd to %%ghost so that the file gets removed when
  uninstalling the kernel.
* Fri Oct 17 2008 mfasheh@suse.com
- ocfs2 ACL / security attribute support
  - patches.suse/ocfs2-Remove-unused-function-restore_extent_block.patch
  - patches.suse/ocfs2-Merge-transactions-during-xattr-set.patch
  - patches.suse/ocfs2-xattr.-ch-definition-cleanups.patch
  - patches.suse/ocfs2-Add-security-xattr-support-in-ocfs2.patch
  - patches.suse/ocfs2-Add-POSIX-ACL-support-in-ocfs2.patch
* Fri Oct 17 2008 mfasheh@suse.com
- ocfs2 fixes / updates from 2.6.28 merge window
  - patches.suse/ocfs2-xattr.c-Fix-a-bug-when-inserting-xattr.patch
  - patches.suse/ocfs2-Add-empty-bucket-support-in-xattr.patch
  - patches.suse/ocfs2-Remove-pointless.patch
  - patches.suse/ocfs2-make-la_debug_mutex-static.patch
  - patches.suse/ocfs2-Documentation-update-for-user_xattr-nouser_.patch
  - patches.suse/ocfs2-use-smaller-counters-in-ocfs2_remove_xattr_cl.patch
  - patches.suse/ocfs2-Don-t-check-for-NULL-before-brelse.patch
  - patches.suse/ocfs2-Uninline-ocfs2_xattr_name_hash.patch
  - patches.suse/ocfs2-Move-trusted-and-user-attribute-support-into.patch
  - patches.suse/ocfs2-Calculate-EA-hash-only-by-its-suffix.patch
  - patches.suse/ocfs2-Refactor-xattr-list-and-remove-ocfs2_xattr_ha.patch
  - patches.suse/ocfs2-Separate-out-sync-reads-from-ocfs2_read_block.patch
  - patches.suse/ocfs2-Require-an-inode-for-ocfs2_read_block-s.patch
  - patches.suse/ocfs2-Simplify-ocfs2_read_block.patch
  - patches.suse/ocfs2-Move-ocfs2_bread-into-dir.c.patch
  - patches.suse/ocfs2-Kill-the-last-naked-wait_on_buffer-for-cach.patch
  - patches.suse/ocfs2-Make-cached-block-reads-the-common-case.patch
  - patches.suse/ocfs2-fix-build-error.patch
* Thu Oct 16 2008 mfasheh@suse.com
- ocfs2 dynamic local alloc patches
* Thu Oct 16 2008 jslaby@suse.de
- patches.drivers/tpm-bcm0102-workaround.patch: tpm: work around
  bug in Broadcom BCM0102 chipset (bnc#425747 FATE304221).
- patches.drivers/tpm-correct-timeouts.patch: tpm: correct tpm
  timeouts to jiffies conversion (bnc#425747 FATE304221).
* Thu Oct 16 2008 ihno@suse.de
- added patches.arch/s390-01-03-cmm2-v2a.patch
  fix the sequence of initilisations.
* Thu Oct 16 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: Make the kernel-$flavor-extra packages
  supplement kernel-$flavor on openSUSE and SLED so that those
  packages will get installed by default, using the product(...)
  dependencies provided by the *-release packages.
* Thu Oct 16 2008 tonyj@suse.de
- Previous checkin was totally broken wrt rt config files.
  Revert to previous versions and incorporate any changes from
  run_oldconfig. Sole changes to previous versions is to remove
  CONFIG_DYNAMIC_FTRACE from rt_debug configs which is consistent
  with change in 2.6.27.1
* Thu Oct 16 2008 gregkh@suse.de
- Update to 2.6.27.1
  - disables a problem config option, only affected the vanilla,
  debug, and rt kernel variants.
* Wed Oct 15 2008 olh@suse.de
- add patches.arch/ppc-pseries_pfn-mem-rm.patch
  fix hotplug memory remove (bnc#435181 - LTC48640)
* Wed Oct 15 2008 mmarek@suse.cz
- rpm/post.sh, rpm/postun.sh: run weak-modules, depmod and mkinitrd
  on older distros (bnc#435246)
  Fixed fix for bnc#435104 ("/boot/" was missing in some places)
* Wed Oct 15 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: don't recommend the -extra subpackage
  (fate#303631)
- rpm/postun.sh, rpm/post.sh: remove the temporary workaround
* Wed Oct 15 2008 olh@suse.de
- drop patches.arch/ppc-iseries-remove-AVAILABLE_VETH.patch
  not needed anymore
* Wed Oct 15 2008 nfbrown@suse.de
- patches.fixes/nfs-file-cred-context-null: nfs_file_cred should
  cope if 'file' hasn't been opened properly (bnc#431785).
* Wed Oct 15 2008 tonyj@suse.de
- Update RT patches to latest .27 Windriver version (all patches)
- Disable patches.rt/swap-spinlock-fix.patch
- Guard filp-slab-rcu for RT
* Tue Oct 14 2008 jkosina@suse.de
- patches.fixes/input-add-acer-aspire-5710-to-nomux.patch: Input:
  Add Acer Aspire 5710 to nomux blacklist (bnc#404881).
* Tue Oct 14 2008 oneukum@suse.de
- patches.fixes/ehci_sched.diff: Delete.
  in mainline now. done to the right tree.
* Tue Oct 14 2008 mmarek@suse.cz
- rpm/postun.sh, rpm/post.sh: temporarily ignore errors from
  weak-modules2 --{add,remove}-kernel-modules until
  module-init-tools has rebuilt
* Tue Oct 14 2008 jkosina@suse.de
- patches.fixes/input-add-amilo-pro-v-to-nomux.patch: Delete.
  The patch is already upstream in 2.6.27
* Tue Oct 14 2008 jeffm@suse.de
- patches.suse/osync-error: Update position after check for -EIO
  (bnc#434910).
* Tue Oct 14 2008 npiggin@suse.de
- patches.suse/rlimit-memlock-64k.patch: Increase default
  RLIMIT_MEMLOCK to 64k (bnc#329675).
* Tue Oct 14 2008 sjayaraman@suse.de
- Update config files: CIFS_EXPERIMENTAL=y and CIFS_DFS_UPCALL=y
  (FATE#303758).
* Tue Oct 14 2008 jbeulich@novell.com
- patches.xen/xen-irq-probe: restrict IRQ probing (bnc#431572).
* Tue Oct 14 2008 ptesarik@suse.cz
- patches.trace/utrace-core: undo overzealous #ifdef's, which
  removed too much code in case UTRACE_CONFIG was unset.
* Tue Oct 14 2008 jbeulich@novell.com
- patches.fixes/reiserfs-commit-ids-unsigned-ints: Remove L suffix
  from constant compared against.
* Tue Oct 14 2008 olh@suse.de
- call bootloader_entry without leading /boot/ (bnc#435104)
* Tue Oct 14 2008 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh, rpm/functions.sh:
  kill functions.sh, put the relink() function to source-post.sh
  directly
- rpm/postun.sh, rpm/pre.sh, rpm/preun.sh, rpm/post.sh,
  rpm/kernel-binary.spec.in: unify generation of the scriptlets,
  switch to the new weak-modules2 script
* Tue Oct 14 2008 olh@suse.de
- disable unused ide_platform driver
* Tue Oct 14 2008 jdelvare@suse.de
- supported.conf: Remove i2c-core and i2c-piix4 from base.
* Tue Oct 14 2008 gregkh@suse.de
- supported.conf: remove ide-core and ide-cdrom from base on request
  from Tejun.
* Tue Oct 14 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-pcc-acpi-driver.patch: Staging:
  add pcc-acpi driver.
- rpm/kernel-binary.spec.in: Obsoletes pcc-acpi-kmp
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: it's pcc-acpi and it's not obsolete, yet.
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: obsoletes at76_usb-kmp
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: obsoletes et131x-kmp, ivtv-kmp, and
  ppc-acpi-kmp
* Mon Oct 13 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-at76_usb-wireless-driver.patch: staging:
  at76_usb wireless driver.
* Mon Oct 13 2008 gregkh@suse.de
- refresh all patches (except xen and rt) to apply cleanly
* Mon Oct 13 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: add Obsoletes: wlan-ng-kmp as the needed
  driver is now included from the staging tree.
* Mon Oct 13 2008 gregkh@suse.de
- put proper Patch-mainline: markings on staging patches
* Mon Oct 13 2008 gregkh@suse.de
- patches.drivers/staging-workaround-build-system-bug.patch:
  Staging: workaround build system bug.
* Mon Oct 13 2008 aj@suse.de
- rpm/post.sh: Fix typo that breaks script.
* Mon Oct 13 2008 gregkh@suse.de
- disabled staging drivers for -rt trees
* Mon Oct 13 2008 gregkh@suse.de
- Add -staging tree:
  - added TAINT_CRAP flag
  - added eth131x network driver
  - added slicoss network driver
  - added sgx network driver
  - added me4000 data collection driver
  - added go7007 video capture driver
  - added USB/IP host and client driver
  - added w35und wifi network driver
  - added prism2 usb wifi network driver
  - added echo cancellation driver
- only enabled these on x86 platforms
* Mon Oct 13 2008 jjolly@suse.de
- patches.arch/s390-02-01-xpram.patch: xpram: per device block
  request queues (bnc#434333,LTC#49030)
* Mon Oct 13 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Updated supported.conf checker to
  eliminate false positives.
* Mon Oct 13 2008 sjayaraman@suse.de
- patches.suse/SoN-14-mm-reserve.patch: Fix a compiler warning.
* Mon Oct 13 2008 jbenc@suse.cz
- supported.conf: mark drivers/net/wireless/b43* and
  driver/net/wireless/rt2x00/* as unsupported because of known
  problems we cannot fix.
* Mon Oct 13 2008 oneukum@suse.de
- patches.fixes/wdm_autoload.diff:  add MODULE_DEVICE_TABLE to
  cdc-wdm driver to compute a proper alias (bnc#433817).
* Mon Oct 13 2008 ptesarik@suse.cz
- Update config files (CONFIG_UTRACE for rt flavours).
* Mon Oct 13 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.27-rc3: Fix uninitialized data issue.
* Mon Oct 13 2008 ptesarik@suse.cz
- patches.trace/utrace-core: utrace core (FATE#304321).
  CONFIG_UTRACE enabled only for kernel-trace.
- Update config files.
* Mon Oct 13 2008 aj@suse.de
- patches.suse/SoN-14-mm-reserve.patch: Add cast to fix compiler warning.
* Mon Oct 13 2008 sjayaraman@suse.de
- Remove another stale swap-over-nfs patch.
  patches.suse/SoN-29-nfs-alloc-recursions.patch: Delete.
* Fri Oct 10 2008 jeffm@suse.de
- Updated to 2.6.27 final.
* Fri Oct 10 2008 tonyj@suse.de
- Update config files
- Fix conflicts, remove most -RT guards added in recent RT update
  patches.rt/apic-dumpstack.patch: refresh
  patches.rt/preempt-irqs-core.patch: refresh
  patches.rt/print-might-sleep-hack.patch: refresh
  patches.rt/partrevert-lttng-instrumentation-irq.patch: add
  patches.rt/partreadd-lttng-instrumentation-irq.patch: add
- Drop unused RT patches
  patches.rt/mips-change-raw-spinlock-type.patch
  patches.rt/nmi-watchdog-disable.patch
  patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch
  patches.rt/lockstat-fix-contention-points.patch
  patches.rt/sched-cpupri-priocount.patch
  patches.rt/nmi-watchdog-fix-1.patch
  patches.rt/cache_pci_find_capability.patch
  patches.rt/fix-emac-locking-2.6.16.patch
  patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch
  patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch
  patches.rt/tie-pi-into-task.patch
  patches.rt/idle2-fix.patch
  patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch
  patches.rt/rtmutex-initialize-waiters.patch
  patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch
  patches.rt/add-generalized-pi-interface.patch
  patches.rt/warn-on-rt-scatterlist.patch
  patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch
  patches.rt/trace-eip2ip.patch
  patches.rt/sched_rt-fixup.patch
  patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch
  patches.rt/trace_hist-latediv.patch
  patches.rt/sched-cpupri-hotplug-support.patch
  patches.rt/idle-fix.patch
  patches.rt/ftrace-fix-get-kprobe-wreckage.patch
  patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch
  patches.rt/ftrace-function-record-nop.patch
  patches.rt/ftrace-document-update1.patch
  patches.rt/26-rt1-chirag.patch
  patches.rt/trace_hist-divzero.patch
  patches.rt/latency-tracing-ppc.patch
  patches.rt/rtmutex-defer-pi-until-sleepy.patch
  patches.rt/pmtmr-override.patch
  patches.rt/sched-prioritize-non-migrating-rt-tasks.patch
  patches.rt/rtmutex-use-runtime-init.patch
  patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch
  patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch
  patches.rt/lockdep-lock_set_subclass.patch
  patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch
  patches.rt/rt-mutex-irq-flags-checking.patch
  patches.rt/ftrace-upstream.patch
  patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch
  patches.rt/ftrace-preempt-trace-check.patch
  patches.rt/rtmutex-add_readers.patch
  patches.rt/lockdep-avoid-fork-waring.patch
  patches.rt/arm-omap-02.patch
  patches.rt/fix-acpi-build-weirdness.patch
  patches.rt/cycles-to-ns-trace-fix.patch
  patches.rt/ftrace-compile-fixes.patch
  patches.rt/ftrace-wakeup-rawspinlock.patch
  patches.rt/rtmutex-convert-to-libpi.patch
  patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch
  patches.rt/ftrace-trace-sched.patch
* Fri Oct 10 2008 mfasheh@suse.com
- supported.conf: mark kernel/fs/gfs2 unsupported
* Fri Oct 10 2008 gregkh@suse.de
- supported.conf: mark kernel/sound/pci/snd-cs5530 unsupported due
  to sb16 dependancy issues
* Fri Oct 10 2008 jeffm@suse.de
- patches.fixes/account-reserved-pages: Delete.
* Thu Oct 09 2008 jeffm@suse.de
- patches.suse/supported-flag-sysfs: Updated to build with
  CONFIG_MODULES=n.
* Thu Oct 09 2008 jeffm@suse.de
- Updated to 2.6.27-rc9, but still disabled:
  - patches.suse/silent-stack-overflow
  - patches.xen/xen3-silent-stack-overflow
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: thermal_sys, not thermal_sysfs.
* Thu Oct 09 2008 jeffm@suse.de
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Updated against
  2.6.27-rc9.
* Thu Oct 09 2008 jdelvare@suse.de
- supported.conf: Fix the name of the thermal_sys module.
- config/x86_64/rt_timing: THERMAL_HWMON is a boolean.
* Thu Oct 09 2008 jeffm@suse.de
- patches.suse/netfilter-ipv4options: Updated to 2.6.27-rc9,
  enabled, and marked supported (bnc#131728 - FATE#182).
* Thu Oct 09 2008 jeffm@suse.de
- patches.fixes/serial8250_console_write-ier: Delete.
- patches.fixes/fix-serial-8250-UART_BUG_TXEN-test: Delete.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark kernel/sound/pci/snd-als4000 unsupported due
  to dependancy on isa sb16 driver.
* Thu Oct 09 2008 jeffm@suse.de
- patches.fixes/dont-writeback-fd-bdev-inodes.patch: Delete.
- patches.arch/s390-ccwgroup-attribute-ignore-newline: Delete.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark drivers/net/wan/hdlc_x25 unsupported due to
  symbol dependancy tree.
* Thu Oct 09 2008 jeffm@suse.de
- patches.suse/osync-error: make sure O_SYNC writes properly
  return -EIO (bnc#58622).
* Thu Oct 09 2008 bwalle@suse.de
- patches.arch/ppc-vmcoreinfo.diff:
  Add additional symbols to /sys/kernel/vmcoreinfo data for
  ppc(64).
* Thu Oct 09 2008 trenn@suse.de
- patches.xen/xen-x2APIC_build_fix.patch: Adopt Xen to x2APIC
  patchset (fate#303984 and fate#303948).
- Update config files.
  Disable interrupt remapping for Xen -> this is something for
  the hypervisor.
* Thu Oct 09 2008 jeffm@suse.de
- Update config files: THERMAL_HWMON=y in vanilla configs.
* Thu Oct 09 2008 jeffm@suse.de
- Update config files: THERMAL_HWMON=y; is boolean and enables
  functionality in the already modular THERMAL module.
* Thu Oct 09 2008 jeffm@suse.de
- patches.suse/supported-flag-sysfs: Export supported status
  via sysfs.
* Thu Oct 09 2008 carnold@novell.com
- Update config files.  Disabled the in kernel KVM modules in
  preference to using them as KMPs.  See also brogers@novell.com
* Thu Oct 09 2008 jeffm@suse.de
- Added a -iu|--ignore-unsupported-deps option to allow builds
  with supported.conf problems.
* Thu Oct 09 2008 jdelvare@suse.de
- config/i386/*, config/x86_64/*, config/ia64/*, supported.conf:
  Build hwmon and thermal as modules.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark hdlc_ppp unsupported as syncppp is unsupported.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark ubifs as unsupported as it relies on mtd/ubi/
* Thu Oct 09 2008 bwalle@suse.de
- patches.arch/ppc-dynamic-reconfiguration.diff:
  powerpc: Add support for dynamic reconfiguration memory in
  kexec/kdump kernels (bnc#431492).
* Thu Oct 09 2008 carnold@novell.com
- rpm/kernel-binary.spec.in: package kernel-xen has dependency to
  xen (bnc#431215).
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark TPM drivers a supported, as IBM and others
  rely on them.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: fix a dependancy link with the isa sb driver with
  unsupported symbols
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark ieee80122 modules as supported, as other
  supported modules need them.
* Thu Oct 09 2008 gregkh@suse.de
- supported.conf: mark all of the mtd drivers as unsupported to fix
  the build errors (and to reflect our policy here.)
* Thu Oct 09 2008 bwalle@suse.de
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC to 0 (bnc#429910).
* Thu Oct 09 2008 jdelvare@suse.de
- Don't build the tps65010 driver, it's only used on OMAP at the
  moment.
* Thu Oct 09 2008 mmarek@suse.cz
- rpm/built-in-where: make it work with a four-column
  Modules.symvers (bnc#433533)
* Thu Oct 09 2008 bwalle@suse.de
- Update KDB to v4.4-2.6.27-rc8.
* Thu Oct 09 2008 olh@suse.de
- disable legacy iseries (bnc#433685 - LTC48946)
* Thu Oct 09 2008 olh@suse.de
- enable battery_pmu on ppc32
* Thu Oct 09 2008 trenn@suse.de
- supported.conf:
  Marked these unsupported:
  cpufreq-nforce2
  e_powersaver
  gx-suspmod
  longhaul
  longrun
  p4-clockmod
  powernow-k6
  powernow-k7
  speedstep-ich
  speedstep-smi
  Even Via CPUs are exporting cpu freq steps via ACPI and work fine
  with acpi-cpufreq. No need to support the old, some are known
  broken, drivers.
* Thu Oct 09 2008 olh@suse.de
- add patches.suse/md-raid-metadata-PAGE_SIZE.patch
  ignore PAGE_SIZE in md metadata, for raid0 (bnc#429490)
* Thu Oct 09 2008 teheo@suse.de
- patches.xen/xen3-auto-common.diff: minor patch apply fix after
  libata-prefer-over-ide.
* Thu Oct 09 2008 teheo@suse.de
- patches.drivers/libata-prefer-over-ide: libata: prefer libata
  drivers over ide ones (bnc#433105).
* Wed Oct 08 2008 carnold@novell.com
- patches.xen/xen-op-packet: add support for new operation type
  BLKIF_OP_PACKET (fate#300964).
- patches.xen/xen-blkfront-cdrom: implement forwarding of CD-ROM
  specific commands (fate#300964).
* Wed Oct 08 2008 gregkh@suse.de
- supported.conf: major update.  Lots of new drivers added as this
  file hadn't been updated for a lot of kernel revisions.
  This should close out a lot of bugs about "unsupported" modules,
  like bnc#433541.
* Wed Oct 08 2008 gregkh@suse.de
- supported.conf: sorted the file correctly so we can start determining
  what we are not supporting easier.
* Wed Oct 08 2008 jeffm@suse.de
- Updated -rt for context against -rc9 and the x2APIC patches:
  - patches.rt/new-softirq-code.patch
  - patches.rt/preempt-irqs-core.patch
  - patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch
    - CONFIG_INTR_REMAP=n for now
  - patches.rt/preempt-softirqs-core.patch
  - patches.rt/rt-slab-new.patch
  - patches.rt/slab-irq-nopreempt-fix.patch
  - Update config files: NFS_SWAP=n
* Wed Oct 08 2008 trenn@suse.de
  x2APIC and interrupt remapping enablement.
  Xen needs further work to build again.
  Commit ids are from x86 tip git tree:
- patches.arch/x2APIC_fix_section_mismatch.patch: Fix several
  section mismatches (none).
- patches.arch/x2APIC_PATCH_01_0f4896665a02b465ddca59a560983b24ec28c64b:
  dmar: fix dmar_parse_dev() devices_cnt error condition check
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_01_of_41_e61d98d8dad0048619bb138b0ff996422ffae53b:
  x64, x2apic/intr-remap: Intel vt-d, IOMMU code reorganization
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_02_228324076234ca6a8cd34be89be78022773459f1:
  dmar: use list_for_each_entry_safe() in dmar_dev_scope_init()
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_02_of_41_c42d9f32443397aed2d37d37df161392e6a5862f:
  x64, x2apic/intr-remap: fix the need for sequential array
  allocation of iommus (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_03_3f1fdb3673bb5638fa94186dc391cbc4879590bc:
  dmar: initialize the return value in dmar_parse_dev() (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_03_of_41_1886e8a90a580f3ad343f2065c84c1b9e1dac9ef:
  x64, x2apic/intr-remap: code re-structuring, to be used by both
  DMA and Interrupt remapping (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_04_f12c73e7fa7ebf9ad6defee2c4fb2664e743e970:
  dmar: fix using early fixmap mapping for DMAR table parsing
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_04_of_41_aaa9d1dd63bf89b62f4ea9f46de376ab1a3fbc6c:
  x64, x2apic/intr-remap: use CONFIG_DMAR for DMA-remapping
  specific code (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_05_7be42004065ce4df193aeef5befd26805267d0d9:
  x86, lguest: fix apic_ops build on UP (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_06_caf43bf7c6a55e89b6df5179df434d67e24aa32e:
  x86, xen: fix apic_ops build on UP (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_06_of_41_ad3ad3f6a2caebf56869b83b69e23eb9fa5e0ab6:
  x64, x2apic/intr-remap: parse ioapic scope under vt-d structures
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_07_511d9d34183662aada3890883e860b151d707e22:
  x86: apic_ops for lguest (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_07_of_41_cf1337f0447e5be8e66daa944f0ea3bcac2b6179:
  x64, x2apic/intr-remap: move IOMMU_WAIT_OP() macro to
  intel-iommu.h (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_08_of_41_fe962e90cb17a8426e144dee970e77ed789d98ee:
  x64, x2apic/intr-remap: Queued invalidation infrastructure
  (part of VT-d) (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_09_94a8c3c2437c8946f1b6c8e0b2c560a7db8ed3c6:
  x86: let 32bit use apic_ops too - fix (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_09_of_41_2ae21010694e56461a63bfc80e960090ce0a5ed9:
  x64, x2apic/intr-remap: Interrupt remapping infrastructure
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_10_of_41_b6fcb33ad6c05f152a672f7c96c1fab006527b80:
  x64, x2apic/intr-remap: routines managing Interrupt remapping
  table entries. (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_11_of_41_72b1e22dfcad1daca6906148fd956ffe404bb0bc:
  x64, x2apic/intr-remap: generic irq migration support from
  process context (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_12_of_41_d94d93ca5cc36cd78c532def62772c98fe8ba5d7:
  x64, x2apic/intr-remap: 8259 specific mask/unmask routines
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_13_of_41_4dc2f96cacd1e74c688f94348a3bfd0a980817d5:
  x64, x2apic/intr-remap: ioapic routines which deal with initial
  io-apic RTE setup (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_14_of_41_0c81c746f9bdbfaafe64322d540c8b7b59c27314:
  x64, x2apic/intr-remap: introduce read_apic_id() to genapic
  routines (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_15_of_41_2d7a66d02e11af9ab8e16c76d22767e622b4e3d7:
  x64, x2apic/intr-remap: Interrupt-remapping and x2apic support,
  fix (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_16_of_41_1b374e4d6f8b3eb2fcd034fcc24ea8ba1dfde7aa:
  x64, x2apic/intr-remap: basic apic ops support (fate #303948
  and fate #303984).
- patches.arch/x2APIC_PATCH_17_of_41_32e1d0a0651004f5fe47f85a2a5c725ad579a90c:
  x64, x2apic/intr-remap: cpuid bits for x2apic feature (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_18_of_41_1cb11583a6c4ceda7426eb36f7bf0419da8dfbc2:
  x64, x2apic/intr-remap: disable DMA-remapping if
  Interrupt-remapping is detected (temporary quirk) (fate #303948
  and fate #303984).
- patches.arch/x2APIC_PATCH_19_of_41_13c88fb58d0112d47f7839f24a755715c6218822:
  x64, x2apic/intr-remap: x2apic ops for x2apic mode support
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_20_of_41_cff73a6ffaed726780b001937d2a42efde553922:
  x64, x2apic/intr-remap: introcude self IPI to genapic routines
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_21_of_41_12a67cf6851871ca8df42025c94f140c303d0f7f:
  x64, x2apic/intr-remap: x2apic cluster mode support (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_22_of_41_5c520a6724e912a7e6153b7597192edad6752750:
  x64, x2apic/intr-remap: setup init_apic_ldr for UV (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_23_of_41_89027d35aa5b8f45ce0f7fa0911db85b46563da0:
  x64, x2apic/intr-remap: IO-APIC support for interrupt-remapping
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_24_of_41_75c46fa61bc5b4ccd20a168ff325c58771248fcd:
  x64, x2apic/intr-remap: MSI and MSI-X support for interrupt
  remapping infrastructure (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_25_1_of_41_4c9961d56ec20c27ec5d02e49fd7427748312741:
  x86: make read_apic_id return final apicid (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_25_2_of_41_c535b6a1a685eb23f96e2c221777d6c1e05080d5:
  x86: let 32bit use apic_ops too (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_25_of_41_6e1cb38a2aef7680975e71f23de187859ee8b158:
  x64, x2apic/intr-remap: add x2apic support, including enabling
  interrupt-remapping (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_26_of_41_2d9579a124d746a3e0e0ba45e57d80800ee80807:
  x64, x2apic/intr-remap: support for x2apic physical mode support
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_27_of_41_9fa8c481b55e80edd8c637573f87853bb6b600f5:
  x64, x2apic/intr-remap: introduce CONFIG_INTR_REMAP (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_28_1_of_41_f910a9dc7c865896815e2a95fe33363e9522f277:
  x86: make 64bit have get_apic_id (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_29_of_41_277d1f5846d84e16760131a93b7a67ebfa8eded4:
  x2apic: uninline uv_init_apic_ldr() (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_30_of_41_ad66dd340f561bdde2285992314d9e4fd9b6191e:
  x2apic: xen64 paravirt basic apic ops (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_34_of_41_1b9b89e7f163336ad84200b66a17284dbf26aced:
  x86: add apic probe for genapic 64bit, v2 (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_35_of_41_d25ae38b7e005af03843833bbd811ffe8c5f8cb4:
  x86: add apic probe for genapic 64bit - fix (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_36_of_41_276605dddb74cbf1b77696e32c4a947e42cec52d:
  x2apic: use x2apic id reported by cpuid during topology
  discovery (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4:
  x86: use cpuid vector 0xb when available for detecting cpu
  topology (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_41_of_41_11c231a962c740b3216eb6565149ae5a7944cba7:
  x86: use x2apic id reported by cpuid during topology discovery,
  fix (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_42_of_41_77322deb4bc676a5ee645444e7ed1a89f854473d:
  x86: io-apic - interrupt remapping fix (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_43_of_41_2c72d93f6593f386f5760ca8e7ac7026948c31d7:
  x2apic: fix reserved APIC register accesses in
  print_local_APIC() (fate #303948 and fate #303984).
- patches.drivers/sgi-uv-led: SGI UV: Provide a LED driver and
  some System Activity Indicators (FATE#304268).
- patches.suse/kdb-x86: kdb-v4.4-2.6.27-rc5-x86-1 (FATE#303971).
- patches.xen/xen-x86-no-lapic: Disallow all accesses to the
  local APIC page (191115).
- patches.xen/xen3-auto-arch-x86.diff: xen3 arch-x86.
- patches.xen/xen3-patch-2.6.19: Linux 2.6.19.
- patches.xen/xen3-patch-2.6.26: 2.6.26.
- Update config files:
  Added CONFIG_INTR_REMAP to all x86_64 flavors
* Wed Oct 08 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: added Obsoletes: atl2-kmp as this
  driver is now included in the kernel package.
* Wed Oct 08 2008 jjolly@suse.de
- patches.arch/s390-01-04-fcpperf-4-v2.patch: Update for fcpperf-4
  patch to bring in sync with upstream version. (bnc#417243)
- patches.arch/s390-01-04-fcpperf-4.patch: Removed, replaced by
  updated patch
* Wed Oct 08 2008 sjayaraman@suse.de
- Remove stale swap-over-nfs patches.
- patches.suse/SoN-05-page_alloc-reserve.patch: Delete.
- patches.suse/SoN-06-reserve-slub.patch: Delete.
* Wed Oct 08 2008 agruen@suse.de
- No uml patches left, so remove the code referring to
  patches.uml.tar.bz2.
* Wed Oct 08 2008 ghaskins@suse.de
  Guarded by +RT
- patches.rt/fix-up-comment.patch: RT: Remove comment that is
  no longer true.
- patches.rt/check-for-migration-during-push.patch: RT: fix
  push_rt_task() to handle dequeue_pushable properly.
* Wed Oct 08 2008 agruen@suse.de
- Add DMAPI patches (supported by SGI).
- Update config files: enable DMAPI.
* Wed Oct 08 2008 sjayaraman@suse.de
- Doh, forgot to remove stale files from cvs
- Update config files NFS_SWAP=y.
* Wed Oct 08 2008 sjayaraman@suse.de
- Refreshed to -v19 of swap over nfs patchset.
  o netns, ipv6 fixes
  o patch ordering changes due to additional patches
- Adjust patches.xen/xen3-auto-common.diff to avoid conflict.
* Wed Oct 08 2008 bwalle@suse.de
- Enable CONFIG_MFD_SM501_GPIO also for RT.
* Wed Oct 08 2008 bwalle@suse.de
- Refresh patches.rt/mips-remove-duplicate-kconfig.patch.
* Wed Oct 08 2008 bwalle@suse.de
- Update to 2.6.27-rc9.
- Enable new configuration option CONFIG_MFD_SM501_GPIO.
- Drop following patches (mainline):
  o patches.suse/e1000e_debug_contention_on_NVM_SWFLAG
  o patches.suse/e1000e_do_not_ever_sleep_in_interrupt_context
  o patches.suse/e1000e_drop_stats_lock, e1000e_fix_lockdep_issues
  o patches.suse/e1000e_mmap_range_chk,
  o patches.suse/e1000e_reset_swflag_after_resetting_hardware
  o patches.suse/e1000e_update_versione1000e_write_protect_ichx_nvm
- Adjust/refresh following patches:
  o patches.arch/s390-01-03-cmm2-v2.patch
  o patches.drivers/e1000e_add_82574L.patch
  o patches.drivers/e1000e_add_ICH9_BM.patch
  o patches.drivers/e1000e_add_LOM_devices.patch
  o patches.suse/e1000e_allow_bad_checksum
  o patches.suse/e1000e_call_dump_eeprom
  o patches.suse/e1000e_ioremap_sanity_check
  o patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory
* Wed Oct 08 2008 mmarek@suse.cz
- rpm/kernel-module-subpackage: switch KMPs to the new
  weak-modules2 script, which handles running depmod and mkinitrd
* Wed Oct 08 2008 hare@suse.de
- supported.conf: mark igb as supported.
* Wed Oct 08 2008 agruen@suse.de
- kernel-source-rt must not provide a kernel-source symbol: this
  would break dependencies.
* Wed Oct 08 2008 olh@suse.de
- update patches.suse/ppc-no-LDFLAGS_MODULE.patch
  use suggested patch from kernel.org bugzilla
* Wed Oct 08 2008 olh@suse.de
- add patches.arch/ppc-pseries_remove_lmb-PAGE_SHIFTT.patch
  fix oops in pseries_remove_lmb with 64k PAGE_SIZE (bnc#431380)
* Wed Oct 08 2008 gregkh@suse.de
- supported.conf: mark efivars.ko as supported
* Wed Oct 08 2008 gregkh@suse.de
- enable yealink driver (bnc#432841)
* Tue Oct 07 2008 oneukum@suse.de
- patches.fixes/ehci_sched.diff: fix hang in disable_periodic
  (bnc#403346).
* Tue Oct 07 2008 trenn@suse.de
- patches.fixes/fujisu_laptop_fix_section_mismatch.patch: Fix
  section mismatch in fujitsu_laptop driver (none).
* Tue Oct 07 2008 hare@suse.de
- patches.fixes/sd-needs-updating: Driver 'sd' needs updating
  (bnc#406656).
* Tue Oct 07 2008 agruen@suse.de
- rpm/post.sh: Catch mkinitrd error code indicating missing
  required modules. Only add a bootloader entry if an initrd
  could be created, but re-add the bootloader entry even if
  the initrd already existed before (bnc#431703).
* Tue Oct 07 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.4-update: Update lpfc to 8.2.8.4
  (bnc#420767).
- patches.drivers/qla4xxx-sles11-update: qla4xxx driver fixes
  for SLES11 (bnc#432976).
* Tue Oct 07 2008 olh@suse.de
- mark legacy iseries storage as supported
* Mon Oct 06 2008 jdelvare@suse.de
- supported.conf: Add the ad7414, adcxx and ibmaem hwmon drivers as
  unsupported.
* Mon Oct 06 2008 jdelvare@suse.de
- config/ia64/*: Don't built i2c-amd756-s4882 and i2c-nforce2-s4985
  on ia64, these are motherboard-specific drivers for x86_64
  motherboards.
- config/powerpc/*: Don't built i2c-isch on powerpc, it is a driver
  for x86 hardware.
- config/*: Don't built i2c-simtec on i386, x86_64 and ia64, there
  is no Simtec hardware based on these architectures.
* Sun Oct 05 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: Fix the logic splitting up the symbols
  defined in vmlinux by subsystem. (Actually, per directory, under
  the assumption that there is enough of a correlation).
* Sun Oct 05 2008 greg@suse.de
- supported.conf: add ohci-hcd to base.  Fix up other USB drivers
  (USB network drivers had moved, others were missing)
* Sun Oct 05 2008 gregkh@suse.de
- patches.drivers/atl2-add-atl2-network-driver.patch: atl2:
  add atl2 network driver.
- Update config files (even the rt ones).
* Fri Oct 03 2008 jkosina@suse.de
- patches.suse/e1000e_debug_contention_on_NVM_SWFLAG: fix bogus
  WARN_ON() condition, as per upstream commit 95b866d5a
* Fri Oct 03 2008 olh@suse.de
- mark ibmvfc as supported (bnc#417555 - fate#304178 - LTC46935)
* Fri Oct 03 2008 olh@suse.de
- compile windfarm_pm121 into the kernel
* Fri Oct 03 2008 jeffm@suse.de
- doc/README.SUSE, scripts/tar-up_and_run_mbuild.sh,
  scripts/run_oldconfig.sh,
  scripts/sequence-patch.sh: Eliminated defconfig.$flavor
* Fri Oct 03 2008 olh@suse.de
- mark Cell drivers as supported
* Fri Oct 03 2008 tonyj@suse.de
- Update config files
  rt configs not updated for per-module-dynamic-debug-messages.patch
* Fri Oct 03 2008 gregkh@suse.de
- change patches.suse/supported-flag to show which modules are
  unsupported and externally supported in oops messages.  Also change
  the taint values as the documentation was totally wrong.
* Fri Oct 03 2008 tonyj@suse.de
- Reenable RT debug builds, compile tested only
- Update config files
- Fix tracer issues
  patches.rt/event-trace-hrtimer-trace.patch
  patches.rt/trace-events-handle-syscalls.patch
  patches.rt/trace-ktime-scalar.patch
  patches.rt/tracer-event-trace.patch
- patches.rt/kdb-disable-ist.patch: Disable stackfault and debug stacks for kdb
- patches.rt/kdb-rtmisc.patch: Misc KDB fixes for RT
- patches.rt/novfs-rtmisc.patch: Misc NOVFS fixes for RT
* Fri Oct 03 2008 gregkh@suse.de
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  driver core: basic infrastructure for per-module dynamic
  debug messages.
- refresh patches.trace/tracepoints.patch: Kernel Tracepoints.
- Update config files.
* Thu Oct 02 2008 agruen@suse.de
- Introduce kernel-source-rt and kernel-syms-rt packages, needed
  for building real-time KMPs.
* Thu Oct 02 2008 schwab@suse.de
- Don't clean <asm/nr-irqs.h>.
* Thu Oct 02 2008 jblunck@suse.de
- supported.conf: add qeth_l2 and qeth_l3 as supported modules
* Thu Oct 02 2008 jkosina@suse.de
- patches.suse/e1000e_write_protect_ichx_nvm: e1000e: update to
  the latest version of the patch as provided by Intel
* Thu Oct 02 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc8 and c/s 684.
- patches.xen/xen-e1000e_Export_set_memory_ro-rw: Replace by ...
- patches.xen/xen3-e1000e_Export_set_memory_ro-rw: this, and put
  in proper place in series.conf.
- patches.xen/xen-rwlocks-enable-interrupts: Replace by ...
- patches.xen/xen3-rwlocks-enable-interrupts: this, and put in
  proper place in series.conf.
* Wed Oct 01 2008 jeffm@suse.de
- scripts/sequence-patch.sh
- scripts/run_oldconfig.sh: x86 defconfigs go under arch/x86.
* Wed Oct 01 2008 olh@suse.de
- enable msi on ppc64 (bnc#430937)
* Wed Oct 01 2008 tiwai@suse.de
- rpm/kernel-source.spec.in: Remove /lib/modules from file list
  as it's already in filesystem
* Wed Oct 01 2008 tiwai@suse.de
- rpm/kernel-source.spec.in: Fixed missing endif
* Wed Oct 01 2008 tiwai@suse.de
- Update config files: make floppy module on i386, too
* Wed Oct 01 2008 tiwai@suse.de
- supported.conf: update sound drivers
* Wed Oct 01 2008 tonyj@suse.de
- update RT to 2.6.27-rc8
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
* Wed Oct 01 2008 agruen@suse.de
- Update -rt config files.
* Tue Sep 30 2008 gregkh@suse.de
- update to 2.6.27-rc8
  - obsoletes these patches:
    - patches.arch/ia64-kdump_proc_iomem.diff
    - patches.drivers/qla2xxx-defer-risc-interrupt-enablement
    - patches.fixes/usb-hcd-interrupt-shared.patch
* Tue Sep 30 2008 jkosina@suse.de
- additional patches to track down and fix e1000e NVM corruption
- patches.suse/e1000e_ioremap_sanity_check: ioremap sanity check
  to catch mapping requests exceeding the BAR sizes (bnc#425480).
- patches.suse/e1000e_write_protect_ichx_nvm: e1000e: write
  protect ICHx NVM to prevent malicious write/erase (bnc#425480).
* Tue Sep 30 2008 hare@suse.de
- Update config files.
* Tue Sep 30 2008 hare@suse.de
- patches.drivers/mpt-fusion-4.00.43.00-update: Update MPT Fusion
  driver to v4.00.43.00 (bnc#425660).
- patches.kernel.org/gdth-section-conflict: Add missing annotations.
* Tue Sep 30 2008 sassmann@suse.de
- Update config files: Disabled everything unnecessary in
  ps3 config file
* Tue Sep 30 2008 olh@suse.de
- disable ninja32 and ns87415 pata drivers on ppc64
* Tue Sep 30 2008 sdietrich@suse.de
- config.conf: enable rt for i386/x86_64
- Update config files: Preliminary sync with default and debug configs.
- config/x86_64/rt_timing: Delete.
- patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT radix-tree: gang slot lookups.
- patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT mm: lockless probe.
- patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: speculative get page.
- patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: lockless pagecache lookups.
- patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: spinlock tree_lock.
- patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/RT_utsname.patch: Linux-RT 2.6.27-RT.
- patches.rt/aacraid-compat-sem.patch: Linux-RT 2.6.27-RT.
- patches.rt/adapt-remove-extra-try-to-lock.patch: Linux-RT
  2.6.27-RT.
- patches.rt/adaptive-adjust-pi-wakeup.patch: Linux-RT 2.6.27-RT.
- patches.rt/adaptive-earlybreak-on-steal.patch: Linux-RT
  2.6.27-RT
  rtmutex: break out early on first run.
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch: Linux-RT
  2.6.27-RT.
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.27-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-compile-fix.patch: Linux-RT 2.6.27-RT
  ARM: compile fix for event tracing.
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-latency-tracer-support.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-omap-02.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-05.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-preempt-config.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-trace-preempt-idle.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/cache_pci_find_capability.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT Cache calls to pci_find_capability.
- patches.rt/call_rcu_bh-rename-of-call_rcu.patch: Linux-RT
  2.6.27-RT
  just rename call_rcu_bh instead of making it a macro.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.27-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.27-RT.
- patches.rt/cycles-to-ns-trace-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-irqpoll.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-lpptest-on-nonlinux.patch: Linux-RT
  2.6.27-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.27-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.27-RT.
- patches.rt/dont-let-rt-rw_semaphores-do-non_owner-locks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.27-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.27-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.27-RT
  event-tracer: add clockevent trace.
- patches.rt/export-schedule-on-each-cpu.patch: Linux-RT
  2.6.27-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-a-previously-reverted-fix.patch: Linux-RT
  2.6.27-RT
  Fix a previously reverted "fix".
- patches.rt/fix-adaptive-hack.patch: Linux-RT 2.6.27-RT
  fix-adaptive-hack.patch.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.27-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-circular-locking-deadlock.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.27-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/fix-emac-locking-2.6.16.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/fix-emergency-reboot.patch: Linux-RT 2.6.27-RT
  call reboot notifier list when doing an emergency reboot.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch: Linux-RT 2.6.27-RT.
- patches.rt/floppy-resume-fix.patch: Linux-RT 2.6.27-RT
  floppy: suspend/resume fix.
- patches.rt/frace-use-tsc.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-compile-fixes.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT rt: remove call to stop tracer.
- patches.rt/ftrace-document-event-tracer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ftrace-document-update1.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: document updates.
- patches.rt/ftrace-dont-trace-markers.patch: Linux-RT 2.6.27-RT
  ftrace: dont trace markers.
- patches.rt/ftrace-fix-get-kprobe-wreckage.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT ftrace-fix-missing-kprobe-include.pathc.
- patches.rt/ftrace-fix-header.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-function-record-nop.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: define function trace nop.
- patches.rt/ftrace-hotplug-fix.patch: Linux-RT 2.6.27-RT
  ftrace: cpu hotplug fix.
- patches.rt/ftrace-m68knommu-add-FTRACE-support.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ftrace-m68knommu-generic-stacktrace-function.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ftrace-preempt-trace-check.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: only trace preempt off with
  preempt tracer.
- patches.rt/ftrace-print-missing-cmdline.patch: Linux-RT
  2.6.27-RT
  ftrace: fix the command line printing.
- patches.rt/ftrace-record-comm-on-ctrl.patch: Linux-RT 2.6.27-RT
  ftrace: record comm on function ctrl change.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.27-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/ftrace-trace-sched.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: trace sched.c.
- patches.rt/ftrace-use-preempt-disable-not-irq-disable.patch:
  Linux-RT 2.6.27-RT
  ftrace: avoid lockdep recursion.
- patches.rt/ftrace-wakeup-rawspinlock.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: user raw spin lock for wakeup
  function trace.
- patches.rt/generic-cmpxchg-use-raw-local-irq-variant.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.27-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/git-ignore-script-lpp.patch: Linux-RT 2.6.27-RT.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.27-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/hack-fix-rt-migration.patch: Linux-RT 2.6.27-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.27-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem-redo-mainline.patch: Linux-RT 2.6.27-RT.
- patches.rt/highmem-revert-mainline.patch: Linux-RT 2.6.27-RT.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.27-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.27-RT.
- patches.rt/i386-mark-atomic-irq-ops-raw.patch: Linux-RT
  2.6.27-RT.
- patches.rt/i386-nmi-watchdog-show-regs.patch: Linux-RT
  2.6.27-RT.
- patches.rt/idle-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/idle2-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/irda-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/irq-mask-fix.patch: Linux-RT 2.6.27-RT
  genirq: fix simple and fasteoi irq handlers.
- patches.rt/jbd_assertions_smp_only.patch: Linux-RT 2.6.27-RT.
- patches.rt/kmap-atomic-i386-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/kmap-atomic-prepare.patch: Linux-RT 2.6.27-RT.
- patches.rt/kprobes-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.27-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/latency-measurement-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/latency-tracing-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/latency-tracing-ppc.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.27-RT.
- patches.rt/local_irq_save_nort-in-swap.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lock-init-plist-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/lock_list.patch: Linux-RT 2.6.27-RT
  lock_list - a fine grain locked double linked list.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.27-RT
  mm: lock_page_ref.
- patches.rt/lockdep-avoid-fork-waring.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: fix if define to prove locking.
- patches.rt/lockdep-lock_set_subclass.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT lockdep: lock_set_subclass - reset a held
  lock's subclass.
- patches.rt/lockdep-more-entries.patch: Linux-RT 2.6.27-RT.
- patches.rt/lockdep-prettify.patch: Linux-RT 2.6.27-RT
  lockdep: prettify output.
- patches.rt/lockdep-rt-mutex.patch: Linux-RT 2.6.27-RT
  lockdep-rt: annotate PREEMPT_RT DEFINE_MUTEX.
- patches.rt/lockdep-rt-recursion-limit-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.27-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/lockdep_lock_set_subclass_fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockstat-fix-contention-points.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT lockstat: fix contention points.
- patches.rt/lockstat-output.patch: Linux-RT 2.6.27-RT
  lockstat: warn about disabled lock debugging.
- patches.rt/lockstat-rt-hooks.patch: Linux-RT 2.6.27-RT.
- patches.rt/lockstat_bounce_rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/loopback-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/m68knommu-make-cmpxchg-RT-safe.patch: Linux-RT
  2.6.27-RT.
- patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/mapping_nrpages-fix.patch: Linux-RT 2.6.27-RT
  mapping_nrpages-fix.patch.
- patches.rt/mapping_nrpages.patch: Linux-RT 2.6.27-RT
  mm/fs: abstract address_space::nrpages.
- patches.rt/mips-change-raw-spinlock-type.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT RT: change from raw_spinlock_t to
  __raw_spinlock_t.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Linux-RT 2.6.27-RT
  RT: remove conflicting rtc_lock declaration.
- patches.rt/mips-remove-duplicate-kconfig.patch: Linux-RT
  2.6.27-RT.
- patches.rt/mips-remove-finish-arch-switch.patch: Linux-RT
  2.6.27-RT
  RT: remove finish_arch_switch.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/mm-concurrent-pagecache-rt.patch: Linux-RT 2.6.27-RT
  mm: -rt bits for concurrent pagecache.
- patches.rt/mm-concurrent-pagecache.patch: Linux-RT 2.6.27-RT
  mm: concurrent pagecache write side.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.27-RT
  reduce pagetable-freeing latencies.
- patches.rt/move-native-irq.patch: Linux-RT 2.6.27-RT.
- patches.rt/msi-suspend-resume-workaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.27-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.27-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.27-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.27-RT
  read lock Priority Inheritance implementation.
- patches.rt/native-sched-clock-booboo.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.27-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/netpoll-8139too-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.27-RT
  softirq preemption: optimization.
- patches.rt/nf_conntrack-fix-smp-processor-id.patch: Linux-RT
  2.6.27-RT.
- patches.rt/nf_conntrack-weird-crash-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/nfs-stats-miss-preemption.patch: Linux-RT 2.6.27-RT
  nfs: fix missing preemption check.
- patches.rt/nmi-profiling.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-show-regs-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-disable.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT x86_64: do not enable the NMI watchdog
  by default.
- patches.rt/nmi-watchdog-fix-1.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-2.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-fix-3.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-fix-4.patch: Linux-RT 2.6.27-RT.
- patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT local_bh_enable() is safe for
  irqs_disabled().
- patches.rt/ntfs-local-irq-save-nort.patch: Linux-RT 2.6.27-RT.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.27-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.27-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.27-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.27-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/percpu-locked-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-netfilter.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-netfilter2.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-powerpc-fixups.patch: Linux-RT
  2.6.27-RT.
- patches.rt/percpu_list.patch: Linux-RT 2.6.27-RT
  percpu_list.
- patches.rt/plist-debug.patch: Linux-RT 2.6.27-RT.
- patches.rt/pmtmr-override.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT pmtmr: allow command line override of
  ioport.
- patches.rt/posix-cpu-timers-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-flush_tlb_pending-is-no-more.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-ftrace-stop-on-oops.patch: Linux-RT 2.6.27-RT
  powerpc: ftrace stop on crash.
- patches.rt/powerpc-match-__rw_yield-function-declaration-to-prototype.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-chpr-set-rtc-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-gtod-notrace-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-make-tlb-batch-64-only.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-tlbflush-preempt.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc32-latency-compile-hack-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ppc32_notrace_init_functions.patch: Linux-RT
  2.6.27-RT
  don't trace early init functions for ppc32.
- patches.rt/ppc64-fix-preempt-unsafe-paths-accessing-per_cpu-variables.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-Kconfig.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-idle-poll-loop-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-m68knommu-make-timer-interrupt-non-threaded.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-ack-irq-fixups.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-b5.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-b6.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-more-fasteoi.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-ppc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-bagde4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-footbridge.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-integrator.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-pxa.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-shark.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-compile-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ftrace.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ide.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-input.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-loopback.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mellanox-driver-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.27-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-add-raw-relax-macros.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b2.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b3.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-celleb-raw-spinlocks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-missing-raw-spinlocks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-tlb-batching.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.27-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-profiling.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rcu.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sched-cpupri.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-sched-i386.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sound.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-supress-nohz-softirq-warning.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-supress-rtc-printk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-usb.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-warn-and-bug-on-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-warn-and-bug-on.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-dont-bug-on-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-in-atomic-hack-fix.patch: Linux-RT 2.6.27-RT
  fix printk in atomic hack.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.27-RT.
- patches.rt/proportions-raw-locks.patch: Linux-RT 2.6.27-RT.
- patches.rt/qrcu.patch: Linux-RT 2.6.27-RT
  QRCU with lockless fastpath.
- patches.rt/quicklist-release-before-free-page-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/quicklist-release-before-free-page.patch: Linux-RT
  2.6.27-RT.
- patches.rt/radix-concurrent-lockdep.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-percpu-hack-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.27-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-lockdep-plus1.patch: Linux-RT 2.6.27-RT
  lockdep: add +1 to radix tree array.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.27-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.27-RT
  radix-tree: optimistic locking.
- patches.rt/raw-spinlocks-for-nmi-print.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rcu-hrt-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-new-7.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-default.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-fix-bad-dyntick-accounting.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rcu-torture-preempt-update.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-trace-fix-free.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcupreempt-boost-early-init.patch: Linux-RT
  2.6.27-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.27-RT.
- patches.rt/relay-fix.patch: Linux-RT 2.6.27-RT
  relay: fix timer madness.
- patches.rt/remove-check-pgt-cache-calls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/replace-bugon-by-warn-on.patch: Linux-RT 2.6.27-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-apis.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-avoid-deadlock-in-swap.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-delayed-prio.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: propagate prio for delayed work.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-list-mods.patch: Linux-RT 2.6.27-RT
  rt: list_splice2.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.27-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-irq-flags-checking.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-namespace.patch: Linux-RT 2.6.27-RT
  rt-mutex-namespace.patch.
- patches.rt/rt-mutex-ppc-fix-a5.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-ppc.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-use-inline.patch: Linux-RT 2.6.27-RT
  rt-mutex-cleanup.patch.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-plist-mods.patch: Linux-RT 2.6.27-RT
  rt: plist_head_splice.
- patches.rt/rt-rwlock-conservative-locking.patch: Linux-RT
  2.6.27-RT
  rwlock: be more conservative in locking reader_lock_count.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-sched-groups.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-workqeue-prio.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue support.
- patches.rt/rt-workqueue-barrier.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: fix barriers.
- patches.rt/rt-wq-barrier-fix.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: wait_on_work() fixup.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.27-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/rtmutex-debug-fix.patch: Linux-RT 2.6.27-RT
  rtmutex-debug-fix.patch.
- patches.rt/rtmutex-debug.h-cleanup.patch: Linux-RT 2.6.27-RT
  lock debugging: clean up rtmutex-debug.h.
- patches.rt/rtmutex-lateral-steal.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-rearrange.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-remove-xchg.patch: Linux-RT 2.6.27-RT
  rtmutex - remove double xchg.
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-fixes.patch: Linux-RT 2.6.27-RT
  rwlock: fix pi_list race conditions.
- patches.rt/rwlock-implement-downgrade-write.patch: Linux-RT
  2.6.27-RT
  rwlocks multi downgrade write.
- patches.rt/rwlock-pi-lock-reader.patch: Linux-RT 2.6.27-RT.
- patches.rt/rwlock-prio-fix.patch: Linux-RT 2.6.27-RT
  rwlock: reset prio on unlocks and wakeups.
- patches.rt/rwlock-protect-reader_lock_count.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-slowunlock-mutex-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-slowunlock-mutex-fix2.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-torture-no-rt.patch: Linux-RT 2.6.27-RT
  rwlock: fix torture test to handle non-rt.
- patches.rt/rwlock-torture.patch: Linux-RT 2.6.27-RT
  rwlock: rwlock torture test.
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlocks-fix-no-preempt-rt.patch: Linux-RT 2.6.27-RT
  rwlock: fix non PREEMPT_RT case.
- patches.rt/rwlocks-multiple-readers.patch: Linux-RT 2.6.27-RT
  implement rwlocks management.
- patches.rt/rwsems-multiple-readers.patch: Linux-RT 2.6.27-RT
  add framework for multi readers on rwsems.
- patches.rt/s_files-pipe-fix.patch: Linux-RT 2.6.27-RT
  s_files: free_write_pipe() fix.
- patches.rt/s_files-schedule_on_each_cpu_wq.patch: Linux-RT
  2.6.27-RT.
- patches.rt/s_files.patch: Linux-RT 2.6.27-RT
  remove global files_lock.
- patches.rt/sched-clock-nmi.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-cpupri-hotplug-support.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-cpupri-priocount.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.27-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.27-RT
  sched-fix-dequeued-race.patch.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-rt-stats.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched_prio.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched_rt-fixup.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/schedule-tail-balance-disable-irqs.patch: Linux-RT
  2.6.27-RT.
- patches.rt/schedule_on_each_cpu-enhance.patch: Linux-RT
  2.6.27-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/send-nmi-all-preempt-disable.patch: Linux-RT
  2.6.27-RT.
- patches.rt/seq-irqsave.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.27-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/softlockup-add-irq-regs-h.patch: Linux-RT 2.6.27-RT
  core: make asm/irq_regs.h available on every platform.
- patches.rt/spinlock-trylock-cleanup-sungem.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.27-RT
  rt: dont disable irqs in usb.
- patches.rt/swap-spinlock-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-add-event-markers-arm.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-do-not-wakeup-when-irqs-disabled.patch:
  Linux-RT 2.6.27-RT
  trace-do-not-wakeup-when-irqs-disabled.patch.
- patches.rt/trace-eip2ip.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT Re: 2.6.25.4-rt4.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-ktime-scalar.patch: Linux-RT 2.6.27-RT
  ftrace: print ktime values in readable form.
- patches.rt/trace_hist-divzero.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT trace_hist.c: divide-by-zero problem (2).
- patches.rt/trace_hist-latediv.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracer-event-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/use-edge-triggered-irq-handler-instead-of-simple-irq.patch:
  Linux-RT 2.6.27-RT
  [AT91: PATCH]: Use edge triggered interrupt handling for
  AT91-GPIO instead of simple_irq-handler.
- patches.rt/user-no-irq-disable.patch: Linux-RT 2.6.27-RT.
- patches.rt/vortex-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/warn-on-rt-scatterlist.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT remove warn on for scatterlist in preempt
  rt.
- patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/x86-64-tscless-vgettimeofday.patch: Linux-RT
  2.6.27-RT
  x86_64 GTOD: offer scalable vgettimeofday.
- patches.rt/x86_64-tsc-sync-irqflags-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/26-rt1-chirag.patch: Linux-RT 2.6.27-RT
  This patch should solve some of the bug messages..
- patches.rt/add-generalized-pi-interface.patch: Linux-RT
  2.6.27-RT
  add generalized priority-inheritance interface.
- patches.rt/rtmutex-add_readers.patch: Linux-RT 2.6.27-RT
  RT: wrap the rt_rwlock "add reader" logic.
- patches.rt/rtmutex-defer-pi-until-sleepy.patch: Linux-RT
  2.6.27-RT
  rtmutex: pi-boost locks as late as possible.
- patches.rt/rtmutex-initialize-waiters.patch: Linux-RT 2.6.27-RT
  rtmutex: formally initialize the rt_mutex_waiters.
- patches.rt/rtmutex-use-runtime-init.patch: Linux-RT 2.6.27-RT
  rtmutex: use runtime init for rtmutexes.
- patches.rt/tie-pi-into-task.patch: Linux-RT 2.6.27-RT
  sched: add the basic PI infrastructure to the task_struct.
- patches.rt/rtmutex-convert-to-libpi.patch: Linux-RT 2.6.27-RT
  rtmutex: convert rtmutexes to fully use the PI library.
- patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch:
  Linux-RT 2.6.27-RT
  ftrace: fix elevated preempt_count in wakeup-tracer.
- patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch:
  Linux-RT 2.6.27-RT
  seqlock: make sure that raw_seqlock_t retries readers while
  writes are pending.
- patches.rt/event-tracer-syscall-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-acpi-build-weirdness.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/ftrace-upstream.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/gcc-warnings-shut-up.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.27-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-preempt-schedule-irq-entry-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/random-driver-latency-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-page_alloc.patch: Linux-RT 2.6.27-RT
  rt-friendly per-cpu pages.
- patches.rt/rt-slab-new.patch: Linux-RT 2.6.27-RT.
- patches.rt/bit-spinlocks-fix-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/compat_rwsem-fix-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/drivers_base_mutex.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-net-bug-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-ppc-define-mcount.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-report-failure.patch: Linux-RT 2.6.27-RT
  ftrace: warn on failure to disable mcount callers.
- patches.rt/ftrace-upstream-temp.patch: Linux-RT 2.6.27-RT.
- patches.rt/futex-fifo-warn-sysctl.patch: Linux-RT 2.6.27-RT.
- patches.rt/futex-trivial-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockdep-atomic-fixup.patch: Linux-RT 2.6.27-RT.
- patches.rt/namespace-lock-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-prof-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/plist-fix-static-node-init.patch: Linux-RT 2.6.27-RT.
- patches.rt/powerpc-01-separate-the-irq-radix-tree-insertion.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-02-make-the-irq-reverse-mapping-radix-tree-lockless.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-fix-prev-revert-fix-again.patch: Linux-RT
  2.6.27-RT.
- patches.rt/prof-sysctl-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-apply-rcu_process_callbacks-from-mainline.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-tracing-preempt-disable-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rt-wq-flush_work.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-debug-magic.patch: Linux-RT 2.6.27-RT
  rtmutex: check integrity.
- patches.rt/sched-add-needs_post_schedule.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-generic-hide-smp-warning.patch: Linux-RT
  2.6.27-RT
  suppress warning of smp_processor_id use..
- patches.rt/sched-make-double-lock-balance-fair.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-only-push-if-pushable.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-only-push-once-per-queue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-properly-account-irq-and-rt-load.patch:
  Linux-RT 2.6.27-RT
  sched: properly account IRQ and RT load in .
- patches.rt/sched-rt-runtime-lock-raw.patch: Linux-RT 2.6.27-RT.
- patches.rt/seqlock-01-make-sure-that-raw_seqlock-retries.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/seqlock-02-fix-elevated-preempt-count.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/seqlock-serialize-against-writers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/seqlocks-handle-rwlock-and-spin.patch: Linux-RT
  2.6.27-RT
  seqlock - fix for both PREEMPT_RT and non PREEMPT_RT.
- patches.rt/shorten-posix-cpu-timers-name.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sysctl-compile-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracepoint-backport.patch: Linux-RT 2.6.27-RT.
- patches.rt/x86-tlbstate-lock-raw.patch: Linux-RT 2.6.27-RT.
* Tue Sep 30 2008 olh@suse.de
- enable ipmi message handler on ppc64 (bnc#430705)
* Tue Sep 30 2008 olh@suse.de
- create flavor symlinks unconditionally
  they do not depend on presence of modules
* Mon Sep 29 2008 agruen@suse.de
- Update config files after Swap-over-NFS backout.
* Mon Sep 29 2008 agruen@suse.de
- kernel-vanilla and kernel-p3 are not split into main, -base, and
  -extra packages. Fix the bogus dependencies on those packages.
* Mon Sep 29 2008 jkosina@suse.de
- disabled the following Swap-over-NFS patches, as they cause panic
  in IPv6 code:
        - patches.suse/SoN-01-mm-gfp-to-alloc_flags.patch: mm:
  gfp_to_alloc_flags() (FATE#303834).
        - patches.suse/SoN-02-mm-setup_per_zone_pages_min.patch: mm:
  serialize access to min_free_kbytes (FATE#303834).
        - patches.suse/SoN-03-doc.patch: swap over network documentation
  (FATE#303834).
        - patches.suse/SoN-04-mm-gfp-to-alloc_flags-expose.patch: mm:
  expose gfp_to_alloc_flags() (FATE#303834).
        - patches.suse/SoN-05-page_alloc-reserve.patch: mm: tag reseve
  pages (FATE#303834).
        - patches.suse/SoN-06-reserve-slub.patch: mm: slb: add knowledge
  of reserve pages (FATE#303834).
        - patches.suse/SoN-07-mm-kmem_estimate_pages.patch: mm:
  kmem_alloc_estimate() (FATE#303834).
        - patches.suse/SoN-08-mm-PF_MEMALLOC-softirq.patch: mm: allow
  PF_MEMALLOC from softirq context (FATE#303834).
        - patches.suse/SoN-09-mm-page_alloc-emerg.patch: mm: emergency
  pool (FATE#303834).
        - patches.suse/SoN-10-global-ALLOC_NO_WATERMARKS.patch: mm:
  system wide ALLOC_NO_WATERMARK (FATE#303834).
        - patches.suse/SoN-11-mm-page_alloc-GFP_EMERGENCY.patch: mm:
  __GFP_MEMALLOC (FATE#303834).
        - patches.suse/SoN-12-mm-reserve.patch: mm: memory reserve
  management (FATE#303834).
        - patches.suse/SoN-13-mm-selinux-emergency.patch: selinux:
  tag avc cache alloc as non-critical (FATE#303834).
        - patches.suse/SoN-14-net-backlog.patch: net: wrap
  sk->sk_backlog_rcv() (FATE#303834).
        - patches.suse/SoN-15-net-ps_rx.patch: net: packet split receive
  api (FATE#303834).
        - patches.suse/SoN-16-net-sk_allocation.patch: net:
  sk_allocation() - concentrate socket related allocations
  (FATE#303834).
        - patches.suse/SoN-17-netvm-reserve.patch: netvm: network reserve
  infrastructure (FATE#303834).
        - patches.suse/SoN-18-netvm-reserve-inet.patch: netvm: INET
  reserves. (FATE#303834).
        - patches.suse/SoN-19-netvm-skbuff-reserve.patch: netvm: hook
  skb allocation to reserves (FATE#303834).
        - patches.suse/SoN-20-netvm-sk_filter.patch: netvm: filter
  emergency skbs. (FATE#303834).
        - patches.suse/SoN-21-netvm-tcp-deadlock.patch: netvm: prevent
  a stream specific deadlock (FATE#303834).
        - patches.suse/SoN-22-emergency-nf_queue.patch: netfilter:
  NF_QUEUE vs emergency skbs (FATE#303834).
        - patches.suse/SoN-23-netvm.patch: netvm: skb processing
  (FATE#303834).
        - patches.suse/SoN-24-mm-swapfile.patch: mm: add support for
  non block device backed swap files (FATE#303834).
        - patches.suse/SoN-25-mm-page_file_methods.patch: mm: methods
  for teaching filesystems about PG_swapcache pages (FATE#303834).
        - patches.suse/SoN-26-nfs-swapcache.patch: nfs: teach the NFS
  client how to treat PG_swapcache pages (FATE#303834).
        - patches.suse/SoN-27-nfs-swapper.patch: nfs: disable data cache
  revalidation for swapfiles (FATE#303834).
        - patches.suse/SoN-28-nfs-swap_ops.patch: nfs: enable swap on NFS
  (FATE#303834).
        - patches.suse/SoN-29-nfs-alloc-recursions.patch: nfs: fix various
  memory recursions possible with swap over NFS. (FATE#303834).
        - patches.xen/xen3-auto-common.diff: xen3 common.
* Mon Sep 29 2008 ptesarik@suse.cz
- patches.arch/x86-tracehook: x86 tracehook (FATE#304321).
  Provide the base infrastructure for utrace on x86.
* Mon Sep 29 2008 schwab@suse.de
- config/powerpc/vanilla: configure to 64bit.
* Mon Sep 29 2008 schwab@suse.de
- rpm/functions.sh: remove readlink emulation.
* Mon Sep 29 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.3-update: Update lpfc to 8.2.8.3
  (bnc#420767).
* Mon Sep 29 2008 rw@suse.de
- Update ia64 config files.  (bnc#429881)
* Mon Sep 29 2008 jjolly@suse.de
- patches.drivers/ehca-flush-cqe.patch: adds software flush CQE
  generation (bnc#430344)
* Mon Sep 29 2008 jkosina@suse.de
- patches.suse/e1000e_allow_bad_checksum: fix infinite loop bug in
  e1000_probe() in case the card has invalid EEPROM checksum
* Mon Sep 29 2008 agruen@suse.de
- Do not split kernels which have modules disabled (kernel-ps3)
  or which do not differentiate between supported and unsupported
  modules (kernel-vanilla).
* Mon Sep 29 2008 hare@suse.de
- patches.drivers/open-fcoe-dcb-support: Fix section annotation
  for ixgbe.
- patches.fixes/scsi-enhance-error-codes: Add missing hunk.
- patches.fixes/open-iscsi-git-update: Open-iSCSI updates
  (FATE#304283).
- patches.kernel.org/gdth-section-conflict: Fixup gdth
  section annotations.
* Mon Sep 29 2008 aj@suse.de
- Silence /etc/rpm/macros.kernel-source via rpmlintrc.
* Mon Sep 29 2008 jbeulich@novell.com
- Enable Solarflare driver link and resource driver patches.
- Update x86 config files.
* Mon Sep 29 2008 agruen@suse.de
- rpm/kernel-source.spc.in: Try to get rid of a hack that makes
  uname -r pretend in build environments that the kernel from
  the installed kernel-source package is the running kernel:
  packages assuming this are completely broken ans should really
  be fixed.
* Mon Sep 29 2008 agruen@suse.de
- rpm/kernel-source.spec.in: Prepare for the upcoming introduction
  of kernel-source-rt (and kernel-syms-rt) for producing KMPs for
  real-time kernels.
- rpm/install-configs: Remove; this script didn't improve things.
* Sun Sep 28 2008 aj@suse.de
- rpm/kernel-source.rpmlintrc: New file to silence warnings about
  zero size files
- rpm/kernel-source.spec.in: Install it.
- rpm/kernel-source.spec.in: Make /etc/rpm/macros.kernel-source
  a config file to silence rpmlint.
* Sun Sep 28 2008 jdelvare@suse.de
- supported.conf: Update the list of i2c bus drivers.
  - i2c-i810, i2c-prosavage and i2c-savage4 are gone.
  - i2c-isch and i2c-nforce2-s4985 are new, mark as supported.
* Sun Sep 28 2008 aj@suse.de
- rpm/kernel-source.spec.in: Do not package .gitignore files.
* Sun Sep 28 2008 agruen@suse.de
- Fix CONFIG_MODULES=n case.
- config.conf: Some cleanups.
* Sat Sep 27 2008 agruen@suse.de
- Split the binary kernel packages into three parts:
  + kernel-$flavor-base: very reduced hardware support, intended
  to be used in virtual machine images
  + kernel-$flavor: extends the base package; contains all kernel
  modules we can support
  + kernel-$flavor-extra: all other kernel modules which may be
  useful, but which we cannot support.
* Sat Sep 27 2008 agruen@suse.de
- Hardlink duplicate files automatically: It doesn't save much,
  but it keeps rpmlint from breaking the package build.
* Sat Sep 27 2008 agruen@suse.de
- Add consistency check: supported modules must not depend on
  unsupported ones ... and guess what, there was a large number of
  such modules. Fix this by adding all the dependent modules to
  supported.conf.
* Sat Sep 27 2008 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Implement barrier
  support for single device DM devices (FATE#304489).
* Fri Sep 26 2008 jeffm@suse.de
- scripts/tar-up_and_run_mbuild.sh: Added -xen flavor to default
  mbuild spec list.
* Fri Sep 26 2008 jeffm@suse.de
- patches.xen/xen-e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls for xen. (bnc#425480).
* Fri Sep 26 2008 kkeil@suse.de
- patches.suse/e1000e_mmap_range_chk:check ranges in pci_mmap
  * updated version with better reporting (bnc#425480)
* Fri Sep 26 2008 kkeil@suse.de
- patches to track down and fix the e1000e NVM corruption
  (bnc#425480)
- patches.suse/e1000e_allow_bad_checksum: e1000e: allow bad
  checksum
- patches.suse/e1000e_call_dump_eeprom: e1000e: dump eeprom to
  dmesg for ich8/9
- patches.suse/e1000e_debug_contention_on_NVM_SWFLAG: e1000e:
  debug contention on NVM SWFLAG
- patches.suse/e1000e_do_not_ever_sleep_in_interrupt_context:
  e1000e: do not ever sleep in interrupt context
- patches.suse/e1000e_drop_stats_lock: e1000e: drop stats lock
- patches.suse/e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls
- patches.suse/e1000e_fix_lockdep_issues: e1000e: fix lockdep
  issues
- patches.suse/e1000e_mmap_range_chk: check ranges in pci_mmap
- patches.suse/e1000e_reset_swflag_after_resetting_hardware:
  e1000e: reset swflag after resetting hardware
- patches.suse/e1000e_update_version: update version
- patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory:
  e1000e: Use set_memory_ro()/set_memory_rw() to protect flash
  memory
-   cleanup old not longer used patches
  * patches.drivers/e1000-7.6.5-napi-tail.patch
  * patches.drivers/e1000-7.6.9.2
  * patches.drivers/e1000-7.6.9.2-napi
* Fri Sep 26 2008 kkeil@suse.de
- Enable CONFIG_SGI_IOC4=m in x86_64 (bnc#430275)
* Fri Sep 26 2008 jeffm@suse.de
- patches.arch/acpi-export-hotplug_execute: acpi: export
  acpi_os_hotplug_execute.
* Fri Sep 26 2008 jeffm@suse.de
- patches.xen/xen-rwlocks-enable-interrupts: add missing
  __raw_{read,write}_lock_flags to xen's asm/spinlock.h.
* Fri Sep 26 2008 jeffm@suse.de
- patches.arch/acpi-bay-remove-from-makefile: acpi: remove bay.c
  from makefile.
* Fri Sep 26 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Disabled sparse checking. Too many
  false positives.
* Fri Sep 26 2008 trenn@suse.de
  No functional change:
- patches.arch/acpi_thermal_passive_blacklist.patch: Avoid
  critical temp shutdowns on specific ThinkPad T4x(p) and R40
  (https://bugzilla.novell.com/show_bug.cgi?id=333043).
  Dock bug fixes (kacpid runs amok on Dells after suspend):
- patches.arch/acpi-dock-avoid-check-_STA-method.patch: avoid
  check _STA method (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-eject-request-process.patch: fix
  eject request process (fate#304731,bnc#401740).
  More Dock improvements, unrelated to above fixes:
- patches.arch/acpi-bay-remove-useless-code.patch: remove useless
  code (fate#304731,bnc#401740).
- patches.arch/acpi-dock-Fix-duplicate-notification-handler-register.patch:
  Fix duplicate notification handler register
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-_LCK-support-for-dock.patch: add _LCK
  support for dock (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-for-bay-in-a-dock-station.patch:
  fix for bay in a dock station (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-hotplug-race.patch: fix hotplug race
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-introduce-.uevent-for-devices-in-dock.patch:
  introduce .uevent for devices in dock (fate#304731,bnc#401740).
- patches.arch/acpi-libata-hotplug-to-align-with-dock-driver.patch:
  libata hotplug to align with dock driver
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-makeing-dock-driver-supports-bay-and-battery-hotplug.patch:
  makeing dock driver supports bay and battery hotplug
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-add-type-sysfs-file-for-dock.patch:
  add 'type' sysfs file for dock (fate#304731,bnc#401740).
- patches.fixes/acpi_use_acpi_exception.patch: ACPI dock/bay:
  Use ACPI_EXCEPTION instead of printk(KERN_ERR.
* Fri Sep 26 2008 jeffm@suse.de
- Update config files: NFS_SWAP=y
* Fri Sep 26 2008 ptesarik@suse.cz
- patches.suse/rwlocks-enable-interrupts: Allow rwlocks to
  re-enable interrupts (bnc#387784).
- patches.arch/ia64-rwlocks-enable-interrupts: ia64: re-enable
  interrupts when waiting for a rwlock (bnc#387784).
* Fri Sep 26 2008 sjayaraman@suse.de
- Add Swap over NFS patchset.
- Adjust patches.xen/xen3-auto-common.diff to avoid conflict on skbuff.h
  as both xen and swap-over-nfs want to add some bits to the skbuff structure.
- patches.suse/SoN-01-mm-gfp-to-alloc_flags.patch: mm:
  gfp_to_alloc_flags() (FATE#303834).
- patches.suse/SoN-02-mm-setup_per_zone_pages_min.patch: mm:
  serialize access to min_free_kbytes (FATE#303834).
- patches.suse/SoN-03-doc.patch: swap over network documentation
  (FATE#303834).
- patches.suse/SoN-04-mm-gfp-to-alloc_flags-expose.patch: mm:
  expose gfp_to_alloc_flags() (FATE#303834).
- patches.suse/SoN-05-page_alloc-reserve.patch: mm: tag reseve
  pages (FATE#303834).
- patches.suse/SoN-06-reserve-slub.patch: mm: slb: add knowledge
  of reserve pages (FATE#303834).
- patches.suse/SoN-07-mm-kmem_estimate_pages.patch: mm:
  kmem_alloc_estimate() (FATE#303834).
- patches.suse/SoN-08-mm-PF_MEMALLOC-softirq.patch: mm: allow
  PF_MEMALLOC from softirq context (FATE#303834).
- patches.suse/SoN-09-mm-page_alloc-emerg.patch: mm: emergency
  pool (FATE#303834).
- patches.suse/SoN-10-global-ALLOC_NO_WATERMARKS.patch: mm:
  system wide ALLOC_NO_WATERMARK (FATE#303834).
- patches.suse/SoN-11-mm-page_alloc-GFP_EMERGENCY.patch: mm:
  __GFP_MEMALLOC (FATE#303834).
- patches.suse/SoN-12-mm-reserve.patch: mm: memory reserve
  management (FATE#303834).
- patches.suse/SoN-13-mm-selinux-emergency.patch: selinux:
  tag avc cache alloc as non-critical (FATE#303834).
- patches.suse/SoN-14-net-backlog.patch: net: wrap
  sk->sk_backlog_rcv() (FATE#303834).
- patches.suse/SoN-15-net-ps_rx.patch: net: packet split receive
  api (FATE#303834).
- patches.suse/SoN-16-net-sk_allocation.patch: net:
  sk_allocation() - concentrate socket related allocations
  (FATE#303834).
- patches.suse/SoN-17-netvm-reserve.patch: netvm: network reserve
  infrastructure (FATE#303834).
- patches.suse/SoN-18-netvm-reserve-inet.patch: netvm: INET
  reserves. (FATE#303834).
- patches.suse/SoN-19-netvm-skbuff-reserve.patch: netvm: hook
  skb allocation to reserves (FATE#303834).
- patches.suse/SoN-20-netvm-sk_filter.patch: netvm: filter
  emergency skbs. (FATE#303834).
- patches.suse/SoN-21-netvm-tcp-deadlock.patch: netvm: prevent
  a stream specific deadlock (FATE#303834).
- patches.suse/SoN-22-emergency-nf_queue.patch: netfilter:
  NF_QUEUE vs emergency skbs (FATE#303834).
- patches.suse/SoN-23-netvm.patch: netvm: skb processing
  (FATE#303834).
- patches.suse/SoN-24-mm-swapfile.patch: mm: add support for
  non block device backed swap files (FATE#303834).
- patches.suse/SoN-25-mm-page_file_methods.patch: mm: methods
  for teaching filesystems about PG_swapcache pages (FATE#303834).
- patches.suse/SoN-26-nfs-swapcache.patch: nfs: teach the NFS
  client how to treat PG_swapcache pages (FATE#303834).
- patches.suse/SoN-27-nfs-swapper.patch: nfs: disable data cache
  revalidation for swapfiles (FATE#303834).
- patches.suse/SoN-28-nfs-swap_ops.patch: nfs: enable swap on NFS
  (FATE#303834).
- patches.suse/SoN-29-nfs-alloc-recursions.patch: nfs: fix various
  memory recursions possible with swap over NFS. (FATE#303834).
- patches.xen/xen3-auto-common.diff: xen3 common.
* Fri Sep 26 2008 ptesarik@suse.cz
- split patches.arch/s390-01-01-self-ptrace-v3.patch to make it
  more obvious that the patch is not constrained to s390.
  The new series is:
  patches.suse/self-ptrace.patch: the generic pieces
  patches.arch/x86-self-ptrace.patch: implementation for x86
  patches.arch/s390-01-01-self-ptrace-v3.patch: dtto for s390
* Thu Sep 25 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc7 and c/s 676.
* Thu Sep 25 2008 olh@suse.de
- add patches.arch/ppc64-rpanote-relocate-firmware.patch
  update RPA note for firmware relocation (bnc#427960 - LTC48297)
* Wed Sep 24 2008 jblunck@suse.de
  This adds some tracepoint instrumentation taken from the LTTng patch
  series. Tracepoints are enabled for kernel-debug and kernel-trace only. I
  disabled ftrace for all flavors except kernel-debug and kernel-trace as well.
- Update config files.
- rpm/kernel-source.spec.in,kernel-binary.spec.in, config.conf: Add trace
  flavor
- patches.fixes/ia64-sparse-fixes.diff: ia64-kvm: fix sparse
  warnings.
- patches.xen/xen3-fixup-common: rediff
- patches.xen/xen3-auto-common.diff: rediff
- patches.xen/xen3-patch-2.6.21: rediff
- patches.xen/xen3-patch-2.6.26: rediff
- patches.trace/rcu-read-sched.patch
- patches.trace/markers-use-rcu-read-lock-sched.patch
- patches.trace/tracepoints.patch
- patches.trace/tracepoints-use-table-size-macro.patch
- patches.trace/tracepoints-documentation.patch
- patches.trace/tracepoints-tracepoint-synchronize-unregister.patch
- patches.trace/tracepoints-documentation-fix-teardown.patch
- patches.trace/tracepoints-samples.patch
- patches.trace/tracepoints-samples-fix-teardown.patch
- patches.trace/lttng-instrumentation-irq.patch
- patches.trace/lttng-instrumentation-scheduler.patch
- patches.trace/lttng-instrumentation-timer.patch
- patches.trace/lttng-instrumentation-kernel.patch
- patches.trace/lttng-instrumentation-filemap.patch
- patches.trace/lttng-instrumentation-swap.patch
- patches.trace/lttng-instrumentation-memory.patch
- patches.trace/lttng-instrumentation-page_alloc.patch
- patches.trace/lttng-instrumentation-hugetlb.patch
- patches.trace/lttng-instrumentation-net.patch
- patches.trace/lttng-instrumentation-ipv4.patch
- patches.trace/lttng-instrumentation-ipv6.patch
- patches.trace/lttng-instrumentation-socket.patch
- patches.trace/lttng-instrumentation-fs.patch
- patches.trace/lttng-instrumentation-ipc.patch
- patches.trace/ftrace-port-to-tracepoints.patch
- patches.trace/ftrace-framepointer.diff
* Tue Sep 23 2008 jjolly@suse.de
- patches.arch/s390-01-03-cmm2-v2.patch: kernel (new function):
  Collaborative Memory Management Stage II (bnc#417244)
- patches.xen/xen3-auto-common.diff: Modified patch to allow for
  the new patch
* Tue Sep 23 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Enable sparse checking and section
  mismatch checking.
* Tue Sep 23 2008 jeffm@suse.de
- patches.kernel.org/arch-include-asm-fixes: kbuild: Properly
  handle arch/$arch/include/asm (bnc#427473).
* Mon Sep 22 2008 jeffm@suse.de
- patches.fixes/ext2-avoid-printk-flood-with-dir-corruption:
  ext2: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
- patches.fixes/ext3-avoid-printk-flood-with-dir-corruption:
  ext3: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
* Mon Sep 22 2008 jeffm@suse.de
- Update to 2.6.27-rc7.
  - Eliminated 2 patches.
  - patches.arch/s390-01-04-fcpperf-4.patch: Fixed up context.
* Mon Sep 22 2008 trenn@suse.de
  Workaround for ThinkPad brightness switching:
- patches.arch/acpi_video_thinkpad_exclude_IGD_devices.patch:
  Do not use video backlight switching for Lenovo ThinkPads.
  Commented out for now, possibly to be included later
- patches.drivers/cpufreq_add_cpu_number_paramater_1.patch:
  cpufreq: Add a cpu parameter to __cpufreq_driver_getavg()..
- patches.drivers/cpufreq_add_idle_microaccounting_6.patch:
  cpufreq,ondemand: Use get_cpu_idle_time_us() to get
  micro-accounted idle information.
- patches.drivers/cpufreq_change_load_calculation_2.patch:
  cpufreq, ondemand: Change the load calculation, optimizing
  for dependent cpus.
- patches.drivers/cpufreq_changes_to_get_cpu_idle_us_5.patch:
  export get_cpu_idle_time_us() .
- patches.drivers/cpufreq_get_cpu_idle_time_changes_3.patch:
  cpufreq,ondemand: Prepare changes for doing micro-accounting.
- patches.drivers/cpufreq_parameterize_down_differential_4.patch:
  cpufreq, ondemand: Use a parameter for down differential.
  Added CONFIG_PCIEASPM for rt, xen, powerpc and IA64 to be more
  consistent across different kernel flavors as suggested on the
  kernel list:
- Update config files.
* Mon Sep 22 2008 hare@suse.de
- patches.drivers/open-fcoe-libfc: Fix build error on IA64.
- patches.fixes/scsi-terminate-target-reset: Target reset hangs
  (bnc#427267).
- supported.conf: Update to include supported SCSI adapters.
* Fri Sep 19 2008 jbeulich@novell.com
- patches.suse/no-frame-pointer-select: Re-enable after removing FTRACE
  related change.
- Update x86 non-debug config files: Turn off FRAME_POINTER and FTRACE.
* Fri Sep 19 2008 nfbrown@suse.de
- patches.fixes/md-Allow-metadata_version-to-be-updated-for-externa.patch:
  md: Allow metadata_version to be updated for externally managed
  metadata. (FATE#304218).
- patches.fixes/md-Don-t-try-to-set-an-array-to-read-auto-if-it-i.patch:
  md: Don't try to set an array to 'read-auto' if it is already
  in that state. (FATE#304218).
* Thu Sep 18 2008 jbeulich@novell.com
- patches.suse/no-frame-pointer-select: Disable.
- Re-enable CONFIG_FRAME_POINTER in x86 config files.
* Thu Sep 18 2008 jbeulich@novell.com
- Update i386 and x86-64 config files (disable CONFIG_FRAME_POINTER in
  non-debug configs).
- patches.suse/stack-unwind: Add missing put_cpu()-s for x86-64.
- patches.suse/no-frame-pointer-select: Fix stack unwinder Kconfig
  (bnc#402518).
* Thu Sep 18 2008 hare@suse.de
- Update config files.
- patches.drivers/open-fcoe-driver: fcoe: Fibre Channel over
  Ethernet driver (FATE#303913).
- patches.drivers/open-fcoe-libfc: libfc: a modular software
  Fibre Channel implementation (FATE#303913).
- patches.drivers/open-fcoe-header-files: FC protocol definition
  header files (FATE#303913).
- patches.drivers/open-fcoe-dcb-support: FCoE: Add DCB support
  (FATE#303913).
- patches.drivers/ixgbe-fcoe-bugfixes: ixgbe: Bugfixes for FCoE.
- patches.fixes/vlan-gso-size-fix: vlan: device not reading gso
  max size of parent. (FATE#303913).
- patches.fixes/pkt_action-skbedit: pkt_action: add new action
  skbedit.
- patches.fixes/pkt_sched_multiq_support: pkt_sched: Add
  multiqueue scheduler support (FATE#303913).
- supported.conf: Update to include FCoE and device_handler
  modules
* Wed Sep 17 2008 jbeulich@novell.com
- supported.conf: adjust name of ide-cd (is now ide-cd_mod).
* Wed Sep 17 2008 hare@suse.de
- patches.drivers/qla2xxx-defer-risc-interrupt-enablement:
  qla2xxx: Defer enablement of RISC interrupts until ISP
  initialization completes (FATE#304113).
- patches.drivers/qla2xxx-8.02.01-k8-update: Update qla2xxx to
  8.02.01-k8 (FATE#304113).
* Wed Sep 17 2008 hare@suse.de
- patches.fixes/scsi-retry-hardware-error: make scsi_check_sense
  HARDWARE_ERROR return ADD_TO_MLQUEUE on retry (FATE#304042)
* Tue Sep 16 2008 olh@suse.de
- disable CONFIG_SPARSEMEM_VMEMMAP on ppc64 to allow memory remove
  (bnc#417537)
* Mon Sep 15 2008 jkosina@suse.de
- Update config files (build elousb driver as module)
- patches.drivers/elousb.patch: Elo USB touchscreen driver
  (FATE#304972).
* Mon Sep 15 2008 hare@suse.de
- patches.fixes/dm-mpath-abort-queue: Abort queued requests for
  multipath (FATE#304151).
* Mon Sep 15 2008 hare@suse.de
- Update config files: Disable CONFIG_OCFS2_COMPAT_JBD
* Mon Sep 15 2008 hare@suse.de
- patches.xen/xen-scsifront-block-timeout-update: Update XEN
  scsifront driver to request timeouts.
* Mon Sep 15 2008 sdietrich@suse.de
- Update config files: Enable GROUP_SCHED, FAIR_GROUP_SCHED,
  RT_GROUP_SCHED, CGROUP_SCHED
* Mon Sep 15 2008 hare@suse.de
- patches.drivers/block-timeout-handling: Fix typo.
* Fri Sep 12 2008 duwe@suse.de
- Add LED driver for SGI "UV" systems (FATE#304268)
* Fri Sep 12 2008 hare@suse.de
- patches.drivers/bdev-resize-added-flush_disk: Added
  flush_disk to factor out common buffer cache flushing code
  (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-adjust-block-device-size:
  Adjust block device size after an online resize of a
  disk. (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-call-flush_disk: Call flush_disk()
  after detecting an online resize. (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-check-for-device-resize:
  Check for device resize when rescanning partitions
  (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-sd-driver-calls: SCSI sd driver
  calls revalidate_disk wrapper (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-wrapper-for-revalidate_disk:
  Wrapper for lower-level revalidate_disk
  routines. (FATE#302348,FATE#303786).
- patches.drivers/block-timeout-handling: block: unify request
  timeout handling (FATE#304151,bnc#417544).
- patches.fixes/scsi-misc-git-update: SCSI misc fixes
  (FATE#303485,FATE#303484).
- patches.fixes/scsi-enhance-error-codes: Separate failfast into
  multiple bits (FATE#303485,FATE#303484).
- patches.suse/rq-based-block-layer: rediff.
- patches.suse/rq-based-multipath-functions: rediff.
- patches.suse/no-partition-scan: rediff.
* Fri Sep 12 2008 hare@suse.de
- patches.fixes/scsi-misc-git-update: SCSI misc fixes,
  required by the driver updates (FATE#303485,FATE#303484)
* Fri Sep 12 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.1-update: Update lpfc to 8.2.8.1
  (bnc#420767).
- patches.drivers/lpfc-8.2.8-update: Emulex lpfc driver update
  to 8.2.8 (FATE#303485,bnc#420767).
* Fri Sep 12 2008 bwalle@suse.de
- patches.arch/ia64-kdump_proc_iomem.diff:
  IA64: assign a distinguishable label to uncached memory in
  /proc/iomem (to fix MCA on kdump boot).
* Thu Sep 11 2008 jack@suse.cz
  Latest ext4 fixes from ext4 patch queue:
- patches.fixes/ext4-Add-inode-to-journal-handle-after-block-alloca.patch:
  ext4: Don't add the inode to journal handle until after the
  block is allocated (fate#303783).
- patches.fixes/ext4_add-missing-unlock-to-ext4-check-descriptors:
  ext4: add missing unlock in ext4_check_descriptors() on error
  path (fate#303783).
- patches.fixes/ext4-Add-percpu-dirty-block-accounting.patch:
  ext4: Add percpu dirty block accounting. (fate#303783).
- patches.fixes/ext4_create-proc-ext4-stats-file-more-carefully:
  ext4: fix #11321: create /proc/ext4/*/stats more carefully
  (fate#303783).
- patches.fixes/ext4_fix_longlong_checkpatch_issues: ext4:
  Fix long long checkpatch warnings (fate#303783).
- patches.fixes/ext4_fix_printk_checkpatch_issues: ext4:
  Add printk priority levels to clean up checkpatch warnings
  (fate#303783).
- patches.fixes/ext4_fix_whitespace_checkpatch_issues: ext4:
  Fix whitespace checkpatch warnings/errors (fate#303783).
- patches.fixes/ext4_i_disksize_lock_race_fix.patch: ext4:
  Properly update i_disksize. (fate#303783).
- patches.fixes/ext4_invalidate_pages_when_delalloc_alloc_fail.patch:
  ext4: invalidate pages if delalloc block allocation
  fails. (fate#303783).
- patches.fixes/ext4-Make-sure-all-the-block-allocation-paths-reser.patch:
  ext4: Make sure all the block allocation paths reserve blocks
  (fate#303783).
- patches.fixes/ext4_nonmballoc_reservation_ENOSPC_fix.patch:
  ext4: Fix ext4 nomballoc allocator for ENOSPC (fate#303783).
- patches.fixes/ext4-Retry-block-allocation-if-we-have-free-blocks.patch:
  ext4: Retry block allocation if we have free blocks left
  (fate#303783).
- patches.fixes/ext4-Retry-block-reservation.patch: ext4: Retry
  block reservation (fate#303783).
- patches.fixes/ext4-Signed-arithematic-fix.patch: ext4: Signed
  arithematic fix (fate#303783).
- patches.fixes/ext4-Switch-to-non-delalloc-mode-when-we-are-low-on.patch:
  ext4: Switch to non delalloc mode when we are low on free
  blocks count. (fate#303783).
- patches.fixes/ext4_truncate_block_allocated_on_a_failed_ext4_write_begin.patch:
  ext4: truncate block allocated on a failed ext4_write_begin
  (fate#303783).
- patches.fixes/ext4_update-flex-bg-counters-when-resizing:
  Update flex_bg free blocks and free inodes counters when
  resizing. (fate#303783).
- patches.fixes/percpu_counter_sum_cleanup.patch: percpu counter:
  clean up percpu_counter_sum_and_set() (fate#303783).
* Thu Sep 11 2008 bwalle@suse.de
- Enable KDB for i386 and x86_64 in "default" and "pae"
  configuration with CONFIG_KDB_OFF set to "y" (FATE#303971).
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC=2 in all configurations
  that have KDB enabled.
* Thu Sep 11 2008 jslaby@suse.de
- Update config files.
  enable PID_NS and USER_NS
  (FATE#303785, FATE#304371)
* Thu Sep 11 2008 jeffm@suse.de
- Update config files.
  - Enabled CONFIG_XFRM_SUB_POLICY (FATE#303781)
* Thu Sep 11 2008 mfasheh@suse.com
- Added POSIX File Locks support for Ocfs2  (FATE#110294)
  - patches.suse/ocfs2-POSIX-file-locks-support.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Added Ocfs2 JBD2 Support  (FATE#302877)
  - patches.suse/ocfs2-Limit-inode-allocation-to-32bits.patch
  - patches.suse/ocfs2-Add-the-inode64-mount-option.patch
  - patches.suse/ocfs2-Switch-over-to-JBD2.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Added Ocfs2 Extended Attributes Support (FATE#302067)
  - patches.suse/ocfs2-Modify-ocfs2_num_free_extents-f.patch
  - patches.suse/ocfs2-Use-ocfs2_extent_list-instead-o.patch
  - patches.suse/ocfs2-Abstract-ocfs2_extent_tree-in-b.patch
  - patches.suse/ocfs2-Make-high-level-btree-extend-co.patch
  - patches.suse/ocfs2-Add-the-basic-xattr-disk-layout-in-ocf.patch
  - patches.suse/ocfs2-Add-helper-function-in-uptodate.patch
  - patches.suse/ocfs2-Add-extent-tree-operation-for-x.patch
  - patches.suse/ocfs2-reserve-inline-space-for-extend.patch
  - patches.suse/ocfs2-Add-extended-attribute-support.patch
  - patches.suse/ocfs2-Add-xattr-index-tree-operations.patch
  - patches.suse/ocfs2-Add-xattr-bucket-iteration-for.patch
  - patches.suse/ocfs2-Add-xattr-lookup-code-xattr-btr.patch
  - patches.suse/ocfs2-Optionally-limit-extent-size-in.patch
  - patches.suse/ocfs2-Enable-xattr-set-in-index-btree.patch
  - patches.suse/ocfs2-Delete-all-xattr-buckets-during.patch
  - patches.suse/ocfs2-Add-incompatible-flag-for-exten.patch
  - patches.suse/ocfs2-fix-printk-format-warnings.patch
  - patches.suse/ocfs2-Prefix-the-extent-tree-operations-structure.patch
  - patches.suse/ocfs2-Prefix-the-ocfs2_extent_tree-structure.patch
  - patches.suse/ocfs2-Make-ocfs2_extent_tree-get-put-instead-of-all.patch
  - patches.suse/ocfs2-Make-private-into-object-on-ocfs2_extent_.patch
  - patches.suse/ocfs2-Provide-the-get_root_el-method-to-ocfs2_ext.patch
  - patches.suse/ocfs2-Use-struct-ocfs2_extent_tree-in-ocfs2_num_fre.patch
  - patches.suse/ocfs2-Determine-an-extent-tree-s-max_leaf_clusters.patch
  - patches.suse/ocfs2-Create-specific-get_extent_tree-functions.patch
  - patches.suse/ocfs2-Add-an-insertion-check-to-ocfs2_extent_tree_o.patch
  - patches.suse/ocfs2-Make-ocfs2_extent_tree-the-first-class-repres.patch
  - patches.suse/ocfs2-Comment-struct-ocfs2_extent_tree_operations.patch
  - patches.suse/ocfs2-Change-ocfs2_get_-_extent_tree-to-ocfs2_ini.patch
  - patches.suse/ocfs2-bug-fix-for-journal-extend-in-xattr.patch
  - patches.suse/ocfs2-Resolve-deadlock-in-ocfs2_xattr_free_.patch
  - patches.suse/ocfs2-Add-xattr-mount-option-in-ocfs2_show_options.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Add patches.fixes/jbd2-create-proc-entry-fix.patch
  jbd2: Create proc entry with bdevname+i_ino.
  (FATE#302877)
* Thu Sep 11 2008 mfasheh@suse.com
- Add patches.fixes/dlm-allow-multiple-lockspaces.patch
  dlm: allow multiple lockspace creates
  (FATE#110294)
* Thu Sep 11 2008 schwab@suse.de
- Update kdb patches.
* Thu Sep 11 2008 jslaby@suse.de
- Update config files.
  change CONFIG_NODES_SHIFT from 6 to 9
  (FATE#304261)
* Wed Sep 10 2008 trenn@suse.de
- Update config files.
  Added: CONFIG_PCIEASPM
* Wed Sep 10 2008 kkeil@suse.de
- patches.drivers/e1000e_add_82574L.patch: e1000e: add support
  for new 82574L part.
- patches.drivers/e1000e_add_ICH9_BM.patch: e1000e: add support
  for the 82567LM-4 device.
- patches.drivers/e1000e_add_LOM_devices.patch: e1000e: add
  support for 82567LM-3 and 82567LF-3 (ICH10D).
  (FATE#303916)
* Wed Sep 10 2008 hare@suse.de
- patches.suse/no-partition-scan: Implement 'no_partition_scan'
  commandline option (FATE#303697)
* Wed Sep 10 2008 jeffm@suse.de
- patches.kernel.org/ipmi-section-conflict.diff: ipmi: Fix
  section type conflicts.
- patches.kernel.org/psmouse-section-conflict.diff: psmouse:
  fix section type conflict.
- patches.kernel.org/carmine-section-mismatch: video: Fix section
  mismatch in carminefb.
- patches.kernel.org/md-section-conflict: md: Fix section
  conflicts.
- patches.kernel.org/setup_APIC_timer-section-mismatch: x86:
  Fix section conflict with kvm_setup_secondary_clock.
* Wed Sep 10 2008 trenn@suse.de
- patches.arch/thinkpad_fingers_off_backlight_igd.patch:
  Serve ThinkPad IGD devices backlight functionality through
  thinkpad_acpi (fate #302883).
- supported.conf: Add most important laptop drivers as supported:
  kernel/drivers/misc/asus_laptop
  kernel/drivers/misc/eeepc-laptop
  kernel/drivers/misc/msi-laptop
  kernel/drivers/misc/fujitsu-laptop
  kernel/drivers/acpi/wmi
  kernel/drivers/misc/hp-wmi
* Wed Sep 10 2008 jeffm@suse.de
- patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch: Fixed up
  some section conflicts.
* Wed Sep 10 2008 jeffm@suse.de
- Update to 2.6.27-rc6.
* Wed Sep 10 2008 jeffm@suse.de
- supported.conf: Added missing netfilter modules.
* Wed Sep 10 2008 jeffm@suse.de
- supported.conf: Updated netfilter module names.
* Wed Sep 10 2008 jeffm@suse.de
- patches.kernel.org/firmware-path: Updated header.
* Wed Sep 10 2008 jkosina@suse.de
- Update config files: support more than 4 serial ports
  (FATE#303314)
* Wed Sep 10 2008 olh@suse.de
- set CONFIG_CMM=y instead of =m to simplify virtual partition memory
  (bnc#417554)
* Tue Sep 09 2008 bphilips@suse.de
- rpm/kernel-binary.spec.in: add Recommends: kerneloops
* Tue Sep 09 2008 olh@suse.de
- Updated to 2.6.27-rc5-git10
* Mon Sep 08 2008 olh@suse.de
- Updated to 2.6.27-rc5-git9
* Fri Sep 05 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v3.patch: system call
  notification with self_ptrace (bnc#417299)
- patches.arch/s390-01-02-dcss-64-v2.patch: dcssblk (new function):
  Add support for >2G DCSS and stacked contiguous DCSS support.
  (bnc#417246)
- patches.arch/s390-01-04-fcpperf-{1-4}.patch: (kernel):FCP -
  Performance Data colletion & analysis (bnc#417243)
* Fri Sep 05 2008 olh@suse.de
- add patches.fixes/usb-hcd-interrupt-shared.patch
  fix interrupt handling for shared irqs, for PS3 (bnc#409961)
* Fri Sep 05 2008 olh@suse.de
- Updated to 2.6.27-rc5-git7
* Thu Sep 04 2008 olh@suse.de
- build with CONFIG_POWER4_ONLY (bnc#417566)
  this disables support for POWER3 and RS64 cpus
* Thu Sep 04 2008 jkosina@suse.de
- switch from Reno to Cubic as default TCP congestion algorithm
  (bnc#422825)
* Thu Sep 04 2008 bwalle@suse.de
- Update KDB patches. Fix build on x86_64-debug.
* Wed Sep 03 2008 jeffm@suse.de
- mark crc-t10dif as supported
* Wed Sep 03 2008 olh@suse.de
- mark pata_pdc2027x as supported
* Wed Sep 03 2008 olh@suse.de
- mark spidernet as supported
* Wed Sep 03 2008 olh@suse.de
- mark ehea as supported
* Wed Sep 03 2008 trenn@suse.de
- supported.conf:
  Mark dock (libata depends on it), bay, acpi_memhotplug, hpilo
  as supported
  Remove or adjust supported laptop drivers that went from
  drivers/acpi to drivers/misc
* Wed Sep 03 2008 hare@suse.de
- supported.conf: Mark virtio modules as supported.
* Tue Sep 02 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc5 and c/s 651.
* Tue Sep 02 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v2.patch: kernel
  (new function): System call notification with self_ptrace
  (bnc#417299,FATE#304021)
* Mon Sep 01 2008 agruen@suse.de
- File capabilities: replace our no_file_caps patch with what is
  supposed to end up in 2.6.28.
* Mon Sep 01 2008 bwalle@suse.de
- patches.arch/ia64-node_mem_map-node_start_pfn.diff:
  Fix memory map for ia64/discontmem for kdump.
* Mon Sep 01 2008 olh@suse.de
- Updated to 2.6.27-rc5-git2
* Fri Aug 29 2008 jeffm@suse.de
- Updated to 2.6.27-rc5.
  - Eliminated 2 patches.
  - KDB has an incompatible change on x86_64, so kernel-debug
  will fail there.
* Fri Aug 29 2008 olh@suse.de
- update message in post.sh to display also the rpm FLAVOR
* Thu Aug 28 2008 olh@suse.de
- update patches.suse/dm-raid45-2.6.25-rc2_20080221.patch
  rename rh_init to region_hash_init to avoid conflict
  with existing powerpc symbol on powerpc
* Thu Aug 28 2008 olh@suse.de
- disable musb, not useful, does not compile
* Tue Aug 26 2008 trenn@suse.de
  Vendor specific drivers vs generic video driver.
  Distinguish which ACPI driver should do backlight switching.
  This patch series is queued up for 2.6.28 in the ACPI branch:
- patches.arch/0000-ACPI-video-Ignore-devices-not-present.patch:
  ACPI: video: Ignore devices that aren't present in hardware.
- patches.arch/0001-Check-for-ACPI-backlight-support.patch: Check
  for ACPI backlight support otherwise use vendor ACPI drivers.
- patches.arch/0002-Acer-WMI-fingers-off-backlight-video.ko.patch:
  Acer-WMI: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0003-Asus-acpi-fingers-off-backlight.patch:
  asus-acpi: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0004-Compal-fingers-off-backlight.patch: compal:
  fingers off backlight if video.ko is serving this functionality.
- patches.arch/0005-eeepc-laptop-fingers-off.patch: eeepc-laptop:
  fingers off backlight if video.ko is serving this functionality.
- patches.arch/0006-fujitsu-laptop-fingers-off-backlight.patch:
  fujitsu-laptop: fingers off backlight if video.ko is serving
  this functionality.
- patches.arch/0007-msi-laptop-fingers-off-backlight.patch:
  msi-laptop: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0008-sony-laptop-fingers-off-backlight.patch:
  sony-laptop: fingers off backlight if video.ko is serving
  this functionality.
- patches.arch/0009-thinkpad_acpi-fingers-off-backlight.patch:
  thinkpad_acpi: fingers off backlight if video.ko is serving
  this functionality.
  I had to refresh these. While one patch was broken,
  two lines were missing, "patch" from 11.0 still worked, while
  "patch" from 10.3 did not:
- patches.xen/add-console-use-vt: add console_use_vt.
- patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-i386.patch:
  kexec: Move asm segment handling code to the assembly file
  (i386).
* Mon Aug 25 2008 jeffm@suse.de
- Disabled patches.kernel.org/ia64-asm-nr-irqs
* Mon Aug 25 2008 jeffm@suse.de
- patches.fixes/pseries-compile-fix: pseries: compile fix.
* Mon Aug 25 2008 jeffm@suse.de
- patches.kernel.org/musb-powerpc-conflict: musb: compile fix
  for powerpc.
* Mon Aug 25 2008 jeffm@suse.de
- patches.kernel.org/ia64-asm-nr-irqs: ia64: nr-irqs.h generation
  should place it in arch/../asm.
* Mon Aug 25 2008 jeffm@suse.de
- Update config files.
* Mon Aug 25 2008 jeffm@suse.de
- Updated to 2.6.27-rc4.
  - Refreshed context.
* Mon Aug 25 2008 trenn@suse.de
- patches.arch/x86-introduce-pci-noioapicquirk-kernel-cmdline.patch:
  x86, pci: introduce pci=noioapicquirk kernel cmdline option.
  Mysterious patch problem in include/asm-x86/pci.h
- patches.fixes/acpi-clear-wake-status.patch: Clear wak_sts
  register on resume.
* Mon Aug 25 2008 trenn@suse.de
- patches.suse/acpi_provide_non_windows_osi_boot_param.patch:
  Delete.
* Mon Aug 25 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc4.
- patches.xen/xen-x86_64-dump-user-pgt: dump the correct page
  tables for user mode faults.
- patches.xen/xen-x86_64-pgd-alloc-order: don't require order-1
  allocations for pgd-s.
- patches.xen/xen-x86_64-pgd-pin: make pinning of pgd pairs
  transparent to callers.
- patches.xen/xen-blktap-write-barriers: blktap: Write Barriers.
- patches.xen/xen-x86-pmd-handling: consolidate pmd/pud/pgd entry
  handling.
- patches.xen/xen-x86-bigmem: fix issues with the assignment of
  huge amounts of memory.
- patches.xen/xen-msix-restore: print at least a message if MSI-X
  restore failed.
- config.conf: Re-enable Xen.
- patches.xen/sfc-i2c: Delete.
- Update config files.
* Fri Aug 22 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Adjust and re-enable.
- Update config files.
* Tue Aug 19 2008 jeffm@suse.de
- patches.kernel.org/ps3-lpm-include: Delete.
* Tue Aug 19 2008 jeffm@suse.de
- Removed unused patches.
* Tue Aug 19 2008 tiwai@suse.de
- Update config files: Use CONFIG_INPUT_PCSPKR=m (bnc#225221)
* Mon Aug 18 2008 schwab@suse.de
- Update config files.
* Mon Aug 18 2008 schwab@suse.de
- Update kdb patches.
* Fri Aug 15 2008 tiwai@suse.de
- patches.arch/ppc-ipic-suspend-without-83xx-fix: Fix build_error
  without CONFIG_PPC_83xx.
- Update config files.
* Fri Aug 15 2008 tiwai@suse.de
- Update config files: disable CONFIG_IPIC for ppc/default and
  vanilla again to fix build
* Fri Aug 15 2008 tiwai@suse.de
- rpm/kernel-binary.spec.in: fix build without firmware files
* Fri Aug 15 2008 jeffm@suse.de
- patches.kernel.org/no-include-asm: kbuild: correctly link
  include/asm in external builds.
* Fri Aug 15 2008 jeffm@suse.de
- patches.kernel.org/ath9k-workaround-gcc-ICE-again-on-powerpc:
  ath9k: work around gcc ICE again.
* Thu Aug 14 2008 jeffm@suse.de
- patches.suse/novfs-gregorian-day-fix: novfs: Fix GregorianDay
  conflict.
* Thu Aug 14 2008 jeffm@suse.de
- Enabled patches.kernel.org/firmware-path
* Thu Aug 14 2008 jeffm@suse.de
- patches.apparmor/add-security_path_permission: Fixed duplicate
  export of security_inode_permission.
* Thu Aug 14 2008 jeffm@suse.de
- patches.apparmor/add-security_path_permission: Add missing
  stub for security_path_permission when CONFIG_SECURITY_APPARMOR=n
* Thu Aug 14 2008 jeffm@suse.de
- patches.kernel.org/firmware-path: firmware: Allow
  release-specific firmware dir.
- rpm/kernel-binary.spec.in: Add firmware files.
* Thu Aug 14 2008 jeffm@suse.de
- patches.kernel.org/ia64-export-cpu_core_map: ia64: Export
  cpu_core_map for topology_core_siblings.
* Thu Aug 14 2008 jeffm@suse.de
- Updated to 2.6.27-rc3.
  - AppArmor mostly merged. There may be some hiccups.
  - Xen and RT temporarily disabled for merging.
  - 17 patches eliminated.
* Thu Aug 14 2008 ghaskins@suse.de
  Guarded by +RT
- patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch:
  seqlock: make sure that raw_seqlock_t retries readers while
  writes are pending.
- patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch:
  ftrace: fix elevated preempt_count in wakeup-tracer.
* Fri Aug 08 2008 hare@suse.de
- Update config files for RT kernel to activate SCSI
  device handler.
* Fri Aug 08 2008 jbeulich@novell.com
- patches.xen/xen3-fixup-common, patches.xen/xen3-fixup-kconfig,
  patches.xen/xen3-patch-2.6.24, patches.xen/xen3-patch-2.6.25: Fix
  a couple of bugs and inconsistencies.
* Fri Aug 08 2008 schwab@suse.de
- Fix reference to $RPM_BUILD_ROOT in makefiles.
* Fri Aug 08 2008 hare@suse.de
- patches.fixes/dm-mpath-hp-sw.patch: Delete.
- Update config files.
- patches.fixes/dm-2.6.27-update: Upstream device-mapper patches
  (FATE#302108).
- patches.fixes/scsi_dh-2.6.27-update: SCSI device handler update
  (FATE#302269,FATE#303696,FATE#303754,FATE#304125).
- patches.suse/rq-based-block-layer: rq-based multipathing:
  block layer changes (FATE#302108).
- patches.suse/rq-based-dm-interface: rq-based multipathing:
  device-mapper interface (FATE#302108).
- patches.suse/rq-based-multipath-functions: rq-based
  multipathing: request-based functions to multipath
  (FATE#302108).
* Thu Aug 07 2008 jbeulich@novell.com
- Update Xen patches to c/s 623.
- patches.xen/sfc-network-driver: Delete.
- patches.xen/xen-balloon-hvm-min: Delete.
- patches.xen/xen-netfront-flip-prod: Delete.
- patches.xen/xen-x86_64-init-cleanup: Delete.
- patches.xen/sfc-i2c: sfc: Use kernel I2C system and i2c-algo-bit
  driver (disabled).
- patches.xen/sfc-driverlink: Solarflare: Resource driver (disabled).
- Update Xen config files.
* Wed Aug 06 2008 olh@suse.de
- add patches.suse/ppc-no-LDFLAGS_MODULE.patch
  do not link external modules against arch/powerpc/lib/crtsavres.o
* Tue Aug 05 2008 jeffm@suse.de
- patches.fixes/reiserfs-commit-ids-unsigned-ints: reiserfs:
  audit transaction ids to always be unsigned ints (bnc#410847).
* Tue Aug 05 2008 jeffm@suse.de
- README.BRANCH: Took ownership of 11.1 tree.
* Tue Aug 05 2008 jeffm@suse.de
- README: Changed w3d links to wiki links.
* Tue Aug 05 2008 ghaskins@suse.de
  Fixed misnamed rt_trace to rt_timing
- config/x86_64/rt_trace: Delete.
- Update config files.
- config.conf:
* Tue Aug 05 2008 ghaskins@suse.de
  Added x86_64/rt_trace kernel flavor (based on ftrace)
- Update config files.
- config.conf:
* Tue Aug 05 2008 ghaskins@suse.de
  Guarded by +RT
- Fix rtmutex-tester build problem with rt_debug
- patches.rt/rtmutex-convert-to-libpi.patch: rtmutex: convert
  rtmutexes to fully use the PI library.
* Tue Aug 05 2008 ghaskins@suse.de
  Guarded by +RT
- Remove version.patch to stop build breakage
* Tue Aug 05 2008 jjohansen@suse.de
- update apparmor patches with fixes for
  - broken getcwd (bnc#413915)
  - ref counting bug in getcwd and d_namespace_path when used
  on disconnected paths (bnc#414607)
  - typeo in patches that keep selinux from compiling (bnc#414609)
  - incorporate smack patch into base apparmor patches, so
  that smack can be built (bnc#414610)
* Tue Aug 05 2008 jslaby@suse.de
- patches.fixes/ath5k-fix-memory-corruption.patch: Ath5k: fix
  memory corruption (bnc#414635).
- patches.fixes/ath5k-kill-tasklets-on-shutdown.patch: Ath5k:
  kill tasklets on shutdown (bnc#414638).
* Mon Aug 04 2008 gregkh@suse.de
- README.BRANCH: added file.
* Mon Aug 04 2008 olh@suse.de
- disable CONFIG_SECURITY_ROOTPLUG because /init in initrd will
  not run if USB is compiled in and a specific USB device is not
  present
* Mon Aug 04 2008 jslaby@suse.de
- patches.fixes/tpm-write-data-types.patch: tpm: Use correct
  data types for sizes in tpm_write() and tpm_read() (bnc#400211).
* Fri Aug 01 2008 ghaskins@suse.de
  PI rework v0.5 and a fix from upstream for 26-rt1
- patches.rt/26-rt1-chirag.patch: This patch should solve some
  of the bug messages..
- patches.rt/add-generalized-pi-interface.patch: add generalized
  priority-inheritance interface.
- patches.rt/tie-pi-into-task.patch: sched: add the basic PI
  infrastructure to the task_struct.
- patches.rt/rtmutex-initialize-waiters.patch: rtmutex: formally
  initialize the rt_mutex_waiters.
- patches.rt/rtmutex-add_readers.patch: RT: wrap the rt_rwlock
  "add reader" logic.
- patches.rt/rtmutex-use-runtime-init.patch: rtmutex: use runtime
  init for rtmutexes.
- patches.rt/rtmutex-convert-to-libpi.patch: rtmutex: convert
  rtmutexes to fully use the PI library.
- patches.rt/rtmutex-defer-pi-until-sleepy.patch: rtmutex:
  pi-boost locks as late as possible.
* Fri Aug 01 2008 schwab@suse.de
- Reenable EFI_RTC.
* Fri Aug 01 2008 trenn@suse.de
- Update config files.
  Unset on forgotten archs:
  CONFIG_X86_REROUTE_FOR_BROKEN_BOOT_IRQS
* Fri Aug 01 2008 trenn@suse.de
- patches.fixes/x86_hpet_amd_quirk.patch: Workaround a hpet BIOS
  bug which is common on latest AMD driven boards (bnc#387053).
* Fri Aug 01 2008 sassmann@suse.de
  Add boot interrupt patches from linux-2.6-tip
- patches.arch/x86-acpi-reroute-PCI-interrupt-to-legacy-boot-interrupt.patch
- patches.arch/x86-add-PCI-IDs-for-devices-that-need-boot-irq-quirk.patch
- patches.arch/x86-disable-AMD-ATI-boot-interrupt-generation.patch
- patches.arch/x86-disable-broadcomm-boot-interrupt-generation.patch
- patches.arch/x86-disable-intel-boot-interrupt-generation.patch
- patches.arch/x86-introduce-config-option-for-pci-reroute-quirks.patch
- patches.arch/x86-introduce-pci-ioapicreroute-kernel-cmdline.patch
- patches.arch/x86-introduce-pci-noioapicquirk-kernel-cmdline.patch
- Update config files.
  * reroute of boot interrupts is enabled for RT only!
* Thu Jul 31 2008 sdietrich@suse.de
  Update to 2.6.26-rt1:
- config.conf: Enable i386/x86_64 - RT / RT_debug
- Update config files:
  * Sync to default config.
  * Disable (broken):
	- Novell Netware Filesystem support (novfs) (EXPERIMENTAL) (NOVFS)
	- ISP 1760 HCD support (USB_ISP1760_HCD)
	- KDB
	- QLogic InfiniPath Driver (INFINIBAND_IPATH)
  Remove obsolete patches:
- patches.rt/arm-cmpxchg-support-armv6.patch: Delete.
- patches.rt/arm-cmpxchg.patch: Delete.
- patches.rt/arm-fix-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-leds-timer.patch: Delete.
- patches.rt/arm-omap-03.patch: Delete.
- patches.rt/arm-omap-04.patch: Delete.
- patches.rt/disable-sched-rt-groups.patch: Delete.
- patches.rt/drivers-edac-add-support-for-HS21XM-SMI-remediation:
  Delete.
- patches.rt/drivers-edac-add-support-for-HS21_LS21-SMI-remediation:
  Delete.
- patches.rt/drivers-edac-add-sysfs_notify-calls.patch: Delete.
- patches.rt/drivers-edac-i5000-turn-off-unsupported-check:
  Delete.
- patches.rt/drivers-edac-new-amd64.patch: Delete.
- patches.rt/drivers-edac-new-k8-rev-f.patch: Delete.
- patches.rt/drivers-edac-prevent-potential-printk-storm: Delete.
- patches.rt/drivers-edac-test_device.patch: Delete.
- patches.rt/ep93xx-clockevents-fix.patch: Delete.
- patches.rt/ep93xx-clockevents.patch: Delete.
- patches.rt/ep93xx-timer-accuracy.patch: Delete.
- patches.rt/fix-alternate_node_alloc.patch: Delete.
- patches.rt/fix-irq-flags-size.patch: Delete.
- patches.rt/foo.patch: Delete.
- patches.rt/ftrace-add-nr_syscalls.patch: Delete.
- patches.rt/ftrace-alloc-pages.patch: Delete.
- patches.rt/ftrace-cpu-clock-update.patch: Delete.
- patches.rt/ftrace-debug-use-preempt-disable-notrace.patch:
  Delete.
- patches.rt/ftrace-direct-calls.patch: Delete.
- patches.rt/ftrace-disable-daemon.patch: Delete.
- patches.rt/ftrace-dont-use-raw-irq-save.patch: Delete.
- patches.rt/ftrace-eventtrace-fixup.patch: Delete.
- patches.rt/ftrace-filter-functions.patch: Delete.
- patches.rt/ftrace-fix-ip.patch: Delete.
- patches.rt/ftrace-flip-fix.patch: Delete.
- patches.rt/ftrace-handle-time-outside-of-lockdep.patch: Delete.
- patches.rt/ftrace-irqsoff-smp-processor-id-fix.patch: Delete.
- patches.rt/ftrace-lockdep-notrace-annotations.patch: Delete.
- patches.rt/ftrace-max-update-fixes.patch: Delete.
- patches.rt/ftrace-move-memory-management-to-generic.patch:
  Delete.
- patches.rt/ftrace-nop-calls.patch: Delete.
- patches.rt/ftrace-peterz-cpu_clock.patch: Delete.
- patches.rt/ftrace-remove-max-printks.patch: Delete.
- patches.rt/ftrace-safe-traversal-hlist.patch: Delete.
- patches.rt/ftrace-stop-function-trace-fix.patch: Delete.
- patches.rt/ftrace-unlock-mutex-in-output.patch: Delete.
- patches.rt/ftrace-update-cnt-stat-fix.patch: Delete.
- patches.rt/ftracer-build-fix.patch: Delete.
- patches.rt/futex-performance-hack-sysctl-fix.patch: Delete.
- patches.rt/futex-performance-hack.patch: Delete.
- patches.rt/git-ignore-module-markers.patch: Delete.
- patches.rt/irq-flags-unsigned-long.patch: Delete.
- patches.rt/kernel-bug-after-entering-something-from-login.patch:
  Delete.
- patches.rt/kthread-cpus-allowed-init.patch: Delete.
- patches.rt/kvm-lapic-migrate-latency-fix.patch: Delete.
- patches.rt/kvm-make-less-noise.patch: Delete.
- patches.rt/kvm-preempt-rt-resched-delayed.patch: Delete.
- patches.rt/latency-tracing-prctl-api-hack.patch: Delete.
- patches.rt/netfilter-more-debugging.patch: Delete.
- patches.rt/page-alloc-use-real-time-pcp-locking-for-page-draining.patch:
  Delete.
- patches.rt/pcounter-percpu-protect.patch: Delete.
- patches.rt/percpu-locked-powerpc-fixups-a6.patch: Delete.
- patches.rt/powerpc-rearrange-thread-flags-to-work-with-andi-instruction.patch:
  Delete.
- patches.rt/ppc-add-mcount.patch: Delete.
- patches.rt/ppc-add-ppc32-mcount.patch: Delete.
- patches.rt/ppc-mark-notrace-mainline.patch: Delete.
- patches.rt/ppc-mcount-dummy-functions.patch: Delete.
- patches.rt/ppc-rename-xmon-mcount.patch: Delete.
- patches.rt/ppc-select-mcount.patch: Delete.
- patches.rt/preempt-irqs-ppc-celleb-beatic-eoi.patch: Delete.
- patches.rt/preempt-irqs-softirq-in-hardirq.patch: Delete.
- patches.rt/preempt-realtime-powerpc-a7.patch: Delete.
- patches.rt/preempt-realtime-ppc-more-resched-fixups.patch:
  Delete.
- patches.rt/preempt-realtime-ppc-need-resched-delayed.patch:
  Delete.
- patches.rt/preempt-realtime-sh.patch: Delete.
- patches.rt/preempt-realtime-supress-cpulock-warning.patch:
  Delete.
- patches.rt/rcu-preempt-trace-markers-1.patch: Delete.
- patches.rt/rcu-preempt-trace-markers-2.patch: Delete.
- patches.rt/rcu-various-fixups.patch: Delete.
- patches.rt/rt-mutex-arm-fix.patch: Delete.
- patches.rt/rt-mutex-delayed-resched.patch: Delete.
- patches.rt/rt-mutex-drop-generic-TIF_NEED_RESCHED_DELAYED.patch:
  Delete.
- patches.rt/rt-time-starvation-fix.patch: Delete.
- patches.rt/rtmutex-adaptive-locks.patch: Delete.
- patches.rt/rtmutex-adaptive-timeout.patch: Delete.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
- patches.rt/sched-fix-rt-task-wakeup.patch: Delete.
- patches.rt/sched-fix-sched-fair-wakeup.patch: Delete.
- patches.rt/sched-rt-push-only-new.patch: Delete.
- patches.rt/schedule_on_each_cpu-enhance-rt.patch: Delete.
- patches.rt/tasklet-fix-preemption-race.patch: Delete.
- patches.rt/tasklet-more-fixes.patch: Delete.
- patches.rt/time-gcc-linker-error.patch: Delete.
- patches.rt/tracer-use-sched-clock.patch: Delete.
- patches.rt/write-try-lock-irqsave.patch: Delete.
- patches.rt/x86-delay-enable-preempt-tglx.patch: Delete.
  Introduce 2.6.26-RT1:
- patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch:
  Linux-RT 2.6.26-RT
  radix-tree: gang slot lookups.
- patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch: Linux-RT
  2.6.26-RT
  mm: lockless probe.
- patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch:
  Linux-RT 2.6.26-RT
  mm: speculative get page.
- patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch:
  Linux-RT 2.6.26-RT
  mm: lockless pagecache lookups.
- patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch:
  Linux-RT 2.6.26-RT
  mm: spinlock tree_lock.
- patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/RT_utsname.patch: Linux-RT 2.6.26-RT.
- patches.rt/aacraid-compat-sem.patch: Linux-RT 2.6.26-RT.
- patches.rt/adapt-remove-extra-try-to-lock.patch: Linux-RT
  2.6.26-RT.
- patches.rt/adaptive-adjust-pi-wakeup.patch: Linux-RT 2.6.26-RT.
- patches.rt/adaptive-earlybreak-on-steal.patch: Linux-RT
  2.6.26-RT
  rtmutex: break out early on first run.
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch: Linux-RT
  2.6.26-RT.
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.26-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.26-RT.
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.26-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-compile-fix.patch: Linux-RT 2.6.26-RT
  ARM: compile fix for event tracing.
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-latency-tracer-support.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-02.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-05.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-preempt-config.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-trace-preempt-idle.patch: Linux-RT 2.6.26-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/cache_pci_find_capability.patch: Linux-RT 2.6.26-RT
  Cache calls to pci_find_capability.
- patches.rt/call_rcu_bh-rename-of-call_rcu.patch: Linux-RT
  2.6.26-RT
  just rename call_rcu_bh instead of making it a macro.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.26-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.26-RT.
- patches.rt/cycles-to-ns-trace-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-irqpoll.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-lpptest-on-nonlinux.patch: Linux-RT
  2.6.26-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.26-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.26-RT.
- patches.rt/dont-let-rt-rw_semaphores-do-non_owner-locks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.26-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.26-RT.
- patches.rt/event-tracer-syscall-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.26-RT.
- patches.rt/export-schedule-on-each-cpu.patch: Linux-RT
  2.6.26-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-acpi-build-weirdness.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.26-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-circular-locking-deadlock.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-emac-locking-2.6.16.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-emergency-reboot.patch: Linux-RT 2.6.26-RT
  call reboot notifier list when doing an emergency reboot.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch: Linux-RT 2.6.26-RT.
- patches.rt/floppy-resume-fix.patch: Linux-RT 2.6.26-RT
  floppy: suspend/resume fix.
- patches.rt/ftrace-compile-fixes.patch: Linux-RT 2.6.26-RT
  rt: remove call to stop tracer.
- patches.rt/ftrace-dont-trace-markers.patch: Linux-RT 2.6.26-RT
  ftrace: dont trace markers.
- patches.rt/ftrace-fix-header.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-function-record-nop.patch: Linux-RT 2.6.26-RT
  ftrace: define function trace nop.
- patches.rt/ftrace-print-missing-cmdline.patch: Linux-RT
  2.6.26-RT
  ftrace: fix the command line printing.
- patches.rt/ftrace-record-comm-on-ctrl.patch: Linux-RT 2.6.26-RT
  ftrace: record comm on function ctrl change.
- patches.rt/ftrace-trace-sched.patch: Linux-RT 2.6.26-RT
  ftrace: trace sched.c.
- patches.rt/ftrace-upstream.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-use-preempt-disable-not-irq-disable.patch:
  Linux-RT 2.6.26-RT
  ftrace: avoid lockdep recursion.
- patches.rt/gcc-warnings-shut-up.patch: Linux-RT 2.6.26-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.26-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.26-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/git-ignore-script-lpp.patch: Linux-RT 2.6.26-RT.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.26-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/hack-fix-rt-migration.patch: Linux-RT 2.6.26-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.26-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem-redo-mainline.patch: Linux-RT 2.6.26-RT.
- patches.rt/highmem-revert-mainline.patch: Linux-RT 2.6.26-RT.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.26-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.26-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.26-RT.
- patches.rt/i386-mark-atomic-irq-ops-raw.patch: Linux-RT
  2.6.26-RT.
- patches.rt/i386-nmi-watchdog-show-regs.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.26-RT.
- patches.rt/irda-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/irq-mask-fix.patch: Linux-RT 2.6.26-RT
  genirq: fix simple and fasteoi irq handlers.
- patches.rt/jbd_assertions_smp_only.patch: Linux-RT 2.6.26-RT.
- patches.rt/kmap-atomic-i386-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/kmap-atomic-prepare.patch: Linux-RT 2.6.26-RT.
- patches.rt/kprobes-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.26-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/latency-measurement-drivers.patch: Linux-RT
  2.6.26-RT.
- patches.rt/latency-tracing-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/latency-tracing-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.26-RT.
- patches.rt/local_irq_save_nort-in-swap.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lock-init-plist-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/lock_list.patch: Linux-RT 2.6.26-RT
  lock_list - a fine grain locked double linked list.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.26-RT
  mm: lock_page_ref.
- patches.rt/lockdep-avoid-fork-waring.patch: Linux-RT 2.6.26-RT
  ftrace: fix if define to prove locking.
- patches.rt/lockdep-lock_set_subclass.patch: Linux-RT 2.6.26-RT
  lockdep: lock_set_subclass - reset a held lock's subclass.
- patches.rt/lockdep-more-entries.patch: Linux-RT 2.6.26-RT.
- patches.rt/lockdep-prettify.patch: Linux-RT 2.6.26-RT
  lockdep: prettify output.
- patches.rt/lockdep-rt-mutex.patch: Linux-RT 2.6.26-RT
  lockdep-rt: annotate PREEMPT_RT DEFINE_MUTEX.
- patches.rt/lockdep-rt-recursion-limit-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.26-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/lockdep_lock_set_subclass_fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lockstat-fix-contention-points.patch: Linux-RT
  2.6.26-RT
  lockstat: fix contention points.
- patches.rt/lockstat-output.patch: Linux-RT 2.6.26-RT
  lockstat: warn about disabled lock debugging.
- patches.rt/lockstat-rt-hooks.patch: Linux-RT 2.6.26-RT.
- patches.rt/lockstat_bounce_rt.patch: Linux-RT 2.6.26-RT.
- patches.rt/loopback-revert.patch: Linux-RT 2.6.26-RT.
- patches.rt/mapping_nrpages.patch: Linux-RT 2.6.26-RT
  mm/fs: abstract address_space::nrpages.
- patches.rt/mips-change-raw-spinlock-type.patch: Linux-RT
  2.6.26-RT
  RT: change from raw_spinlock_t to __raw_spinlock_t.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Linux-RT 2.6.26-RT
  RT: remove conflicting rtc_lock declaration.
- patches.rt/mips-remove-duplicate-kconfig.patch: Linux-RT
  2.6.26-RT.
- patches.rt/mips-remove-finish-arch-switch.patch: Linux-RT
  2.6.26-RT
  RT: remove finish_arch_switch.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.26-RT.
- patches.rt/mm-concurrent-pagecache-rt.patch: Linux-RT 2.6.26-RT
  mm: -rt bits for concurrent pagecache.
- patches.rt/mm-concurrent-pagecache.patch: Linux-RT 2.6.26-RT
  mm: concurrent pagecache write side.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.26-RT
  reduce pagetable-freeing latencies.
- patches.rt/move-native-irq.patch: Linux-RT 2.6.26-RT.
- patches.rt/msi-suspend-resume-workaround.patch: Linux-RT
  2.6.26-RT.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.26-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.26-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.26-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.26-RT
  read lock Priority Inheritance implementation.
- patches.rt/native-sched-clock-booboo.patch: Linux-RT 2.6.26-RT.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.26-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/netpoll-8139too-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.26-RT
  softirq preemption: optimization.
- patches.rt/nf_conntrack-fix-smp-processor-id.patch: Linux-RT
  2.6.26-RT.
- patches.rt/nf_conntrack-weird-crash-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.26-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/nmi-profiling.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-show-regs-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-disable.patch: Linux-RT 2.6.26-RT
  x86_64: do not enable the NMI watchdog by default.
- patches.rt/nmi-watchdog-fix-1.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-2.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-3.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-4.patch: Linux-RT 2.6.26-RT.
- patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch:
  Linux-RT 2.6.26-RT
  local_bh_enable() is safe for irqs_disabled().
- patches.rt/ntfs-local-irq-save-nort.patch: Linux-RT 2.6.26-RT.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.26-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.26-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.26-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.26-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/percpu-locked-mm.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-netfilter.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-netfilter2.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-powerpc-fixups.patch: Linux-RT
  2.6.26-RT.
- patches.rt/percpu_list.patch: Linux-RT 2.6.26-RT
  percpu_list.
- patches.rt/plist-debug.patch: Linux-RT 2.6.26-RT.
- patches.rt/posix-cpu-timers-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/powerpc-flush_tlb_pending-is-no-more.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/powerpc-match-__rw_yield-function-declaration-to-prototype.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ppc-chpr-set-rtc-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-gtod-notrace-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ppc-make-tlb-batch-64-only.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-tlbflush-preempt.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc32-latency-compile-hack-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ppc32_notrace_init_functions.patch: Linux-RT
  2.6.26-RT
  don't trace early init functions for ppc32.
- patches.rt/preempt-irqs-Kconfig.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-i386-idle-poll-loop-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-ack-irq-fixups.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-b5.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-b6.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-more-fasteoi.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-ppc-preempt-schedule-irq-entry-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-x86-64.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-bagde4.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-footbridge.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-integrator.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-pxa.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-shark.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-compile-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ftrace.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ide.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-input.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-loopback.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mellanox-driver-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.26-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-add-raw-relax-macros.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b2.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b3.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-celleb-raw-spinlocks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-missing-raw-spinlocks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-tlb-batching.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.26-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-profiling.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-rcu.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-sched-cpupri.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-sched-i386.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-sound.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-supress-nohz-softirq-warning.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-supress-rtc-printk.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-usb.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-warn-and-bug-on-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-warn-and-bug-on.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.26-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.26-RT.
- patches.rt/printk-dont-bug-on-sched.patch: Linux-RT 2.6.26-RT.
- patches.rt/printk-in-atomic-hack-fix.patch: Linux-RT 2.6.26-RT
  fix printk in atomic hack.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.26-RT.
- patches.rt/proportions-raw-locks.patch: Linux-RT 2.6.26-RT.
- patches.rt/qrcu.patch: Linux-RT 2.6.26-RT
  QRCU with lockless fastpath.
- patches.rt/quicklist-release-before-free-page-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/quicklist-release-before-free-page.patch: Linux-RT
  2.6.26-RT.
- patches.rt/radix-concurrent-lockdep.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-percpu-hack-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.26-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.26-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.26-RT
  radix-tree: optimistic locking.
- patches.rt/random-driver-latency-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-hrt-fixups.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-new-7.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-default.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-fix-bad-dyntick-accounting.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rcu-torture-preempt-update.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-trace-fix-free.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcupreempt-boost-early-init.patch: Linux-RT
  2.6.26-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.26-RT.
- patches.rt/relay-fix.patch: Linux-RT 2.6.26-RT
  relay: fix timer madness.
- patches.rt/remove-check-pgt-cache-calls.patch: Linux-RT
  2.6.26-RT.
- patches.rt/replace-bugon-by-warn-on.patch: Linux-RT 2.6.26-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-apis.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-avoid-deadlock-in-swap.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-delayed-prio.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: propagate prio for delayed work.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-list-mods.patch: Linux-RT 2.6.26-RT
  rt: list_splice2.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.26-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-irq-flags-checking.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-ppc-fix-a5.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-page_alloc.patch: Linux-RT 2.6.26-RT
  rt-friendly per-cpu pages.
- patches.rt/rt-plist-mods.patch: Linux-RT 2.6.26-RT
  rt: plist_head_splice.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-sched-groups.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-slab-new.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-workqeue-prio.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue support.
- patches.rt/rt-workqueue-barrier.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: fix barriers.
- patches.rt/rt-wq-barrier-fix.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: wait_on_work() fixup.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.26-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/rtmutex-debug.h-cleanup.patch: Linux-RT 2.6.26-RT
  lock debugging: clean up rtmutex-debug.h.
- patches.rt/rtmutex-lateral-steal.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-rearrange.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-remove-xchg.patch: Linux-RT 2.6.26-RT
  rtmutex - remove double xchg.
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-implement-downgrade-write.patch: Linux-RT
  2.6.26-RT
  rwlocks multi downgrade write.
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlocks-fix-no-preempt-rt.patch: Linux-RT 2.6.26-RT
  rwlock: fix non PREEMPT_RT case.
- patches.rt/rwlocks-multiple-readers.patch: Linux-RT 2.6.26-RT
  implement rwlocks management.
- patches.rt/rwsems-multiple-readers.patch: Linux-RT 2.6.26-RT
  add framework for multi readers on rwsems.
- patches.rt/s_files-pipe-fix.patch: Linux-RT 2.6.26-RT
  s_files: free_write_pipe() fix.
- patches.rt/s_files-schedule_on_each_cpu_wq.patch: Linux-RT
  2.6.26-RT.
- patches.rt/s_files.patch: Linux-RT 2.6.26-RT
  remove global files_lock.
- patches.rt/sched-clock-nmi.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.26-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-rt-stats.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched_prio.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched_rt-fixup.patch: Linux-RT 2.6.26-RT.
- patches.rt/schedule-tail-balance-disable-irqs.patch: Linux-RT
  2.6.26-RT.
- patches.rt/schedule_on_each_cpu-enhance.patch: Linux-RT
  2.6.26-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/send-nmi-all-preempt-disable.patch: Linux-RT
  2.6.26-RT.
- patches.rt/seq-irqsave.patch: Linux-RT 2.6.26-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.26-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.26-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.26-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/softlockup-add-irq-regs-h.patch: Linux-RT 2.6.26-RT
  core: make asm/irq_regs.h available on every platform.
- patches.rt/spinlock-trylock-cleanup-sungem.patch: Linux-RT
  2.6.26-RT.
- patches.rt/swap-spinlock-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.26-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.26-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.26-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace-add-event-markers-arm.patch: Linux-RT
  2.6.26-RT.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.26-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace_hist-divzero.patch: Linux-RT 2.6.26-RT
  trace_hist.c: divide-by-zero problem (2).
- patches.rt/trace_hist-latediv.patch: Linux-RT 2.6.26-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.26-RT.
- patches.rt/tracer-event-trace.patch: Linux-RT 2.6.26-RT.
- patches.rt/use-edge-triggered-irq-handler-instead-of-simple-irq.patch:
  Linux-RT 2.6.26-RT
  [AT91: PATCH]: Use edge triggered interrupt handling for
  AT91-GPIO instead of simple_irq-handler.
- patches.rt/user-no-irq-disable.patch: Linux-RT 2.6.26-RT.
- patches.rt/version.patch: Linux-RT 2.6.26-RT
  add -rt extra-version.
- patches.rt/vortex-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/x86-64-tscless-vgettimeofday.patch: Linux-RT
  2.6.26-RT
  x86_64 GTOD: offer scalable vgettimeofday.
- patches.rt/x86_64-tsc-sync-irqflags-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.26-RT
  event-tracer: add clockevent trace.
- patches.rt/ftrace-hotplug-fix.patch: Linux-RT 2.6.26-RT
  ftrace: cpu hotplug fix.
- patches.rt/ftrace-wakeup-rawspinlock.patch: Linux-RT 2.6.26-RT
  ftrace: user raw spin lock for wakeup function trace.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-tree-lockdep-plus1.patch: Linux-RT 2.6.26-RT
  lockdep: add +1 to radix tree array.
- patches.rt/rwlock-fixes.patch: Linux-RT 2.6.26-RT
  rwlock: fix pi_list race conditions.
- patches.rt/rwlock-prio-fix.patch: Linux-RT 2.6.26-RT
  rwlock: reset prio on unlocks and wakeups.
- patches.rt/rwlock-torture.patch: Linux-RT 2.6.26-RT
  rwlock: rwlock torture test.
- patches.rt/sched-cpupri-hotplug-support.patch: Linux-RT
  2.6.26-RT.
- patches.rt/sched-cpupri-priocount.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace-eip2ip.patch: Linux-RT 2.6.26-RT
  Re: 2.6.25.4-rt4.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-adaptive-hack.patch: Linux-RT 2.6.26-RT
  fix-adaptive-hack.patch.
- patches.rt/fix-a-previously-reverted-fix.patch: Linux-RT
  2.6.26-RT
  Fix a previously reverted "fix".
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.26-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/frace-use-tsc.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-document-event-tracer.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ftrace-document-update1.patch: Linux-RT 2.6.26-RT
  ftrace: document updates.
- patches.rt/ftrace-fix-get-kprobe-wreckage.patch: Linux-RT
  2.6.26-RT
  ftrace-fix-missing-kprobe-include.pathc.
- patches.rt/ftrace-m68knommu-add-FTRACE-support.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ftrace-m68knommu-generic-stacktrace-function.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ftrace-preempt-trace-check.patch: Linux-RT 2.6.26-RT
  ftrace: only trace preempt off with preempt tracer.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.26-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/generic-cmpxchg-use-raw-local-irq-variant.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/idle2-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/idle-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch: Linux-RT
  2.6.26-RT.
- patches.rt/m68knommu-make-cmpxchg-RT-safe.patch: Linux-RT
  2.6.26-RT.
- patches.rt/mapping_nrpages-fix.patch: Linux-RT 2.6.26-RT
  mapping_nrpages-fix.patch.
- patches.rt/nfs-stats-miss-preemption.patch: Linux-RT 2.6.26-RT
  nfs: fix missing preemption check.
- patches.rt/pmtmr-override.patch: Linux-RT 2.6.26-RT
  pmtmr: allow command line override of ioport.
- patches.rt/powerpc-ftrace-stop-on-oops.patch: Linux-RT 2.6.26-RT
  powerpc: ftrace stop on crash.
- patches.rt/ppc64-fix-preempt-unsafe-paths-accessing-per_cpu-variables.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-m68knommu-make-timer-interrupt-non-threaded.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mm.patch~: Linux-RT 2.6.26-RT.
- patches.rt/raw-spinlocks-for-nmi-print.patch: Linux-RT
  2.6.26-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-debug-fix.patch: Linux-RT 2.6.26-RT
  rtmutex-debug-fix.patch.
- patches.rt/rt-mutex-namespace.patch: Linux-RT 2.6.26-RT
  rt-mutex-namespace.patch.
- patches.rt/rt-mutex-use-inline.patch: Linux-RT 2.6.26-RT
  rt-mutex-cleanup.patch.
- patches.rt/rt-rwlock-conservative-locking.patch: Linux-RT
  2.6.26-RT
  rwlock: be more conservative in locking reader_lock_count.
- patches.rt/rwlock-pi-lock-reader.patch: Linux-RT 2.6.26-RT.
- patches.rt/rwlock-protect-reader_lock_count.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-slowunlock-mutex-fix2.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-slowunlock-mutex-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-torture-no-rt.patch: Linux-RT 2.6.26-RT
  rwlock: fix torture test to handle non-rt.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.26-RT
  sched-fix-dequeued-race.patch.
- patches.rt/serial-locking-rt-cleanup.patch~: Linux-RT 2.6.26-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.26-RT
  rt: dont disable irqs in usb.
- patches.rt/trace-do-not-wakeup-when-irqs-disabled.patch:
  Linux-RT 2.6.26-RT
  trace-do-not-wakeup-when-irqs-disabled.patch.
- patches.rt/trace-ktime-scalar.patch: Linux-RT 2.6.26-RT
  ftrace: print ktime values in readable form.
- patches.rt/warn-on-rt-scatterlist.patch: Linux-RT 2.6.26-RT
  remove warn on for scatterlist in preempt rt.
* Tue Jul 29 2008 trenn@suse.de
- patches.arch/acpi_thermal_passive_blacklist.patch: Avoid
  critical temp shutdowns on specific ThinkPad T4x(p) and R40
  (https://bugzilla.novell.com/show_bug.cgi?id=333043).
- patches.fixes/acpi_use_acpi_exception.patch: ACPI dock/bay:
  Use ACPI_EXCEPTION instead of printk(KERN_ERR.
- patches.suse/acpi_provide_non_windows_osi_boot_param.patch:
  ACPI: Provide a spec conform OSI interface to the BIOS.
* Tue Jul 29 2008 bphilips@suse.de
- rpm/kernel-binary.spec.in: uvcvideo merged.  Add Obsoletes.
* Fri Jul 25 2008 mszeredi@suse.cz
- supported.conf: Mark fuse as supported.
* Thu Jul 24 2008 gregkh@suse.de
- Enable CONFIG_MARKERS
* Thu Jul 24 2008 gregkh@suse.de
- Enable CONFIG_SECURITY_SELINUX
* Thu Jul 24 2008 agruen@suse.de
- Fix for using relative paths in /usr/src/linux-obj/$arch/
  $flavor/Makefile (bnc#409982).
* Fri Jul 18 2008 hare@suse.de
- Update config files for S/390.
* Thu Jul 17 2008 bwalle@suse.de
- patches.fixes/show-OSRELEASE-in-VMCOREINFO.diff:
  kdump: Report actual value of VMCOREINFO_OSRELEASE in VMCOREINFO
* Thu Jul 17 2008 jeffm@suse.de
- rpm/kernel-module-subpackage: Removed Supplements handling
  entirely. Use preamble instead.
* Thu Jul 17 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.26: Fix 32-bit build.
* Thu Jul 17 2008 jbeulich@novell.com
- Update Xen patches for 2.6.26.
- patches.xen/540-blkif-nr-segments-check.patch: Delete.
- patches.xen/560-x86_64-no-irq-affinity-break-msg.patch: Delete.
- patches.xen/xen3-patch-2.6.25.1: Delete.
- Update i386 and x86-64 config files.
- config.conf: Re-enable Xen configs.
* Thu Jul 17 2008 jbeulich@novell.com
- patches.fixes/seccomp-disable-tsc-option: Also handle x86-64 (191123).
- Update x86-64 config files.
- patches.suse/raw_device_max_minors_param.diff: Fix uninitialized
  return value.
- patches.apparmor/remove_suid.diff: Also handle fuse.
- supported.conf: Add e1000e, rtc-core, rtc-lib, and rtc-cmos.
* Mon Jul 14 2008 jeffm@suse.de
- patches.kernel.org/fsl-diu-fb-compile-fix: Delete.
* Mon Jul 14 2008 olh@suse.de
- disable unused fsl-diu-fb driver
* Mon Jul 14 2008 jeffm@suse.de
- Updated to 2.6.26-final.
* Mon Jul 14 2008 bwalle@suse.de
- patches.fixes/move-crashkernel-reservation.diff:
  x86: Move crashkernel reservation before dma32_reserve_bootmem().
* Mon Jul 14 2008 rgoldwyn@suse.de
- Enable patches.suse/convert-novfs-to-open-soure-coding-standards.patch
  Fix oops in novfs_daemon_lib_ioctl
* Fri Jul 11 2008 jeffm@suse.de
- Updated squashfs to v3.3. (bnc#373285)
* Thu Jul 10 2008 jeffm@suse.de
- Update config files: Enable raw devices on s390.
* Thu Jul 10 2008 jack@suse.cz
- patches.suse/raw_device_max_minors_param.diff: Allow setting
  of number of raw devices as a module parameter (FATE 302178).
* Thu Jul 10 2008 jeffm@suse.de
- patches.kernel.org/fsl-diu-fb-compile-fix: fsl-diu-fb:
  compile fix.
* Wed Jul 09 2008 jeffm@suse.de
- patches.suse/kdb-common: Removed obsolete file_lock_operations
  printing.
* Wed Jul 09 2008 jeffm@suse.de
- patches.fixes/reiserfs-discard-xattr-prealloc: Upstreamed with
  -git5.
* Wed Jul 09 2008 jeffm@suse.de
- patches.fixes/reiserfs-discard-xattr-prealloc: reiserfs:
  discard prealloc in reiserfs_delete_inode (bnc#389656).
* Wed Jul 09 2008 jeffm@suse.de
- Updated to 2.6.26-rc9-git5.
  - Eliminated 2 patches.
* Wed Jul 09 2008 jbohac@suse.cz
- Update config files.
- patches.suse/netfilter-ip_conntrack_slp.patch: connection
  tracking helper for SLP (fate#301134).
* Wed Jul 09 2008 olh@suse.de
- enable PHYP-assisted OS dump (fate#304131)
* Mon Jul 07 2008 trenn@suse.de
- patches.fixes/acpi_thermal_passive_cleanup.patch: Delete.
* Wed Jul 02 2008 jkosina@suse.de
- patches.fixes/input-add-gericom-bellagio-to-nomux.patch: Input:
  add Gericom Bellagio to nomux blacklist (bnc#404892).
* Wed Jul 02 2008 jkosina@suse.de
- patches.fixes/input-add-acer-aspire-1360-to-nomux.patch: Input:
  add Acer Aspire 1360 to nomux blacklist (bnc#216857).
* Wed Jul 02 2008 jeffm@suse.de
- patches.apparmor/__d_path-keep-connected.diff
  patches.apparmor/mount-consistent-__d_path.diff
  patches.suse/kdb-ia64: Edited to apply with --fuzz=0
- Added --fuzz=0 (-F0) to sequence-patch.sh and spec files
* Fri Jun 27 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: don't generate the makedumpfile.config
  any more, the new kernel, kexec-tools and makedumpfile is able to
  extract that information from the running kernel and pass it
  as ELF NOTE (in /proc/vmcore)
* Thu Jun 26 2008 olh@suse.de
- add patches.arch/ppc-ibmebus-modalias.patch
  autoload ehea and ehca (bnc#394602 - LTC44938)
* Thu Jun 26 2008 sdietrich@suse.de
- RT:  Update config files - enable CONFIG_CGROUPS
* Thu Jun 26 2008 sdietrich@suse.de
- Update config files - enable CPUSETs support:
  CONFIG_CGROUPS, CONFIG_CGROUP_NS, CONFIG_CGROUP_DEVICE,
  CONFIG_CPUSET, CONFIG_CGROUP_CPUACCT,
  CONFIG_RESOURCE_COUNTERS, CONFIG_MM_OWNER,
  CONFIG_CGROUP_MEM_RES_CTLR, CONFIG_PROC_PID_CPUSET
- debug only: CONFIG_CGROUP_DEBUG
* Thu Jun 26 2008 jeffm@suse.de
- Updated to 2.6.26-rc8
  - Eliminated 1 patch.
* Wed Jun 25 2008 jeffm@suse.de
- rpm/kernel-module-subpackage: Added Supplements tag copying and added
  coreutils and grep to Requires
- rpm/macros.kernel-source: Added kernel-syms to BuildRequires
* Wed Jun 25 2008 olh@suse.de
- enable 64K pages in config ppc64 (fate#304100)
- enable up to 1024 cpus in config ppc64 (fate#304180)
- enable up to 4 cpus in config kdump
- enable powermanagement in config ppc64
- enable cell be cpufreq
* Wed Jun 25 2008 jdelvare@suse.de
- supported.conf: Update the list of i2c bus drivers.
  - i2c-isa is gone.
  - i2c-i810, i2c-prosavage and i2c-savage4 are deprecated and will
  be removed soon, mark as unsupported.
  - i2c-voodoo3 has very limited usefulness, mark as unsupported.
  - i2c-powermac is new, mark as supported.
- supported.conf: Update the list of i2c chip drivers.
  - ds1337, ds1374, rtc8564 and x1205 are gone (RTC drivers, moved
  to drivers/rtc).
  - pca9539, pcf8574 and pcf8575 are deprecated (new GPIO drivers
  exist in drivers/gpio), mark as unsupported.
  - ds1682, max6875 and tsl2550 are new, mark as supported.
* Wed Jun 25 2008 jdelvare@suse.de
- supported.conf: Add two new hwmon drivers (dme1737 and thmc50,
  both unsupported.)
- supported.conf: Mark hwmon and hwmon-vid as supported. These are
  simple, software-only utility modules, it makes little sense
  to taint the kernel just because they are loaded.
* Mon Jun 23 2008 tiwai@suse.de
- disable CONFIG_SND_PCSP as it conflicts with input pcspkr and
  disturbs the order of sound devices
* Mon Jun 23 2008 agruen@suse.de
- genksyms: add support for checking against a reference ABI.
* Wed Jun 18 2008 jeffm@suse.de
- Updated to 2.6.26-rc6-git5.
  - Eliminated 2 patches.
* Fri Jun 13 2008 jeffm@suse.de
- Removed kABI reference symbols
- Restored make-symsets check for ignoring/tolerating kABI changes.
* Fri Jun 13 2008 jeffm@suse.de
- Update config files (vanilla).
* Fri Jun 13 2008 jeffm@suse.de
- Update config files.
* Fri Jun 13 2008 jeffm@suse.de
- Updated to 2.6.26-rc6-git1.
  - Eliminated 2 patches.
* Thu Jun 12 2008 sdietrich@suse.de
- config.conf: Suppress RT until forward-port is complete
* Thu Jun 12 2008 jeffm@suse.de
- patches.drivers/libata-ata_piix-macbook-fix: Delete.
* Thu Jun 12 2008 olh@suse.de
- update ps3 config, disable unused drivers
- disable patches.arch/ppc-efika-slowdown.patch
* Thu Jun 12 2008 jeffm@suse.de
- Updated to 2.6.26-rc5-git5.
  - Eliminated 91 patches.
  - Disabled OCFS2 userspace heartbeat.
  - Disabled Xen.
* Thu Jun 12 2008 sdietrich@suse.de
  Build fix: drop patches merged into 2.6.25.5
- patches.rt/x86-fix-tsc-cyc2ns-crap.patch: Delete.
- patches.rt/x86-prepare-to-fix-32bit-sched-clock-crap.patch:
  Delete.
- patches.rt/x86-fix-32bit-sched-clock-crap.patch: Delete.
  Update to 2.6.25-RT6:
- Update config files: enable (M) CONFIG_RWLOCK_TORTURE_TEST
  Resolve conflicts:
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.25.4-RT.
  Add:
- patches.rt/trace-eip2ip.patch: Re: 2.6.25.4-rt4 Compile Fix.
- patches.rt/rwlock-prio-fix.patch: rwlock: reset prio on unlocks
  and wakeups.
- patches.rt/rwlock-fixes.patch: rwlock: fix pi_list race
  conditions.
- patches.rt/event-trace-hrtimer-trace.patch: event-tracer:
  add clockevent trace.
- patches.rt/rwlock-torture.patch: rwlock: rwlock torture test.
- patches.rt/ftrace-wakeup-rawspinlock.patch: ftrace: user raw
  spin lock for wakeup function trace.
- patches.rt/radix-tree-lockdep-plus1.patch: lockdep: add +1 to
  radix tree array.
- patches.rt/sched-cpupri-hotplug-support.patch: sched: fix
  cpupri hotplug support.
- patches.rt/sched-cpupri-priocount.patch: sched: fix cpupri
  priocount.
- patches.rt/ftrace-hotplug-fix.patch: ftrace: cpu hotplug fix.
* Wed Jun 11 2008 agruen@suse.de
- rpm/make-symsets: update to the latest version which will ignore
  symset changes if the symset includes a symbol marked to be
  ignored.
* Wed Jun 11 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: only generate symsets for kernels
  with CONFIG_MODULES=y.
- rpm/macros.kernel-source: remove the ps3 specific check: we
  really want to check whether the kernel mas modules enabled,
  which is covered by the symsets check already now.
* Wed Jun 11 2008 gregkh@suse.de
- patches.drivers/usb-don-t-use-reset-resume-if-drivers-don-t-support-it.patch:
  USB: don't use reset-resume if drivers don't support it.
* Wed Jun 11 2008 gregkh@suse.de
- comment out
  patches.suse/convert-novfs-to-open-soure-coding-standards.patch in the
  series file as it is reported to fail some regression tests.
* Wed Jun 11 2008 gregkh@suse.de
- patches.suse/convert-novfs-to-open-soure-coding-standards.patch:
  Convert novfs to open soure coding standards.
* Mon Jun 09 2008 gregkh@suse.de
- patches.fixes/mptbase-vmware-fix: Delete as it's not needed anymore
* Mon Jun 09 2008 gregkh@suse.de
- refresh patches to apply cleanly
* Mon Jun 09 2008 gregkh@suse.de
- Update to 2.6.25.6
  - loads of bugfixes
  - remove the following patches that were already included in this release:
    - patches.arch/cpufreq_fix_acpi_driver_on_BIOS_changes.patch
    - patches.drivers/libata-force-hardreset-if-link-pm
    - patches.fixes/input-hid-apple-numlock-emulation.patch
    - patches.arch/check-for-acpi-resource-conflicts-in-i2c-bus-drivers.patch
* Mon Jun 09 2008 gregkh@suse.de
- patches.drivers/usb-sierra-option.patch: USB: update sierra
  and option device ids (bnc#374637).
* Mon Jun 09 2008 teheo@suse.de
- patches.drivers/libata-ahci-mcp65-workarounds: ahci: workarounds
  for mcp65 (bnc#398573).
* Mon Jun 09 2008 jkosina@suse.de
- patches.fixes/input-i8042-add-ctr-resume-timeout.patch: Input:
  add retry logic to resume with respect to CTR (bnc#351119).
* Sat Jun 07 2008 gregkh@suse.de
- Update to 2.6.25.5.
  - fixes CVE-2008-1673
* Fri Jun 06 2008 tiwai@suse.de
- add missing patches.rt/ftrace-add-nr_syscalls.patch for fixing
  i386-rt_debug
* Thu Jun 05 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.22,
  patches.xen/xen3-patch-2.6.23,
  patches.xen/xen3-patch-2.6.24,
  patches.xen/xen3-patch-2.6.25: netfront (bnc#394575) and page table
  handling (bnc#396858) fixes.
- patches.xen/540-blkif-nr-segments-check.patch: Avoid theoretical
  TOCTTOU bug in block backend nr_segments checking.
- patches.xen/560-x86_64-no-irq-affinity-break-msg.patch: x86_64:
  Remove warning message about 'Breaking affinity for irq'.
- patches.xen/xen-netfront-flip-prod: fix updating of req_prod_pvt
  in the receive ring for the flipping case.
* Wed Jun 04 2008 jblunck@suse.de
- patches.drivers/libata-acpi-fix-hotplug: Don't call ata_port_freeze()
  in ata_acpi_detach_device().
* Wed Jun 04 2008 schwab@suse.de
- Don't clean asm-offsets.h.
* Wed Jun 04 2008 jjohanse@suse.de
- patches.apparmor/apparmor-module_interface.diff: AppArmor:
  Update patch to properly set profile name_table size (bnc#396993)
* Wed Jun 04 2008 jkosina@suse.de
- patches.fixes/input-add-amilo-pro-v-to-nomux.patch: Add
  Fujitsu-Siemens Amilo Pro 2010 and 2030 to nomux list
  (bnc#345699 bnc#389169)
* Tue Jun 03 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-auto-resume-fix: hda - Fix
  resume of auto-config mode with Realtek codecs (bnc#385473).
* Tue Jun 03 2008 bphilips@suse.de
  Backport: e1000e for montevina systems
- patches.drivers/e1000e-backport-0001-remove-no-longer-used-e1000e_read_nvm_spi.patch:
  e1000e: remove no longer used e1000e_read_nvm_spi.
- patches.drivers/e1000e-backport-0002-remove-irq_sem.patch:
  e1000e: remove irq_sem.
- patches.drivers/e1000e-backport-0003-rename-mc_addr_list_update.patch:
  e1000e: rename mc_addr_list_update.
- patches.drivers/e1000e-backport-0004-reorganize-PHY-and-flow-control-interface.patch:
  e1000e: reorganize PHY and flow control interface.
- patches.drivers/e1000e-backport-0005-Make-arrays-out-of-these-Rx-Tx-registers.patch:
  e1000e: Make arrays out of these Rx/Tx registers.
- patches.drivers/e1000e-backport-0006-rename-a-few-functions.patch:
  e1000e: rename a few functions.
- patches.drivers/e1000e-backport-0007-cleanup-several-stats-issues.patch:
  e1000e: cleanup several stats issues.
- patches.drivers/e1000e-backport-0008-Fix-HW-Error-on-es2lan-ARP-capture-issue-by.patch:
  e1000e: Fix HW Error on es2lan, ARP capture issue by BMC.
- patches.drivers/e1000e-backport-0009-Add-support-for-BM-PHYs-on-ICH9.patch:
  e1000e: Add support for BM PHYs on ICH9.
* Mon Jun 02 2008 tiwai@suse.de
- patches.drivers/alsa-hda-vt1708-pcm-noise-fix: Delete.
- patches.drivers/alsa-hda-backport-2.6.26-rc4: Backport ALSA
  HDA-Intel patches from 2.6.26-rc4 (bnc#390473).
* Mon Jun 02 2008 tiwai@suse.de
- patches.drivers/alsa-asus-a9t-fix: ac97 - Fix ASUS A9T laptop
  output (bnc#363987).
* Mon Jun 02 2008 jeffm@suse.de
- patches.fixes/reiserfs-prealloc-fix: reiserfs: Use list_del_init
  in use_preallocated_list_if_available (bnc#378095).
* Mon Jun 02 2008 tiwai@suse.de
- patches.drivers/alsa-hp2133-mic-fix: hda - Fix mic input on
  HP2133 (bnc#388540).
* Mon Jun 02 2008 tiwai@suse.de
- patches.drivers/alsa-emu10k1-audigy2-digital-fix: emu10k1 - Fix
  inverted Analog/Digital mixer switch on Audigy2 (bnc#396204).
* Sat May 31 2008 sdietrich@suse.de
  RT: Update to 2.5.25.4-rt4 (refreshed patches suppressed)
- Update config files.
  Added:
- patches.rt/adapt-remove-extra-try-to-lock.patch
- patches.rt/adaptive-adjust-pi-wakeup.patch
- patches.rt/adaptive-earlybreak-on-steal.patch
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch
- patches.rt/adaptive-task-oncpu.patch
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch
- patches.rt/arm-omap-02.patch
- patches.rt/arm-omap-03.patch
- patches.rt/arm-omap-04.patch
- patches.rt/arm-omap-05.patch
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch
- patches.rt/ftrace-compile-fixes.patch
- patches.rt/ftrace-disable-daemon.patch
- patches.rt/ftrace-dont-trace-markers.patch
- patches.rt/ftrace-fix-header.patch
- patches.rt/ftrace-function-record-nop.patch
- patches.rt/ftrace-print-missing-cmdline.patch
- patches.rt/ftrace-record-comm-on-ctrl.patch
- patches.rt/ftrace-safe-traversal-hlist.patch
- patches.rt/ftrace-trace-sched.patch
- patches.rt/ftrace-update-cnt-stat-fix.patch
- patches.rt/git-ignore-module-markers.patch
- patches.rt/git-ignore-script-lpp.patch
- patches.rt/lockdep-avoid-fork-waring.patch
- patches.rt/lockstat-fix-contention-points.patch
- patches.rt/lockstat-output.patch
- patches.rt/nmi-show-regs-fix.patch
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch
- patches.rt/realtime-preempt-warn-about-tracing.patch
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch
- patches.rt/rwlock-implement-downgrade-write.patch
- patches.rt/rwlocks-fix-no-preempt-rt.patch
- patches.rt/sched-fix-rt-task-wakeup.patch
- patches.rt/sched-fix-sched-fair-wakeup.patch
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch
- patches.rt/sched-wake_up_idle_cpu-rt.patch
- patches.rt/trace_hist-divzero.patch
- patches.rt/trace_hist-latediv.patch
- patches.rt/x86-delay-enable-preempt-tglx.patch
  Removed:
- patches.rt/rtmutex-optimize-wakeup.patch
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch
- patches.rt/rtmutex-remove-extra-try.patch
- patches.rt/ftrace-remove-print-of-max.patch
* Thu May 29 2008 sdietrich@suse.de
  RT: Update IBM EDAC and PRTM
- Update config files.
- patches.rt/drivers-edac-add-support-for-HS21XM-SMI-remediation:
  Add support for HS21XM SMI Remediation to the 2.6.22-based
  SLERT kernel.
- patches.rt/drivers-edac-add-support-for-HS21_LS21-SMI-remediation:
  Add support for HS21/LS21 SMI Remediation to the 2.6.22-based
  SLERT kernel.
- patches.rt/drivers-edac-i5000-turn-off-unsupported-check:
  Turn off unsupported EDAC check on the i5000 controller.
- patches.rt/drivers-edac-prevent-potential-printk-storm:
  Prevent potential EDAC printk storm.
- patches.rt/drivers-edac-test_device.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-new-k8-rev-f.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-add-sysfs_notify-calls.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-new-amd64.patch:
  drivers-edac-new-amd64.patch (revision 108).
  Obsolete:
- patches.rt/add-support-for-HS21_LS21-SMI-remediation: Delete.
- patches.rt/add-support-for-HS21XM-SMI-remediation: Delete.
- patches.rt/prevent-potential-EDAC-printk-storm: Delete.
* Thu May 29 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-macbook-fix: ata_piix: fix
  macbook ich8m problems (bnc#395407).
* Thu May 29 2008 agruen@suse.de
- Obsolete some KMPs which have been integrated into mainline
  meanwhile (bnc#357799).
* Thu May 29 2008 jbeulich@novell.com
- supported.conf: Mark 8250_pnp as supported.
* Wed May 28 2008 teheo@suse.de
- patches.drivers/libata-acpi-fix-hotplug: libata: Handle bay
  devices in dock stations (bnc#390822 bnc#395082).
* Wed May 28 2008 jkosina@suse.de
- patches.fixes/input-add-i8042-nopnp-for-D845PESV.patch: Input:
  Add i8042.nopnp for Intel D845PESV (bnc#386952).
* Mon May 26 2008 sdietrich@suse.de
  RT: Update to 2.6.25.4-rt3 - add RWSEM / RWLOCK patches:
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.25.4-RT3.
- patches.rt/multi-reader-account.patch: map tasks to reader
  locks held.
- patches.rt/multi-reader-limit.patch: implement reader limit
  on read write locks.
- patches.rt/multi-reader-lock-account.patch: map read/write
  locks back to their readers.
- patches.rt/multi-reader-pi.patch: read lock Priority Inheritance
  implementation.
- patches.rt/native-sched-clock-booboo.patch: Re: 2.6.25.4-rt2
  (native_sched_clock() booboo).
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch:
- patches.rt/rwlocks-multiple-readers.patch: implement rwlocks
  management.
- patches.rt/rwsems-multiple-readers.patch: add framework for
  multi readers on rwsems.
* Mon May 26 2008 olh@suse.de
- add patches.arch/ppc-efika-slowdown.patch
  slow down hot code paths to avoid hangs during install (bnc#374309)
* Sun May 25 2008 tiwai@suse.de
- Update config files: forgot to update vanilla kernel configs
* Sat May 24 2008 tiwai@suse.de
- Update config files: disable group scheduler for normal kernels
  for openSUSE 11.0, too (this should be enabled again later for
  11.1 once after the bugs get fixed...)
* Fri May 23 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dma-pos-fix: hda - Fix DMA position
  inaccuracy (bnc#362775, bnc#364421).
- patches.drivers/alsa-hda-vt1708-pcm-noise-fix: hda - Fix noise
  on VT1708 codec (bnc#390473).
* Fri May 23 2008 sdietrich@suse.de
  RT: Update config files: Disable Group Scheduler
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-simg3726-nosrst: libata: SRST can't
  be trusted on PMP sil3726 (bnc#393456).
* Thu May 22 2008 sdietrich@suse.de
  RT: update config files: Disable SYSFS_DEPRECATED
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-detection-fixes: libata: fix a
  number of PMP detection problems (bnc#393456).  series.conf not
  updated.  Fix it.
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-detection-fixes: libata: fix a
  number of PMP detection problems (bnc#393456).
* Thu May 22 2008 sdietrich@suse.de
  RT: build fix
- suppress adaptive locking patches that are not upstream.
- Update config files.
* Wed May 21 2008 jblunck@suse.de
- patches.fixes/acpi-bay-cleanup-and-exit.patch: bay: Exit if
  notify handler cannot be installed (bnc#390822).
* Wed May 21 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.25: Fix DomU boot issue.
* Wed May 21 2008 oneukum@suse.de
- patches.drivers/ehci_fix_remote_wakeup_regression.diff: EHCI:
  fix remote-wakeup regression. (bnc#373128)
* Tue May 20 2008 jblunck@suse.de
- doc/novell-kmp/novell-example-1.1.tar.bz2,
  doc/novell-kmp/novell-example.spec: Fix example spec and Kbuild
  because EXTRA_CFLAGS isn't taken from the environment anymore.
* Tue May 20 2008 sdietrich@suse.de
- Update config files: SLERT compatibility: SYSFS_DEPRECATED
* Tue May 20 2008 sdietrich@suse.de
  RT: Update to 2.5.25.4-rt2 (refreshed patches suppressed)
  Add:
- patches.rt/rtmutex-adaptive-locks.patch: adaptive real-time
  lock support.
- patches.rt/x86-fix-32bit-sched-clock-crap.patch: x86: disable TSC
  for sched_clock() when calibration failed
- patches.rt/x86-fix-tsc-cyc2ns-crap.patch: x86: fix setup of cyc2ns
  in tsc_64.c.
- patches.rt/x86-prepare-to-fix-32bit-sched-clock-crap.patch:
  x86: distangle user disabled TSC from unstable
- patches.rt/adaptive-spinlock-lite-v2.patch: adaptive spinlocks
  lite.
- patches.rt/rtmutex-remove-xchg.patch: rtmutex - remove double
  xchg.
  Update:
- patches.rt/rtmutex-rearrange.patch: rearrange
  rt_spin_lock_slowlock sleeping code.
  Resolve Conflicts:
- patches.rt/rtmutex-lateral-steal.patch: allow rt-mutex
  lock-stealing to include lateral priority.
- Update config files.
* Mon May 19 2008 sdietrich@suse.de
  RT: Adaptive locking patches:
- patches.rt/rtmutex-lateral-steal.patch: allow rt-mutex
  lock-stealing to include lateral priority.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: sysctl for
  runtime-control of lateral mutex stealing.
- patches.rt/rtmutex-rearrange.patch: rearrange
  rt_spin_lock_slowlock sleeping code.
- patches.rt/rtmutex-adaptive-locks.patch: adaptive real-time
  lock support.
- patches.rt/rtmutex-adaptive-timeout.patch: add a timeout
  mechanism to adaptive-locking.
- patches.rt/rtmutex-optimize-wakeup.patch: optimize rt lock
  wakeup.
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch:
  adjust pi_lock usage in wakeup.
- patches.rt/rtmutex-remove-extra-try.patch: remove the extra
  call to try_to_take_lock.
- Update config files:
  CONFIG_RTLOCK_LATERAL_STEAL=y
  CONFIG_ADAPTIVE_RTLOCK=y
  CONFIG_IBM_RTL (disable temporarily to address build error)
* Mon May 19 2008 tiwai@suse.de
- Update config files (missing for rt*).
* Mon May 19 2008 tiwai@suse.de
- patches.drivers/alsa-hda-backport-2.6.25-rc3: Backport ALSA
  HDA-Intel patches from 2.6.25-rc3 (bnc#390473, bnc#386422,
  bnc#385473).
- patches.drivers/alsa-intel8x0-8ch: intel8x0 - Add support of
  8 channel sound.
- patches.drivers/alsa-mixer-oss-map-fix: Add more fallbacks to
  OSS PHONEOUT mixer map.
- patches.drivers/alsa-usb-audio-disconnect-oops-fix: Fix Oops
  with usb-audio reconnection.
- patches.drivers/alsa-hda-intel-new-ati-id: Delete.
- patches.drivers/alsa-hda-intel-new-nvidia-id: Delete.
- patches.drivers/alsa-hda-intel-use-PCI_DEVICE: Delete.
- patches.drivers/alsa-dell-xps-m1330-hp-fix: Delete.
- Update config files.
* Mon May 19 2008 jbeulich@novell.com
- Update Xen patches to c/s 524 and 2.6.25.4.
- patches.xen/xen-balloon-hvm-min: don't allow ballooning down
  a HVM domain below a reasonable limit (172482).
- patches.xen/xen-swiotlb-heuristics: adjust Xen's swiotlb
  default size setting.
* Mon May 19 2008 jbeulich@novell.com
- patches.arch/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch:
  Add missing list terminator for acpi_rsdt_dmi_table[] and move to
  __initdata.
* Mon May 19 2008 sdietrich@suse.de
  RT: SMI latency fixes from IBM.
- patches.rt/add-support-for-HS21_LS21-SMI-remediation: [PATCH
  1/3] Add support for HS21/LS21 SMI Remediation.
- patches.rt/add-support-for-HS21XM-SMI-remediation: [PATCH 2/3]
  Add support for HS21XM SMI Remediation .
- patches.rt/prevent-potential-EDAC-printk-storm: [PATCH 3/3]
  Prevent potential EDAC printk storm.
- RT: Update config files.
* Mon May 19 2008 agruen@suse.de
- patches.suse/nfs4acl-ext3.diff: Fix compilation error when
  CONFIG_EXT3_FS_NFS4ACL is off.
* Mon May 19 2008 sdietrich@suse.de
- RT: Update config files.
* Mon May 19 2008 trenn@suse.de
- patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch: ACPI:
  initramfs DSDT override support.
  -> Did not make it into 2.6.25 again...
- Update config files.
* Sun May 18 2008 agruen@suse.de
- Update the nfs4acl patches (and split them out more explicitly).
  Export all new symbols als GPL only.
- patches.apparmor/parent-permission.diff: Rediff.
* Sun May 18 2008 sdietrich@suse.de
- RT: Update config files.
* Sun May 18 2008 sdietrich@suse.de
  RT: update to 2.6.25.4-rt1 patch queue.
* Sun May 18 2008 sdietrich@suse.de
  RT cleanup: Remove unused/obsolete RT patches.
* Sun May 18 2008 sdietrich@suse.de
- Update config files: update RT debug configs.
- config.conf: enable DEBUG flavors.
* Sat May 17 2008 sdietrich@suse.de
  Linux-RT 2.6.25-RT:
- Updated RT patch queue (not individually enumerated here)
- Update config files: RT
- config.conf: RT
* Fri May 16 2008 gregkh@suse.de
- Update config files.
- patches.drivers/usb-add-option-hso-driver.patch: USB: add
  option hso driver.
* Fri May 16 2008 gregkh@suse.de
- refresh patches due to fuzz
* Fri May 16 2008 gregkh@suse.de
- patches.fixes/bluetooth-wake-up-properly-after-ide-timeout-expires.patch:
  bluetooth: wake up properly after ide timeout expires
  (bnc#390839).
* Fri May 16 2008 olh@suse.de
- update patches.fixes/tg3-flowctrl.patch
  do not compare flow control settings in parallel detect mode
* Fri May 16 2008 trenn@suse.de
- patches.arch/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch:
  Introduce acpi_root_table=rsdt boot param and dmi list to
  force rsdt (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/acpi_thinkpad_introduce_acpica_rsdt_global_variable.patch:
  ACPICA: Add acpi_gbl_force_rsdt variable
  (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/acpi_thinkpad_remove_R40e_c-state_blacklist.patch:
  Remove R40e c-state blacklist
  (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/cpufreq_fix_acpi_driver_on_BIOS_changes.patch:
  CPUFREQ: Check against freq changes from the BIOS.
* Fri May 16 2008 jblunck@suse.de
- patches.fixes/vfs-2.6.git-9bc300eae0400efdfae3fec3352896e10468a78f.patch:
  return to old errno choice for fix mkdir -p with ro-bind mounts
* Fri May 16 2008 jblunck@suse.de
- rpm/kernel-{binary,source}.spec.in: use localversion and set
  KBUILD_BUILD_VERSION (used for Kernel:Vanilla)
* Thu May 15 2008 gregkh@suse.de
- Update to final version of 2.6.25.4
* Thu May 15 2008 jblunck@suse.de
- rpm/macros.kernel-source: Let KMPs fail when flavors_to_build is empty
- rpm/kernel-{dummy,source,syms,binary}.spec.in, scripts/tar-up.sh:
  fix release number changes introduced by bnc#271712 for OBS (bnc#378933)
* Thu May 15 2008 olh@suse.de
- add patches.fixes/tg3-flowctrl.patch
  revert 'Fix supporting flowctrl code' to fix JS21 (bnc#390314)
* Wed May 14 2008 oneukum@suse.de
- patches.drivers/appletouch_persist.diff: reset_resume and
  autosuspend for appletouch touchpads (bnc#388399).
* Wed May 14 2008 oneukum@suse.de
- patches.drivers/appletouch_persist.diff: reset_resume and
  autosuspend for appletouch touchpads (bnc#388399).
* Wed May 14 2008 teheo@suse.de
- patches.drivers/libata-force-hardreset-if-link-pm: libata:
  force hardreset if link is in powersave mode (bnc#381795).
- patches.drivers/libata-ahci-sb600-no-msi: ahci: SB600 ahci
  can't do MSI, blacklist that capability (bnc#384559).
* Tue May 13 2008 gregkh@suse.de
- Update config files for vanilla targets
* Tue May 13 2008 gregkh@suse.de
- Update to 2.6.25.4-rc1
  - lots of bug fixes
* Tue May 13 2008 sdietrich@suse.de
  Cleanup RT:
- patches.rt/*: Delete.
* Mon May 12 2008 jkosina@suse.de
- patches.fixes/input-hid-apple-numlock-emulation.patch:
  HID: split Numlock emulation quirk from
  HID_QUIRK_APPLE_HAS_FN. (bnc#381764).
* Sat May 10 2008 gregkh@suse.de
- Update to 2.6.25.3
  - fixes 2 security issues (one networking, one sparc, no CVE
  numbers issued just yet)
* Fri May 09 2008 jeffm@suse.de
- patches.apparmor/fsetattr-restore-ia_file: vfs: restore ia_file
  for compatibility with external modules. (bnc#381259)
* Fri May 09 2008 hare@suse.de
- patches.drivers/open-iscsi-git-update: Delete.
- patches.fixes/open-iscsi-nop-fixes: NOP timeout fixes.
* Thu May 08 2008 gregkh@suse.de
- patches.kernel.org/v4l-dvb-patch-for-various-dibcom-based-devices.patch:
  V4L/DVB (7473): PATCH for various Dibcom based devices
  (bnc#381632).
* Thu May 08 2008 gregkh@suse.de
- comment out vmware patch as it should no longer be needed
* Thu May 08 2008 gregkh@suse.de
- rediff patches to apply cleanly.
* Thu May 08 2008 gregkh@suse.de
- Update to 2.6.25.3-rc1
  - potential fix for increased power consumption and other bugs
* Thu May 08 2008 sassmann@suse.de
- Update config file ppc64.
- patches.arch/ppc-ps3-ps3vram-mtd.patch: ps3vram driver that
  allows you to access the extra ~240MB of DDR video.
* Wed May 07 2008 gregkh@suse.de
- patches.kernel.org/patch-2.6.25.1-2: Linux 2.6.25.2.
 - fixes CVE-2008-1669
* Tue May 06 2008 schwab@suse.de
- suse-ppc32-mol-semaphore: fix mol for 2.6.26-rc1.
* Mon May 05 2008 jack@suse.cz
  Bring UDF to state in 2.6.26-rc1 to support UDF 2.50.
- patches.suse/udf-10-simple-cleanup-of-truncate.c.patch: udf:
  simple cleanup of truncate.c (fate#303336).
- patches.suse/udf-11-truncate-create-function-for-updating-of-Alloc.patch:
  udf: truncate: create function for updating of Allocation Ext
  Descriptor (fate#303336).
- patches.suse/udf-12-replace-all-adds-to-little-endians-variables-wi.patch:
  udf: replace all adds to little endians variables with
  le*_add_cpu (fate#303336).
- patches.suse/udf-13-simplify-__udf_read_inode.patch: udf:
  simplify __udf_read_inode (fate#303336).
- patches.suse/udf-14-replace-udf_-_offset-macros-with-functions.patch:
  udf: replace udf_*_offset macros with functions (fate#303336).
- patches.suse/udf-15-convert-udf_count_free_bitmap-to-use-bitmap_wei.patch:
  udf: convert udf_count_free_bitmap to use bitmap_weight
  (fate#303336).
- patches.suse/udf-16-udf_get_block-inode_bmap-remove-unneeded-che.patch:
  udf: udf_get_block, inode_bmap - remove unneeded checks
  (fate#303336).
- patches.suse/udf-17-create-function-for-conversion-from-timestamp-t.patch:
  udf: create function for conversion from timestamp to timespec
  (fate#303336).
- patches.suse/udf-18-convert-udf_stamp_to_time-to-return-struct-time.patch:
  udf: convert udf_stamp_to_time to return struct timespec
  (fate#303336).
- patches.suse/udf-19-convert-udf_stamp_to_time-and-udf_time_to_stamp.patch:
  udf: convert udf_stamp_to_time and udf_time_to_stamp to use
  timestamps (fate#303336).
- patches.suse/udf-1-kill-udf_set_blocksize.patch: udf: kill
  udf_set_blocksize (fate#303336).
- patches.suse/udf-20-remove-unneeded-kernel_timestamp-type.patch:
  udf: remove unneeded kernel_timestamp type (fate#303336).
- patches.suse/udf-21-super.c-reorganization.patch: udf: super.c
  reorganization (fate#303336).
- patches.suse/udf-22-Mark-udf_process_sequence-as-noinline.patch:
  udf: Mark udf_process_sequence() as noinline (fate#303336).
- patches.suse/udf-23-Remove-checking-of-existence-of-filename-in-udf.patch:
  udf: Remove checking of existence of filename in udf_add_entry()
  (fate#303336).
- patches.suse/udf-24-Remove-declarations-of-arrays-of-size-UDF_NAME_.patch:
  udf: Remove declarations of arrays of size UDF_NAME_LEN (256
  bytes) (fate#303336).
- patches.suse/udf-25-fix-anchor-point-detection.patch: udf:
  fix anchor point detection (fate#303336).
- patches.suse/udf-26-Cleanup-volume-descriptor-sequence-processing.patch:
  udf: Cleanup volume descriptor sequence processing
  (fate#303336).
- patches.suse/udf-27-Improve-error-recovery-on-mount.patch:
  udf: Improve error recovery on mount (fate#303336).
- patches.suse/udf-28-Move-filling-of-partition-descriptor-info-into.patch:
  udf: Move filling of partition descriptor info into a separate
  function (fate#303336).
- patches.suse/udf-29-Move-processing-of-virtual-partitions.patch:
  udf: Move processing of virtual partitions (fate#303336).
- patches.suse/udf-2-kill-useless-file-header-comments-for-vfs-metho.patch:
  udf: kill useless file header comments for vfs method
  implementations (fate#303336).
- patches.suse/udf-30-Cleanup-anchor-block-detection.patch: udf:
  Cleanup anchor block detection. (fate#303336).
- patches.suse/udf-31-Improve-anchor-block-detection.patch: udf:
  Improve anchor block detection (fate#303336).
- patches.suse/udf-32-Silence-warning-about-accesses-beyond-end-of-de.patch:
  udf: Silence warning about accesses beyond end of device
  (fate#303336).
- patches.suse/udf-33-Fix-detection-of-VAT-version.patch: udf:
  Fix detection of VAT version (fate#303336).
- patches.suse/udf-34-Allow-loading-of-VAT-inode.patch: udf:
  Allow loading of VAT inode (fate#303336).
- patches.suse/udf-35-Handle-VAT-packed-inside-inode-properly.patch:
  udf: Handle VAT packed inside inode properly (fate#303336).
- patches.suse/udf-36-Mount-filesystem-read-only-if-it-has-pseudoover.patch:
  udf: Mount filesystem read-only if it has pseudooverwrite
  partition (fate#303336).
- patches.suse/udf-37-Fix-handling-of-multisession-media.patch:
  udf: Fix handling of multisession media (fate#303336).
- patches.suse/udf-38-Add-read-only-support-for-2.50-UDF-media.patch:
  udf: Add read-only support for 2.50 UDF media (fate#303336).
- patches.suse/udf-39-Fix-bug-in-VAT-mapping-code.patch: udf:
  Fix bug in VAT mapping code (fate#303336).
- patches.suse/udf-3-move-headers-out-include-linux.patch: udf:
  move headers out include/linux/ (fate#303336).
- patches.suse/udf-40-Fix-compilation-warnings-when-UDF-debug-is-on.patch:
  udf: Fix compilation warnings when UDF debug is on
  (fate#303336).
- patches.suse/udf-41-use-crc_itu_t-from-lib-instead-of-udf_crc.patch:
  udf: use crc_itu_t from lib instead of udf_crc (fate#303336).
- patches.suse/udf-42-fs-udf-partition.c-udf_get_pblock-mustn-t-be.patch:
  udf: fs/udf/partition.c:udf_get_pblock() mustn't be inline
  (fate#303336).
- patches.suse/udf-4-Use-DIV_ROUND_UP.patch: fs/udf: Use
  DIV_ROUND_UP (fate#303336).
- patches.suse/udf-5--udf_error-static.patch: make udf_error()
  static (fate#303336).
- patches.suse/udf-6-udf_CS0toUTF8-cleanup.patch: udf:
  udf_CS0toUTF8 cleanup (fate#303336).
- patches.suse/udf-7-fix-udf_build_ustr.patch: udf: fix
  udf_build_ustr (fate#303336).
- patches.suse/udf-8-udf_CS0toNLS-cleanup.patch: udf: udf_CS0toNLS
  cleanup (fate#303336).
- patches.suse/udf-9-constify-crc.patch: udf: constify crc
  (fate#303336).
* Fri May 02 2008 teheo@suse.de
- patches.drivers/libata-sata_inic162x-update-to-0.4:
  sata_inic162x: update to 0.4 (bnc#385599).
* Fri May 02 2008 gregkh@suse.de
- update to 2.6.25.1:
  - fixes CVE-2008-1375 and CVE-2008-1675
  - lots of other minor bugfixes
* Thu May 01 2008 agruen@suse.de
- Provide "kernel(flavor:symset) = version" instead of
  "kernel(symset) = version". This disambiguates the case where
  several kernel flavors end up with the same modver checksums
  (bnc#190163, bnc#355628).
* Thu May 01 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-verify-sidpr: ata_piix: verify
  SIDPR access before enabling it (bnc#385535).
* Wed Apr 30 2008 gregkh@suse.de
- novfs: fixes needed due to apparmor vfs core changes
  (extended attributes probably do not work now...)
* Wed Apr 30 2008 gregkh@suse.de
- patches.suse/novfs-add-the-novell-filesystem-client-kernel-module.patch:
  novfs: Add the Novell filesystem client kernel module.
- Update config files.
* Wed Apr 30 2008 jeffm@suse.de
- patches.suse/reiserfs-simplify-xattr-internal-file-lookups-opens.diff:
  removed fs.h changes, they weren't used.
* Mon Apr 28 2008 gregkh@suse.de
- Update config files.
  hopefully the build system is happy now
* Mon Apr 28 2008 gregkh@suse.de
- rpm/config-subst: add #!/bin/sh at start of script to keep future
  build issues (like bnc#382214) from causing problems.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove obsolete patches: ARM-ep93xx-timer, latency-tracing,
  RCU, KVM, mcount, PPC-gtod
- patches.rt/ep93xx-timer-accuracy.patch: Delete.
- patches.rt/ep93xx-clockevents.patch: Delete.
- patches.rt/ep93xx-clockevents-fix.patch: Delete.
- patches.rt/kvm-fix-preemption-bug.patch: Delete.
- patches.rt/kvm-lapic-migrate-latency-fix.patch: Delete.
- patches.rt/kvm-make-less-noise.patch: Delete.
- patches.rt/kvm-preempt-rt-resched-delayed.patch: Delete.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch: Delete.
- patches.rt/remove-unused-var-warning.patch: Delete.
- patches.rt/latency-tracing.patch: Delete.
- patches.rt/latency-tracing-remove-trace-array.patch: Delete.
- patches.rt/latency-tracer-disable-across-trace-cmdline.patch:
  Delete.
- patches.rt/latency-tracing-i386-paravirt-fastcall.patch: Delete.
- patches.rt/latency-tracing-i386.patch: Delete.
- patches.rt/latency-tracing-x86_64.patch: Delete.
- patches.rt/latency-tracing-ppc.patch: Delete.
- patches.rt/latency-tracer-printk-fix.patch: Delete.
- patches.rt/latency-tracing-exclude-printk.patch: Delete.
- patches.rt/latency-tracing-prctl-api-hack.patch: Delete.
- patches.rt/latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/latency-tracer-one-off-fix.patch: Delete.
- patches.rt/smaller-trace.patch: Delete.
- patches.rt/trace-name-plus.patch: Delete.
- patches.rt/trace-with-caller-addr.patch: Delete.
- patches.rt/trace-sti-mwait.patch: Delete.
- patches.rt/latency-tracer-optimize-a-bit.patch: Delete.
- patches.rt/idle-stop-critical-timing.patch: Delete.
- patches.rt/latency-tracer-variable-threshold.patch: Delete.
- patches.rt/reset-latency-histogram.patch: Delete.
- patches.rt/undo-latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/random-driver-latency-fix.patch: Delete.
- patches.rt/latency-tracing-use-now.patch: Delete.
- patches.rt/preempt_max_latency-in-all-modes.patch: Delete.
- patches.rt/latency-hist-add-resetting-for-all-timing-options.patch:
  Delete.
- patches.rt/latency-trace-sysctl-config-fix.patch: Delete.
- patches.rt/latency-trace-convert-back-to-ms.patch: Delete.
- patches.rt/latency-trace-fix.patch: Delete.
- patches.rt/trace-cpuidle.patch: Delete.
- patches.rt/lockdep-show-held-locks.patch: Delete.
- patches.rt/lockdep-lock_set_subclass.patch: Delete.
- patches.rt/lockdep-prettify.patch: Delete.
- patches.rt/lockdep-more-entries.patch: Delete.
- patches.rt/latency-tracer-arch-low-address.patch: Delete.
- patches.rt/latency-tracer-dont-panic-on-failed-bootmem-alloc.patch:
  Delete.
- patches.rt/mcount-add-x86_64-notrace-annotations.patch: Delete.
- patches.rt/mcount-add-x86-vdso-notrace-annotations.patch:
  Delete.
- patches.rt/mcount-nmi-notrace-annotations.patch: Delete.
- patches.rt/mcount-add-time-notrace-annotations.patch: Delete.
- patches.rt/mcount-lockdep-notrace-annotations.patch: Delete.
- patches.rt/mcount-preemptcount-notrace-annotations.patch:
  Delete.
- patches.rt/mcount-fault-notrace-annotations.patch: Delete.
- patches.rt/mcount-irqs-notrace-annotations.patch: Delete.
- patches.rt/mcount-rcu-notrace-annotations.patch: Delete.
- patches.rt/latency-measurement-drivers-fix.patch: Delete.
- patches.rt/latency-measurement-drivers.patch: Delete.
- patches.rt/redo-regparm-option.patch: Delete.
- patches.rt/nmi-profiling-base.patch: Delete.
- patches.rt/ppc-gtod-notrace-fix.patch: Delete.
- patches.rt/ppc-gtod-support.patch: Delete.
- patches.rt/ppc-gtod-support-fix.patch: Delete.
- patches.rt/ppc-a-2.patch: Delete.
- patches.rt/ppc-fix-clocksource-timebase-shift.patch: Delete.
- patches.rt/ppc-remove-broken-vsyscall.patch: Delete.
- patches.rt/ppc-read-persistent-clock.patch: Delete.
- patches.rt/ppc-clockevents.patch: Delete.
- patches.rt/ppc-clockevents-fix.patch: Delete.
- patches.rt/ppc-highres-dyntick.patch: Delete.
- patches.rt/inet-hash-bits-ipv6-fix.patch: Delete.
- patches.rt/inet_hash_bits.patch: Delete.
- patches.rt/rcu-1.patch: Delete.
- patches.rt/rcu-2.patch: Delete.
- patches.rt/rcu-3.patch: Delete.
- patches.rt/rcu-4.patch: Delete.
- patches.rt/rcu-preempt-fix-nmi-watchdog.patch: Delete.
- patches.rt/rcu-preempt-fix-rcu-torture.patch: Delete.
- patches.rt/dynticks-rcu-rt-fixlet.patch: Delete.
- patches.rt/rcu-tasklet-softirq.patch: Delete.
- patches.rt/rcu-classic-fixup.patch: Delete.
- patches.rt/rcu-warn-underflow.patch: Delete.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove obsolete Adaptive-locking patches
- patches.rt/rtmutex-adaptive-locks.patch: Delete.
- patches.rt/rtmutex-adaptive-mutexes.patch: Delete.
- patches.rt/rtmutex-adaptive-timeout.patch: Delete.
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch: Delete.
- patches.rt/rtmutex-lateral-steal.patch: Delete.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
- patches.rt/rtmutex-optimize-wakeup.patch: Delete.
- patches.rt/rtmutex-rearrange.patch: Delete.
- patches.rt/rtmutex-remove-extra-try.patch: Delete.
- patches.rt/x86-ticket-lock.patch: Delete.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove ARM and MIPS RT patches
- patches.rt/arm-cmpxchg-support-armv6.patch: Delete.
- patches.rt/arm-cmpxchg.patch: Delete.
- patches.rt/arm-compile-fix.patch: Delete.
- patches.rt/arm-fix-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-latency-tracer-support.patch: Delete.
- patches.rt/arm-leds-timer.patch: Delete.
- patches.rt/arm-preempt-config.patch: Delete.
- patches.rt/arm-trace-preempt-idle.patch: Delete.
- patches.rt/latency-tracing-arm.patch: Delete.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Delete.
- patches.rt/preempt-irqs-arm.patch: Delete.
- patches.rt/preempt-realtime-arm-bagde4.patch: Delete.
- patches.rt/preempt-realtime-arm-footbridge.patch: Delete.
- patches.rt/preempt-realtime-arm-integrator.patch: Delete.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Delete.
- patches.rt/preempt-realtime-arm-pxa.patch: Delete.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Delete.
- patches.rt/preempt-realtime-arm-shark.patch: Delete.
- patches.rt/preempt-realtime-arm.patch: Delete.
- patches.rt/preempt-irqs-mips.patch: Delete.
- patches.rt/preempt-realtime-mips.patch: Delete.
- patches.rt/rt-mutex-arm-fix.patch: Delete.
- patches.rt/rt-mutex-arm.patch: Delete.
- patches.rt/rt-mutex-mips.patch: Delete.
- patches.rt/mips-change-raw-spinlock-type.patch: Delete.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Delete.
- patches.rt/mips-remove-duplicate-kconfig.patch: Delete.
- patches.rt/mips-remove-finish-arch-switch.patch: Delete.
* Fri Apr 25 2008 carnold@novell.com
- rpm/kernel-binary.spec.in: kernel-xen does not obsolete/provide
  kernel-xenpae (bnc#382309)
* Fri Apr 25 2008 olh@suse.de
- update patches.arch/ppc-efika-mpc52xx-ac97.patch
  create /builtin/sound/cell-index, content == 1
* Thu Apr 24 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  add newline to devspec files
* Thu Apr 24 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  add devspec file for mac-io, it was created as a side effect
  in of/platform.c (bnc#374693)
* Thu Apr 24 2008 olh@suse.de
- use bzip2 instead of lzma as rpm compression method for vanilla
* Thu Apr 24 2008 olh@suse.de
- relax Conflicts for kernel-vanilla
  no version check for lvm, udev and apparmor
* Wed Apr 23 2008 olh@suse.de
- readd patches.arch/ppc-pegasos-console-autodetection.patch
  force speed 115200, device-tree has no current-speed property
* Wed Apr 23 2008 tiwai@suse.de
- patches.drivers/alsa-hda-intel-new-ati-id,
  patches.drivers/alsa-hda-intel-use-PCI_DEVICE,
  patches.drivers/alsa-hda-intel-new-nvidia-id: Add missing PCI
  ids for new ATI/Nvidia devices (bnc#370775)
- patches.drivers/alsa-dell-xps-m1330-hp-fix: Fix Dell XPS M1330
  outputs
* Tue Apr 22 2008 jack@suse.cz
- patches.fixes/quota_reiserfs_tail_fix.diff: reiserfs: Unpack
  tails on quota files (375179).
* Tue Apr 22 2008 olh@suse.de
- update patches.arch/ppc-efika-mpc52xx-ac97.patch
  fixes for 2.6.25
* Sat Apr 19 2008 schwab@suse.de
- Add compat handler for PTRACE_GETSIGINFO.
* Sat Apr 19 2008 aj@suse.de
- Conflict with apparmor-parser < 2.3 (not <=) in kernel-binary
  spec files.
* Sat Apr 19 2008 jeffm@suse.de
- Re-synced reiserfs patch set due to broken local repo.
* Sat Apr 19 2008 jeffm@suse.de
- Updated reiserfs patch set
  - Eliminated xattr interaction with AppArmor
  - Eliminated xattr deadlock under load between journal lock and
  xattr dir i_mutex
  - Properly annotated xattr i_mutex locking for lockdep
  - Code cleanup
* Fri Apr 18 2008 jjohanse@suse.de
- Update fsetattr.diff to EXPORT_SYMBOL_GPL(fnotify_change)
* Fri Apr 18 2008 jjohanse@suse.de
- patches.apparmor/__d_path-keep-connected.diff: Fix __d_path
  to allow for old and new behavior bnc#380763.
* Thu Apr 17 2008 gregkh@suse.de
- refresh patches to apply without fuzz
* Thu Apr 17 2008 gregkh@suse.de
- Update to 2.6.25-final
* Wed Apr 16 2008 jjohanse@suse.de
- Update to AppArmor 2.3 patch series
* Wed Apr 16 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Fixed accidental
  passing of -ENODATA to userspace during chown, and messages during
  chown and delete.
* Tue Apr 15 2008 jbeulich@novell.com
- Update Xen patches to 2.6.25-rc9 and c/s 517.
* Sat Apr 12 2008 gregkh@suse.de
- refresh patches to clean up fuzz
* Sat Apr 12 2008 gregkh@suse.de
- Update config files.
* Sat Apr 12 2008 gregkh@suse.de
- updat to 2.6.25-rc9
* Thu Apr 10 2008 gregkh@suse.de
- update to 2.6.25-rc8-git8
* Tue Apr 08 2008 gregkh@suse.de
- update to 2.6.25-rc8-git7
* Mon Apr 07 2008 gregkh@suse.de
- patches.kernel.org/pvrusb2-fix-broken-build-due-to-patch-order-dependency.patch:
  pvrusb2: fix broken build due to patch order dependency.
* Mon Apr 07 2008 gregkh@suse.de
- update to 2.6.25-rc8-git5
* Sun Apr 06 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Removed struct
  file use entirely.
* Sun Apr 06 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Eliminated use
  of vfsmount-less dentry_open().
* Thu Apr 03 2008 teheo@suse.de
- patches.drivers/libata-pata_ali-disable-ATAPI_DMA: pata_ali:
  disable ATAPI DMA (332588).
* Wed Apr 02 2008 gregkh@suse.de
- Update to 2.6.25-rc8
* Tue Apr 01 2008 jblunck@suse.de
- rpm/kernel-source.spec.in,kernel-binary.spec.in: Cleanup Requires
* Mon Mar 31 2008 jdelvare@suse.de
- supported.conf: Add new hwmon drivers, all unsupported.
* Thu Mar 27 2008 jeffm@suse.de
- Fixed up the rest of the reiserfs patch queue.
* Thu Mar 27 2008 jeffm@suse.de
- Updated reiserfs xattr patches.
* Thu Mar 27 2008 gregkh@suse.de
- fix merge error in patches.suse/supported-flag caused by me...
* Thu Mar 27 2008 gregkh@suse.de
- update to 2.6.25-rc7-git2
* Thu Mar 27 2008 gregkh@suse.de
- update to 2.6.25-rc7
  - note that reiserfs xattr patches are now disabled due to merge
  issues...
* Sun Mar 23 2008 teheo@suse.de
- patches.drivers/libata-improve-hpa-error-handling: libata:
  improve HPA error handling (365534).
* Thu Mar 20 2008 gregkh@suse.de
- fix up some EXPORT_SYMBOL() markings to be EXPORT_SYMBOL_GPL() as the
  code is not upstream and we aren't allowed to add non-GPL exports to
  our kernel tree.
* Thu Mar 20 2008 gregkh@suse.de
- update to 2.6.25-rc6-git5
- refresh patches to apply cleanly
* Thu Mar 20 2008 gregkh@suse.de
- update to 2.6.25-rc6-git4
- refresh patches to apply cleanly
* Thu Mar 20 2008 agruen@suse.de
- scripts/tar-up.sh: Rename --kbuild option to --source-timestamp.
  For generating the source timestamp, use HEAD as the branch
  name.
- rpm/get_release_number.sh.in: Don't try to synchronize release
  numbers with kernel-dummy if the release number has been
  specified explicitly (tar-up with --release-string, --timestamp,
  or --source-timestamp).
* Thu Mar 20 2008 olh@suse.de
- remove patches.kernel.org/powerpc-needs-uboot
  not needed without mpc51xx support
* Thu Mar 20 2008 olh@suse.de
- disable gianfar network driver and unused freescale drivers
* Wed Mar 19 2008 gregkh@suse.de
- patch refreshes due to version update
* Wed Mar 19 2008 gregkh@suse.de
- Update to 2.6.25-rc6-git3
- Update config files.
* Wed Mar 19 2008 gregkh@suse.de
- Update to 2.6.25-rc6
 - which deleted the following patches:
   - patches.fixes/hibernation-snapshot-numa-workaround.patch
   - patches.fixes/acpi-fix-double-log-level.patch
   - patches.fixes/acpi_fix_mem_corruption.patch
   - patches.kernel.org/patch-2.6.25-rc5
   - patches.kernel.org/patch-2.6.25-rc5-git3
- Update config files.
- delete patches.arch/x86-nvidia-timer-quirk as it is not being used.
* Wed Mar 19 2008 olh@suse.de
- remove patches.arch/ppc-efika-ipic.patch
  disable mpc51xx support instead
* Tue Mar 18 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Changed to just match %%ix86
* Tue Mar 18 2008 olh@suse.de
- add patches.arch/ppc-efika-ipic.patch
  fix a crash in init_ipic_sysfs on efika
* Mon Mar 17 2008 agruen@suse.de
- post.sh: Fix a syntax error when creating the initrd.
* Mon Mar 17 2008 jbeulich@novell.com
- patches.xen/xen-quicklist.patch: Delete.
- Update i386 Xen config file.
- patches.xen/xen3-patch-2.6.25-rc5-rc6: 2.6.25-rc6.
- patches.xen/xen3-auto-xen-kconfig.diff,
  patches.xen/xen3-fixup-kconfig,
  patches.xen/xen3-patch-2.6.19,
  patches.xen/xen3-patch-2.6.20,
  patches.xen/xen3-patch-2.6.21,
  patches.xen/xen3-patch-2.6.22,
  patches.xen/xen3-patch-2.6.23,
  patches.xen/xen3-patch-2.6.24,
  patches.xen/xen3-patch-2.6.25-rc5,
  patches.xen/xen-x86-no-lapic,
  patches.xen/xen-x86-panic-no-reboot: Various adjustments.
* Sun Mar 16 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Added an RPM conflict for 32-bit
  kernels and 64-bit glibc to avoid installing a 32-bit kernel
  with 64-bit userspace. (364433, et al)
* Fri Mar 14 2008 jeffm@suse.de
- scripts/tar-up.sh: Added --kbuild option to autogenerate
  release number based on branch and timestamp.
* Fri Mar 14 2008 jeffm@suse.de
- patches.apparmor/export-security_inode_permission-for-aufs:
  LSM: Export security_inode_permission for aufs (356902).
* Fri Mar 14 2008 agruen@suse.de
- Boot loader: do the same during initial installation as when
  updating a kernel package (FATE 302660).
* Thu Mar 13 2008 gregkh@suse.de
- Update to 2.6.25-rc5-git3
* Thu Mar 13 2008 olh@suse.de
- disable unuses pata platform and ibm newemac driver on powerpc
* Thu Mar 13 2008 olh@suse.de
- add patches.xen/xen-quicklist.patch
  fix kernel-xen compile, readd CONFIG_QUICKLIST for xen
* Wed Mar 12 2008 gregkh@suse.de
- remove alpha configs as they are no longer used
* Wed Mar 12 2008 gregkh@suse.de
- Enabled CONFIG_UNUSED_SYMBOLS for now.  It will be disabled
  after the next openSUSE alpha release.  It is being enabled
  for now to let some kmp packages still work while their
  maintainers are working to update them with the 2.6.25
  kernel changes.
* Wed Mar 12 2008 gregkh@suse.de
- refresh patches to apply cleanly
* Wed Mar 12 2008 gregkh@suse.de
- update to 2.6.25-rc5-git2
* Wed Mar 12 2008 sassmann@suse.de
- patches.arch/ppc-ps3-rename-wireless-interface.patch:
  rename ps3 wireless interface from eth? to wlan? for better
  handling in udev
* Wed Mar 12 2008 jbeulich@novell.com
- Update Xen patches to 2.6.25-rc5 and c/s 471.
- patches.xen/xen3-aslr-i386-and-x86_64-randomize-brk.patch:
  Delete.
- patches.xen/xen3-aslr-pie-executable-randomization.patch:
  Delete.
- patches.xen/xen3-early-firewire.diff: Delete.
- Update x86 config files.
- config.conf: Re-enable Xen configs.
* Tue Mar 11 2008 gregkh@suse.de
- add usb persist for storage devices across suspend to ram.  This is going to
  be in 2.6.26, just missed the .25 merge window.
* Tue Mar 11 2008 gregkh@suse.de
- Update to 2.6.26-rc5-git1
- Update config files.
* Tue Mar 11 2008 gregkh@suse.de
- update to 2.6.25-rc5
* Mon Mar 10 2008 agruen@suse.de
- scripts/tar-up.sh: Don't lose the EXTRAVERSION when overriding
  the release number with --release-string or --timestamp.
* Sun Mar 09 2008 jeffm@suse.de
- patches.fixes/hibernation-snapshot-numa-workaround.patch:
  swsusp: workaround for crash on NUMA (kernel.org#9966).
* Sat Mar 08 2008 agruen@suse.de
- Encode the EXTRAVERSION part of kernel release numbers in the
  RPM release instead of in the version. This resolves the problem
  that kernel releases like 2.6.25-rc4 would result in a package
  with a higher version than 2.6.25 according to RPM's versioning
  scheme (bug 271712).
* Fri Mar 07 2008 schwab@suse.de
- Update kdb patches.
* Thu Mar 06 2008 trenn@suse.de
- patches.fixes/acpi_fix_mem_corruption.patch: ACPI: Fix mem
  corruption (350017).
- patches.fixes/acpi_thermal_passive_cleanup.patch: Warn user
  about a BIOS bug in asus boards (350017).
* Thu Mar 06 2008 gregkh@suse.de
- Update s390 config files.
* Thu Mar 06 2008 gregkh@suse.de
- update to 2.6.24-rc5-git1
* Wed Mar 05 2008 gregkh@suse.de
- enable CONFIG_GROUP_SCHED
* Wed Mar 05 2008 gregkh@suse.de
- enable CONFIG_HIGH_RES_TIMERS on i386
* Wed Mar 05 2008 gregkh@suse.de
- enable CONFIG_USB_PERSIST for vanilla config files
* Wed Mar 05 2008 gregkh@suse.de
- refresh patches to apply cleanly with no fuzz
- enable CONFIG_USB_PERSIST so that users can enable this if they want
* Wed Mar 05 2008 gregkh@suse.de
- update the vanilla config files for CONFIG_DEBUG_RODATA
* Wed Mar 05 2008 gregkh@suse.de
- enable CONFIG_DEBUG_RODATA (Not really a debug option, something
  we need in all of our kernels.)
* Wed Mar 05 2008 gregkh@suse.de
- Update vanilla config files.
* Wed Mar 05 2008 jbeulich@novell.com
- patches.fixes/parport-mutex,
  patches.suse/stack-unwind: Fix merge mistakes.
- Update i386 config files.
* Wed Mar 05 2008 gregkh@suse.de
- Update tree to 2.6.25-rc4
* Wed Mar 05 2008 fseidel@suse.de
- add patches.fixes/fat_detect_media_wo_parttable.patch and
  patches.fixes/fat_valid_media.patch:
  detect FAT formated medias without partition table correctly
  (bnc 364365)
* Tue Mar 04 2008 olh@suse.de
- add patches.kernel.org/s390-defkeymap.patch
  Build fix for drivers/s390/char/defkeymap.c
* Tue Mar 04 2008 olh@suse.de
- enable ext2/3 acl support in ps3 kernel
* Tue Mar 04 2008 olh@suse.de
- Update to 2.6.25-rc3-git5
* Tue Mar 04 2008 olh@suse.de
- use suffix -ps3 for PS3 kernel, it is only used in otheros.bld
* Mon Mar 03 2008 lmb@suse.de
- rpm/kernel-binary.spec.in: Require udev >= 118.
* Mon Mar 03 2008 ak@suse.de
- patches.arch/x86-nvidia-timer-quirk: Delete.
  PCI device ID list still not complete and let's have the same
  crap as mainline for now. It would be better to fix the PCI
  ID lists (#302327)
* Sun Mar 02 2008 olh@suse.de
- add patches.fixes/ibmvstgt-fixes.patch
  fix oops in ibmvstgt init function
* Fri Feb 29 2008 olh@suse.de
- add patches.arch/ppc-pci-bogus-resources.patch
  fix bogus test for unassigned resources
* Thu Feb 28 2008 olh@suse.de
- disable CONFIG_CRYPTO_DEV_HIFN_795X on ppc32 due to __divdi3 usage
- update patches.kernel.org/powerpc-needs-uboot
  disable mkimage call in arch/powerpc/boot/wrapper
* Thu Feb 28 2008 olh@suse.de
- update patches.kernel.org/fixed-phy-select
  add dependency on libphy=y
* Wed Feb 27 2008 jdelvare@suse.de
- patches.fixes/acpi-fix-double-log-level.patch: ACPI: Fix a
  duplicate log level.
* Wed Feb 27 2008 trenn@suse.de
- patches.fixes/acpi_force-fan-active.patch: Delete.
* Tue Feb 26 2008 sdietrich@suse.de
- remove obsolete adaptive-locks patches
  patches.rt/rtmutex-adaptive-locks.patch: Delete.
  patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch: Delete.
  patches.rt/rtmutex-optimize-wakeup.patch: Delete.
  patches.rt/rtmutex-rearrange.patch: Delete.
  patches.rt/rtmutex-remove-extra-try.patch: Delete.
  patches.rt/rtmutex-adaptive-mutexes.patch: Delete.
  patches.rt/rtmutex-adaptive-timeout.patch: Delete.
  patches.rt/rtmutex-lateral-steal.patch: Delete.
  patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
* Tue Feb 26 2008 sassmann@suse.de
- remove patches included upstream
  patches.arch/ppc-ps3-gelic-cleanup.patch
  patches.arch/ppc-ps3-gelic-endianness.patch
  patches.arch/ppc-ps3-gelic-ethernet-linkstatus.patch
  patches.arch/ppc-ps3-gelic-fix-fallback.diff
  patches.arch/ppc-ps3-gelic-multiple-interface.patch
  patches.arch/ppc-ps3-gelic-remove-duplicate-ethtool-handlers.patch
  patches.arch/ppc-ps3-gelic-wireless-v2.patch
* Tue Feb 26 2008 jeffm@suse.de
- Update config files: Disabled CONFIG_INPUT_YEALINK per an old
  request from AJ.
* Tue Feb 26 2008 jeffm@suse.de
- Update to 2.6.25-rc3.
* Sun Feb 24 2008 sdietrich@suse.de
- patches.rt/0001-sched-count-of-queued-RT-tasks.patch: Delete.
- patches.rt/0002-sched-track-highest-prio-task-queued.patch:
  Delete.
- patches.rt/0003-sched-add-RT-task-pushing.patch: Delete.
- patches.rt/0004-sched-add-rt-overload-tracking.patch: Delete.
- patches.rt/0005-sched-pull-RT-tasks-from-overloaded-runqueues.patch:
  Delete.
- patches.rt/0006-sched-push-RT-tasks-from-overloaded-CPUs.patch:
  Delete.
- patches.rt/0007-sched-disable-standard-balancer-for-RT-tasks.patch:
  Delete.
- patches.rt/0008-sched-add-RT-balance-cpu-weight.patch: Delete.
- patches.rt/0009-sched-clean-up-this_rq-use-in-kernel-sched_rt.c.patch:
  Delete.
- patches.rt/0010-sched-de-SCHED_OTHER-ize-the-RT-path.patch:
  Delete.
- patches.rt/0011-sched-break-out-search-for-RT-tasks.patch:
  Delete.
- patches.rt/0012-sched-RT-balancing-include-current-CPU.patch:
  Delete.
- patches.rt/0013-sched-pre-route-RT-tasks-on-wakeup.patch:
  Delete.
- patches.rt/0014-sched-optimize-RT-affinity.patch: Delete.
- patches.rt/0015-sched-wake-balance-fixes.patch: Delete.
- patches.rt/0016-sched-RT-balance-avoid-overloading.patch:
  Delete.
- patches.rt/0017-sched-break-out-early-if-RT-task-cannot-be-migrated.patch:
  Delete.
- patches.rt/0018-sched-RT-balance-optimize.patch: Delete.
- patches.rt/0019-sched-RT-balance-optimize-cpu-search.patch:
  Delete.
- patches.rt/0020-sched-RT-balance-on-new-task.patch: Delete.
- patches.rt/0021-sched-clean-up-pick_next_highest_task_rt.patch:
  Delete.
- patches.rt/0022-sched-clean-up-find_lock_lowest_rq.patch:
  Delete.
- patches.rt/0023-sched-clean-up-overlong-line-in-kernel-sched_debug.patch:
  Delete.
- patches.rt/0024-sched-clean-up-kernel-sched_rt.c.patch: Delete.
- patches.rt/0025-sched-remove-rt_overload.patch: Delete.
- patches.rt/0026-sched-remove-leftover-debugging.patch: Delete.
- patches.rt/0027-sched-clean-up-pull_rt_task.patch: Delete.
- patches.rt/0028-sched-clean-up-schedule_balance_rt.patch:
  Delete.
- patches.rt/0029-sched-add-sched-domain-roots.patch: Delete.
- patches.rt/0030-sched-update-root-domain-spans-upon-departure.patch:
  Delete.
- patches.rt/0031-Subject-SCHED-Only-balance-our-RT-tasks-within-ou.patch:
  Delete.
- patches.rt/0032-sched-fix-sched_rt.c-join-leave_domain.patch:
  Delete.
- patches.rt/0033-sched-remove-unused-JIFFIES_TO_NS-macro.patch:
  Delete.
- patches.rt/0034-sched-style-cleanup-2.patch: Delete.
- patches.rt/0035-sched-add-credits-for-RT-balancing-improvements.patch:
  Delete.
- patches.rt/0036-sched-reactivate-fork-balancing.patch: Delete.
- patches.rt/0037-sched-whitespace-cleanups-in-topology.h.patch:
  Delete.
- patches.rt/0038-sched-no-need-for-affine-wakeup-balancing-in.patch:
  Delete.
- patches.rt/0039-sched-get-rid-of-new_cpu-in-try_to_wake_up.patch:
  Delete.
- patches.rt/0040-sched-remove-do_div-from-__sched_slice.patch:
  Delete.
- patches.rt/0041-sched-RT-balance-replace-hooks-with-pre-post-sched.patch:
  Delete.
- patches.rt/0042-sched-RT-balance-add-new-methods-to-sched_class.patch:
  Delete.
- patches.rt/0043-sched-RT-balance-only-adjust-overload-state-when-c.patch:
  Delete.
- patches.rt/0044-sched-remove-some-old-cpuset-logic.patch:
  Delete.
- Remove scheduler patches already upstream in 2.6.25-rc1
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/libertas-section-conflict: libertas: fix
  section conflict.
* Sat Feb 23 2008 jeffm@suse.de
- Enabled patches.kernel.org/ps3-lpm-include
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/spu_profiler-include: powerpc: spu_profiler
  build fix.
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/ps3-lpm-include: ps3: lpm build fix.
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/fixed-phy-select: powerpc: FSL_SOC requires
  FIXED_PHY.
- patches.kernel.org/lguest-fixups: lguest: Fix asm-offsets_32
  with correct config option.
* Sat Feb 23 2008 jeffm@suse.de
- Build fixes for ia64 and i386.
* Sat Feb 23 2008 jeffm@suse.de
- Update to 2.6.25-rc2-git6.
  - Removed:
    - patches.arch/ppc-pegasos-pata_via-fixup.patch: Delete.
    - patches.arch/ppc-pegasos-console-autodetection.patch: Delete.
    - patches.arch/ppc-ps3-make-dev_id-and-bus_id-u64.diff: Delete.
    - patches.arch/acpi_autoload_bay.patch: Delete.
    - patches.arch/small-acpica-extension-to-be-able-to-store-the-name-of.patch:
  Delete.
    - patches.arch/export-acpi_check_resource_conflict.patch: Delete.
    - patches.drivers/early-firewire.diff: Delete.
    - patches.drivers/scsi-throttle-SG_DXFER_TO_FROM_DEV-warning-better:
  Delete.
    - patches.drivers/libata-implement-force-parameter: Delete.
    - patches.drivers/igb-1.0.8-k2: Delete.
    - patches.drivers/always-announce-new-usb-devices.patch: Delete.
    - patches.drivers/nozomi.patch: Delete.
    - patches.drivers/libata-quirk_amd_ide_mode: Delete.
    - patches.fixes/acpi_autoload_baydock.patch: Delete.
    - patches.fixes/bluetooth_hci_dev_put.patch: Delete.
    - patches.fixes/bluetooth_hci_conn_childs.patch: Delete.
    - patches.fixes/mac80211-fix-hw-scan1.patch: Delete.
    - patches.fixes/mac80211-fix-hw-scan2.patch: Delete.
    - patches.fixes/libiscsi-missing-semicolon.diff: Delete.
    - patches.fixes/pci-quirk-enable-smbus-on-hp-xw4100.patch: Delete.
    - patches.kernel.org/patch-2.6.24.1: Delete.
    - patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch: Delete.
    - patches.suse/squashfs.patch.fixup: Delete.
    - patches.suse/aslr-pie-executable-randomization.patch: Delete.
    - patches.suse/aslr-i386-and-x86_64-randomize-brk.patch: Delete.
  - Xen and RT currently disabled.
  - SquashFS may not work.
* Fri Feb 22 2008 jeffm@suse.de
- scripts/embargo-filter: fixed and renabled check
* Fri Feb 22 2008 sdietrich@suse.de
- embargoed-patches: eliminate embargoed patches abuse.
* Fri Feb 22 2008 jeffm@suse.de
- scripts/embargo-filter: Disable check for non-existant patches.
* Fri Feb 22 2008 schwab@suse.de
- Update kdb patches.
* Fri Feb 22 2008 jbeulich@novell.com
- config/i386/xenpae: Rename to config/i386/xen.
- config.conf: Delete i386/xenpae.
* Thu Feb 21 2008 sdietrich@suse.de
- Update config files: update RT options for adaptive RT locks
* Thu Feb 21 2008 sdietrich@suse.de
- patches.rt/rtmutex-adaptive-mutexes.patch: cleanup.
- patches.rt/rtmutex-adaptive-timeout.patch: cleanup.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: sysctl for
  runtime-control of lateral mutex stealing.
* Thu Feb 21 2008 jbeulich@novell.com
- Update Xen patches to c/s 425.
- patches.xen/sfc-network-driver: Solarflare: Standard network driver
  (disabled until status clarified).
- patches.xen/sfc-resource-driver: Solarflare: Resource driver
  (disabled until status clarified).
- Update Xen config files.
* Wed Feb 20 2008 ghaskins@suse.de
- adaptive-locking v20
* Wed Feb 20 2008 ghaskins@suse.de
- adaptive-locking v19
* Wed Feb 20 2008 jeffm@suse.de
- Update config files for dmraid45.
* Wed Feb 20 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: add PAGESIZE detection for
  makedumpfile.config from the .config file also for PPC64
* Wed Feb 20 2008 fseidel@suse.de
- patches.fixes/bluetooth_hci_dev_put.patch,
  patches.fixes/bluetooth_hci_conn_childs.patch,
  patches.fixes/bluetooth_hci_unregister_sysfs.patch:
  fix kernel crash after removing bluetooth adapter (bnc 359546)
* Tue Feb 19 2008 jeffm@suse.de
- patches.suse/dm-raid45-2.6.24-20080602a.patch: DMRAID45 module.
* Fri Feb 15 2008 sdietrich@suse.de
- Update to latest patch set:
- patches.rt/rearrange_rtspinlock_sleep:
  [PATCH 02/10] rearrange rtspinlock sleep
- patches.rt/optimize_rtspinlock_wakeup:
  [PATCH 03/10] optimize rtspinlock wakeup
- patches.rt/adaptive_RT_spinlock_support:
  [PATCH 04/10] Adaptive RT spinlock support
- patches.rt/add_timeout_mechanism: [PATCH 05/10]
  add a loop counter based timeoutmechanism
- patches.rt/adaptive_mutexes: [PATCH 06/10] adaptive mutexes
- patches.rt/adjust_pi_lock_usage_in_wakeup:
  [PATCH 07/10] Adjust pi_lock usage in wakeup
- patches.rt/optimize_printk_fastpath: [PATCH 08/10]
  optimize the !printk fastpath throughthe lock acquisition
- patches.rt/remove_extra_call_try_to_take_lock:
  [PATCH 09/10] remove the extra call to try_to_take_lock
- patches.rt/lateral_lock_steal: [PATCH 10/10] allow
  rt-mutex lock-stealing toinclude lateral priority
* Fri Feb 15 2008 sdietrich@suse.de
- embargoed-patches: (embargo development RT throughput patches)
- Update config files (RT config options)
- patches.rt/optimize_rtspinlock_wakeup: optimize rtspinlock
  wakeup.
- patches.rt/adaptive_RT_spinlock_support: Adaptive RT spinlock
  support.
- patches.rt/add_timeout_mechanism: add
  a loop counter based timeout mechanism
- patches.rt/adaptive_mutexes: adaptive mutexes
- patches.rt/adjust_pi_lock_usage_in_wakeup:
  Adjust pi_lock usage in wakeup
- patches.rt/optimize_printk_fastpath: optimize
  the !printk fastpath through the lockacquisition
- patches.rt/remove_extra_call_try_to_take_lock:
  remove the extra call to try_to_take_lock
- patches.rt/lateral_lock_steal: allow rt-mutex
  lock-stealing to include lateralpriority
- patches.rt/rearrange_rtspinlock_sleep: cleanup rtspinlock sleep
* Thu Feb 14 2008 jeffm@suse.de
- Removed unused OCFS2 patches.
* Thu Feb 14 2008 jeffm@suse.de
- Removed old commented out ocfs2 patchset.
* Thu Feb 14 2008 teheo@suse.de
- patches.drivers/libata-quirk_amd_ide_mode: PCI: modify SATA
  IDE mode quirk (345124).
* Wed Feb 13 2008 jeffm@suse.de
- patches.suse/ocfs2-03-split-disk-heartbeat-out.diff: Fixed
  section conflict.
* Wed Feb 13 2008 jeffm@suse.de
- Update config files.
* Wed Feb 13 2008 jeffm@suse.de
- Merged and re-enabled OCFS2 userspace clustering
* Wed Feb 13 2008 jdelvare@suse.de
- config/*: Don't build i2c algorithm drivers that we do not use.
- supported.conf: Drop i2c-elektor and i2c-algo-pcf, we don't ship
  them.
* Tue Feb 12 2008 teheo@suse.de
  Build fix for section mismatch check.
- patches.drivers/libata-implement-force-parameter: libata:
  implement libata.force module parameter (337610).
* Mon Feb 11 2008 teheo@suse.de
- patches.drivers/libata-force-cable-type: Delete.
- patches.drivers/libata-implement-force-parameter: libata:
  implement libata.force module parameter (337610).
* Fri Feb 08 2008 gregkh@suse.de
- Update to 2.6.24.1
  - fixes CVE-2008-0007, CVE-2008-0009, CVE-2008-0010
  - lots of USB device ids updated
  - lots of other bugfixes
  - removed patches.fixes/bootstrap-memoryless-node.patch as it is now
  contained within.
* Fri Feb 08 2008 gregkh@suse.de
- Move ipv6-no-autoconf to xen directory as it is a Xen bugfix
* Fri Feb 08 2008 bwalle@suse.de
- patches.arch/ppc-fix-prpmc2800: remove patch since it's not needed
  with current binutils any more
* Fri Feb 08 2008 bwalle@suse.de
- patches.drivers/igb-2007-12-11: Delete.
- patches.drivers/igb-1.0.8-k2: Update to latest version which is
  also upstream now in the 2.6.25 tree.
* Fri Feb 08 2008 gregkh@suse.de
- Remove NO_BRP_NOEXECSTACK from the .spec files as it is obsolete
  and doesn't do anything anymore.
* Fri Feb 08 2008 jbeulich@novell.com
- patches.xen/xen3-auto-common.diff,
  patches.xen/xen3-patch-2.6.23: fix merge mistake.
* Fri Feb 08 2008 jbenc@suse.cz
- Update config files: disabled CONFIG_BCM43XX.
* Wed Feb 06 2008 jeffm@suse.de
- patches.apparmor/vfs-mkdir.diff: Added missing case in
  kernel/cgroup.c
* Wed Feb 06 2008 fseidel@suse.de
- updated patches.drivers/nozomi.patch: mainline info
* Wed Feb 06 2008 sdietrich@suse.de
- Update config files: RT@1KHz, sched groups & cpusets enabled.
* Wed Feb 06 2008 olh@suse.de
- enable bnx2 on ppc64 (bnc 359114 - LTC42106)
* Wed Feb 06 2008 gregkh@suse.de
- remove unused lockd patches:
  - patches.suse/lockd-switchable-statd
  - patches.suse/lockd-kernel-statd
  - patches.suse/lockd-suse-config
  - patches.suse/lockd-max-hosts-dynamic
* Wed Feb 06 2008 oneukum@suse.de
- patches.suse/usb_printer_no_auto.diff: Delete.
  Obsoleted by mainline change
* Tue Feb 05 2008 gregkh@suse.de
- Enable CONFIG_TASK_IO_ACCOUNTING (bnc 356547) for RT kernels
* Tue Feb 05 2008 gregkh@suse.de
- Enable CONFIG_TASK_IO_ACCOUNTING (bnc 356547)
* Thu Jan 31 2008 sdietrich@suse.de
- patches.rt/megasas_IRQF_NODELAY.patch: Convert megaraid sas
  IRQ to non-threaded IRQ.
- patches.rt/version.patch: Delete (unused).
* Thu Jan 31 2008 jbenc@suse.cz
- patches.fixes/mac80211-fix-hw-scan1.patch,
  patches.fixes/mac80211-fix-hw-scan2.patch: mac80211: hardware
  scan rework (bnc#307050).
* Thu Jan 31 2008 sdietrich@suse.de
- Remove a legacy tweak carried over from the 10.3 Kernel,
  enable the affinity load-balancing sysctl.
* Wed Jan 30 2008 sdietrich@suse.de
- patches.rt/x86-ticket-lock.patch: FIFO ticket lock spinlocks
  for x86 (RT).
- patches.rt/rt-mutex-i386.patch: Resolve conflicts.
* Tue Jan 29 2008 olh@suse.de
- really skip kernel-ps3 in suse_kernel_module_package rpm macro
* Tue Jan 29 2008 jbeulich@novell.com
- Update Xen patches to 2.6.24 final and c/s 399.
- patches.xen/xen3-seccomp-disable-tsc-option: [PATCH seccomp:
  make tsc disabling optional (191123).
* Sat Jan 26 2008 sdietrich@suse.de
- Linux-RT 2.6.24-rt1 (many patches in patches.rt refreshed).
- patches.rt/series: Delete (unused).
* Sat Jan 26 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  use struct device_attribute to fix oops on boot
* Sat Jan 26 2008 jeffm@suse.de
- scripts/sequence-patch.sh: Updated to include $EXTRA_SYMBOLS in
  $PATCH_DIR (e.g.: --symbol=RT creates linux-2.6.24-RT)
* Fri Jan 25 2008 jeffm@suse.de
- patches.rt/rcu-new-1.patch: Updated context against 2.6.24.
* Fri Jan 25 2008 olh@suse.de
- add patches.fixes/bootstrap-memoryless-node.patch
  slab: fix bootstrap on memoryless node
* Fri Jan 25 2008 gregkh@suse.de
- refresh allmost all patches to apply cleanly and have a proper
  diffstat (except for the xen patches, they were left alone...)
* Fri Jan 25 2008 gregkh@suse.de
- Update to 2.6.24
* Thu Jan 24 2008 olh@suse.de
- always skip kernel-ps3 in suse_kernel_module_package rpm macro
* Thu Jan 24 2008 sdietrich@suse.de
- Update config files: set SYSFS_DEPRECATED for reverse
  compatibility with SLERT
* Tue Jan 22 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  simplify patch
* Tue Jan 22 2008 agruen@suse.de
- patches.rpmify/cloneconfig.diff: Adjust to upstream i386 + x86_64
  merge (347712).
* Tue Jan 22 2008 sassmann@suse.de
- add defconfig for ps3 kernel
- add entry for ps3 defconfig in config.conf
- add support for kernels without loadable modules to rpm/kernel-binary.spec.in
- include ps3 target in scripts/tar-up_and_run_mbuild.sh
* Mon Jan 21 2008 sdietrich@suse.de
- Update config files (RT)
* Mon Jan 21 2008 sdietrich@suse.de
- Linux-RT 2.6.24-rc8-rt1
* Mon Jan 21 2008 olh@suse.de
- add patches.arch/ppc-pegasos-pata_via-fixup.patch
  call chrp_pci_fixup_vt8231_ata() later to allow pata_via usage
* Mon Jan 21 2008 aj@suse.de
- Remove unused config/s390/rt.
* Sat Jan 19 2008 jeffm@suse.de
- patches.rt/irq-flags-unsigned-long.patch: Delete.
* Sat Jan 19 2008 jeffm@suse.de
- Update to 2.6.24-rc8-git2.
* Fri Jan 18 2008 jeffm@suse.de
- Enabled 2.6.24-rc8-git1.
* Fri Jan 18 2008 jbenc@suse.cz
- patches.fixes/rt2x00-remove-duplicate-id.patch: Delete. The patch
  is not correct, there exist two cards with different chipsets but
  the same USB ID.
* Fri Jan 18 2008 jbenc@suse.cz
- patches.fixes/rt2x00-remove-duplicate-id.patch: rt2x00: remove
  duplicate USB ID (350956).
* Fri Jan 18 2008 olh@suse.de
- sync powerpc vanilla with default .config to enable libata
* Fri Jan 18 2008 olh@suse.de
- add patches.arch/ppc-pegasos-mv643xx_eth-modalias.patch
  provide module alias platform:mv643xx_eth
* Thu Jan 17 2008 jeffm@suse.de
- Update to 2.6.24-rc8-git1.
* Wed Jan 16 2008 jeffm@suse.de
- Update to 2.6.24-rc8.
* Sun Jan 13 2008 jeffm@suse.de
- Update to 2.6.24-rc7-git5.
* Fri Jan 11 2008 jeffm@suse.de
- Update to 2.6.24-rc7-git3.
* Fri Jan 11 2008 jbeulich@novell.com
- Update Xen patches to c/s 372 and 2.6.24-rc7.
- patches.xen/xen3-aux-at_vector_size.patch: Delete.
- Update Xen config files.
* Thu Jan 10 2008 olh@suse.de
- update patches.arch/ppc-efika-ethernet-phy.patch
  move Forth code to fixup_device_tree_efika
* Wed Jan 09 2008 schwab@suse.de
- Fix debug package build.
* Wed Jan 09 2008 oneukum@suse.de
- Update config files. CONFIG_USB_SUSPEND default
* Wed Jan 09 2008 schwab@suse.de
- Update kdb patches.
* Wed Jan 09 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Another try...
* Wed Jan 09 2008 jeffm@suse.de
- Update config files: Enabled CONFIG_SCSI_SAS_ATA. (346990)
* Wed Jan 09 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Fix CONFIG_FRAME_POINTER build.
* Wed Jan 09 2008 jbeulich@novell.com
- patches.suse/stack-unwind: DWARF2 EH-frame based stack
  unwinding.
- patches.xen/xen3-stack-unwind: DWARF2 EH-frame based stack
  unwinding.
- Update config files.
* Tue Jan 08 2008 jeffm@suse.de
- patches.fixes/seccomp-disable-tsc-option: Fixed so it only applies
  to i386, and updated config files.
* Tue Jan 08 2008 jeffm@suse.de
- patches.fixes/seccomp-disable-tsc-option: [PATCH] seccomp:
  make tsc disabling optional (191123).
* Tue Jan 08 2008 olh@suse.de
- add patches.arch/ppc-efika-ethernet-phy.patch
  drop patches.arch/ppc-efika-bestcomm-ethernet.patch
  provide phy-handle property for fec_mpc52xx (347234)
* Tue Jan 08 2008 teheo@suse.de
- patches.drivers/libata-force-cable-type: libata: implement
  libata.force_cbl parameter (337610).
* Mon Jan 07 2008 jeffm@suse.de
- Update to 2.6.24-rc7.
* Mon Jan 07 2008 teheo@suse.de
- patches.drivers/libata-sata_nv-disable-ADMA: sata_nv: disable
  ADMA by default (346508).
* Mon Jan 07 2008 teheo@suse.de
  Bug 347708.  port_info for vmw was being assigned to the wrong index.
- patches.drivers/libata-ata_piix-vmw-ign-DMA-err: ata_piix:
  ignore ATA_DMA_ERR on vmware ich4 (258256).
* Mon Jan 07 2008 teheo@suse.de
  As the rest of kernel has caught up now, this one is no longer
  necessary.
- patches.drivers/libata-fix-up-build-after-upstream-update.patch:
  Delete.
* Mon Jan 07 2008 teheo@suse.de
- patches.drivers/libata-fix-up-build-after-upstream-update.patch:
  Delete.
- patches.drivers/libata-ata_piix-vmw-ign-DMA-err: ata_piix:
  ignore ATA_DMA_ERR on vmware ich4 (258256).
* Fri Jan 04 2008 jeffm@suse.de
- Update config files for -vanilla.
* Fri Jan 04 2008 jeffm@suse.de
- patches.rt/timer-freq-tweaks.patch: Adjusted context.
* Fri Jan 04 2008 jeffm@suse.de
- Update config files.
* Fri Jan 04 2008 jeffm@suse.de
- Update to 2.6.24-rc6-git11.
* Wed Jan 02 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Copy debug sources to a proper location.
* Tue Jan 01 2008 jeffm@suse.de
- Update to 2.6.24-rc6-git7.
* Tue Jan 01 2008 jeffm@suse.de
- scripts/run_oldconfig.sh: Removed RT symbol from EXTRA_SYMBOLS.
  We add it manually when building the patch list. This allows
  the script to work with the RT kernel without having to remove
  all the other configs from config.conf first.
* Sat Dec 22 2007 jeffm@suse.de
- Update to 2.6.24-rc6.
* Thu Dec 20 2007 jeffm@suse.de
- Update to 2.6.24-rc5-git7.
* Wed Dec 19 2007 jeffm@suse.de
- Update to 2.6.24-rc5-git5.
* Wed Dec 19 2007 jeffm@suse.de
- Per Kay's advice changed config settings to the following:
  - CONFIG_UEVENT_HELPER_PATH=""
  - CONFIG_LEGACY_PTY_COUNT=0
* Tue Dec 18 2007 bwalle@suse.de
- patches.drivers/igb-2007-12-11:
  Add igb (PCI-Express 82575 Gigabit Ethernet driver)
- Update config files: Enable CONFIG_IGB for all flavours.
* Mon Dec 17 2007 jeffm@suse.de
- Update to 2.6.24-rc5-git4.
* Mon Dec 17 2007 neilb@suse.de
- patches.fixes/nfs-unmount-leak.patch: NFSv2/v3: Fix a memory
  leak when using -onolock (336253).
* Sun Dec 16 2007 sdietrich@suse.de
- Update config files: rt_debug and rt for powerpc.
- config.conf:
* Sat Dec 15 2007 sdietrich@suse.de
- patches.rt/rt-list-mods-more-fixes.patch:
  2.6.24-rc5-rt1 drivers/dma/ioat_dma.c compile fix (list_splice).
* Sat Dec 15 2007 sdietrich@suse.de
- Update RT to 2.6.24-rc5-rt1 (many files in patches.rt omitted)
* Thu Dec 13 2007 ak@suse.de
- patches.fixes/fix-nfs-oops: NFS: Fix an Oops in NFS unmount.
* Wed Dec 12 2007 jeffm@suse.de
- patches.kernel.org/v4l-dvb-re-add-videobuf_read_start_export:
  V4L/DVB (6609): Re-adds lock safe videobuf_read_start.
* Wed Dec 12 2007 jeffm@suse.de
- Update to 2.6.24-rc5-git2.
* Wed Dec 12 2007 jeffm@suse.de
- rpm/kernel-source.spec.in: Worked around fix introduced in git
  commits 1cacc9ab8bf10e60b3ed93d7a10b070c4cbc6c9f and
  18c32dac75b187d1a4e858f3cfdf03e844129f5e that caused linux-obj's
  Makefile not to be generated.
* Wed Dec 12 2007 jbeulich@novell.com
- Update Xen patches to 2.6.24-rc4 and Linux c/s 355.
- Update config files.
- config.conf: Re-enable Xen flavors.
* Tue Dec 11 2007 jeffm@suse.de
- Update to 2.6.24-rc5.
* Tue Dec 11 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: Let the kernel build fail when
  generating the vmcoreinfo file fails
* Mon Dec 10 2007 jeffm@suse.de
- Update config files for -rt.
* Mon Dec 10 2007 jeffm@suse.de
- Enabled CONFIG_USB_SUSPEND on non-debug flavors.
* Mon Dec 10 2007 jeffm@suse.de
- Update to 2.6.24-rc4-git6.
* Thu Dec 06 2007 jeffm@suse.de
- Update to 2.6.24-rc4-git3.
* Thu Dec 06 2007 trenn@suse.de
- patches.fixes/acpi_autoload_baydock.patch: autloading of dock
  module (302482).
  Fixed a general bug with linux specific hids there.
* Thu Dec 06 2007 bk@suse.de
- patches.drivers/early-firewire.diff: Update to latest version,
  reallows to compile juju firewire stack and adds documentation
* Thu Dec 06 2007 jblunck@suse.de
- scripts/tar-up.sh: small fix for patches.addon creation
* Wed Dec 05 2007 jeffm@suse.de
- Update to 2.6.24-rc4-git2.
* Wed Dec 05 2007 ak@suse.de
- Update config files to disable CONFIG_PRINTK_TIME again. If you want
  the timestamps again you can always boot with printk.time=1
* Wed Dec 05 2007 trenn@suse.de
- patches.arch/acpi_autoload_bay.patch: Also autoload the bay
  driver, was forgotten....
- patches.arch/small-acpica-extension-to-be-able-to-store-the-name-of.patch:
  Store ACPI Operation Region access to System Memory and
  IO ports.
- patches.arch/export-acpi_check_resource_conflict.patch:
  Export acpi_check_resource_conflict().
- patches.arch/check-for-acpi-resource-conflicts-in-hwmon-drivers.patch:
  Check for ACPI resource conflicts in hwmon drivers..
- patches.arch/check-for-acpi-resource-conflicts-in-i2c-bus-drivers.patch:
  Check for ACPI resource conflicts in i2c bus drivers..
* Wed Dec 05 2007 jeffm@suse.de
- patches.kernel.org/patch-2.6.24-rc4-git1: kernel: Update to
  2.6.24-rc4-git1.
* Tue Dec 04 2007 jeffm@suse.de
- patches.kernel.org/gcc43-workaround.diff: put inside loop and
  fixed "r+" to "+r." Works now.
* Tue Dec 04 2007 jeffm@suse.de
- Updated to 2.6.24-rc4.
* Tue Dec 04 2007 jeffm@suse.de
- patches.suse/reiserfs-mount-count: reiserfs: add support for
  mount count incrementing.
* Sun Dec 02 2007 jeffm@suse.de
- patches.kernel.org/gcc43-workaround.diff: use do/while construct
  for no-op case.
* Sun Dec 02 2007 jeffm@suse.de
- patches.kernel.org/gcc43-workaround.diff: use asm "+r" rather than
  volatile.
* Sat Dec 01 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: Fix generation of makedumpfile.config
  for flavour != default
* Fri Nov 30 2007 ak@suse.de
- Reenable early firewire patches
* Thu Nov 29 2007 ak@suse.de
- patches.arch/throttling-irq: don't disable
  interrupts while getting throttling state
* Thu Nov 29 2007 trenn@suse.de
- patches.drivers/early-firewire.diff: Enable firewire early
  for console over firewire (firescope) debugging.
  Fix compile error...
* Thu Nov 29 2007 jblunck@suse.de
- Update config files (enable CONFIG_MARCH_Z900 for kernel-s390).
* Thu Nov 29 2007 bwalle@suse.de
- added PreReq "gawk"
- fixed permission of gzip'd vmlinux file (i386/x86_64)
- fixed creating of makedumpfile.config (344386)
- removed superflous "patches.rt" entries in series.conf
- added unused RT patches to series.conf
* Thu Nov 29 2007 trenn@suse.de
- patches.drivers/early-firewire.diff: Enable firewire early
  for console over firewire (firescope) debugging.
- Update config files.
* Thu Nov 29 2007 jeffm@suse.de
- Update config files for -vanilla.
* Wed Nov 28 2007 jeffm@suse.de
- Update config files for -rt.
* Wed Nov 28 2007 jeffm@suse.de
- Update to 2.6.24-rc3-git3.
* Wed Nov 28 2007 jeffm@suse.de
- Update config files.
* Wed Nov 28 2007 jeffm@suse.de
- Update to 2.6.24-rc3-git2.
* Tue Nov 27 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: Remove "irqbalance" dependency as the
  package is already in the "enhanced base pattern". (344047)
* Mon Nov 26 2007 jeffm@suse.de
- Update to 2.6.24-rc3-git1.
* Mon Nov 26 2007 ghaskins@suse.de
- patches.rt/sched-add-domain-root.patch: SCHED -  Add
  sched-domain roots.
- patches.rt/sched-add-rq-highest-prio.patch: SCHED -  track
  highest prio queued on runqueue.
- patches.rt/sched-break-out-search.patch: SCHED -  Break out
  the search function.
- patches.rt/sched-cleanup-thisrq.patch: SCHED -  Consistency
  cleanup for this_rq usage.
- patches.rt/sched-count-rt-queued.patch: SCHED -  Add
  rt_nr_running accounting.
- patches.rt/sched-cpu_priority.patch: SCHED -  Use a 2-d bitmap
  for searching lowest-pri CPU.
- patches.rt/sched-de-cfsize-rt-path.patch: SCHED -  Remove some
  CFS specific code from the wakeup path of RT tasks.
- patches.rt/sched-disable-CFS-rt-balance.patch: SCHED -  disable
  CFS RT load balancing..
- patches.rt/sched-include-thiscpu.patch: SCHED -  Allow
  current_cpu to be included in search.
- patches.rt/sched-only-balance-within-root.patch: SCHED -
  Only balance our RT tasks within our root-domain.
- patches.rt/sched-optimize-affinity.patch: SCHED -  Optimize
  our cpu selection based on topology.
- patches.rt/sched-pre-route-on-wakeup.patch: SCHED -  Pre-route
  RT tasks on wakeup.
- patches.rt/sched-renable-migratable-factor.patch: SCHED -
  restore the migratable conditional.
- patches.rt/sched-rt-balance-avoid-overloading.patch: SCHED -
  Avoid overload.
- patches.rt/sched-rt-balance-cpu-weight.patch: SCHED -  Cache
  cpus_allowed weight for optimizing migration.
- patches.rt/sched-rt-balance-find-cpu-count.patch: SCHED -
  Optimize cpu search with hamming weight.
- patches.rt/sched-rt-balance-on-new-task.patch: SCHED -  balance
  RT tasks no new wake up.
- patches.rt/sched-rt-balance-optimize-cpu-search.patch: SCHED -
  Optimize out cpu_clears.
- patches.rt/sched-rt-balance-pull-tasks.patch: SCHED -  pull
  RT tasks.
- patches.rt/sched-rt-balance-push-tasks.patch: SCHED -  push
  RT tasks.
- patches.rt/sched-rt-balance-wakeup.patch: SCHED -  wake up
  balance RT.
- patches.rt/sched-rt-overload.patch: SCHED -  RT overloaded
  runqueues accounting.
- patches.rt/sched-track-onlinecpus-in-rootdomain.patch: SCHED -
  Track online cpus in the root-domain.
- patches.rt/sched-wake-balance-fixes.patch: SCHED -  Optimize
  rebalancing.
  An overzealous sed script on the last checkin inadvertently modified some
  patch body in addition to the header, causing patch errors
* Mon Nov 26 2007 ghaskins@suse.de
- patches.rt/count-rt-queued.patch: Delete.
- patches.rt/add-rq-highest-prio.patch: Delete.
- patches.rt/rt-balance-push-tasks.patch: Delete.
- patches.rt/rt-overload.patch: Delete.
- patches.rt/rt-balance-pull-tasks.patch: Delete.
- patches.rt/rt-balance-wakeup.patch: Delete.
- patches.rt/disable-CFS-rt-balance.patch: Delete.
- patches.rt/rt-balance-sched-domain.patch: Delete.
- patches.rt/rt-balance-cpu-weight.patch: Delete.
- patches.rt/0001-this_rq-consistency-cleanup.patch: Delete.
- patches.rt/0002-remove-CFS-from-wakeup.patch: Delete.
- patches.rt/0003-rt-balance-break-out-search.patch: Delete.
- patches.rt/0004-rt-balance-allow-current-cpu-in-search.patch:
  Delete.
- patches.rt/0005-pre-route-rt-tasks-on-wakeup.patch: Delete.
- patches.rt/0006-optimize-cpu-section-topology.patch: Delete.
- patches.rt/0007-optimize-rt-overload-balancing.patch: Delete.
- patches.rt/rt-balance-wakup-fix-schedstat.patch: Delete.
- patches.rt/0008-cpu-prio-balance.patch: Delete.
- patches.rt/preempt-realtime-sched.patch: Linux-RT
  2.6.24-rc2-rt1.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.24-rc2-rt1.
- patches.rt/sched-add-domain-root.patch: SCHED: Add sched-domain
  roots.
- patches.rt/sched-add-rq-highest-prio.patch: SCHED: track
  highest prio queued on runqueue.
- patches.rt/sched-break-out-search.patch: SCHED: Break out the
  search function.
- patches.rt/sched-cleanup-thisrq.patch: SCHED: Consistency
  cleanup for this_rq usage.
- patches.rt/sched-count-rt-queued.patch: SCHED: Add rt_nr_running
  accounting.
- patches.rt/sched-cpu_priority.patch: SCHED: Use a 2-d bitmap
  for searching lowest-pri CPU.
- patches.rt/sched-de-cfsize-rt-path.patch: SCHED: Remove some
  CFS specific code from the wakeup path of RT tasks.
- patches.rt/sched-disable-CFS-rt-balance.patch: SCHED: disable
  CFS RT load balancing..
- patches.rt/sched-include-thiscpu.patch: SCHED: Allow current_cpu
  to be included in search.
- patches.rt/sched-only-balance-within-root.patch: SCHED: Only
  balance our RT tasks within our root-domain.
- patches.rt/sched-optimize-affinity.patch: SCHED: Optimize our
  cpu selection based on topology.
- patches.rt/sched-pre-route-on-wakeup.patch: SCHED: Pre-route
  RT tasks on wakeup.
- patches.rt/sched-renable-migratable-factor.patch: SCHED:
  restore the migratable conditional.
- patches.rt/sched-rt-balance-avoid-overloading.patch: SCHED:
  Avoid overload.
- patches.rt/sched-rt-balance-cpu-weight.patch: SCHED: Cache
  cpus_allowed weight for optimizing migration.
- patches.rt/sched-rt-balance-find-cpu-count.patch: SCHED:
  Optimize cpu search with hamming weight.
- patches.rt/sched-rt-balance-on-new-task.patch: SCHED: balance
  RT tasks no new wake up.
- patches.rt/sched-rt-balance-optimize-cpu-search.patch: SCHED:
  Optimize out cpu_clears.
- patches.rt/sched-rt-balance-pull-tasks.patch: SCHED: pull
  RT tasks.
- patches.rt/sched-rt-balance-push-tasks.patch: SCHED: push
  RT tasks.
- patches.rt/sched-rt-balance-wakeup.patch: SCHED: wake up
  balance RT.
- patches.rt/sched-rt-overload.patch: SCHED: RT overloaded
  runqueues accounting.
- patches.rt/sched-track-onlinecpus-in-rootdomain.patch: SCHED:
  Track online cpus in the root-domain.
- patches.rt/sched-wake-balance-fixes.patch: SCHED: Optimize
  rebalancing.
- patches.rt/sched-make-cpupri-raw.patch: RT: Make cpupri use
  a raw-spinlock for -rt.
  Update to latest scheduler fixes
* Wed Nov 21 2007 jdelvare@suse.de
- patches.fixes/pci-quirk-enable-smbus-on-hp-xw4100.patch:
  Enable the SMBus on the HP xw4100.
* Wed Nov 21 2007 schwab@suse.de
- Update kdb patches.
* Wed Nov 21 2007 sdietrich@suse.de
- Cleanup series file (RT patches)
* Mon Nov 19 2007 olh@suse.de
- update patches.kernel.org/psmouse-section-conflict.diff
  fix build also for ipmi_watchdog.o
* Mon Nov 19 2007 olh@suse.de
- update patches.kernel.org/psmouse-section-conflict.diff
  fix build also for md.o and uvesafb.o
* Sat Nov 17 2007 sdietrich@suse.de
  Resolve conflicts with git 6.
- Update config files: git-6
- patches.rt/genirq-soft-resend.patch:
- patches.rt/kstat-add-rt-stats.patch:
- patches.rt/lock_list.patch:
- patches.rt/preempt-realtime-sched.patch:
- patches.rt/rt-mutex-x86-64.patch:
- patches.rt/rt-sched-groups.patch:
- patches.rt/s_files.patch:
- patches.rt/latency-tracing-i386.patch:
- patches.rt/latency-tracing.patch:
- patches.rt/redo-regparm-option.patch:
- patches.rt/rt-mutex-i386.patch:
* Fri Nov 16 2007 jeffm@suse.de
- patches.kernel.org/ipmi-section-conflict.diff: ipmi: Fix
  section type conflict with hotmod_handler.
- Moved section conflict patches to patches.kernel.org so the
  vanilla flavor will actually build on arches that are hitting them.
* Fri Nov 16 2007 jeffm@suse.de
- patches.suse/psmouse-section-conflict.diff: Updated to include
  protoypes.
* Fri Nov 16 2007 jeffm@suse.de
- Update to 2.6.24-rc2-git6.
* Fri Nov 16 2007 sdietrich@suse.de
- Update config files.
- config.conf: enable i386 RT
* Fri Nov 16 2007 sdietrich@suse.de
- patches.rt/serial-locking-rt-cleanup.patch: fix KDB serial patch
* Fri Nov 16 2007 sdietrich@suse.de
- Update config files.
- patches.rt/rt-list-mods-more-fixes.patch: compile fix
- config.conf:
- Get x86_64 RT to compile, and run.
* Fri Nov 16 2007 jblunck@suse.de
- scripts/tar-up.sh: Fix a problem with new tar version
* Fri Nov 16 2007 sdietrich@suse.de
  Reconstitute RT patches, resolve conflicts.
- patches.rt/cfs-fail-limit-migration.patch:
- patches.rt/cputimer-thread-rt_A0.patch:
- patches.rt/inet-hash-bits-ipv6-fix.patch:
- patches.rt/inet_hash_bits.patch:
- patches.rt/preempt-irqs-timer.patch:
- patches.rt/preempt-realtime-i386.patch:
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
- patches.rt/preempt-realtime-net.patch:
- patches.rt/serial-locking-rt-cleanup.patch:
* Fri Nov 16 2007 sdietrich@suse.de
- patches.rt/declare_cpu_clock_function.patch: Delete.
- patches.rt/user_mad-preempt_rt-workaround.patch: Delete.
- Add original versions of 2.6.24-rc2-rt1 patch queue
  (too many of these patches still do not have proper headers
  they have been prepended with a standard header)
* Thu Nov 15 2007 olh@suse.de
- drop patches.suse/suse-ppc-pmac_zilog-i8250-coexistance.patch
  kernel name for pmac_zilog changed from ttyS to ttyPZ
* Thu Nov 15 2007 olh@suse.de
- remove remaining PS3 related patches
* Wed Nov 14 2007 jeffm@suse.de
- Update config files (vanilla).
* Wed Nov 14 2007 jeffm@suse.de
- Update config files.
* Wed Nov 14 2007 jeffm@suse.de
- Update to 2.6.24-rc2-git4.
* Tue Nov 13 2007 fseidel@suse.de
- Update patches.drivers/nozomi.patch to latest version with
  major cleanups and rewrites from Jiri Slaby and Frank Seidel.
* Tue Nov 13 2007 gregkh@suse.de
- Update config files to make CONFIG_LEGACY_PTY_COUNT be 1
* Tue Nov 13 2007 sdietrich@suse.de
- Cleanup obsolete (2.6.22 and early .23 RT patches)
- patches.rt/patch-2.6.23-rt1: Delete.
- patches.rt/use-num_possible_cpus-instead_of-NR_CPUS-for_timer_distribution.patch: Delete.
- patches.rt/hrtimer_force_reprogram-fix.patch: Delete.
- patches.rt/do-not-BUG_ON-in-exit-for-in_interrupt.patch: Delete.
- patches.rt/preemption-problem_in_net.patch: Delete.
* Mon Nov 12 2007 schwab@suse.de
- Update mol patches.
* Sat Nov 10 2007 agruen@suse.de
- patches.fixes/nfsacl-retval.diff: knfsd: fix spurious EINVAL
  errors on first access of new filesystem (340873).
* Thu Nov 08 2007 jeffm@suse.de
- config.conf: Disabled -rt flavors until they're merged again.
* Thu Nov 08 2007 jeffm@suse.de
- patches.kernel.org/gcc43-workaround.diff: time: mark
  timespec_add_ns's u64 parameter as volatile to avoid gcc 4.3
  optimization.
* Thu Nov 08 2007 bwalle@suse.de
- rpm/kernel-source.spec.in: add coreutils and sed in PreReq
* Thu Nov 08 2007 bwalle@suse.de
- patches.suse/squashfs.patch.fixup:
  Fix build on x86-64 with CONFIG_SMP unset.
* Wed Nov 07 2007 jeffm@suse.de
- patches.suse/setuid-dumpable-wrongdir: added trans_table entry
  to avoid warning.
* Wed Nov 07 2007 jeffm@suse.de
- patches.suse/supported-flag: Removed sysctl binary number, it's
  not used or officially reserved.
* Wed Nov 07 2007 jeffm@suse.de
- patches.fixes/sysctl-fix-token-ring-procname: sysctl: fix
  token-ring procname
* Wed Nov 07 2007 jeffm@suse.de
- patches.suse/suse-ppc32-mol.patch: Missed a get_property().
* Wed Nov 07 2007 jkosina@suse.de
- patches.suse/aslr-i386-and-x86_64-randomize-brk.patch: i386
  and x86_64: randomize brk() (FATE120276).
- patches.suse/aslr-pie-executable-randomization.patch: PIE
  executable randomization (FATE120276).
* Wed Nov 07 2007 jeffm@suse.de
- Fixed the i386 KDB merge.
* Wed Nov 07 2007 jeffm@suse.de
- Update config files.
* Wed Nov 07 2007 jeffm@suse.de
- patches.kernel.org/patch-2.6.24-rc2: Official patch.
* Wed Nov 07 2007 jeffm@suse.de
- Update config files.
* Wed Nov 07 2007 jeffm@suse.de
- Update to 2.6.24-rc2.
* Wed Nov 07 2007 jeffm@suse.de
- patches.suse/suse-ppc32-mol.patch: Merge against 2.6.24-rc1
* Tue Nov 06 2007 jeffm@suse.de
- patches.kernel.org/powerpc-needs-uboot: powerpc: MPC52xx needs
  u-boot but we don't have it.
* Tue Nov 06 2007 jeffm@suse.de
- patches.kernel.org/patch-2.6.24-rc1-git14-3131e530ac3faf09....:
  kernel: snapshot to 3131e530ac3faf09fb0878a9dc4cd6df0e35b6a3.
* Mon Nov 05 2007 jeffm@suse.de
- patches.arch/s390-add-FREE_PTE_NR: s390: Define FREE_PTE_NR.
* Mon Nov 05 2007 jeffm@suse.de
- rpm/kernel-binary.spec.in: No need for wildcard in cp, both
  x86 and x86_64 kernels live under arch/x86 now.
* Mon Nov 05 2007 jeffm@suse.de
- patches.arch/ppc-pegasos-console-autodetection.patch:
- patches.arch/ppc-vio-modalias.patch:
- patches.arch/ppc-efika-modalias.patch:
- patches.arch/ppc-efika-psc-console-autodetection.patch:
  get_property -> of_get_property conversion.
* Mon Nov 05 2007 jeffm@suse.de
- Removed unused patches.
* Mon Nov 05 2007 jeffm@suse.de
- Added patches.apparmor/apparmor-disabled to series.conf
* Mon Nov 05 2007 jeffm@suse.de
- patches.suse/reiserfs-reiserfs-warning.diff: Convert reiserfs_panic
  on invalid block size to warning and return failure.
* Mon Nov 05 2007 jeffm@suse.de
- patches.suse/squashfs.patch: fix init_one to match prototype for
  kmem_cache_create's ctor.
* Mon Nov 05 2007 jeffm@suse.de
- Update to 2.6.24-rc1-git14.
* Mon Nov 05 2007 jeffm@suse.de
- Merged kdb properly.
* Sun Nov 04 2007 jeffm@suse.de
- Update config files for vanilla.
* Sun Nov 04 2007 jeffm@suse.de
- Updated to 2.6.24-rc1-git12.
  - Merged unified x86 patches
  - Merged static LSM changes for AppArmor and added runtime disabling.
  - Updated e1000 to 7.6.9.2 and merged NAPI changes.
  - Xen is disabled again, needs merging.
* Fri Nov 02 2007 jeffm@suse.de
- patches.suse/reiserfs-make-per-inode-xattr-locking-more-fine-grained.diff:
  reiserfs: fixed bad unlock in reiserfs_xattr_get() (336669).
* Thu Nov 01 2007 philips@suse.de
- patches.drivers/e1000e.patch: e1000e: revert to version that
  works- can be dropped for 2.6.24.
* Wed Oct 31 2007 jeffm@suse.de
- Removed all fuzz and refreshed in preparation for updating to 2.6.24-rc2.
* Wed Oct 31 2007 hare@suse.de
- patches.fixes/megaraid_mbox-dell-cerc-support: Dell CERC
  support for megaraid_mbox (267134).
* Mon Oct 29 2007 jeffm@suse.de
- patches.fixes/proc-scsi-scsi-fix.diff: scsi: iterate over
  devices individually for /proc/scsi/scsi (263731).
* Fri Oct 26 2007 jeffm@suse.de
- Update config files: Missed CONFIG_PRINTK_TIME on x86_64-xen
* Fri Oct 26 2007 bwalle@suse.de
- patches.fixes/remove-transparent-bridge-sizing:
  PCI: remove transparent bridge sizing (331027).
* Thu Oct 25 2007 philips@suse.de
- patches.drivers/e1000e.patch: update to the latest version in
  2.6.24-rc1
* Thu Oct 25 2007 jeffm@suse.de
- Update config files: Enable printk timestamping. It can be disabled
  at boot time with printk.time=0.
* Thu Oct 25 2007 jbeulich@novell.com
- patches.fixes/rename-TSS_sysenter_esp0-SYSENTER_stack_esp0.patch:
  Delete.
- Delete obsolete Xen patches.
- Update Xen patches to 2.6.23 and c/s 268.
- patches.xen/xen-x86-pXX_val: more users of __pte_val/__pd_val.
- patches.xen/xen-kconfig-no-cpu_freq: disallow CPUFREQ config
  options.
- patches.xen/xen-sections: fix placement of some routines.
- patches.xen/xen-time: fixup time-xen.c.
- rpm/kernel-binary.spec.in: Change to account for different placement
  of final binary.
- config.conf: Re-enable Xen flavors.
- Update config files.
* Wed Oct 24 2007 hare@suse.de
- patches.drivers/aic7xxx-add-suspend-resume-support: aic7xxx:
  Add suspend/resume support (332048).
* Mon Oct 22 2007 tiwai@suse.de
- patches.drivers/alsa-post-2.6.23-big-hda-update: Fix probe bugs
  with STAC922x codecs
* Mon Oct 22 2007 jeffm@suse.de
- patches.rt/patch-2.6.23-rt1: rt: Updated context in mm/filemap.c
* Mon Oct 22 2007 jeffm@suse.de
- patches.suse/reiser4-exports: reiser4: add new exports for
  used symbols.
- patches.suse/reiser4-sync_inodes: vfs: Add ->sync_inodes super
  operation for reiser4.
* Fri Oct 19 2007 jeffm@suse.de
- patches.rt/patch-2.6.23-rt1: rt: Restored prototype for hpet_readl
* Fri Oct 19 2007 jeffm@suse.de
- patches.xen/kdb-rename-TSS_sysenter_esp0-SYSENTER_stack_esp0:
  kdb: use SYSENTER_stack_esp0 instead of TSS_sysenter_esp0.
* Fri Oct 19 2007 jeffm@suse.de
- Cleaned up reiserfs patch queue according to scripts/checkpatch.pl
* Thu Oct 18 2007 jeffm@suse.de
- patches.rt/patch-2.6.23-rt1: rt: Removed -rt1 extension to make
  autobuild happy.
* Thu Oct 18 2007 jeffm@suse.de
- patches.suse/reiserfs-use-reiserfs_error.diff:
- patches.suse/reiserfs-remove-first-zero-hint.diff:
  reiserfs: fix spurious -ENOSPC
* Thu Oct 18 2007 jeffm@suse.de
- Update config files.
* Thu Oct 18 2007 jeffm@suse.de
- patches.suse/reiserfs-no-bug-on-panic.diff: dumps stack
- patches.suse/reiserfs-remove-first-zero-hint.diff: reiserfs:
  remove first_zero_hint (331814).
* Wed Oct 17 2007 gregkh@suse.de
- move 2005-2006 changlog entries to kernel-source.changes.old
* Wed Oct 17 2007 tiwai@suse.de
- patches.drivers/alsa-2.6.23-non-dma-build-fix: Fix build error
  without CONFIG_HAS_DMA.
- patches.drivers/alsa-post-2.6.23-*: Backport patches of ALSA
  drivers for many bugfixes / improvements
- Update config files.
* Mon Oct 15 2007 jeffm@suse.de
- patches.suse/reiserfs-bitmap-use-first-zero-hint.diff: Delete.
- patches.suse/reiserfs-remove-first-zero-hint.diff: reiserfs:
  remove first_zero_hint (331814).
* Mon Oct 15 2007 jeffm@suse.de
- patches.suse/squashfs.patch: select ZLIB_INFLATE automatically.
* Mon Oct 15 2007 bwalle@suse.de
- Update config files: Switch from CONFIG_RT to CONFIG_GEN_RTC
  (#287539) for 11.0
* Mon Oct 15 2007 tiwai@suse.de
- patches.drivers/alsa-emu10k1-2.6.23-spdif-mem-fix: emu10k1 -
  Fix memory corruption (333314).
- patches.drivers/alsa-hda-2.6.23-probe-blacklist: hda-intel -
  Add probe_mask blacklist (172330).
- patches.drivers/alsa-hda-2.6.23-robust-probe: hda-intel -
  Improve HD-audio codec probing robustness (172330).
- patches.drivers/alsa-hda-2.6.23-stac-array-terminate: hda-codec
  - Add array terminator for dmic in STAC codec.
- patches.drivers/alsa-hda-2.6.23-stac-avoid-zero-nid: Fix error
  probing with STAC codecs (333320).
- patches.drivers/alsa-hdsp-2.6.23-zero-division: hdsp - Fix
  zero division.
* Sun Oct 14 2007 schwab@suse.de
- Update to mol 0.9.72.1.
* Sun Oct 14 2007 jeffm@suse.de
- Renamed kernel-bigsmp to kernel-pae.
* Sun Oct 14 2007 jeffm@suse.de
- Disabled xen flavors in config.conf.
* Sun Oct 14 2007 jeffm@suse.de
- Merged patch-2.6.23-rt1.
* Sat Oct 13 2007 jeffm@suse.de
- patches.fixes/hpet_patches_45.patch: Fixed compile failure.
* Sat Oct 13 2007 jeffm@suse.de
- Rebased to to 2.6.23.1
  - Xen and OCFS2 userspace clustering are temporarily disabled.
* Thu Oct 11 2007 kkeil@suse.de
- patches.fixes/natsemi_removal.fix: Fix device removal bug(332612)
* Wed Oct 10 2007 gregkh@suse.de
- refresh patches to apply cleanly to 2.6.22.10
* Wed Oct 10 2007 gregkh@suse.de
- Update to final version of 2.6.22.10
* Wed Oct 10 2007 jack@suse.cz
- patches.suse/ocfs2-15-fix-heartbeat-write.diff: Fix heartbeat
  block writing (300730).
* Wed Oct 10 2007 sdietrich@suse.de
- patches.drivers/libata-ata_piix-properly_terminate_DMI_system_list:
  Fix improperly terminated array.
* Tue Oct 09 2007 gregkh@suse.de
- get rt patchset to apply again after 2.6.22.10-rc1 patch
* Tue Oct 09 2007 gregkh@suse.de
- Update to 2.6.22.10-rc1
  - bug fixes we already have in our tree, which removed:
     - patches.fixes/i386-use-global-flag-to-disable-broken-local-apic-timer-on-AMD-cpus.diff
     - patches.fixes/sky2-tx-sum-resume.patch: Delete.
  - SATA device quirk updates
  - sky2 bugfixes
  - selinux security fix
  - i2c bugfix
  - ppp_mppe stack usage fix
  - scsi transport bugfix
  - shutdown bugfix
  - timer_stats bugfix
* Tue Oct 09 2007 jack@suse.cz
- patches.suse/ocfs2-14-fix-notifier-hang.diff: Fix kernel hang
  during cluster initialization (300730).
* Mon Oct 08 2007 jbeulich@novell.com
- patches.xen/handle-bogus-cs-selector-in-single-step-instruction-decoding:
  Delete.
- patches.xen/xen3-patch-2.6.22.5-6: Linux 2.6.22.6.
- patches.xen/xen3-patch-2.6.22.6-7: Linux 2.6.22.7.
- patches.xen/xen3-aux-at_vector_size.patch: Xen version of
  patches.fixes/aux-at_vector_size.patch (310037).
- patches.xen/xen3-auto-common.diff,
- patches.xen/xen3-auto-xen-kconfig.diff,
  patches.xen/softlockup-no-idle-hz.patch,
  patches.xen/30-bit-field-booleans.patch,
  patches.xen/xen3-patch-2.6.19,
  patches.xen/xen-x86-consistent-nmi,
  patches.xen/xen-x86-no-lapic: Refresh.
* Fri Oct 05 2007 bwalle@suse.de
- patches.suse/kabi-safe-2.6.22.6-tcp_sendmsg:
  Add trampoline function also for IPv6 and fix kernel hang
  (331456)
* Fri Oct 05 2007 teheo@suse.de
- patches.drivers/libata-disable-NCQ-for-ST9160821AS-3.ALD:
  libata: add ST9160821AS / 3.ALD to NCQ blacklist (330662).
* Thu Oct 04 2007 jeffm@suse.de
- patches.suse/kabi-safe-2.6.22.6-tcp_sendmsg: kABI: rework
  tcp_sendmsg fix from 2.6.22.6
- patches.suse/kabi-safe-2.6.22.8-snd_mem: kABI: rework ALSA
  memalloc seq_file change from 2.6.22.8
* Thu Oct 04 2007 jeffm@suse.de
- patches.suse/kabi-safe-2.6.22.6-tcp_sendmsg: kABI: rework
  tcp_sendmsg fix from 2.6.22.6
- patches.suse/kabi-safe-2.6.22.8-snd_mem: kABI: rework ALSA
  memalloc seq_file change from 2.6.22.8
- patches.suse/kabi-safe-2.6.22.9-mtd: kABI: revert
  mtdcore/mtdsuper module merging from 2.6.22.9
* Tue Oct 02 2007 lmb@suse.de
- patches.xen/handle-bogus-cs-selector-in-single-step-instruction-decoding:
  Handle bogus %%cs selector in single-step instruction decoding
  (326270, CVE-2007-3731).
* Sun Sep 30 2007 kkeil@suse.de
- patches.fixes/sky2-tx-sum-resume.patch: sky2: fix transmit
  state on resume (#297132, #326376)
* Sun Sep 30 2007 jeffm@suse.de
- patches.fixes/i386-fixup-TRACE_IRQ-breakage: i386: fixup
  TRACE_IRQ breakage (326270, CVE-2007-3731).
- patches.fixes/handle-bogus-%%cs-selector-in-single-step-instruction-decoding:
  Handle bogus %%cs selector in single-step instruction decoding
  (326270, CVE-2007-3731).
* Sat Sep 29 2007 teheo@suse.de
- patches.drivers/libata-HPA-off-by-one-horkage: Fix HPA handling
  regression (329584).
* Fri Sep 28 2007 agruen@suse.de
- patches.fixes/nfsv4-MAXNAME-fix.diff: knfsd: query filesystem
  for NFSv4 getattr of FATTR4_MAXNAME (271803).
* Fri Sep 28 2007 jeffm@suse.de
- patches.fixes/jffs2-fix-ACL-vs-mode-handling: Fix ACL vs. mode
  handling. (310520).
* Fri Sep 28 2007 agruen@suse.de
- kernel-syms.rpm: move the copies of the Modules.alias files from
  /lib/modules/... to /usr/src/linux-obj/... to avoid a file
  conflict between kernel-syms and other kernel-$flavor packages.
  The Modules.alias files in kernel-syms.rpm are intended for
  future use (307291).
* Thu Sep 27 2007 jeffm@suse.de
- Update config files: Enabled CONFIG_DVB_PLUTO2 for i386 since it's
  enabled everywhere else. (327790).
* Thu Sep 27 2007 jeffm@suse.de
- patches.suse/reiserfs-add-reiserfs_error.diff:
- patches.suse/reiserfs-use-reiserfs_error.diff:
- patches.suse/reiserfs-buffer-info-for-balance.diff:
  Fix reiserfs_error() with NULL superblock calls (299604).
* Wed Sep 26 2007 gregkh@suse.de
- refresh patches to get rid of fuzz for 2.6.22.9
* Wed Sep 26 2007 gregkh@suse.de
- Update to 2.6.22.9
  - same as 2.6.22.8-rc1 earlier, but this time it's final and it
  updates the kernel version number.
* Wed Sep 26 2007 teheo@suse.de
- patches.drivers/libata-pata_ali-fix-garbage-PCI-rev-value:
  pata_ali: fix garbage PCI rev value in ali_init_chipset()
  (328422).
* Wed Sep 26 2007 agruen@suse.de
- patches.apparmor/apparmor-lsm-fix.diff: apparmor_file_mmap
  function parameters mismatch (328423).
* Wed Sep 26 2007 teheo@suse.de
- patches.drivers/libata-sata_sil24-fix-IRQ-clearing-race-on-IRQ_WOC:
  sata_sil24: fix IRQ clearing race when PCIX_IRQ_WOC is used
  (327536).
* Wed Sep 26 2007 jbeulich@novell.com
- patches.fixes/bridge-module-get-put.patch: Module use count
  must be updated as bridges are created/destroyed (267651).
* Wed Sep 26 2007 jbeulich@novell.com
- supported.conf: Mark 8250 and 8250_pci as supported (only Xen kernels
  build them as modules) (260686).
* Tue Sep 25 2007 sdietrich@suse.de
- patches.rt/patch-2.6.22.1-rt4.openSUSE: fixup to compile
* Tue Sep 25 2007 trenn@suse.de
- patches.fixes/acpi_disable_C_states_in_suspend.patch: ACPI:
  disable lower idle C-states across suspend/resume (302482).
* Tue Sep 25 2007 gregkh@suse.de
- Update to 2.6.22.8
  - fixes CVE-2007-4571
* Mon Sep 24 2007 gregkh@suse.de
- Update to 2.6.22.8-rc1
  - metric boatload of bugfixes (50 to be exact.)
  - removed one duplicate patch:
	- patches.fixes/fix_futex_compat_bug.patch: Delete.
- Update config files.
* Mon Sep 24 2007 gregkh@suse.de
- Update to 2.6.22.7:
  - fixes CVE-2007-4573
* Mon Sep 24 2007 gregkh@suse.de
- Update to 2.6.22.6
 - Lots of bugfixes
 - removed some duplicate patches:
	- patches.drivers/pci-rs690-disable-msi: Delete.
	- patches.drivers/pci-rd580-disable-msi: Delete.
	- patches.drivers/pci-rx790-disable-msi: Delete.
- Update config files.
* Sat Sep 22 2007 teheo@suse.de
  Patch name was wrong.  Rename patch.
- patches.drivers/libata-pata_via-kill-SATA_PATA_SHARING: Delete.
- patches.drivers/libata-sata_via-kill-SATA_PATA_SHARING:
  sata_via: kill SATA_PATA_SHARING register handling (309069,
  254158).
* Sat Sep 22 2007 teheo@suse.de
- patches.drivers/libata-pata_sis-fix-mode-programming: pata_sis:
  fix mode programming (308384).
- patches.drivers/libata-fix-set_max_sectors: libata: fix
  ata_set_max_sectors() (325552).
- patches.drivers/libata-pata_via-kill-SATA_PATA_SHARING:
  sata_via: kill SATA_PATA_SHARING register handling (309069,
  254158).
- patches.drivers/libata-add-ST9120822AS-to-NCQ-blacklist:
  libata: add ST9120822AS 3.CLF to NCQ blacklist (163887).
* Fri Sep 21 2007 od@suse.de
- rpm/post.sh: revert last change: during installation and update
  from installation system bootloader_entry will use the
  delayed-run feature to run after yast2-bootloader has updated the
  system configuration -- needed to add entries for multiple
  installed kernels (309837)
* Thu Sep 20 2007 olh@suse.de
- drop patches.arch/ppc-atyfb-force-xtal.patch
  breaks Bens PowerBook
* Thu Sep 20 2007 bwalle@suse.de
- Update config files. Revert RTC transition for 10.3 due to
  problems that cannot be fixed quickly (#326490).
* Tue Sep 18 2007 olh@suse.de
- update patches.fixes/aux-at_vector_size.patch
  double the size of the array
* Tue Sep 18 2007 aj@suse.de
- Disable patches.fixes/aux-at_vector_size.patch as it leads to OOPS.
* Mon Sep 17 2007 od@suse.de
- rpm/post.sh: do not run mkinitrd and bootloader_entry during
  installation and update from installation system:
  yast2-bootloader will update the configuration in the end
  (309837)
* Mon Sep 17 2007 tiwai@suse.de
- patches.drivers/alsa-usb-exclude-1st-slot: Assign USB audio
  as secondary devices as default (309996, 309414, 308997).
* Mon Sep 17 2007 sdietrich@suse.de
- Update rt config files: switch HZ to 1000. Bug 310880
* Mon Sep 17 2007 sdietrich@suse.de
- patches.rt/user_mad-preempt_rt-workaround.patch:
  Fix run-time stack-dump in IB/OFED code.
* Mon Sep 17 2007 sdietrich@suse.de
- patches.rt/bug-310620_slab-alternate-node:
  Fix alternate_node_alloc() on RT kernel (BUG 310620).
  from Andi
* Mon Sep 17 2007 sdietrich@suse.de
- Update config files - enable light debugging options for x86_64 RT
* Mon Sep 17 2007 kkeil@suse.de
- patches.drivers/e1000-7.6.5.patch: Update e1000 to 7.6.5
  (309526, 325547)
- patches.drivers/e1000-7.6.5-napi-tail.patch: skb->tail is not
  longer always a pointer.
* Mon Sep 17 2007 sdietrich@suse.de
- Update config files - sync SLERT and openSUSE i386 RT
* Mon Sep 17 2007 olh@suse.de
- add patches.fixes/aux-at_vector_size.patch
  make sure mm_struct->saved_auxv is terminated with AT_NULL (310037)
* Fri Sep 14 2007 sdietrich@suse.de
- Update config files: HZ=1000, Performance Governor
- patches.rt/loadavg_fixes_weird_loads.patch:
  reconstitute with compile fix for PREEMPT_DESKTOP config.
- patches.rt/hrtimer_force_reprogram-fix.patch:
  compile fix for HRT-disabled configurations.
* Thu Sep 13 2007 bwalle@suse.de
- rpm/post.sh: run mkinitrd also of bootloader configuration files
  are not present (308970)
* Thu Sep 13 2007 trenn@suse.de
- patches.arch/acpi_gpe_suspend_cleanup.patch:
  ACPI: Cleanup gpe handling for suspend/resume
  (https://bugzilla.novell.com/show_bug.cgi?id=292300).
* Thu Sep 13 2007 sdietrich@suse.de
- Remove unused broken-out RT patches.
- patches.rt/acpi-move-timer-broadcast-and-pmtimer-access-before-c3-arbiter-shutdown.patch:
  Delete.
- patches.rt/acpi-remove-the-useless-ifdef-code.patch: Delete.
- patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch:
  Delete.
- patches.rt/add-notrace.patch: Delete.
- patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch:
  Delete.
- patches.rt/apic-dumpstack.patch: Delete.
- patches.rt/arm-cmpxchg.patch: Delete.
- patches.rt/arm-cmpxchg-support-armv6.patch: Delete.
- patches.rt/arm-fix-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-imx.patch: Delete.
- patches.rt/arm-latency-tracer-support.patch: Delete.
- patches.rt/arm-leds-timer.patch: Delete.
- patches.rt/arm-preempt-config.patch: Delete.
- patches.rt/arm-trace-preempt-idle.patch: Delete.
- patches.rt/barrier.patch: Delete.
- patches.rt/bh-state-lock.patch: Delete.
- patches.rt/bh-uptodate-lock.patch: Delete.
- patches.rt/cdrom-use-mdelay-instead-of-jiffies-loop.patch:
  Delete.
- patches.rt/clockevents-allow-build-without-runtime-use.patch:
  Delete.
- patches.rt/clockevents-fix-device-replacement.patch: Delete.
- patches.rt/clockevents-fix-resume-logic.patch: Delete.
- patches.rt/clockevents-fix-typo-in-acpi_pmc.patch: Delete.
- patches.rt/clockevents-remove-prototypes-of-removed-functions.patch:
  Delete.
- patches.rt/clockevents-remove-unused-code.patch: Delete.
- patches.rt/clockevents-remove-unused-inline-function.patch:
  Delete.
- patches.rt/cpuidle-complete.patch: Delete.
- patches.rt/cputimer-thread-rt_A0.patch: Delete.
- patches.rt/cputimer-thread-rt-fix.patch: Delete.
- patches.rt/disable-gtod-functions-if-gtod-is-not-there.patch:
  Delete.
- patches.rt/disable-irqpoll.patch: Delete.
- patches.rt/dont-unmask-io_apic.patch: Delete.
- patches.rt/dynticks-rcu-rt-fixlet.patch: Delete.
- patches.rt/ep93xx-clockevents-fix.patch: Delete.
- patches.rt/ep93xx-clockevents.patch: Delete.
- patches.rt/ep93xx-timer-accuracy.patch: Delete.
- patches.rt/fix-acpi-build-weirdness.patch: Delete.
- patches.rt/fix-emac-locking-2.6.16.patch: Delete.
- patches.rt/fix-emergency-reboot.patch: Delete.
- patches.rt/fix-migrating-softirq.patch: Delete.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Delete.
- patches.rt/floppy-resume-fix.patch: Delete.
- patches.rt/futex-performance-hack.patch: Delete.
- patches.rt/futex-performance-hack-sysctl-fix.patch: Delete.
- patches.rt/futex-tidy-up-the-code-v2.patch: Delete.
- patches.rt/gcc-warnings-shut-up.patch: Delete.
- patches.rt/gtod-optimize.patch: Delete.
- patches.rt/highmem-redo-mainline.patch: Delete.
- patches.rt/highmem-revert-mainline.patch: Delete.
- patches.rt/highmem_rewrite.patch: Delete.
- patches.rt/highres-improve-debug-output-fix.patch: Delete.
- patches.rt/highres-improve-debug-output.patch: Delete.
- patches.rt/hpet-force-enable-on-ich34.patch: Delete.
- patches.rt/hpet-force-enable-on-vt8235-37-chipsets.patch:
  Delete.
- patches.rt/hrtimer-no-getnstimeofday.patch: Delete.
- patches.rt/hrtimer-no-printk.patch: Delete.
- patches.rt/hrtimers-overrun-api.patch: Delete.
- patches.rt/hrtimer-speedup-hrtimer_enqueue.patch: Delete.
- patches.rt/hrtimer-trace.patch: Delete.
- patches.rt/i386-hpet-add-x8664-hpet-bits.patch: Delete.
- patches.rt/i386-hpet-assumes-boot-cpu-is-0.patch: Delete.
- patches.rt/i386-hpet-check-if-the-counter-works.patch: Delete.
- patches.rt/i386-hpet-sharing-optimize.patch: Delete.
- patches.rt/i386-mark-atomic-irq-ops-raw.patch: Delete.
- patches.rt/i386-move-pit-function-declarations-and-constants-to-correct-header-file.patch:
  Delete.
- patches.rt/i386-nmi-watchdog-show-regs.patch: Delete.
- patches.rt/i386-pit-remove-the-useless-ifdefs.patch: Delete.
- patches.rt/i386-pit-stop-only-when-in-periodic-or-oneshot-mode.patch:
  Delete.
- patches.rt/i386-prepare-sharing-hpet-code.patch: Delete.
- patches.rt/i386-prepare-sharing-pit-code.patch: Delete.
- patches.rt/i386-remove-pit-interrupt-hook.patch: Delete.
- patches.rt/i386-remove-volatile-in-apicc.patch: Delete.
- patches.rt/ich-force-hpet-add-ich7_0-pciid-to-quirk-list.patch:
  Delete.
- patches.rt/ich-force-hpet-ich5-fix-a-bug-with-suspend-resume.patch:
  Delete.
- patches.rt/ich-force-hpet-ich5-quirk-to-force-detect-enable-fix.patch:
  Delete.
- patches.rt/ich-force-hpet-ich5-quirk-to-force-detect-enable.patch:
  Delete.
- patches.rt/ich-force-hpet-ich7-or-later-quirk-to-force-detect-enable-fix.patch:
  Delete.
- patches.rt/ich-force-hpet-ich7-or-later-quirk-to-force-detect-enable.patch:
  Delete.
- patches.rt/ich-force-hpet-late-initialization-of-hpet-after-quirk.patch:
  Delete.
- patches.rt/ich-force-hpet-make-generic-time-capable-of-switching-broadcast-timer.patch:
  Delete.
- patches.rt/ich-force-hpet-restructure-hpet-generic-clock-code.patch:
  Delete.
- patches.rt/idle-stop-critical-timing.patch: Delete.
- patches.rt/inet-hash-bits-ipv6-fix.patch: Delete.
- patches.rt/inet_hash_bits.patch: Delete.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Delete.
- patches.rt/irda-fix.patch: Delete.
- patches.rt/jbd_assertions_smp_only.patch: Delete.
- patches.rt/jiffies-remove-unused-macros.patch: Delete.
- patches.rt/kmap-atomic-i386-fix.patch: Delete.
- patches.rt/kmap-atomic-prepare.patch: Delete.
- patches.rt/kprobes-preempt-fix.patch: Delete.
- patches.rt/kstat-add-rt-stats.patch: Delete.
- patches.rt/kvm-rt.patch: Delete.
- patches.rt/latency-measurement-drivers-fix.patch: Delete.
- patches.rt/latency-measurement-drivers.patch: Delete.
- patches.rt/latency-trace-fix.patch: Delete.
- patches.rt/latency-tracer-disable-across-trace-cmdline.patch:
  Delete.
- patches.rt/latency-tracer-one-off-fix.patch: Delete.
- patches.rt/latency-tracer-optimize-a-bit.patch: Delete.
- patches.rt/latency-tracer-printk-fix.patch: Delete.
- patches.rt/latency-tracer-variable-threshold.patch: Delete.
- patches.rt/latency-tracing-arm.patch: Delete.
- patches.rt/latency-tracing-exclude-printk.patch: Delete.
- patches.rt/latency-tracing-i386-paravirt-fastcall.patch: Delete.
- patches.rt/latency-tracing-i386.patch: Delete.
- patches.rt/latency-tracing.patch: Delete.
- patches.rt/latency-tracing-ppc.patch: Delete.
- patches.rt/latency-tracing-prctl-api-hack.patch: Delete.
- patches.rt/latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/latency-tracing-remove-trace-array.patch: Delete.
- patches.rt/latency-tracing-x86_64.patch: Delete.
- patches.rt/lockdep_fixup_annotate.patch: Delete.
- patches.rt/lockdep_fixups.patch: Delete.
- patches.rt/lockdep-lock_set_subclass.patch: Delete.
- patches.rt/lockdep-more-entries.patch: Delete.
- patches.rt/lockdep-prettify.patch: Delete.
- patches.rt/lockdep-prove-locking.patch: Delete.
- patches.rt/lockdep-rt-mutex.patch: Delete.
- patches.rt/lockdep-show-held-locks.patch: Delete.
- patches.rt/lock_list.patch: Delete.
- patches.rt/lockstat_bounce.patch: Delete.
- patches.rt/lockstat_bounce_rt.patch: Delete.
- patches.rt/lockstat_class_name.patch: Delete.
- patches.rt/lockstat-core.patch: Delete.
- patches.rt/lockstat-hooks.patch: Delete.
- patches.rt/lockstat-output.patch: Delete.
- patches.rt/lockstat-rt-hooks.patch: Delete.
- patches.rt/loopback-revert.patch: Delete.
- patches.rt/mips-gtod_clocksource.patch: Delete.
- patches.rt/mm-fix-latency.patch: Delete.
- patches.rt/mm-lockless-pagecache-lookups.patch: Delete.
- patches.rt/mm-lockless-preempt-fixup.patch: Delete.
- patches.rt/mm-lockless-preempt-rt-fixup.patch: Delete.
- patches.rt/mm-speculative-get-page.patch: Delete.
- patches.rt/module-pde-race-fixes.patch: Delete.
- patches.rt/move-native-irq.patch: Delete.
- patches.rt/msi-suspend-resume-workaround.patch: Delete.
- patches.rt/neptune-no-at-keyboard.patch: Delete.
- patches.rt/net-core-preempt-fix.patch: Delete.
- patches.rt/netfilter-more-debugging.patch: Delete.
- patches.rt/netpoll-8139too-fix.patch: Delete.
- patches.rt/new-softirq-code.patch: Delete.
- patches.rt/nf_conntrack-fix-smp-processor-id.patch: Delete.
- patches.rt/nf_conntrack-weird-crash-fix.patch: Delete.
- patches.rt/nmi-profiling-base.patch: Delete.
- patches.rt/nmi-profiling.patch: Delete.
- patches.rt/nmi-watchdog-disable.patch: Delete.
- patches.rt/nohz-fix-nohz-x86-dyntick-idle-handling.patch:
  Delete.
- patches.rt/ns2cyc-result-fix.patch: Delete.
- patches.rt/ntp-move-the-cmos-update-code-into-ntpc-fix-fix.patch:
  Delete.
- patches.rt/ntp-move-the-cmos-update-code-into-ntpc-fix.patch:
  Delete.
- patches.rt/ntp-move-the-cmos-update-code-into-ntpc.patch:
  Delete.
- patches.rt/pagefault-disable-cleanup.patch: Delete.
- patches.rt/panic-dont-stop-box.patch: Delete.
- patches.rt/paravirt-function-pointer-fix.patch: Delete.
- patches.rt/pause-on-oops-head-tail.patch: Delete.
- patches.rt/pcspkr-use-the-global-pit-lock.patch: Delete.
- patches.rt/percpu-locked-mm.patch: Delete.
- patches.rt/percpu-locked-netfilter2.patch: Delete.
- patches.rt/percpu-locked-netfilter.patch: Delete.
- patches.rt/percpu-locked-powerpc-fixups-a6.patch: Delete.
- patches.rt/percpu-locked-powerpc-fixups.patch: Delete.
- patches.rt/posix-cpu-timers-fix.patch: Delete.
- patches.rt/ppc-a-2.patch: Delete.
- patches.rt/ppc-add-mcount.patch: Delete.
- patches.rt/ppc-add-ppc32-mcount.patch: Delete.
- patches.rt/ppc-clockevents-fix.patch: Delete.
- patches.rt/ppc-clockevents.patch: Delete.
- patches.rt/ppc-fix-clocksource-timebase-shift.patch: Delete.
- patches.rt/ppc-gtod-notrace-fix.patch: Delete.
- patches.rt/ppc-gtod-support-fix.patch: Delete.
- patches.rt/ppc-gtod-support.patch: Delete.
- patches.rt/ppc-highres-dyntick.patch: Delete.
- patches.rt/ppc-mark-notrace-mainline.patch: Delete.
- patches.rt/ppc-mcount-dummy-functions.patch: Delete.
- patches.rt/ppc-read-persistent-clock.patch: Delete.
- patches.rt/ppc-remove-broken-vsyscall.patch: Delete.
- patches.rt/ppc-remove-last-cpukhz.patch: Delete.
- patches.rt/ppc-rename-xmon-mcount.patch: Delete.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Delete.
- patches.rt/preempt-irqs-arm.patch: Delete.
- patches.rt/preempt-irqs-core.patch: Delete.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Delete.
- patches.rt/preempt-irqs-hrtimer.patch: Delete.
- patches.rt/preempt-irqs-i386-idle-poll-loop-fix.patch: Delete.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Delete.
- patches.rt/preempt-irqs-i386.patch: Delete.
- patches.rt/preempt-irqs-Kconfig.patch: Delete.
- patches.rt/preempt-irqs-mips.patch: Delete.
- patches.rt/preempt-irqs-ppc-ack-irq-fixups.patch: Delete.
- patches.rt/preempt-irqs-ppc-celleb-beatic-eoi.patch: Delete.
- patches.rt/preempt-irqs-ppc-fix-b5.patch: Delete.
- patches.rt/preempt-irqs-ppc-fix-b6.patch: Delete.
- patches.rt/preempt-irqs-ppc-fix-more-fasteoi.patch: Delete.
- patches.rt/preempt-irqs-ppc.patch: Delete.
- patches.rt/preempt-irqs-ppc-preempt-schedule-irq-entry-fix.patch:
  Delete.
- patches.rt/preempt-irqs-softirq-in-hardirq.patch: Delete.
- patches.rt/preempt-irqs-timer.patch: Delete.
- patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch: Delete.
- patches.rt/preempt-irqs-x86-64.patch: Delete.
- patches.rt/preempt-realtime-8139too-rt-irq-flags-fix.patch:
  Delete.
- patches.rt/preempt-realtime-acpi.patch: Delete.
- patches.rt/preempt-realtime-arm-bagde4.patch: Delete.
- patches.rt/preempt-realtime-arm-footbridge.patch: Delete.
- patches.rt/preempt-realtime-arm-integrator.patch: Delete.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Delete.
- patches.rt/preempt-realtime-arm.patch: Delete.
- patches.rt/preempt-realtime-arm-pxa.patch: Delete.
- patches.rt/preempt-realtime-arm-shark.patch: Delete.
- patches.rt/preempt-realtime-cfs-accounting-fix.patch: Delete.
- patches.rt/preempt-realtime-compile-fixes.patch: Delete.
- patches.rt/preempt-realtime-console.patch: Delete.
- patches.rt/preempt-realtime-core.patch: Delete.
- patches.rt/preempt-realtime-debug-sysctl.patch: Delete.
- patches.rt/preempt-realtime-drivers-pci-hotplug.patch: Delete.
- patches.rt/preempt-realtime-fs-block.patch: Delete.
- patches.rt/preempt-realtime-gtod-fixups.patch: Delete.
- patches.rt/preempt-realtime-i386.patch: Delete.
- patches.rt/preempt-realtime-ia64.patch: Delete.
- patches.rt/preempt-realtime-ide.patch: Delete.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Delete.
- patches.rt/preempt-realtime-input.patch: Delete.
- patches.rt/preempt-realtime-ipc.patch: Delete.
- patches.rt/preempt-realtime-irqs.patch: Delete.
- patches.rt/preempt-realtime-loopback.patch: Delete.
- patches.rt/preempt-realtime-mips.patch: Delete.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Delete.
- patches.rt/preempt-realtime-mm.patch: Delete.
- patches.rt/preempt-realtime-netconsole.patch: Delete.
- patches.rt/preempt-realtime-net-drivers.patch: Delete.
- patches.rt/preempt-realtime-net.patch: Delete.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Delete.
- patches.rt/preempt-realtime-powerpc-a7.patch: Delete.
- patches.rt/preempt-realtime-powerpc-add-raw-relax-macros.patch:
  Delete.
- patches.rt/preempt-realtime-powerpc-b2.patch: Delete.
- patches.rt/preempt-realtime-powerpc-b3.patch: Delete.
- patches.rt/preempt-realtime-powerpc-b4.patch: Delete.
- patches.rt/preempt-realtime-powerpc-celleb-raw-spinlocks.patch:
  Delete.
- patches.rt/preempt-realtime-powerpc-missing-raw-spinlocks.patch:
  Delete.
- patches.rt/preempt-realtime-powerpc.patch: Delete.
- patches.rt/preempt-realtime-powerpc-tlb-batching.patch: Delete.
- patches.rt/preempt-realtime-powerpc-update.patch: Delete.
- patches.rt/preempt-realtime-ppc-more-resched-fixups.patch:
  Delete.
- patches.rt/preempt-realtime-ppc-need-resched-delayed.patch:
  Delete.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch: Delete.
- patches.rt/preempt-realtime-printk.patch: Delete.
- patches.rt/preempt-realtime-profiling.patch: Delete.
- patches.rt/preempt-realtime-rawlocks.patch: Delete.
- patches.rt/preempt-realtime-rcu.patch: Delete.
- patches.rt/preempt-realtime-sched-i386.patch: Delete.
- patches.rt/preempt-realtime-sched.patch: Delete.
- patches.rt/preempt-realtime-sh.patch: Delete.
- patches.rt/preempt-realtime-sound.patch: Delete.
- patches.rt/preempt-realtime-supress-cpulock-warning.patch:
  Delete.
- patches.rt/preempt-realtime-supress-nohz-softirq-warning.patch:
  Delete.
- patches.rt/preempt-realtime-supress-rtc-printk.patch: Delete.
- patches.rt/preempt-realtime-timer.patch: Delete.
- patches.rt/preempt-realtime-usb.patch: Delete.
- patches.rt/preempt-realtime-warn-and-bug-on-fix.patch: Delete.
- patches.rt/preempt-realtime-warn-and-bug-on.patch: Delete.
- patches.rt/preempt-realtime-x86_64.patch: Delete.
- patches.rt/preempt-rt-cs5530-lock-ide-fix.patch: Delete.
- patches.rt/preempt-rt-no-slub.patch: Delete.
- patches.rt/preempt-softirqs-core.patch: Delete.
- patches.rt/print-might-sleep-hack.patch: Delete.
- patches.rt/quicklist-release-before-free-page-fix.patch: Delete.
- patches.rt/quicklist-release-before-free-page.patch: Delete.
- patches.rt/radix-tree-gang_lookup_slot.patch: Delete.
- patches.rt/radix-tree-use-indirect-bit.patch: Delete.
- patches.rt/random-driver-latency-fix.patch: Delete.
- patches.rt/rcu-1.patch: Delete.
- patches.rt/rcu-2.patch: Delete.
- patches.rt/rcu-3.patch: Delete.
- patches.rt/rcu-4.patch: Delete.
- patches.rt/rcu-classic-fixup.patch: Delete.
- patches.rt/rcu-hrt-fixups.patch: Delete.
- patches.rt/rcu-preempt-fix-nmi-watchdog.patch: Delete.
- patches.rt/rcu-preempt-fix-rcu-torture.patch: Delete.
- patches.rt/rcu-tasklet-softirq.patch: Delete.
- patches.rt/rcu-various-fixups.patch: Delete.
- patches.rt/realtime-lsm.patch: Delete.
- patches.rt/redo-regparm-option.patch: Delete.
- patches.rt/remove-check-pgt-cache-from-cpu-idle.patch: Delete.
- patches.rt/replace-bugon-by-warn-on.patch: Delete.
- patches.rt/reset-latency-histogram.patch: Delete.
- patches.rt/rfkill-input-fix.patch: Delete.
- patches.rt/rt-apis.patch: Delete.
- patches.rt/rt-kmap-scale-fix.patch: Delete.
- patches.rt/rt-mutex-arm-fix.patch: Delete.
- patches.rt/rt-mutex-arm.patch: Delete.
- patches.rt/rt-mutex-compat-semaphores.patch: Delete.
- patches.rt/rt-mutex-core.patch: Delete.
- patches.rt/rtmutex-debug.h-cleanup.patch: Delete.
- patches.rt/rt-mutex-delayed-resched.patch: Delete.
- patches.rt/rt-mutex-drop-generic-TIF_NEED_RESCHED_DELAYED.patch:
  Delete.
- patches.rt/rt-mutex-i386.patch: Delete.
- patches.rt/rt-mutex-irq-flags-checking.patch: Delete.
- patches.rt/rt-mutex-mips.patch: Delete.
- patches.rt/rt-mutex-ppc-fix-a5.patch: Delete.
- patches.rt/rt-mutex-ppc.patch: Delete.
- patches.rt/rt-mutex-preempt-debugging.patch: Delete.
- patches.rt/rt-mutex-spinlock-might-sleep.patch: Delete.
- patches.rt/rt-mutex-spinlock-nested-export-fix.patch: Delete.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Delete.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Delete.
- patches.rt/rt-mutex-trylock-export.patch: Delete.
- patches.rt/rt-mutex-x86-64.patch: Delete.
- patches.rt/rt-page_alloc.patch: Delete.
- patches.rt/rt-slab-new.patch: Delete.
- patches.rt/rt-time-starvation-fix.patch: Delete.
- patches.rt/RT_utsname.patch: Delete.
- patches.rt/sched-cfs-latest.patch: Delete.
- patches.rt/sched-cfs-v2.6.22.1-v19.patch: Delete.
- patches.rt/sched-rt-balance-fix.patch: Delete.
- patches.rt/sched-upstream.patch: Delete.
- patches.rt/select-error-leak-fix.patch: Delete.
- patches.rt/serial-locking-rt-cleanup.patch: Delete.
- patches.rt/serial-slow-machines.patch: Delete.
- patches.rt/series: Delete.
- patches.rt/s_files-barrier.patch: Delete.
- patches.rt/s_files.patch: Delete.
- patches.rt/s_files-per_cpu-flush-fix.patch: Delete.
- patches.rt/s_files-per_cpu-rt.patch: Delete.
- patches.rt/s_files-pipe-fix.patch: Delete.
- patches.rt/s_files-proc-generic-fix.patch: Delete.
- patches.rt/s_files-schedule_on_each_cpu_wq.patch: Delete.
- patches.rt/slab-fix.patch: Delete.
- patches.rt/slob-scale-break-out-caches.patch: Delete.
- patches.rt/slob-scale-no-bigblock-list.patch: Delete.
- patches.rt/smaller-trace.patch: Delete.
- patches.rt/smp-processor-id-fixups.patch: Delete.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Delete.
- patches.rt/softlockup-print-regs.patch: Delete.
- patches.rt/spinlock-init-cleanup.patch: Delete.
- patches.rt/spinlock-trylock-cleanup-sungem.patch: Delete.
- patches.rt/tasklet-busy-loop-hack.patch: Delete.
- patches.rt/tasklet-fix-preemption-race.patch: Delete.
- patches.rt/tasklet-more-fixes.patch: Delete.
- patches.rt/tasklet-redesign.patch: Delete.
- patches.rt/tick-management-spread-timer-interrupt.patch: Delete.
- patches.rt/timekeeping-fixup-shadow-variable-argument.patch:
  Delete.
- patches.rt/timerc-cleanup-recently-introduced-whitespace-damage.patch:
  Delete.
- patches.rt/timer-freq-tweaks.patch: Delete.
- patches.rt/time-warp-detect.patch: Delete.
- patches.rt/trace-cpuidle.patch: Delete.
- patches.rt/trace-name-plus.patch: Delete.
- patches.rt/trace-sti-mwait.patch: Delete.
- patches.rt/trace-with-caller-addr.patch: Delete.
- patches.rt/undo-latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/use-write_trylock_irqsave-in-ptrace_attach.patch:
  Delete.
- patches.rt/version.patch: Delete.
- patches.rt/vortex-fix.patch: Delete.
- patches.rt/vsyscall-add-notrace.patch: Delete.
- patches.rt/write-try-lock-irqsave.patch: Delete.
- patches.rt/x86_64-apic-add-clockevents-functions.patch: Delete.
- patches.rt/x86_64-apic-calibration-remove-divisor.patch: Delete.
- patches.rt/x86_64-apic-change-setup-calling-convention.patch:
  Delete.
- patches.rt/x86_64-apic-remove-bogus-pit-synchronization.patch:
  Delete.
- patches.rt/x86_64-apic-remove-nested-irq-disable.patch: Delete.
- patches.rt/x86_64-apic-shuffle-calibration-around.patch: Delete.
- patches.rt/x86_64-apic-whitespace-comment-and-remove-unused-code.patch:
  Delete.
- patches.rt/x86_64-cleanup-apic-c.patch: Delete.
- patches.rt/x86_64-consolidate-tsc-calibration.patch: Delete.
- patches.rt/x86_64-convert-to-clockevents.patch: Delete.
- patches.rt/x86_64-fix-apic-typo.patch: Delete.
- patches.rt/x86_64-fix-irq-regs-leftovers.patch: Delete.
- patches.rt/x86_64-hpet-tsc-calibration-fix-broken-smi-detection-logic.patch:
  Delete.
- patches.rt/x86_64-i8259-remove-useless-forward-declaration.patch:
  Delete.
- patches.rt/x86_64-preparatory-apic-set-lvtt.patch: Delete.
- patches.rt/x86_64-prep-idle-loop-for-dynticks.patch: Delete.
- patches.rt/x86_64-remove-dead-code-and-other-janitor-work-in-tscc.patch:
  Delete.
- patches.rt/x86_64-remove-unused-code.patch: Delete.
- patches.rt/x86_64-share-hpet-h.patch: Delete.
- patches.rt/x86-64-smpboot-whitespace.patch: Delete.
- patches.rt/x86_64-timec-fix-whitespace-wreckage.patch: Delete.
- patches.rt/x86-64-traps-move-held-locks-output.patch: Delete.
- patches.rt/x86-64-tscless-vgettimeofday.patch: Delete.
- patches.rt/x86_64-tsc-sync-irqflags-fix.patch: Delete.
- patches.rt/x86_64-untangle-asm-hpeth-from-asm-timexh.patch:
  Delete.
- patches.rt/x86_64-use-generic-cmos-update.patch: Delete.
- patches.rt/x86_64-use-generic-xtime-init.patch: Delete.
- patches.rt/x86_64-use-i386-i8253-h.patch: Delete.
* Wed Sep 12 2007 kkeil@suse.de
- patches.drivers/e1000-eeprom-cksum.patch: Delete.
- patches.drivers/e1000-7.5.5.1.patch: Update e1000 to 7.5.5.1.
  (309526)
* Wed Sep 12 2007 sdietrich@suse.de
- patches.rt/: Add 300+ patches from 2.6.22.1-rt29-broken-out series
- patches.rt/fix_get_monotonic_cycles_for_latency_tracer.patch:
  fix get_monotonic_cycles for latency tracer.
- patches.rt/initialize-clock-source-to-jiffies_clock.patch:
  initialize the clock source to jiffies clock.
- patches.rt/time_keeping-add-cycle_raw-for-actual-incrementation.patch:
  time keeping add cycle_raw for actual incrementation.
- patches.rt/preempt_sched_hooks.patch: Delete - obsolete.
- Update config files: turn off i386/X86_GENERIC
  remove PREEMPT_HOOKS: obsolete
* Tue Sep 11 2007 bwalle@suse.de
- rpm/post.sh: Don't run mkinitrd during installation (308984)
* Tue Sep 11 2007 jbeulich@novell.com
- patches.xen/xen-isa-dma: Suppress all use of ISA DMA on Xen.
* Tue Sep 11 2007 jjohanse@suse.de
- patches.apparmor/apparmor-log-audit-type.diff: log audit
  message type so it is present in syslog (304491).
* Mon Sep 10 2007 olh@suse.de
- add patches.arch/ppc-prom-nodisplay.patch
  new prom=nodisplay option to avoid crash in firmware on B50
* Fri Sep 07 2007 carnold@novell.com
- patches.xen/30-bit-field-booleans.patch: Packet loss in DomU -xen
  netback driver (306896).
* Fri Sep 07 2007 jdelvare@suse.de
- patches.suse/bootsplash: Add missing newline at end of log
  messages and missing prefix at the beginning of log messages.
  Adapt the log level to the type of message.
* Fri Sep 07 2007 bwalle@suse.de
- Update config files: fix i386/rt{,_debug} and x86_64/rt{,_debug}
  builds
- move patches.xen/rename-TSS_sysenter_esp0-SYSENTER_stack_esp0.patch
  to patches.fixes/rename-TSS_sysenter_esp0-SYSENTER_stack_esp0.patch
  because the fix is also needed if the Xen patches are not applied
  (RT case)
* Fri Sep 07 2007 teheo@suse.de
  Fix patch contamination.
- patches.drivers/libata-ata_piix-suspend-workaround-for-toshiba-laptops:
  ata_piix: fix suspend for several Toshiba laptops (308486).
* Fri Sep 07 2007 teheo@suse.de
  A bunch of libata fixes.  Mostly backport of pending fixes for
  2.6.23 and 24.
- patches.drivers/libata-unlock-hpa-by-default: libata: unlock
  HPA by default (299267).
- patches.drivers/libata-atapi-passthru16: libata: add support
  for ATA_16 on ATAPI (308482).
- patches.drivers/libata-clear-horkage-on-ata_dev_init: : libata
  clear horkage on ata_dev_init() (308490).
- patches.drivers/libata-fix-n_sectors-handling-during-revalidation:
  libata: fix n_sectors handling during revalidation (308493).
- patches.drivers/libata-add-pata_dma-kernel-parameter: libata:
  Add a drivers/ide style  DMA disable (229260 272786).
- patches.drivers/libata-improve-diagnostic-failure-handling:
  libata: improve diagnostic failure handling (308499).
- patches.drivers/libata-add-NCQ-spurious-completion-horkages:
  libata: add devices to NCQ spurious completion horkage (308500).
- patches.drivers/libata-add-broken-HPA-horkages: libata: add
  devices to BROKEN HPA list (308502).
- patches.drivers/libata-improve-hpa-failure-handling: libata:
  improve HPA failure handling (308503 299267).
- patches.drivers/libata-ata_piix-suspend-workaround-for-toshiba-laptops:
  ata_piix: fix suspend for several Toshiba laptops (308486).
- patches.drivers/libata-ata_piix-implement-IOCFG-bit18-quirk:
  ata_piix: implement IOCFG bit18 quirk. (308489)
- patches.drivers/libata-pata_it821x-fix-initialization-bug:
  pata_it821x: Fix regression/corruptor (308504).
- patches.drivers/libata-sata_via-fix-write-errors-on-PATA-drive-connected-to-VT6421:
  Fix sata_via write errors on PATA drive connected to VT6421
  (308507).
- patches.drivers/libata-more-machines-for-short-cable-list:
  libata: more machines for short cable list (308510).
- patches.drivers/libata-add-pci-ids-for-intel-tolapi: libata:
  add PCI IDs for intel tolapai (308512).
- patches.drivers/libata-pata_marvell-add-PCI-IDs: pata_marvell:
  Add more identifiers (308513).
* Thu Sep 06 2007 bwalle@suse.de
- Update config files: Switch from CONFIG_RT to CONFIG_GEN_RTC
  (#287539)
* Wed Sep 05 2007 fseidel@suse.de
- patches.fixes/acpi_autoload_baydock.patch: bay and dock driver
  didn't get loaded (302482).
* Tue Sep 04 2007 sven@suse.de
- accomodate i386 KDB dependency on xen3-auto-arch-i386.diff
  to address RT build failures.
* Tue Sep 04 2007 olh@suse.de
- add patches.drivers/libata-scc-ata_link.patch
  active_tag member is now in ata_port->link (307181)
* Tue Sep 04 2007 hare@suse.de
- patches.suse/kbd-ignore-gfx.patch: setfont breaks first Xserver
  start (302010).
* Mon Sep 03 2007 jbeulich@novell.com
- scripts/run_oldconfig.sh: fix double use of 'trap'
* Mon Sep 03 2007 jbeulich@novell.com
- patches.xen/136-pae-vmalloc-sync-all.patch: xen/i386: Fix
  vmalloc_sync_all() for PAE.
- patches.xen/137-netfront-copy-release.patch: [NETFRONT] Implement
  netif_release_rx_bufs for the copying case.
- patches.xen/141-driver-autoload.patch: Xen frontend driver module
  autoloading.
- patches.xen/144-xenbus-dev-wait.patch: xenbus: Wait for 30s for
  devices to connect (previously 10s).
- patches.xen/145-xenbus-error-path.patch: xenbus: Fix obvious use-
  after-free spotted by Coverity checker.
- patches.xen/148-blkfront-no-bounce-bufs.patch: BLKFRONT: Make sure
  we don't use bounce buffers, we don't need them.
- patches.xen/152-netloop-check-cloned-skb.patch: [NET] netloop: Do
  not clobber cloned skb page frags
- patches.xen/157-netfront-skb-deref.patch: net front: Avoid
  deref'ing skb after it is potentially freed.
- Refresh other Xen patches.
* Fri Aug 31 2007 jeffm@suse.de
- Applied rest of fix for not dirtying inode after changing i_mode
  with no old ACL on reiserfs (306621).
* Fri Aug 31 2007 jblunck@suse.de
- rpm/post.sh: don't execute mkinitrd and update-bootloader when
  mkinitrd isn't installed (like for kernel-syms in the buildservice)
* Thu Aug 30 2007 jeffm@suse.de
- ocfs2: Fixed problem where events wouldn't get delivered for all
  nodes while using disk heartbeat. (296606).
* Thu Aug 30 2007 schwab@suse.de
- Update kdb patches.
* Thu Aug 30 2007 jeffm@suse.de
- patches.suse/reiserfs-use-generic-xattr-handlers.diff: Fixed
  problem where the inode wouldn't get dirtied when i_mode is used
  to represent an ACL but no previous ACL existed.
* Wed Aug 29 2007 jeffm@suse.de
- Enabled CONFIG_PARAVIRT and CONFIG_VMI (282026).
* Wed Aug 29 2007 jdelvare@suse.de
- supported.conf: Update the list of hwmon drivers (all
  unsupported).
- supported.conf: Update the list of i2c bus drivers (all
  supported).
* Wed Aug 29 2007 jdelvare@suse.de
- config/alpha/*, config/ia64/*: Exclude x86-only hwmon drivers
  (abituguru, asb100, fscher, fscpos).
- config/alpha/default: Restore CONFIG_SENSORS_ADM1029, not sure
  why it was left out.
- config/ia64/*: Restore CONFIG_SENSORS_LM90 and
  CONFIG_SENSORS_W83L785TS, not sure why these were left out.
* Tue Aug 28 2007 jblunck@suse.de
- scripts/compute-PATCHVERSION.sh: another extra-symbols fix.
* Tue Aug 28 2007 jblunck@suse.de
- scripts/run_oldconfig.sh: extra-symbols are included in all flavors.
* Tue Aug 28 2007 bwalle@suse.de
- config/i386/debug: re-enable KDB for i386-debug.
* Tue Aug 28 2007 bwalle@suse.de
- rpm/post.sh: don't execute mkinitrd and update-bootloader in
  the build environment
* Tue Aug 28 2007 sdietrich@suse.de
- Update config files: experimental RT configs for PPC and s390
- config.conf: add RT flavors for PPC and S390
* Tue Aug 28 2007 olh@suse.de
- remove unused patches.arch/ppc-ps3tree-ps3-wip_ps3-gelic-wireless.diff
- remove netif_poll_disable call from gelic_net_stop to fix hang
  during interface shutdown
* Mon Aug 27 2007 jeffm@suse.de
- Reorganized series.conf and refreshed patches. This looks like
  a huge patch, but the result is source identical to the previous
  revision.
* Mon Aug 27 2007 sdietrich@suse.de
- patches.fixes/fix_futex_compat_bug.patch
- patches.fixes/hrtimer_fix_cpu_pointer_arg_to-clockevents_notify
	- Add Subject: and diffstat -p1 to each patch
* Mon Aug 27 2007 sdietrich@suse.de
- Update config files: run_oldconfig.sh on updated rt configs
* Mon Aug 27 2007 sdietrich@suse.de
- Update config files:  sync i386 default->rt
  and debug->rt_debug
* Mon Aug 27 2007 olh@suse.de
- add patches.arch/ppc-atyfb-force-xtal.patch
  force 29MHz xtal on G3 PowerBooks
* Mon Aug 27 2007 olh@suse.de
- add patches.arch/ppc-bmac-ethtool.patch
  simple ethtool support for network manager
* Mon Aug 27 2007 sven@suse.de
- patches.rt/declare_cpu_clock_function.patch:
  declare cpu_clock as extern function.
* Mon Aug 27 2007 sdietrich@suse.de
- patches.fixes/hrtimer_fix_cpu_pointer_arg_to-clockevents_notify:
  correct parameter passed by hrtimer_cpu_notify
* Mon Aug 27 2007 sdietrich@suse.de
- patches.rt/use-num_possible_cpus-instead_of-NR_CPUS-for_timer_distribution.patch:
  Improve distribution of sched_timer calls.
* Mon Aug 27 2007 sdietrich@suse.de
- patches.rt/preemption-problem_in_net.patch: restore recursion check
* Mon Aug 27 2007 sdietrich@suse.de
- patches.fixes/fix_futex_compat_bug.patch: futex bug fix
- patches.rt/do-not-BUG_ON-in-exit-for-in_interrupt.patch:
  don't BUG_ON in exit for in_interrupt: prevent double fault
* Mon Aug 27 2007 sdietrich@suse.de
- patches.rt/loadavg_fixes_weird_loads.patch: Fix spurious system
  load spikes observed in /proc/loadavgrt
* Sat Aug 25 2007 jeffm@suse.de
- Compile fix for last patch with Xen.
* Sat Aug 25 2007 jeffm@suse.de
- patches.fixes/i386-use-global-flag-to-disable-broken-local-apic-
  timer-on-AMD-cpus.diff: i386: Use global flag to disable broken
  local apic timer on AMD CPUs. (296661).
* Sat Aug 25 2007 trenn@suse.de
- patches.arch/acpi_thinkpad_backlight_lenovo_fixes.patch:
  ThinkPad: Brightness control for Lenovo ThinkPads
  (https://bugzilla.novell.com/attachment.cgi?id=158263).
- patches.arch/acpi_enable_gpes_before_wak.patch: Enable GPEs
  before _WAK ACPI wakeup func is called.
- patches.arch/acpi_thinkpad_fix_module_unloading.patch: ACPI:
  thinkpad-acpi: fix the module init failure path (none).
* Sat Aug 25 2007 philips@suse.de
- Add CONFIG_E1000E to config files
- patches.drivers/e1000e.patch: e1000e: pci-express e1000 driver
  (currently ICH9 only) (FATE 302349).
* Thu Aug 23 2007 olh@suse.de
- add patches.suse/squashfs.patch to simplify installation debugging
* Thu Aug 23 2007 sven@suse.de
- Update config files: sync x86_64  default->rt
  and debug->rt_debug
* Thu Aug 23 2007 bwalle@suse.de
- rpm/post.sh:
  o Added check for /etc/sysconfig/bootloader before executing
  bootloader_entry to preventing installation errors in case of
  shared boot partitions. (#303734)
  o Also execute mkinitrd if bootloader files missing, this problem
  has been introduced with last change.
* Thu Aug 23 2007 olh@suse.de
- add patches.arch/ppc-ps3-video-synmaster.patch
  handle another monitor properly
* Thu Aug 23 2007 sdietrich@suse.de
- Update RT config files: sync NET settings
* Thu Aug 23 2007 gregkh@suse.de
- Update to 2.6.22.5 which fixed a lot of bugs and caused the
  following patches to drop out:
	- patches.arch/i386-compat-vdso
	- patches.drivers/ati-sb700-sata-add-all-ids.patch
	- patches.fixes/suspend_check_for_invalid_mem.patch
* Wed Aug 22 2007 sdietrich@suse.de
- update RT config files: disable CONFIG_SYSFS_DEPRECATED
* Wed Aug 22 2007 olh@suse.de
- enable MODULE_DEVICE_TABLE in snd-mpc52xx-ac97
* Wed Aug 22 2007 olh@suse.de
- reduce ps3fb memsize from 18MB to 9MB
* Wed Aug 22 2007 jbeulich@novell.com
- Also resync Xen configs.
* Tue Aug 21 2007 olh@suse.de
- build ps3 sys-manager into the kernel to allow reboot in all cases
* Tue Aug 21 2007 tiwai@suse.de
- Update config files: disable CONFIG_SND_*_FIRMWARE_IN_KERNEL
  since we have already firmware files on 10.3.
* Tue Aug 21 2007 teheo@suse.de
- patches.drivers/pci-rx790-disable-msi: PCI: disable MSI on RX790
  (302016).
* Tue Aug 21 2007 gregkh@suse.de
- Fix up -rt patches to apply with the change to 2.6.22.4, ripping out
  the -rt Makefile changes so this doesn't happen again...
* Tue Aug 21 2007 gregkh@suse.de
- Update to 2.6.22.4
  - fixes CVE-2007-3848
* Mon Aug 20 2007 bwalle@suse.de
- rpm/post.sh: Execute update-bootloader script also during update
  (#300930)
* Mon Aug 20 2007 ak@suse.de
- patches.suse/wireless-no-aes-select: Don't force select AES
  in wireless.
- Work around bug in vanilla kernel spec
- Really disable C AES and TWOFISH for x86 kernels
* Mon Aug 20 2007 ak@suse.de
- Disable C versions of AES and TWOFISH algorithms on x86.
  The assembler versions are faster and this way modprobe
  aes|twofish will pick up the faster implementions directly.
* Sat Aug 18 2007 trenn@suse.de
- patches.arch/acpi_autoloading_ia64_hp_fix.patch: Use
  acpi_device_id for IA64 HP driver, otherwise those fail to boot.
* Fri Aug 17 2007 teheo@suse.de
- patches.drivers/scsi-throttle-SG_DXFER_TO_FROM_DEV-warning-better:
  SCSI: throttle SG_DXFER_TO_FROM_DEV warning message better
  (290117).
* Fri Aug 17 2007 teheo@suse.de
- patches.drivers/pci-rd580-disable-msi: PCI: disable MSI on RD580
  (299575).
* Fri Aug 17 2007 jjohanse@suse.de
- patches.apparmor/apparmor-stack_secondary.diff: allow apparmor
  to stack with dazuko (300965).
* Fri Aug 17 2007 olh@suse.de
- update patches.arch/ppc-pegasos-via-ata-legacy-irq.patch
  restore irq assignment in via82cxxx
  update also pci_dev->class
* Fri Aug 17 2007 olh@suse.de
- remove version requirement for perl-Bootloader
  any installed version will work (300337)
* Fri Aug 17 2007 olh@suse.de
- add patches.arch/ppc-pegasos-via-ata-legacy-irq.patch
  advertise correct IDE mode on Pegasos2
* Fri Aug 17 2007 schwab@suse.de
- Fix an invalid semicolon.
* Fri Aug 17 2007 agruen@suse.de
- Update the nfs4acl patch; merge Suresh Jayaraman's acl caching
  code (with fixes).
* Fri Aug 17 2007 jbeulich@novell.com
- patches.suse/crasher-26.diff: fix parameter name spelling in
  descriptions.
* Thu Aug 16 2007 trenn@suse.de
- patches.arch/acpi_autoloading_interface.patch:
  Remove dummy in struct to avoid a lot compile warnings due to
  wrong initialisations
* Thu Aug 16 2007 oneukum@suse.de
- patches.suse/usb_printer_no_auto.diff
  USB: disable autosuspend for printers, as it generates
  only limited practical benefit but breaks some printers
* Thu Aug 16 2007 olh@suse.de
- add patches.arch/ppc-ps3-storage-fix-probe-msgs.diff
  add patches.arch/ppc-ps3-storage-fix-probe-region-loop.diff
  more changes to make cold boot robust
* Thu Aug 16 2007 agruen@suse.de
- rpm/kernel-syms.spec.in: make sure that the release numbers of
  all the dependent kernel-$flavor packages match the kernel-syms
  release number. (This is an additional safety check; the build
  system should already make sure that the release numbers match.)
* Thu Aug 16 2007 teheo@suse.de
- patches.drivers/pci-rs690-disable-msi: PCI: disable MSI on RS690
  (299010).
* Thu Aug 16 2007 gregkh@suse.de
- patches.drivers/usb-fix-support-for-dell-wireless-broadband.patch:
  USB: fix support for Dell Wireless Broadband (aka WWAN).
* Thu Aug 16 2007 gregkh@suse.de
- patches.drivers/usb-support-blackberry-pearl-with-berry_charge.patch:
  USB: Support Blackberry Pearl with berry_charge.
* Thu Aug 16 2007 gregkh@suse.de
- fix rt patches so they apply again.
* Thu Aug 16 2007 gregkh@suse.de
- patch refresh for fuzz due to 2.6.22.3 update
* Thu Aug 16 2007 gregkh@suse.de
- patches.drivers/usb-update-unusual_devs.h.patch: USB: update
  unusual_devs.h from 2.6.23-rc4.
* Wed Aug 15 2007 gregkh@suse.de
- patches.drivers/usb-quirk-table-update.patch: USB: update
  quirk table with info from 2.6.23-rc3.
* Wed Aug 15 2007 gregkh@suse.de
- Update to 2.6.22.3 which dropped the following patches from our tree:
  - patches.drivers/libata-ata_piix-update-map-10b-for-ich8m
  - patches.fixes/random-fix-bound-check-ordering.diff
  - patches.fixes/cpufreq_check_negative_load.patch
  - patches.fixes/cpufreq_fix_tickless_acounting.patch
  - patches.drivers/libata-update-libata-to-libata-dev-upstream-5ddf.patch:
  libata: update libata to libata-dev#upstream (5ddf24c5)
  (288078).
* Wed Aug 15 2007 schwab@suse.de
- No longer build with gcc41.
* Wed Aug 15 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: Update perl-Bootloader version in
  requirement (#263819)
* Wed Aug 15 2007 ak@suse.de
- patches.arch/x86-early-quirks-unificiation: x86: Unify i386
  and x86-64 early quirks.
- patches.arch/x86-nvidia-timer-quirk: Replace nvidia timer
  override quirk with pci id list and unify quirks.
- patches.arch/x86-fam10-l3cache: i386: Add L3 cache support to
  AMD CPUID4 emulation.
- patches.arch/i386-compat-vdso: i386: allow debuggers to access
  the vsyscall page with  compat vDSO.
- patches.xen/xen3-auto-arch-i386.diff: Merge
- patches.xen/xen-x86-no-lapic: Merge
- patches.xen/xen3-x86-early-quirks-unificiation: x86: Unify
  i386 and x86-64 early quirks.
- patches.xen/xen3-x86-fam10-l3cache: i386: Add L3 cache support
  to AMD CPUID4 emulation.
* Wed Aug 15 2007 teheo@suse.de
  VIA ahci's lie about PMP support too.  Blacklist them.
- patches.drivers/libata-ahci-no-pmp.patch: ahci: disable PMP
  support on SB600/700 (299010).
* Tue Aug 14 2007 olh@suse.de
- fix patches.arch/ppc-ps3-edd2a9d185799354db255de62c3ed1f2b1c6b0f4.patch
  reset error code to 0 on successful probing, to actually find disks
* Tue Aug 14 2007 olh@suse.de
- add patches.arch/ppc-ps3video-ps3-wip_ps3av-dvi-autodetect.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-kill-PS3AV_DEBUG.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-kill-boot-parameter.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-kill-temporaries.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-kill-unused-ps3av_set_mode.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-monitor-quirks.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-use-mode-id-in-autodetect.diff
  add patches.arch/ppc-ps3video-ps3-wip_ps3av-vesa-autodetect.diff
  patches from ps3-linux-tree, improve monitor autodetection
* Tue Aug 14 2007 olh@suse.de
- add patches.arch/ppc-ps3-edd2a9d185799354db255de62c3ed1f2b1c6b0f4.patch
  Fix storage probe logic on coldboot
* Tue Aug 14 2007 olh@suse.de
- update patches.arch/ppc-efika-bestcomm-ethernet.patch
  disable unloading, add device symlink to make linuxrc happy
* Tue Aug 14 2007 teheo@suse.de
- patches.drivers/libata-ahci-priv-flags.patch: ahci: implement
  hpriv->flags (299010).
- patches.drivers/libata-ahci-no-pmp.patch: ahci: disable PMP
  support on SB600/700 (299010).
* Tue Aug 14 2007 sven@suse.de
- series.conf: remove comment pertaining to RT quickadjust patch
* Mon Aug 13 2007 gregkh@suse.de
- rpm/kernel-binary.spec.in: remove pointless comment in spec file
* Mon Aug 13 2007 olh@suse.de
- build efika fec_mpc52xx network driver as module
* Mon Aug 13 2007 trenn@suse.de
- patches.arch/acpi_dock_uevent_fix.patch: ACPI: dock: Send
  key=value pair instead of plain value (none).
- patches.arch/acpi_bay_uevent_fix.patch: ACPI: bay: send envp
  with uevent (none).
* Mon Aug 13 2007 trenn@suse.de
- patches.fixes/cpufreq_check_negative_load.patch:
  ondemand: add a check to avoid negative load calculation
  (https://bugzilla.novell.com/show_bug.cgi?id=297355).
- patches.fixes/cpufreq_fix_tickless_acounting.patch: ondemand:
  fix tickless accounting and software coordination bug
  (https://bugzilla.novell.com/show_bug.cgi?id=297355).
* Mon Aug 13 2007 olh@suse.de
- add patches.arch/ppc-pegasos-console-autodetection.patch
  recognize the /failsafe stdout path
* Mon Aug 13 2007 sdietrich@novell.com
- patches.rt/patch-2.6.22.1-rt4.openSUSE: rebase to  2.6.22.2
- patches.rt/patch-2.6.22.1-rt4-5
- patches.rt/patch-2.6.22.1-rt5-6
- patches.rt/patch-2.6.22.1-rt6-7
- patches.rt/patch-2.6.22.1-rt7-8
- patches.rt/patch-2.6.22.1-rt8-9
* Fri Aug 10 2007 jeffm@suse.de
- Update config files: Resynced bigsmp with default.
* Fri Aug 10 2007 tiwai@suse.de
- patches.fixes/intel-agp-965gme-fix: Intel_agp: really fix
  945/965GME (281277).
* Fri Aug 10 2007 olh@suse.de
- add patches.arch/ppc-pegasos-keyboard-8042-check.patch
  fix Pegasos keyboard detection
* Fri Aug 10 2007 gregkh@suse.de
- patch refreshes to apply cleanly now that we rebased the root.
* Fri Aug 10 2007 gregkh@suse.de
- updated to 2.6.22.2
 - lots of bugfixes and also CVE-2007-3851
 - removed the following patches, as they are now obsolete as they are
  rolled into the 2.6.22.2 release:
	- patches.fixes/dm-raid1-fix-status.patch: Delete.
	- patches.fixes/dm-io-fix-panic-on-large-request.patch: Delete.
	- patches.fixes/dm-snapshot-permit-invalid-activation.patch:
	- patches.fixes/dm-disable-barriers.patch: Delete.
- Update config files.
* Thu Aug 09 2007 jeffm@suse.de
- patches.suse/reiserfs-signedness-fixes.diff: reiserfs: fix
  usage of signed ints for block numbers (294754).
- patches.suse/reiserfs-fix-large-fs.diff: reiserfs: ignore
  s_bmap_nr on disk for file systems >= 8 TiB (294754).
- patches.suse/reiserfs-fix-resize-meminit.diff: reiserfs:
  fix memset byte count during resize.
* Wed Aug 08 2007 garloff@suse.de
- patches.fixes/make-swappiness-safer-to-use.patch: Make low
  swappiness safe to use (288799, merged in -mm).
* Wed Aug 08 2007 olh@suse.de
- compile isofs into the kernel until linuxrc uses modprobe (298345)
* Wed Aug 08 2007 olh@suse.de
- disable gelic wireless, apparently incomplete
* Wed Aug 08 2007 trenn@suse.de
- patches.arch/dmi_autoloading.patch: DMI-based module autoloading
- patches.arch/thinkpad_dmi_autoloading.patch: thinkpad-acpi:
  add DMI-based modalias.
- Update config files.
* Wed Aug 08 2007 sdietrich@novell.com
- Update config files: make RT Kernel tickless
- patches.rt/patch-2.6.22.1-rt4.openSUSE: resolve conflicts
* Wed Aug 08 2007 sdietrich@novell.com 
- Update RT config files for tickless Kernel.
- patches.rt/patch-2.6.22.1-rt4.openSUSE: Resolve conflicts.
* Tue Aug 07 2007 olh@suse.de
- update preinstall diskspace check
  handle missing /etc/mtab, handle failed df call
* Tue Aug 07 2007 teheo@suse.de
  Update and revive govault patch.
- patches.drivers/libata-add-waits-for-govault: libata: add
  waits for GoVault (246451).
* Tue Aug 07 2007 teheo@suse.de
- patches.drivers/libata-implement-BROKEN_HPA-horkage-and-apply-it-to-HDS724040KLSA80:
  libata: implement BROKEN_HPA horkage and apply it to
  HDS724040KLSA80.
* Tue Aug 07 2007 olh@suse.de
- add patches.arch/ppc-dma_mask.patch
  Fix initialization and usage of dma_mask, required for sbp2
* Mon Aug 06 2007 teheo@suse.de
- patches.drivers/libata-ata_piix-update-map-10b-for-ich8m:
  ata_piix: update map 10b for ich8m.
* Mon Aug 06 2007 jbeulich@novell.com
- patches.xen/82-blkdev-wait.patch: Delay wait for block devices until
  after the disk is added.
- patches.xen/95-privcmd-wrlock.patch: privcmd: Take write lock on mm
  semaphore when calling.
- patches.xen/xen-blkback-cdrom: CDROM removable media-present
  attribute plus handling code (159907).
- patches.xen/xen3-patch-2.6.19,
  patches.xen/xen3-patch-2.6.20,
  patches.xen/xen3-patch-2.6.22: Refresh.
* Mon Aug 06 2007 tiwai@suse.de
- patches.drivers/alsa-2.6.22-usb-fixes: Regenerated
- patches.drivers/alsa-hda-2.6.23-backport: Regenerated
- patches.drivers/alsa-hda-2.6.23-alc262-hp-jack-fix: Fix the
  initial mixer state of ALC262 sony-assamd model  (297005).
- patches.drivers/alsa-hda-2.6.23-ad1988-spdif-fix: Fix AD1988
  SPDIF output .
- patches.drivers/alsa-hda-2.6.23-alc861vd-asrock: Add support
  for the ASRock K8NF6G-VSTA motherboard.
- patches.drivers/alsa-hda-2.6.23-sigmatel-gpio-fix: Fix GPIO
  in resume in Sigmatel codecs.
* Mon Aug 06 2007 trenn@suse.de
- patches.arch/acpi_autoloading_acpica.patch:
- patches.arch/acpi_autoloading_interface.patch:
- patches.arch/acpi_autoloading_modaliases.patch:
- patches.fixes/cpufreq_move_policy_init.patch: ondemand as
  default governor.
- patches.fixes/cpufreq_ondemand_as_default.patch:
- Update config files.
  These are ACPI autoloading (via udev) and use ondemand as
  default governor when loading low-level cpufreq driver patches.
* Mon Aug 06 2007 olh@suse.de
- update patches.fixes/ieee1394-sbp2-dmamask.patch
  fix crash in sbp2_remove_device() when dma_set_mask() fails
* Mon Aug 06 2007 trenn@suse.de
- patches.rt/patch-2.6.22.1-rt4.openSUSE_quick_adjust: Big
  -rt patchset.
  Make rt and rt_debug patch and build again
* Sun Aug 05 2007 trenn@suse.de
- patches.fixes/suspend_check_for_invalid_mem.patch: Check for
  invalid memory on resume and suspend (#296242).
* Sat Aug 04 2007 olh@suse.de
- add ps3-gelic fixes from 2.6.23-rc2
* Sat Aug 04 2007 agruen@suse.de
- Don't make kernel-syms depend on kernel-$flavor packages that
  are based on a set of patches different from kernel-source:
  those packages won't match kernel-source, anyway.
* Fri Aug 03 2007 teheo@suse.de
  Enable more libata drivers on i386 and x86_64 - mostly ancient/legacy
  ones.
- Update config files.
* Thu Aug 02 2007 olh@suse.de
- add patches.fixes/ieee1394-04-ee9be425961c3ccf75553c83a73bf1f707e66d91.patch
  ieee1394: raw1394: Fix read() for 32bit userland on 64bit kernel
  add patches.fixes/ieee1394-05-883b97eaf2a3fba7628f9f78ca7dc422aaf9728b.patch
  ieee1394: raw1394: Fix write() for 32bit userland on 64bit kernel
  add patches.fixes/ieee1395-06-650c12c528d3e0ac69405dd35d3bc8a7228e49f2.patch
  ieee1394: raw1394: Add ioctl() for 32bit userland on 64bit kernel
  add patches.fixes/ieee1394-07-19f00e66f8aa7ee581c6d003fd68ee9f9dee4057.patch
  ieee1394: raw1394: Add ioctl() for 32bit userland on 64bit kernel, amendment
  add patches.fixes/ieee1394-08-59337087cb33db58aa0d4463892b4475cf66a50b.patch
  ieee1394: raw1394: fix a 32/64-bits compat fix
  add patches.fixes/ieee1394-11-8e4dc400b7659691abdd92b3fc01ef094fc8a1e7.patch
  ieee1394: eth1394: revert parent device to that in 2.6.20
  add patches.fixes/ieee1394-15-51ec138c6416e9ed2ba0eae3af5f0ea8a90ae44b.patch
  ieee1394: forgotten dereference...
  add patches.fixes/ieee1394-sbp2-dmamask.patch
  ieee1394: revert "sbp2: enforce 32bit DMA mapping"
  fixes crash on G5 when attaching a disk
  add patches.fixes/ieee1394-sbp2_long_sysfs_ieee1394_id.patch
  switch to long SAM-conforming format in /sys/bus/scsi/devices/.../ieee1394_id
  because the new firewire stack uses the long format per default
  may simplify upgrades from fresh 10.3 installs
* Thu Aug 02 2007 gregkh@suse.de
- patches.drivers/usb-quirk-table-update.patch: USB: update
  quirk table with info from 2.6.23-rc1.- fix build error
* Thu Aug 02 2007 gregkh@suse.de
- patches.drivers/usb-quirk-table-update.patch: USB: update
  quirk table with info from 2.6.23-rc1.
* Thu Aug 02 2007 teheo@suse.de
  libata port multiplier support.  #288078.
- patches.drivers/libata-ahci-implement-PMP-support.patch: ahci:
  implement PMP support (288078).
- patches.drivers/libata-clear-TF-before-IDENTIFYing.~1.2.~:
  libata: clear TF before IDENTIFYing.
- patches.drivers/libata-fix-up-build-after-upstream-update.patch:
  libata: fix up build after upstream update (288078).
- patches.drivers/libata-link-add-PMP-links.patch: libata-link:
  add PMP links (288078).
- patches.drivers/libata-link-implement-and-use-link-device-iterato.patch:
  libata-link: implement and use link/device iterators (288078).
- patches.drivers/libata-link-implement-ata_link_abort.patch:
  libata-link: implement ata_link_abort() (288078).
- patches.drivers/libata-link-introduce-ata_link.patch:
  libata-link: introduce ata_link (288078).
- patches.drivers/libata-link-linkify-EH-action-helpers.patch:
  libata-link: linkify EH action helpers (288078).
- patches.drivers/libata-link-linkify-PHY-related-functions.patch:
  libata-link: linkify PHY-related functions (288078).
- patches.drivers/libata-link-linkify-config-EH-related-functions.patch:
  libata-link: linkify config/EH related functions (288078).
- patches.drivers/libata-link-linkify-reset.patch: libata-link:
  linkify reset (288078).
- patches.drivers/libata-link-make-two-port-flags-HRST_TO_RESUME-an.patch:
  libata-link: make two port flags HRST_TO_RESUME and SKIP_D2H_BSY
  link flags (288078).
- patches.drivers/libata-link-separate-out-link-initialization-func.patch:
  libata-link: separate out link initialization functions
  (288078).
- patches.drivers/libata-link-update-EH-to-deal-with-PMP-links.patch:
  libata-link: update EH to deal with PMP links (288078).
- patches.drivers/libata-link-update-Power-Management-to-handle-PMP.patch:
  libata-link: update Power Management to handle PMP links
  (288078).
- patches.drivers/libata-link-update-ata_scsi_error-to-handle-PMP.patch:
  libata-link: update ata_scsi_error() to handle PMP links
  (288078).
- patches.drivers/libata-link-update-hotplug-to-handle-PMP-links.patch:
  libata-link: update hotplug to handle PMP links (288078).
- patches.drivers/libata-pmp-extend-ACPI-support-to-cover-PMP.patch:
  libata-pmp: extend ACPI support to cover PMP (288078).
- patches.drivers/libata-pmp-hook-PMP-support-and-enable-it.patch:
  libata-pmp: hook PMP support and enable it (288078).
- patches.drivers/libata-pmp-implement-Port-Multiplier-support.patch:
  libata-pmp: implement Port Multiplier support (288078).
- patches.drivers/libata-pmp-implement-qc_defer-for-command-switchi.patch:
  libata-pmp: implement qc_defer for command switching PMP support
  (288078).
- patches.drivers/libata-pmp-prep-add-PMP-related-constants-fields.patch:
  libata-pmp-prep: add PMP related constants, fields, ops and
  update helpers (288078).
- patches.drivers/libata-pmp-prep-add-new_class-to-ata_dev_revalid.patch:
  libata-pmp-prep: add @new_class to ata_dev_revalidate()
  (288078).
- patches.drivers/libata-pmp-prep-implement-ATA_HORKAGE_SKIP_PM.patch:
  libata-pmp-prep: implement ATA_HORKAGE_SKIP_PM (288078).
- patches.drivers/libata-pmp-prep-implement-ATA_LFLAG_DISABLED.patch:
  libata-pmp-prep: implement ATA_LFLAG_DISABLED (288078).
- patches.drivers/libata-pmp-prep-implement-ATA_LFLAG_NO_RETRY.patch:
  libata-pmp-prep: implement ATA_LFLAG_NO_RETRY (288078).
- patches.drivers/libata-pmp-prep-implement-ATA_LFLAG_NO_SRST-ASSU.patch:
  libata-pmp-prep: implement ATA_LFLAG_NO_SRST, ASSUME_ATA and
  ASSUME_SEMB (288078).
- patches.drivers/libata-pmp-prep-implement-EH-fast-fail-path.patch:
  libata-pmp-prep: implement EH fast-fail path (288078).
- patches.drivers/libata-pmp-prep-implement-ops-qc_defer.patch:
  libata-pmp-prep: implement ops->qc_defer() (288078).
- patches.drivers/libata-pmp-prep-implement-qc_defer-helpers.patch:
  libata-pmp-prep: implement qc_defer helpers (288078).
- patches.drivers/libata-pmp-prep-implement-sata_async_notification.patch:
  libata-pmp-prep: implement sata_async_notification() (288078).
- patches.drivers/libata-pmp-prep-make-a-number-of-functions-global.patch:
  libata-pmp-prep: make a number of functions global to libata
  (288078).
- patches.drivers/libata-pmp-update-ata_eh_reset-for-PMP.patch:
  libata-pmp: update ata_eh_reset() for PMP (288078).
- patches.drivers/libata-sata_sil24-implement-PMP-support.patch:
  sata_sil24: implement PMP support (288078).
- patches.drivers/libata-sata_sil24-implement-PORT_RST.patch:
  sata_sil24: implement PORT_RST (288078).
- patches.drivers/libata-update-libata-to-libata-dev-upstream-5ddf.patch:
  libata: update libata to libata-dev#upstream (5ddf24c5)
  (288078).
* Thu Aug 02 2007 jeffm@suse.de
- Update config files (again).
* Thu Aug 02 2007 jeffm@suse.de
- Update config files.
* Thu Aug 02 2007 jeffm@suse.de
- patches.suse/dm-raid45-2.6.22.1-20070724.patch: dm: add raid45
  support (experimental) (280972).
* Wed Aug 01 2007 gregkh@suse.de
- fix merge bug in "patches.fixes/hpet_patches_45.patch: Force HPET to be
  enabled for laptops." as pointed out by aj@suse.de
* Wed Aug 01 2007 gregkh@suse.de
- cleanup patch fuzz to make everything except Xen patches apply cleanly.
* Wed Aug 01 2007 gregkh@suse.de
- patches.fixes/hpet_patches_45.patch: Force HPET to be enabled for laptops
* Wed Aug 01 2007 olh@suse.de
- remove initrd-flavor before rpm -U on small a /boot partition (259303)
* Tue Jul 31 2007 jeffm@suse.de
- Removed default_hz flavor. The nohz=off boot parameter performs
  the same function.
* Tue Jul 31 2007 jblunck@suse.de
- rpm/kernel-{source,syms}.spec.in: more OpenSUSE Build Service changes
- rpm/macros.kernel-source: removed unused %%kernel_module_package_buildreq
* Mon Jul 30 2007 olh@suse.de
- build ps3stor_lib, ps3disk and ps3_gelic as module
* Sun Jul 29 2007 jjohanse@suse.de
- patches.apparmor/* update to latest version
* Sat Jul 28 2007 sdietrich@suse.de
- patches.rt/patch-2.6.22.1-rt8-9: update to RT9
- patches.rt/update_extern_sleep_declarations.patch: Delete-upstream
* Fri Jul 27 2007 jeffm@suse.de
- Enabled tickless timer support on i386 and added a default_hz
  flavor with it still disabled for suspicious bug triage assistance.
* Fri Jul 27 2007 agruen@suse.de
- scripts/run_oldconfig.sh: Make it so that config files for
  incompatible source trees (with a different subset of patches)
  won't get trashed by accident.
* Fri Jul 27 2007 agruen@suse.de
- series.conf: define symbol RT for kernel-rt and kernel-rt_* so
  that the real-time kernel package patch configuration becomes
  less messy.
* Thu Jul 26 2007 jeffm@suse.de
- patches.suse/reiserfs-use-generic-xattr-handlers.diff: reiserfs:
  use generic xattr handlers.
* Thu Jul 26 2007 hare@suse.de
- S/390: Enable zfcp dump module.
* Thu Jul 26 2007 hare@suse.de
- patches.arch/s390-ccwgroup-attribute-ignore-newline: udev
  cannot activate ccwgroup devices.
- patches.fixes/drivers-uevent.patch: Add uevent attribute to
  bus drivers.
* Thu Jul 26 2007 sdietrich@suse.de
- Fix i386/rt_debug compile error introduced in 2.6.22.1-rt7
- patches.rt/update_extern_sleep_declarations.patch
* Wed Jul 25 2007 sdietrich@suse.de
- Update to latest RT snapshot.
- patches.rt/quicklist_fix.patch: Delete.
- patches.rt/patch-2.6.22.1-rt4-5: Big -rt patchset update.
- patches.rt/patch-2.6.22.1-rt5-6: Big -rt patchset update.
- patches.rt/patch-2.6.22.1-rt6-7: Big -rt patchset update.
- patches.rt/patch-2.6.22.1-rt7-8: Big -rt patchset update.
* Wed Jul 25 2007 agruen@suse.de
- scripts/sequence-patch.sh: Preserve the extra symbols used when
  generating the patched source tree.
- Remove some left-over mess from the obsolete init script hack
  that adjusted /usr/src/linux to the running kernel ("preconf").
* Tue Jul 24 2007 hare@suse.de
- Update config files.
- patches.fixes/dm-add-ratelimit-logging-macros.patch: Add
  ratelimit extension to dm logging macros.
- patches.fixes/dm-bio_list-prefetch-removal.patch: Remove
  dubious prefetch from bio_list_for_each() macro.
- patches.fixes/dm-delay-cleanup.patch: dm-delay cleanup.
- patches.fixes/dm-disable-barriers.patch: Disable barriers on
  dm devices.
- patches.fixes/dm-io-fix-panic-on-large-request.patch: Fix
  panic in device-mapper on large requests.
- patches.fixes/dm-mpath-hp-sw.patch: dm-multipath hardware
  handler for HP SW (FATE 300537).
- patches.fixes/dm-mpath-rdac.patch: dm-multipath hardware
  handler for LSI/Engenio.
- patches.fixes/dm-raid1-clear-region-outside-spinlock.patch:
  dm-raid1: clear region outside spinlock.
- patches.fixes/dm-raid1-fix-status.patch: Fix status line
  for dm-mirror.
- patches.fixes/dm-raid1-handle-log-failure.patch: dm-raid1:
  Handle log failures.
- patches.fixes/dm-raid1-handle-resync-failures.patch: dm-raid1:
  handle resync failures.
- patches.fixes/dm-remove-duplicate-module-name-from-error-msgs.patch:
  Remove duplicate module name from messages.
- patches.fixes/dm-snapshot-fix-invalidation-deadlock.patch:
  dm-snapshot: Process persistent exception store metadata IOs
  in a separate thread.
- patches.fixes/dm-snapshot-permit-invalid-activation.patch:
  dm-snapshot: Allow invalid snapshots to be activated instead
  of failing.
- patches.fixes/dm-use-kmem_cache-macro.patch: Use kmem_cache()
  for device mapper.
* Tue Jul 24 2007 sdietrich@suse.de
- patches.rt/patch-2.6.22.1-rt4-5: update to -rt5 release.
- patches.rt/quicklist_fix.patch: rt5 compile fix from Daniel Walker.
* Mon Jul 23 2007 olh@suse.de
- add patches.arch/ppc-ps3-storage-2623.patch
  mainline status as of 2.6.23-rc1
* Mon Jul 23 2007 agruen@suse.de
- Define symbol rt for kernel-rt_debug as well.
* Sun Jul 22 2007 sdietrich@suse.de
- Update RT config files. (add CONFIG_PREEMPT_HOOKS=y)
* Sun Jul 22 2007 sdietrich@suse.de
- Update config files. (add CONFIG_UIO=m)
* Sun Jul 22 2007 sdietrich@suse.de
- patches.rt/preempt_sched_hooks.patch:
  SCHED: Generic hooks for trapping taskpreemption in KVM
  (this is needed to run KVM under RT)
  (<11841693332609-git-send-email-avi@qumranet.com>).
- series.conf (rt config only):
    - add preempt_sched_hooks.patch
    - suppress patches.suse/sysctl-add-affinity_load_balancing
- patches.rt/patch-2.6.22.1-rt4.openSUSE: reconstitute
* Sat Jul 21 2007 jeffm@suse.de
- Update config files for -rt.
* Sat Jul 21 2007 gregkh@suse.de
- Update config files.
- patches.drivers/uio-documentation.patch: UIO: Documentation.
- patches.drivers/uio.patch: UIO: Add the User IO core code.
* Wed Jul 18 2007 jblunck@suse.de
- rpm/kernel-{binary,source].spec.in: Changes necessary to let kernel-rt
  build. Ignore rt configs when we do preconf in kernel-source.
* Wed Jul 18 2007 sdietrich@suse.de
- RT compile and runtime fixes for KDB
- patches.rt/redeclare_kdb_lock_as_raw.patch: KDB locking update
  for RT.
- patches.rt/kdb-i386-compile-bugfixes: KDB compile fix for i386
  and x86_64.
- patches.rt/kdb-memmap-cmd-fixups: KDB compile fix for i386
  and x86_64.
* Wed Jul 18 2007 sdietrich@suse.de
- initial RT integration
- config: add rt and rt_debug config files.
- config.conf: add config files for rt with symbol: rt
- series.conf: update series to exclude Xen patches when "rt" symbol
  is defined
* Tue Jul 17 2007 bphilips@suse.de
- patches.drivers/ati-sb700-sata-add-all-ids.patch: Add more
  device IDs for supporting ATI SB700 SATA controller completely
  (291744).
* Tue Jul 17 2007 jblunck@suse.de
- rpm/{kernel-source.spec.in,kernel-syms.spec.in,kernel-binary.spec.in}:
  Fix path to extra-symbols in specfiles.
* Tue Jul 17 2007 gregkh@suse.de
- Linux 2.6.22.1 update (really the same as before, as we had the
  patch below already)
- patches.fixes/fix-sctp-remote-triggerable-oops.diff: Delete.
* Tue Jul 17 2007 gregkh@suse.de
- patches.fixes/fix-sctp-remote-triggerable-oops.diff: Delete.
* Mon Jul 16 2007 jjohanse@suse.de
- Fix patches.apparmor/apparmor-intree.diff so that it adds
  AppArmor to the security Makefile correctly
* Sun Jul 15 2007 jjohanse@suse.de
- Update AppArmor patches to lastest versions.
- Remove deprecated patch
  patches.apparmor/remove_suid_new_case_in_2.6.22.diff: Delete.
* Fri Jul 13 2007 jeffm@suse.de
- Disable CONFIG_REISERFS_CHECK again.
* Fri Jul 13 2007 schwab@suse.de
- Update kdb patches.
* Fri Jul 13 2007 jbeulich@novell.com
- patches.suse/crasher-26.diff: differentiate module options to
  crasher.ko to panic, BUG or trap.
* Thu Jul 12 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.22: Update to 2.6.22.
- patches.xen/15181-dma-tracking.patch: gnttab: Add basic DMA tracking.
- patches.xen/80-blk-teardown.patch: blktap/blkback: Tear down sysfs
  nodes before freeing blkdev structures.
- patches.xen/81-clock-was-set.patch: Do not call clock_was_set() from
  interrupt context.
- patches.xen/93-swiotlb.patch: x86: dma_map_sg() must handle multi-page
  segments.
* Thu Jul 12 2007 tiwai@suse.de
- patches.drivers/alsa-2.6.22-hda-fixes: Regenerated patch for
  missing fixes for #281541.
* Wed Jul 11 2007 hare@suse.de
- patches.arch/s390-fixup-dma-mapping: Delete.
- Update config files.
- patches.drivers/lpfc-use-dma_map-for-NPIV:
  use dma_map_sg for lpfc NPIV support
- patches.drivers/qla2xxx-npiv-support:
  Implement NPIV support for qla2xxx
- patches.fixes/scsi-conditionally-build-dma-functions:
  Do not build scsi dma functions on architectures which
  don't have DMA.
* Tue Jul 10 2007 jeffm@suse.de
- patches.kernel.org/patch-2.6.22-rc7: Delete.
* Mon Jul 09 2007 tiwai@suse.de
- patches.drivers/alsa-2.6.22-misc-fixes: Misc ALSA fixes
  for 2.6.22.
- patches.drivers/alsa-2.6.22-hda-fixes: Update HD-audio drivers
  (290396, 281541).
- patches.drivers/alsa-2.6.22-sb-fixes: Add CS5530 audio driver.
- patches.drivers/alsa-2.6.22-usb-fixes: Updates ALSA USB quirks.
- Update config files.
* Mon Jul 09 2007 jeffm@suse.de
- Update to 2.6.22.
* Fri Jul 06 2007 hare@suse.de
- patches.arch/s390-fixup-dma-mapping: dma_map_sg() undefined
  on S/390.
* Thu Jul 05 2007 jeffm@suse.de
- config.conf: Disabled kernel-um.
* Thu Jul 05 2007 hare@suse.de
- Update config files.
* Thu Jul 05 2007 hare@suse.de
- patches.drivers/scsi-misc-rc1.diff: Update SCSI midlayer
  for NPIV support (273707,273726).
- patches.drivers/open-iscsi-git-update: Update open-iscsi stack.
- patches.fixes/export-symbol: Rediff.
* Tue Jul 03 2007 olh@suse.de
- enable EMU10K1 on ppc32
* Tue Jul 03 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.22-rc6-rc7: Update to 2.6.22-rc7.
- patches.xen/xen3-patch-2.6.22-rc5-rc6: Update to 2.6.22-rc6.
- patches.xen/67-edd.patch: linux/x86: Obtain EDD info from Xen.
- patches.xen/70-edid.patch: linux/x86: Obtain EDID info from Xen.
- patches.xen/79-balloon-highmem.patch: Stop low memory from
  appearing -ve in /proc/meminfo when ballooned.
- Update Xen config files.
* Mon Jul 02 2007 jeffm@suse.de
- Update to 2.6.22-rc7.
* Fri Jun 29 2007 olh@suse.de
- disable additional incomplete firewire stack
* Thu Jun 28 2007 jeffm@suse.de
- Update to 2.6.22-rc6-git1.
* Tue Jun 26 2007 olh@suse.de
- disable ondemand governor
  does not work due to too long transition latency
* Mon Jun 25 2007 olh@suse.de
- build cramfs as module on ppc32
* Sun Jun 24 2007 olh@suse.de
- update ps3 patches
  gelic, storage, ps3fb fixes
* Fri Jun 22 2007 jeffm@suse.de
- patches.fixes/random-fix-bound-check-ordering.diff: random:
  fix bound check ordering (286672).
* Fri Jun 22 2007 bwalle@suse.de
- patches.arch/ia64-kdump-hpzx1-ioc-workaround: Fix problems
  with sba_iommu and kdump (271158).
* Fri Jun 22 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.22-rc3-rc4: Update to 2.6.22-rc4.
- patches.xen/xen3-patch-2.6.22-rc4-rc5: Update to 2.6.22-rc5.
- patches.xen/15130-x86_64-vsyscall-user.patch: Ensure that the
  initial page tables allow userspace.
- patches.xen/42-freeze.patch: Kernel threads need to be aware
  of freeze request.
- patches.xen/xen-x86-pXX_val: consolidate pte_val/pd_val
  replacements.
- patches.xen/xen-x86_64-physmap-nx: force _PAGE_NX on the 1:1
  mapping (matching native).
- patches.xen/xen-i386-kconfig-msr: allow the /dev/cpu/*/msr
  devices.
- patches.xen/xen-x86_64-entry: remove non-native entry point
  name.
- patches.xen/xen-intel-agp: fix intel-agp address handling
  (254208).
- Rediff a few other Xen patches.
- Update i386 Xen config files.
* Fri Jun 22 2007 jeffm@suse.de
- Update to 2.6.22-rc5-git5.
* Fri Jun 22 2007 jeffm@suse.de
- patches.suse/reiserfs-use-generic-xattr-handlers.diff: fix
  reintroduction of crash on __fput in xattr code (286544).
* Thu Jun 21 2007 jeffm@suse.de
- patches.fixes/saa7134-tvaudio-thread-handling.diff: saa7134:
  fix thread shutdown handling (284718).
* Wed Jun 20 2007 schwab@suse.de
- gcc 4.2 is also broken on ia64.
* Wed Jun 20 2007 olh@suse.de
- build ppc64 kernel with gcc41 until PR31490 is fixed
* Tue Jun 19 2007 olh@suse.de
- add patches.arch/ppc-suse-spe-logo_logo-extern-in-header.diff
  fix section type conflict caused by PS3 logo patches
* Tue Jun 19 2007 olh@suse.de
- enable CONFIG_FB_SIS + DRM on ppc32
* Tue Jun 19 2007 jeffm@suse.de
- Enabled patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch
* Tue Jun 19 2007 schwab@suse.de
- Remove some bogus EXPORT_SYMBOL.
* Mon Jun 18 2007 jeffm@suse.de
- Update to 2.6.22-rc5.
* Mon Jun 18 2007 jeffm@suse.de
- patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch: Updated to
  only read the initramfs once. Not enabled yet.
* Mon Jun 18 2007 olh@suse.de
- update ps3 patches
  apply whole patchs series to make further updating simpler
* Fri Jun 15 2007 jeffm@suse.de
- patches.suse/acpi-unexport-acpi_rs_match_vendor_resource.diff:
  acpi: unexport acpi_rs_match_vendor_resource due to section
  type conflict.
* Fri Jun 15 2007 jeffm@suse.de
- patches.suse/psmouse-section-conflict.diff: psmouse: fix
  section type conflict.
* Fri Jun 15 2007 jeffm@suse.de
- Fix some section conflicts with symbols being static inline and
  also exported:
  - jprobe_return on ia64 was a static inline
  - profile_event_{,un}register without CONFIG_PROFILING are static
  inlines
  - gameport_cooked_read and gameport_set_name are static inlines
* Fri Jun 15 2007 jeffm@suse.de
- Disabled patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch again,
  see bug 256305.
* Thu Jun 14 2007 jeffm@suse.de
- Update config files (vanilla).
* Thu Jun 14 2007 jeffm@suse.de
- Update config files.
* Thu Jun 14 2007 jeffm@suse.de
- Update to 2.6.22-rc4-git6
  - Loads of fixes, see patch for detail.
* Thu Jun 14 2007 jeffm@suse.de
- Update reiserfs patch queue:
  - Always abort journal on reiserfs_error()
  - Disable balance_leaf rework due to corruption problems
  - Small fixes
* Thu Jun 14 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: use BuildRequires for makedumpfile
  only on architectures that support makedumpfile (not s390{,x})
* Wed Jun 13 2007 bwalle@suse.de
- config/i386/bigsmp, config/i386/debug, config/i386/default,
  config/i386/vanilla, config/x86_64/debug, config/x86_64/default,
  config/x86_64/vanilla: enable CONFIG_PROC_VMCORE and
  CONFIG_CRASH_DUMP
* Tue Jun 12 2007 gregkh@suse.de
- Enable CONFIG_TIMER_STATS so that powertop will work on all kernels
  now that the performance overhead is gone.
* Tue Jun 12 2007 trenn@suse.de
- patches.arch/acpi_asus_strict_model_check.patch: Delete.
- patches.fixes/acpi_asus_do_not_always_load.patch: Delete.
- patches.fixes/acpi_execute_notify_threaded.patch: Delete.
- patches.suse/acpi-hotkeys-extra.diff: Delete.
- patches.suse/acpi_sony_init_fixups.patch: Delete.
- patches.fixes/acpi_debug.patch: Split
  ACPI_DEBUG into function trace enabled and not
  enabled. (http://marc.info/?t=118062795200040&r=1&w=2).
- Update config files.
- Enable ACPI_DEBUG (without ACPI function tracing)
- remove laptop, battery and other unneeded modules from bigsmp
* Tue Jun 12 2007 jeffm@suse.de
- Enable CONFIG_REISERFS_CHECK.
* Tue Jun 12 2007 bwalle@suse.de
- config/i386/kdump: Delete.
- config/x86_64/kdump: Delete.
- config.conf: remove kdump for x86_64 and i386.
* Mon Jun 11 2007 jeffm@suse.de
- Reenabled patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch (282908).
* Mon Jun 11 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: enable makedumpfile config file
  generation for IA64
* Mon Jun 11 2007 jeffm@suse.de
- Update to 2.6.22-rc4-git3
  - Loads of fixes, see patch for detail.
* Fri Jun 08 2007 jeffm@suse.de
- patches.fixes/fix-sctp-remote-triggerable-oops.diff: NETFILTER:
  {ip, nf}_conntrack_sctp: fix remotely triggerable NULL ptr
  deref (282234).
* Thu Jun 07 2007 bwalle@suse.de
- patches.arch/ppc-fix-prpmc2800: Fix compilation of prpmc2800.c.
- Update config files: disable PS3
* Tue Jun 05 2007 jeffm@suse.com
- Update to 2.6.22-rc4
  - Loads of fixes, see patch for detail.
* Tue Jun 05 2007 jbeulich@novell.com
- Update Xen patches to 3.1-testing c/s 15042 and 2.6.22-rc3.
- patches.xen/15130-x86_64-vsyscall-user.patch: Ensure that the
  initial page tables allow userspace.
- Update i386 and x86-64 config files.
* Tue Jun 05 2007 hare@suse.de
- Update config files to modularize ps3fb, too.
* Tue Jun 05 2007 hare@suse.de
- Update config files.
- patches.arch/ppc-ps3-storage.patch: Modularize ps3_storage.
* Tue Jun 05 2007 jeffm@suse.de
- Update config files.
* Mon Jun 04 2007 jeffm@suse.de
- Added OCFS2 patch queue.
  - Configurable fencing
  - Userspace clustering
* Mon Jun 04 2007 jeffm@suse.de
- Disabled s2io 10GbE driver in ppc-vanilla to stop builds from
  failing. This hasn't been fixed in mainline yet and requires
  patches.fixes/s2io-longlong to build properly.
* Mon Jun 04 2007 agruen@suse.de
- patches.fixes/fix-dynamic-loop-devices.diff: statically create
  loop devices again, and restore the max_loop parameter.
* Fri Jun 01 2007 jeffm@suse.de
- patches.suse/reiserfs-use-generic-xattr-handlers.diff: reiserfs:
  Fix illegal use of fp after unlink.
* Thu May 31 2007 jeffm@suse.de
- Update to 2.6.22-rc3-git2.
	- fix possible null ptr deref in kallsyms_lookup
	- alpha: support new syscalls
	- alpha: cleanup in bitops.h
	- [ARM] Fix some section mismatch warnings
	- ehea: Fixed multi queue RX bug
	- sky2: enable IRQ on duplex renegotiation
	- e1000: restore netif_poll_enable call but make sure ...
	- defxx: Fix the handling of ioremap() failures
	- sky2: program proper register for fiber PHY
	- sky2: checksum offload plus vlan bug
	- sky2: dont set bogus bit in PHY register
	- [ARM] 4417/1: Serial: Fix AMBA drivers locking
	- [ARM] 4394/1: ARMv7: Add the TLB range operations
	- [ARM] 4410/1: Remove extern declarations in coyote ...
	- [ARM] 4416/1: NWFPE: fix undeclared symbols
	- [ARM] 4415/1: AML5900: fix sparse warnings from map_io
	- [ARM] 4414/1: S3C2443: sparse fix for clock.c
	- [ARM] 4412/1: S3C2412: reset errata fix
	- [ARM] 4411/1: KS8695: Another serial driver fix
	- [ARM] oprofile: avoid lockdep warnings on mpcore oprofi ...
	- [ARM] Fix stacktrace FP range checking
	- [ARM] use __used attribute
* Thu May 31 2007 jeffm@suse.de
- Added my pending reiserfs patch queue
  - Better error handling
  - More consistent message format
  - Many code cleanups and variable renames
  - Extended attribute rework
  - Misc fixes
* Thu May 31 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: replace OSRELEASE of makedumpfile
  configuration file with version of kernel that is built
  instead of the running kernel -- for this, the PAGESIZE
  of that file needs to be patched on IA64 (IA64 is still
  un-enabled until the makedumpfile patches are all mainline
  and we have a new makedumpfile package)
* Wed May 30 2007 jeffm@suse.de
- patches.fixes/unexport-ext4_ext_invalidate_cache: ext4:
  unexport ext4_ext_invalidate_cache.
* Wed May 30 2007 jeffm@suse.de
- Update to 2.6.22-rc3-git1.
  - Changes since 2.6.22-rc3:
	- random: fix seeding with zero entropy  origin master
	- random: fix error in entropy extraction
	- NOHZ: prevent multiplication overflow - stop timer ...
	- IB/mlx4: Fix last allocated object tracking in bitmap ...
	- IB/cm: Fix stale connection detection
	- IPoIB/cm: Fix performance regression on Mellanox
	- IB/mthca: Fix handling of send CQE with error for QPs ...
	- USB: replace flush_workqueue with cancel_sync_work
	- [SPARC64]: Fill holes in hypervisor APIs and fix KTSB ...
	- [SPARC64]: Fix two bugs wrt. kernel 4MB TSB.
	- [SPARC]: Mark as emulating cmpxchg, add appropriate ...
	- [SPARC]: Emulate cmpxchg like parisc
	- [SPARC64]: Fix _PAGE_EXEC_4U check in sun4u I-TLB miss ...
	- [SPARC]: Linux always started with 9600 8N1
	- [SPARC64]: arch/sparc64/time.c doesn't compile on Ultra ...
	- [SPARC64]: Eliminate NR_CPUS limitations.
	- [SPARC64]: Use machine description and OBP properly ...
	- [SPARC64]: Negotiate hypervisor API for PCI services.
	- [SPARC64]: Report proper system soft state to the hyper ...
	- [SPARC64]: Fix typo in sun4v_hvapi_register error handling.
	- [SCSI] ESP: Kill SCSI_ESP_CORE and link directly just ...
	- [SCSI] jazz_esp: Converted to use esp_core.
	- [SPARC64]: PCI device scan is way too verbose by default.
	- [SERIAL] sunzilog: section mismatch fix
	- [SPARC32]: Removes mismatch section warnigs in sparc ...
	- [SPARC64]: Don't be picky about virtual-dma values ...
	- [SPARC64]: Kill unused DIE_PAGE_FAULT enum value.
	- [SCSI] pluto: Use wait_for_completion_timeout.
	- firewire: fix return code
	- firewire: prefix modules with firewire- instead of fw-
	- firewire: Add missing byteswapping for receive DMA ...
	- ieee1394: raw1394: Fix async send
	- ieee1394: eth1394: bring back a parent device
	- ieee1394: eth1394: handle tlabel exhaustion
	- ieee1394: eth1394: remove bogus netif_wake_queue
	- ieee1394: sbp2: include workqueue.h
	- hwmon/applesmc: Handle name file creation error and ...
	- hwmon/applesmc: Simplify dependencies
	- hwmon-vid: Don't spam the logs when VRM version is ...
	- hwmon/w83627hf: Be quiet when no chip is found
	- hwmon/coretemp: Add more safety checks
	- hwmon/ds1621: Fix swapped temperature limits
  Changes since 2.6.22-rc2-git7:
	- fix compat console unimap regression
	- pata_hpt37x: Further improvements based on the IDE ...
	- pata: Trivia
	- [PATCH] ocfs2: use generic_segment_checks
	- ocfs2: fix inode leak
	- [PATCH] ocfs2: use zero_user_page
	- ocfs2: unmap_mapping_range() in ocfs2_truncate()
	- ocfs2: trylock in ocfs2_readpage()
	- [libata] sata_via, pata_via: Add PCI IDs.
	- [libata] Fix decoding of 6-byte commands
	- libata: sata_sis fixes
	- Fix build failure for drivers/ata/pata_scc.c
	- [libata] sata_mv: add TODO list
	- [libata] sata_promise: fix flags typo
* Wed May 30 2007 hare@suse.de
- patches.fixes/msi-reverse-listing: cciss broken with 2.6.22-rc2.
- patches.suse/dm-emulate-blkrrpart-ioctl: Emulate BLKRRPART
  on device-mapper.
* Sun May 27 2007 bwalle@suse.de
- Update config files: enable MMC_TIFM_SD=m, TIFM_7XX1=m and
  TIFM_CORE.
* Sat May 26 2007 bwalle@suse.de
- config/i386/{bigsmp,debug,default,vanilla},
  config/x86_64/{default,debug,vanilla}:
  enable CONFIG_RELOCATABLE=y
* Sat May 26 2007 schwab@suse.de
- Remove obsolete patch ppc-ps3-gelic_2621.patch.
* Sat May 26 2007 schwab@suse.de
- s2io-longlong: Avoid switch on long long.
* Sat May 26 2007 schwab@suse.de
- Reenable macintosh drivers.
* Sat May 26 2007 gregkh@suse.de
- patch tree refresh for fuzz cleanups due to new kernel version.
* Sat May 26 2007 gregkh@suse.de
- Fix up the vanilla config files
* Sat May 26 2007 schwab@suse.de
- Update kdb patches.
* Sat May 26 2007 schwab@suse.de
- Update mol patches.
* Sat May 26 2007 schwab@suse.de
- ppc-efika-of_device-generic-uevent.patch: remove obsolete stuff.
* Sat May 26 2007 jeffm@suse.de
- patches.apparmor/remove_suid_new_case_in_2.6.22.diff: Merge fix.
* Fri May 25 2007 jeffm@suse.de
- Updated to 2.6.22-rc2-git7:
  - Removed due to upstream inclusion:
    - patches.arch/ppc-generic-check_legacy_ioport.patch
    - patches.arch/ppc-pci-hostbridge-window.patch
    - patches.arch/ppc-macio-modalias.patch
    - patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
    - patches.arch/ppc-ps3-allow-duplicate-lmb_reserve.diff
    - patches.arch/ppc-ps3-automatically-lmb_reserve-initrd.diff
    - patches.arch/ppc-ps3-ps3fb.patch
    - patches.arch/ppc-spufs.patch
    - patches.arch/ppc-ps3-ps3-fix-slowdown-bug.patch
    - patches.arch/acpi_ibm_notify.patch
    - patches.arch/ppc-of_device-modalias.patch
    - patches.drivers/libata-hardreset-on-SERR_INTERNAL
    - patches.drivers/cciss-add-SG_IO
    - patches.drivers/ati-rs400_200-480-disable-msi
    - patches.fixes/maybe_unused.patch
    - patches.fixes/nfs-readdir-timestamp
    - patches.fixes/dm_check_device_area.diff
    - patches.rpmify/build-timestamp
    - patches.suse/add-IV-generation-method-null-to-dm-crypt
    - patches.suse/ams-silent-failure.patch
    - patches.xen/pmd-shared.patch
    - patches.xen/allow-i386-crash-kernels-to-handle-x86_64-dumps.patch
    - patches.apparmor/proc_setattr.diff
    - patches.apparmor/proc_sys_setattr.diff
  - Adjusted context:
    - patches.arch/ppc-efika-bestcomm-ethernet.patch
    - patches.arch/ppc-efika-of_device-generic-uevent.patch
    - patches.drivers/libata-ata_piix-vmw-ign-DMA-err
    - patches.fixes/tiocgdev
    - patches.kernel.org/patch-2.6.22-rc2
    - patches.kernel.org/patch-2.6.22-rc2-git7
    - patches.rpmify/buildhost
    - patches.suse/suse-ppc32-mol-kbuild.patch
    - patches.suse/kdb-i386
    - patches.suse/acpi-hotkeys-extra.diff
    - patches.suse/bootsplash
    - patches.suse/kdb-common
    - patches.suse/kdb-ia64
    - patches.suse/scsi-error-test-unit-ready-timeout
    - patches.suse/supported-flag
    - patches.suse/netfilter-ipt_LOG-mac
    - patches.xen/net-csum.patch
    - patches.xen/softlockup-no-idle-hz.patch
    - rpm/kernel-binary.spec.in
    - patches.apparmor/remove_suid.diff
    - patches.apparmor/security-xattr-file.diff
    - patches.apparmor/vfs-getxattr.diff
    - patches.apparmor/vfs-listxattr.diff
    - patches.apparmor/vfs-notify_change.diff
  - Update config files.
  - patches.apparmor/remove_suid_new_case_in_2.6.22.diff: apparmor:
  work around new should_remove_suid() case.
  - Disabled Xen until patchset can be merged.
* Fri May 25 2007 olh@suse.de
- update ps3 patches
  new storage driver provides /dev/ps3da instead of /dev/sda
* Fri May 25 2007 olh@suse.de
- disable cell cpu freq
* Thu May 24 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.19,
  patches.xen/xen3-patch-2.6.20,
  patches.xen/xen3-patch-2.6.21,
  patches.xen/xen-x86-kconfig-no-cpu_freq:
  Refresh.
- Update i386/xen config files.
* Wed May 23 2007 olh@suse.de
- add patches.fixes/maybe_unused.patch
  compiler: introduce __used and __maybe_unused
* Fri May 18 2007 olh@suse.de
- build IDE cmd64x as module on ppc to allow libata cmd64x
  enable libata ahci, sil24, jmicron and SIL680
* Thu May 17 2007 gregkh@suse.de
- enable CONFIG_TIMER_STATS in debug config files so that people can
  play with powertop and figure out how broken userspace really is
  (275362)
* Mon May 14 2007 olh@suse.de
- add patches.arch/ppc-ps3-gelic-module-link.patch
  add patches.arch/ppc-ps3-storage-module-link.patch
  provide driver module symlinks (273135)
* Fri May 11 2007 agruen@suse.de
- Add the /lib/modules/*/{source,build} symlinks to the
  kernel-source and kernel-syms packages, so that kmps which look
  in these places will succeed.
* Fri May 11 2007 olh@suse.de
- add patches.arch/ppc-ps3-sys-manager-fix-reboot.patch
  make reboot/shutdown reliable
* Thu May 10 2007 agruen@suse.de
- Update the AppArmor patchset.
* Tue May 08 2007 olh@suse.de
- update patches.arch/ppc-pci-hostbridge-window.patch
  improved fix from Paul
* Mon May 07 2007 olh@suse.de
- add patches.arch/ppc-pci-hostbridge-window.patch
  cope with PCI host bridge I/O window not starting at 0 (271689 - LTC34416)
* Mon May 07 2007 olh@suse.de
- reenable dv1394, it is maybe still needed by some applications
* Wed May 02 2007 agruen@suse.de
- Remove the running-kernel init script: the kernel-headers
  package now contains all the kernel header definitions that
  user-space should ever require, so this hack is entirely
  obsolete now.
* Wed May 02 2007 olh@suse.de
- enable CONFIG_LOGO_LINUX_CLUT224 on ppc64
* Mon Apr 30 2007 olh@suse.de
- udpdate patches.arch/ppc-efika-psc-console-autodetection.patch
  limit to /failsafe or mpc5200-serial
* Mon Apr 30 2007 olh@suse.de
- add patches.arch/ppc-ps3-system-bus-modalias.patch
  provide valid modalias entries in sysfs
* Mon Apr 30 2007 jbeulich@novell.com
- Update Xen patches to -unstable c/s 14960 and final 2.6.21
- Update Xen config files.
* Sun Apr 29 2007 bwalle@suse.de
- rpm/kernel-binary.spec.in: add makedumpfile configuration file to
  binary kernel RPM on i386, x86_64 and ppc, ppc64 (ia64 support broken
  in makedumpfile is broken currently, s390 and s390x don't need it
  because they don't use kdump for generating dump files) to avoid
  needing kernel-*-debuginfo installed just to filter dump files using
  makedumpfile
* Fri Apr 27 2007 olh@suse.de
- update patches.arch/ppc-ps3-gelic.patch
  use lower loglevel for debug printk
* Thu Apr 26 2007 olh@suse.de
- drop kernel-iseries64, merged into kernel-ppc64
* Thu Apr 26 2007 olh@suse.de
- enable DVB on powerpc (264838)
* Thu Apr 26 2007 olh@suse.de
- update to 2.6.21, misc fixes
* Tue Apr 24 2007 olh@suse.de
- update to 2.6.21-rc7-git7, misc fixes
* Tue Apr 24 2007 olh@suse.de
- update patches.arch/ppc-generic-check_legacy_ioport.patch
  check if parent node has type isa
* Mon Apr 23 2007 jeffm@suse.de
- patches.fixes/reiserfs-xattr-lock-race.diff: reiserfs: fix
  xattr locking/refcount BUG (259215).
* Sun Apr 22 2007 olh@suse.de
- check for /etc/fstab also in postun script
* Sun Apr 22 2007 olh@suse.de
- add patches.arch/ppc-vio-modalias.patch
  autoload modules on iseries (263748)
* Sun Apr 22 2007 olh@suse.de
- add patches.fixes/icom-irq_number-size.patch
  do not truncate irq number for icom adapter (266333 - LTC34061)
* Sun Apr 22 2007 olh@suse.de
- update to 2.6.21-rc7-git5, nfs fixes
* Sun Apr 22 2007 olh@suse.de
- update patches.arch/ppc-generic-check_legacy_ioport.patch
  handle modular drivers
* Fri Apr 20 2007 olh@suse.de
- update patches.arch/ppc-generic-check_legacy_ioport.patch
  handle ipmi and isapnp
* Fri Apr 20 2007 olh@suse.de
- update ps3 patches, obsolete our changes
* Fri Apr 20 2007 olh@suse.de
- add patches.arch/ppc-of_device-modalias.patch
  handle more than one compatible string in modalias (263773)
* Fri Apr 20 2007 olh@suse.de
- update to 2.6.21-rc7-git4, network fixes
* Thu Apr 19 2007 olh@suse.de
- update patches.arch/ppc-ps3-storage-modalias.patch
  change two more places from ps3_stor to ps3_storage
* Wed Apr 18 2007 jeffm@suse.de
- Update to 2.6.21-rc7-git2:
  - Minor bug fixes to i2c-pasemi
  - i2c-pasemi: Depend on PPC_PASEMI again
  - hwmon/w83627ehf: Fix the fan5 clock divider write
  - Provide dummy devm_ioport_* if !HAS_IOPORT
  - knfsd: use a spinlock to protect sk_info_authunix
  - drivers/macintosh/smu.c: fix locking snafu
  - ufs proper handling of zero link case
  - spi: fix use of set_cs in spi_s3c24xx driver
  - alpha: build fixes - force architecture
  - alpha: more fixes for specific machine types
  - alpha: fixes for specific machine types
  - fix bogon in /dev/mem mmap'ing on nommu
  - kernel-doc: fix plist.h comments
  - exec.c: fix coredump to pipe problem and obscure "security hole"
  - allow vmsplice to work in 32-bit mode on ppc64
  - bridge: Unaligned access when comparing ethernet addresses
  - sctp: Unmap v4mapped addresses during SCTP_BINDX_REM_ADDR operation.
  - sctp: Fix assertion (!atomic_read(&sk->sk_rmem_alloc)) failed message
  - net: Set a separate lockdep class for neighbour table's proxy_queue
  - net: Fix UDP checksum issue in net poll mode.
  - key: Fix conversion between IPSEC_MODE_xxx and XFRM_MODE_xxx.
  - net: Get rid of alloc_skb_from_cache
  - cache_k8_northbridges() overflows beyond allocation
  - IB/mthca: Fix data corruption after FMR unmap on Sinai
  - arm 4313/1: S3C24XX: Update s3c2410 defconfig to 2.6.21-rc6
  - arm: Update mach-types
  - x86: Fix potential overflow in perfctr reservation
  - x86: Fix gcc 4.2 _proxy_pda workaround
* Wed Apr 18 2007 olh@suse.de
- add patches.arch/ppc-ps3-storage-modalias.patch
  provide correct modalias for storage driver
* Wed Apr 18 2007 olh@suse.de
- update patches.arch/ppc-generic-check_legacy_ioport.patch
  remove platform function, use a single function for all port checks
* Wed Apr 18 2007 olh@suse.de
- add patches.arch/ppc-ps3-gelic-device_symlink.patch
* Wed Apr 18 2007 olh@suse.de
- add patches.arch/ppc-ps3-gelic-ps3only.patch
* Wed Apr 18 2007 hare@suse.de
- patches.fixes/mptbase-vmware-fix: Installation in VMware-Server
  fails (263883).
* Wed Apr 18 2007 olh@suse.de
- add patches.arch/ppc-ps3-device-init-ps3only.patch
* Tue Apr 17 2007 olh@suse.de
- add patches.arch/ppc-ps3-allow-duplicate-lmb_reserve.diff
  add patches.arch/ppc-ps3-automatically-lmb_reserve-initrd.diff
  add patches.arch/ppc-ps3-ps3fb.patch
  add patches.arch/ppc-spufs.patch
  add patches.arch/ppc-ps3-fix-hardware-watchpoints.patch
  add patches.arch/ppc-ps3-ps3-fix-slowdown-bug.patch
  add patches.arch/ppc-ps3-replace-irq-alloc-free.patch
  add patches.arch/ppc-ps3-cell-usb-workaround-ehci-iso.diff
  add patches.arch/ppc-ps3-gelic.patch
  add patches.arch/ppc-ps3-device-init-2.patch
  add patches.arch/spufs-clear-class-0-interrupt.patch
  add patches.arch/spufs-wrap-master-run-bit.patch
  add patches.arch/ppc-ps3-dma-mem-hack.patch
  add patches.arch/ppc-ps3-storage.patch
  add patches.arch/ppc-ps3-storage-exports.patch
  add patches.arch/ppc-ps3-legacy-bootloader-hack.patch
  playstation 3 support
* Tue Apr 17 2007 olh@suse.de
- add patches.arch/ppc-generic-check_legacy_ioport.patch
  remove patches.arch/ppc-efika-check_legacy_ioport.patch
  reject access unless an isa node exists
* Mon Apr 16 2007 olh@suse.de
- update to 2.6.21-rc7, nfs fix
* Mon Apr 16 2007 teheo@suse.de
- patches.drivers/ati-rs400_200-480-disable-msi: pci-quirks:
  disable MSI on RS400-200 and RS480 (263893).
* Sun Apr 15 2007 olh@suse.de
- update to 2.6.21-rc6-git8, misc network fixes
* Fri Apr 13 2007 olh@suse.de
- add patches.arch/ppc-efika-check_legacy_ioport.patch
* Fri Apr 13 2007 olh@suse.de
- add patches.suse/ams-silent-failure.patch
  dont print warning on systems without motion sensor
* Fri Apr 13 2007 olh@suse.de
- udpdate patches.arch/ppc-efika-psc-console-autodetection.patch
  add console only for failsafe or serial node
* Fri Apr 13 2007 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  restore devspec files for macio, fixes bootloader configuration
* Fri Apr 13 2007 olh@suse.de
- Update to 2.6.21-rc6-git6:
  EHCI: fix remote wakeup regression in 2.6.21-rc
  cciss: unregister from SCSI before tearing down device resources
  myri10ge: fix management of the firmware 4KB boundary crossing restriction
  myri10ge: more Intel chipsets providing aligned PCIe completions
  myri10ge: update driver version to 1.3.0-1.233
  zd1211rw: Reject AL2230S devices
  zd1211rw: Fix E2P_PHY_REG patching
  doc: gpio.txt describes open-drain emulation
  cxgb3 - avoid deadlock with mac watchdog
  cxgb3 - MAC watchdog update
  cxgb3 - missing CPL hanler and register setting.
  PM: use kobject_name() to access kobject names
  [POWERPC] mpc52xx_pic: fix main interrupt masking
  USB: Nikon D80 unusual device patch
  bcm43xx: Fix 802.11b/g scan limits to match regulatory reqs
  bcm43xx: Fix PPC machine checks and match loopback gain specs
  md: fix calculation for size of filemap_attr array in md/bitmap
  fix kernel oops with badly formatted module option
  skge: turn carrier off when down
  sky2: turn carrier off when down
  sky2: turn on clocks when doing resume
  sky2: phy workarounds for Yukon EC-U A1
  skge: fix wake on lan
  RDMA/cxgb3: Add set_tcb_rpl_handler
  [PPC] MPC8272 ADS compile fixed, defconfig refreshed.
  [PPC] Fix compilation and linking errors of mpc885ads build.
  [PPC] Fix compilation and linking errors of mpc86xads build.
  reiserfs: fix key decrementing
  nommu: fix bug ip_conntrack does not work on nommu
* Thu Apr 12 2007 bwalle@suse.de
- config/i386/kdump: changed physical start of the kdump kernel
  on i386 address back to 16M instead of 1M
* Thu Apr 12 2007 jeffm@suse.de
  Update to 2.6.21-rc6-git5:
 - pm: use kobject_name() to access kobject names
 - usb: Nikon D80 unusual device patch
 - ehci: fix remote wakeup regression in 2.6.21-rc
 - mpc52xx_pic: fix main interrupt masking
 - myri10ge: update driver version to 1.3.0-1.233
 - myri10ge: more Intel chipsets providing aligned PCIe completions
 - myri10ge: fix management of the firmware 4KB boundary crossing restriction
 - cxgb3 - missing CPL hanler and register setting.
 - cxgb3 - MAC watchdog update
 - cxgb3 - avoid deadlock with mac watchdog
 - skge: fix wake on lan
 - sky2: phy workarounds for Yukon EC-U A1
 - sky2: turn on clocks when doing resume
* Thu Apr 12 2007 olh@suse.de
- run post install script for ppc64 kernel also on iseries
* Wed Apr 11 2007 jeffm@suse.de
- patches.fixes/autofs4-unhashed-dentry-race-fix.diff: autofs4:
  fix race in unhashed dentry code (263198).
* Wed Apr 11 2007 jeffm@suse.de
- Update to 2.6.21-rc6-git4:
 - FRV: Update the FRV arch MAINTAINER record
 - input: ucb1400 - set up driver's name to show in sysfs
 - ide: add "optical" to sysfs "media" attribute
 - ide: ugly messages trying to open CD drive with no media present
 - ide: correctly prevent IDE timer expiry function to run if request
  was already handled
 - ipt_CLUSTERIP: fix oops in checkentry function
 - IPoIB/cm: Fix DMA direction typo
 - intel_agp: fix G965 GTT size detect
 - tcp: slow_start_after_idle should influence cwnd validation too
 - sc92031: Fix priv->lock context
 - cls_tcindex: fix compatibility breakage
 - ieee1394: change deprecation status of dv1394
 - hid: Do not discard truncated input reports
* Tue Apr 10 2007 olh@suse.de
- Update to 2.6.21-rc6-git3:
 - i386: irqbalance_disable() section fix
 - x86_64: fix early_qrk[] section tag
 - omap_cf: oops-on-suspend fix
 - Proper fix for highmem kmap_atomic functions for VMI for 2.6.21
 - fuse: validate rootmode mount option
 - intel_agp: PCI id update for Intel 965GM
* Tue Apr 10 2007 perex@suse.de
- patches.fixes/ipt_CLUSTERIP_refcnt_fix:
  ipv4/netfilter/ipt_CLUSTERIP.c - refcnt fix (238646).
* Tue Apr 10 2007 teheo@suse.de
- patches.drivers/libata-ata_piix-vmw-ign-DMA-err: ata_piix:
  ignore ATA_DMA_ERR on vmware ich4 (258256).
* Tue Apr 10 2007 perex@suse.de
- patches.suse/bondalb-hashtbl.patch: Delete.
- patches.suse/bonding-bh-locking: bonding - replace lock calls
  with _bh forms (202512,206629,255082,260069).
* Sun Apr 08 2007 jeffm@suse.de
  Update to 2.6.21-rc6-git1:
 - high-res timers: resume fix
 - tg3: Fix crash during tg3_init_one()
 - irq-devres: fix failure path of devm_request_irq()
 - sched: get rid of p->children use in show_task()
 - sched.c: Remove unused variable 'relative'
 - ipv6: Revert recent change to rt6_check_dev().
 - xfrm: beet: fix IP option decapsulation
 - xfrm: beet: fix beet mode decapsulation
 - xfrm: beet: use IPOPT_NOP for option padding
 - xfrm: beet: fix IP option encapsulation
* Sun Apr 08 2007 jeffm@suse.de
  Update to 2.6.21-rc6.
  Differences from 2.6.21-rc5-git13:
 - appletalk: fix a remotely triggerable crash
 - ipv6: exclude truncated packets from InHdrErrors statistics
 - ipsec: Reject packets within replay window but outside the bit mask
* Thu Apr 05 2007 hare@suse.de
- patches.drivers/cciss-add-SG_IO: Add SG_IO to cciss.
* Thu Apr 05 2007 olh@suse.de
- update to 2.6.21-rc5-git13, misc fixes
* Wed Apr 04 2007 olh@suse.de
- update to 2.6.21-rc5-git12, libata fixes
* Wed Apr 04 2007 olh@suse.de
- update to 2.6.21-rc5-git11, msi fix
* Wed Apr 04 2007 olh@suse.de
- add patches.arch/ppc-pegasos-via-ide-irq-quirk.patch
  add correct interrupt property for pegasos ide
* Tue Apr 03 2007 olh@suse.de
- update to 2.6.21-rc5-git10, critical x86 fixes
* Mon Apr 02 2007 agruen@suse.de
- rpm/macros.kernel-source: KMPs: Add module-init-tools build
  requirement (259687).
* Mon Apr 02 2007 olh@suse.de
- add patches.arch/ppc-efika-modalias.patch
  add modalias file for of_devices to sysfs
* Mon Apr 02 2007 olh@suse.de
- add patches.arch/ppc-macio-modalias.patch
  fix modalias content in sysfs for macio devices
* Mon Apr 02 2007 olh@suse.de
- update to 2.6.21-rc5-git8, misc fixes
* Sat Mar 31 2007 olh@suse.de
- add patches.arch/ppc-efika-psc-console-autodetection.patch
* Sat Mar 31 2007 agruen@suse.de
- patches.apparmor/*: Add the DFA-based AppArmor kernel module.
- rpm/kernel-binary.spec.in: Depend on recent-enough parser and
  profiles packages.
* Fri Mar 30 2007 olh@suse.de
- update to 2.6.21-rc5-git6, misc fixes
* Thu Mar 29 2007 trenn@suse.de
- Update config files.
  Enable CONFIG_ACPI_DOCK=m, CONFIG_ACPI_BAY=m
  Disable CONFIG_ACPI_IBM_DOCK=m, CONFIG_ACPI_IBM_BAY=m
  on i386/x86_64
* Thu Mar 29 2007 olh@suse.de
- update patches.arch/ppc-efika-bestcomm-ethernet.patch
  remove bogus select PPC_BESTCOMM, remove leading blanks
* Thu Mar 29 2007 olh@suse.de
- add patches.arch/ppc-efika-of_device-generic-uevent.patch
  create modalias for mpc board devices
* Thu Mar 29 2007 olh@suse.de
- update to 2.6.21-rc5-git4, misc fixes
* Thu Mar 29 2007 aj@suse.de
- rpm/kernel-binary.spec.in: Add BuildRequires for module-init-tools.
* Wed Mar 28 2007 jeffm@suse.de
- scripts/tar-up_and_run_mbuild.sh: Added -i option to ignore
  kabi changes. Useful for running an mbuild to update the symvers.
* Wed Mar 28 2007 olh@suse.de
- update patches.arch/ppc-efika-bestcomm-ethernet.patch
  mpc52xx-pcidma -> mpc5200-bestcomm
  do not print errors if interface is down or on non-efika
* Tue Mar 27 2007 olh@suse.de
- update to 2.6.21-rc5-git2, misc fixes
* Mon Mar 26 2007 olh@suse.de
- update patches.arch/ppc-efika-bestcomm-ethernet.patch
  update properties to match efika firmware:
  dma-controler = mpc52xx-bestcomm -> mpc5200-pcidma
  sram = mpc52xx-srammpc5200-sram
* Mon Mar 26 2007 olh@suse.de
- update to 2.6.21-rc5
* Sat Mar 24 2007 olh@suse.de
- disable built-in amd8111 and sil680 IDE drivers on ppc64
  build libata pata_sil680 and pata_amd
* Fri Mar 23 2007 olh@suse.de
- enable iseries support in the ppc64 kernel
  build dasd, cd, tape and veth driver as module
* Fri Mar 23 2007 olh@suse.de
- add patches.arch/ppc-efika-bestcomm-ethernet.patch
  add patches.arch/ppc-efika-mpc52xx-ac97.patch
  network and sound support for Efika
* Fri Mar 23 2007 olh@suse.de
- update to 2.6.21-rc4-git8, acpi, network fixes
* Fri Mar 23 2007 trenn@suse.de
- Update config files.
- Build APM as module
- Disable acpi_dsdt_ssdt_initrd_initramfs.patch for now ->broken
* Fri Mar 23 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.21-rc4: Fix x86-64 Xen build.
* Fri Mar 23 2007 jbeulich@novell.com
- Update Xen patches to -unstable c/s 14422 and a more complete port
  to 2.6.21-rc4.
- Update config files.
- misc/xen-port-patches.py: Relax pattern used to locate files
  having Xen custom variants.
- patches.xen/xen-x86-panic-smp: panic/shutdown handling
  adjustments.
- patches.xen/xen-split-pt-lock: allow use of split page table
  locks.
- patches.xen/xen-blkif-protocol-fallback-hack: 32-on-64 blkif
  protocol negotiation fallback for old guests. (244055).
* Fri Mar 23 2007 olh@suse.de
- update to 2.6.21-rc4-git7, acpi, network, ia64, ppc fixes
* Thu Mar 22 2007 olh@suse.de
- require libsysfs2 to avoid dead network surprises
* Wed Mar 21 2007 gregkh@suse.de
- patch refresh due to 2.6.21-rc4 update to make everything apply cleanly.
* Wed Mar 21 2007 gregkh@suse.de
- patches.drivers/nozomi.patch: updated driver to fix oopses on
  removal (208818).
* Tue Mar 20 2007 olh@suse.de
- update to 2.6.21-rc4-git5, usb, libata, s390 fixes
* Tue Mar 20 2007 teheo@suse.de
- patches.drivers/libata-sata_sil24-pci_id-for-adaptec-1220SA:
  sata_sil24: Add Adaptec 1220SA PCI ID.
* Mon Mar 19 2007 olh@suse.de
- enable pata drivers for cmd64x, mpc52xx, via and winbond on ppc32
* Sun Mar 18 2007 olh@suse.de
- update to 2.6.21-rc4-git3
  supported flag moved from U to N
* Fri Mar 16 2007 teheo@suse.de
- patches.drivers/ide-jmicron-match-class-if-libata-is-configured:
  jmicron: make ide jmicron driver play nice with libata ones
  (224784, 207707).
* Fri Mar 16 2007 bwalle@suse.de
- patches.suse/add-IV-generation-method-null-to-dm-crypt:
  [PATCH] add IV generation method null to dm-crypt (302001).
* Thu Mar 15 2007 gregkh@suse.de
- enable KVM at request of the L2 group.
* Thu Mar 15 2007 teheo@suse.de
- patches.drivers/ide-backport-hpt366-from-devel: ide: backport
  hpt366 from devel tree (244502).
* Tue Mar 13 2007 teheo@suse.de
- patches.drivers/libata-hardreset-on-SERR_INTERNAL: libata:
  hardreset on SERR_INTERNAL (241334).
* Tue Mar 13 2007 teheo@suse.de
- patches.drivers/libata-jmicron-match-class-instead-of-function-nr:
  jmicron: match class instead of function number (224784,
  207707).
- patches.drivers/libata-ahci-RAID-mode-SATA-patch-for-Intel-ICH9M:
  ahci: RAID mode SATA patch for Intel ICH9M.
- patches.drivers/libata-blacklist-FUJITSU-MHT2060BH-for-NCQ:
  libata: blacklist FUJITSU MHT2060BH for NCQ.
* Mon Mar 12 2007 schwab@suse.de
- Update mol patch to match mol 0.9.72.
* Mon Mar 12 2007 neilb@suse.de
- patches.fixes/nfs-readdir-timestamp: Set meaningful value for
  fattr->time_start in readdirplus results. (244967).
* Fri Mar 09 2007 gregkh@suse.de
- Enable CONFIG_USB_DEVICEFS (#210899 and a zillion others.)
  Turns out that vmware isn't going to change anything, so making our
  users (and executives) have to build their own kernels is not
  something we we should be doing.
  I was wrong, sorry.
* Fri Mar 09 2007 gregkh@suse.de
- Update to 2.6.20.2
  - lots of bugfixes and security things
  - removed some of our patches and had to refresh a number of others.
- patches.drivers/libata-pata_amd-fix-cable-detection: Delete.
- patches.drivers/libata-sata_sil-ignore-and-clear-spurious-IRQs-while-executing-commands-by-polling:
  Delete.
- patches.fixes/psmouse-fiddle-with-reset.patch: Delete.
- patches.fixes/ipv6-fix-null-pointer-hole: Delete.
- patches.fixes/fix-key-serial-number-collision-handling.diff:
  Delete.
- patches.fixes/atyfb-mach64-sclk-delay.patch: Delete.
- Update config files.
- patches.drivers/always-announce-new-usb-devices.patch: USB:
  always announce a device has been added to the system.
- patches.drivers/e1000-eeprom-cksum.patch: Fix bad eeprom
  checksum misdetection on some notebooks.
- patches.drivers/libata-clear-TF-before-IDENTIFYing: libata:
  clear TF before IDENTIFYing.
- patches.drivers/libata-ahci-fix-spurious-IRQ-reporting: ahci:
  fix spurious IRQ reporting.
- patches.fixes/tiocgdev: tiocgdev ioctl.
- patches.fixes/ipv6-no-autoconf: Allow to bring up network
  interface w/o ipv6 autoconf (161888).
- patches.fixes/acpi-power-resources-resume-fix-2.patch:
  fix fans on HP laptops
  (http://bugzilla.kernel.org/show_bug.cgi?id=7122#c52).
- patches.fixes/acpi_fan-problem-fix.patch: fix fans on HP laptops
  (http://bugzilla.kernel.org/show_bug.cgi?id=7570#c8).
- patches.fixes/libata-ata_piix-acer-aspire-fix: HDD on Acer
  Aspire 3682 WLMi limited to UDMA33 (227477).
- patches.fixes/serio-cleanup-to-bus_2.patch: i8042 - let serio
  bus suspend ports.
- patches.suse/ext3-barrier-default: make ext3 mount default
  to barrier=1.
- patches.suse/nfs4acl-ext3.diff: NFSv4 ACLs on ext3 (FATE301275).
- patches.suse/kdb-common: kdb v4.4.
- patches.xen/xen-modular-blktap: Allow actually using
  CONFIG_XEN_BLKDEV_TAP=m.
- patches.xen/xen-balloon-max-target: Expose min/max limits of
  domain ballooning (152667, 184727).
- patches.xen/xen-console-default: Make Xen console default to
  vfb if that is built into the kernel.
- patches.xen/xen3-auto-arch-i386.diff: xen3 arch-i386.
- patches.xen/xen3-auto-xen-drivers.diff: xen3 xen-drivers.
- patches.xen/xen3-patch-2.6.19: Linux 2.6.19.
- patches.xen/xen3-patch-2.6.20: 2.6.20.
- patches.xen/add-console-use-vt: add console_use_vt.
- patches.kernel.org/patch-2.6.20.1: Linux 2.6.20.1.
- patches.kernel.org/patch-2.6.20.1-2: Linux 2.6.20.2.
* Thu Mar 08 2007 jbohac@suse.cz
- patches.fixes/ipv6-fix-null-pointer-hole: fix a possible memory leak
  (CVE-2007-1000, #252485)
* Thu Mar 08 2007 gregkh@suse.de
- Add ATM support for x86-64 (fix bug 251202)
* Mon Mar 05 2007 olh@suse.de
- update patches.arch/ppc-iseries-viocd-softlockup.patch
  use hard_nr_sectors, add BUG()
* Thu Mar 01 2007 agruen@suse.de
- scripts/kabi-checks: update so that this will also work with
  additional columns in the symvers files. Bump tolerate_kabi_changes
  to 31; we don't want the build to fail.
* Wed Feb 28 2007 kraxel@suse.de
- patches.xen/add-console-use-vt: add console_use_vt.
* Wed Feb 28 2007 kraxel@suse.de
- Disable uml framebuffer driver patches.
- Update config files.
* Wed Feb 28 2007 perex@suse.de
- patches.suse/rtnetlink-atomic2.patch: Delete.
- patches.suse/bonding-workqueue: Replace system timer with work
  queue in monitor functions (174843,205196,242197). Reworked for
  2.6.20 kernel.
* Wed Feb 28 2007 teheo@suse.de
- patches.drivers/libata-ahci-fix-spurious-IRQ-reporting: ahci:
  fix spurious IRQ reporting.
* Tue Feb 27 2007 teheo@suse.de
  Drive side 80c detection needs much wider fixing.  Drop it for the
  time being.
- patches.drivers/libata-ide-fix-drive-side-80c-detection: Delete.
* Tue Feb 27 2007 teheo@suse.de
- patches.drivers/libata-add-waits-for-govault: libata: add
  waits for GoVault (246451).
- patches.drivers/libata-sata_sil-ignore-and-clear-spurious-IRQs-while-executing-commands-by-polling:
  sata_sil: ignore and clear spurious IRQs while executing
  commands by polling.
* Tue Feb 27 2007 olh@suse.de
- add patches.arch/ppc-iseries-viocd-softlockup.patch
  Fix soft lockup with iSeries viocd driver (167629 - LTC23734)
* Fri Feb 23 2007 teheo@suse.de
- patches.drivers/libata-clear-TF-before-IDENTIFYing: libata:
  clear TF before IDENTIFYing.
* Thu Feb 22 2007 olh@suse.de
- add patches.fixes/atyfb-mach64-sclk-delay.patch
  use proper delay after sclk has been started
* Wed Feb 21 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: Use %%build_$flavor macros to avoid typos.
* Wed Feb 21 2007 trenn@suse.de
- patches.fixes/psmouse-fiddle-with-reset.patch: psmouse -
  properly reset mouse on shutdown/suspend.
- patches.fixes/serio-cleanup-to-bus_2.patch: i8042 - let serio
  bus suspend ports.
  Fix suspend to ram (246948).
* Wed Feb 21 2007 olh@suse.de
- add patches.arch/ppc-iseries-remove-AVAILABLE_VETH.patch
  remove /proc entry for network devices
* Mon Feb 19 2007 olh@suse.de
- reenable ipr on iseries
* Fri Feb 16 2007 kkeil@suse.de
- patches.drivers/e1000-eeprom-cksum.patch: Fix bad eeprom
  checksum misdetection on some notebooks (235315)
* Fri Feb 16 2007 trenn@suse.de
- patches.fixes/cpufreq_speedstep_acpi_nodefault.patch:
- Update config files.
* Thu Feb 15 2007 trenn@suse.de
- patches.fixes/serio-cleanup-to-bus.patch: Delete.
- patches.fixes/serio-cleanup-to-bus_2.patch: i8042 - let serio
  bus suspend ports.
- patches.fixes/acpi-power-resources-resume-fix-2.patch:
  fix fans on HP laptops
  (http://bugzilla.kernel.org/show_bug.cgi?id=7122#c52).
- patches.fixes/acpi_fan-problem-fix.patch: fix fans on HP laptops
  (http://bugzilla.kernel.org/show_bug.cgi?id=7570#c8).
- patches.fixes/acpi_force-fan-active.patch: Always activate
  fan if it should be active, don't trust former values (239101).
- patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch: Read DSDT
  from initrd or initramfs.
  Adjust patch to 2.6.20, rootfs must be populated even earlier...
* Mon Feb 12 2007 trenn@suse.de
- patches.fixes/acpi_execute_notify_threaded.patch: Acpi:
  created a dedicated workqueue for notify() execution
  (http://bugzilla.kernel.org/show_bug.cgi?id=5534).
- patches.fixes/psmouse-fiddle-with-reset.patch: psmouse -
  properly reset mouse on shutdown/suspend (179702,202389,226069).
- patches.fixes/serio-cleanup-to-bus.patch:
  (179702,202389,226069).
* Mon Feb 12 2007 jblunck@suse.de
- rpm/kernel-syms.spec.in: make guards executable.
- scripts/cvs-wd-timestamp: add support for local CVS repos.
- scripts/newest-timestamp: new helper script for removed dirs in CVS.
- scripts/tar-up.sh: call newest-timestamp on kabi before creating the tarball.
* Mon Feb 12 2007 jbeulich@novell.com
- config.conf: Also enable xenpae.
* Mon Feb 12 2007 jblunck@suse.de
- rpm/kernel-{binary,source,syms}.spec.in: synchronize and fix the
  %%symbols macro.
* Mon Feb 12 2007 jblunck@suse.de
- rpm/{kernel-dummy.spec.in,kernel-source.spec.in,kernel-syms.spec.in,
  kernel-binary.spec.in}: Specfile cleanup. PreReq: and Requires: are the
  same now. Added some Requirements(post):. Kernel packages in the OpenSUSE
  build service don't require kernel-dummy.
- scripts/tar-up.sh: Removed @EXTRA_NEEDS@ and added BuildRequires instead.
* Mon Feb 12 2007 trenn@suse.de
- Update config files.
  Remove deprecated CONFIG_X86_SPEEDSTEP_CENTRINO_ACPI (#241987)
* Mon Feb 12 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: Introduce %%build_flavor and use string
  comparison since we can't use subshells in build requirement resolving.
* Mon Feb 12 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: Revert the unconditional compilation with
  debuginfo.
* Mon Feb 12 2007 jbeulich@novell.com
- patches.xen/xen-x86-no-lapic: Adjust for x86-64 build to succeed.
* Mon Feb 12 2007 jbeulich@novell.com
- update Xen patches to -unstable c/s 13816.
- Update config files.
- config.conf: Re-enable xen flavors (xenpae not yet)
- supported.conf: Adjust Xen modules.
* Fri Feb 09 2007 schwab@suse.de
- Update kdb patches.
* Fri Feb 09 2007 jblunck@suse.de
- kernel-source.changes, kernel-source.changes.old: reorder the changes
  files to be in descending chronological order.
* Wed Feb 07 2007 jeffm@suse.de
- patches.fixes/fix-key-serial-number-collision-handling.diff:
  keys: Fix key serial number collision handling (243003).
* Wed Feb 07 2007 bwalle@suse.de
- patches.xen/dynamic-kernel-command-xen.patch:
  added patch that makes the command line dynamic in Xen (this
  is required to build, but test was impossible because the Xen
  patches didn't even apply -- so, please Xen team, please adapt
  after you enable it)
* Tue Feb 06 2007 gregkh@suse.de
- update to 2.6.20
* Tue Feb 06 2007 teheo@suse.de
- patches.drivers/libata-fix-jmicron-quirk: ahci/pata_jmicron:
  fix JMicron quirk.
- patches.drivers/libata-ide-fix-drive-side-80c-detection:
  libata/ide: fix drive side 80c cable detection (237164).
- patches.drivers/libata-pata_amd-fix-cable-detection: pata_amd:
  fix an obvious bug in cable detection.
- patches.drivers/ide-clear-bmdma-status-in-ide_intr-for-ICHx-controllers:
  ide: clear bmdma status in ide_intr() for ICHx controllers
  (revised #4) (240307).
- patches.drivers/ide-remove-clearing-bmdma-status-from-cdrom_decode_status:
  ide: remove clearing bmdma status from cdrom_decode_status()
  (rev #4) (240307).
* Tue Feb 06 2007 jjohanse@suse.de
- patches.suse/apparmor: AppArmor update in place of patch.  Fixes
  [#239147], #221567, #240982, #218961, #219309
* Mon Feb 05 2007 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.20-rc5: Replace by ...
- patches.xen/xen3-patch-2.6.20-rc6: 2.6.20-rc6.
- patches.xen/xen-blkif-bimodal: Replace by ...
- patches.xen/xen-protocol-bimodal: bimodal: header file with protocol
  names.
- patches.xen/xen-blkback-bimodal: multiprotocol blkback drivers.
- patches.xen/xen-blkback-bimodal-suse: backward compatibility.
- patches.xen/xen-blkfront-bimodal: bimodal: blkfront.
- patches.xen/xen-fbfront-bimodal: bimodal: pvfb frontend.
- Other Xen patches: Refresh.
* Thu Feb 01 2007 olh@suse.de
- update to 2.6.20-rc7
* Wed Jan 31 2007 bwalle@suse.de
- patches.suse/dynamic-kernel-command-line-alpha.patch,
  patches.suse/dynamic-kernel-command-line-arm.patch,
  patches.suse/dynamic-kernel-command-line-arm26.patch,
  patches.suse/dynamic-kernel-command-line-avr32.patch,
  patches.suse/dynamic-kernel-command-line-common.patch,=20
  patches.suse/dynamic-kernel-command-line-cris.patch,
  patches.suse/dynamic-kernel-command-line-fixups.patch,
  patches.suse/dynamic-kernel-command-line-frv.patch,
  patches.suse/dynamic-kernel-command-line-h8300.patch,
  patches.suse/dynamic-kernel-command-line-i386.patch,
  patches.suse/dynamic-kernel-command-line-ia64-fix.patch,
  patches.suse/dynamic-kernel-command-line-ia64.patch,
  patches.suse/dynamic-kernel-command-line-m32r.patch,
  patches.suse/dynamic-kernel-command-line-m68k.patch,
  patches.suse/dynamic-kernel-command-line-m68knommu.patch,
  patches.suse/dynamic-kernel-command-line-mips.patch,
  patches.suse/dynamic-kernel-command-line-parisc.patch,
  patches.suse/dynamic-kernel-command-line-powerpc.patch,
  patches.suse/dynamic-kernel-command-line-ppc.patch,
  patches.suse/dynamic-kernel-command-line-s390.patch,
  patches.suse/dynamic-kernel-command-line-sh.patch,
  patches.suse/dynamic-kernel-command-line-sh64.patch,
  patches.suse/dynamic-kernel-command-line-sparc.patch,
  patches.suse/dynamic-kernel-command-line-sparc64.patch,
  patches.suse/dynamic-kernel-command-line-um.patch,
  patches.suse/dynamic-kernel-command-line-v850.patch,
  patches.suse/dynamic-kernel-command-line-x86_64.patch,
  patches.suse/dynamic-kernel-command-line-xtensa.patch:
  make kernel command line dynamic after bootup to save
  runtime memory
- patches.suse/i386-2048-byte-command-line.patch,
  patches.suse/ia64-2048-byte-command-line.patch,
  patches.suse/x86_64-2048-byte-command-line.patch:
  increase command line to 2048 characters to i386 (from 256),=20
  ia64 (form 1024) and x86_64 (from 256)
* Tue Jan 30 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: lets always strip debuginfo from vmlinux.
* Thu Jan 25 2007 gregkh@suse.de
- update to 2.6.20-rc6
* Thu Jan 25 2007 gregkh@suse.de
- Update vanilla config files.
* Thu Jan 25 2007 gregkh@suse.de
- update to 2.6.20-rc5-git3
* Wed Jan 24 2007 olh@suse.de
- update post scripts for new perl/yast2 bootloader (235753)
  handle the version downgrade from 10.2 kernel to 10.1 kernel
  on a 10.1 system correctly
* Tue Jan 23 2007 olh@suse.de
- update to 2.6.20-rc5-git1
  scsi, usb, powerpc, ocfs fixes
* Mon Jan 22 2007 jblunck@suse.de
- rpm/kernel-binary.spec.in: fix "Requires:" and config-subst call.
* Sat Jan 20 2007 bwalle@suse.de
- patches.suse/apm_setup_UP.diff: set "power_off_set" only when
  compiled with SMP support since that variable only exists when
  CONFIG_SMP is set -- fixed compile error
* Sat Jan 20 2007 teheo@suse.de
- patches.drivers/libata-ahci-dont-enter-slumber-on-powerdown:
  ahci: don't enter slumber on power down (#236679).
* Fri Jan 19 2007 jbeulich@novell.com
- patches.xen/xen-x86-high_memory-early: Delete.
- patches.xen/xen-x86-no-ioapic-base: Delete.
- patches.xen/xen3-patch-2.6.20-rc5: 2.6.20-rc5.
- patches.xen/xen-blkif-bimodal: multiprotocol blkback
  drivers. (208109).
- patches.xen/xen-i386-highpte: Enhance performance of
  CONFIG_HIGHPTE on i386.
- patches.xen/xen-x86-kconfig-no-cpu_freq: disallow CPUFREQ
  config options.
- Other Xen patches: Make them apply (still untested).
* Fri Jan 19 2007 od@suse.de
- patches.suse/apm_setup_UP.diff:
  - late_initcall does not work as expected, set up default value
  if needed before use in apm() instead -> this works
  - drop __initdata, variable may now be used later as well
* Fri Jan 19 2007 hare@suse.de
- Mark megaraid_sas as supported (236128)
* Fri Jan 19 2007 jbeulich@novell.com
- Re-enable Kconfig parts of Xen patches.
* Thu Jan 18 2007 jbeulich@novell.com
- disable Xen patches again (didn't intend to enable them)
* Thu Jan 18 2007 jbeulich@novell.com
- patches.xen/block-barriers.diff: Delete.
- patches.xen/x86-elfnote-as-preprocessor-macro.patch: Delete.
- patches.xen/x86-put-note-sections-into-a-pt_note-segment-in-vmlinux.patch:
  Delete.
- patches.xen/x86_64-put-note-sections-into-a-pt_note-segment-in-vmlinux.patch:
  Delete.
- patches.xen/xen-12404-fix-x86_64-compatibility: Delete.
- patches.xen/xen-blktap-unmap-flags: Delete.
- patches.xen/xen-compat-conditional: Delete.
- patches.xen/xen-i386-pae-gnttab: Delete.
- patches.xen/xen-i386-variable-hole: Delete.
- patches.xen/xen-initdata: Delete.
- patches.xen/xen-microcode-modular: Delete.
- patches.xen/xen-x86-clear_fixmap: Delete.
- patches.xen/xen-x86-fixmap-no-gnttab: Delete.
- patches.xen/xen-x86-privcmd-range: Delete.
- patches.xen/xen-x86_64-agp: Delete.
- patches.xen/blktap-aio-16_03_06.patch,
  patches.xen/fix-ide-cd-pio-mode.patch,
  patches.xen/net-csum.patch,
  patches.xen/pmd-shared.patch,
  patches.xen/xen3-fixup-arch-um,
  patches.xen/xenoprof-generic.patch,
  patches.xen/i386-mach-io-check-nmi.patch,
  patches.xen/rename-TSS_sysenter_esp0-SYSENTER_stack_esp0.patch,
  patches.xen/xen3-auto-common.diff,
  patches.xen/xen3-auto-arch-i386.diff,
  patches.xen/xen3-auto-arch-um.diff,
  patches.xen/xen3-auto-arch-x86_64.diff,
  patches.xen/xen3-auto-include-xen-interface.diff,
  patches.xen/xen3-auto-xen-arch.diff,
  patches.xen/xen3-auto-xen-drivers.diff,
  patches.xen/xen3-auto-xen-kconfig.diff,
  patches.xen/xen3-fixup-common,
  patches.xen/xen3-fixup-arch-i386,
  patches.xen/xen3-fixup-arch-x86_64,
  patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-i386.patch,
  patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-x86_64.patch,
  patches.xen/xen3-patch-2.6.17,
  patches.xen/xen3-patch-2.6.18,
  patches.xen/xen3-patch-2.6.19: Move forward to current
  xen-unstable, without enabling yet (still untested).
* Thu Jan 18 2007 teheo@suse.de
- patches.drivers/ide-pnp-driver-unregister-fix: ide: unregister
  idepnp driver on unload (232475).
- patches.drivers/libata-add-devid-5337-to-sata_via: sata_via:
  add PCI ID 0x5337 (225656).
- patches.drivers/libata-ahci-improve-spurious-irq-reporting:
  ahci: improve and limit spurious interrupt messages, take#2
  (231328).
- patches.drivers/libata-fix-port-action-in-perdev-action-mask:
  libata: fix handling of port actions in per-dev action mask
  (231088, 235475).
* Thu Jan 18 2007 olh@suse.de
- add patches.drivers/libata-initialize-variables.patch
  fix ipr SATA (215625 - LTC28529)
* Wed Jan 17 2007 jbeulich@novell.com
- patches.fixes/i8042-reentry: Delete unused patch.
* Tue Jan 16 2007 rw@suse.de
- Update config files:
  [ia64] enable kexec/kdump and cpufreq. (#222847)
* Mon Jan 15 2007 od@suse.de
- update patches.suse/apm_setup_UP.diff
  fix missing voids and __initdata
* Mon Jan 15 2007 od@suse.de
- update patches.suse/apm_setup_UP.diff
  set default value for power_off when no kernel parameter is used
* Mon Jan 15 2007 od@suse.de
- patches.suse/apm_setup_UP.diff:
  APM: default to "power_off" when SMP kernel is used on single
  processor machines (221667)
* Sat Jan 13 2007 gregkh@suse.de
- update to 2.6.20-rc5
* Sat Jan 13 2007 schwab@suse.de
- Enable support for Apple Motion Sensor on ppc32.
* Fri Jan 12 2007 gregkh@suse.de
- update to 2.6.20-rc4-git6 and refresh patches to apply with no fuzz
  (except for xen patches, didn't touch them.)
* Fri Jan 12 2007 gregkh@suse.de
- Enable ext4 in kernel configs
* Thu Jan 11 2007 hare@suse.de
- patches.fixes/libata-ata_piix-acer-aspire-fix: HDD on Acer
  Aspire 3682 WLMi limited to UDMA33 (227477).
- patches.fixes/libata-pata_sis-udma66-fix: HDD on ASUS A6K
  limited to UDMA33 (227480).
* Wed Jan 10 2007 olh@suse.de
- update to 2.16.20-rc4-git2
  s390, powerpc, network, bluetooth, alsa fixes
* Wed Jan 10 2007 olh@suse.de
- update patches.uml/uml-x11-fb
  remove init_input_dev usage
* Tue Jan 09 2007 garloff@suse.de
- Drop old SCSI patches st-ioctl-idlun-support and
  st-non-blocking-open.
* Tue Jan 09 2007 olh@suse.de
- update to 2.16.20-rc4
* Tue Jan 09 2007 gregkh@suse.de
- Update config files.
  - more arches fixed (x86-64 and alpha)
* Tue Jan 09 2007 gregkh@suse.de
- Update config files.
  - fix config for ia64
* Tue Jan 09 2007 gregkh@suse.de
- Patch refresh and fixes for 2.6.19 forward port
  - now builds in i386
  - fixed up vanilla configs
* Tue Jan 09 2007 gregkh@suse.de
- patches.fixes/patch-isdn-ppp-init-reset-state-timer: Delete.
  was not used or referenced anywhere
* Tue Jan 09 2007 gregkh@suse.de
- first step at updating to 2.6.19
  - only i386 configs updated
  - will not build yet due to some other issues.
* Mon Jan 08 2007 trenn@suse.de
- patches.fixes/acpi_execute_notify_threaded.patch: Acpi:
  create a dedicated workqueue for notify() execution
  (http://bugzilla.kernel.org/show_bug.cgi?id=5534).
* Mon Jan 08 2007 olh@suse.de
- update patches.suse/crasher-26.diff
  remove unneeded linux/config.h inclusion
  include required completion,jiffies and sched.h
* Mon Jan 08 2007 olh@suse.de
- update patches.suse/bootsplash
  remove unneeded linux/config.h inclusion
* Mon Jan 08 2007 olh@suse.de
- update patches.xen/xen3-auto-xen-kconfig.diff
  remove patches.xen/xen-x86-kconfig-no-cpu_freq
  remove patches.xen/xen3-i386-apic-auto
  remove unneeded Kconfig parts
* Mon Jan 08 2007 olh@suse.de
- update patches.uml/uml-kconfig
  remove unneeded Kconfig parts
* Fri Jan 05 2007 olh@suse.de
- use SATA instead of IDE for winbond (159235 - LTC22345)
* Fri Jan 05 2007 olh@suse.de
- add patches.suse/libata-pata_sl82c105-reset-delay.patch
  some delay around the frequently called reset function (159235 - LTC22345)
* Fri Jan 05 2007 olh@suse.de
- update patches.fixes/ignore-aix-disk-label.patch
  fix AIX magic detection logic
  relax check, consider common Linux partition types
* Fri Jan 05 2007 olh@suse.de
- add patches.arch/ppc-pci-fixup_resource.patch
  remove PCI bar 5 from winbond IDE for libata (159235 - LTC22345)
* Thu Jan 04 2007 jeffm@suse.de
- patches.fixes/bad-file-inode-ops-sign-extension-fix.diff: vfs:
  fix missing sign extension on error return codes w/ bad inodes
  (230270).
* Tue Jan 02 2007 olh@suse.de
- Update to 2.6.18.6
  EBTABLES: Fix wraparounds in ebt_entries verification.
  EBTABLES: Verify that ebt_entries have zero ->distinguisher.
  EBTABLES: Deal with the worst-case behaviour in loop checks.
  EBTABLES: Prevent wraparounds in checks for entry components' sizes.
  skip data conversion in compat_sys_mount when data_page is NULL
  bonding: incorrect bonding state reported via ioctl
  x86-64: Mark rdtsc as sync only for netburst, not for core2
  dm crypt: Fix data corruption with dm-crypt over RAID5
  forcedeth: Disable INTx when enabling MSI in forcedeth
  PKT_SCHED act_gact: division by zero
  XFRM: Use output device disable_xfrm for forwarded packets
  IPSEC: Fix inetpeer leak in ipv4 xfrm dst entries.
  V4L: Fix broken TUNER_LG_NTSC_TAPE radio support
  V4L: Fix broken TUNER_LG_NTSC_TAPE radio support
  IrDA: Incorrect TTP header reservation
  SUNHME: Fix for sunhme failures on x86
  softmac: remove netif_tx_disable when scanning
  DVB: lgdt330x: fix signal / lock status detection bug
  dm snapshot: fix freeing pending exception
  NET_SCHED: policer: restore compatibility with old iproute binaries
  NETFILTER: ip_tables: revision support for compat code
  ieee1394: ohci1394: add PPC_PMAC platform code to driver probe
* Tue Jan 02 2007 jblunck@suse.de
- series.conf: rearranged the device-mapper patches into a seperate
  section
* Tue Jan 02 2007 jblunck@suse.de
- patches.suse/dm-bbr: Delete.
- patches.suse/dm-bbr.vmalloc: Delete.
* Tue Jan 02 2007 olh@suse.de
- disable dv1394, its scheduled for removal. use raw1394 instead
* Thu Dec 21 2006 kkeil@suse.de
- patches.fixes/patch-isdn-ppp-init-reset-state-timer: add
  init_timer() for ISDN PPP CCP reset state timer.
* Thu Dec 21 2006 jeffm@suse.de
- patches.fixes/bcm43xx-1GB-fix.diff: bcm43xx-softmac: Fix system
  hang for x86-64 with >1GB RAM.
* Wed Dec 20 2006 kkeil@suse.de
- patches.fixes/patch-bluetooth-cmtp-length-check: [Bluetooth]
  Add packet size checks for CAPI messages.
* Mon Dec 11 2006 jbeulich@novell.com
- patches.fixes/rtc-no-irq.patch: RTC driver init adjustment
  (226676).
* Mon Dec 11 2006 olh@suse.de
- enable mptsas on ppc64 (225712 - LTC28557)
* Sat Dec 09 2006 olh@suse.de
- add patches.arch/ppc-iseries-rd_size.patch
  fix iseries compile error with modular ramdisk
* Sat Dec 09 2006 olh@suse.de
- build ramdisk driver as module, it was only required for
  loop mounted initrds, but its not needed for cpio initrd
* Mon Dec 04 2006 jdelvare@suse.de
- Re-enable e1000 packet split. It was disabled to fix bug
  [#220210], but patch 2.6.18.5 fixes the true cause of the problem
  so disabling this feature is no longer necessary.
* Mon Dec 04 2006 jbeulich@novell.com
- patches.xen/xen-x86_64-agp: add missing header (222174, 224170).
* Sat Dec 02 2006 gregkh@suse.de
- Update to 2.6.18.5
  - lots of little bug fixes, only 3 of which we already had.
- Update config files.
* Sat Dec 02 2006 olh@suse.de
- add patches.suse/snd-aoa-device-symlinks.patch
  let snd-aoa create sysfs device symlinks (106294)
* Fri Dec 01 2006 hare@suse.de
- patches.drivers/0033-ata_piix-allow-01b-MAP-for-both-ICH6M-and-ICH7M.txt
  Fix CD-ROM detection on ICH6M and ICH7M (205331)
- patches.drivers/0043-ata_piix-IDE-mode-SATA-patch-for-Intel-ICH9.txt
  Update patch to apply again.
* Fri Dec 01 2006 olh@suse.de
- mark jsm as supported (218969 - LTC29005)
* Thu Nov 30 2006 ak@suse.de
- patches.fixes/fix-softirq-race: Fix softirq race on bootup
  that triggers on emulators.
- patches.fixes/unwind-miscompilation: work around gcc4 issue
  with -Os in Dwarf2 stack unwind.
* Thu Nov 30 2006 gregkh@suse.de
- Fix build error, got burned by patching with fuzz again...
- patches.suse/ppc-powerbook-iso-usbkbd.patch: Delete.
* Thu Nov 30 2006 gregkh@suse.de
- Update to 2.6.18.4
  - security fix (CVE-2006-5751)
* Thu Nov 30 2006 gregkh@suse.de
- Update to 2.6.18.3
  - fixes a number of minor things.
  - a few security fixes too, (CVE-2005-4352) is one.
* Wed Nov 29 2006 olh@suse.de
- dont pull perl-Bootloader and mkinitrd during kernel-syms build (224477)
  dont pull xen and irqbalance during package build
* Wed Nov 29 2006 jeffm@suse.de
- enabled patches.fixes/acpi-battery-sleep-fix.diff after checking
  with pavel
* Tue Nov 28 2006 jeffm@suse.de
- patches.fixes/sys_move_pages-leak-fix.diff: Fix sys_move_pages
  when a NULL node list is passed.
* Tue Nov 28 2006 jeffm@suse.de
- patches.fixes/acpi-battery-sleep-fix.diff: ACPI: check battery
  status on resume for un/plug events during sleep. (217564) (disabled)
* Mon Nov 27 2006 hare@suse.de
- patches.suse/supported-flag: Enable again and set to nowarn.
* Mon Nov 27 2006 hare@suse.de
- patches.suse/supported-flag: Disable patch.
* Mon Nov 27 2006 hare@suse.de
- patches.drivers/0004-libata-fix-READ_CAPACITY-simulation.txt:
  libata: fix READ CAPACITY simulation.
- patches.drivers/0005-libata-dont-schedule-EH-on-wcache-on-off-if-old-EH.txt:
  libata: don't schedule EH on wcache on/off if old EH.
- patches.drivers/0023-libata-improve-failed-qc-reporting.txt:
  libata: improve failed qc reporting.
- patches.drivers/0024-libata-print-cdb0-in-failed-qc-report.txt:
  libata: print cdb in failed qc report.
- patches.drivers/0027-ahci-preserve-PORTS_IMPL-over-host-resets.txt:
  ahci: preserve PORTS_IMPL over host resets.
- patches.drivers/0028-ahci-honor-PORTS_IMPL-on-ICH8s.txt: ahci:
  honor PORTS_IMPL on ICH8s.
- patches.drivers/0029-libata-separate-out-and-export-sata_port_hardreset.txt:
  libata: separate out and export sata_port_hardreset().
- patches.drivers/0030-ahci-update-ahci-vt8251-reset-sequence.txt:
  ahci: update ahci-vt8251 reset sequence.
- patches.drivers/0031-ahci-do-not-powerdown-during-initialization.txt:
  ahci: do not powerdown during initialization.
- patches.drivers/0032-ahci-ignore-PORT_IRQ_IF_ERR-on-JMB-controllers.txt:
  ahci: ignore PORT_IRQ_IF_ERR on JMB controllers.
- patches.drivers/0041-libata-fix-scsi_host_template-in-drivers.txt:
  libata: fix scsi_host_template in drivers.
- patches.drivers/0042-ahci-AHCI-mode-SATA-patch-for-Intel-ICH9.txt:
  ahci: AHCI mode SATA patch for Intel ICH9.
- patches.drivers/0043-ata_piix-IDE-mode-SATA-patch-for-Intel-ICH9.txt:
  ata_piix: IDE mode SATA patch for Intel ICH9.
- patches.drivers/0044-libata-ahci-Match-PCI-class-code-for-AHCI.txt:
  ahci: Match PCI class code for AHCI.
- patches.drivers/0045-pci_ids.h-Add-NVIDIA-PCI-ID.txt: pci_ids.h:
  Add NVIDIA PCI ID.
- patches.drivers/0046-libata-Add-support-for-AHCI-controllers-of-MCP67.txt:
  ahci: Add support for AHCI controllers of MCP67.
- patches.drivers/0047-libata-Add-support-for-PATA-controllers-of-MCP67-to-pata_amd.txt:
  pata_amd: Add support for PATA controllers of MCP67.
* Sat Nov 25 2006 ak@suse.de
- patches.arch/acpi-use-timer-override: x86: Add
  acpi_user_timer_override option for Asus boards.
* Fri Nov 24 2006 ak@suse.de
- patches.drivers/agp-dma32: Allocate AGP pages with GFP_DMA32
  by default.
- patches.drivers/965-drm: drm: Add support for Intel i965G
  chipsets..
- patches.drivers/965-agp: Intel 965 Express support..
- patches.drivers/965-agp-suspend: Add suspend callback for i965.
* Fri Nov 24 2006 hare@suse.de
- patches.drivers/libata-fixup-pci-quirks-defines: JMicron ATA
  controler not correctly detected on ASUS P5B-VM (217930).
* Fri Nov 24 2006 hare@suse.de
- patches.drivers/libata-sb600-force-ahci-mode: SATA disk not
  recognized during installation (220226).
* Fri Nov 24 2006 hare@suse.de
- Add ext2 and mbcache to supported.conf.
* Wed Nov 22 2006 jeffm@suse.de
- patches.fixes/hfs-fail-mount.diff: hfs_fill_super returns
  success even if no root inode (221230).
* Wed Nov 22 2006 trenn@suse.de
- patches.fixes/cpufreq_PPC_zero.patch: avoid out of bounds access
* Wed Nov 22 2006 hare@suse.de
- patches.arch/s390-uaccess-fix: martin broke s390.
* Tue Nov 21 2006 trenn@suse.de
- patches.fixes/cpufreq_PPC_zero.patch: Fix _PPC evaluation,
  allow highest freq on HPs (and others) (179702).
* Tue Nov 21 2006 jbeulich@novell.com
- patches.xen/xen-x86-clear_fixmap: clear_fixmap() results in ill use
  of set_pte().
- patches.xen/xen-i386-variable-hole: Allow truely variable hole size.
- patches.xen/xen-compat-conditional,
  patches.xen/xen-x86-dcr-fallback,
  patches.xen/xen-x86-high_memory-early,
  patches.xen/xen-x86_64-init-cleanup,
  patches.xen/xen3-patch-2.6.17,
  patches.xen/xen3-patch-2.6.18: Refresh.
- patches.xen/xen-12404-fix-x86_64-compatibility: Add bugzilla reference.
* Mon Nov 20 2006 hare@suse.de
- patches.drivers/libata-legacy-irq-share: libata doesn't enable
  IRQ sharing for devices in legacy mode (218742).
* Mon Nov 20 2006 hare@suse.de
- patches.drivers/libata-legacy-irq-share: libata doesn't enable
  IRQ sharing for devices in legacy mode.
* Sun Nov 19 2006 olh@suse.de
- add patches.suse/uml-offsetof.patch
  workaround to get offsetoff for arch/um/sys-i386/user-offsets.c
* Fri Nov 17 2006 jeffm@suse.de
- patches.fixes/handle-ext3-directory-corruption-better.patch:
  ext3: directory integrity checking (220288).
* Fri Nov 17 2006 olh@suse.de
- enable snd-ens1371 in powerpc default config
* Thu Nov 16 2006 ak@suse.de
- Update config files: Disable CONFIG_STACK_UNWIND on i386/x86-64
* Wed Nov 15 2006 kkeil@suse.de
- patches.drivers/sky2-1.5-1.10-update: Fix various issues with
  sky2 driver.
- patches.drivers/r8169-update-2.6.19: Update Realtek r8169 to
  support newer chipsets.
- patches.suse/bond_alb_deadlock_fix: bonding: fix deadlock on
  high loads in bond_alb_monitor().
- patches.suse/bondalb-hashtbl.patch: fix hang in bonding
  ALB driver.
* Wed Nov 15 2006 kkeil@suse.de
- Update config files CONFIG_E1000_DISABLE_PACKET_SPLIT=y (#220210)
* Wed Nov 15 2006 kraxel@suse.de
- patches.xen/reverse-11226.diff: Delete.
- patches.xen/xen-12404-fix-x86_64-compatibility: Fix backward
  compatibility to Xen 3.0.2.
* Tue Nov 14 2006 od@suse.de
- rpm/post.sh, rpm/postun.sh:
    - fall back to use update-bootloader when installing on older
  SUSE products aosthof@suse.de (220267)
    - added messages when update-bootloader could not be found as
  well
* Tue Nov 14 2006 od@suse.de
- add patches.arch/i386-microcode.diff from bwalle@suse.de
  x86 microcode: don't check the size (205368)
* Tue Nov 14 2006 agruen@suse.de
- Move the Kernel Module specific macros from the rpm package
  into the kernel-source package.
* Tue Nov 14 2006 olh@suse.de
- add patches.arch/ppc-atyfb-wallstreet-default.patch
  finally force 1024x768 on the 3th PowerBook Wallstreet
* Tue Nov 14 2006 trenn@suse.de
- patches.fixes/acpi_cpufreq_do_not_load_unconditionally.patch:
  Do not load acpi_cpufreq if there are on ACPI cpufreq funcs
  provided by BIOS (218377).
* Mon Nov 13 2006 olh@suse.de
- add patches.suse/ppc-alignment-exception.patch
  Make alignment exception always check exception table (217295)
* Mon Nov 13 2006 olh@suse.de
- add patches.suse/hpsb_protocol_driver-module-symlink.patch
  provide /sys/bus/ieee1394/drivers/*/module symlinks (220224)
* Mon Nov 13 2006 kraxel@suse.de
- patches.fixes/loop-barriers2: Make the loop driver handle
  barrier requests..
- patches.xen/block-barriers.diff: Add support for barriers to
  blk{back,front} drivers..
- patches.xen/reverse-11226.diff: reverse broken changeset
  (215617).
* Mon Nov 13 2006 od@suse.de
- make sure a sufficiently new perl-Bootloader is installed before
  the kernel, to handle new bootloader_entry interface (220267)
* Mon Nov 13 2006 trenn@suse.de
- patches.fixes/apic_fix_suspend.patch: - restore i8259A eoi
  status on resume (bug #212208 (fixes s2disk for acer ferrari
  4000)).
* Mon Nov 13 2006 agruen@suse.de
- rpm/kernel-syms.spec.in: Add the module.alias files from
  kernel-$flavor packages (for automatically generating
  Supplements: modalias(...) tags in other packages).
* Mon Nov 13 2006 olh@suse.de
- add patches.suse/ppc-powerbook-usb-fn-key-default.patch
  enable fkeysfirst usbhid.pb_fnmode=2 (220266)
* Mon Nov 13 2006 hare@suse.de
- patches.drivers/libata-flush-ext-workaround: performance
  problems with ata_piix (214909).
* Sun Nov 12 2006 agruen@suse.de
- supported.conf: Mark cpufreq_conservative as supported.
* Thu Nov 09 2006 jeffm@suse.de
- patches.fixes/cramfs-blocksize.diff: corrupted cramfs
  filesystems cause kernel oops (218237).
* Thu Nov 09 2006 jbenc@suse.cz
- patches.suse/prism-defaultmac: Delete (ifup script was modified
  not to need this patch).
* Tue Nov 07 2006 od@suse.de
- rpm/post.sh, rpm/postun.sh: (217668) change from
  kernel-@FLAVOR@-@KERNELRELEASE@.@ARCH@.rpm to
  @FLAVOR@ @KERNELRELEASE@
* Tue Nov 07 2006 ak@suse.de
- patches.suse/disable-hotplug-warning: Disable cpu hotplug
  lock warnings.
* Mon Nov 06 2006 jbeulich@novell.com
- patches.xen/xen-erratic-mouse.diff: Move up and replace by ...
- patches.fixes/i8042-reentry: fix erratic mouse when run in
  fully virtualized environment.
- Update to Xen 3.0.3 (c/s 11774).
- patches.xen/xen-x86_64-set_32bit_tls: Delete.
- Update Xen config files (enable XEN_BLKDEV_TAP).
- patches.xen/xen-x86-privcmd-range: Range-check hypercall index.
- patches.xen/xen-i386-pae-gnttab: Fix 4G i386 PAE grant table
  interface.
- patches.xen/xen-blktap-unmap-flags: pass proper flags to
  gnttab_set_unmap_op.
- patches.xen/xen-x86-consistent-nmi: make i386 and x86 NMI code
  consistent, disable all APIC-related stuff (191115).
- patches.xen/xen-initdata: use __initdata where possible.
- patches.xen/xen-compat-conditional: conditionalize compatibility
  code.
- patches.xen/xen-x86-fixmap-no-gnttab: remove pointless global
  inclusion of xen/gnttab.h.
- patches.xen/xen3-fixup-common,
  patches.xen/xen-configurable-console,
  patches.xen/xen-i386-panic-on-oops,
  patches.xen/xen-x86-high_memory-early,
  patches.xen/xen-x86-no-lapic,
  patches.xen/xen-x86-panic-no-reboot,
  patches.xen/xen-x86_64-init-cleanup,
  patches.xen/xen3-auto-arch-i386.diff,
  patches.xen/xen3-auto-arch-um.diff,
  patches.xen/xen3-auto-arch-x86_64.diff,
  patches.xen/xen3-auto-include-xen-interface.diff,
  patches.xen/xen3-auto-xen-arch.diff,
  patches.xen/xen3-auto-xen-drivers.diff,
  patches.xen/xen3-fixup-arch-x86_64,
  patches.xen/xen3-patch-2.6.17,
  patches.xen/xen3-patch-2.6.18,
  patches.xen/xen-balloon-max-target,
  patches.xen/xen-x86-dcr-fallback,
  patches.xen/xen-x86-no-ioapic-base,
  patches.xen/xen3-auto-common.diff,
  patches.xen/xen3-auto-xen-kconfig.diff,
  patches.xen/xen-modular-blktap: Refresh.
* Sun Nov 05 2006 olh@suse.de
- add patches.suse/ppc-powerbook-touchpad-quirk.patch
  ignore the touchpad in usbhid, appletouch handles it
* Sat Nov 04 2006 olh@suse.de
- update patches.suse/ppc-powerbook-iso-usbkbd.patch
  move the keyswapping code to the correct place
* Sat Nov 04 2006 gregkh@suse.de
- 2.6.18.2 update
* Fri Nov 03 2006 kkeil@suse.de
- patches.fixes/compat_do_ipt_get_ctl-cap_net_admin.fix
  missing check in compat IPT handling (213693).
* Wed Nov 01 2006 jeffm@suse.de
- patches.fixes/reiserfs-fill-super-errval.diff: reiserfs:
  reset errval after initializing bitmap cache (216956).
* Tue Oct 31 2006 olh@suse.de
- enable CONFIG_USB_HIDINPUT_POWERBOOK on i386
* Tue Oct 31 2006 agruen@suse.de
- patches.suse/nfs4acl-ext3-fix.diff: Fix bug in error path.
* Mon Oct 30 2006 agruen@suse.de
- scripts/log (via scripts/check-cvs-add): Complain when a patch
  referenced in series.conf does not exist.
* Mon Oct 30 2006 schwab@suse.de
- Update mol patch.
* Sat Oct 28 2006 olh@suse.de
- dont pull perl-Bootloader and mkinitrd during build (215218)
* Sat Oct 28 2006 olh@suse.de
- add patches.drivers/libata-docs.patch
  fix make doc breakage from libata changes
* Fri Oct 27 2006 olh@suse.de
- add patches.suse/ppc-powerbook-iso-usbkbd.patch
  correct <> key mapping on built-in USB keyboards
* Fri Oct 27 2006 kkeil@suse.de
- patches.drivers/sky2-1.5-1.10-update: Fix various issues with
  sky2 driver (182159 182512 182541).
* Fri Oct 27 2006 jbeulich@novell.com
- Update Xen config files (disable XEN_BLKDEV_TAP again).
* Fri Oct 27 2006 hare@suse.de
- patches.drivers/libata-mm-update: Update libata drivers
  with fixes from -mm. This fixes problems with ata_piix
  device detection (210512)
- patches.drivers/libata-acpi-update: Reformat patch.
- Update config files.
* Fri Oct 27 2006 jbeulich@novell.com
- patches.xen/xen-modular-blktap: Allow actually using
  CONFIG_XEN_BLKDEV_TAP=m.
- Update Xen config files (enable XEN_BLKDEV_TAP).
- supported.conf: Add drivers/xen/blktap/blkbktap.
* Thu Oct 26 2006 jblunck@suse.de
- patches.fixes/dm-refcnt-fix.diff: Fix reference counting in
  __find_device_hash_cell() (214682).
* Thu Oct 26 2006 tonyj@suse.de
- patches.suse/apparmor-secureexec.patch: Delete.
- patches.suse/apparmor-mmapexec.patch: Delete.
- patches.suse/apparmor: Roll security fixes into main AA patch
  going fowrd. Update to use RCU locking.
* Tue Oct 24 2006 trenn@suse.de
- patches.suse/acpi_dsdt_initrd_initramfs: Delete.
- patches.fixes/acpi_asus_do_not_always_load.patch: Fix check
  whether the module should get loaded (212936).
- patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch: Read DSDT
  or SSDT from initrd or initramfs. Taint kernel with
  NOT_SUPPORTED if tables got overrridden. Patch based on official
  one -> config changed.
- Update config files.
* Mon Oct 23 2006 hare@suse.de
- patches.drivers/aic79xx-external-device-reset: Fixup external
  device reset handling.
- patches.drivers/aic79xx-update-precomp: Update the precomp
  settings in hardware (195870)
- patches.drivers/aic7xxx-remove-slave-destroy: Remove
  slave_destroy() for aic7xxx, too.
- patches.drivers/aic79xx-echo-signalling-type: Print out
  signalling type in sysfs.
* Fri Oct 20 2006 hare@suse.de
- patches.drivers/open-iscsi-git-update: Update release number
  to match userland version.
* Fri Oct 20 2006 schwab@suse.de
- Update MOL patch.
* Wed Oct 18 2006 agruen@suse.de
- Switch from using /sbin/update-bootloader to using
  /usr/lib/bootloader/bootloader_entry for adding/removing
  bootloader entries for kernel packages.
* Wed Oct 18 2006 agruen@suse.de
- Modify the specfiles so that they will compute release numbers
  correctly in Autbuild as well as in the build service.
* Tue Oct 17 2006 rmaxfiel@novell.com
- add patches.xen/xen-erratic-mouse.diff: Fixes erratic mouse
  behavior in SLES10 hvm guest.
* Mon Oct 16 2006 gregkh@suse.de
- update to 2.6.18.1 release
- Update config files.
* Sun Oct 15 2006 jeffm@suse.de
- Update config files: MBCACHE wants to be modular if ext2 and ext3
  are.
* Sun Oct 15 2006 agruen@suse.de
- Modularize the ext2 filesystem (CONFIG_EXT2_FS=m).
- patches.suse/ext3-register-filesystem-lifo: Obsolete with
  modular ext2.
* Fri Oct 13 2006 olh@suse.de
- add patches.arch/ppc-os-term-panic_timeout.patch
  reboot when panic_timout is set
* Fri Oct 13 2006 olh@suse.de
- add patches.arch/ppc-via-pmu-acpower.patch
  force AC power when booting without a battery
* Thu Oct 12 2006 jeffm@suse.de
- patches.fixes/grow_buffers-infinite-loop-fix.diff: grow_buffers()
  infinite loop fix (205384).
* Tue Oct 10 2006 kraxel@suse.de
- patches.uml/uml-needs-_syscall0: Fix uml build with 2.6.18+
  kernel headers.
* Tue Oct 10 2006 olh@suse.de
- disable libata on ppc, breaks persistant naming (211236)
  switch from IDE PDC202XX to libata PDC202XX on ppc64 (74317/173963)
* Tue Oct 10 2006 olh@suse.de
- add patches.fixes/netfilter-compat.patch
  simplify compat API (205207)
* Tue Oct 10 2006 hare@suse.de
- patches.drivers/libata-acpi-suspend
- patches.drivers/libata-acpi-suspend-doc-fix
  Remove obsolete patches.
* Mon Oct 09 2006 agruen@suse.de
- patches.fixes/disable-nfsv4-posix-acl-hack.diff: Obsoleted by
  support for /etc/xattr.conf in libattr and coreutils (169033).
* Mon Oct 09 2006 olh@suse.de
- add patches.fixes/invalidate_complete_page2.patch
  direct IO regression caused by invalidate_complete_page-race-fix.patch
* Mon Oct 09 2006 kraxel@suse.de
- Update config files: enable CONFIG_XEN_COMPAT_030002.
* Mon Oct 09 2006 hare@suse.de
- patches.drivers/mpt-rport-stall:
  Fix MPT oops during aborting commands (207768)
* Sat Oct 07 2006 gregkh@suse.de
- disable driver-class_net-device.patch for now until I can fix
  the Xen and PPC64 build errors it causes.
* Sat Oct 07 2006 gregkh@suse.de
- fix build error on ppc due to patches.suse/driver-class_fb-device.patch
* Sat Oct 07 2006 gregkh@suse.de
- lots of struct class_device migration to struct device patches.
  Warning, if running this kernel on a release older than 10.2,
  you might "loose" some devices, like the network devices, due to
  old bugs in libsysfs and other configuration tools.  Either
  upgrade them or comment out the patch as marked in the
  series.conf file.
* Sat Oct 07 2006 agruen@suse.de
- Rework the %%post and %%postun scripts so that they will add or
  remove bootloader entries whenever a kernel is added or removed,
  rather than playing tricks with symlinks.
- No longer create the /boot/{image,initrd}.previous symlinks.
* Fri Oct 06 2006 hare@suse.de
- patches.drivers/open-iscsi-git-update:
  Update open-iscsi driver to version 2.0-707.
- patches.drivers/open-iscsi-iser-fixes:
  Compile fixes for iSER driver.
* Thu Oct 05 2006 garloff@suse.de
- Disable st-ioctl-idlun-support (208782).
* Thu Oct 05 2006 jeffm@suse.de
- fixed NULL deref in error path with reiserfs dynamic bitmaps
* Tue Oct 03 2006 olh@suse.de
- force ARCH=powerpc in /etc/init.d/running-kernel (207284 - LTC27291)
* Tue Oct 03 2006 gregkh@suse.de
- fix vanilla config files after last update, which forgot about them.
* Mon Oct 02 2006 gregkh@suse.de
- remove CONFIG_USB_DEVICEFS as it's insecure and we handle /dev/bus/usb
  properly.
- also remove some other experimental USB config options that were
  enabled in the PPC arch that are not supported.
* Mon Oct 02 2006 hare@suse.de
- patches.drivers/libata-remove-from-scsi
- patches.drivers/libata-add-ata-drivers
  Backport libata drivers.
- patches.drivers/libata-acpi-update
  Update ACPI support for libata.
- Update config files.
* Mon Oct 02 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  remove the unneeded parport_pc part,
  disable CONFIG_PARPORT_PC_SUPERIO instead
* Sun Oct 01 2006 pavel@suse.cz
- patches.suse/uswsusp-add-pmops-prepareenterfinish-support-aka-platform-mode.patch:
  add support for platform mode.
* Thu Sep 28 2006 agruen@suse.de
- patches.suse/{parser-match_string.diff,nfs4acl-ext3.diff}:
  Add NFSv4 ACLs on ext3 (FATE301275, experimental).
- Update the config files.
* Thu Sep 28 2006 olh@suse.de
- update patches.suse/suse-ppc-pmac_zilog-i8250-coexistance.patch
  disable also 8520_pci to fix crash with multiport IO cards
* Thu Sep 28 2006 gregkh@suse.de
- patches.suse/usb-storage-disable-delay.patch: USB: change
  default delay time for usb-storage devices.
* Wed Sep 27 2006 gregkh@suse.de
- patches.suse/driver-multithread.patch: Driver Core: add ability
  for drivers to do a threaded probe.
- patches.suse/pci-multithreaded-probe.patch: PCI: enable driver
  multi-threaded probe.
* Wed Sep 27 2006 gregkh@suse.de
- fuzz refresh:
- patches.suse/crasher-26.diff: slab testing module.
- patches.uml/uml-kconfig: kconfig: enable vt & input subsystems
  for UML.
* Wed Sep 27 2006 gregkh@suse.de
- First step in sysfs changes for 10.2.  Here are the base patches that are all
  in Linus's tree that will be needed by future patches.
- patches.suse/device-groups.patch: Driver core: add groups
  support to struct device.
- patches.suse/device-class-parent.patch: Driver core: allow
  devices in classes to have no parent.
- patches.suse/device-class-attr.patch: Driver core: add ability
  for classes to handle devices properly.
- patches.suse/device_rename.patch: Driver core: add device_rename
  function.
- patches.suse/device-virtual.patch: Driver core: create
  devices/virtual/ tree.
- patches.suse/class_device_interface.patch: Class: add support
  for class interfaces for devices.
- patches.suse/device_bin_file.patch: Driver core: add ability
  for devices to create and remove bin files.
* Mon Sep 25 2006 gregkh@suse.de
- Fix the kernel-source rpm build breakage due to the vanilla addition
* Sat Sep 23 2006 gregkh@suse.de
- removed two more patches per Kurt's request.
- patches.suse/readahead-tune: Delete.
- patches.suse/scsi-scan-inq-ppc64-dflt: Delete.
* Sat Sep 23 2006 gregkh@suse.de
- patches.suse/ide-probe-delay: Delete as per Kurt's request
* Sat Sep 23 2006 gregkh@suse.de
- add 'vanilla' kernel build to the system.
* Thu Sep 21 2006 gregkh@suse.de
- Update config files.
- patches.drivers/nozomi.patch: Add nozomi driver to the tree.  Needed by our sales force
* Thu Sep 21 2006 olh@suse.de
- add patches.fixes/ppc-ide-interrupt.patch
  fix onboard IDE on old powermacs
* Thu Sep 21 2006 jbeulich@novell.com
- Update Xen patches to 2.6.18 and -unstable c/s 11547.
* Wed Sep 20 2006 gregkh@suse.de
- refresh patches so that we don't have any fuzz.  This cleaned up
  a lot of trailing whitespace too.
* Wed Sep 20 2006 gregkh@suse.de
- Move some patches around to handle upcoming vanilla tree (which will
  include all patches in the rpmify directory).
* Wed Sep 20 2006 olh@suse.de
- remove patches.suse/cramfs-PageUptodate.patch
  the workaround for cramfs corruption is not needed anymore
* Wed Sep 20 2006 schwab@suse.de
- Update kdb patches.
* Wed Sep 20 2006 olh@suse.de
- Update to 2.6.18
  network, nfs, mmiocfg, ext2, headers export, genirq fixes
* Tue Sep 19 2006 hare@suse.de
- Enable PATA support for libata.
- Enable Legacy support for IBM docking stations.
* Tue Sep 19 2006 olh@suse.de
- update patches.suse/ppc-aic7xxx-get_signalling-disable.patch
  aic register access requires a delay
* Tue Sep 19 2006 olh@suse.de
- Update to 2.6.18-rc7-git3
  network, s390, net driver, ext3, kmod, headers export fixes
* Fri Sep 15 2006 olh@suse.de
- drop patches.suse/mv643xx_eth.hwinfo.patch
  hwinfo is supposed to know about platform devices (199112)
* Thu Sep 14 2006 olh@suse.de
- Update to 2.6.18-rc7-git1
  powerpc, header export, scsi/ide fixes
* Wed Sep 13 2006 perex@suse.de
- patches.suse/bonding-workqueue: Replace system timer with work
  queue in monitor functions (174843,205196). Remove rtnl_lock
  calls in monitor functions added in original version.
* Wed Sep 13 2006 olh@suse.de
- Update to 2.6.18-rc7
  audit, usb, ide, xfs, v4l fixes
* Tue Sep 12 2006 olh@suse.de
- rpm/kernel-binary.spec.in: write BUILD_TIMESTAMP, OOPS_TIMESTAMP,
  KBUILD_VERBOSE, KBUILD_SYMTYPES into a file to allow reuse
  of the variable content without grepping /.build.log
* Tue Sep 12 2006 agruen@suse.de
- rpm/kernel-{source,binary}.spec.in: Compute KERNELRELEASE in a
  way that doesn't break inside the OpenSuSE build service. Stop
  using RPM's %%{defined} macro which is not defined in older
  distros.
* Tue Sep 12 2006 gregkh@suse.de
- Disable ub driver on i386, don't know how it got enabled, and it's
  causing problems with usb-storage devices.
* Mon Sep 11 2006 olh@suse.de
- update powerpc config files
  disable drivers for hardware that does not exist
  disable irda drivers that poke at legacy io ports
* Mon Sep 11 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  put a WARN_ON into check_io_access
* Mon Sep 11 2006 olh@suse.de
- make des and md5 crypto drivers modular
* Mon Sep 11 2006 olh@suse.de
- Update to 2.6.18-rc6-git3
  ia64, nfs, ext3, ide, futex_lock_pi, header export, ktime fixes
* Mon Sep 11 2006 olh@suse.de
- add patches.suse/ppc-aic7xxx-get_signalling-disable.patch
  disable ->get_signalling calls on pmac to prevent machine checks
* Mon Sep 11 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  handle parport and pnpbios, update i8042 handling
  add patches.suse/suse-ppc-pmac_zilog-i8250-coexistance.patch
  fork serial console handling from suse-ppc-legacy-io.patch
* Wed Sep 06 2006 kraxel@suse.de
- patches.fixes/um-missing-exports.diff: Delete.
* Tue Sep 05 2006 olh@suse.de
- Update to 2.6.18-rc6
  eligible_child: remove an obsolete ->tgid check
  Fix typo in powermac platform functions, fixes lockups
* Sun Sep 03 2006 aj@suse.de
- Require irqbalance always on x86 and x86-64.
* Sat Sep 02 2006 gregkh@suse.de
- Update to 2.6.18-rc5-git6
  - USB fixes and some other stuff
* Fri Sep 01 2006 jbeulich@novell.com
- Update Xen patches to -unstable changeset 11259 and 2.6.18-rc5-git5.
- Update Xen config files.
- patches.xen/xen-x86-no-lapic: Disallow all accesses to the
  local APIC page (191115).
- patches.xen/xen-x86-no-ioapic-base: Disallow all accesses to
  the IO-APIC pages (191115).
- patches.xen/xen-vfb-frontend: Re: [Xen-devel] [PATCH 1/2]
  Virtual frame buffer: frontend.
- patches.xen/xen-vfb-dom0: Suppress Xen virtual framebuffer
  and keyboard setup in dom0.
- patches.xen/xen-balloon-max-target: Expose limit domain can
  be ballooned up to (152667).
- patches.xen/xen-x86-high_memory-early: Initialize high_memory
  as early as possible.
- patches.xen/xen-x86-dcr-fallback: Add fallback when
  XENMEM_exchange fails to replace contiguous region (181869).
* Fri Sep 01 2006 gregkh@suse.de
- Update to 2.6.18-rc5-git5
  - should build properly now...
* Thu Aug 31 2006 gregkh@suse.de
- update to 2.6.18-rc5-git3 which contains
  - cifs fixes
  - x86 and x86_64 fixes
  - ppc fixes
  - arm fixes (which we don't really care about...)
  - other minor bugfixes
- Update config files.
- patches.fixes/i386-rwlock.h-fix-smp-alternatives-fix.patch:
  [PATCH] i386: rwlock.h fix smp alternatives fix.
* Thu Aug 31 2006 neilb@suse.de
- patches.fixes/nfsd-dmapi-aware: Delete.
* Thu Aug 31 2006 jblunck@suse.de
- Update config files (enable CONFIG_EDAC_DEBUG for kernel-debug).
* Wed Aug 30 2006 jblunck@suse.de
- Update config files (disable CONFIG_EDAC_DEBUG).
* Wed Aug 30 2006 olh@suse.de
- add patches.suse/floppy-printk.patch
  dont print anything if there is no floppy to avoid hwinfo confusion
* Wed Aug 30 2006 olh@suse.de
- add patches.arch/ppc-update_gtod-race.patch
  fix timebase overflow on ppc32 (202146)
* Wed Aug 30 2006 tonyj@suse.de
- patches.suse/apparmor-mmapexec.patch:	   add Patch-mainline tags
- patches.suse/apparmor-secureexec.patch:  add Patch-mainline tags
* Wed Aug 30 2006 gregkh@suse.de
- Disable CONFIG_SMB_FS  CIFS is now the way to go.  The samba team is working
  on the migration tools for the upgrade issues.
- patches.drivers/smbfs-sendqueue-backoff: Delete.
- patches.drivers/smbfs-request-counting: Delete.
* Tue Aug 29 2006 gregkh@suse.de
- patches.suse/rcu-remote: Delete.
- patches.suse/rcu-scale: Delete.
* Tue Aug 29 2006 olh@suse.de
- drop patches.arch/ppc-kdump-disable-eeh-and-numa.patch
  drop patches.arch/ppc-kdump-shutdown-interrupts.patch
  merged in mainline
  drop patches.suse/suse-ppc-pmac_zilog.USE_CTRL_O_SYSRQ.patch
  sysrq is broken on pmac_zilog
* Tue Aug 29 2006 jeffm@suse.de
- Merged patches.suse/initramfs-before-acpi.patch into
  patches.suse/acpi_dsdt_initrd_initramfs
* Tue Aug 29 2006 axboe@suse.de
- patches.drivers/sis5513-support-sis-965l: Delete.
- patches.fixes/libata-increase-timeout-for-resume: Delete.
* Tue Aug 29 2006 gregkh@suse.de
- patches.arch/s390-raw-device: Delete.
* Tue Aug 29 2006 okir@suse.de
- patches.fixes/ipv6-init-fail-cleanup: Delete.
* Tue Aug 29 2006 ak@suse.de
- patches.arch/x86_64-nmi-watchdog-timeout: Delete.
- patches.suse/bh-cache-option: Delete.
- patches.arch/i386-default-max-mp-busses: Fix comments
- patches.arch/disable-apic-error: Fix comments
* Tue Aug 29 2006 gregkh@suse.de
- patches.suse/acpi-oldboot: Delete.
* Tue Aug 29 2006 gregkh@suse.de
- Removed unused patches from the tree
- patches.fixes/kdb-missing-export.diff: Delete.
- patches.fixes/nfsd-setuser-fix: Delete.
- patches.rpmify/suse-extmod-legacy: Delete.
* Tue Aug 29 2006 gregkh@suse.de
- patches.fixes/nfsv4-setclientid: Delete.
- Update headers on patches.fixes/samsung-unusual-floppy: USB floppy drive
  SAMSUNG SFD-321U/EP detected 8 times (117643).
* Tue Aug 29 2006 jeffm@suse.de
- Took ownership of mason's patches without patch-mainline tags.
* Tue Aug 29 2006 gregkh@suse.de
- patches.arch/ia64-export-node-to-cpu-mask.patch: Delete.
- patches.fixes/tulip-down-race: Delete.
* Mon Aug 28 2006 olh@suse.de
- add patches.suse/mv643xx_eth.hwinfo.patch
  load the driver via the PCI bridge id until hwinfo is fixed (199112)
* Mon Aug 28 2006 kraxel@suse.de
- patches.fixes/smpalt-fixup: fix up smp alternatives on x86-64
  (199984).
* Mon Aug 28 2006 gregkh@suse.de
- Update to 2.6.18-rc5
* Mon Aug 28 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  resere legacy IO range only for ppc32 for the time being (195931)
* Fri Aug 25 2006 gregkh@suse.de
- Enable CONFIG_KEYS as per bug number 201737
* Wed Aug 23 2006 agruen@suse.de
- rpm/old-packages.conf: Add kernel-smp so that we'll have the
  appropriate Provides and Obsoletes tags in spec files.
* Wed Aug 23 2006 jeffm@suse.de
- Added reiserfs on-demand bitmap loading patches (FATE 300716)
 - patches.suse/reiserfs-fix-is_reusable-bitmap-check.patch
 - patches.suse/reiserfs-clean-up-bitmap-block-buffer-head-references.patch
 - patches.suse/reiserfs-reorganize-bitmap-loading-functions.patch
 - patches.suse/reiserfs-on-demand-bitmap-loading.patch
* Wed Aug 23 2006 ak@suse.de
- patches.suse/huge-demand: Delete.
- patches.suse/huge-overcommit: Delete.
* Tue Aug 22 2006 ak@suse.de
- patches.arch/i386-amd-core-parsing: Delete.
- patches.suse/bootmem-warning: Delete.
* Tue Aug 22 2006 ak@suse.de
- patches.suse/tcp-proc-listen: Delete.
* Tue Aug 22 2006 ak@suse.de
- config/i386/smp: Delete.
- config/x86_64/smp: Delete.
- patches.arch/i386-apic-auto: Add heuristics to enable/disable
  local APIC.
- patches.xen/xen3-auto-xen-kconfig.diff: xen3 xen-kconfig.
- rpm/old-packages.conf:
- Update config files.
- config.conf: Make i386/x86-64 kernels SMP. Drop smp kernels.
* Tue Aug 22 2006 jbohac@suse.cz
- removed patches.fixes/xfrm-endless-loop
  It was only used for debugging output and the problem apparently
  does not occur anymore (117749)
* Tue Aug 22 2006 tiwai@suse.de
- patches.fixes/modpost-segfault-fix.diff: Delete.
- patches.fixes/scsi-missing-iomem-cast: Delete.
* Tue Aug 22 2006 axboe@suse.de
- patches.fixes/fc_transport_optional_remove: Delete.
* Tue Aug 22 2006 axboe@suse.de
- patches.fixes/cfq-atomic-flags: Delete.
* Mon Aug 21 2006 gregkh@suse.de
- Update to 2.6.18-rc4-git1, fixes a few bugs and drops some patches in our
  tree.
* Mon Aug 21 2006 ak@suse.de
- patches.arch/i386-mpparse.diff: Delete.
* Fri Aug 18 2006 trenn@suse.de
- patches.fixes/workqueue-remove-lock_cpu_hotplug.patch: Fix
  hotplug/ondemand locking issue (200194).
* Thu Aug 17 2006 olh@suse.de
- update patches.suse/suse-ppc32-mol-kbuild.patch
  allow mol module on smp kernels (198216)
* Thu Aug 17 2006 kraxel@suse.de
- patches.uml/uml-kconfig: kconfig: enable vt & input subsystems
  for UML (new).
- patches.uml/uml-x11-fb: uml: x11 framebuffer driver (updated).
* Wed Aug 16 2006 schwab@suse.de
- x86_64/debug: Disable kdb.
* Wed Aug 16 2006 kraxel@suse.de
- patches.uml/jmpbuf: fix uml build with recent libcs.
* Mon Aug 14 2006 jbeulich@novell.com
- patches.xen/xen3-fixup-common: Fix non-Xen builds (oprofile).
- patches.xen/xen3-patch-2.6.17: Fix x86-64-Xen problem with larger
  (memory) systems.
- patches.xen/xen3-patch-2.6.18-rc3: Fix ix86-Xen build.
* Mon Aug 14 2006 jbeulich@novell.com
- Update Xen patches to xen-unstable tip (c/s 10982) and 2.6.18-rc4
* Sat Aug 12 2006 gregkh@suse.de
- porting-status-24-26: Delete.
* Thu Aug 10 2006 schwab@suse.de
- Don't use <linux/kdb.h> outside CONFIG_KDB.
* Thu Aug 10 2006 mason@suse.de
- scripts/patch-report: add my nagging script into cvs for
  reference
* Tue Aug 08 2006 tiwai@suse.de
- patches.fixes/kbuild-fix-external-module: kbuild fixes for
  2.6.18.
- rpm/kernel-source.spec.in: don't remove include/config/*
  for building external modules.
* Tue Aug 08 2006 schwab@suse.de
- Update kdb patches.
* Mon Aug 07 2006 gregkh@suse.de
- Update to 2.6.18-rc4
* Mon Aug 07 2006 aj@suse.de
- Fix rpm/kernel-source.spec.in to not include RPM_BUILD_ROOT in
  a comment (this fixes a build failure).
* Sat Aug 05 2006 okir@suse.de
- patches.fixes/sunrpc-restart-delay-fix: Delete.
- Forward ported lockd changes
* Fri Aug 04 2006 hare@suse.de
- patches.fixes/dm-suspend-resume-events:
  Send out 'change' events as discussed at OLS.
* Wed Aug 02 2006 gregkh@suse.de
- Reorder some patches to group common things.
- remove some unneeded patches and merge 2 together.
* Wed Aug 02 2006 gregkh@suse.de
- disable pci express hotplug driver on ppc64, as it doesn't build,
  and requires ACPI, which PPC doesn't have...
* Wed Aug 02 2006 gregkh@suse.de
- reorder some patches
* Wed Aug 02 2006 gregkh@suse.de
- disable Intel DMA driver for ppc as it doesn't build on that platform..
* Wed Aug 02 2006 gregkh@suse.de
- rpm/kernel-binary.spec.in: pretty much disable the kabi checks
  for now, for HEAD.
* Wed Aug 02 2006 gregkh@suse.de
- fix build error on ppc
- remove CONFIG_NCP_FS from s390 configs as it kills the assember
  (and it's not like we care about IPX connectivity to s390 machines...)
* Wed Aug 02 2006 gregkh@suse.de
- fix config so that x86 should build (wrong sound config settings)
* Wed Aug 02 2006 gregkh@suse.de
- Disable KDB from i386 debug build as it does not build properly :(
* Wed Aug 02 2006 hare@suse.de
- config/s390/default: update config file.
* Wed Aug 02 2006 schwab@suse.de
- config-md-raid456: Fix misspelt config.
* Tue Aug 01 2006 schwab@suse.de
- suse-ppc32-mol-mm-context: Fix mol build.
* Tue Aug 01 2006 gregkh@suse.de
- rpm/kernel-binary.spec.in: add "make prepare" before trying to
  get the kernel version
* Tue Aug 01 2006 gregkh@suse.de
- patches.drivers/qla4xxx: Delete.
- Update config files.
* Tue Aug 01 2006 gregkh@suse.de
- Update to 2.6.18-rc3
  (last commit should have said .18, not .17...)
* Tue Aug 01 2006 gregkh@suse.de
- Update to 2.6.17-rc2
* Tue Aug 01 2006 gregkh@suse.de
- Update config files.
* Tue Aug 01 2006 schwab@suse.de
- Update kdb patches.
* Tue Aug 01 2006 gregkh@suse.de
- update to 2.6.18-rc1 (only i386 configs will build right now, I
  will fix the rest up tomorrow, must sleep...)
* Tue Aug 01 2006 gregkh@suse.de
- Update config files.
* Tue Aug 01 2006 gregkh@suse.de
- fix build (xen patch was busted), i386 should now build properly
  for 2.6.17
* Tue Aug 01 2006 gregkh@suse.de
- patches.fixes/ieee1394-sbp2-maxtor-allow_restart.patch: Delete.
* Tue Aug 01 2006 gregkh@suse.de
- fix build error in patches.fixes/export-symbols-gpl: export some symbols for
  SGI GPL kernel modules (SUSE46082, 141533).
* Tue Aug 01 2006 gregkh@suse.de
- 2.6.17 port work build breaks, but the patch set is relativly stable
* Tue Aug 01 2006 gregkh@suse.de
- more 2.6.17 port work (still does not build)
* Mon Jul 31 2006 gregkh@suse.de
- more 2.6.17 port work (still does not build, but need to save this state)
- forward ported apparmor helper patches to 2.6.17 to keep that feature working
* Mon Jul 31 2006 gregkh@suse.de
- first step at doing 2.6.17 update (NOTE, will not build, only half-way done).
* Mon Jul 31 2006 olh@suse.de
- update patches.fixes/ignore-aix-disk-label.patch
  look also for '_LVM' at the beginning of block #7
* Fri Jul 28 2006 gregkh@suse.de
- update mainline tags
* Fri Jul 28 2006 mason@suse.de
- more mainline tags on obsolete code
* Fri Jul 28 2006 mason@suse.de
- update mainline tags on reversable patches
* Fri Jul 28 2006 jbeulich@novell.com
- patches.arch/x86_64-hotadd-pud, patches.arch/microcode-quiet,
  patches.fixes/per-cpu-enough-room: Updated Patch-mainline tags
* Thu Jul 27 2006 jeffm@suse.de
- patches.fixes/reiserfs-procfs-slashes.diff: Updated mainline tag
* Thu Jul 27 2006 jeffm@suse.de
- patches.fixes/netfilter-sctp-conntrack-fix-crash.diff:
  [PATCH] NETFILTER: SCTP conntrack: fix crash triggered by
  packet without chunks [CVE ... (190136).
* Thu Jul 27 2006 agruen@suse.de
- Abort Autobuild builds with a kernel ABI badness that exceeds
  the maximum tolerated level.
- Indicate the badness in the subject lines of mbuild result mails.
* Tue Jul 25 2006 olh@suse.de
- add patches.arch/ppc-at-syscalls.patch
  Wire up *at syscalls (159441, 163721 - LTC22462)
* Mon Jul 24 2006 olh@suse.de
- add patches.drivers/bcm43xx-kconfig-WIRELESS_EXT
  wireless_send_event is undefined unless NET_RADIO is enabled
* Mon Jul 24 2006 olh@suse.de
- add patches.drivers/bcm43xx-2.6.17
  softmac and broadcomm wireless driver from 2.6.17
* Fri Jul 21 2006 olh@suse.de
- update patches.suse/suse-ppc32-mol-kbuild.patch
  remove circular dependency
* Wed Jul 19 2006 schwab@suse.de
- Update MOL patches from the gentoo version.
* Mon Jul 17 2006 agruen@suse.de
- patches.fixes/scsi-scan-limit-luns-to-16k: Limit the maximum
  number of LUNs to 16384 (185164).
* Mon Jul 17 2006 hare@suse.de
- patches.drivers/mptspi-optionally-disable-qas: Optionally
  disable QAS for mptspi to handle error recovery (#180100)
* Thu Jul 13 2006 olh@suse.de
- add patches.fixes/sles10-cifs-fix-for-find-writeable-file-oops-AND-avoid-rename-delete-hang.patch
  fix 2 cifs bugs (175408 - LTC22391)
* Thu Jul 13 2006 olh@suse.de
- add patches.drivers/ixgb-eeh.patch
  add PCI Error recovery callbacks (190555 - LTC25058)
* Thu Jul 13 2006 jack@suse.cz
- patches.fixes/jbd-2.6.16-1-realloc_freed_fix.diff,
  patches.fixes/jbd-2.6.16-2-refile_nodirty_fix.diff:
  Updated Patch-mainline tag
* Wed Jul 12 2006 olh@suse.de
- update patches.arch/ppc-kdump-iommu-init-fix.patch
  Reserve the existing TCE mappings left by the first kernel
  (157018 - LTC21952)
* Wed Jul 12 2006 olh@suse.de
- add patches.drivers/s2io-unknown_packet.patch
  handle unknown packets in promiscuous mode (187047 - LTC24803)
* Wed Jul 12 2006 olh@suse.de
- remove patches.suse/ppc-fno-ivopts.patch
  gcc 4.1.1 works better
* Wed Jul 12 2006 hare@suse.de
- patches.arch/s390-*: Add Patch-Mainline tag.
- patches.suse/libata-enable-atapi.patch: Add Patch-Mainline tag.
- patches.drivers/lpfc-8.1.4-update: Use corrent Patch-Mainline tag.
* Wed Jul 12 2006 olh@suse.de
- add patches.fixes/ieee1394-sbp2-maxtor-allow_restart.patch
  sbp2: enable auto spin-up for Maxtor disks (183011)
* Wed Jul 12 2006 olh@suse.de
- update patches.drivers/ibmvscsis.patch
  advance buffer pointers in h_copy_rdma() to avoid data corruption.
  (186444 - LTC24568)
* Wed Jul 05 2006 gregkh@suse.de
- patches.fixes/fix-prctl-privilege-escalation-and-suid_dumpable.patch:
  fix prctl privilege escalation and suid_dumpable (CVE-2006-2451)
  (186980).
* Mon Jul 03 2006 okir@suse.de
- patches.fixes/loop-barriers: Update to new version which
  can do sync/barrier writes on a per-device basis (189051).
* Thu Jun 29 2006 mason@suse.de
- patches.xen/9752-xenmem_exchange: Use new XENMEM_exchange
  hypercall (where possible) (181869).
* Thu Jun 29 2006 mason@suse.de
- patches.fixes/loop-barriers: [PATCH] loop: perform sync
  operations during writeback (189051).
- patches.fixes/ipv6-no-autoconf: Allow to bring up network
  interface w/o ipv6 autoconf (161888).
- patches.fixes/kill-driver-update-warning: Remove 'Driver XX
  needs updating' message.
* Thu Jun 29 2006 okir@suse.de
- patches.fixes/ipmi-unload-crash: Avoid Oops on IPMI module
  unload (185470).
- patches.fixes/loop-barriers: add barrier support to loop devices
  (189051).
- patches.fixes/aic94xx-disable-split-completion: Disable split
  completion in aic94xx (188602).
* Tue Jun 27 2006 mason@suse.de
- patches.fixes/cpuset-oom: fix oom interaction with
  cpuset_excl_nodes_overlap (184759).
- patches.fixes/ipmi-schedule: ipmi should schedule instead of
  udelay in ipmi_thread (188256).
* Tue Jun 27 2006 okir@suse.de
- Enabled 2.6.16.21 security fixes
- Enabled Neil's patches.fixes/md_raid1* patches
* Tue Jun 27 2006 gregkh@suse.de
- patches.kernel.org/patch-2.6.16.20-21:  (186582, 186583,
  186584) Update description and add bug references.
* Tue Jun 27 2006 ak@suse.de
- patches.fixes/bounce-dma-check: Fix bounce limit address check
  (186869).
* Tue Jun 27 2006 neilb@suse.de
- patches.fixes/md_raid1_dont_clear_bits_on_resync_abort: Fix
  possible data corruption when bitmap based raid1 resync is
  aborted (188411).
- patches.fixes/md_raid1_barrier_fix: Fix IO raid1/barrier
  problems that cause false IO errors (188278).
* Tue Jun 27 2006 neilb@suse.de
- patches.fixes/nfsv4-setclientid: Improve uniqueness of client
  id sent by NFSv4 (167953).
* Mon Jun 26 2006 jeffm@suse.de
- patches.suse/ocfs2-dlm-lvb-fix: Fix LVB desynchronization issue in DLM
  (#187359).
* Mon Jun 26 2006 tiwai@suse.de
- patches.arch/kexec-x86_64-numa-fix-reserve_bootmem: Fix kdump
  Crash Kernel boot memory reservation for NUMA machines (179095).
* Thu Jun 22 2006 agruen@suse.de
- patches.suse/dmapi-license: Add proper author, description,
  and license information (trivial).
- patches.suse/ioat-1.6-license.patch: Add missing license
  information (trivial).
* Thu Jun 22 2006 gregkh@suse.de
- patches.kernel.org/patch-2.6.16.20-21:  Fixes 3 CVE entries
  Still commented out of the build until feedback from others.
* Tue Jun 20 2006 neilb@suse.de
- patches.fixes/lockd-find-block-fix: Fix possible oops in lockd
  (179988).
* Tue Jun 20 2006 garloff@suse.de
- Update reference symbols to latest (libiscsi changed) and tag RC3.
* Mon Jun 19 2006 okir@suse.de
- patches.fixes/scsi-transport-sas-end-device-fix: Make patch
  apply cleanly.
* Mon Jun 19 2006 jbeulich@novell.com
- patches.xen/9745-pae-pgdir-alloc.patch: Improve allocation strategy
  when PAE pgdirs must be below 4GB.
- patches.xen/9746-net-buf-non-contig.patch: Network buffers do not
  need to be multi-page contiguous.
* Mon Jun 19 2006 hare@suse.de
- patches.fixes/scsi-transport-sas-end-device-fix:
  Fix SAS end device detection (#185327)
* Mon Jun 19 2006 hare@suse.de
- patches.arch/s390-05-07-october2007.diff:
  Enable patch (#176785).
* Mon Jun 19 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Fix xmitqueue handling (185107, 180773).
* Mon Jun 19 2006 agruen@suse.de
- Update reference module symbol versions for xen.
* Mon Jun 19 2006 hare@suse.de
- patches.arch/s390-05-06-october2005.diff:
  Fix DASD eer format breakage (#184922)
- patches.arch/s390-05-07-october2005.diff
  Added for review.
* Mon Jun 19 2006 tiwai@suse.de
- patches.drivers/alsa-thinkpad-x60-add-spdif: Add/fix SPDIF
  support to Thinkpad T/X/Z60 (182831).
* Mon Jun 19 2006 okir@suse.de
- patches.fixes/ipv6-add-addr-install-dstentry: ipv6_add_addr
  should install dstentry earlier (185506).
* Fri Jun 16 2006 gregkh@suse.de
- patches.drivers/s2io_warm_reboot_reset.patch: s2io: reset the
  device on startup to fix warm reset bug (181641).
* Fri Jun 16 2006 tiwai@suse.de
- patches.fixes/remount-no-shrink-dcache: Regenerated to fix
  invalid kernel-doc comments.
* Fri Jun 16 2006 jbeulich@novell.com
- patches.xen/xen-min-balloon.patch: Don't allow ballooning down
  a domain below a reasonable limit. (172482).
- patches.xen/xen-balloon-no-enomem.patch: balloon: don't fail
  reservation changes with -ENOMEM (172482).
- patches.xen/9739-exports.patch: Export some tlb-flush functions to
  modules.
- patches.xen/9740-blkfront-status-change.patch: blkfront: fix status
  change handling.
- patches.xen/9743-blkfront-teardown.patch: blkfront: More care over
  device teardown.
- patches.xen/9744-destroy-contig-region.patch: Only destroy a machine-
  contiguous memory region if it really is contiguous. (181869).
* Fri Jun 16 2006 axboe@suse.de
- patches.fixes/cdrom-fix-open: Fix CDROM open forgetting to
  call ->release() (177610).
* Thu Jun 15 2006 gregkh@suse.de
- Update config files for xen config item
* Thu Jun 15 2006 axboe@suse.de
- patches.fixes/cfq-clear-seek-values: Update to merged version and
  add mainline patch entry.
* Thu Jun 15 2006 gregkh@suse.de
- patches.arch/ia64-export-node-to-cpu-mask.patch: export
  node_to_cpu_mask to allow SGI access to it. (182109).
* Wed Jun 14 2006 jbeulich@novell.com
- patches.xen/xen-refine-irqdebug.patch: Replace by ...
- patches.xen/9728-pirq-shared.patch: ... this.
- patches.xen/9733-evtchn-affinity.patch: Fix IRQ SMP affinity logic for
  event channels. (184908).
- patches.xen/9736-use-rcu_needs_cpu.patch: Fix interaction between idle
  loop and RCU subsystem. (180129).
* Wed Jun 14 2006 olh@suse.de
- add patches.fixes/ibmvscsi-partner-not-ready.patch
  flag success if partner adapter is not ready yet (182124 - LTC23946)
* Wed Jun 14 2006 kraxel@suse.de
- patches.suse/sysctl-add-affinity_load_balancing: add
  affinity_load_balancing sysctl (176738).
* Wed Jun 14 2006 axboe@suse.de
- patches.fixes/fc_transport_optional_remove: Fix missing "
* Wed Jun 14 2006 axboe@suse.de
- patches.fixes/fc_transport_optional_remove: Don't delete target
  when dev loss timer fires (182217).
* Tue Jun 13 2006 jbeulich@novell.com
- patches.xen/xen-x86_64-unmap-early.patch: Replace by ...
- patches.xen/9722-x86_64-unmap-early.patch: ... this.
- patches.xen/xen-x86_64-sys-ioperm.patch: Replace by ...
- patches.xen/9723-x86_64-sys-ioperm.patch: ... this.
- patches.xen/9729-swiotlb-chunk-split.patch: swiotlb allocates multiple
  smaller contiguous DMA regions. (184484)
- patches.xen/9731-x86_64-unreserve-extra-pages.patch: Allow ballon
  driver to pick up extra pages. (184487)
* Tue Jun 13 2006 garloff@suse.de
- scripts/kabi-checks: Bump libiscsi, scsi_transport_* and ide-core
  scores.
* Tue Jun 13 2006 garloff@suse.de
- Update symbol versions to RC2.5 and reenable checking.
* Tue Jun 13 2006 jbeulich@novell.com
- patches.xen/xen-pin-in-dup_mmap.patch: Move page table pinning
  out of context switch code (152892).
- patches.xen/fix-blkfront-wholedisk: Delete (unused).
* Tue Jun 13 2006 ak@suse.de
- patches.drivers/i2o-fixes: I2O fixes from mainline (183835).
* Mon Jun 12 2006 ak@suse.de
- patches.fixes/tmpfs-time: Fix time granuality in tmpfs
* Sat Jun 10 2006 lmb@suse.de
- kernel-xen requires xen-tools version 3.0.2_09721 or better
  (#183292).
* Fri Jun 09 2006 okir@suse.de
- patches.suse/delayacct-fix: Delay accounting failed when task
  leader exits (183151).
* Fri Jun 09 2006 axboe@suse.de
- patches.fixes/cfq-clear-seek-value: Fix do_div() crash (183256).
* Fri Jun 09 2006 axboe@suse.de
- patches.fixes/cfq-dont-set-batching: cfq: Don't set the queue
  batching limits (180637).
* Fri Jun 09 2006 axboe@suse.de
- patches.fixes/elevator-switch-race: Update to merged version
* Fri Jun 09 2006 neilb@suse.de
- patches.fixes/nfsd-type-3-fh: Fix nfsd support for filesystems
  on devices with large minors (182552).
* Fri Jun 09 2006 neilb@suse.de
- patches.fixes/3c59x-collision-handle: fix collision handling
  problem in 3c59x (159727).
* Fri Jun 09 2006 neilb@suse.de
- patches.fixes/lockd-async-callback: lockd: Make lockd use
  rpc_new_client() instead of rpc_create_client (179988).
* Thu Jun 08 2006 ak@suse.de
- patches.suse/bh-cache-option: Add option to disable per CPU
  buffer LRU (175797).
* Thu Jun 08 2006 jbeulich@novell.com
- patches.xen/xen-x86_64-unmap-early.patch: Unmap temporary
  mappings established for setup of 1:1 mappings. (175787).
- patches.xen/fix-ide-cd-pio-mode.patch: Fix IDE CD-drive
  PIO mode.
- patches.xen/9707-cpu_possible_map-init.patch: Fix cpu_possible_map
  initialisation.
- patches.xen/9709-extended-cr3.patch: PAE cr3 interface change.
- patches.xen/xen-blkfront-getgeo.patch: Replace by ...
- patches.xen/9710-blkfront-getgeo.patch: ... this. (158513).
- patches.xen/xen-x86_64-halt.patch: Replace by ...
- patches.xen/9711-x86_64-halt.patch: ... this. (177511).
- patches.xen/9712-vm86-mode-preempt.patch: A few put_cpu() calls were
  missed when adding CONFIG_X86_NO_TSS.
- patches.xen/9713-x86_64-unmap-early.patch:  Destroy initial page-table
  mappings to avoid overlap with modules. (175787).
- patches.xen/9714-shared_info-mapping.patch: Simplify shared_info mapping
  code. Always use a fixmap.
- patches.xen/9716-netback-dealloc-sync.patch: netback: fix synchronisation
  of access to deallocation buffer ring. (179217).
- patches.xen/9720-netfront-grantref-error-fatal.patch: netfront: Turn
  grant-ref error into a fatal bug.
- patches.xen/9721-explicitly-sized-types.patch: Use explicitly-sized types
  in the dom0_ops and privcmd structures.
- patches.xen/xen3-patch-2.6.16.19-20: Linux 2.6.16.20.
- patches.xen/xen-x86_64-sys-ioperm.patch: Properly implement
  sys_ioperm().
- patches.xen/xen-no-multi-core-sched-opt,
  patches.xen/xen3-amd-core-parsing,
  patches.xen/xen3-fixup-arch-x86_64,
  patches.xen/xen3-lagrange-feature,
  patches.xen/xen3-patch-2.6.16.9,
  patches.xen/xen-x86_64-panic-no-reboot,
  patches.xen/xen3-x86_64-hotadd-pud,
  patches.xen/xen3-x86_64-srat-hotadd-reserve
  patches.xen/xen-x86_64-reserve_bootmem_generic.patch,
  patches.xen/xen3-sysfs-crash-debugging.patch,
  patches.xen/xen3-x86_64-add-nmi_exit-to-die_nmi,
  patches.xen/xen3-x86_64-fix-die_lock-nesting,
  patches.xen/xen-x86-better-halt.patch,
  patches.xen/xen3-fixup-common: Re-diff.
* Wed Jun 07 2006 okir@suse.de
- patches.fixes/remount-no-shrink-dcache: Do not call
  shrink_dcache_sb when remounting procfs etc (165672).
* Wed Jun 07 2006 ak@suse.de
- patches.fixes/fix-hpet-operation-on-32-bit-nvidia-platforms:
  Fix Nvidia NForce 5 HPET timer routing.
- patches.fixes/fix-hpet-operation-on-64-bit-nvidia-platforms:
  Fix Nvidia NForce5 HPET timer routing on 64bit.
* Tue Jun 06 2006 gregkh@suse.de
- Put the "real" version number back into the kernel release number.
* Tue Jun 06 2006 gregkh@suse.de
- Update to 2.6.16.20 without libata and makefile change:
  - Altix: correct ioc3 port order
  - Altix: correct ioc4 port order
  - Cpuset: might sleep checking zones allowed fix
  - Input: psmouse - fix new device detection logic
  - ipw2200: Filter unsupported channels out in ad-hoc mode
  - ohci1394, sbp2: fix "scsi_add_device failed" with PL-3507 based devices
  - PowerMac: force only suspend-to-disk to be valid
  - sbp2: backport read_capacity workaround for iPod
  - sbp2: fix check of return value of hpsb_allocate_and_register_addrspace
  - x86_64: Don't do syscall exit tracing twice
  - x86_64: x86_64 add crashdump trigger points
* Tue Jun 06 2006 mason@suse.de
- patches.fixes/open-namei-open-file-err: [PATCH] Missed error
  checking for intent's filp in open_namei(). (163741).
* Tue Jun 06 2006 mason@suse.de
- patches.suse/ext2-fsync-err: ext2 should force the FS readonly
  for metadata write errors (65718).
* Tue Jun 06 2006 axboe@suse.de
- patches.fixes/elevator-switch-race: enable
* Tue Jun 06 2006 mason@suse.de
- patches.suse/sched-starvation-rt: Don't expire RT tasks on
  wakeup (181824).
- patches.suse/rcu-remote: enable
* Tue Jun 06 2006 axboe@suse.de
- patches.fixes/elevator-switch-race: bullet proof version
* Tue Jun 06 2006 axboe@suse.de
- patches.suse/filp-slab-rcu: enable
* Tue Jun 06 2006 ihno@suse.de
- patches.arch/s390-05-04-october2005.diff
  kernel: Reported memory size is wrong.
- patches.arch/s390-05-05-october2005.diff
  kernel: Incomplete stack traces.
* Tue Jun 06 2006 jbohac@suse.cz
- patches.fixes/xfrm-endless-loop: Updated. The loop counter
  (used for debugging output only) was not properly incremented.
  (117749)
* Tue Jun 06 2006 axboe@suse.de
- patches.fixes/elevator-switch-race: Fix race in io scheduler
  switching.
* Tue Jun 06 2006 axboe@suse.de
- patches.fixes/cfq-busy-rr-fairness: cfq-iosched: busy_rr
  fairness fix.
* Tue Jun 06 2006 axboe@suse.de
- patches.suse/filp-slab-rcu: Let the filp slab use
  SLAB_DESTROY_BY_RCU (172825).
* Tue Jun 06 2006 gregkh@suse.de
- patches.fixes/request_irq-remove-warnings-from-irq-probing.patch:
  [PATCH] request_irq(): remove warnings from irq probing
  (181321, 175123).
* Mon Jun 05 2006 agruen@suse.de
- supported.conf: Assume mbcs is supported. Add some missing
  unsupported modules to the list as well.
* Mon Jun 05 2006 gregkh@suse.de
- supported.conf: support some more sgi modules
* Mon Jun 05 2006 mason@suse.de
- patches.suse/rcu-remote: allow specific cpus to run rcu
  (147431).  Patch still disabled, change to CONFIG_IA64 only.
* Mon Jun 05 2006 gregkh@suse.de
- supported.conf: mark dvb drivers as unsupported as requested by Uwe.
* Mon Jun 05 2006 mason@suse.de
- patches.fixes/xfs-nonblocking-write: [PATCH]
  xfs-kern-25676a-xfs-bmapi-trylock-fix (180637 SGI:PV951662).
* Mon Jun 05 2006 mason@suse.de
- patches.fixes/set_page_dirty_lock_race: set_page_dirty_lock
  race fix for SLES10.
* Sun Jun 04 2006 olh@suse.de
- add patches.fixes/fbcon-scrollback-garbage.patch
  finally: fix scrollback with logo issue immediately after boot
* Sun Jun 04 2006 mason@suse.de
- patches.suse/rcu-remote: allow specific cpus to run rcu
  (147431).  Disable this patch for now.
- patches.suse/rcu-scale: slow down rcu processing on big machines
  (181202).
* Sun Jun 04 2006 jack@suse.cz
- patches.fixes/jbd-2.6.16-2-refile_nodirty_fix.diff: Fix
  assertion failure in journal_write_metadata_buffer() (174813).
* Sat Jun 03 2006 olh@suse.de
- add patches.suse/cramfs-PageUptodate.patch
  avoid cramfs corruption caused by BLKFLSBUF ioctl (175432 - LTC23853)
* Sat Jun 03 2006 agruen@suse.de
- Update to supported.conf: remove references to modules that no
  longer exit.
* Sat Jun 03 2006 tonyj@suse.de
- rpm/kernel-binary.spec.in: add constraint on AppArmor userside packages
* Fri Jun 02 2006 rw@suse.de
- patches.arch/ia64-sn2-hwperf-topology-nearest-node:
  SN topology fix for large systems.  (#181175)
* Fri Jun 02 2006 okir@suse.de
- patches.fixes/tulip-down-race: Fix MCA in tulip driver (163975).
* Fri Jun 02 2006 trenn@suse.de
- patches.fixes/acpi_remove_cpu_hotplug_exception.patch: Change
  exception msg of non present hotplug CPUs to a debug msg
  (179685).
- patches.fixes/acpi_thinkpad_r40e.patch: Blacklist another
  Thinkpad R40e Bios to not use deeper C-states (kernel #3549).
* Fri Jun 02 2006 olh@suse.de
- reenable patches.suse/e1000-D3-cold-wake.patch (180512 - LTC24229)
* Fri Jun 02 2006 hare@suse.de
- patches.arch/s390-04-01-october2005.diff
  Updated DASD extended error recovery patch
- patches.arch/s390-dasd-eer-october2005.diff
  Removed obsolete patch
* Fri Jun 02 2006 lmb@suse.de
- patches.suse/ocfs2-ast-race: fix race between unlockast and ast for
  access to lksb status field (#159836 - LTC22570).
* Fri Jun 02 2006 olh@suse.de
- disable CONFIG_KEXEC in kdump kernel on powerpc (174970 - LTC23682)
* Fri Jun 02 2006 axboe@suse.de
- patches.fixes/xfs-write-barrier-support: Fixup and enable
  barrier support for XFS (168680).
* Thu Jun 01 2006 tiwai@suse.de
- patches.drivers/alsa-hp-nx6320-buggy-ssid: Fix detection of
  HP nx6320 (153362).
* Thu Jun 01 2006 tiwai@suse.de
- patches.drivers/alsa-thinkpad41p-add-blacklist: Add Thinkpad
  T41p to AD1981 jack-sense blacklist (180835).
* Thu Jun 01 2006 gregkh@suse.de
- Remove unneeded patch that forgot to be deleted for the 2.6.16.16 update
* Thu Jun 01 2006 okir@suse.de
- patches.suse/kprobes-page-fault-notifier: [ia64] make kprobes
  use a separate notifier chain for DIE_PAGE_FAULT (167612).
* Thu Jun 01 2006 axboe@suse.de
- patches.fixes/fsync-block-hint: Update to more boring variant
* Thu Jun 01 2006 hare@suse.de
- patches.arch/s390-05-0{1,2,3}-october2005.diff
  Include latest patchset from IBM; fixes cputime
  accounting (#168370 - LTC23351)
* Thu Jun 01 2006 hare@suse.de
- patches.fixes/scsi-scan-fix-max_id.patch: Scanning of LUN 16
  cause a aic79xx driver freeze (#176928 - LTC23896)
- patches.drivers/megaraid-sas-update-to-3.01: Update megaraid
  SAS driver to version 3.01 (#176376)
* Thu Jun 01 2006 tiwai@suse.de
- patches.drivers/alsa-hda-intel-free-irq-race-fix: hda-intel -
  Fix race in remove (167869).
* Thu Jun 01 2006 axboe@suse.de
- patches.fixes/cfq-queueing-fixes: Delete.
- Enable the CFQ and fsync patches.
* Thu Jun 01 2006 okir@suse.de
- patches.suse/smtnice-disable: disable smtnice (163880).
* Thu Jun 01 2006 axboe@suse.de
- patches.fixes/cfq-idle-timer: Fix race in idle timer setup
  (178499).
* Thu Jun 01 2006 jbeulich@novell.com
- patches.xen/xen-xenbus_be-gpl.patch: Replace by ...
- patches.xen/9668-xenbus_be-gpl.patch: ... this.
- patches.xen/9669-blkif-netif-teardown.patch: Fix blkif and netif
  backend teardown. (176726).
- patches.xen/xen-blkback-missing-media.patch: Replace by ...
- patches.xen/9680-blkback-missing-media.patch: ... this.
- patches.xen/9684-remove-emacs-settings.patch: Remove Emacs variables
  settings from tail of our Linux files.
- patches.xen/9689-privcmd-consolidate.patch: Subject Remove
  unnecessary x86-specific mapping code from privcmd interface.
- patches.xen/xen-min-balloon.patch: Don't allow ballooning down
  a domain below a reasonable limit. (172482).
- patches.xen/xen-x86-better-halt.patch: prevent halted VCPUs
  from eating up CPU bandwidth.
- patches.xen/xen-x86_64-unmap-early.patch: Unmap temporary
  mappings established for setup of 1:1 mappings. (175787).
- patches.xen/xen3-fixup-common: Re-diff.
- patches.xen/xen-modular-console.patch: Re-diff.
- patches.xen/xen3-auto-common.diff: Re-diff.
- patches.xen/xen-x86-no-e820.patch: Minor update.
* Thu Jun 01 2006 axboe@suse.de
- patches.fixes/fsync-block-hint: Fix fsync() performance
  (176178).
* Thu Jun 01 2006 ak@suse.de
- patches.fixes/slab-node0: Handle empty node zero in slab
  (166238).
* Thu Jun 01 2006 ak@suse.de
- patches.arch/x86_64-syscall-trace: Don't do syscall exit
  tracing twice (156580).
* Thu Jun 01 2006 tonyj@suse.de
- patches.suse/apparmor: umount apparmor rejection generates
  in_atomic irq_disabled warning (178545).
- patches.suse/apparmor-mmapexec.patch: Profile access allows
  essentially execute permission when only read access is granted
  via usage of mmap system call (175388).
- patches.suse/apparmor-secureexec.patch: LD_PRELOAD can be
  exploited to change the execution path across exec transitions
  (172061).
* Thu Jun 01 2006 agruen@suse.de
- patches.fixes/xfs-kern-26040a-do-not-dirty-inode-being-freed:
  Don't dirty the inode if it being freed in xfs_iunpin
  (179117, SGI:PV952967).
* Wed May 31 2006 gregkh@suse.de
- patches.arch/x86_64-Don-t-sanity-check-Type-1-PCI-bus-access-on-newer-systems.patch:
  [PATCH] x86_64: Don't sanity check Type 1 PCI bus access on
  newer systems (160659).
* Wed May 31 2006 gregkh@suse.de
- patches.arch/x86_64-add-crashdump-trigger-points.patch:
  [PATCH] x86_64: x86_64 add crashdump trigger points (180105).
* Wed May 31 2006 gregkh@suse.de
- patches.fixes/cpuset-might-sleep-checking-zones-allowed-fix.patch:
  Cpuset: might sleep checking zones allowed fix (176595).
* Wed May 31 2006 gregkh@suse.de
- patches.drivers/pci-allow-msi-to-work-on-kexec-kernel.patch:
  PCI: Allow MSI to work on kexec kernel (148246).
* Wed May 31 2006 gregkh@suse.de
- patches.drivers/ipw2200-Filter-unsupported-channels-out-in-ad-hoc-mode.patch:
  [PATCH] ipw2200: Filter unsupported channels out in ad-hoc mode
  (176015).
* Wed May 31 2006 jeffm@suse.de
- patches.suse/ocfs2-07-per-resource-membership.diff: use
  panic() rather than BUG_ON() to handle fencing self.
* Wed May 31 2006 gregkh@suse.de
- Update to 2.6.16.19:
  -  NETFILTER: Fix small information leak in SO_ORIGINAL_DST (CVE-2006-1343)
* Wed May 31 2006 gregkh@suse.de
- Updated supported.conf
* Wed May 31 2006 axboe@suse.de
- patches.fixes/cfq-backport-2.6.17-rc5-git: Backport critical
  io scheduler fixes from 2.6.17-rc5.
- patches.fixes/cfq-performance-updates: Performance enhancements
  for CFQ.
* Wed May 31 2006 gregkh@suse.de
- Updated supported.conf for new modules
* Wed May 31 2006 okir@suse.de
- patches.suse/security-disabled-optimize-cap-default: Skip
  costly LSM function calls when no LSM loaded (163759).
* Wed May 31 2006 hare@suse.de
- patches.arch/s390-zfcp-statistic-offline-oops.diff
  Fix kernel oops when removing zfcp device (155752 - LTC22196)
* Wed May 31 2006 perex@suse.de
- patches.suse/bonding-workqueue: Replace system timer with work
  queue in monitor functions (174843).
* Wed May 31 2006 ak@suse.de
- patches.fixes/acpi-blacklist-xw9300: Delete.
- patches.xen/xen3-acpi-blacklist-xw9300: Delete.
  * Undo patches because they don't fix the problem really.
* Wed May 31 2006 hare@suse.de
- patches.drivers/iscsitarget-svn.diff:
  Pull in fixes from upstream (#179557)
* Wed May 31 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff:
  Fix kernel hang on target reset (#176151)
* Mon May 29 2006 ak@suse.de
- patches.arch/x86_64-compat-stack-rnd: Fix stack/mmap
  randomization for compat tasks (177108).
* Mon May 29 2006 perex@suse.de
- patches.suse/bonding-sysfs: Delete. (157936)
* Mon May 29 2006 perex@suse.de
- patches.suse/bonding-sysfs: Allow loading of bonding module
  with max_bonds=0 (157936).
- patches.suse/netfilter-ipt_LOG-mac: LTC23987-iptables LOG
  output shows too long MAC info (176921).
* Mon May 29 2006 olh@suse.de
- add patches.drivers/ibmveth-flexbuf.patch
  change buffer pools dynamically (169074 - LTC23397)
* Mon May 29 2006 olh@suse.de
- add patches.arch/ppc-kdump-soft-reset-64bit-mode.patch
  force 64bit mode in system_reset_fwnmi for POWER4 (159713 - LTC22581)
* Mon May 29 2006 hare@suse.de
- add patches.fixes/dm-suspend-resume-events
  Send online/offline events for dm devices (175972)
* Sat May 27 2006 jack@suse.cz
- patches.fixes/jfs-releasepage.patch: JFS: Fix multiple errors
  in metapage_releasepage (177890).
* Fri May 26 2006 olh@suse.de
- add patches.drivers/s2io-udp_rr.patch
  fix netperf UDP_RR hangs (176892 - LTC23863)
* Fri May 26 2006 jbeulich@novell.com
- patches.xen/xen-x86_64-halt.patch: Use halt() instead of raw
  inline assembly. (177511).
* Fri May 26 2006 neilb@suse.de
- patches.fixes/nfsd-dmapi-aware: Make NFSD DMAPI aware (74107, 173874).
* Thu May 25 2006 garloff@suse.de
- Update kabi to SLE10RC2 and enable change tracking.
* Wed May 24 2006 agruen@suse.de
- Fix the logic that detects when to build a debug package so that
  it works in the OpenSUSE build service.
* Tue May 23 2006 kkeil@suse.de
- patches.drivers/b44-fix_mac_address: b44: fix force mac address
  before ifconfig up (169703).
* Tue May 23 2006 trenn@suse.de
- patches.fixes/kdump-i386-boot-cpu-physical-apicid-fix-take2.patch:
  Fix for apic initialization bug using kdump (177741).
* Tue May 23 2006 perex@suse.de
- patches.suse/rtnetlink-atomic2.patch: Fix debug traces for
  bonding (might_sleep) (174843).
* Tue May 23 2006 schwab@suse.de
- iosapic-move-irq: fix broken irq affinity [#176697].
* Tue May 23 2006 ak@suse.de
- patches.arch/x86_64-bad-addr-boundary: Fix off by one in
  bad_addr checking in find_e820_area (166022).
* Tue May 23 2006 gregkh@suse.de
- Update to 2.6.16.18 (lots of bugfixes and security updates, public and non-public ones)
  - fs/compat.c: fix 'if (a |= b )' typo
  - smbus unhiding kills thermal management
  - PCI quirk: VIA IRQ fixup should only run for VIA southbridges
  - VIA quirk fixup, additional PCI IDs
  - Netfilter: do_add_counters race, possible oops or info leak (CVE-2006-0039)
  - Remove cond_resched in gather_stats()
  - page migration: Fix fallback behavior for dirty pages
  - via-rhine: zero pad short packets on Rhine I ethernet cards
  - Fix udev device creation
  - smbfs: Fix slab corruption in samba error path
  - scx200_acb: Fix resource name use after free
  - limit request_fn recursion
  - TG3: ethtool always report port is TP.
  - PCI: correctly allocate return buffers for osc calls
  - add migratepage address space op to shmem
  - Fix ptrace_attach()/ptrace_traceme()/de_thread() race
  - ptrace_attach: fix possible deadlock schenario with irqs
  - md: Avoid oops when attempting to fix read errors on raid10
  - NETFILTER: SNMP NAT: fix memory corruption (CVE-2006-2444)
  - USB: ub oops in block_uevent
  - selinux: check for failed kmalloc in security_sid_to_context()
  - fs/locks.c: Fix sys_flock() race
  - SCTP: Respect the real chunk length when walking parameters (CVE-2006-1858)
  - SCTP: Validate the parameter length in HB-ACK chunk (CVE-2006-1857)
- patches.drivers/altix-correct-ioc3-port-order.patch: Altix:
  correct ioc3 port order (176896).
- patches.drivers/altix-correct-ioc4-port-order.patch: Altix:
  correct ioc4 port order (176896).
* Tue May 23 2006 hare@suse.de
- patches.drivers/aic79xx-remove-slave-alloc: Remove
  slave_alloc() to avoid refcounting problems (#96728)
* Mon May 22 2006 trenn@suse.de
- patches.fixes/acpi_ec_dummy.patch: Remove fake EC driver
  unconditionally (kernel #6111).
* Mon May 22 2006 hare@suse.de
- patches.fixes/sd-fix-unknown-size
  Return '0' for unknown disk sizes (#176780 - LTC23895)
* Mon May 22 2006 hare@suse.de
- patches.fixes/fusion-fix-kdump-drvinit
  Fix LSI Fusion initialisation after kdump (#173275 - LTC23573)
* Mon May 22 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Update to svn r584 to really fix machine lockups (#176151)
- patches.drivers/mptfc-sles10-update
  Fix several issues with the LSI Fusion FC driver (#173664)
* Mon May 22 2006 hare@suse.de
- patches.arch/s390-zfcp-statistics.diff
- patches.arch/s390-zfcp-statistic-disclaimer.diff
  Re-add zfcp statistics.
- Update config files.
* Sat May 20 2006 ak@suse.de
- patches.suse/tcp-proc-listen: Fix deadlock
* Fri May 19 2006 gregkh@suse.de
- patches.drivers/ati-sb600-ahci-support.patch: [PATCH] [libata]
  ahci: add ATI SB600 PCI IDs (175786).
- patches.drivers/ati-sb600-ide-support.patch: [PATCH] ide:
  ATI SB600 IDE support (175786).
* Fri May 19 2006 gregkh@suse.de
- patches.drivers/ati-sb600-ahci-support.patch: [PATCH] [libata]
  ahci: add ATI SB600 PCI IDs.
- patches.drivers/ati-sb600-ide-support.patch: [PATCH] ide:
  ATI SB600 IDE support.
* Fri May 19 2006 gregkh@suse.de
- patches.fixes/add-migratepage-address-space-op-to-shmem.patch:
  [PATCH] add migratepage address space op to shmem (176147).
- patches.fixes/page-migration-Fix-fallback-behavior-for-dirty-pages.patch:
  [PATCH] page migration: Fix fallback behavior for dirty pages
  (176147).
- patches.fixes/remove-cond_resched-in-gather_stats.patch:
  [PATCH] Remove cond_resched in gather_stats() (176147).
* Fri May 19 2006 kraxel@suse.de
- patches.fixes/nf_bridge-header-size: nf_bridge: ethernet header
  is 14 not 16 bytes (150410).
* Fri May 19 2006 ak@suse.de
- Update config files: Disable CONFIG_DEBUG_SPINLOCK_SLEEP
  everywhere except on debug kernels.
* Fri May 19 2006 mason@suse.de
- Enable patches.fixes/scheduler-wakeup-no-starvation (#165973)
* Fri May 19 2006 rw@suse.de
- patches.arch/ia64-topology-reclaim_distance.patch:
  Setup an IA64 specific reclaim distance.  (#176145)
- patches.drivers/sgi-ioc4-detect-variant.patch:
  SGI IOC4: Add domain support to variant detection.  (#173290)
* Fri May 19 2006 ak@suse.de
- patches.suse/tcp-proc-listen: Read /proc/net/tcp_listen for
  better slpd performance
* Fri May 19 2006 ak@suse.de
- Update config files: Disable CONFIG_DEBUG_RODATA on x86-64/i386
  non debug kernels
* Fri May 19 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Fix machine hang when target disconnects (#174166)
- patches.fixes/fusion-fix-reset-handler
  Invoke domain validation only for SPI (#176584)
- patches.suse/lsi-expander-update
  Reenable polling hook for LKCD (#150096)
* Fri May 19 2006 olh@suse.de
- add patches.arch/ppc-kdump-disable-eeh-and-numa.patch
  hide EEH and NUMA for crashkernel builds (175754 - LTC23902)
* Thu May 18 2006 tonyj@suse.de
- patches.suse/apparmor: Fix for #162400 "AppArmor causes 5%% drop in apache
  performance in SLES 10 Beta 8". Switch to lazy allocation of task security
  contexts in order to optimise performance of unconfined case.  Confined
  continues to pay lock penalty.
* Thu May 18 2006 gregkh@suse.de
- patches.fixes/pci-correctly-allocate-return-buffers-for-osc-calls.patch:
  PCI: correctly allocate return buffers for osc calls (171362).
* Thu May 18 2006 rw@suse.de
- patches.drivers/sgi-ioc4-detect-variant.patch:
  SGI IOC4: Detect IO card variant.  (#173290)
- Update config files:
  Restore IDE_MAX_HWIFS to 10.
* Thu May 18 2006 hare@suse.de
- add patches.driver/qla2xxx-vpd-sysfs-attribute
  Unable to properly update ISP24xx nvram/bootcode (#176173)
* Wed May 17 2006 hare@suse.de
- add patches.arch/s390-zfcp-rport-delete.patch
  zfcp should call fc_remote_port_delete() if a port becomes
  unavailable (#173872 - LTC23720)
- patches.drivers/qla4xxx
  Fix Makefile to actually build the driver (#175861)
* Wed May 17 2006 olh@suse.de
- add patches.fixes/sparsemem-incorrectly-calculates-section-number.patch
  incorrectly calculates section number (176219 - LTC23947)
* Wed May 17 2006 olh@suse.de
- add patches.fixes/compat_sys_ppoll-typo.patch
  fs/compat.c: fix 'if (a |= b )' typo in compat_sys_ppoll()
* Wed May 17 2006 olh@suse.de
- add patches.fixes/ignore-aix-disk-label.patch
  ignore partition table on drives with AIX disk label (175995)
* Tue May 16 2006 olh@suse.de
- add patches.suse/delayacct-cputime-api
  use portable cputime API for converting from cputime_t to nanoseconds
  (175391 - LTC23787)
* Tue May 16 2006 ak@suse.de
- patches.arch/x86_64-empty-node0: Handle empty node zero
  (166238).
* Tue May 16 2006 jbeulich@novell.com
- patches.xen/9669-blkif-netif-teardown.patch: Fix blkif and netif
  backend teardown.
- patches.xen/9670-cpu-init.patch: Set up and tear down phys_proc_id,
  cpu_core_id, cpu_sibling_map.
- patches.xen/9672-backend-no-unsafe.patch: Simply do not declare
  module_exit() handlers for netback/blkback.
- patches.xen/9673-skb-fields.patch: fix netfront/netback skb field
  initialization.
- patches.xen/9522.patch: Rename to ...
- patches.xen/9522-tpmback-remove-race.patch: ... this.
- patches.xen/xen3-x86_64-fix-die_lock-nesting: fix die_lock
  nesting.
- patches.xen/xen3-x86_64-add-nmi_exit-to-die_nmi: add nmi_exit
  to die_nmi.
- patches.xen/xen3-acpi-blacklist-xw9300: Force pci=noacpi on
  HP XW9300 (140340).
- patches.xen/xen-blkback-missing-media.patch: deal with mising
  media in CD drive exported to guest (175114).
- patches.xen/xen-blkfront-getgeo.patch: add getgeo handler to
  blkfront (158513).
- patches.xen/xen-x86_64-reserve_bootmem_generic.patch: Suppress
  reserve_bootmem_generic(). (166022).
- patches.xen/xen-x86-no-e820.patch: get rid of the E820 tables
  (160861).
- patches.xen/xen3-silent-stack-overflow: (remains disabled)
  avoid silent stack overflow over the heap (SUSE44807).
- patches.xen/xen3-sysfs-crash-debugging.patch: Rediff.
- patches.xen/xen-acpi-nolapic: Rediff.
- patches.xen/xen-modular-console.patch: Rediff.
- patches.xen/xen3-auto-common.diff: Rediff.
- patches.xen/xen-xenbus_be-gpl.patch: Adjust description.
* Tue May 16 2006 kkeil@suse.de
- patches.fixes/ethtool-always-report-port-is-TP-on-tg3 (#170869)
  ethtool reports now the correct port: FIBRE or TP
* Tue May 16 2006 olh@suse.de
- update patches.drivers/e1000-update
  new driver version 7.0.33 (167550)
  disable patches.drivers/e1000-revert-2.6.16-rc5-git7.diff
  disable patches.suse/e1000-D3-cold-wake.patch
* Mon May 15 2006 tonyj@suse.de
- patches.suse/apparmor: Fixes for the following blocker/security bugs:
  158356 - kernel audit part emits newline to syslog
  174698 - VUL-0: Apparmor fails to prevent PTRACE_ME on confined parent
  165472 - VUL-0: kernel: if in _sd_perm_dentry() error occured while
  translating dentry - printing dentry->d_inode->i_ino, but dentry
  can be nagative (sic)
  164920 - VUL-0: kernel: sd_get_name doesn't check d_path return (IS_ERR)
* Mon May 15 2006 ak@suse.de
- patches.arch/x86_64-hotadd-fixes: Fix memory hotadd heuristics
  (160861).
* Mon May 15 2006 rw@suse.de
- patches.drivers/pci-delete-ACPI-hook-from-pci_set_power_state.patch:
  Delete ACPI hook from pci_set_power_state(). (#162320)
* Mon May 15 2006 olh@suse.de
- add patches.arch/ppc-iptables-slabdebug-alignment.patch
  if CONFIG_NETFILTER is enabled, hide CONFIG_SLAB_DEBUG (155004)
* Mon May 15 2006 bk@suse.de
- disabled yenta-fixup-parent-subordinate-carefully on gregs request
* Mon May 15 2006 rw@suse.de
- patches.arch/ia64-validate-pci_mmap_legacy:
  Add validation to legacy_mem mmap. (#166316)
* Mon May 15 2006 hare@suse.de
- add patches.arch/s390-03-0{1,2,3,4}-october2005.diff
  Include latest codedrop from IBM
- remove patches.arch/s390-console-unblank.patch
  Delete obsolete patch.
* Mon May 15 2006 olh@suse.de
- add patches.fixes/add-slab_is_available-routine-for-boot-code.patch
  add slab_is_available() routine for boot code (175093 - LTC23814)
* Mon May 15 2006 olh@suse.de
- merge patches.arch/ppc-kdump-die-check-cpus_in_sr.patch
  into patches.arch/ppc-kdump-soft-reset.patch (159713 - LTC22581)
* Mon May 15 2006 okir@suse.de
- Mark dcdbas, dell_rbu externally supported (#153134)
* Sat May 13 2006 olh@suse.de
- update patches.arch/s390-raw-device
  remove duplicate raw driver entry in menuconfig
* Fri May 12 2006 bk@suse.de
- patches.fixes/yenta-fixup-parent-subordinate-carefully:
  Cardbus cards hidden, fixup parent subordinate# carefully
  (bugzilla.novell.com:146438, bugzilla.kernel.org:2944)
* Fri May 12 2006 olh@suse.de
- update patches.drivers/ibmvscsis.patch
  restory sysfs type property (173880 - LTC23729)
* Fri May 12 2006 hare@suse.de
- add patches.suse/lkcd-crash-with-invalid-DUMPDEV
  Fix crash with invalid DUMPDEV (#164969)
- update patches.suse/lkcd.patch
  lkcd fails to register with mor than one dump device type
  (#173333)
* Fri May 12 2006 hare@suse.de
- add patches.fixes/scsi-fc-rport-delete-during-scan.patch
  FC transport will hang if rports are deleted during scan (173662)
- add patches.fixes/scsi-fix-scan-offline.patch
  add patches.fixes/scsi-add-2104-DU3-blist.patch
  Fix crash on offlined devices during scanning (#173266 - LTC23037)
* Fri May 12 2006 olh@suse.de
- add patches.arch/ppc-kdump-die-check-cpus_in_sr.patch
  add patches.arch/ppc-kdump-incorrect_might_sleep_in__get_user-put_user.patch
  handle kdump via softreset (159713 - LTC22581)
* Fri May 12 2006 olh@suse.de
- update patches.drivers/ibmvscsis.patch
  remove trailing whitespaces
  fix a small memory leak when the partition is on low memory
  fix sleep from invalid context at mm/slab.c:2731 (173880 - LTC23729)
* Thu May 11 2006 agruen@suse.de
- Enable CONFIG_MODVERSIONS for kernel-um.
- patches.fixes/um-missing-exports.diff: Add the EXPORT_SYMBOLs
  to arch/um/kernel/ksyms.c instead; arch/um/kernel/skas/* etc.
  won't export symbols properly.
* Thu May 11 2006 ak@suse.de
- patches.arch/i386-prefer-tsc: i386: Fix UP build.
* Thu May 11 2006 jbohac@suse.cz
- patches.fixes/ipv6-inet6_csk_xmit-leak:
  fixes a leak in inet6_csk_xmit
* Thu May 11 2006 hare@suse.de
- patches.arch/s390-ccwgroup-remove-device.patch:
  Allow for individual device removal (#172230 - LTC23575)
* Thu May 11 2006 ak@suse.de
- patches.arch/x86_64-nommu-warning: Don't warn for overflow in
  nommu case when dma_mask is < 32bit (173326).
- patches.drivers/fix-b44-checks: Check for bad dma address in
  b44 1GB DMA workaround (173326).
* Thu May 11 2006 ak@suse.de
- patches.arch/i386-prefer-tsc: i386: Prefer TSC as clock.
- patches.fixes/acpi-blacklist-xw9300: Force pci=noacpi on HP
  XW9300 (140340).
* Thu May 11 2006 olh@suse.de
- update patches.suse/ppc-fno-ivopts.patch
  use $(call cc-option,option) to fix compile with sles9 gcc
* Thu May 11 2006 olh@suse.de
- add patches.fixes/compat_sys_nfsservctl-access_ok.patch
  fix access_ok handling in compat_sys_nfsservctl (174531 - LTC23513)
* Thu May 11 2006 gregkh@suse.de
- Update to 2.6.16.16:
  - fs/locks.c: Fix lease_init (CVE-2006-1860)
* Wed May 10 2006 jeffm@suse.de
- patches.fixes/iscsi-parameter-size-oops.diff: [PATCH] iscsi:
  invalid parameter size should return error, not BUG() (174404).
* Wed May 10 2006 agruen@suse.de
- rpm/module-renames: Forward port from SLES9: add module aliases
  for important modules that have been renamed/merged (173956).
- misc/obsolete-module-aliases: New helper script for updating the
  module alias table in the future.
- rpm/Makefile.suse: Remove; obsolete since SLES9 SP3.
* Wed May 10 2006 hare@suse.de
- Set default I/O scheduler to 'deadline' for S/390
  (#168244 - LTC22393)
* Tue May 09 2006 agruen@suse.de
- patches.rpmify/symtypes.diff: Convert spaces to <tab> in
  Makefile so that the %%.symtypes rule works again.
* Tue May 09 2006 gregkh@suse.de
- Update to 2.6.16.15:
  - SCTP: Allow spillover of receive buffer to avoid deadlock. (CVE-2006-2275)
  - SCTP: Fix panic's when receiving fragmented SCTP control chunks. (CVE-2006-2272)
  - SCTP: Fix state table entries for chunks received in CLOSED state. (CVE-2006-2271)
  - SCTP: Prevent possible infinite recursion with multiple bundled DATA. (CVE-2006-2274)
* Tue May 09 2006 okir@suse.de
- patches.fixes/dm-get-mdptr-fix: [devicemapper] Fix an oops in
  dm_get_mdptr (173151).
* Tue May 09 2006 hare@suse.de
- patches.drivers/aic79xx-external-bus-reset:
  Handle external bus reset gracefully (#96728)
* Mon May 08 2006 mason@suse.de
- patches.fixes/hugetlb-reservation: [PATCH] hugepage: serialize
  hugepage allocation and instantiation (154121).
- patches.fixes/hugetlb-reservation-2: hugetlb reservation fixes
  (154121).
- patches.suse/reiserfs-writepage-hole-extend:
  reiserfs_write_full_page should not get_block past eof (98488).
- patches.suse/oom-too-early-1: Prevent OOM from kicking in too
  early (153803).
- patches.suse/oom-too-early-2: Prevent the kernel from going
  OOM too early (153803).
* Mon May 08 2006 agruen@suse.de
- Create /usr/src/linux-obj/ppc64 symlink on ppc as well, and
  vice versa.
* Mon May 08 2006 olh@suse.de
- partially restore some powerpc kdump config options (170591)
* Mon May 08 2006 hare@suse.de
- patches.fixes/qla2xxx-load-fw-from-flash:
  Fallback to load firmware from flash if no external
  firmware is available (#152584 - LTC21893)
* Mon May 08 2006 jblunck@suse.de
- patches.arch/s390-dasd-uid.diff: Reverted the last rediff.
- patches.arch/s390-dasd-eer-october2005.diff: Reenable patch.
  Removed because of a misunderstanding.
* Mon May 08 2006 jbeulich@novell.com
- patches.xen/xen-xenbus_be-gpl.patch: add appropriate module
  license for xenbus_be (173143).
* Mon May 08 2006 agruen@suse.de
- dpatches.fixes/kdb-missing-export.diff: Add missing
  EXPORT_SYMBOL(kdb_current_task).
- patches.fixes/um-missing-exports.diff: Add missing
  EXPORT_SYMBOL(strnlen_user_{skas,tt}).
* Mon May 08 2006 hare@suse.de
- patches.fixes/ide-acpi-fix-get_dev_handle:
  Fix _ADR verification (#169832)
- patches.drivers/ide-acpi-support
  Make internal functions static (#171451)
* Mon May 08 2006 neilb@suse.de
- patches.fixes/nfsd-set-user-fix: Call nfsd_setuser on every
  fh_verify (167552).
* Mon May 08 2006 mason@suse.de
- patches.suse/reiserfs-periodic-flush-latency: Fix reiserfs
  latencies caused by data=ordered (154374).
* Mon May 08 2006 neilb@suse.de
- patches.fixes/nfsd-path-release-fix: Nfsd: oops exporting
  nonexistent directory (172391).
* Sun May 07 2006 agruen@suse.de
- patches.arch/s390-dasd-eer-october2005.diff: Rejected upstream.
- patches.arch/s390-statistic-disclaimer.diff: Rejected upstream.
- patches.arch/s390-01-03-october2005.diff: Rejected upstream.
- patches.arch/s390-02-18-october2005.diff: RCU: introduce
  rcu_needs_cpu() interface (154669).
- patches.arch/s390-02-19-october2005.diff: qeth: system crash
  during data transmission (146136).
- patches.arch/s390-dasd-fba-uid.diff: Provide empty DASD UID
  for FBA disks.
- patches.arch/s390-qdio-alignment-fix.diff: s390: fix qdio
  alignment problem with CONFIG_DEBUG_SLAB (146136, LTC21180).
- patches.arch/s390-dasd-uid.diff: Follow-up rediff.
* Sat May 06 2006 gregkh@suse.de
- patches.fixes/fs-locks.c-Fix-sys_flock-race.patch: [PATCH]
  fs/locks.c: Fix sys_flock() race (173001).
* Sat May 06 2006 agruen@suse.de
- patches.drivers/msi-save-restore-for-suspend-resume.patch:
  Delete.
* Sat May 06 2006 jeffm@suse.de
- patches.suse/reiserfs-bkl-inversion: fix reiserfs lock inversion
  of bkl vs inode semaphore (116531).
* Sat May 06 2006 agruen@suse.de
- rpm/kernel-binary.spec.in: Abort build on undefined symbols in
  modules. This check was configurable in earlier releases because
  we did not want errors in km_* modules to abort the kernel
  build.
* Sat May 06 2006 olh@suse.de
- compile Apple touchpad driver into the kernel
* Fri May 05 2006 gregkh@suse.de
- Update to 2.6.16.14:
  - smbfs chroot issue (CVE-2006-1864)
* Fri May 05 2006 axboe@suse.de
- patches.fixes/cfq-tune: remove
- patches.fixes/cfq-queueing-fixes: fix tcq performance issues (172301)
* Fri May 05 2006 ak@suse.de
- patches.arch/x86_64-add-nmi_exit-to-die_nmi: add nmi_exit
  to die_nmi.
- patches.arch/x86_64-fix-die_lock-nesting: fix die_lock nesting.
* Fri May 05 2006 ak@suse.de
- patches.arch/x86_64-avoid-ebda: Fix problems pointed out by
  review
* Fri May 05 2006 olh@suse.de
- add patches.fixes/usb-hid-ppc-ibmkbd-noget.patch
  add an IBM USB keyboard to the HID_QUIRK_NOGET blacklist (161066 - LTC21605)
* Fri May 05 2006 olh@suse.de
- add patches.arch/ppc-970mp-oprofile-num_pmcs.patch
  add num_pmcs to 970MP cputable entry (172957)
* Fri May 05 2006 jbeulich@novell.com
- Update Xen patches to 3.0.2 c/s 9664.
* Fri May 05 2006 ak@suse.de
- patches.arch/x86_64-avoid-ebda: Avoid EBDA area in early boot
  allocator (166022).
* Fri May 05 2006 hare@suse.de
- patches.arch/s390-console-unblank.patch:
  Fix softdog crash (#161997 - LTC22671)
* Thu May 04 2006 andrea@suse.de
- patches.arch/s390-mapped-base.patch: fixed 32bit s390 (168805).
- patches.suse/silent-stack-overflow: ported but still disabled in
  the series file.
- patches.fixes/acpi-nsxfname: deleted.
- patches.fixes/fix-hugetlb-lock: deleted.
* Thu May 04 2006 tiwai@suse.de
- patches.drivers/alsa-stac7661-vaio-line-in-fix,
  patches.drivers/alsa-stac7661-vaio-mute-fix:
  Fix line-in and mute on VAIO on VAIO laptops with STAC7661
  (156494, 172628).
- patches.drivers/alsa-ad1986a-asus-z62f,
  patches.drivers/alsa-ad1988b-id-add,
  patches.drivers/alsa-add-stac92xx-ids,
  patches.drivers/alsa-alc260-vaio-a790,
  patches.drivers/alsa-alc880-lg-s1,
  patches.drivers/alsa-asus-a6km-workaround:
  Fix sound support on laptops/mobos (172638).
* Thu May 04 2006 ak@suse.de
- patches.fixes/ondemand-workqueue: Move ondemand timer into
  own work queue (168612).
* Thu May 04 2006 hare@suse.de
- patches.fixes/i2o_exec_lct_modified-memoryleak-fix.patch
  Fix memleak in i2o driver (#169381)
* Wed May 03 2006 schwab@suse.de
- memcpy-mck: Fix return value of memcpy for McKinley.
* Wed May 03 2006 agruen@suse.de
- Update config files for patches.drivers/qla4xxx.
* Wed May 03 2006 hare@suse.de
- patches.drivers/qla4xxx: Update to 5.00.05-d5 (#169991).
* Wed May 03 2006 axboe@suse.de
- patches.fixes/blk-limit-recursion: Limit recursion of the
  request handler (170315).
* Wed May 03 2006 hare@suse.de
- patches.drivers/ibmvscsi-RAID-failure
  Fix ibmvscsi to properly handle RAID disks (#170012 - LTC23393)
- patches.drivers/mptfc_rolechg_sles10.patch
  Fix race condition in mpt fusion (#170314)
* Wed May 03 2006 jbeulich@novell.com
- patches.xen/net-csum.patch: Update missing from previous Xen commit.
- patches.xen/xen3-x86_64-hotadd-reserve: Support memory hotadd
  without sparsemem (142035 148522 149117 160861).
- patches.xen/xen3-x86_64-srat-hotadd-reserve: Reserve SRAT
  hotadd memory on x86-64  (142035 148522 149117 160861).
- patches.xen/xen3-x86_64-reserve-hotadd-fixup: Delete.
- patches.xen/xen3-rename-e820-mapped: Refresh.
- patches.xen/xen3-e820-all-mapped: Refresh.
- patches.xen/xen3-auto-arch-i386.diff: Refresh.
* Wed May 03 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Update open-iscsi to svn r564
* Tue May 02 2006 jeffm@suse.de
- patches.fixes/dm-proper-refcounting.diff: Fixed refcounting when
  md != NULL but md->interface_ptr is. It would return NULL, but
  allocate a reference that the caller has no way of freeing.
  Fixes bug 170321.
* Tue May 02 2006 gregkh@suse.de
- Update to 2.6.16.13
  - NETFILTER: SCTP conntrack: fix infinite loop (CVE-2006-1527)
* Tue May 02 2006 ak@suse.de
- patches.arch/x86_64-discontig-hotadd-meminit: Delete.
- patches.arch/x86_64-reserve-hotadd-fixup: Delete.
- patches.arch/x86_64-empty-pxm: Rediff
- patches.arch/x86_64-srat-hotadd-reserve: Merge to mainline
  (142035 148522 149117 160861).
- patches.arch/e820-all-mapped: Rediff
- patches.arch/rename-e820-mapped: Rediff
- patches.arch/x86_64-rename-node: Rename struct node in x86-64
  NUMA code to struct boot node.
- patches.arch/x86_64-hotadd-reserve: Merge to mainline. Limit max
  memory preallocated to 10%% (142035 148522 149117 160861).
* Tue May 02 2006 jack@suse.cz
- patches.fixes/jbd-2.6.16-1-realloc_freed_fix.diff: Fix assertion
  failure in ext3 (152664).
* Tue May 02 2006 hare@suse.de
- patches.drivers/lpfc-8.1.6-update
  Include bugfixes from Emulex (#171455)
- patches.fixes/qla_os_eh_abort_fix
  Fix eh_abort handler in qla2xxx (#170455)
* Tue May 02 2006 rw@suse.de
- patches.suse/lkcd-handle_holey_pgdats.patch:
  LKCD: fix overrun when num_mbanks > MAX_NUMNODES.  (#168907)
- patches.arch/ia64-sn2-tioce_provider:
  Altix: fix tioce_reserve_m32() bug.  (#169879)
- patches.arch/ia64-sn2-hwperf-get_nearest_node_objdata:
  Altix 4700: fix discover of nearest cpu node to IO node.  (#168515)
- patches.arch/ia64-sn2-hwperf-topology_show:
  Altix: reduce overhead of reading sn_topology.  (#168839)
* Tue May 02 2006 okir@suse.de
- patches.fixes/nfs4-open-delegated: [NFSv4] nfs4_open_delegated
  returned random garbage.
* Tue May 02 2006 olh@suse.de
- add patches.arch/ppc-oprofile_call.patch
  support callgraph on ppc64 (169983)
* Tue May 02 2006 olh@suse.de
- add patches.arch/ppc-pseries-rtas-suspend.patch
  fix panic during suspend calls (171016 - LTC23499)
* Tue May 02 2006 okir@suse.de
- patches.fixes/nfs4-setclientid: NFSv4: SETCLIENTID_CONFIRM
  should handle NFS4ERR_DELAY/NFS4ERR_RESOURCE (167953).
* Tue May 02 2006 olh@suse.de
- define EXPORT_SYMBOL_GPL_FUTURE when KMOD is disabled
* Tue May 02 2006 gregkh@suse.de
- Update to 2.6.16.12 which fixed the following:
  - added for_each_possible_cpu
  - Alpha: strncpy() fix
  - Altix snsc: duplicate kobject fix
  - cs5535_gpio.c: call cdev_del() during module_exit to unmap kobject references and other cleanups
  - cxusb-bluebird: bug-fix: power down corrupts frontend
  - dm flush queue EINTR
  - dm snapshot: fix kcopyd destructor
  - Fix reiserfs deadlock
  - fix saa7129 support in saa7127 module for pvr350 tv out
  - get_dvb_firmware: download nxt2002 firmware from new driver location
  - i386: fix broken FP exception handling
  - LSM: add missing hook to do_compat_readv_writev()
  - make vm86 call audit_syscall_exit
  - MIPS: Fix branch emulation for floating-point exceptions.
  - MIPS: Fix tx49_blast_icache32_page_indexed.
  - MIPS: R2 build fixes for gcc < 3.4.
  - MIPS: Use "R" constraint for cache_op.
  - NET: e1000: Update truesize with the length of the packet for packet split
  - Simplify proc/devices and fix early termination regression
  - sonypi: correct detection of new ICH7-based laptops
  - tipar oops fix
  - USB: fix array overrun in drivers/usb/serial/option.c
  - x86_64: Fix a race in the free_iommu path.
  - x86_64: Pass -32 to the assembler when compiling the 32bit vsyscall pages
  - x86/PAE: Fix pte_clear for the >4GB RAM case
- patches.arch/x86_64-free-iommu-race: Delete.
- patches.arch/x86_64-vsyscall32-aflags: Delete.
- patches.drivers/e1000-update: e1000 Update.
- patches.xen/xen3-auto-arch-i386.diff: xen3 arch-i386.
- patches.kernel.org/patch-2.6.16.12: Linux 2.6.16.12.
* Mon May 01 2006 perex@suse.de
- patches.suse/netfilter-conntrack-sinzero:
  VUL-0: kernel: minor information leak in SO_ORIGINAL_DST (#159046)
* Mon May 01 2006 garloff@suse.de
- patches.scsi/scsi-tolerate-pq3-?: Cosmetic cleanups from akpm.
* Sun Apr 30 2006 agruen@suse.de
- patches.fixes/nfs-acl-caching.diff: Need to update the cached
  acls in nfs3_proc_setacls as well (171059).
* Sat Apr 29 2006 jeffm@suse.de
- patches.fixes/dm-proper-refcounting.diff: update missing refcount
* Sat Apr 29 2006 jeffm@suse.de
- patches.fixes/ext3-resize-oops.diff: [PATCH] forgotten ->b_data
  in memcpy() call in ext3/resize.c (oopsable).
* Sat Apr 29 2006 agruen@suse.de
- patches.fixes/nfs-acl-caching.diff: "No acl" entry put in
  client-side acl cache instead of "not cached" (171059).
* Sat Apr 29 2006 agruen@suse.de
- patches.fixes/disable-nfsv4-posix-acl-hack.diff: Improved fix
  based on a comment by Neil Brown. Also disable NFSv4 support
  on the client side (169033).
* Sat Apr 29 2006 olh@suse.de
- add patches.arch/ppc-eeh-increment-counter.patch
  Increment fail counter in PCI recovery (171020 - LTC23497)
  add patches.arch/ppc-eeh-print-loc-code.patch
  Print PCI slot location code on failure (171020 - LTC23497)
* Sat Apr 29 2006 olh@suse.de
- update patches.drivers/ibmvscsis.patch
  change the sysfs driver name from ibmvscsi to ibmvscsis
* Fri Apr 28 2006 olh@suse.de
- update patches.suse/crasher-26.diff
  add 3 module options to crasher.ko to call panic, BUG or trap
* Fri Apr 28 2006 agruen@suse.de
- patches.fixes/disable-nfsv4-posix-acl-hack.diff: Disable NFSv4
  deamon-side POSIX ACL <=> NFSv4 ACL mapping (169033).
* Fri Apr 28 2006 hare@suse.de
- patches.suse/sas-transport-attribute-write-fix.patch
  Fix writing to SAS transport attributes (#166035)
- patches.fixes/scsi-fix-remove-single-device.patch
  Fix return value of 'scsi remove-single-device' (#169712)
* Fri Apr 28 2006 olh@suse.de
- disable lots of config options in the powerpc kdump kernel
  to reduce memory footprint
  disable non-working pmac support, disable other untested subarchs
* Fri Apr 28 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  fix link errors when pmac support is disabled
* Fri Apr 28 2006 jbeulich@novell.com
- Update Xen patches to 3.0-testing c/s 9656.
- patches.xen/xen-SiS-APIC-bug.patch: Delete.
- patches.xen/xenbus_be-non-modular.patch: Delete.
- patches.xen/xen3-e820-all-mapped: Introduce e820_all_mapped
  (160583).
- patches.xen/xen-refine-irqdebug.patch: replace forced noirqdebug
  on 32-bit Xen kernel.
* Thu Apr 27 2006 hare@suse.de
- patches.fixes/scsi_transport_fc_deadlock.patch
  Fix deadlock in scsi_transport_fc (#159596)
- patches.fixes/mptfc-deadlock.patch
  Update mptfc to work with the transport class changes (#168076)
* Thu Apr 27 2006 hare@suse.de
- supported.conf: mark ctcmpc & libiscsi as supported,
  claw as unsupported.
* Thu Apr 27 2006 hare@suse.de
- patches.arch/s390-02-1{5,6}-october2005.diff
  Include latest patches from IBM
- patches.arch/s390-02-05-october2005.diff
  Fix patch to use the correct syscall number (#170110)
* Thu Apr 27 2006 hare@suse.de
- patches.arch/s390-dasd-uid.diff
  Add missing EXPORT_SYMBOLs
* Wed Apr 26 2006 jeffm@suse.de
- series.conf: moved ocfs2 patches to keep them grouped together.
* Wed Apr 26 2006 lmb@suse.de
- patches.suse/ocfs2-update-2.6.16-20060423154214: Numerous OCFS2 fixes
  and enhancements from Oracle.
* Wed Apr 26 2006 olh@suse.de
- run panic_notifier_list before kexec only in lkcd case (169078)
* Wed Apr 26 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Fix read stall (#157463)
* Wed Apr 26 2006 gregkh@suse.de
- Fix build error in ioat patch on SMP.
* Wed Apr 26 2006 gregkh@suse.de
- patches.suse/ioat-engine-dma-mask: Delete.
- patches.suse/ioat-engine-locking: Delete.
- patches.suse/ioat-engine-no-unload: Delete.
- patches.suse/ioat-helpers: Delete.
- patches.suse/ioat-license: Delete.
- patches.suse/ioat-network-client: Delete.
- patches.suse/ioat-dma-subsystem: Delete.
- patches.suse/ioat-tcp: Delete.
- patches.suse/ioat-tcp-structs: Delete.
- patches.suse/ioat-dma-driver: Delete.
- Update config files.
- patches.suse/lkcd.patch: lkcd (142097).
- patches.suse/ioat-1.6.patch: IOAT DMA Engine code 1.6 release
  (#167549)
* Tue Apr 25 2006 agruen@suse.de
- patches.suse/dmapi-xfs-event-mask-fix: Fix event mask check.
* Tue Apr 25 2006 hare@suse.de
- patches.suse/lsi-eventstr-overflow.patch
  Fix string overflow in mpt fusion (#166035)
* Tue Apr 25 2006 lmb@suse.de
- patches.fixes/ipmi-startup-race: Fix race condition during IPMI
  startup (#162061).
* Tue Apr 25 2006 lmb@suse.de
- patches.suse/lkcd-GFP_COMP: Fix LKCD to handle GFP_COMP flagged pages
  (#168514).
* Tue Apr 25 2006 tonyj@suse.de
- patches.suse/apparmor: Fix for critical bug #159411 ("Apparmor message
  reports unknown xattr type").
* Mon Apr 24 2006 olh@suse.de
- add patches.fixes/tg3-selftest-phy_reset.patch
  workaround for lost carrier during ethtool -t (158568 - LTC22155)
* Mon Apr 24 2006 gregkh@suse.de
- Update config files.
* Mon Apr 24 2006 gregkh@suse.de
- Update to 2.6.16.11 (bug and security fixes)
- patches.fixes/tcp-truesize-underflow: Delete.
- patches.fixes/network-fix-hotplug-race-during-device-registration.patch:
  Delete.
- patches.fixes/file-lookup-without-ref.patch: Delete.
- patches.kernel.org/patch-2.6.16.9: Delete.
- patches.kernel.org/patch-2.6.16.11: Linux 2.6.16.11.
* Mon Apr 24 2006 trenn@suse.de
- patches.arch/acpi_asus_init_fixups.patch: Remove __init from
  asus_acpi .add and .remove funcs. (only rediffed)
- patches.arch/acpi_asus_strict_model_check.patch: Do only load
  asus acpi module when model is listed (166920).
- patches.arch/acpi_processor_exit_acpi_off: Exit ACPI processor
  module gracefully if acpi is disabled (165803).
* Mon Apr 24 2006 garloff@suse.de
- patches.fixes/sg2616dio_lk.diff: Added Patch-Mainline annotation.
- patches.suse/scsi-scan-tolerate-pq3-[23]: Change BLIST_ATTACH_PQ3
  flag to 0x1000000 to avoid conflict with BLIST_MAX_512.
* Sun Apr 23 2006 agruen@suse.de
- Update the required version of perl-Bootloader.
* Sat Apr 22 2006 olh@suse.de
- build pdc202xx_new as a module in kdump kernel (158247 - LTC22416)
* Sat Apr 22 2006 jeffm@suse.de
- patches.fixes/reiserfs-procfs-slashes.diff: [PATCH] reiserfs:
  fix handling of device names with /'s in them (#154278).
* Fri Apr 21 2006 gregkh@suse.de
- Update config files.
- patches.drivers/usb-add-driver-for-funsoft-usb-serial-device.patch:
  [PATCH] USB: add driver for funsoft usb serial device (#164598).
* Fri Apr 21 2006 gregkh@suse.de
- patches.drivers/usb-unplug-usbkb-from-hub.patch: USB: fix
  error messages when USB keyboard is unplugged (#167170).
- patches.fixes/usb-hid-dead-mouse: Fix dying mice on Intel UHCI
  controllers (146781, 151719, 94064).
* Fri Apr 21 2006 gregkh@suse.de
- patches.fixes/network-fix-hotplug-race-during-device-registration.patch:
  [NET]: Fix hotplug race during device registration (#165050).
* Fri Apr 21 2006 olh@suse.de
- update patches.drivers/lpfc-8.1.5-update
  remove lpfc_set_slim
* Fri Apr 21 2006 olh@suse.de
- update patches.suse/mv643xx_eth.SET_NETDEV_DEV.patch
  really provide sysfs class device symlink (161555)
* Fri Apr 21 2006 hare@suse.de
- patches.arch/s390-02-1{2,3,4}-october2005.diff
  Include latest patchset from IBM.
* Fri Apr 21 2006 hare@suse.de
- patches.drivers/lpfc-8.1.5-update
  Update lpfc driver to 8.1.5 (#166928)
* Fri Apr 21 2006 hare@suse.de
- patches.arch/s390-02-[05-10]-october2005.diff
  Include latest patchset from IBM
- patches.arch/s390-dasd-uid.diff
  Generate unique DASD IDs.
* Fri Apr 21 2006 hare@suse.de
- Mark zfcp_hbaapi as supported (#163245 - LTC22901)
* Fri Apr 21 2006 schwab@suse.de
- resume-init: Fix resuming from INIT handler.
* Fri Apr 21 2006 tiwai@suse.de
- patches.drivers/alsa-ad1981hd-all-hp-laptops: Use model "hp" for
  all HP laptops with AD1981HD.
- patches.drivers/alsa-ad1981hd-thinkpad-x60: Add Thinkpad
  X60/T60/Z60 support.
- patches.drivers/alsa-ad1986a-asus-m9: Add model entry for ASUS
  M9 laptop.
- patches.drivers/alsa-ad1986a-asus-u5a: Add support of ASUS U5A
  with AD1986A codec
- patches.drivers/alsa-ad1986a-hp-presario-b2800: support HP
  Compaq Presario B2800 laptop with AD1986A codec
- patches.drivers/alsa-alc880-epox-ep5lda: Add entry for Epox
  EP-5LDA+ GLi.
- patches.drivers/alsa-intel8x0-disable-ali5455-spdif-in: Disable
  ALI5455 SPDIF-input.
- patches.drivers/alsa-stac92xx-intel-d945pvs: Adds HDA support
  for Intel D945Pvs board with subdevice id 0x0707.
- patches.drivers/alsa-via8251-ac97-fix: add support for VIA
  VT8251 (AC'97).
- patches.drivers/alsa-via8251-ac97-tweak: tweak VT8251
  workaround.
* Fri Apr 21 2006 jbeulich@novell.com
- patches.xen/xen3-rename-e820-mapped: Rename e820_mapped to
  e820_any_mapped.
- patches.xen/xen3-e820-all-mapped: Introduce e820_all_mapped
  (160583).
- Re-diff a few other Xen patches.
* Fri Apr 21 2006 ak@suse.de
- patches.fixes/ipfrag-hash: [IPV4] ip_fragment: Always compute
  hash with ipfrag_lock held. (164777).
* Fri Apr 21 2006 trenn@suse.de
- patches.arch/ia64_acpi_unalignments.patch: Avoid unaligned
  memory access (153173).
* Fri Apr 21 2006 jbeulich@novell.com
- Update Xen patches to 3.0.2-2 (c/s 9629).
- patches.xen/xen3-patch-2.6.16.9: Linux 2.6.16.9.
- patches.xen/xen-SiS-APIC-bug.patch: Forward information on
  buggy APICs to the hypervisor..
- patches.xen/xen-microcode-modular.patch: allow microcode driver
  to be built as a module.
- patches.xen/xen-x86-assign_irq_vector.patch: eliminate static
  variables from assign_irq_vector().
- patches.xen/xenbus_be-non-modular.patch: xenbus_be currently
  doesn't build properly as a module.
- Update Xen config files.
- supported.conf: Add xenbus_be.
* Fri Apr 21 2006 olh@suse.de
- add patches.arch/ppc-eeh-mem_init_done.patch
  avoid crash in PCI code if mem system not up (167020 - LTC22896)
* Fri Apr 21 2006 ak@suse.de
- patches.arch/disable-mmconfig: Delete (160583)
- patches.arch/rename-e820-mapped: Rename e820_mapped to
  e820_any_mapped.
- patches.arch/e820-all-mapped: Introduce e820_all_mapped
  (160583).
- patches.arch/mcfg-e820: Check that MCFG points to an e820 reserved area
- patches.arch/mcfg-check-more-busses: i386/x86_64: Check if
  MCFG works for the first 16 busses  (160583).
- patches.arch/mmconfig-testbit: Small change to make the
  mcfg-check-more-busses patch in go cleanly.
* Fri Apr 21 2006 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Update open-iscsi to svn r545 (#157463)
- patches.drivers/iscsitarget
- patches.drivers/qla4xxx
  Update patches to apply again.
* Fri Apr 21 2006 hare@suse.de
- patches.suse/lsi_sas_transport_end_device_fix.patch
- patches.suse/lsi_mptspi_reset_fix.patch
  Convert mptspi to use generic domain validation (#166035)
* Fri Apr 21 2006 ak@suse.de
- patches.arch/x86_64-vsyscall32-aflags: Pass -32 to the assembler
  when compiling the 32bit vsyscall pages (163112).
- patches.xen/xen3-auto-arch-x86_64.diff: Rediff and add flags
  there too.
* Fri Apr 21 2006 ak@suse.de
- patches.arch/x86_64-free-iommu-race: Fix a race in the
  free_iommu path..
* Thu Apr 20 2006 agruen@suse.de
- patches.arch/acpi_show_errors-fix: ACPI compile fix.
* Thu Apr 20 2006 hare@suse.de
- Update SAS transport class for aic94xx
- Include aic94xx driver (#142153 - LTC20571).
- Include logical id and slot support for mpt (#158713)
- Expander hot-add / remove support for mpt (#158723)
- Update mpt driver to work with SAS transport class changes
  (166035).
- Update configuration files.
* Thu Apr 20 2006 gregkh@suse.de
- put the version number back in the 2.6.16.9 patch
- patches.kernel.org/patch-2.6.16.9: Linux 2.6.16.9.
* Thu Apr 20 2006 trenn@suse.de
- patches.arch/acpi_ibm_notify.patch: Fix Thinkpad A21m shutdown
  (150851).
- patches.fixes/cpufreq_sysfs_max_override.patch: Max freq stucks
  at low freq if reduced by _PPC and sysfs gov access (119836).
  Reenabled after fixing lock and refcount issues.
* Thu Apr 20 2006 axboe@suse.de
- patches.fixes/cfq-tune: Allow low-level driver to do queuing
  with CFQ.
* Thu Apr 20 2006 ak@suse.de
- patches.arch/x86_64-increase-nodemap: Increase NUMA hash
  function nodemap (167073).
* Thu Apr 20 2006 axboe@suse.de
- patches.drivers/ide-cd-confused: Fix CDROM being confused
  (147863).
* Wed Apr 19 2006 olh@suse.de
- update patches.arch/ppc-kdump-soft-reset.patch
  use cpu_relax instead of barrier
* Wed Apr 19 2006 agruen@suse.de
- rpm/post.sh: Change from --xen option to --xen-kernel=...
  argument (161197).
* Wed Apr 19 2006 agruen@suse.de
- Xen kernel boot loader entries not created correctly (166869).
* Wed Apr 19 2006 agruen@suse.de
- patches.fixes/xfs-remove-unneeded-defines-and-symbols: Compiler
  Errors in xfs_dmapi.h (162465).
* Wed Apr 19 2006 ak@suse.de
- patches.fixes/tcp-truesize-underflow: Fix skb->truesize
  underflow.
* Wed Apr 19 2006 gregkh@suse.de
- Update to 2.6.16.9 (another security fix)
- patches.kernel.org/patch-2.6.16.8: Delete.
- patches.kernel.org/patch-2.6.16.9: Linux 2.6.16.9.
* Wed Apr 19 2006 ak@suse.de
- patches.fixes/powernow-fix-3: Fix use before check in earlier patch
  (142547).
- patches.xen/xen-acpi-nolapic: Xen: Don't process APICs/IO-APICs
  in ACPI when APIC is disabled. (156426).
* Tue Apr 18 2006 gregkh@suse.de
- Update to 2.6.16.8 (another security fix)
- patches.kernel.org/patch-2.6.16.7: Delete.
- patches.kernel.org/patch-2.6.16.8: Linux 2.6.16.8.
* Tue Apr 18 2006 lmb@suse.de
- patches.fixes/ptrace-suspend: Fix suspend/resume of straced tasks
  (161743).
* Tue Apr 18 2006 schwab@suse.de
- show-mem: Make show_mem() skip holes in a pgdat [#166284].
* Tue Apr 18 2006 gregkh@suse.de
- Update to 2.6.16.7 (lots of security fixes and other bug stuff)
- patches.arch/x86_64-execve-cleanup: Delete.
- patches.arch/x86_64-force-iret: Delete.
- patches.arch/ppc-iseries-slb_initialize.patch: Delete.
- patches.arch/ppc-SA_ONSTACK-fix.patch: Delete.
- patches.drivers/cciss-softirq-oops: Delete.
- patches.fixes/RLIMIT_CPU-fix-handling-of-a-zero-limit.patch:
  Delete.
- patches.fixes/ptrace-suspend: Delete.
- patches.kernel.org/patch-2.6.16.4: Delete.
- patches.kernel.org/patch-2.6.16.7: Linux 2.6.16.7.
* Tue Apr 18 2006 olh@suse.de
- update patches.arch/ppc-kdump-soft-reset.patch
  fix compile on ppc32
* Thu Apr 13 2006 jeffm@suse.de
- patches.suse/ocfs2-update-2006-04-11.diff: OCFS2 Code Update
  for SLES 10 - 2006-04-11.
* Thu Apr 13 2006 jeffm@suse.de
- Fixes for bug #163243
- patches.fixes/idr_replace.diff: idr: add idr_replace method
  for replacing pointers.
- patches.fixes/dm-use-idr_replace.diff: dm: use idr_replace
  for minor_idr.
- patches.fixes/dm-idr_pre_get-ordering.diff: dm: fix
  idr_pre_get lock ordering.
- patches.fixes/dm-use-spinlock.diff: dm: use spinlock for
  _minor_lock.
- patches.fixes/dm-DMF_FREEING.diff: dm: add DMF_FREEING flag
  to indicate that a mapped_device is no longer legal to use.
- patches.fixes/dm-proper-refcounting.diff: dm: fix refcounting.
- patches.fixes/dm-module-refcount.diff: dm: proper module
  reference counting.
- patches.fixes/dm-initialize-ordering.diff: dm: fix ordering of
  initialization in alloc_dev().
* Thu Apr 13 2006 olh@suse.de
- add patches.fixes/file-lookup-without-ref.patch
  fix possible NULL dentry (165361 - LTC21992)
* Thu Apr 13 2006 olh@suse.de
- update ppc64 kdump patches
  remove patches.arch/ppc-kdump-EOI.patch
  update patches.arch/ppc-kdump-boot-cpu-id.patch
  match mainline status
  add patches.arch/ppc-kdump-clear-and-EOI-IPI.patch
  kexec CPU is not responding to an IPI (165758 - LTC23173)
  add patches.arch/ppc-kdump-image-rm-static.patch
  kdump boot panic when a CPU hangs in the first kernel (149545 - LTC21344)
  update patches.arch/ppc-kdump-iommu-init-fix.patch
  remove quirr_info call
  update patches.arch/ppc-kdump-soft-reset.patch
  more soft-reset fixes (149545 - LTC21344;152931 - LTC21955;158238 - LTC22382)
  add patches.arch/ppc-kdump-xmon-stop-cpu.patch
  leave xmon properly after softreset (149545 - LTC21344;149557 - LTC21346)
* Wed Apr 12 2006 gregkh@suse.de
- 2.6.16.4 fixes two local DOS issues
- patches.fixes/patch-2.6.16.2: Delete.
- patches.kernel.org/patch-2.6.16.4: Linux 2.6.16.4.
* Wed Apr 12 2006 ak@suse.de
- patches.arch/x86_64-execve-cleanup: Clean up execve path
  (for next patch) (156580).
- patches.arch/x86_64-force-iret: When user could have changed
  RIP always force IRET [CVE-2006-0744] (156580).
* Wed Apr 12 2006 gregkh@suse.de
- patches.fixes/RLIMIT_CPU-fix-handling-of-a-zero-limit.patch:
  [PATCH] RLIMIT_CPU: fix handling of a zero limit (#163796).
* Wed Apr 12 2006 agruen@suse.de
- doc/README.SUSE: Update for CODE10.
* Wed Apr 12 2006 schwab@suse.de
- uncached-allocator: Fix MCA due to attribute aliasing in uncached
  allocator [#161480].
* Tue Apr 11 2006 olh@suse.de
- add patches.arch/ppc-iseries-vio-uevent.patch
  Allow hotplug on iSeries vio devices (159652 - LTC22358)
* Tue Apr 11 2006 axboe@suse.de
- patches.drivers/cciss-reinvoke-rq-handler: Delete.
- patches.drivers/cciss-softirq-oops: Fix oops running hpacucli.
* Tue Apr 11 2006 schwab@suse.de
- Update kdb patches.
* Tue Apr 11 2006 okir@suse.de
- patches.drivers/ipw2200-wep-fix: [PATCH] ipw2200: Fix software
  crypto shared WEP authentication problem (160519).
* Tue Apr 11 2006 olh@suse.de
- disable xmon per default, boot with xmon=on to get it back
* Tue Apr 11 2006 neilb@suse.de
- patches.fixes/invalidate_page_non_destructive: Make
  invalidate_inode_pages2 non-destructive (133890).
* Tue Apr 11 2006 agruen@suse.de
- patches.drivers/libata-acpi-suspend-doc-fix: Fix {man,pdf}docs
  targets (163070).
* Tue Apr 11 2006 ak@suse.de
- patches.arch/i386-bigsmp-noirqbalance: Delete. Obsolete
  after #160473
- patches.arch/i386-amd-core-parsing: Remove bogus code from
  AMD core parsing.
* Mon Apr 10 2006 olh@suse.de
- add a few patches for pSeries EEH handling (164434 - LTC23030)
  also handle PCI errors in e100 and e1000 drivers
  patches.arch/ppc-eeh-decr-failcount.patch
  patches.arch/ppc-eeh-device-remove-fix.patch
  patches.arch/ppc-eeh-message-disambig.patch
  patches.arch/ppc-eeh-mutex.patch
  patches.arch/ppc-eeh-printing-cleanup.patch
  patches.arch/ppc-eeh-remove-exports.patch
  patches.drivers/e100-pci-err-recovery.patch
  patches.drivers/e1000-pci-err-recovery.patch
  patches.drivers/e1000-stats-collection.patch
* Mon Apr 10 2006 agruen@suse.de
- patches.fixes/xfs-kern-25687a-sles10-iunpin-reclaim-fix: Fix
  an inode use-after-free during an unpin (SGI:PV946321, 142533).
* Mon Apr 10 2006 agruen@suse.de
- Disable CONFIG_IRQBALANCE on i386 kernels, and require the
  irqbalance user-space package instead (160473).
* Mon Apr 10 2006 olh@suse.de
- update to 2.6.16.2
  PCMCIA_SPECTRUM must select FW_LOADER
  drivers/net/wireless/ipw2200.c: fix an array overun
  AIRO{,_CS} <-> CRYPTO fixes
  tlclk: fix handling of device major
  fbcon: Fix big-endian bogosity in slow_imageblit()
  USB: EHCI full speed ISO bugfixes
  Mark longhaul driver as broken.
  fib_trie.c node freeing fix
  USB: usbcore: usb_set_configuration oops (NULL ptr dereference)
  pcmcia: permit single-character-identifiers
  hostap: Fix EAPOL frame encryption
  wrong error path in dup_fd() leading to oopses in RCU
  {ip, nf}_conntrack_netlink: fix expectation notifier unregistration
  isicom must select FW_LOADER
  knfsd: Correct reserved reply space for read requests.
  Fix module refcount leak in __set_personality()
  opti9x - Fix compile without CONFIG_PNP
  Fix the p4-clockmod N60 errata workaround.
  kdump proc vmcore size oveflow fix
* Mon Apr 10 2006 ak@suse.de
- patches.fixes/acpi-cpuindex: Turn cpuindex warning into
  a DEBUG_PRINT.
* Mon Apr 10 2006 ak@suse.de
- patches.drivers/ide-acpi-support: Disable debugging printks
* Mon Apr 10 2006 aj@suse.de
- Move SL101_RC1 tag.
* Mon Apr 10 2006 ak@suse.de
- patches.arch/i386-modern-apic: i386: Consolidate modern APIC
  handling  (157602).
* Mon Apr 10 2006 ak@suse.de
- patches.arch/i386-apic-up: Disable ACPI APIC checking
  if DMI scanner decides APIC should not be enabled (162076)
* Sun Apr 09 2006 ak@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch: Disable broken patch
* Fri Apr 07 2006 okir@suse.de
- patches.fixes/dm_check_device_area.diff: Allow for setting of table
  on devices with i_size zero (#158777 - LTC22470).
  Was disabled, re-enabled per request from hare.
* Fri Apr 07 2006 ak@suse.de
- patches.arch/x86_64-sync-rdtsc: fix sync before RDTSC on
  Intel cpus.
* Fri Apr 07 2006 vojtech@suse.cz
- patches.fixes/acpipnp-dma-resource-setup-fix.patch
  Fix DMA resource allocation in ACPIPnP (#116655)
* Fri Apr 07 2006 agruen@suse.de
- Comment out unnecessary update_bootloader call as discussed with
  jplack@suse.de.
- Update SL101_RC1 tag.
* Fri Apr 07 2006 garloff@suse.de
- Tagged SL101_RC1.
* Fri Apr 07 2006 hare@suse.de
- patches.fixes/scsi-execute-in-context-api
- patches.fixes/scsi-fix-target-reap
- patches.fixes/scsi-move-target-destroy
  Fix oops on rescan (#149198 - LTC21496)
- patches.drivers/aic79xx-target-hotplug-fixes
  Update target hotplug handling (#96728)
- patches.drivers/aic7xxx-target-rescan
  Remove obsolete patch
* Fri Apr 07 2006 trenn@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch:
  avoid lock -> lock after get_policy
* Fri Apr 07 2006 jbeulich@novell.com
- Update Xen config files.
* Fri Apr 07 2006 jbeulich@novell.com
- Update Xen patches to 3.0.2 c/s 9595.
- patches.xen/xen3-mapped-base: enable.
- patches.xen/xen-x86_64-panic-no-reboot: Don't automatically
  reboot on panic (match native).
- patches.xen/9522.patch:
- patches.xen/xen3-x86_64-compat-nr-syscalls: Eliminate
  IA32_NR_syscalls define (163144).
- patches.xen/xen3-pci-0029-resource-address-mismatch.patch:
  [PATCH 29/49] PCI: resource address mismatch.
- patches.xen/xen3-lagrange-feature: i386/x86-64: List Intel
  LaGrange AKA SMX in /proc/cpuinfo.
- patches.xen/xen3-amd-core-parsing: Remove bogus special case
  in AMD core parsing..
- patches.xen/xen-i386-kexec-reserve.patch: adjust placement of
  reservation call for kexec crash kernel space
- patches.xen/xen-x86_64-kconfig-no-cpu_freq: disallow CPUFREQ
  config options.
* Fri Apr 07 2006 neilb@suse.de
- patches.fixes/nfsd-ref-fhandle-problem: Ignore ref_fh when
  crossing a mountpoint. (158737). - fix typo
* Fri Apr 07 2006 neilb@suse.de
- patches.fixes/nfsd-ref-fhandle-problem: Ignore ref_fh when
  crossing a mountpoint. (158737).
* Thu Apr 06 2006 tiwai@suse.de
- patches.drivers/alsa-ad1981hd-hp-laptop-2: Add another HP
  laptop with AD1981HD (153362).
- patches.drivers/alsa-cs4281-probe-fix: Fix the check of timeout
  in probe.
- patches.drivers/alsa-hda-intel-ati-sb600: Add support of ATI
  SB600.
- patches.drivers/alsa-hda-intel-workq-fix: use
  create_singlethread_workqueue().
- patches.drivers/alsa-maestro3-misc-fixes: fix BUG,
  optimization.
- patches.drivers/alsa-usbmixer-resolution-fix: Test volume
  resolution of usb audio at initialization.
- patches.drivers/alsa-via82xx-ecs-k8t890-a: Add a dxs entry
  for ECS K8T890-A.
* Thu Apr 06 2006 ak@suse.de
- patches.arch/x86_64-compat-nr-syscalls: Eliminate
  IA32_NR_syscalls define (163144).
* Wed Apr 05 2006 agruen@suse.de
- patches.rpmify/extmod-fix: modules_install must not remove
  existing modules.
* Wed Apr 05 2006 agruen@suse.de
- Need to pass the -xen and -xenpae suffixes to update-bootloader
  (163768). Go through the same .previous symlink logic for xen*
  as for the other flavors.
* Wed Apr 05 2006 agruen@suse.de
- patches.fixes/per-cpu-irqs-in-generic-irq-setup: Add
  SA_PERCPU_IRQ flag support (161473).
* Wed Apr 05 2006 agruen@suse.de
- patches.fixes/xfs-kern-25683a-chash-doublelink: [PATCH]
  xfs-kern-25683a-chash-doublelink (163667, SGI:PV951551).
* Wed Apr 05 2006 hare@suse.de
- Mark vmlogrdr, monreader, and zfcp_hbaapi as supported
  (#163245 - LTC22901)
- Activate watchdog (#161997 - LTC22671)
* Wed Apr 05 2006 kraxel@suse.de
- patches.fixes/fix-serial-8250-UART_BUG_TXEN-test: Fix
  UART_BUG_TXEN test. (49840).
* Wed Apr 05 2006 olh@suse.de
- do not create or replace the /boot/vmlinux symlink if the kernel
  is not compatible with the boardtype (164584 - LTC22947)
* Tue Apr 04 2006 trenn@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch: Max freq stucks
  at low freq if reduced by _PPC and sysfs gov access (119836).
* Tue Apr 04 2006 hare@suse.de
- Update configs for S/390.
* Tue Apr 04 2006 garloff@suse.de
- Xen configurations: Build backend/frontend drivers as modules.
- patches.suse/scsi-scan-tolerate-pq3-[123]: Handle scsi devices
  that report a periph. qualifier of 3 better during scan.
- patches.fixes/sg2616dio_lk.diff: Fix memory leak when doing
  direct I/O via sg.
* Tue Apr 04 2006 hare@suse.de
- add patches.arch/s390-dasd-eer-october2005.diff
  Extended error reporting for DASDs.
- add patches.arch/s390-02-0{2,3,4}-october2005.diff
  Include patches from IBM.
- patches.arch/s390-mapped-base.patch
  Enable patch now that mapped_base is back in.
- patches.arch/s390-dasd-erp-debug.patch
  Remove obsolete patch.
* Tue Apr 04 2006 olh@suse.de
- add patches.arch/ppc-iseries-irq-256max.patch
  iSeries has only 256 IRQs (158811 - LTC22471)
* Tue Apr 04 2006 hare@suse.de
- add patches.fixes/bus-uevent-after-sysfs-links
  We should send bus device events after all links are created.
* Tue Apr 04 2006 olh@suse.de
- add patches.arch/ppc-kdump-shutdown-interrupts.patch
  end all interrupts before starting the kdump kernel (152932 - LTC21954)
* Mon Apr 03 2006 mason@suse.de
- patches.drivers/e1000-no-tso: [e1000] Disable TSO for now
  (157600).
- patches.fixes/hrtimer-opt: optimize run_hrtimer_queue when
  there is no work to do (161587).
- patches.fixes/calc-load-opt: Combining nr_running() &
  nr_interruptible() into a single function (162658).
- patches.suse/cache_reap-latency: reduce irq latencies in
  cache_reap (160144).
- patches.suse/drain-node-pages-latency: drain_node_pages latency
  fix (160144).
- enable e1000 TSO again
* Mon Apr 03 2006 gregkh@suse.de
- patches.fixes/sysfs-off-by-one.patch: sysfs: zero terminate
  sysfs write buffers (CVE-2006-1055).
* Mon Apr 03 2006 ak@suse.de
- patches.fixes/nodehotplug-sysfs: Fix NULL pointer dereference
  in node_read_numastat().
- patches.suse/kdb-x86_64-longjmp: Fix longjmp in x86-64 kdb.
* Mon Apr 03 2006 ak@suse.de
- patches.arch/x86_64-hpet-drift: Fix drift with HPET timer
  enabled (158650).
* Mon Apr 03 2006 jbeulich@novell.com
- Update x86-64 Xen config file (enable HOTPLUG_CPU) (162576).
- patches.arch/microcode-quiet:  Quieten down microcode update
  driver (158643).
* Mon Apr 03 2006 trenn@suse.de
- patches.arch/acpi_suppress_aetime.patch:
  acpi_os_wait_semaphore(): don't complain about timeout (118958).
* Mon Apr 03 2006 olh@suse.de
- add patches.fixes/ieee1394-sbp2-spinlock-recursion.patch
  fix spinlock recursion in in sbp2util_mark_command_completed
* Mon Apr 03 2006 mason@suse.de
- patches.fixes/cpuset-memory-migration-interaction.patch: Fix
  memory migration so that it works regardless of what cpuset
  the invoking task is in. (162327).
- patches.fixes/inotify-emit-delete: fix inotify to emit delete
  events (162437).
* Sun Apr 02 2006 olh@suse.de
- add patches.arch/ppc-iseries-slb_initialize.patch
  iSeries needs slb_initialize to be called (154542 - LTC22125)
* Sun Apr 02 2006 agruen@suse.de
- patches.fixes/remove-MODULE_PARM: compile-time fix on x86_64.
* Sun Apr 02 2006 olh@suse.de
- readd patches.arch/ppc32-cflags.patch
  compile with -mcpu=powerpc to remove all nops
* Sun Apr 02 2006 agruen@suse.de
- patches.fixes/remove-MODULE_PARM: Remove MODULE_PARM (162172).
- patches.fixes/module-obsparm.diff: Patch is obsolete.
* Sat Apr 01 2006 olh@suse.de
- update to 2.6.16.1
  dm: bio split bvec fix
  TCP: Do not use inet->id of global tcp_socket when sending RST (CVE-2006-1242)
  Fix speedstep-smi assembly bug in speedstep_smi_ownership
  DMI: fix DMI onboard device discovery
  fix scheduler deadlock
  i810fb_cursor(): use GFP_ATOMIC
  NET: Ensure device name passed to SO_BINDTODEVICE is NULL terminated.
  V4L/DVB (3324): Fix Samsung tuner frequency ranges
  sata_mv: fix irq port status usage
  rtc.h broke strace(1) builds
  v9fs: assign dentry ops to negative dentries
  2.6.xx: sata_mv: another critical fix
  Kconfig: VIDEO_DECODER must select FW_LOADER
  XFS writeout fix
  proc: fix duplicate line in /proc/devices
  cciss: fix use-after-free in cciss_init_one
* Sat Apr 01 2006 ak@suse.de
- patches.arch/x86_64-mce-nmi-watchdog: Fix compilation
  without CONFIG_X86_MCE
* Sat Apr 01 2006 olh@suse.de
- add patches.arch/ppc-pseries-rtas-mtcr-bug.patch
  Workaround for pSeries RTAS bug (162384 - LTC21927)
* Sat Apr 01 2006 olh@suse.de
- add patches.arch/ppc-floppy-isa-dma.patch
  make ISA floppies work again
* Fri Mar 31 2006 schwab@suse.de
- Increase max number of nodes to 1024 [#160976].
* Fri Mar 31 2006 olh@suse.de
- add patches.arch/ppc-pseries-lparcfg-1.7.patch
  pass correct databuf size to ibm,get-system-parameter (162380 - LTC22746)
* Fri Mar 31 2006 hare@suse.de
- patches.fixes/msi-save-restore-for-suspend-resume.patch
  Restore MSI(X) settings after resume (#162090)
* Fri Mar 31 2006 hare@suse.de
- patches.fixes/dm_check_device_area.diff
  Disable broken patch (#162272)
* Thu Mar 30 2006 ak@suse.de
- patches.arch/x86_64-mce-nmi-watchdog: Don't run NMI watchdog
  during machine checks (156566 155726).
- patches.arch/i386-kexec-apic-ack: [PATCH] i386 kdump timer
  vector lockup fix.
* Thu Mar 30 2006 hare@suse.de
- patches.fixes/ahci-init-on-resume
  Fix patch to correctly enable interrupts for
  the last drive only.
* Thu Mar 30 2006 olh@suse.de
- add patches.arch/ppc-SA_ONSTACK-fix.patch
  fix incorrect SA_ONSTACK behaviour for 64-bit processes
- add patches.arch/ppc-protect-remove_proc_entry.patch
  protect remove_proc_entry with spinlock
- add patches.arch/ppc-device-tree-dupnodes.patch
  handle duplicate device-tree dirnames (156292 - LTC22290)
- add patches.arch/ppc-hvc_console-init-race.patch
  fix race condition when opening hvc console
- add patches.arch/ppc-iseries-systemid.patch
  provide /model and /compatible in device-tree
- update patches.arch/ppc-prom_panic-trap.patch
  trap only on pmac
* Thu Mar 30 2006 hare@suse.de
- patches.fixes/ahci-init-on-resume
  We should initialize ahci after resume (#157619)
* Wed Mar 29 2006 okir@suse.de
- patches.suse/delayacct-perf-fix: Minor delayacct performance
  fixes (141936 - LTC20517 - LDP 11943).
* Wed Mar 29 2006 schwab@suse.de
- sn-hwperf-geoid-to-cnode-loop: fix for-loop in sn_hwperf_geoid_to_cnode
  [#161052].
* Wed Mar 29 2006 hare@suse.de
- mark initio 9100 as unsupported (#160794)
* Tue Mar 28 2006 ak@suse.de
- patches.arch/i386-bigsmp-noirqbalance: Disable kernel irq
  balancer on bigsmp. (160473).
* Tue Mar 28 2006 schwab@suse.de
- ixgb-consistent-dma-mask: Use pci_set_consistent_dma_mask.
* Tue Mar 28 2006 hare@suse.de
- patches.fixes/dm_check_device_area.diff
  Allow for setting of table on devices with i_size zero
  (#158777 - LTC22470)
- patches.arch/s390-raw-device
  Build raw devices for S/390 (#160490 - LTC22659)
- Update config files.
- patches.arch/s390-qeth-vipa-fix
  qethconf not adding VIPA entries (#160481 - LTC22637).
* Tue Mar 28 2006 jbohac@suse.cz
- patches.fixes/xfrm-endless-loop: Updated. Now uses a timeout instead
  of a fixed loop counter (117749, 115200).
* Tue Mar 28 2006 lmb@suse.de
- patches.suse/kdb-x86_64: Dummy define for kdba_wait_for_cpus() to
  compile kernel-debug on x86_64 successfully.
* Tue Mar 28 2006 neilb@suse.de
- patches.fixes/md-faulty-count-fix: Fix incorrect count of
  'faulty' devices (158278).
* Tue Mar 28 2006 neilb@suse.de
- patches.fixes/md-barrier-fixes: fix 'patch-upstream' tag
- patches.fixes/md-grow-max-fix: Fix md grow/size code to
  correctly find the maximum available space. (none).
* Tue Mar 28 2006 neilb@suse.de
- patches.fixes/md-barrier-fixes: Fix a couple of issues with
  handing BARRIER writes in md/raid1 (none).
* Tue Mar 28 2006 gregkh@suse.de
- patches.drivers/pci-hotplug-sn-fix-cleanup-on-hotplug-removal-of-ppb.patch:
  PCI Hotplug: SN: Fix cleanup on hotplug removal of PPB
  (#156164).
* Mon Mar 27 2006 okir@suse.de
- patches.drivers/e1000-no-tso: [e1000] Disable TSO for now
  (157600).
* Mon Mar 27 2006 ak@suse.de
- patches.arch/powernow-query: Delete. Was already fixed in a
  different patch.
* Mon Mar 27 2006 tiwai@suse.de
- patches.drivers/alsa-ad1986a-3stack-noise-fix: Fix noisy
  output wtih AD1986A 3stack model.
- patches.drivers/alsa-alc880-lg-lw20: Add support of LG LW20
  laptop.
- patches.drivers/alsa-ice1712-dmx6fire-switch-fix: Fix wrong
  register value for DMX 6FIRE.
- patches.drivers/alsa-stac92xx-fix-mic-vref: Fix VREF level
  of Mic inputs on STAC92xx codecs.
- patches.drivers/alsa-stac92xx-resume-fix: Fix unsol event
  initialization at resume of stac92xx.
- patches.drivers/alsa-via82xx-epox-mobo: Add dxs entry for
  EPoX EP-8KRAI.
* Mon Mar 27 2006 okir@suse.de
- patches.suse/genetlink-utils: Simplify NETLINK_GENERIC ABI
  (141936 - LTC20517 - LDP 11943).
- patches.suse/delayacct-virtcpu: delayacct: account real vs
  virtual CPU usage (141936 - LTC20517 - LDP 11943).
- patches.suse/delayacct-genetlink: Export delayacct info via
  netlink (141936 - LTC20517 - LDP 11943).
- Update config files: CONFIG_TASKSTATS=y
* Mon Mar 27 2006 hare@suse.de
- Mark S/390 crypto module as supported (#160309 - LTC22641)
* Mon Mar 27 2006 hare@suse.de
- patches.suse/ocfs2-application-hang
  Fix OCFS2 hang under stress (#159836 - LTC22570)
* Mon Mar 27 2006 hare@suse.de
- patches.fixes/ahci-suspend
  Backport from mainline
- patches.drivers/libata-acpi-suspend
  Update patch
* Mon Mar 27 2006 hare@suse.de
- patches.arch/s390-base-[01-23]-october2005.diff
- patches.arch/s390-01-{01,02,03,04}-october2005.diff
  Include official patchset from IBM.
- patches.arch/s390-01-{07,09}-october2005.diff
- patches.arch/s390-02-??-october2005.diff
- patches.arch/s390-03-01-october2005.diff
- patches.arch/s390-zfcp-hbaapi.diff
- patches.fixes/connector-s390
  Remove obsolete patches.
* Mon Mar 27 2006 ak@suse.de
- patches.fixes/acpi-nolapic: Don't process APICs/IO-APICs in
  ACPI when APIC is disabled. (156426).
* Mon Mar 27 2006 mason@suse.de
- patches.suse/mapped-base: powerpc compile fix
* Mon Mar 27 2006 mason@suse.de
- patches.fixes/reiserfs-transaction-overflow: [PATCH] reiserfs:
  handle trans_id overflow.
- patches.suse/mapped-base: change the start of mmap.
* Sun Mar 26 2006 agruen@suse.de
- patches.fixes/kernel-block-event-03.patch: Delay hotplug events
  after partition table detection is finished (157095).
* Sun Mar 26 2006 jbeulich@novell.com
- Update Xen patches to c/s 9431.
- Update config files.
* Sat Mar 25 2006 gregkh@suse.de
- USB patches now in 2.6.16-git that fix some minor problems
  and add new device ids for a lot of different drivers.
- Also add a new usb-serial driver as it was so damm simple.
* Sat Mar 25 2006 gregkh@suse.de
  PCI patches now in 2.6.16-git that fix problems:
- patches.drivers/pci-0004-quirk-for-IBM-Dock-II-cardbus-controllers.patch:
  [PATCH 04/49] PCI: quirk for IBM Dock II cardbus controllers.
- patches.drivers/pci-0025-SMBus-unhide-on-HP-Compaq-nx6110.patch:
  [PATCH 25/49] PCI: SMBus unhide on HP Compaq nx6110.
- patches.drivers/pci-0026-quirk-for-asus-a8v-and-a8v-delux-motherboards.patch:
  [PATCH 26/49] PCI: quirk for asus a8v and a8v delux
  motherboards.
- patches.drivers/pci-0027-make-MSI-quirk-inheritable-from-the-pci-bus.patch:
  [PATCH 27/49] PCI: make MSI quirk inheritable from the pci bus.
- patches.drivers/pci-0029-resource-address-mismatch.patch:
  [PATCH 29/49] PCI: resource address mismatch.
- patches.drivers/pci-0031-Cardbus-cards-hidden-needs-pci-assign-busses-to-fix.patch:
  [PATCH 31/49] PCI: PCI/Cardbus cards hidden, needs
  pci=assign-busses to fix (#146438).
- patches.drivers/pci-0032-Move-pci_dev_put-outside-a-spinlock.patch:
  [PATCH 32/49] PCI: Move pci_dev_put outside a spinlock.
- patches.drivers/pci-0041-Provide-a-boot-parameter-to-disable-MSI.patch:
  [PATCH 41/49] PCI: Provide a boot parameter to disable MSI.
* Fri Mar 24 2006 axboe@suse.de
- patches.fixes/libata-resume-drive_port-mode: Fix order of port
  vs drive transfer settings on resume (157619).
* Fri Mar 24 2006 olh@suse.de
- add patches.arch/ppc-cell-platform-detection.patch
  handle upcoming Cell firmware
* Fri Mar 24 2006 schwab@suse.de
- Update kdb patches.
* Fri Mar 24 2006 neilb@suse.de
- patches.fixes/md-raid1-hang: md: Fix bug: BIO_RW_BARRIER
  requests to md/raid1 hang. (159435).
* Fri Mar 24 2006 ak@suse.de
- patches.arch/disable-mmconfig: Disable mmconfig by default
  Default to pci=nommconf (145753 (some more)).
- patches.arch/lagrange-feature: i386/x86-64: List Intel LaGrange
  AKA SMX in /proc/cpuinfo.
- patches.arch/powernow-query: Initialize powernow_data[] for
  all siblings (158211).
- patches.arch/disable-apic-error: Disable APIC error printing
  (156576).
- patches.arch/amd-core-parsing: Remove bogus special case in
  AMD core parsing.
* Thu Mar 23 2006 axboe@suse.de
- patches.fixes/libata-resume-drive_port-mode: Fix order of port
  vs drive transfer settings on resume (157619).
* Thu Mar 23 2006 olh@suse.de
- enable CONFIG_FB_3DFX on ppc (160083)
* Thu Mar 23 2006 ak@suse.de
- config.conf: Enable x86-64 debug kernel
- Update config files:
  * sync x86-64 debug configuration with smp and other debug kernels
  * enable CONFIG_NETDEBUG in all debug kernels
  * disable SOFTLOCKUP detection because it gives many false positives
  and doesn't interact well with KDB
* Thu Mar 23 2006 olh@suse.de
- enable CONFIG_BLK_DEV_SIIMAGE=y on ppc64, for Cell
* Thu Mar 23 2006 gregkh@suse.de
  Some driver core patches that will be in 2.6.16.1
- patches.drivers/driver-0001-sysfs-sysfs_remove_dir-needs-to-invalidate-the-dentry.patch:
  [PATCH 01/23] sysfs: sysfs_remove_dir() needs to invalidate
  the dentry (#144041).
- patches.drivers/driver-0014-firmware-fix-BUG-in-fw_realloc_buffer.patch:
  [PATCH 14/23] firmware: fix BUG: in fw_realloc_buffer.
- patches.drivers/driver-0021-get_cpu_sysdev-signedness-fix.patch:
  [PATCH 21/23] get_cpu_sysdev() signedness fix.
- patches.drivers/driver-0023-sysfs-fix-a-kobject-leak-in-sysfs_add_link-on-the-error-path.patch:
  [PATCH 23/23] sysfs: fix a kobject leak in sysfs_add_link on
  the error path.
* Thu Mar 23 2006 hare@suse.de
- patches.fixes/dm-netlink-fixes
  Fix dm-netlink oops (159280 - LTC22521)
* Thu Mar 23 2006 axboe@suse.de
- patches.drivers/libata-device-spindown: Fix ahci
* Thu Mar 23 2006 axboe@suse.de
- patches.drivers/libata-device-spindown: Don't powerdown drives
  on PM_EVENT_FREEZE.
* Thu Mar 23 2006 okir@suse.de
- The delayacct patches no longer need schedstats, so turn that off
  (141936 - LTC20517 - LDP11943)
* Thu Mar 23 2006 hare@suse.de
- patches.arch/s390-02-{37,38,39,40,41,42,44}-october2005.diff
- patches.arch/s390-03-01-october2005.diff
  Include latest patchset from IBM.
- config/s390/*
  Update configuration.
* Thu Mar 23 2006 neilb@suse.de
- series.conf typo...
* Thu Mar 23 2006 neilb@suse.de
- patches.fixes/nfsd-setuser-fix: Don't change rqstp->cred in
  nfsd_setuser (158462).
- patches.fixes/nfsd-putrootfh-dont-setuser: Don't call
  nfsd_setuser in put_rootfh, it isn't needed or appropriate
  (158462).
* Thu Mar 23 2006 agruen@suse.de
- Update and add missing default option in config files.
- patches.drivers/libata-acpi-suspend: compilation fix.
* Wed Mar 22 2006 trenn@suse.de
- Update config files.
  Added CONFIG_SOFTWARE_SUSPEND=y for x86_64 smp.
* Tue Mar 21 2006 tiwai@suse.de
- patches.drivers/alsa-alc880-asus-p4gpl-x: Add support for ASUS
  P4GPL-X.
- patches.drivers/alsa-ad1981hd-hp9420-laptop: Add support for
  HP nx9420 laptop (153362).
* Tue Mar 21 2006 axboe@suse.de
- Update config files (CONFIG_SCSI_SATA_ACPI=y)
* Tue Mar 21 2006 okir@suse.de
- patches.suse/delayacct-schedstats, patches.suse/delayacct-setup,
  patches.suse/delayacct-blkio-swapin: Updated delayacct patches from
  IBM (141936, LTC20517, LDP 11943)
- patches.suse/schedstats-delayacct: Replaced by above
- patches.suse/export-HZ, cpuset-memory-spread-basic-implementation.patch,
  cpuset-memory-spread-page-cache-implementation-and-hooks.patch:
  Rediffed because delayacct sysctl went away
* Tue Mar 21 2006 tiwai@suse.de
- patches.drivers/alsa-ac97-cleanup-obsolete-workaround,
  patches.drivers/alsa-ac97-static-volume,
  patches.drivers/alsa-ac97-static-volume-fix,
  patches.drivers/alsa-nm256-fix-lockup: Fix NM256 hard lock up
  (116387).
- patches.drivers/alsa-ad1986a-laptop-eapd-model: Fix for Samsung
  R65 and ASUS A6J.
- patches.drivers/alsa-alc880-model-addition: Add model entry for
  FIC P4M-915GD1.
- patches.drivers/alsa-fix-memleaks: fix some memory leaks.
- patches.drivers/alsa-hda-bios-autoconfig-fix: Fix BIOS
  auto-configuration.
- patches.drivers/alsa-ice1712-aureon-enum-fix: Fix wrong value
  types for enum items.
- patches.drivers/alsa-ice1712-module-option-typo-fix: typo fixes
  for dxr_enable module option.
- patches.drivers/alsa-stac7661-vaio-model: Add support for VAIO
  FE550G and SZ110 (156494).
* Tue Mar 21 2006 axboe@suse.de
- patches.drivers/ide-cd-quiet-cap-read: quiet down ide-cd
  capacity read (159002).
* Tue Mar 21 2006 axboe@suse.de
- patches.drivers/libata-acpi-suspend: libata acpi suspend stuff
  (142375).
* Tue Mar 21 2006 olh@suse.de
- rename patches.arch/ppc-boot-cpu-id.patch
  to patches.arch/ppc-kdump-boot-cpu-id.patch
  add patches.arch/ppc-kdump-soft-reset.patch
  fix softreset handling via the service processor (158238 - LTC22382)
* Tue Mar 21 2006 trenn@suse.de
- patches.fixes/powernow-fix-3: Null pointer check on top of
  last dual core patch (142547).
* Tue Mar 21 2006 mason@suse.de
- patches.suse/rcu-remote: allow specific cpus to run rcu
  (147431). rediff from sgi
* Mon Mar 20 2006 olh@suse.de
- add patches.arch/ppc-cell-hvc-rtas-console.patch
  add patches.arch/ppc-cell-no-numa.patch
  enable Cell hardware, not simulators
* Mon Mar 20 2006 kkeil@suse.de
- patches.fixes/tg3-init-netif_carrier_off: netif_carrier_off runs
  too early; could still be queued when init fails (#151598)
* Mon Mar 20 2006 olh@suse.de
- update patches.suse/suse-ppc64-branding
  note crashdump kernel in LCD display
* Mon Mar 20 2006 axboe@suse.de
- patches.kernel.org/patch-2.6.16-rc1: Delete.
- patches.kernel.org/patch-2.6.16-rc1-rc2: Delete.
- patches.kernel.org/patch-2.6.16-rc2-rc3: Delete.
- patches.kernel.org/patch-2.6.16-rc3-rc4: Delete.
- patches.kernel.org/patch-2.6.16-rc4-rc5: Delete.
- patches.kernel.org/patch-2.6.16-rc5-rc6: Delete.
- patches.kernel.org/patch-2.6.16-rc6-final: Delete.
- scripts/config.sh: Dump intermediate patches
* Mon Mar 20 2006 okir@suse.de
- patches.fixes/grab-swap-token-oops: Prevent NULL pointer deref
  in grab_swap_token (159260).
* Mon Mar 20 2006 axboe@suse.de
- patches.kernel.org/patch-2.6.16-rc6-git9: Delete.
- patches.kernel.org/patch-2.6.16-rc6-final: 2.6.16.
* Mon Mar 20 2006 olh@suse.de
- add patches.arch/ppc-kdump-iommu-init-fix.patch
  do not reinit iommu in kdump kernel  (157018 - LTC21952)
* Mon Mar 20 2006 olh@suse.de
- add patches.fixes/ibmvscsi-prevent-scsi-cmds.patch
  prevent scsi commands being sent in invalid state (158854 - LTC22480)
* Fri Mar 17 2006 olh@suse.de
- add patches.arch/ppc-spidernet-duplicate-symbol.patch
  allow sungem/spidernet coexistance
* Fri Mar 17 2006 gregkh@suse.de
  Update to 2.6.16-rc6-git9:
  - lots of tiny bugfixes
* Fri Mar 17 2006 gregkh@suse.de
  Update to 2.6.16-rc6-git8:
  - network driver fixes
* Fri Mar 17 2006 gregkh@suse.de
  Update to 2.6.16-rc6-git7:
 - nasty ext2 security issue / bugfix
 - other minor bugfixes all over the place
* Thu Mar 16 2006 agruen@suse.de
- rpm/kernel-syms.spec.in: Fix timestamps of files so that they
  don't lead to false rpm file conflicts (158551).
* Thu Mar 16 2006 agruen@suse.de
- Remove support for external scripts in %%pre, %%preun, %%post,
  %%postun (158452).
* Thu Mar 16 2006 kraxel@suse.de
- patches.fixes/fix-signal-exit-curr_target-race: fix race:
  signal->curr_target update vs. thread exit (157700).
* Thu Mar 16 2006 agruen@suse.de
- rpm/post.sh: Must call depmod after updating the weak-updates/
  symlinks (weak-modules script).
* Wed Mar 15 2006 mason@suse.de
- patches.fixes/connector-time-include: don't include time.h in
  cn_proc.h (158113 LTC22386).
* Wed Mar 15 2006 olh@suse.de
- build pdc202xx_new as a module on ppc64 (158247 - LTC22416)
* Wed Mar 15 2006 mason@suse.de
- patches.fixes/kdump-shutdown-race: [PATCH] Plug kdump shutdown
  race window.
* Wed Mar 15 2006 mason@suse.de
- patches.fixes/inotify-lock-avoidance-with-parent-watch-status-in-dentry-fix-2.patch:
  fix prefomance problems with inotify (153850).
- patches.fixes/inotify-lock-avoidance-with-parent-watch-status-in-dentry.patch:
  fix inotify performance problems (153850).
* Wed Mar 15 2006 olh@suse.de
- compile rpaphp into the kernel (155612 - LTC22206)
* Tue Mar 14 2006 axboe@suse.de
- patches.fixes/revert-x86_64-canonical-rip: Revert "[PATCH]
  x86-64: Fix up handling of non canonical user RIPs".
* Tue Mar 14 2006 hare@suse.de
- Update config files for IDE ACPI support.
* Tue Mar 14 2006 olh@suse.de
- export __put_task_struct_cb for xpmen (141533)
* Tue Mar 14 2006 hare@suse.de
- add patches.drivers/ide-acpi-support
  Add ACPI support to IDE drives (#145591 - FATE #151275)
* Tue Mar 14 2006 olh@suse.de
- add patches.fixes/jfs-clsn-race.patch
  Take logsync lock earlier to avoid race (155953 - LTC22224)
* Tue Mar 14 2006 kraxel@suse.de
- patches.fixes/dvb-pinnacle-sat: [PATCH 2/6] DVB-PinnSat:
  Fix relay handling.
* Tue Mar 14 2006 hare@suse.de
- patches.arch/s390-02-{27,28,29}-october2005.diff
  Included fixes from IBM.
* Mon Mar 13 2006 agruen@suse.de
- patches.drivers/megaraid-16-byte-cdb: Merged upstream.
* Mon Mar 13 2006 mason@suse.de
- Update config files.
- patches.fixes/connector-s390: enable connector code for S390
  (145036 LTC20887).
* Mon Mar 13 2006 agruen@suse.de
- patches.rpmify/fix-separate-compilation-xen.diff: Upstream.
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Another fix from Jan Beulich.
* Mon Mar 13 2006 agruen@suse.de
- patches.suse/cpuset-cleanup-not-not-operators.patch: Clean up
  !! operators (150185).
- patches.suse/cpuset-memory-spread-basic-implementation.patch:
  Basic Implementation (150185).
- patches.suse/cpuset-memory-spread-page-cache-implementation-and-hooks.patch:
  Page cache implementation and hooks (150185).
- patches.suse/cpuset-memory-spread-slab-cache-filesys.patch:
  Mark file system inode and similar slab caches subject to
  SLAB_MEM_SPREAD memory spreading. (150185).
- patches.suse/cpuset-memory-spread-slab-cache-format.patch:
  Source code formatting changes (150185).
- patches.suse/cpuset-memory-spread-slab-cache-hooks.patch:
  Change the kmem_cache_create calls for certain slab caches to
  support cpuset memory spreading (150185).
- patches.suse/cpuset-memory-spread-slab-cache-implementation.patch:
  Provide the slab cache infrastructure to support cpuset memory
  spreading (150185).
- patches.suse/cpuset-memory-spread-slab-cache-optimizations.patch:
  Optimizations (150185).
- patches.suse/cpuset-use-combined-atomic_inc_return-calls.patch:
  Replace pairs of calls to <atomic_inc, atomic_read>, with a
  single call atomic_inc_return, saving a few bytes of source
  and kernel text. (150185).
- patches.suse/xfs-kern-25122a-spread-zones: spread XFS zones
  (150185, SGI:PV949073).
* Mon Mar 13 2006 tiwai@suse.de
- patches.drivers/alsa-ad1986a-laptops-fix: Fix support of
  laptops with AD1986A codec.
- patches.drivers/alsa-alc880-aopen-i915gm-hfs: Fix Aopen
  i915GMm-HFS mobo.
- patches.drivers/alsa-bt87x-add-blacklist: bt87x: add more DVB
  card IDs.
- patches.drivers/alsa-core-off-by-one-fix: fix 3 off-by-one
  errors.
- patches.drivers/alsa-hdspm-off-by-one-fix: fix off-by-one
  errors.
- patches.drivers/alsa-make-control-suspend-aware: make control.c
  suspend aware.
* Mon Mar 13 2006 jbeulich@novell.com
- patches.xen/xen-i386-pae-ptep_get_and_clear_full: make 32-bit
  PAE Xen kernel work when built with newer gcc.
* Mon Mar 13 2006 hare@suse.de
- patches.fixes/megaraid-remove-eh_timed_out
- patches.fixes/scsi-move-eh_timed_out-to-transport-layer
  Move eh_timed_out handling to transport layer (#156514)
* Mon Mar 13 2006 hare@suse.de
- patches.drivers/qla4xxx: Update to version 5.00-05b5-k
- Update config files to actually select qla4xxx.
* Mon Mar 13 2006 olh@suse.de
- add patches.suse/modeline-1680x1050.patch
* Mon Mar 13 2006 tonyj@suse.de
- patches.suse/apparmor: audit bugfixes, reduce possible softlockup
  window, change unlink semantics
* Mon Mar 13 2006 olh@suse.de
- add patches.arch/ppc-kdump-EOI.patch
  end IRQ during kdump to fix dead console (152925 - LTC21956)
* Mon Mar 13 2006 olh@suse.de
- update to 2.6.16-rc6-git1
  various bugs spotted by Coverity, BRIDGE_EBT_ULOG fixed
* Sun Mar 12 2006 agruen@suse.de
- Update reference module symbol versions.
* Sun Mar 12 2006 olh@suse.de
- add patches.arch/ppc-pmu-on_ac_power.patch
  correct AC Power info in /proc/pmu/info (157472)
* Sun Mar 12 2006 olh@suse.de
- add patches.arch/ppc-boot-cpu-id.patch
  Allow non zero boot cpuids, fixes some kdump issues (152932 - LTC21954)
* Sun Mar 12 2006 olh@suse.de
- add patches.arch/ppc-powersave_nap-750.patch
  fix memory corruption on cpus that dont support NAP
* Sun Mar 12 2006 olh@suse.de
- add patches.suse/ppc-fno-ivopts.patch
  compile with -fno-ivopts on ppc and s390 (#154403)
* Sun Mar 12 2006 olh@suse.de
- update patches.fixes/export-symbols-gpl
  remove an export for a function which was removed in -rc6
* Sun Mar 12 2006 olh@suse.de
- update to 2.6.16-rc6
  network driver fixes, psmouse - disable autoresync, ext3 fixes
  fix pcmcia_device_probe oops, misc other fixes
* Fri Mar 10 2006 olh@suse.de
- add patches.arch/ppc64-fixup_phb_devs.patch
  DLPAR add DDR/P5IOC, adapters improperly configured (157014 - LTC22280)
* Fri Mar 10 2006 olh@suse.de
- add patches.suse/mv643xx_eth.SET_NETDEV_DEV.patch
  autoload the gige network driver on pegasos2 (#117053)
- add patches.suse/suse-ppc-xmon-dump-raw.patch
* Fri Mar 10 2006 gregkh@suse.de
  Fix xen build breakage caused by my 2.6.16-rc5-git14 update
- patches.xen/xen3-fixup-arch-i386: xen3 i386 build fixes..
* Fri Mar 10 2006 gregkh@suse.de
  Update to 2.6.16-rc5-git14 which has loads of little bugfixes
- Update config files.
* Fri Mar 10 2006 jbeulich@novell.com
- Update Xen patches to c/s 9137, plus other adjustments.
- patches.uml/xen-vt-runtime: Delete.
- Update config files.
- supported.conf: Add another Xen driver.
* Fri Mar 10 2006 gregkh@suse.de
- Update config files.
- patches.drivers/disable-edac.patch: Remove EDAC code from the
  build (#146529).
* Fri Mar 10 2006 garloff@suse.de
- Rediff some disabled patches.
- patches.suse/increase-MAX_MP_BUSSES: Delete (obsolete).
- patches.fixes/setuid-dumpable-wrongdir: suid-dumpable ended
  up in wrong sysctl dir.
- patches.suse/schedstats-delayacct: Likewise.
- patches.suse/export-HZ: report real kernel timer tick frequency
  to user space (split off disabled dynamic-timeslice patch).
* Fri Mar 10 2006 hare@suse.de
- patches.drivers/qla4xxx
  Update qla4xxx driver (#155458 - LTC22173)
- patches.drivers/open-iscsi-svn.diff
  Update to upstream version
- patches.drivers/open-iscsi-resync
  Remove obsolete patch.
* Fri Mar 10 2006 hare@suse.de
- patches.drivers/lpfc-8.1.3-update
  Update lpfc to version 8.1.3 (#152894)
- patches.drivers/lpfc-8.1.4-update
  Update lpfc to version 8.1.4 (#156073)
* Fri Mar 10 2006 hare@suse.de
- patches.fixes/scsi-block-for-tmf
  SCSI: block I/O if TMF is active (#156581)
- patches.fixes/ahci-atapi-sense-request
  Use correct status information (#156878)
* Thu Mar 09 2006 hare@suse.de
- patches.fixes/softlockup-false-alarm
  Add patch for review.
* Thu Mar 09 2006 agruen@suse.de
- patches.fixes/nfs-getxattr-length.diff: nfsd: fix acl xattr
  length return. This fixes acls over nfs on top of xfs.
* Thu Mar 09 2006 hare@suse.de
- patches.fixes/no-partition-check-for-pcmcia
  Do not check partitions on every open (#132507)
- patches.drivers/aic7xxx-target-rescan
  aic7xxx oopses on target rescan (#149198 - LTC21496)
* Thu Mar 09 2006 ak@suse.de
- patches.fixes/softlockup-false-alarm: Reviewed and enabled.
* Thu Mar 09 2006 ak@suse.de
- patches.arch/i386-apic-up: Cosmetic fix to printk
* Thu Mar 09 2006 neilb@suse.de
- patches.fixes/md-raid1-leak: Fix several raid1 which cause a
  memory leak... (155990).
* Thu Mar 09 2006 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Fix compiling /usr/src/linux directly with O= (65891).
- patches.fixes/xfs-include: Remove spaces in `-I ...' in
  EXTRA_CFLAGS, and use src and srctree instead of TOPDIR.
* Wed Mar 08 2006 schwab@suse.de
- Enable CONFIG_PNPACPI on ia64.
* Wed Mar 08 2006 olh@suse.de
- update patches.drivers/e100-ethtool-sefltest.patch
  correct patch, call e100_hw_reset
* Wed Mar 08 2006 jblunck@suse.de
- patches.fixes/dput_late_iput.diff: Delete.
- patches.fixes/prune_one_dentry-late_iput.diff: Delete.
- patches.fixes/umount-prune_one_dentry-fix.diff: Fix
  shrink_dcache_parent() against shrink_dcache_memory() race
  (136310).
* Wed Mar 08 2006 olh@suse.de
- mark rpaphp as supported (155612 - LTC22206)
* Wed Mar 08 2006 hare@suse.de
- patches.fixes/fusion-dv-error
  Make mptspi driver happy again
- patches.drivers/aic79xx-use-bios-settings
  Use BIOS settings when configuring devices (#148061)
- patches.drivers/aic79xx-avoid-renegotiation
  Avoid renegotiation when sending inquiry
- patches.drivers/aic79xx-host-lock
  Remove obsolete patch
* Wed Mar 08 2006 jblunck@suse.de
- patches.arch/s390-dasd-genhd.diff: Obsoleted by
  patches.arch/s390-02-19-october2005.diff.
- patches.fixes/s390-bitops-align.diff: Obsoleted by fix in
  reiserfs.
* Wed Mar 08 2006 agruen@suse.de
- patches.rpmify/keep-offsets.h: Obsolete.
* Wed Mar 08 2006 agruen@suse.de
- misc/extract-modaliases: Helper script to extract modaliases
  from modules or packages; used for generating rpm tags in
  packages that are required to support specific hardware. Added
  to kernel-source.src.rpm.
* Wed Mar 08 2006 ak@suse.de
- config/{i386,x86_64}/*: Disable CONFIG_EDAC_I82860 because it
  hangs machines (#154709)
* Wed Mar 08 2006 trenn@suse.de
- patches.arch/acpi_set_resources_atomic_alloc.patch: Delete.
- patches.fixes/acpi_osl_atomics.patch: No GFP_KERNEL buffer
  alloc or mutexes if resuming (153062).
* Wed Mar 08 2006 ak@suse.de
- patches.arch/x86_64-memmap-alloc: Fix wrong order of
  arguments that made the fix not do the right thing (154694).
* Wed Mar 08 2006 ak@suse.de
- patches.arch/x86_64-kexec-interrupt-ack: timer interrupt lockup
  due to pending interrupt.
- patches.fixes/powernow-fix-1: powernow-k8: Let cpufreq driver
  handle affected CPUs (142547).
- patches.fixes/powernow-fix-2: [PATCH] [2/2] cpufreq: Fix
  handling for CPU hotplug (142547).
* Wed Mar 08 2006 ak@suse.de
- patches.arch/i386-apic-up: Clarify DMI message. Fix
  parsing of "apic" option.
- patches.arch/i386-nmi-watchdog: [PATCH] x86: Fix i386
  nmi_watchdog that does not trigger die_nmi.
* Tue Mar 07 2006 olh@suse.de
- remove execute permission from vmlinux (part of 155728)
* Tue Mar 07 2006 olh@suse.de
- dont copy unstripped vmlinux on ppc (part of 155728)
* Tue Mar 07 2006 olh@suse.de
- update to 2.6.16-rc5-git9
  infiniband, s390, hugepage, numa, jiffy handling, i4l fixes
  fix cramfs corruption (148855)
  potential slab corruption fixes in scsi, more slab debug fixes
  bridge fixes,
- remove patches.arch/ppc-prom_init-pointer-truncate.patch
  remove patches.arch/ppc-prom_init-section.patch
  obsolete
  remove patches.arch/0022-powerpc-incorrect-rmo_top-handling-in-prom_init.txt
  dont give the user the impression the kernel works ok on ibook,
  it will eat the filesystem later on
* Tue Mar 07 2006 ak@suse.de
- patches.arch/x86_64-memmap-alloc: Try to allocate node memmap
  near the end of node (154694).
* Tue Mar 07 2006 trenn@suse.de
- patches.arch/acpi_irq_derive_suppress_msg.patch: Suppress
  acpi_irq_derive failed message. (154703).
* Tue Mar 07 2006 ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Clear hotadd memory
  state when SRAT is rejected (149117).
- patches.suse/bootmem-warning: Print a backtrace when
  bootmem allocation fails(SUSE149117).
* Tue Mar 07 2006 neilb@suse.de
- patches.fixes/md-noisy-shutdown: Make md shutdown a bit quieter
  (155553).
* Tue Mar 07 2006 ak@suse.de
- patches.arch/i386-apic-up: Don't force enable APICs anymore.
* Tue Mar 07 2006 ak@suse.de
- Update config files.
- patches.arch/i386-apic-up: Disable i386 APIC by default.
* Mon Mar 06 2006 gregkh@suse.de
- patches.drivers/usb-serial-fix-use-after-free.patch: USB Serial:
  fix use-after-free bug in usb-serial core (#155392).
* Mon Mar 06 2006 mason@suse.de
- Update to git8, rediff some patches with fuzz
- patches.suse/rcu-remote: allow specific cpus to run rcu (147431).
- patches.kernel.org/patch-2.6.16-rc5-git8: 2.6.16-rc5-git8.
- patches.fixes/reiserfs-use-declare-bitmap.diff: Delete.
- patches.kernel.org/patch-2.6.16-rc5-git7: Delete.
- patches.arch/ia64-sn2-user-MMIO-migration: rediff (fuzz)
- patches.arch/acpi_asus_init_fixups.patch: rediff (fuzz)
- patches.rpmify/offsets_h-dirname.patch: rediff (fuzz)
- patches.rpmify/suse-extmod-legacy: rediff (fuzz)
- patches.suse/8250-sysrq-ctrl_o.patch: rediff (fuzz)
- patches.suse/lockd-nlm_block-grab-file-reference: rediff (fuzz)
- patches.suse/uml-trace-macros.patch: rediff (fuzz)
* Mon Mar 06 2006 olh@suse.de
- update patches.suse/suse-ppc64-branding
  display uname -r instead of uname -v
* Mon Mar 06 2006 agruen@suse.de
- patches.suse/reiserfs-old-format-size.diff: Drop; already merged
  upstream.
* Mon Mar 06 2006 hare@suse.de
- add patches.drivers/aic79xx-host-lock
  Use mid-layer host_lock for synchronization (#148061)
* Mon Mar 06 2006 tiwai@suse.de
- patches.drivers/alsa-fix-ad1848-double-free,
  patches.drivers/alsa-fix-ctl-double-free,
  patches.drivers/alsa-fix-emu10k1-null-reference,
  patches.drivers/alsa-fix-opl3-double-free,
  patches.drivers/alsa-fix-sb-double-free,
  patches.drivers/alsa-fix-usbmidi-double-free,
  patches.drivers/alsa-fix-vx-memory-leak: Fix error paths
- patches.drivers/alsa-alc260-ctl-travelmaster: Fix for CTL
  Travelmaster laptop.
- patches.drivers/alsa-cs5535-delay-fix: CS5535: shorter
  delays when accessing AC'97 codec registers.
- patches.drivers/alsa-emu10k1-audigy4-sb0400: Add the entry
  for Audigy4 SB0400.
* Mon Mar 06 2006 hare@suse.de
- add patches.arch/s390-02-20-october2005.diff
  spinlock_retry performance degradation fix.
* Mon Mar 06 2006 olh@suse.de
- reenable CONFIG_BLK_DEV_SL82C105 on ppc64
  required for p610, p615 and p630 (155415 - LTC22041)
* Mon Mar 06 2006 ak@suse.de
- Synchronize i386/x86-64 kdump kernels with default
* Mon Mar 06 2006 okir@suse.de
- Disabled CONFIG_DETECT_SOFTLOCKUP, CONFIG_DEBUG_SLAB, CONFIG_DEBUG_SPINLOCK
  (for all kernels except kernel-debug)
* Mon Mar 06 2006 olh@suse.de
- add patches.arch/0022-powerpc-incorrect-rmo_top-handling-in-prom_init.txt
  incorrect rmo_top handling in prom_init
* Mon Mar 06 2006 hare@suse.de
- patches.arch/s390-02-19-october2005.diff
  Fix fdasd failing on some images (#146313 - LTC21059)
* Sun Mar 05 2006 agruen@suse.de
- Fix the vmlinux debug info split (150264).
* Sun Mar 05 2006 olh@suse.de
- add patches.arch/ppc-prom_panic-trap.patch
  return to OF via trap, not exit
* Sat Mar 04 2006 vojtech@suse.cz
- patches.fixes/usb-hid-dead-mouse: Don't abort on intermittent
  CRC errors from an UHCI controller (146781)
* Fri Mar 03 2006 gregkh@suse.de
  Update to 2.6.16-rc5-git7:
  - revert ocfs2 changes
  - revert e1000 changes
  - pcmcia fixes
  - out-of-memory fixes
  - reiserfs fix
  - time fix for sparc64 and ia64
  - ppc64 build fix
* Fri Mar 03 2006 olh@suse.de
- add patches.arch/ppc-prom_init-pointer-truncate.patch
  workaround a gcc bug (145266 - LTC20902)
  add patches.arch/ppc-prom_init-section.patch
  make a few functions static
* Fri Mar 03 2006 tiwai@suse.de
- patches.drivers/alsa-disconnect-return-enodev: return ENODEV
  for disconnected devices.
- patches.drivers/alsa-alc880-lg-laptop: Add lg model for LG
  laptop.
* Fri Mar 03 2006 jbeulich@novell.com
- Update Xen patches.
- Update Xen i386 config files.
- supported.conf: Mark (potential) Xen modules supported.
* Fri Mar 03 2006 okir@suse.de
- supported.conf: marked sgi-agp, kdbm_sched and mca_recovery
  as supported (#154415)
* Fri Mar 03 2006 olh@suse.de
- remove patches.arch/ppc-tumbler-fix.patch
  workaround doesnt work anymore.
* Fri Mar 03 2006 jbeulich@novell.com
- patches.arch/i386-fix-ati-timer: fix Xen build.
* Fri Mar 03 2006 neilb@suse.de
- patches.fixes/nfs-revalidate-race: Nfs: Avoid races between
  writebacks and truncation (144058). - UPDATE
- patches.fixes/nfs-direct-io-vul: Normal user can panic NFS
  client with direct I/O (CVE-2006-0555) (151056).
* Fri Mar 03 2006 ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve:  Reject even more
  bad SRATs (148522).
* Thu Mar 02 2006 jeffm@suse.de
- patches.fixes/reiserfs-use-declare-bitmap.diff: [PATCH]
  reiserfs: fix unaligned bitmap usage (#144310).
* Thu Mar 02 2006 ak@suse.de
- patches.arch/i386-fix-ati-timer: Port the x86-64 ATI timer fix over to i386
- config/powerpc/*: Make TCP congestion modules modular.
* Thu Mar 02 2006 agruen@suse.de
- kernel-kdump: Remove unnecessary /boot/vmlinuz and don't
  install /boot/vmlinux twice.
* Thu Mar 02 2006 trenn@suse.de
- patches.suse/acpi-asus-panasonic-sony.patch: Delete.
  -> These modules have already been added by
  patches.suse/acpi-hotkeys-extra.diff
- patches.arch/acpi_set_resources_atomic_alloc.patch:
- patches.arch/acpi_asus_init_fixups.patch: Remove __init from
  asus_acpi .add and .remove funcs.
- patches.fixes/acpi_ref_count.patch: Hide ref_cnt debug message.
  Increase ACPI_MAX_REFERENCE count to please IA64 people.
- patches.suse/acpi_sony_init_fixups.patch: Remove __init from
  sony_acpi .add and .remove funcs.
- supported.conf: do not support sony acpi module
* Thu Mar 02 2006 agruen@suse.de
- rpm/kernel-binary.spec.in: Split off the debug info of
  /boot/vmlinux in the same way as rpm does for the modules
  (150264).
* Thu Mar 02 2006 neilb@suse.de
- patches.fixes/reiserfs-unsigned-less-zero:  reiserfs: do not
  check if unsigned < 0 (144058).
* Thu Mar 02 2006 neilb@suse.de
- patches.fixes/nfs-revalidate-race: Nfs: Avoid races between
  writebacks and truncation (144058).
* Thu Mar 02 2006 gregkh@suse.de
- patches.drivers/usb-uhci-increase-port-reset-completion-delay-for-hp-controllers.patch:
  USB: UHCI: Increase port-reset completion delay for HP
  controllers (#148761).
* Wed Mar 01 2006 tiwai@suse.de
- patches.drivers/alsa-ad1981hd-hp6320*: [ALSA] hda-codec -
  Fix AD198x recording and add HP model (153362).
- patches.drivers/alsa-via82xx-asrock-mobo: [ALSA] via82xx -
  Add dxs entry for ASRock mobo.
* Wed Mar 01 2006 gregkh@suse.de
- patches.arch/powerpc-eeh-build-fix.patch: Fix build breakage
  in powerpc build.
* Wed Mar 01 2006 gregkh@suse.de
- patches.fixes/pci-fix-problems-with-msi-x-on-ia64.patch: PCI:
  fix problems with MSI-X on ia64 (#153782).
* Wed Mar 01 2006 gregkh@suse.de
  Update to 2.6.16-rc5-git5:
  - USB fixes
  - SCSI fixes
  - ia64 fixes
  - ppc fixes
  - network driver fixes
  Refresh the sysctl.h patches to handle above changes
* Wed Mar 01 2006 tiwai@suse.de
- patches.drivers/alsa-alc260-fix*: Fix for laptops with ALC260
- patches.drivers/alsa-alc262-fujitsu: Fix for FSC laptop
- patches.drivers/alsa-hda-doc-update: Update document
- patches.drivers/alsa-fix-cs4236-typo: Fix a typo.
- patches.drivers/alsa-ice1712-delta1010lt-spdif-fix2: Fix
  wordclock status on Delta1010LT.
* Tue Feb 28 2006 jbohac@suse.cz
- patches.fixes/console_utf8_compose_chars: Fix composed chars on
  a UTF8 console
- patches.fixes/console_utf8_copynpaste: Fix copy and paste on
  a UTF8 console
* Tue Feb 28 2006 trenn@suse.de
- patches.fixes/acpi_ref_count.patch: Hide ref_cnt debug message.
- patches.fixes/acpi_power_manageable_msg.patch: Set _device
  not powermananageable_ to debug message.
* Tue Feb 28 2006 agruen@suse.de
- rpm/kernel-source.spec.in: Add the kabi-checks script.
* Tue Feb 28 2006 axboe@suse.de
- patches.drivers/megaraid-slave-configure: [SCSI] megaraid_sas:
  fix physical disk handling.
* Tue Feb 28 2006 agruen@suse.de
- rpm/kernel-binary.spec.in: Add a missing PreReq on rpm.
* Tue Feb 28 2006 lmb@suse.de
- md multipath marked as unsupported; use Device Mapper multipath.
* Tue Feb 28 2006 hare@suse.de
- patches.fixes/ahci-suspend: Fix AHCI suspend (#151517).
* Tue Feb 28 2006 ak@suse.de
- patches.arch/microcode-quiet:  Quieten down microcode update
  driver.
* Tue Feb 28 2006 olh@suse.de
- update patches.drivers/e100-ethtool-sefltest.patch
  fix ethtool -t support
* Tue Feb 28 2006 olh@suse.de
- add patches.arch/ppc-iseries-double-phys_to_abs.patch
  Fix double phys_to_abs bug in htab_bolt_mapping
* Tue Feb 28 2006 olh@suse.de
- update to 2.6.16-rc5-git2, netfilter, xfs, x86_64 fixes
  disable FUA in libata
* Tue Feb 28 2006 olh@suse.de
- add patches.fixes/scsi-command-retries-off-by-one.patch
  timing out command, waited 0s errors in log (153801 - LTC22057)
* Mon Feb 27 2006 olh@suse.de
- update to 2.6.16-rc5-git1, sata_sil update, sis900 WOL support
* Mon Feb 27 2006 hare@suse.de
- add patches.arch/s390-dasd-genhd.diff
  Fix partition table reading for DASDs (146313 - LTC21059)
* Mon Feb 27 2006 olh@suse.de
- add patches.drivers/e100-ethtool-sefltest.patch
  disable ethtool -t support for the time being (153095 - LTC21914)
* Mon Feb 27 2006 olh@suse.de
- add patches.arch/ppc-tumbler-active_state.patch
  Fix audio gpio state detection
* Mon Feb 27 2006 olh@suse.de
- update to 2.6.16-rc5, bump version
* Mon Feb 27 2006 okir@suse.de
- patches.fixes/nfs-utime-flush: NFS: writes should not clobber
  utimes() calls (149807).
* Mon Feb 27 2006 agruen@suse.de
- Stop using bash's =~ operator for more backwards compatibility
  (152930).
* Mon Feb 27 2006 agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Pass new --xen parameter to the
  update-bootloader script as appropriate. Remove an unneeded
  update-bootloader --add call.
* Mon Feb 27 2006 olh@suse.de
- update patches.arch/ppc-task-accounting.patch
  Export variables used in conversions to/from cputime_t
* Mon Feb 27 2006 neilb@suse.de
- patches.fixes/nfs4-acl-listattr-fix.diff: nfs4 acl listattr fix
  (53289).
* Sun Feb 26 2006 olh@suse.de
- remove broken patches.arch/ppc-shmget02.patch
* Sun Feb 26 2006 olh@suse.de
- update to 2.6.16-rc4-git10, x86_64 updates
* Sun Feb 26 2006 olh@suse.de
- reenable CONFIG_DEBUG_SLAB on ppc
* Sun Feb 26 2006 olh@suse.de
- add patches.arch/ppc-__do_get_xsec.patch
  use correct asm reg in 64bit vdso __kernel_gettimeofday
  add patches.suse/get_cramfs_inode-revert.patch
  revert a 2.6.14rc1 change that causes cramfs corruption (153545)
* Sun Feb 26 2006 olh@suse.de
- adjust xen for topology.o change
* Sun Feb 26 2006 olh@suse.de
- add patches.fixes/git-kbuild-cscope.patch
  workaround for cscope segfault (152643)
* Sat Feb 25 2006 olh@suse.de
- add patches.fixes/topology.patch, compile fix
* Sat Feb 25 2006 olh@suse.de
- update to 2.6.16-rc4-git8, ntfs, uml, ipv6, dm dixes
* Fri Feb 24 2006 ak@suse.de
- patches.arch/x86_64-io-apic-wdog: Fix NMI watchdog on x460.
* Fri Feb 24 2006 jbeulich@novell.com
- Import Xen patches from unstable
* Fri Feb 24 2006 hare@suse.de
- patches.arch/s390-zfcp-hbaapi.diff
  Enable zfcp hbaapi.
* Fri Feb 24 2006 ak@suse.de
- patches.fixes/avoid-kbd-msg: Remove another useless printk
  from the keyboard driver.
* Fri Feb 24 2006 ak@suse.de
- patches.fixes/acpi-remove-memhotplug-error: Remove annoying
  message from acpi memory hotplug code (SUSE152732).
* Fri Feb 24 2006 schwab@suse.de
- Enable 4 level page tables on ia64.
* Fri Feb 24 2006 olh@suse.de
- update to 2.6.16-rc4-git7, sky2, r8169, skge, network fixes
* Fri Feb 24 2006 ak@suse.de
- Disable ACPI blacklist year on x86-64
* Thu Feb 23 2006 gregkh@suse.de
  Update to 2.6.16-rc4-git6
 - firewire driver fixes
* Thu Feb 23 2006 gregkh@suse.de
- patches.drivers/usb-unusual_devs-entry-for-lyra-rca-rd1080.patch:
  USB: unusual_devs entry for Lyra RCA RD1080 (#152175).
* Thu Feb 23 2006 jbeulich@novell.com
- patches.xen/xen-2.6.16-rc3-rc4.patch: Update Xen-specific
  files for 2.6.16-rc4.
- Various other Xen changes and updates.
- patches.xen/xen3-auto-xen-tpm.diff: Delete.
- patches.xen/xen3-fixup-common-tpm-infineon: Delete.
* Thu Feb 23 2006 axboe@suse.de
- patches.drivers/sata-acpi-check-sata: Delete.
- patches.drivers/sata-acpi-suspend: Delete.
- patches.drivers/libata-acpi-size_t-fix: Delete.
* Thu Feb 23 2006 olh@suse.de
- add patches.fixes/scsi-device_add-failure.patch
  Handle device_add failure in scsi_alloc_target (149193 - LTC21510)
* Thu Feb 23 2006 olh@suse.de
- add patches.arch/ppc-hvc_console-race.patch
  Fix race condition in hvc console
* Thu Feb 23 2006 olh@suse.de
- add patches.arch/ppc-spinlock-recursion-native_hpte_clear.patch
  fix spinlock recursion in native_hpte_clear (149727 - LTC21425)
* Thu Feb 23 2006 olh@suse.de
- add a few patches from the to be merged ieee1394 tree
  patches.fixes/0002-sbp2-prevent-unloading-of-1394-low-level-driver.patch
  patches.fixes/0003-sbp2-fix-another-deadlock-after-disconnection.patch
  patches.fixes/0004-sbp2-variable-status-FIFO-address-fix-login-timeout.patch
  patches.fixes/0005-ohci1394-log-physical-posted-write-errors.patch
  patches.fixes/0014-sbp2-update-36byte-inquiry-workaround-fix-compatibility-regression.patch
  patches.fixes/0015-ohci1394-cleanup-the-Unexpected-PCI-resource-length-warning.patch
* Thu Feb 23 2006 olh@suse.de
- update to 2.6.16-rc4-git5, restore mount events required by HAL
* Wed Feb 22 2006 ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Handle broken
  hotadd regions better (SUSE149117)
- patches.arch/x86_64-cluster-check-ibm: Only do
  multi cluster systems don't have synchronized TSC assumption
  on IBM Summit systems.
- patches.arch/x86_64-empty-pxm: Handle empty PXMs that only
  contain hotplug memory (SUSE149117).
* Wed Feb 22 2006 tiwai@suse.de
- patches.drivers/alsa-cs4236-mpu-init-fix: [ALSA] cs4236 -
  Fix wrong initialization of MPU401 PnP.
- patches.drivers/alsa-pause-ioctl-fix: [ALSA] pcm - Move PAUSE
  ioctl to common ioctl handler.
- patches.drivers/alsa-remove-opl3-seq-oss-free: [ALSA] Fix
  bogus snd_device_free() in opl3-oss.c.
- patches.drivers/alsa-virmidi-sleep-in-atomic: [ALSA] Fix sleep
  in atomic in virmidi driver.
- patches.drivers/pnp-card-remove-fix: Fix PnP card removal.
* Wed Feb 22 2006 gregkh@suse.de
  Update to 2.6.16-rc4-git3
  - tmpfs mount options fix
* Wed Feb 22 2006 olh@suse.de
- add patches.arch/ppc-htab_size-kexec.patch
  Only calculate htab_size in one place for kexec
  add patches.arch/ppc-task-accounting.patch
  Accurate task and cpu time accounting
* Wed Feb 22 2006 okir@suse.de
- on ia64, mark dump_blockdev and scsi_dump as supported (#150022).
* Wed Feb 22 2006 jeffm@suse.de
- patches.suse/ocfs2-update-2006-02-21.diff: OCFS2 Code Update
  for SLES 10 - 2006-02-21.
* Wed Feb 22 2006 trenn@suse.de
- patches.drivers/cpufreq_bios_ppc_change: Delete.
* Wed Feb 22 2006 olh@suse.de
- compile rtas_flash into the kernel (148195 - LTC21314)
* Tue Feb 21 2006 olh@suse.de
- update to 2.6.16-rc4-git1, s390 dasd error reporting gone, misc fixes
* Tue Feb 21 2006 hare@suse.de
- patches.drivers/aic79xx-invalid-sequencer-interrupt
  Fix 'invalid sequencer interrupt' message (#148133 - LTC21332)
* Mon Feb 20 2006 olh@suse.de
- add patches.arch/ppc-shmget02.patch
  cast size argument for shmget to signed (#152113)
* Mon Feb 20 2006 andrea@suse.de
- patches.suse/dynamic-timeslice: remove HZ exported through
  sysconf(), set the default/max timeslice values to the
  mainline one, fix crash in scheduler_tick handling
  the removal of the invariant "sleep_avg <= NS_MAX_SLEEP_AVG".
  Patch still disabled pending testing.
* Mon Feb 20 2006 kkeil@suse.de
- rpm/running-kernel.init.in: make it conform to LSB
* Mon Feb 20 2006 ak@suse.de
- patches.arch/i386-apic-up: Change to enable APIC by default
  on
  * systems with more than one socket
  * systems newer than 2001
  * systems with Intel BIOS newer than 1998
* Mon Feb 20 2006 hare@suse.de
- patches.drivers/iscsitarget-align-with open-iscsi.patch:
  Fix TMF reply (#149061)
* Mon Feb 20 2006 garloff@suse.de
- patches.suse/dynamic-timeslice: Disabled for now.
- patches.suse/lkcd.patch, schedstats-delayacct: Rediff.
* Mon Feb 20 2006 olh@suse.de
- remove gcc-c++ gpg popt-devel from BuildRequires
  keep python on ia64
* Mon Feb 20 2006 hare@suse.de
- patches.drivers/open-iscsi-resync
  Implement iSCSI session resync (FATE #140350)
* Mon Feb 20 2006 tiwai@suse.de
- patches.drivers/alsa-fix-enable-option-check: [ALSA] Fix check
  of enable module option.
- patches.drivers/alsa-32bit-compat-fix: Fix random access memory
  with 32bit control compat.
* Mon Feb 20 2006 garloff@suse.de
- patches.suse/dynamic-timeslice: Simplify, drop "desktop" and
  leave defaults unchanged.
* Mon Feb 20 2006 olh@suse.de
- add 3 patches from powerpc-merge tree
  patches.arch/0001-powerpc-Keep-xtime-and-gettimeofday-in-sync.txt
  patches.arch/0003-powerpc-Fix-OOPS-in-lparcfg-on-G5.txt
  patches.arch/0006-powerpc-Fix-bug-in-spinup-of-renumbered-secondary-threads.txt
* Mon Feb 20 2006 olh@suse.de
- add patches.arch/ppc-iseries-pvlpevent-init.patch
  Initialise hvlpevent_queue.lock correctly
* Mon Feb 20 2006 garloff@suse.de
- patches.suse/unamp_vmas-lat: Reenable (avoid large latency caused
  by VMA unmapping in large chunks).
* Mon Feb 20 2006 garloff@suse.de
- patches.suse/dynamic-timeslice: Reenable (allows tuning of
  scheduling timeslices and exports HZ in /proc).
- patches.suse/lkcd.patch: Rediff.
- patches.suse/schedstats-delayacct: Rediff.
* Sun Feb 19 2006 agruen@suse.de
- Remove the obsolete lib/modules/scripts and
  lib/modules/precompiled directories.
* Sun Feb 19 2006 agruen@suse.de
- patches.fixes/module-obsparm.diff: Update/fix (148245).
- patches.fixes/duplicate-exports.diff: Remove duplicate exports.
* Sun Feb 19 2006 olh@suse.de
- provide vmlinux.debug also for kdump kernel
* Sun Feb 19 2006 schwab@suse.de
- Update serial_console patch.
* Sun Feb 19 2006 olh@suse.de
- add patches.suse/nameif-track-rename.patch
  keep track of things that udev does behind your back
* Sun Feb 19 2006 olh@suse.de
- provide vmlinux.debug on ppc
* Sat Feb 18 2006 agruen@suse.de
- patches.suse/dmapi_src_drop2: XFS DMAPI update; replaces
  patches.suse/dmapi_src_drop and patches.suse/dmapi-enable2
  (151915, SGI:949819).
* Sat Feb 18 2006 agruen@suse.de
- patches.fixes/module-obsparm.diff: Modules with old-style
  parameters won't load (148245).
* Sat Feb 18 2006 jeffm@suse.de
- reverted ocfs2-1.2-branch.diff to pre- 2.6.16-rc3-git9 merge
- added patch to revert OCFS2 changes in 2.6.16-rc3-git9
* Sat Feb 18 2006 olh@suse.de
- update to 2.6.16-rc4, network driver, s390, libata, misc fixes
* Fri Feb 17 2006 olh@suse.de
- update to 2.6.16-rc3-git9, ocfs2, x86_64, ia64 fixes
* Fri Feb 17 2006 mason@suse.de
- patches.arch/i386-smp-read-mpc: compile fix
* Fri Feb 17 2006 ak@suse.de
- patches.arch/i386-smp-read-mpc: Pass a virtual, not physical,
  address to smp_read_mpc()  (SUSE151901).
* Fri Feb 17 2006 olh@suse.de
- keep ELF .symtab on ppc, objdump -D works much better that way
* Fri Feb 17 2006 jbeulich@novell.com
- patches.xen/cleanup-apic: Cleanup x86/x86_64 apic.c files.
- patches.xen/fix-kconfig-isa-dma-api: Configure ISA_DMA drivers on
  xen/i386.
- patches.xen/fix-mmap_mem-return: Return real error code from Xen
  /dev/mem, not EAGAIN.
- patches.xen/fix-vcpu-stack: Reset sp on vcpu_prepare.
- patches.xen/xen-no-video-select: Suppress VIDEO_SELECT config
  option.
- patches.xen/xen-x86_64-floppy: fix I/O port address for first
  floppy controller.
- patches.xen/xen-x86_64-set_32bit_tls: fix a gcc4 warning.
- patches.xen/xen-x86_64-mm-fault-cleanup: some cleanup.
- patches.xen/xen-i386-kconfig-no-cpu_freq: disallow CPUFREQ config
  options
- Update Xen config files.
- misc/xen-port-patches.py: Adjust to current tree layout.
* Fri Feb 17 2006 axboe@suse.de
- patches.drivers/cciss-reinvoke-rq-handler: CCISS may need to
  reinvoke request handler in softirq completion.
* Fri Feb 17 2006 axboe@suse.de
- patches.fixes/cfq-fix-slice-expiry: CFQ fixes (133817, 145160).
* Fri Feb 17 2006 okir@suse.de
- patches.suse/schedstats-delayacct: Enable schedstats and delay
  accounting (141936 - LTC20517 - LDP11943 - FATE 300393).
- Update config files.
* Fri Feb 17 2006 axboe@suse.de
- patches.drivers/libata-atapi-pad-warning: Bad WARN_ON()
  condition in *_fill_sg() (145973).
* Fri Feb 17 2006 okir@suse.de
- Enabled CONFIG_FB_VESA for i386 and x86-64 kdump kernel (#149570)
* Fri Feb 17 2006 axboe@suse.de
- patches.drivers/scsi-kill-not-ready-removable: Kill not-ready
  messages for removable media in SCSI (150175).
* Fri Feb 17 2006 agruen@suse.de
- rpm/post.sh: Only create Previous Kernel bootloader entries for
  kernels >= 2.6.16; older kernels don't know how to remove their
  bootloader entries again in their %%postun (151110).
* Thu Feb 16 2006 tiwai@suse.de
- patches.drivers/alsa-hda-intel-auto-correct-posbuf: [ALSA]
  hda-intel - Auto-correction of the DMA position mode.
- patches.drivers/alsa-hda-intel-codec-io-auto-correct: [ALSA]
  hda-intel - Automatic correction to single_cmd mode.
- patches.drivers/alsa-hda-sigmatel-intel-boards: [ALSA] hda-codec
  - Add missing model entries for Intel 945 boards.
- patches.drivers/alsa-ice1712-delta1010lt-spdif-fix: [ALSA]
  ice1712 - Delta 1010LT S/PDIF fixes.
- patches.drivers/alsa-intel8x0-register-init-fix: [ALSA]
  intel8x0 - wait for ICH_RESETREGS.
* Thu Feb 16 2006 agruen@suse.de
- rpm/post.sh, rpm/postun.sh: No longer call /sbin/new-kernel-pkg;
  update-bootloader handles this now.
- rpm/postun.sh: Only refresh the bootloader when something
  actually changed.
* Thu Feb 16 2006 gregkh@suse.de
  Update to 2.6.16-rc3-git6:
  - Input bugfixes and a touchscreen driver update
  - netfilter fixes
  - xfrm bugfix
  - cpuset bugfix
  - x86-64 cpu_to_node fix
  - use proper mman #defines for all arches
  - fork and ptrace bugfixes
  - other minor stuff (documentation, fb driver fix, etc.)
* Thu Feb 16 2006 axboe@suse.de
- Disable SATA ACPI suspend/resume patch(es) for testing
* Thu Feb 16 2006 kkeil@suse.de
  Update to 2.6.16-rc3-git5
  - Fix deadlock in br_stp_disable_bridge
  - Fix xfrm lookup after SNAT
  - CIFS: fix cifs_user_read oops when null SMB response on
  forcedirectio mount
* Thu Feb 16 2006 hare@suse.de
- patches.drivers/aic79xx-target-reset-update
  Setup SCB properly (148061)
* Wed Feb 15 2006 agruen@suse.de
- kABI checker: instead of failing the build when the kABI badness
  is higher than the maximum allowed badness, create a dummy
  `kabi_badness_$n' rpm requirement.
* Wed Feb 15 2006 agruen@suse.de
- rpm/kernel-syms.spec.in: Now that we have a BuildRequires tag
  that we can use inside %%if / %%else / %%endif, remove the magic
  kernel-binary-packages macro, and generate the appropriate
  BuildRequires tag automatically from config.conf.
* Wed Feb 15 2006 gregkh@suse.de
  Update to 2.6.16-rc3-git3:
  - s390 fixes
  - tty locking fix
  - mips update (don't care about)
  - frv update (don't care about)
  - IB update (probably don't care about...)
  - jbd revert, fixing ocfs2 issues
  - build fixes
  - isdn bugfix
  - madvise fixes
  - fb bugfix
  - mm bugfixes
  - pktcdvd bugfixes
  - hpet fix (sgi cares about this)
  - lockd fixes
* Wed Feb 15 2006 axboe@suse.de
- patches.drivers/sata-mv-fua: FUA write command missing from
  its dma list.
* Wed Feb 15 2006 hare@suse.de
- patches.arch/s390-01-09-october2005.diff
  Add statistics support for zfcp (149742 - LTC21427)
- patches.arch/s390-statistic-disclamier.diff
  Add disclaimer for statistics interface.
- Update config files
* Wed Feb 15 2006 ak@suse.de
- Enable CONFIG_NUMA_EMU on x86-64
* Wed Feb 15 2006 schwab@suse.de
- acpi-resources-rscalc: fix slab corruption [#148424].
* Wed Feb 15 2006 axboe@suse.de
- patches.drivers/sata-acpi-check-sata: Fix SATA/PATA checks.
* Wed Feb 15 2006 gregkh@suse.de
  Update to 2.6.16-rc3-git3:
 - usb fixes
 - i2c fixes
 - cpufreq fixes
 - network fixes
 - bluetooth fixes
 - reiserfs fix
 - drm oops fix
 - other minor things.
* Tue Feb 14 2006 ak@suse.de
- Disable CONFIG_EFI on x86 since it's broken
* Tue Feb 14 2006 agruen@suse.de
- Rename kernel-xen-pae to kernel-xenpae: we don't support dashes
  in flavor names.
- Classify all kernel-xen* packages as flavors of Xen.
* Tue Feb 14 2006 jeffm@suse.de
- update OCFS2 to Oracle-supplied v1.2.0, adjust other patches
  to merge
- patches.suse/ocfs2-00-masklog-uml-fix.diff: ocfs2: fix -Wformat
  warnings when building UML on x86-64.
* Tue Feb 14 2006 tiwai@suse.de
- patches.drivers/libata-acpi-size_t-fix: Fix printk format
  with size_t.
- patches.fixes/fix-compare-with-sizeof: [PATCH trivial] Fix
  the comparison with sizeof().
- patches.fixes/fix-kauditd_thread-return-value: [PATCH trivial]
  Add missing return value of kauditd_thread.
- patches.fixes/jffs2-size_t-fix: [PATCH] jffs2: Fix size_t on
  64bit architectures.
- patches.fixes/scsi-missing-iomem-cast: [PATCH] Add cast to
  __iomem pointer in scsi drivers.
- patches.fixes/value_computed_not_used-fix: [PATCH trivial]
  Fix "value computed not used" warnings.
- patches.suse/lkcd-compile-warning-fix: Fix compile warning
  with lkcd patch.
* Tue Feb 14 2006 tiwai@suse.de
- patches.drivers/sound-oss-kconfig-fix: Add ISA and PCI
  dependencies in sound/oss/Kconfig.
- Update config files.
* Tue Feb 14 2006 agruen@suse.de
- Drop um-host-kernel.
* Tue Feb 14 2006 jbeulich@novell.com
- Update Xen patches to xen-unstable changeset 8819 and 2.6.16-rc3.
- config.conf: enable ix86's xen-pae configuration.
* Tue Feb 14 2006 jblunck@suse.de
- patches.fixes/s390-bitops-align.diff: Realign unaligned bitops
  (144310).
* Tue Feb 14 2006 olh@suse.de
- reenable CONFIG_DEBUG_SPINLOCK/CONFIG_DEBUG_SPINLOCK_SLEEP on s390
* Tue Feb 14 2006 olh@suse.de
- add Requires: perl-Bootloader >= 0.2.11 to avoid corrupted
  bootloader config files
* Tue Feb 14 2006 hare@suse.de
- patches.drivers/sym2-mask-top-byte.diff
  Handle IGNORE WIDE RESIDUE message correctly (91631)
* Tue Feb 14 2006 hare@suse.de
- patches.arch/s390-fix-delay.patch: Fix delay implementation.
* Tue Feb 14 2006 hare@suse.de
- patches.arch/s390-02-{08,09,10,11,16}-october2005.diff
  Include fixes from IBM.
- patches.drivers/s390-qeth-netif_carrier_off-fix.diff
- patches.arch/s390-add-missing-ioctl-validation
  Remove obsolete patches.
* Tue Feb 14 2006 olh@suse.de
- disable CONFIG_DEBUG_SPINLOCK/CONFIG_DEBUG_SPINLOCK_SLEEP on s390
* Mon Feb 13 2006 agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Fix so that the scripts run
  successfully even when called with -e. (This is what Autobuild
  does even though rpm itself does not. Confusing.)
* Mon Feb 13 2006 ak@suse.de
- patches.fixes/disable-randmaps: Make it actually compile on i386
* Mon Feb 13 2006 agruen@suse.de
- rpm/kernel-binary.spec.in: Rename /usr/lib/debug/boot/
  vmlinux-$krel.gz to vmlinux-$krel.debug, which is the file that
  tools like systemtap expect.
* Mon Feb 13 2006 hare@suse.de
- patches.drivers/aic79xx-target-reset-update
  Fix TARGET RESET handling (148061)
- Enable CONFIG_PREEMPT on s390x
* Mon Feb 13 2006 ak@suse.de
- patches.fixes/disable-randmaps: Add boot option to disable
  randomized mappings and cleanup.
* Mon Feb 13 2006 rw@suse.de
- patches.arch/ia64-sn2-user-MMIO-migration:
  SN2 user-MMIO CPU migration.  (#147338)
- patches.drivers/snsc-powerdown-events:
  Altix: handle system controller environmental powerdown events.
  (#148682)
* Mon Feb 13 2006 agruen@suse.de
- Invoke /sbin/update-bootloader from the kernel-flavor's
  %%post and %%postun scripts.
* Mon Feb 13 2006 agruen@suse.de
- Update config files.
* Mon Feb 13 2006 agruen@suse.de
- Add the kabi checker from SLES9. Update commonsyms and usedsyms.
  Import reference modversions from the current Beta. Be very
  tolerant with kabi changes so far.
* Mon Feb 13 2006 axboe@suse.de
- patches.drivers/sata-acpi-suspend: ACPI hooks for SATA/PATA
  device suspend/resume (142375).
* Mon Feb 13 2006 ak@suse.de
- patches.arch/acpi-ignore-bad-names: Ignore bad characters in
  ACPI names (SUSE147621).
* Mon Feb 13 2006 olh@suse.de
- update to 2.6.16-rc3
  watchdog updates
* Sun Feb 12 2006 schwab@suse.de
- Remove duplicate exports in lkcd patch.
* Sun Feb 12 2006 ol@suse.de
- add patches.arch/s390-sys_newfstatat.patch
* Sun Feb 12 2006 olh@suse.de
- update to 2.6.16-rc2-git11
  vmscan, select, fstat64, unshare syscall changes
* Sun Feb 12 2006 mason@suse.de
- patches.suse/shmall-bigger: increase defaults for shmmall,
  shmmax, msgmax, msgmnb, and semmni (146656).  Doing via userland
  ended up ugly due to different values in different arches.
* Sat Feb 11 2006 mason@suse.de
- patches.suse/more-follow-link-recursions: up the max number
  of nested links to 8 (149638).
- patches.suse/lkcd-mptsas.patch: enable lkcd polling for mpt
  fusion (150096).
- enable barriers by default on ext3 and reiser
* Sat Feb 11 2006 olh@suse.de
- enable CONFIG_AFFS_FS for pegasos
* Sat Feb 11 2006 olh@suse.de
- add patches.arch/ppc-kdump-timeout-value-fix.patch
  Trivial fix to set the proper timeout value for kdump (149725 - LTC21422)
* Fri Feb 10 2006 gregkh@suse.de
  Update to 2.6.16-rc2-git9:
 - tty locking fix (which lets us remove our work-around)
 - netlink bugfixes
 - other networking bugfixes
 - kexec patch moved upstream
 - ppc build patch moved upstream
 - other minor bugfixes.
 - scheduler smpnice removal as per Nick's request
  (someone needs to check with Intel, as this might upset them...)
* Fri Feb 10 2006 agruen@suse.de
- patches.fixes/git-kbuild.patch: kbuild update / fixes.
- patches.rpmify/supported-flag: Rediff.
- patches.rpmify/symtypes.diff: Rediff.
* Fri Feb 10 2006 gregkh@suse.de
- EXPORT_SYMBOL_GPL_FUTURE support added
* Fri Feb 10 2006 gregkh@suse.de
  Update to 2.6.16-rc2-git8:
  - security fix in signal handling
  - more ia64 bugfixes
  - ia64 sys_unshare hookup
  - sata msi bugfixes
  - sata broken hardware workarounds.
  - kbuild fix (does not affect us.)
* Fri Feb 10 2006 agruen@suse.de
- Kernel-flavor packages provide and obsolete the old
  kernel-flavor-nongpl packages.
* Fri Feb 10 2006 ak@suse.de
- patches.arch/x86_64-gart-dma-merge: Don't touch the non DMA
  members in the sg list in dma_map_sg in the IOMMU.
- patches.arch/x86_64-gart-relax: Use cpu_relax in poll loop in
  GART IOMMU.
- patches.arch/x86_64-hpet-summit: Fix HPET timer on IBM x460
  (SUSE141868).
* Fri Feb 10 2006 gregkh@suse.de
- patches.drivers/it87-fix-oops-on-removal.patch: [PATCH] it87:
  Fix oops on removal (#149538).
* Thu Feb 09 2006 gregkh@suse.de
  Update to 2.6.16-rc2-git7:
  - picks up a number of ia64 patches that people wanted
  - added unshare syscall for x86-64
  - various serial driver fixes.
  - mips and arm update (which we don't care about...)
  - ppc fixes (which we do care about)
* Thu Feb 09 2006 olh@suse.de
- add patches.drivers/ipr-adapter-initialization-failure.patch
  Fix adapter initialization failure  (149637 - LTC21530)
* Thu Feb 09 2006 agruen@suse.de
- kernel-kdump: Don't require irqbalance (149573).
* Thu Feb 09 2006 olh@suse.de
- disable CONFIG_ISA, PReP support is currently not available
* Thu Feb 09 2006 jbeulich@novell.com
- patches.xen/xen-2.6.16-rc2-git2-git5.patch: Update Xen-specific
  files for 2.6.16-rc2-git5.
- patches.xen/xen3-fixup-common-free_irq: Replace by...
- patches.xen/xen3-fixup-common: Fix xen build.
- patches.xen/xen-i386-no-init_tss: eliminate init_tss.
- patches.xen/xen-x86_64-no-init_tss: eliminate init_tss.
- patches.xen/xen-i386-panic-no-reboot: Don't automatically
  reboot on panic (match native and x86-64).
- patches.xen/xen-i386-panic-on-oops: Parse panic=oops early
  (match x86-64).
- Update a few other Xen patches
- Update config/i386/xen-pae.
- config.conf: add (so far disabled) i386/xen-pae
* Thu Feb 09 2006 hare@suse.de
- patches.drivers/scsi-rc-fixes
  Include latest scsi fixes for 2.6.16-rc2.
- patches.drivers/qla2xxx-*
  Remove obsolete patches
- patches.drivers/lpfc-8.1.2-update
  Update lpfc driver to 8.1.2 (#149107)
- Disable softlockup detection for S/390 (146667 - LTC21101)
* Thu Feb 09 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  need to patch also asm-ppc/io.h for 32bit builds. argh...
* Thu Feb 09 2006 tiwai@suse.de
- patches.drivers/alsa-ad1816a-trigger-fix: [ALSA] ad1816a -
  Fix PCM trigger direction.
- patches.drivers/alsa-alc260-2nd-adc.diff: [ALSA] hda: add PCM
  for 2nd ADC on ALC260.
- patches.drivers/alsa-alc260-fujitsu-init-fix: [ALSA] hda:
  minor correction to fujitsu ALC260 initverbs.
- patches.drivers/alsa-alc260-test-model: [ALSA] hda: ALC260
  test model implementation.
- patches.drivers/alsa-bt848-winfast-tv2000xp-fix: [ALSA] bt848 -
  added Leadtek Winfast tv 2000xp delux to whitelist.
- patches.drivers/alsa-dmx6fire-fix: [ALSA] ice1712 - disable
  unused ADCs & DACs on DMX6fire.
- patches.drivers/alsa-via82xx-fsc-amilo-l7300: [ALSA] via82xx -
  Add dxs entry for FSC Amilo L7300.
* Thu Feb 09 2006 okir@suse.de
- patches.fixes/xfrm-endless-loop: Updated with upstream patch (117749, 115200).
* Thu Feb 09 2006 okir@suse.de
- Update config files after most recent git update
  (two new DVB modules; some cosmetic changes)
* Thu Feb 09 2006 okir@suse.de
- Enable CONFIG_DRM_VIA=m on x86-64
* Thu Feb 09 2006 agruen@suse.de
- supported.conf: Mark fs/dmapi/dmapi as supported (via SGI).
* Thu Feb 09 2006 hare@suse.de
- patches.arch/s390-update-default-config
- patches.arch/s390-fix-sclp-corruption
- patches.arch/s390-init-cpus-early
- patches.arch/s390-update-maintainers-file
- patches.arch/s390-add-missing-ioctl-validation
- patches.arch/s390-cleanup-dasd-eer
- patches.arch/s390-kexec-non-smp
- patches.arch/s390-unshare-support
- patches.arch/s390-add-ifdef_KERNEL
- patches.arch/s390-remove-brackets
  Add S/390 patches from mainline.
* Thu Feb 09 2006 hare@suse.de
- Disable debugging output for iscsitarget (#149090)
* Thu Feb 09 2006 neilb@suse.de
- patches.fixes/dm-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for dm. (90365).
- patches.fixes/md-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for md. (90365).
* Thu Feb 09 2006 agruen@suse.de
- patches.fixes/xfs-linux-melb-25106a-xfs-per-cpu-sb-counters:
  [PATCH] xfs-linux-melb-25106a-xfs-per-cpu-sb-counters
  (SGI:PV946630, 148680).
* Thu Feb 09 2006 gregkh@suse.de
- supported.conf: updated the pci hotplug driver list
* Wed Feb 08 2006 gregkh@suse.de
  Update to 2.6.16-rc2-git5
- Update config files.
* Wed Feb 08 2006 mason@suse.de
- patches.fixes/kexec-asm.diff: fixup inline asm for kexec
  (147851).
* Wed Feb 08 2006 agruen@suse.de
- Fix a creating /boot/vmlinux and /boot/initrd symlinks for
  xen, kdump, and um.
* Wed Feb 08 2006 agruen@suse.de
- patches.fixes/extmod-ppc.diff: Fix building external modules
  on ppc32 (148404).
* Wed Feb 08 2006 agruen@suse.de
- rpm/kernel-binary.spec.in: No need to regenerate Module.symvers
  anymore now that the km_ packages are gone.
* Wed Feb 08 2006 schwab@suse.de
- Update kdb patches.
* Wed Feb 08 2006 okir@suse.de
- patches.drivers/bcm-update: [tg3] Add support for 5714S and 5715S (146685).
* Wed Feb 08 2006 trenn@suse.de
- patches.arch/i386-mpparse.diff: Add message: No mptable
  found (by aosthof).
* Wed Feb 08 2006 agruen@suse.de
- Back out calls to /sbin/update-bootloader until perl-Bootloader
  is updated.
* Wed Feb 08 2006 mason@suse.de
- rpm/postun.sh: Don't run the bootloader update if it isn't
  installed
* Tue Feb 07 2006 trenn@suse.de
- patches.arch/acpi_asus_update_0_30:  Update ASUS ACPI from
  v0.29 to v0.30 (b.n.c #135579).
* Tue Feb 07 2006 agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Create / remove symlinks of
  compatible modules in /lib/modules/$krel/weak-updates/.
* Tue Feb 07 2006 agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Invoke the improved version of
  /sbin/update-bootloader properly.
* Tue Feb 07 2006 trenn@suse.de
- patches.arch/acpi_export_syms: Export symbols for
  ACPI_ERROR/EXCEPTION/WARNING macros.
- patches.arch/acpi_handler_warning: Print error message if
  remove/install notify handler fails.
- patches.arch/acpi_show_errors: Enables important ACPI errors
  even ACPI_DEBUG is not set.
* Tue Feb 07 2006 schwab@suse.de
- patches.drivers/alsa-ppc-fix-powermac-sound-i2c: temporary patch for
  PowerMac sound until i2c is fixed.
* Tue Feb 07 2006 olh@suse.de
- add patches.arch/ppc-pmf-debug.patch
  disable pmac powermanagement debug output, floods dmesg
* Tue Feb 07 2006 jbeulich@novell.com
- patches.xen/xen-2.6.16-rc2-git2.patch: Update Xen-specific
  files for 2.6.16-rc2-git2.
- patches.xen/xen-x86_64-ack_bad_irq.patch: Include in above.
- patches.xen/xen-mc-compile: Replace by...
- patches.xen/xen-no-multi-core-sched-opt: Fix Xen compilation
  with multicore scheduler.
- patches.xen/xen3-fixup-arch-x86_64: Fix x86_64 xen build.
- update a few other Xen patches, including fix for 147503.
* Tue Feb 07 2006 okir@suse.de
- patches.drivers/ibmasm-null-deref: [ibmasm] Fix a NULL pointer
  dereference (148181 - LTC21341).
* Tue Feb 07 2006 olh@suse.de
- add patches.arch/ppc-test-fenv.patch
  Fix bug in setting floating-point exception mode (140326 - LTC20407)
* Tue Feb 07 2006 agruen@suse.de
- Enable CONFIG_KERNTYPES on s390 and s390x.
* Tue Feb 07 2006 agruen@suse.de
- mptscsih.o used to include parallel SCSI support. The parallel
  SCSI code has now been moved to mptspi.o, with mptscsih.o
  containing code common to mptspi.o, mptfc.o, and mptsas.o.
  Replace old with mptspi, mptfc and mptsas (137062, 119185).
* Tue Feb 07 2006 olh@suse.de
- enable netfilter in kdump to avoid hang on bootup (147188)
* Tue Feb 07 2006 olh@suse.de
- add patches.suse/tty-buffer-locking-revert.patch
  revert a recent tty change, it breaks hvc console
* Tue Feb 07 2006 ak@suse.de
- patches.arch/x86_64-srat-option: Delete.
- patches.arch/x86_64-srat-hotadd-reserve: Fix underfflow
  with empty hotadd region. Incorporate srat-option patch
  (142035 148522).
* Tue Feb 07 2006 hare@suse.de
- add patches.drivers/qla2xxx-Add-*
  Update qlogic driver with missing functionality (144254)
- add patches.drivers/qla2xxx-lu-enumeration-fix
  Fix bug in LU enumeration (148265)
* Tue Feb 07 2006 olh@suse.de
- add patches.arch/ppc-decrementer_iSeries_masked.patch
  Don't use toc in decrementer_iSeries_masked (148203 - LTC21345)
* Tue Feb 07 2006 ak@suse.de
- patches.xen/xen-mc-compile: Fix Xen compilation with multicore
  scheduler.
* Tue Feb 07 2006 ak@suse.de
- patches.fixes/spinlock-timeout: Make more general
* Mon Feb 06 2006 mason@suse.de
- patches.fixes/xfrm-endless-loop: Fix infinite loop in
  xfrm_lookup (117749, 115200).  Add error_nopol: back
* Mon Feb 06 2006 olh@suse.de
- add patches.arch/ppc-setup_peg2-refcounting.patch
  add refcounting to setup_peg2 and of_get_pci_address
* Mon Feb 06 2006 olh@suse.de
- add patches.fixes/sg_remove_aha1542_hack.patch
  iprconfig shows SCSI adapters as SAS adapters (148506 - LTC21395)
* Mon Feb 06 2006 olh@suse.de
- reenable CONFIG_DEBUG_SLAB on ppc64 for the time being
* Mon Feb 06 2006 mason@suse.de
- Update config files (enable multi-core scheduler on i386 and x86-64)
- patches.suse/ext3-barrier-default: make ext3 mount default
  to barrier=1 (rediff, but disable, dm has issues)
- patches.suse/multi-core-sched-opt: multi-core scheduler
  performance optimizations for x86 and EM64T (144494).
* Mon Feb 06 2006 ak@suse.de
- patches.fixes/spinlock-timeout: Use jiffies to detect spinlock
  timeout.
* Mon Feb 06 2006 olh@suse.de
- add patches.arch/ppc-finish_device_tree-zero.patch
  Don't allocate zero bytes in finish_device_tree (146688 - LTC21026)
* Mon Feb 06 2006 okir@suse.de
- patches.fixes/xfrm-endless-loop: redid and re-enabled patch
  Hopefully less broken this time around (117749, 115200).
* Mon Feb 06 2006 tiwai@suse.de
- patches.arch/i386-apic-up: fixed a missing brace.
* Mon Feb 06 2006 agruen@suse.de
- Call /sbin/update-bootloader instead of /sbin/new-kernel-pkg:
  this updates the bootloader config files and invokes lilo, etc.
  as necessary.
* Mon Feb 06 2006 hare@suse.de
- patches.drivers/megaraid-16-byte-cdb
  Add support for 16-byte CDB (147090)
* Mon Feb 06 2006 gregkh@suse.de
- patches.drivers/usb-gpl-marking-fix.patch: Delete.
* Mon Feb 06 2006 gregkh@suse.de
- patches.drivers/usb-gpl-marking-fix.patch: [PATCH] USB: Fix
  GPL markings on usb core functions..
* Mon Feb 06 2006 ak@suse.de
- patches.fixes/apic-force-x445: Delete.
- patches.arch/i386-apic-up: Add DMI entries to enable APIC
  on default kernel on IBM x460/x445/x440
* Mon Feb 06 2006 ak@suse.de
- patches.suse/lkcd.patch: Fix warning
* Mon Feb 06 2006 hare@suse.de
- patches.drivers/aic79xx-update:
  Fix deadlock in aic79xx recovery (again) (148061).
- patches.drivers/aic7xxx-disable-tcq-fix
  Remove obsolete patch.
* Mon Feb 06 2006 okir@suse.de
- patches.suse/export-ip_dev_find: export ip_dev_find (148059).
* Mon Feb 06 2006 olh@suse.de
- update to 2.6.16-rc2-git2, md, jsm, ocfs2, netfilter, other fixes
* Mon Feb 06 2006 garloff@suse.de
- patches.suse/readahead-tune: Reenable SLES readahead tuning.
- patches.suse/st-non-blocking-open: Allow defaulting to
  non-blocking open by module parm to st (reenable).
- patches.suse/st-ioctl-idlun-support: Allow generic SCSI ioctls
  to work with st (SUSE45446, reenable).
- patches.suse/ide-probe-delay: Reduce ide probe delays.
* Sat Feb 04 2006 garloff@suse.de
- Reenable patches.suse/scsi-error-test-unit-ready-timeout;
  see bug #56689: Some SCSI devices need a longer timeout for
  TEST_UNIT_READY in error recovery.
- Finetune OOM victim selection: Account for a third of children.
* Fri Feb 03 2006 jbeulich@novell.com
- patches.xen/xen-2.6.16-rc1-git3-git6.patch: Update Xen-specific
  files for 2.6.16-rc1-git6.
- patches.xen/xen3-fixup-arch-i386: Add fix for booting MP.
- refresh some other Xen patches.
- patches.xen/fix-alloc-skbuff: Delete.
* Fri Feb 03 2006 agruen@suse.de
- Move the check for which flavors not to add a bootsplash to
  mkinitrd.
* Fri Feb 03 2006 schwab@suse.de
- Bugfixes and hardware bug workarounds necessary for the rev 1.0 version
  of the altix TIO CE asic (PCI-express) [#145984].
* Fri Feb 03 2006 agruen@suse.de
- doc/novell-kmp: Update the example module.
* Fri Feb 03 2006 kraxel@suse.de
- patches.xen/fix-alloc-skbuff: fix __alloc_skb breakage in xen.
* Fri Feb 03 2006 agruen@suse.de
- Remove support for km_ packages.
- Drop the -nongpl kernel packages: we no longer need them.
* Fri Feb 03 2006 kkeil@suse.de
- patches.fixes/bonding-tso-ufo.patch: Add NETIF_F_TSO to
  BOND_INTERSECT_FEATURES.
- patches.fixes/s2io-mcast.patch: s2io: set_multicast_list bug.
* Fri Feb 03 2006 olh@suse.de
- enable CONFIG_SCSI_QLA4XXX on ppc
* Fri Feb 03 2006 kraxel@suse.de
- patches.xen/fix-rmap-BUG: fix rmap BUG() in xen.
* Fri Feb 03 2006 hare@suse.de
- patches.drivers/aic7xxx-disable-tcq-fix
  Fix non-TCQ queue depth (#14575)
* Fri Feb 03 2006 olh@suse.de
- add more kdump fixes
  patches.arch/ppc-kdump-keep-flat-devtree.patch
  patches.arch/ppc-kdump-refuse-to-boot.patch
  patches.arch/ppc-kdump-start-cpu.patch
  patches.arch/ppc-kdump-veth-register.patch
* Fri Feb 03 2006 hare@suse.de
- patches.fixes/sg_io-ioctl-retry-looping
  Fix looping on ioctl failure.
* Fri Feb 03 2006 olh@suse.de
- update to 2.6.16-rc2, drm, md, sunrpc fixes
* Thu Feb 02 2006 agruen@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in: Create
  /usr/src/linux-obj/%%_target_cpu => $arch symlinks for those
  architectures where the in-kernel architecture name differs
  from rpm's %%_target_cpu.
- doc/novell-kmp/novell-kmp-1.1.tar.bz2: Minor subsequent cleanup.
* Thu Feb 02 2006 olh@suse.de
- remove patches.arch/ppc-per_cpu_data_optimisations-revert.patch
  add patches.arch/ppc-poison_percpu.patch
  add patches.suse/cpu-online-stuff.patch
  dont corrupt memory for unavailable cpus (145459)
* Thu Feb 02 2006 olh@suse.de
- add patches.suse/tg3-start_xmit-barrier.patch
  missing memory barrier, better approach in the works
* Thu Feb 02 2006 kraxel@suse.de
- patches.fixes/fix-alarm-return-value: Delete (merged mainline).
* Thu Feb 02 2006 tiwai@suse.de
- patches.drivers/alsa-git-post-2.6.16-rc1-git6: ALSA GIT update.
- patches.drivers/alsa-git-post-2.6.15-git12: Delete.
- patches.drivers/alsa-hda-alc260-init-verb-fix: Delete.
- patches.drivers/alsa-hda-alc882-typo-fix: Delete.
- patches.drivers/alsa-hda-gigabyte-k8n51-add: Delete.
- patches.drivers/alsa-hda-sigmatel-autodetect-fix: Delete.
- patches.drivers/alsa-hda-sigmatel-maxchannel-fix: Delete.
- patches.drivers/alsa-intel8x0-add-mcp51: Delete.
- patches.drivers/alsa-isa-dma2-check-fix: Delete.
- Update config files.
* Thu Feb 02 2006 olh@suse.de
- add patches.arch/s390__raw_writel.patch
  compile fix: missing defines in asm-s390/io.h
* Thu Feb 02 2006 ak@suse.de
- patches.arch/x86_64-impossible-per-cpu-data-workaround: Fix
* Thu Feb 02 2006 olh@suse.de
- update to 2.6.16-rc1-git6
  big ACPI update
* Thu Feb 02 2006 ak@suse.de
- patches.arch/x86_64-mcfg-fix-zero-entry-workaround: Fix zero
  mcfg entry workaround on x86-64 (#147551)
* Wed Feb 01 2006 tiwai@suse.de
- patches.drivers/alsa-hda-alc882-typo-fix: [ALSA] hda-codec -
  Fix typos in alc882 model table.
- patches.suse/lkcd-ata_piix-polling: Support polling mode
  for ata_piix.
- patches.suse/lkcd-kfree-fix: Fix wrong kfree in dump_setup().
- patches.suse/lkcd-sata_vsc-dump-cleanup: Clean up of sata_vsc
  polling mode using the generic handlers.
- patches.suse/lkcd-typo-fix: Fix a typo.
- patches.suse/lkcd-spinlock-fix: Fixed the unbalanced spinlock
  in timer.
- patches.suse/lkcd-netdev-parse-fix: Fixed possible wrong
  kfree's.
* Wed Feb 01 2006 rw@suse.de
- patches.arch/ia64-sn2-io_init:
  Disable MSI for all Altix PCI devices.  (#146439)
* Wed Feb 01 2006 schwab@suse.de
- Avoid broken SAL_CACHE_FLUSH implementations [#144338].
- Prevent sn2 ptc code from executing on all ia64 subarches [#143446].
* Wed Feb 01 2006 rw@suse.de
- patches.arch/ia64-sn2-irq:
  Fix move_irq on Altix when CONFIG_PCI_MSI is enabled.  (#146647)
* Wed Feb 01 2006 ak@suse.de
- disable xfrm-endless-loop for now because it causes trouble
  with ipv6 (#147075)
* Wed Feb 01 2006 olh@suse.de
- add patches.arch/ppc-per_cpu_data_optimisations-revert.patch
  revert PATCH] powerpc/64: per cpu data optimisations  (#145459)
* Wed Feb 01 2006 axboe@suse.de
- patches.fixes/cfq-atomic-flags: Fix cfq flags manipulations
  (145160).
* Wed Feb 01 2006 perex@suse.de
- supported.conf: mark some new kernel modules as unsupported
  cm40?0_cs, cpufreq_conservative, it821a,
  usb/atm/*, isp116x-hcd, sl811_cs,
  acecad, itmtouch, keyspan_remote, yealink,
  et61x251, ldusb, sisusbvga/sisusbvga, usbmon
* Wed Feb 01 2006 agruen@suse.de
- patches.fixes/xfs_buf_rele-panic.diff: Fix a NULL pointer
  dereference in xfs_buf_rele (145204).
- Re-enable DMAPI, it was not the reason for the problems with
  xfs.
* Tue Jan 31 2006 mason@suse.de
- patches.suse/acpi-hotkeys-extra.diff: get rid of Kconfig.orig
* Tue Jan 31 2006 agruen@suse.de
- kernel-binary %%post/%%postun: add calls to /sbin/update-bootloader
  to add a Previous Kernel entry when installing another kernel.
* Tue Jan 31 2006 agruen@suse.de
- patches.suse/acpi-hotkeys-extra.diff: Extra ACPI-hotkey drivers
  for SONY and PANASONIC Notebooks (135579).
- Enable the CONFIG_ACPI_SONY and CONFIG_ACPI_PCC modules.
* Tue Jan 31 2006 ak@suse.de
- patches.arch/x86_64-srat-clear-node: Update (#144781).
- patches.arch/x86_64-srat-check-size: Update (#145334).
- patches.arch/x86_64-srat-hotadd-reserve: Rediff
* Tue Jan 31 2006 gregkh@suse.de
- patches.fixes/fix-uevent-buffer-overflow-in-input-layer.patch:
  Fix uevent buffer overflow in input layer.
* Tue Jan 31 2006 perex@suse.de
- supported.conf: added missing modules from mainstream
* Tue Jan 31 2006 jeffm@suse.de
- supported.conf: added ocfs2 modules
* Tue Jan 31 2006 perex@suse.de
- supported.conf: mark ip_conntrack_netbios_ns, ip_conntrack_netlink,
  ip_conntrack_pptp, ip_nat_pptp, snd-cs5535audio,
  snd-pcxhr, snd-ad1889 modules as supported
* Tue Jan 31 2006 perex@suse.de
- supported.conf: mark common iptables modules as supported (146745)
  mark ipt_ipv4options module as supported
  mark ipt6t_HL module as supported
  mark sound/i2c/other/snd-ak4114 as supported
  mark sound/pci/rme9652/snd-hdspm as supported
* Mon Jan 30 2006 mason@suse.de
- patches.suse/shmall-bigger: Delete. olh convinced me this
  best done in userland
* Mon Jan 30 2006 mason@suse.de
- patches.suse/shmall-bigger: increase defaults for shmmall,
  shmmax, msgmax and msgmnb  (146656).
* Mon Jan 30 2006 okir@suse.de
- patches.fixes/xfrm-endless-loop: Try to fix infinite loop in
  xfrm_lookup (117749, 115200).
* Mon Jan 30 2006 kkeil@suse.de
- patches.fixes/s2io-scatter-gather-fix: s2io scatter-gather fix.
- patches.fixes/flush-tg3_reset_task: Flush tg3_reset_task().
* Mon Jan 30 2006 hare@suse.de
- patches.drivers/aic7xxx-update:
  Fix deadlock in recovery code
* Mon Jan 30 2006 okir@suse.de
- patches.drivers/s390-qeth-netif_carrier_off-fix.diff: fix NULL
  pointer derefence when using netif_carrier_off (144973).
* Mon Jan 30 2006 okir@suse.de
- patches.drivers/radeonfb-samsungp35-new: Make resume from
  suspend-to-ram possible for Samsung P35 laptops.
  (patch courtesy of Carl-Daniel Hailfinger)
* Mon Jan 30 2006 rw@suse.de
- disable patches.suse/dmiscan-4-ia64:
  until further notice.  (#142320)
* Mon Jan 30 2006 jbeulich@novell.com
- patches.suse/lkcd-prevent-needless-rebuild: prevent
  re-generation of compile.h if only timestamp changed.
- patches.suse/lkcd-UP-warning-fix: eliminate warning in
  uni-processor configurations.
* Mon Jan 30 2006 hare@suse.de
- patches.drivers/scsi-rc-fixes
  Include latest rc fixes from James Bottomley
- patches.drivers/qla2xxx-fc-rport-fix
  Remove obsolete patch
- patches.suse/lkcd.patch
  Update patch to apply.
* Mon Jan 30 2006 kraxel@suse.de
- patches.fixes/fix-alarm-return-value: fix alarm return value
  (146142).
- patches.xen/fix-blkfront-wholedisk: Fix xen blkfront
  initialization order. (119407).
* Sun Jan 29 2006 garloff@suse.de
- patches.suse/oom-kill-children-account:
  Only account half of children's vm size to parents, so overly
  huge children will not always make their father die but may be
  hit directly. Display OOM score of selected process before we
  start killing children and itself.
* Sat Jan 28 2006 agruen@suse.de
- Some more minor novell-kmp example cleanups.
* Sat Jan 28 2006 tonyj@suse.de
- Complete renaming from SubDomain to new product name 'AppArmor'
- patches.suse/apparmor: Fix patch header.comment
* Sat Jan 28 2006 tonyj@suse.de
- patches.suse/subdomain: Delete.
- patches.suse/subdomain_namespacesem: Delete.
- patches.suse/subdomain_audit: Delete.
- Update config files.
- patches.suse/apparmor: SubDomain (AppArmor).
- patches.suse/apparmor_audit: Export audit subsystem for use
  by modules.
- patches.suse/apparmor_namespacesem: Export namespace semaphore.
- supported.conf:
* Fri Jan 27 2006 gregkh@suse.de
- patches.drivers/tpm-tpm-bios-fix-module-license-issue.patch:
  tpm module needs a license (145954).
* Fri Jan 27 2006 gregkh@suse.de
  PCI patch from upstream
- patches.drivers/pci-handle-bogus-mcfg-entries.patch: PCI:
  handle bogus MCFG entries.
* Fri Jan 27 2006 agruen@suse.de
- Add the novell-kmp example Kernel Module Package, and make it
  part of kernel-source.
* Fri Jan 27 2006 gregkh@suse.de
  More USB bugfixes from upstream (and fixes a bugzilla entry for the POS product)
- patches.drivers/usb-0040-USB-hid-add-blacklist-entry-for-hp-keyboard.patch:
  USB HID: add blacklist entry for HP keyboard.
- patches.drivers/usb-0041-USB-ehci-another-full-speed-iso-fix.patch:
  USB: EHCI, another full speed iso fix.
- patches.drivers/usb-0042-USB-uhci-no-fsbr-until-device-is-configured.patch:
  USB: UHCI: No FSBR until device is configured (#144453).
* Fri Jan 27 2006 tiwai@suse.de
- patches.drivers/alsa-hda-gigabyte-k8n51-add: [ALSA]
  patch_realtek.c: Add model for Gigabyte K8N51.
- patches.drivers/alsa-hda-sigmatel-autodetect-fix: [ALSA] hda:
  sigmatel fixes.
- patches.drivers/alsa-isa-dma2-check-fix: [ALSA] Fix adding
  second dma channel.
* Fri Jan 27 2006 kkeil@suse.de
- patches.fixes/ppp-chksum-fix: Fixed hardware RX checksum
  handling in PPP.
* Fri Jan 27 2006 mason@suse.de
- Enable CONFIG_CONNECTOR on iseries64
* Fri Jan 27 2006 jeffm@suse.de
- Fixed two potential crashes in ocfs2.
* Thu Jan 26 2006 gregkh@suse.de
- patches.drivers/sysfs-crash-debugging.patch:
  display last accessed sysfs file on kernel panic message.
  Makes debugging sysfs issues easier.  Taken from -mm and only turned
  on (in the patch not a build issue) for i386 and x86_64,
  other arches might also want it.
* Thu Jan 26 2006 rw@suse.de
- patches.suse/dmiscan-4-ia64:
  Enable DMI table parsing on ia64.  (#142320)
* Thu Jan 26 2006 olh@suse.de
- add patches.suse/e1000-D3-cold-wake.patch
  remove bogus error checking in e1000 driver
* Thu Jan 26 2006 olh@suse.de
- enable TPM on ppc64 (145964 - LTC21007)
* Thu Jan 26 2006 olh@suse.de
- disable numa in the kdump kernel
* Thu Jan 26 2006 okir@suse.de
- patches.drivers/e100-resume-fix: e100: stop calling e100_hw_init
  early in resume (145197).
* Thu Jan 26 2006 agruen@suse.de
- rpm/prepare-build.sh: Ensure that we don't generate an empty
  BuidRequires line.
* Thu Jan 26 2006 rw@suse.de
- patches.suse/pagg-numatools:
  Exports for numatools kernel module.  (#142118)
* Thu Jan 26 2006 rw@suse.de
- patches.arch/ia64-limit-unaligned:
  Scaling fix for simultaneous unaligned accesses.  (#145599)
* Thu Jan 26 2006 rw@suse.de
- patches.suse/kdb-common:
  Prevent NULL pointer dereference on 'console'.  (#145230)
* Thu Jan 26 2006 ak@suse.de
  * Some more x86-64 bug fixes from mainline
- patches.arch/x86_64-impossible-per-cpu-data-workaround: Let
  impossible CPUs point to reference per cpu data.
- patches.arch/x86_64-even-more-cpuinit: data/functions wrongly
  marked as __init with cpu hotplug..
- patches.arch/x86_64-mark-two-routines-as-__cpuinit: mark two
  routines as __cpuinit.
- patches.fixes/acpi-disable-c2-c3-ibm-r40e: Rediffed.
* Thu Jan 26 2006 ak@suse.de
- patches.arch/x86_64-apic-main-timer: Allow to run main time
  keeping from the local APIC interrupt (#145747).
- patches.arch/x86_64-apic-main-timer-ati: Automatically enable
  apicmaintimer on ATI boards (#145747).
* Thu Jan 26 2006 ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Rediffed. Fix
  off by one bugs.
- patches.arch/x86_64-srat-option: Rediffed.
- patches.arch/x86_64-srat-check-size: Do more checking in the
  SRAT header code (#145334).
* Thu Jan 26 2006 trenn@suse.de
- patches.drivers/cpufreq_bios_ppc_change: make BIOS cpufreq
  limiting work for ondemand on DELL600/800.
* Thu Jan 26 2006 trenn@suse.de
- Update config files.
  -> Enable overriding of DSDT via initrd for x86_64
  -> Enable ACPI debug for x86_64/i386 debug kernel
* Thu Jan 26 2006 olh@suse.de
- Disable CONFIG_DEBUG_SLAB on ppc, changes alignment
* Thu Jan 26 2006 olh@suse.de
- Disable internal firmware build for QLogic drivers also on ppc
* Wed Jan 25 2006 axboe@suse.de
- patches.fixes/it821x-dma-bug: Fix ide dma setup bug in it821x
  (136944).
* Wed Jan 25 2006 mason@suse.de
- Update config files.
* Wed Jan 25 2006 mason@suse.de
- Update config files (CONFIG_CRASHER=m).
- patches.suse/crasher-26.diff: slab testing module.
* Wed Jan 25 2006 okir@suse.de
- patches.drivers/ipw2200-update: Removed a hunk that clobbered
  the fix for bug 133513.
- patches.drivers/ipw2200-{hwcrypto-off,eeprom-version-check}: rediff
* Wed Jan 25 2006 okir@suse.de
- patches.drivers/e100-resume-fix: e100: allocate cbs early on
  when resuming (145197).
* Wed Jan 25 2006 okir@suse.de
- patches.drivers/e100-ignore-bad-eeprom: e100: add module
  parameter to ignore bad EEPROM checksum (59705).
* Wed Jan 25 2006 okir@suse.de
- patches.drivers/ipw2200-eeprom-version-check: fix
  ->eeprom[EEPROM_VERSION] check.
* Wed Jan 25 2006 gregkh@suse.de
  USB git tree update (bugfixes, new ids, and a few driver updates)
- Update config files.
* Wed Jan 25 2006 gregkh@suse.de
- Make debugging usb device issues easier (used to be in older SuSE
  kernels, I accidentally took it out a while ago...)
  patches.drivers/always-announce-new-usb-devices.patch
* Wed Jan 25 2006 gregkh@suse.de
  Clean up the kernel.org patches, from 4 to 2
* Tue Jan 24 2006 mason@suse.de
- Update config files: enable CONFIG_CONNECTOR and CONFIG_PROC_EVENTS
- patches.suse/connector-read-mostly: Make
  proc_event_num_listeners __read_mostly.
* Tue Jan 24 2006 tiwai@suse.de
- patches.arch/ia64-sn2-dma-alloc-fix: sn_dma_alloc_coherent
  should use gfp flags (144396).
* Tue Jan 24 2006 agruen@suse.de
- Disable CONFIG_XFS_DMAPI: it breaks xfs.
* Tue Jan 24 2006 okir@suse.de
- patches.fixes/netfilter-alignment: [NETFILTER] x_tables:
  Fix XT_ALIGN() macro on [at least] ppc32 (145164).
* Tue Jan 24 2006 ak@suse.de
- patches.arch/stack-random-large: Only enable large stack
  randomization on x86-64. Don't do it for compat tasks
  (#144978)
* Tue Jan 24 2006 axboe@suse.de
- patches.fixes/ahci-suspend: Allow pci/sata suspend/resume
  on ahci.
* Tue Jan 24 2006 tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-maxchannel-fix: [ALSA]
  hda-codec - Fix max_channels computation for STAC92xx codecs
  (144593).
- patches.drivers/alsa-hda-alc260-init-verb-fix: [ALSA] hda-codec
  - Fix init verb of ALC260.
- patches.drivers/alsa-intel8x0-add-mcp51: [ALSA] intel8x0 -
  Add MCP51 PCI ID.
* Tue Jan 24 2006 okir@suse.de
- patches.drivers/ipw2200-hwcrypto-off: ipw2200: Disable hwcrypto
  by default (142219).
* Tue Jan 24 2006 agruen@suse.de
- Disable CONFIG_DEBUG_SLAB on s390: it is broken.
* Tue Jan 24 2006 ak@suse.de
- patches.arch/x86_64-srat-clear-node: Clear more state when
  ignoring empty node in SRAT parsing (#144781).
* Tue Jan 24 2006 agruen@suse.de
- scripts/tar-up.sh: Check for leftover conflict markers in
  patches and in the changelog.
- rpm/post.sh: Check for xen* to allow for future xen[0U] etc.
* Mon Jan 23 2006 mason@suse.de
- make loop a module
* Mon Jan 23 2006 mason@suse.de
- patches.suse/lkcd.patch: Fix bad kfree during netdump setup
* Mon Jan 23 2006 jbeulich@novell.com
- Update Xen patches.
* Mon Jan 23 2006 tiwai@suse.de
- patches.drivers/alsa-git-post-2.6.15-git12: ALSA git update.
- patches.fixes/gcc-fix-value_computed_not_used: Fix "value
  computed is not used" compile warnings with gcc-4.1.
* Mon Jan 23 2006 agruen@suse.de
- rpm/post.sh: Fix checking for the special kernel flavors um,
  xen, kdump.
* Mon Jan 23 2006 olh@suse.de
- add patches.suse/initrd_kdump_fix.patch
  avoid overwriting initrd memory for kdump kernel
* Mon Jan 23 2006 axboe@suse.de
- patches.fixes/libata-increase-timeout-for-resume: Increase
  BSY/DRQ clear to avoid timeout on resume.
* Mon Jan 23 2006 hare@suse.de
- Disable internal firmware build for QLogic drivers.
* Mon Jan 23 2006 axboe@suse.de
- patches.fixes/barrier-4: Sometimes barriers didn't get enabled
  on SCSI.
* Mon Jan 23 2006 rw@suse.de
- patches.fixes/serial-8250-backup-timer:
  Update of backup timer implementation.  (#140454)
* Mon Jan 23 2006 axboe@suse.de
- patches.fixes/ide-noflush: Add hdX=noflush for buggy hard drives
  (66590).
* Mon Jan 23 2006 okir@suse.de
- patches.drivers/ipw2100-update: Update ipw2100 driver (142218).
- patches.drivers/ipw2200-update: Update ipw2200 driver (142219).
* Mon Jan 23 2006 okir@suse.de
- Replaced ieee802.11h received earlier with the patch set
  Intel submitted to netdev (142270):
	- patches.drivers/ieee802.11-{1,...,13}: From netdev
	- patches.drivers/ieee802.11h: Delete.
* Mon Jan 23 2006 ak@suse.de
- patches.fixes/garbage-values-in-file--proc-net-sockstat:
  Fix garbage values in file /proc/net/sockstat.
* Mon Jan 23 2006 ak@suse.de
- patches.arch/optimize-686: Delete.
  Obsoleted by patches.arch/tune-generic
* Mon Jan 23 2006 okir@suse.de
- Enable CONFIG_FB_MATROX on i386 (#142831)
* Mon Jan 23 2006 ak@suse.de
- patches.suse/lkcd.patch: Lower runtime impact for !CONFIG_LKCD_DUMP,
  fix warning.
* Mon Jan 23 2006 ak@suse.de
  * x86-64 updates:
- patches.arch/x86_64-copy-memset-revert: Undo the earlier
  changes to remove unrolled copy/memset functions.
- patches.arch/x86_64-fix-futimesat32: Fix futimesat for 32bit
  programs.
- patches.arch/x86_64-fix-the-node-cpumask-of-a-cpu-going-down:
  Fix the node cpumask of a cpu going down.
- patches.arch/x86_64-hotadd-pud: Use correct PUD for memory
  hotadd.
- patches.arch/x86_64-swiotlb-dma32: Fix swiotlb
  dma_alloc_coherent fallback.
- patches.arch/x86_64-timer-resume: [PATCH] timer resume.
- patches.arch/stack-random-large: Increase the variability of
  the process stack on 64bit architectures.
- patches.arch/tune-generic: x86-64/i386: Use -mtune=generic for
  generic kernels.
- patches.suse/kdb-x86_64: Rediffed
* Mon Jan 23 2006 vojtech@suse.cz
- patches.fixes/uli526x-fix.diff: Remove obsolete patch
* Mon Jan 23 2006 okir@suse.de
- patches.drivers/napa-*: Add support for NAPA video chipset 945GM
  (144319, FATE 151391).
* Mon Jan 23 2006 axboe@suse.de
- patches.fixes/barrier-1: Fix barrier ordering.
- patches.fixes/barrier-2: Don't flip ordered color on a soft
  barrier.
- patches.fixes/barrier-3: One more ordered color flipping fix.
* Mon Jan 23 2006 ak@suse.de
- patches.arch/i386-default-max-mp-busses: Increase MAX_MP_BUSSES
  in default kernel to match generic (#57179).
* Mon Jan 23 2006 ak@suse.de
- Update config files.
  * Enable CONFIG_KDB for x86-64 debug kernel
- patches.suse/kdb-x86_64: KDB support for x86-64.
- patches.suse/x86_64-smp-kdb-stop: Implement smp_kdb_stop in
  the proper way.
- patches.suse/x86_64-kdebug-events: Add KDEBUG events needed
  for KDB.
- patches.xen/xen3-auto-arch-x86_64.diff: Rediff
* Mon Jan 23 2006 mason@suse.de
- Fixup kdump related config entries.  CONFIG_CRASH_DUMP should be
  on only in the kdump kernels.  CONFIG_PROC_VMCORE should be on
  in the kdump kernels too.
* Mon Jan 23 2006 ak@suse.de
- fix compilation without NFSD_ACL enabled
* Sun Jan 22 2006 olh@suse.de
- enable DEBUG_RODAT, DEBUG_SPINLOCK and DEBUG_SPINLOCK_SLEEP
* Sun Jan 22 2006 ak@suse.de
- Enable CONFIG_INIT_DEBUG on x86-64
* Sun Jan 22 2006 tonyj@suse.de
- patches.suse/subdomain: Add audit support, irq lock changes
- patches.suse/subdomain_namespacesem: rebase, remove sd changes
* Sun Jan 22 2006 olh@suse.de
- enable slab debugging (144632)
* Sun Jan 22 2006 olh@suse.de
- add patches.suse/uml-trace-macros.patch
  define some setjmp macros which were removed from glibc includes
* Sun Jan 22 2006 olh@suse.de
- disable patches.fixes/dput_late_iput.diff (136310)
  disable patches.fixes/prune_one_dentry-late_iput.diff
* Sat Jan 21 2006 agruen@suse.de
- patches.suse/lookup_hash_nameidata.diff: Delete another subfs
  specific patch.
* Sat Jan 21 2006 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  restore code to prevent 8250 init on pmac
* Sat Jan 21 2006 olh@suse.de
- add patches.drivers/mv643xx_eth-1-Fix_spinlock_recursion_bug.patch
* Sat Jan 21 2006 olh@suse.de
- fix patches.arch/ppc-mac-io-MODALIAS.patch
* Fri Jan 20 2006 mason@suse.de
- patches.suse/lkcd.patch: fix xen compile.
* Fri Jan 20 2006 mason@suse.de
- patches.suse/lkcd.patch: fix ppc compile problem #1
* Fri Jan 20 2006 tonyj@suse.de
- patches.suse/kdb-common: fix debug compile error (page_private)
* Fri Jan 20 2006 mason@suse.de
- Update config files (lkcd only on ia64)
- patches.suse/lkcd.patch: lkcd (142097).
* Fri Jan 20 2006 jblunck@suse.de
- patches.fixes/dput_late_iput.diff: shrink_dcache_parent()
  races againt shrink_dcache_memory() - dput fix.
- patches.fixes/prune_one_dentry-late_iput.diff:
  shrink_dcache_parent() races againt shrink_dcache_memory() -
  prune_one_dentry fix.
* Fri Jan 20 2006 agruen@suse.de
- Drop subfs.
* Fri Jan 20 2006 jeffm@suse.de
-  really fixed the compilation issue with ocfs2 on ia64.
* Fri Jan 20 2006 jeffm@suse.de
- patches.fixes/reiserfs-mount-options-fix.diff:  reiserfs:
  fix setting of REISERFS_ATTRS on mount.
* Fri Jan 20 2006 jeffm@suse.de
- OCFS2 reversion patch backed out the ia64 compilation fix; fixed.
* Fri Jan 20 2006 jeffm@suse.de
- Back-patched OCFS2 to the version found in SLES9 SP3 at
  Oracle's request, and remerged userspace clustering against it.
* Fri Jan 20 2006 olh@suse.de
- update to 2.6.16-rc1-git3
* Fri Jan 20 2006 schwab@suse.de
- Update kdb patches.
* Thu Jan 19 2006 agruen@suse.de
- patches.fixes/repair-nfsacl.diff: Reenable nfsacl (it broke
  upstream on 2005-11-07).
* Thu Jan 19 2006 rw@suse.de
- disabled patches.fixes/serial-8250-backup-timer  (#140454)
* Thu Jan 19 2006 jbeulich@novell.com
- patches.fixes/per-cpu-enough-room: bump per-CPU space limit
  for 64-bit archs.
* Thu Jan 19 2006 rw@suse.de
- patches.arch/ia64-sn-old-PROM-WAR:
  Workaround for new device flush code on older SGI-PROMs.  (#143793)
* Wed Jan 18 2006 olh@suse.de
- update to 2.6.16-rc1
* Wed Jan 18 2006 agruen@suse.de
- Move ``make kernelrelease'' below ``make oldconfig''.
* Wed Jan 18 2006 olh@suse.de
- add patches.arch/ppc-isa-serial-ports.patch
  remove patches.arch/ppc-enable-isa-for-serial.patch
  remove the dependency from CONFIG_ISA for serial port discovery
* Wed Jan 18 2006 ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Rediffed. Fix bugs
  found in testing  (#142035).
* Wed Jan 18 2006 jeffm@suse.de
- Update config files for ocfs2 userspace.
* Tue Jan 17 2006 olh@suse.de
- add patches.suse/uml-compilation-error-smp-fix
  partial compile fix
* Tue Jan 17 2006 jeffm@suse.de
- Update and re-enable OCFS2 userspace clustering
* Tue Jan 17 2006 olh@suse.de
- add patches.arch/8250-init.patch
  add patches.arch/ppc-enable-isa-for-serial.patch
  call platform_driver_register later, enable CONFIG_ISA on ppc64
  to get legacy 8250 ports
  reenable maple support on ppc64
* Tue Jan 17 2006 axboe@suse.de
- Update config files (make CFQ the default io scheduler)
* Tue Jan 17 2006 ak@suse.de
- patches.arch/x86_64-boot-exception-stacks: Fix MCE exception
  stack for boot CPU.
* Tue Jan 17 2006 mason@suse.de
- Update config files.
- Enable SMP_ALTERNATIVES on i386 smp builds
- CONFIG_X86_64_XEN=n on non-xen kernels
* Tue Jan 17 2006 jbeulich@novell.com
- Update Xen patches and configs.
* Tue Jan 17 2006 okir@suse.de
- patches.drivers/ieee802.11h: Add IEEE802.11h support to wireless
  stack (142270).
* Tue Jan 17 2006 okir@suse.de
- patches.suse/mempolicy-slab-node: NUMA policies in the slab
  layer (141678, FATE 153011, SGI 926660).
* Tue Jan 17 2006 okir@suse.de
- patches.drivers/e1000-update: e1000 Update.
* Tue Jan 17 2006 okir@suse.de
- patches.suse/ioat-*: IOAT update from Intel (142510).
- Update config files.
* Tue Jan 17 2006 schwab@suse.de
- Update to kdb-v4.4-2.6.15-common-3.
* Tue Jan 17 2006 olh@suse.de
- add patches.suse/export-pci_claim_resource.patch
  rpaphp needs this symbol
* Tue Jan 17 2006 mason@suse.de
- Update config files. (run oldconfig on x86_64)
* Mon Jan 16 2006 ak@suse.de
- Update config files.
  * Disable DEBUG_MUTEXES except in debug kernels
  * Enable SOFTLOCKUP detection everywhere
  * Other fixes
* Mon Jan 16 2006 agruen@suse.de
- patches.fixes/kdb-page-module-fix: fix moved into
  patches.suse/kdb-common.
* Mon Jan 16 2006 mason@suse.de
- patches.suse/kdb-common: Fix two more compile problems with
  CONFIG_KDB_MODULES
* Mon Jan 16 2006 olh@suse.de
- add patches.suse/suse-ppc-nvram-transfer-size.patch
  increase write block size to 8k for installed systems with old nvsetenv
* Mon Jan 16 2006 agruen@suse.de
- patches.fixes/kdb-page-module-fix: KDB page module build fix.
- patches.fixes/xfs-bhv-modules: XFS behaviour modules.
- patches.fixes/xfs-kdb-module: KDB module for XFS.
- patches.suse/dmapi-enable2: Add missing stuff and make compile.
- Re-enable XFS DMAPI.
* Mon Jan 16 2006 ak@suse.de
- patches.arch/x86_64-lapic-resume-uses-correct-base-address:
  lapic resume uses correct base address.
- patches.arch/x86_64-flexmmap: Flexmap for 32bit and randomized
  mappings for 64bit (FATE 120276).
- patches.arch/x86_64-set-do_not_nx-as-cpuinitdata: set do_not_nx
  as cpuinitdata.
* Mon Jan 16 2006 mason@suse.de
- CONFIG_DUMP was stolen from lkcd by kdump.  Change kdb to use
  CONFIG_LKCD instead so things build.
* Mon Jan 16 2006 ak@suse.de
- Update config files.
- patches.arch/x86_64-add-meminit: Replace __devinit with
  __meminit for x86-64 for memory hotplug (#142035).
- patches.arch/x86_64-discontig-hotadd-meminit: Fix build with
  discontigmem hotadd (#142035).
- patches.arch/x86_64-reserve-hotadd-fixup: Convert sparsemem
  x86-64 memory hotadd to reservation based (#142035).
- patches.arch/x86_64-sparsemem-hotadd:  Base x86-64 sparsemem
  memory hotplug patch (#142035).
- patches.arch/x86_64-srat-hotadd-reserve: Reserve SRAT hotadd
  memory on x86-64  (#142035).
- patches.arch/x86_64-srat-option: Add command line option to
  disable memory hot add (#142035).
- patches.arch/acpi-fix-memory-hotadd-for-x86_64: workaround patch
  for a bug in the acpi layer with memory hotadd (#142035).
* Mon Jan 16 2006 tiwai@suse.de
- patches.fixes/gcc-fix-value_computed_not_used: Fix "value
  computed is not used" compile warnings with gcc-4.1.
- patches.drivers/alsa-git-post-2.6.15-git12: ALSA git update.
- patches.drivers/alsa-disable-nested-devices: Delete.
- patches.drivers/ich8-audio: Delete.
- Update config files.
* Mon Jan 16 2006 agruen@suse.de
- rpm/kernel-source.spec.in: fix computing the KERNELRELEASE.
- Disable CONFIG_XFS_DMAPI: it is still incomplete.
* Mon Jan 16 2006 vojtech@suse.cz
-  patches.drivers/input-bk-2073.diff
-  patches.fixes/input-mux-blacklist-vgnfs115b.diff
  Both removed, obsoleted or accepted by upstream (2.6.15-git12)
* Mon Jan 16 2006 hare@suse.de
- patches.drivers/dm_netlink_part{1,2,3}.diff
  Update dm-netlink (#142816 - LTC20642)
- Update config files.
* Mon Jan 16 2006 agruen@suse.de
- patches.rpmify/make-kernelrelease.diff: Fix "make kernelrelease"
  to work without "make prepare".
- rpm/install-configs: use localversion-rpm-release to store the
  rpm release number; mainline already supports this.
- patches.rpmify/release-number.diff: Delete.
- patches.rpmify/supported-flag: Rediff.
* Mon Jan 16 2006 olh@suse.de
- add patches.suse/fs-writeback-export.patch
  add patches.suse/ppc-mv643xx_eth-IPPROTO_TCP.patch
  export two libfs function, fix network driver compilation
* Mon Jan 16 2006 hare@suse.de
- Remove patches.arch/s390-02-0{1,2,3}-october2005.diff
  Patches are already upstream.
* Mon Jan 16 2006 hare@suse.de
- patches.drivers/aic7xxx-update
  Update patch for git12
- patches.drivers/iscsitarget
- patches.drivers/iscsitarget-align-with-open-iscsi.patch
  Update to version 0.4.13
- patches.drivers/dm_netlink_part{1,2,3}.diff
  Add dm-netlink (Feature #140772)
- patches.arch/s390-02-0{1,2,3}-october2005.diff
  Include latest IBM codedrop.
- Remove obsolete patches.
* Mon Jan 16 2006 olh@suse.de
- update to 2.6.15-git12
* Mon Jan 16 2006 okir@suse.de
- patches.suse/ioat-dma-driver: disabled until legal situation
  is clarified
* Mon Jan 16 2006 ak@suse.de
- patches.arch/x86_64-debug-nest: Allow nesting of int3 by
  default for kprobes.
- patches.arch/x86_64-increase-nr-vectors: Increase NR_IRQ_VECTORS
  to 32 * NR_CPUS.
- patches.arch/x86_64-initrd-free: Fix freeing of initrd.
- patches.arch/x86_64-page-table-setup: Don't try to put kernel
  page tables beyond ZONE_DMA32..
- patches.arch/x86_64-powernow-init: Mark powernow k8 init
  functions as __cpuinit.
* Mon Jan 16 2006 okir@suse.de
- patches.drivers/spidernet-compile-fix: build fix for ppc
* Mon Jan 16 2006 axboe@suse.de
- patches.drivers/s390-dasd-queue-ordered: Fix blk_queue_ordered()
  call.
* Mon Jan 16 2006 okir@suse.de
- patches.uml/fix-build: Unbreak "make prepare" on UML.
* Mon Jan 16 2006 okir@suse.de
- patches.drivers/cifs-1.40: Update CIFS to 1.40.
* Mon Jan 16 2006 axboe@suse.de
- patches.drivers/it821x-dma-bug: Disable DMA if id field isn't
  valid (136944).
* Mon Jan 16 2006 okir@suse.de
- patches.suse/ioat-dma-*: Enabled IOAT (142510).
- Update config files.
* Sun Jan 15 2006 mason@suse.de
- enable CONFIG_PAGG on ia64
- patches.suse/pagg.patch: Add PAGG support (141680).
* Sun Jan 15 2006 mason@suse.de
  Update series.conf to reflect my patch status
  Add missing mason patches (and submit them to mainline)
  Add fat -o flush mount option for best effort constant writeback
  to removable media (faster O_SYNC alternative).
- patches.suse/reiserfs-old-format-size.diff: reiserfs_file_write
  should not allow files > 2G on 3.5.x disks (42191).
- patches.suse/osync-error: make sure O_SYNC writes properly
  return -EIO (SUSE43622).
- patches.suse/reiserfs_invalidatepage-race-fix: fix
  reiserfs_invalidatepage race against data=ordered (83674).
- patches.suse/b_private-init: Zero b_private when allocating
  buffer heads (SUSE49142).
- patches.suse/reiserfs-logging-perf-3: reiserfs hang and
  performance fix for data=journal mode (70968).
- patches.suse/reiserfs-ordered-io-failure: reiserfs
  write_ordered_buffers should not oops on dirty non-uptodate bh
  (64021).
- patches.suse/reiserfs-should-end-alloc: reiserfs fix journal
  accounting in journal_transaction_should_end (84769 LTC16064).
- patches.suse/fat-o-flush: add -o flush for fat.
* Fri Jan 13 2006 vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff: Delete, obsolted
  by 2.6.15 default handoff code.
* Fri Jan 13 2006 gregkh@suse.de
- patches.drivers/input-MODALIAS-02.patch: INPUT: add MODALIAS
  to the event environment.  This will make Kay happy.
* Fri Jan 13 2006 gregkh@suse.de
- patches.kernel.org/patch-2.6.15-git9: 2.6.15-git9. Update to 2.6.15-git9
- patches.drivers/ide-softirq-backout: Delete.
- patches.fixes/barrier-fixup: Delete.
- patches.kernel.org/patch-2.6.15-git8: Delete.
- Update config files.
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Fri Jan 13 2006 gregkh@suse.de
  Update ioc3 serial driver patch due to tty layer changes in -git8
- Update config files.
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Fri Jan 13 2006 hare@suse.de
- patches.drivers/aic7xxx-update
  Update aic7xxx driver
- Remove obsolete patches:
  - patches.fixes/no-static-percpu-in-modules
  - patches.fixes/scsi-scan-use-after-free
  - patches.suse/khelper-limit-dynamic.patch
  - patches.suse/khelper-limit-static.patch
* Fri Jan 13 2006 hare@suse.de
- patches.drivers/qla4xxx
  Enable qla4xxx driver from qlogic.
- Update config files.
* Fri Jan 13 2006 hare@suse.de
- patches.arch/s390/base-*-october2005.diff
- patches.arch/s390-01-*-october2005.diff
  Base SLES10 codedrop from IBM.
- Removed obsolete patches:
  - patches.arch/s390-suse-bk-cpint_cpcmd.diff
  - patches.arch/s390-fix-arch-switch
  - patches.arch/s390-qeth-compile-fix
  - patches.arch/s390-atomic-sub-and-test
  - patches.arch/s390-netdev-eui64.patch
- Update config files for S/390.
* Fri Jan 13 2006 kraxel@suse.de
- Update config files.
- patches.uml/uml-x11-fb: rediffed and enabled.
* Fri Jan 13 2006 axboe@suse.de
- patches.drivers/ide-softirq-backout: Backout the ide softirq
  handling change.
- patches.fixes/barrier-fixup: Fix a problem with hanging queue
  on barrier writes.
* Fri Jan 13 2006 okir@suse.de
- patches.kernel.org/patch-2.6.15-git8: Update to 2.6.5-git8
- Rediffed or removed the following patches:
	- patches.drivers/dm-no-bounce
	- patches.drivers/ich8-ata-piix
	- patches.drivers/ich8-i2c
	- patches.fixes/nfs-directio-drop-semaphore
	- patches.fixes/nfs-rename-zap-inode
	- patches.fixes/serial_console
	- patches.rpmify/release-number.diff
	- patches.rpmify/supported-flag
	- patches.suse/subfs.patch
	- patches.suse/security-cap-def
	- patches.suse/lockd-block-list
	- patches.suse/lockd-grant-cookies
	- patches.suse/lockd-kernel-statd
	- patches.suse/lockd-traverse-rewrite
	- patches.suse/acct-eop-hook
	- patches.suse/kdb-common
	- patches.suse/kdb-i386
	- patches.suse/tmpfs-acl.diff
	- patches.suse/netfilter-ipv4options
- Update config files.
* Thu Jan 12 2006 okir@suse.de
- patches.suse/netfilter-ipv4options: netfilter ipv4options match
  from patch-o-matic-ng  (131728 - FATE 182).
- Update config files.
* Thu Jan 12 2006 perex@suse.de
- patches.suse/netfilter-nf_conntrack{,-fixup}: Delete - obsolete
- patches.suse/netfilter-03-input-hooks, netfilter-04-policy-lookup,
  netfilter-05-policy-checks, netfilter-06-policy-match,
  patches.suse/netfilter-hooks-checksum: Updated
- patches.suse/safer-ip-reassembly: Rediffed
* Wed Jan 11 2006 agruen@suse.de
- patches.suse/dmapi_src_drop: Generic DMAPI support.
- patches.suse/dmapi-enable: VFS changes needed by DMAPI.
- patches.suse/dmapi-enable2: Enable DMAPI in xfs.
- Enable DMAPI in the config files.
* Wed Jan 11 2006 agruen@suse.de
- patches.fixes/fix-nfs-xfs_iget-shutdown: Delete.
- patches.fixes/xfs-switch-to-kthread-api: Delete.
- patches.fixes/xfs-switch-to-kthread-api-2: Delete.
* Wed Jan 11 2006 okir@suse.de
- ich8-{pci-ids, ide, i2c, ata-piix, audio, ahci}: Support
  Intel ICH8 chipset (141767 - FATE 151356)
* Wed Jan 11 2006 neilb@suse.de
- patches.fixes/nfs-trunc-opt: Fix some problems with truncate
  and mtime semantics, particular for create(O_TRUNC) over
  nfs. (128853).
* Wed Jan 11 2006 neilb@suse.de
- patches.fixes/locks-compat-fcntl64: Fix overflow tests for
  compat_sys_fcntl64 locking. (64501 133849).
* Wed Jan 11 2006 schwab@suse.de
- Update kdb patches.
* Tue Jan 10 2006 lmb@suse.de
- patches.suse/kexec-increase-max-segment-limit: kexec increase max
  segment limit (#141975)
* Tue Jan 10 2006 vojtech@suse.cz
- patches.drivers/input-bk-2073.diff:
  Reenable, until 2.6.16 or 2.6.17 has a better fix.
- patches.fixes/input-mux-blacklist-vgnfs115b.diff
  Reenable, sent to mainline for inclusion, but not there yet.
- patches.fixes/input-reset-mouse.diff
  Add, to fix (#134690) - replaces one way to reset a mouse
  with another.
* Tue Jan 10 2006 axboe@suse.de
- patches.drivers/sata-promise-pata: Delete, merged in mainline.
* Tue Jan 10 2006 axboe@suse.de
- patches.drivers/acard-downgrade: Delete, should be fixed now.
* Tue Jan 10 2006 axboe@suse.de
- patches.fixes/cdrom-open-failed: Delete, in mainline.
* Tue Jan 10 2006 axboe@suse.de
- patches.fixes/cfq-default: Delete, can be set in defconfig now
* Tue Jan 10 2006 axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Tue Jan 10 2006 okir@suse.de
- patches.suse/safer-ip-reassembly: Try to prevent incorrect
  IPv4 fragment reassembly (141860, FATE 153166, SGI 938114).
* Mon Jan 09 2006 gregkh@suse.de
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Mon Jan 09 2006 mason@suse.de
- Disable kprobes for kernel-xen
* Mon Jan 09 2006 rw@suse.de
- patches.suse/acct-eop-hook:
  Fix for minimalistic configurations.  (#141530)
* Mon Jan 09 2006 trenn@suse.de
- patches.fixes/acpi-pcc-fix: Delete.
- patches.fixes/acpi-endless-loop: Delete.
- patches.fixes/acpi-thermal-polling: Delete.
* Mon Jan 09 2006 ak@suse.de
- Disable CONFIG_IP_ROUTE_MULTIPATH_CACHED everywhere since it's unstable.
- patches.arch/x86_64-nmi-watchdog-timeout: Increase NMI watchdog
  timeout to 30s.
* Mon Jan 09 2006 jeffm@suse.de
- patches.suse/ocfs2-ia64-compilation-fix.diff: [PATCH] ocfs2/dlm:
  fix compilation on ia64.
* Mon Jan 09 2006 rw@suse.de
- patches.suse/acct-eop-hook:
  Continue including Enhanced Acct patches (aka CSA).  (#141530)
* Mon Jan 09 2006 rw@suse.de
- patches.fixes/export-symbols-gpl:
  Export some symbols for SGI GPL kernel modules.  (#141533)
* Mon Jan 09 2006 rw@suse.de
- patches.arch/ia64-pci-legacy-write:
  Fix return value for ia64_pci_legacy_write().  (#140675)
* Mon Jan 09 2006 rw@suse.de
- patches.fixes/serial-8250-backup-timer:
  Implement backup timer for UARTs that lose interrupts.  (#140454)
* Mon Jan 09 2006 axboe@suse.de
- patches.fixes/ioctl-by-bdev-NULL-file: Fix oops in ioctl path
  from ioctl_by_bdev due to NULL file (67011).
* Mon Jan 09 2006 axboe@suse.de
- patches.fixes/bio-bdev-init: Clear bio->bi_bdev field on init
  (SUSE49439).
* Mon Jan 09 2006 olh@suse.de
- compile the pmac fan drivers into the kernel, also psmous (116406)
* Mon Jan 09 2006 okir@suse.de
- patches.fixes/ipw2200-lockup-fix: previous iteration of this
  patch didn't completely fix this problem (133513).
* Sun Jan 08 2006 agruen@suse.de
- patches.suse/generic-acl.diff, patches.suse/tmpfs-acl.diff:
  Update to the current kernel version.
- Enable CONFIG_TMPFS_POSIX_ACL in the config files.
* Sat Jan 07 2006 olh@suse.de
- add patches.fixes/hotplug_memory_notifier.patch (141759 - LTC20531)
* Fri Jan 06 2006 olh@suse.de
- enable CONFIG_MEMORY_HOTPLUG on ppc64 (141759 - LTC20531)
* Fri Jan 06 2006 jeffm@suse.de
- temporarily disabled ocfs2 userspace clustering
* Fri Jan 06 2006 okir@suse.de
- Added patches for lockd that make it use hostnames to identify
  clients (rather than relying on the IP address) and put statd
  in the kernel.
* Fri Jan 06 2006 mason@suse.de
- Enable kprobes everywhere
* Fri Jan 06 2006 jeffm@suse.de
- Merge final OCFS2 code as accepted into mainline.
- Add userspace clustering:
- patches.suse/ocfs2-01-event-driven-quorum.diff:  ocfs2:
  event-driven quorum.
- patches.suse/ocfs2-02-introduce-generic-heartbeat-resource.diff:
  ocfs2: introduce generic heartbeat resource.
- patches.suse/ocfs2-03-split-disk-heartbeat-out.diff: ocfs2:
  split disk heartbeat out from generic heartbeat.
- patches.suse/ocfs2-04-add-hb-registration.diff: ocfs2: add
  heartbeat operation registration interface.
- patches.suse/ocfs2-05-per-resource-events.diff: ocfs2: allow
  per-resource callbacks.
- patches.suse/ocfs2-06-per-resource-membership.diff: ocfs2:
  allow per-resource node status queries.
- patches.suse/ocfs2-07-o2net-refcounted-disconnect.diff: ocfs2:
  only disconnect tcp connections when the last reference is dropped.
- patches.suse/ocfs2-08-add-check-node-status.diff: ocfs2: add
  check_node_status for resources that can distinguish between
  resources.
- patches.suse/ocfs2-09-userspace-heartbeat.diff:  ocfs2: add
  userspace clustering.
* Fri Jan 06 2006 axboe@suse.de
- patches.drivers/cciss-add-msi-msix-support: Add MSI and MSI-X
  support for cciss.
- patches.drivers/cciss-add-msi-msix-support-fix: Update version
  / Copyright.
* Thu Jan 05 2006 okir@suse.de
- patches.fixes/ipw2200-lockup-fix: ipw2200 - release semaphore
  when sleeping in ipw_request_direct_scan (133513).
* Thu Jan 05 2006 olh@suse.de
- add kernel-kdump for i386, x86_64 and ppc64, with minimal config
* Thu Jan 05 2006 trenn@suse.de
- patches.suse/acpi_errors_on: Delete.
- Update config files.
- patches.suse/acpi_errors_on_new: Enables important ACPI errors
  even ACPI_DEBUG is not set..
* Thu Jan 05 2006 trenn@suse.de
- patches.suse/acpi_errors_on: Delete.
- Update config files.
- patches.suse/acpi_errors_on_new: Enables important ACPI errors
  even ACPI_DEBUG is not set.
* Wed Jan 04 2006 axboe@suse.de
- patches.drivers/qla2xxx-fc-rport-fix: Fix workqueue issues in
  qla2xxx (140857).
* Tue Jan 03 2006 tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- patches.drivers/alsa-disable-nested-devices: Disable the nested
  class devices (141226).
* Tue Jan 03 2006 olh@suse.de
- update patches.suse/8250-sysrq-ctrl_o.patch
  handle ctrl o only on affected POWER4 systems to keep the console
  eigth-bit clean
* Tue Jan 03 2006 olh@suse.de
- compile vfat and required nls modules into the kernel,
  to make booting from FAT filesystems more reliable
* Tue Jan 03 2006 olh@suse.de
- update to 2.6.15
* Mon Jan 02 2006 olh@suse.de
- add a few patches from the powerpc.git tree for kdump and udbg
  patches.arch/20060102-0002-powerpc-Merge-kexec.patch
  patches.arch/20060102-0008-powerpc-IBMEBUS-bus-support.patch
  patches.arch/20060102-0020-powerpc-Add-OF-address-parsing-code-2.patch
  patches.arch/20060102-0021-powerpc-serial-port-discovery-2.patch
  patches.arch/20060102-0022-powerpc-Unify-udbg-2.patch
  patches.arch/20060102-0023-powerpc-Add-back-support-for-booting-from-BootX-2.patch
  patches.arch/20060102-0024-powerpc-convert-macio_asic-to-use-prom_parse.patch
  patches.arch/20060102-0036-powerpc-Fix-g5-build-with-xmon.patch
  patches.arch/20060102-0037-powerpc-serial-port-discovery-cope-with-broken-firmware.patch
  patches.arch/20060102-0042-powerpc-More-serial-probe-fixes-2.patch
  patches.arch/20060102-0062-powerpc-powermac-adb-fix-dependency-on-btext_drawchar.patch
  patches.arch/20060102-0064-powerpc-udbg-updates.patch
  patches.arch/20060102-0065-powerpc-Update-OF-address-parsers.patch
  patches.arch/20060102-0071-powerpc32-fix-definition-of-distribute_irqs.patch
  patches.arch/20060102-0072-powerpc-Propagate-regs-through-to-machine_crash_shutdown.patch
  patches.arch/20060102-0073-powerpc-Add-a-is_kernel_addr-macro.patch
  patches.arch/20060102-0074-powerpc-Separate-usage-of-KERNELBASE-and-PAGE_OFFSET.patch
  patches.arch/20060102-0078-powerpc-fix-for-Update-OF-address-parsers.patch
  patches.arch/20060102-0080-powerpc-Add-CONFIG_CRASH_DUMP.patch
  patches.arch/20060102-0081-powerpc-Create-a-trampoline-for-the-fwnmi-vectors.patch
  patches.arch/20060102-0082-powerpc-Reroute-interrupts-from-0-offset-to-PHYSICAL_START-offset.patch
  patches.arch/20060102-0083-powerpc-Fixups-for-kernel-linked-at-32-MB.patch
  patches.arch/20060102-0084-powerpc-Add-arch-dependent-basic-infrastructure-for-Kdump.patch
  patches.arch/20060102-0085-powerpc-Parse-crashkernel-parameter-in-first-kernel.patch
  patches.arch/20060102-0086-powerpc-Add-arch-dependent-copy_oldmem_page.patch
  patches.arch/20060102-0087-powerpc-Add-support-for-linux-usable-memory-on-memory-nodes.patch
* Sun Jan 01 2006 olh@suse.de
- update to 2.6.15-rc7-git6
* Thu Dec 29 2005 schwab@suse.de
- Fix logic error in suse-ppc32-mol-verify_area.patch.
* Fri Dec 23 2005 tiwai@suse.de
- patches.fixes/modpost-segfault-fix.diff: Fix segfault of
  modpost with external modules (139359).
* Fri Dec 23 2005 jbeulich@novell.com
- patches.xen/xen3-fixup-dev-attr: adjust device attribute show
  functions (#140453).
* Thu Dec 22 2005 garloff@suse.de
- Fix quoting error in determination of non-compliant modules.
  (104157)
* Wed Dec 21 2005 gregkh@suse.de
- turn SELINUX off in the configs
* Wed Dec 21 2005 axboe@suse.de
- patches.drivers/libata-do-simple-command-sleep-hack: Delete.
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Wed Dec 21 2005 axboe@suse.de
- patches.drivers/libata-odd-length-buffer: Delete.
- patches.drivers/libata-data-pad: Delete.
- patches.drivers/libata-eh-vs-irq-race: Delete.
- patches.drivers/libata-atapi-pio-race-1: Delete.
- patches.drivers/libata-ata_poll_qc_complete: Delete.
- patches.drivers/libata-fix-eh-locking: Delete.
- patches.drivers/libata-pio-poll-fix: Delete.
* Wed Dec 21 2005 olh@suse.de
- enable rivafb and nvidiafb. Maybe it helps with monitor detection
* Wed Dec 21 2005 trenn@suse.de
- patches.fixes/acpi-prefer-cpufreq-over-throttling: In passive
  cooling case cpufreq should be preferred over throttling
  (138011).
* Wed Dec 21 2005 olh@suse.de
- update to 2.6.15-rc6-git2
* Wed Dec 21 2005 aj@suse.de
- Fix kernel-syms spec file.
* Tue Dec 20 2005 kkeil@suse.de
- patches.drivers/sky2.patch: Add sky2 driver from -mm series.
- Update config files.
* Tue Dec 20 2005 garloff@suse.de
- Increase default number of loop devices from 8 to 64.
* Mon Dec 19 2005 jbeulich@novell.com
- config/x86_64/xen: Enable SMP, misc adjustments (from ccoffing)
* Mon Dec 19 2005 jbeulich@novell.com
- config/i386/xen: Enable SMP, misc adjustments.
- patches.xen/xen3-fixup-x86_64-cpu-possible-map: x86-64's
  cpu_possible_map must be initialized earlier.
* Mon Dec 19 2005 axboe@suse.de
- patches.drivers/dm-no-bounce: DM doesn't need io bounced
  (90366).
* Mon Dec 19 2005 hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Update to svn r446.
* Mon Dec 19 2005 olh@suse.de
- add patches.arch/ppc-offb-address.patch
  try different ways to obtain the framebuffer address
* Mon Dec 19 2005 olh@suse.de
- update to 2.6.15-rc6
* Sat Dec 17 2005 tonyj@suse.de
- patches.suse/subdomain: Inadvertantly dropped warning msg in last
  checkin. Corrected.
* Sat Dec 17 2005 tonyj@suse.de
- patches.suse/subdomain: SubDomain (AppArmor).
* Sat Dec 17 2005 agruen@suse.de
- patches.fixes/nfsd-setacl-readonly.diff: [nfsd] Check for
  read-only exports before setting acls (139411).
* Fri Dec 16 2005 trenn@suse.de
- patches.arch/avoid_table_double_loading.diff: Delete.
* Fri Dec 16 2005 hare@suse.de
- patches.fixes/scsi-scan-use-after-free
  Fix memory corruption within the SCSI midlayer.
* Fri Dec 16 2005 tonyj@suse.de
- patches.suse/subdomain: fix minor memory leak in profile load
  and incorporate initial review feedback
- patches.suse/subdomain_audit: readjust for above change
- patches.suse/subdomain_namespacesem: readjust for above change
* Thu Dec 15 2005 agruen@suse.de
- Add /boot/symtypes.gz and the logic to generate it. This table
  allows to trace modverion changes back to their causes.
* Thu Dec 15 2005 agruen@suse.de
- Make the kernel-$flavor packages provide versioned sets of
  symbols that kernel module packages can then require, and add
  the generated sets to the kernel packages as
  /boot/symsets-*.tar.gz.
  + rpm/make-symsets: create a symsets.tar.gz tarball based on
  symvers.gz and an optional previous symsets.tar.gz.
  + rpm/find-provides: Create the actual Provides tags from
  symsets.tar.gz.
* Thu Dec 15 2005 olh@suse.de
- update to 2.6.15-rc5-git5
* Thu Dec 15 2005 agruen@suse.de
- Rename kernel-s390x to kernel-default.
* Wed Dec 14 2005 jeffm@suse.de
- enable patches.fixes/reiserfs-skip-commit-on-error.diff
  enable patches.fixes/reiserfs-close-open-transactions.diff (fixed)
* Wed Dec 14 2005 tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- Update config files.
* Wed Dec 14 2005 olh@suse.de
- disable patches.fixes/reiserfs-skip-commit-on-error.diff
  disable patches.fixes/reiserfs-close-open-transactions.diff
* Tue Dec 13 2005 olh@suse.de
- update patches.arch/ppc64-xmon-dmesg-printing.patch
  fix incorrect merge
* Tue Dec 13 2005 olh@suse.de
- update to 2.6.15-rc5-git3
* Tue Dec 13 2005 agruen@suse.de
- rpm/built-in-where: Figure out which symbols in symvers.gz are
  defined in which built-in.o files, and replace <vmlinux> in the
  symvers.gz with <dir/subdir/built-in> as appropriate.
- rpm/kernel-binary.spec.in: Use built-in-where.
* Mon Dec 12 2005 kraxel@suse.de
- Update config files.
- series.conf: disabled skas3 patches, uml can use skas on unpatched
  kernel these days (skas0 mode).
- patches.uml/uml-x11-fb: updated uml framebuffer driver.
* Sun Dec 11 2005 agruen@suse.de
- Create /usr/src/linux-obj/`uname -m` -> ARCH symlinks for
  architectures where the kbuild ARCH= differs from `uname -m`.
* Fri Dec 09 2005 olh@suse.de
- add patches.suse/8250-sysrq-ctrl_o.patch
  handle sysrq also via 'ctrl o' on the system console (96313 - LTC16841)
* Fri Dec 09 2005 schwab@suse.de
- Increase NR_CPUS to 1024 on ia64.
* Fri Dec 09 2005 schwab@suse.de
- Fix slow reading of /proc/stat.
* Fri Dec 09 2005 agruen@suse.de
- /boot/symvers.gz: Sort by symbol name in POSIX order. Rename from
  symvers-x.y.z-arch-flavor.gz to symvers-x.y.z-flavor.gz.
* Fri Dec 09 2005 tonyj@suse.de
- Drop -Werror in AppArmor module (causing non i386 builds to fail)
* Thu Dec 08 2005 tonyj@suse.de
- supported.conf: add new AppArmor submodule sdmatch_pcre
- Update config files to re-enable AppArmor
- patches.suse/subdomain: update AppArmor to r5891
- patches.suse/subdomain_audit: Cleanup patch header
- patches.suse/subdomain_namespacesem: Export namespace semaphore.
* Wed Dec 07 2005 jeffm@suse.de
- patches.fixes/reiserfs-close-open-transactions.diff:
  reiserfs: close open transactions on error path.
- patches.fixes/reiserfs-skip-commit-on-error.diff:
  reiserfs: skip commit on io error.
* Wed Dec 07 2005 kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixup-mtrr-kconfig: Fix mtrr kconfig for
  non-xen kernels.
* Wed Dec 07 2005 jbeulich@novell.com
- Update config/x86_64/xen.
- patches.xen/xen3-release-magic: make xen-3.0.0 final boot
  also our x86-64 kernel.
* Wed Dec 07 2005 kraxel@suse.de
- Update config files.
* Wed Dec 07 2005 kraxel@suse.de
- updated autogenerated xen3 patches.
- patches.xen/xen-public-update: update xen3 hypervisor headers.
- patches.xen/xen3-fixup-acpi-domU: Disable ACPI in unprivilidged
  xen domains.
- patches.xen/xen3-fixup-net-headroom: xen netfront driver needs
  more headroom.
* Tue Dec 06 2005 olh@suse.de
- add patches.suse/scsi_scan_use_after_free-2.6.15rc5.patch
  workaround slab corruption problem
* Tue Dec 06 2005 kraxel@suse.de
- patches.xen/xen-blkback-update: update block backend driver
  to xen 3.0.0 release level.
- patches.xen/xen-blkfront-update: update block frontend driver
  to xen 3.0.0 release level.
- patches.xen/xen-netback-update: update network backend driver
  to xen 3.0.0 release level.
- patches.xen/xen-netfront-update: update network frontend driver
  to xen 3.0.0 release level.
- patches.xen/xen3-release-magic: make xen-3.0.0 final boot
  our kernel.
* Tue Dec 06 2005 olh@suse.de
- add patches.arch/ppc-pr25248-fno-ivopts.patch
  workaround for gcc-4.1 bug
* Tue Dec 06 2005 hare@suse.de
- patches.drivers/qla4xxx
  Update to latest version
- Update config files.
* Tue Dec 06 2005 hare@suse.de
- patches.suse/fastboot-console-init
- patches.fixes/ide-cs-correct-device-link
- patches.fixes/visor-override-probe
  Remove more obsolete patches.
* Tue Dec 06 2005 hare@suse.de
- patches.suse/scsi-scan-replun-no-ex-lun0
- patches.fixes/qlogicisp-eh
  Remove obsolete patches.
* Tue Dec 06 2005 hare@suse.de
- patches.drivers/scsi-misc
  Update to scsi-misc git tree.
* Mon Dec 05 2005 tiwai@suse.de
- patches.drivers/alsa-decl: Delete.
- patches.drivers/alsa-git-2.6.15: Update ALSA git patches.
* Mon Dec 05 2005 kraxel@suse.de
- patches.xen/xen-public-update: update
  include/arch-xen/xen-public to xen 3.0.0 level.
* Mon Dec 05 2005 kraxel@suse.de
- patches.uml/skas-2.6.12-v8.patch: Delete.
- patches.xen/xen3-2.6.15-backport-gdt-access: Delete.
* Mon Dec 05 2005 kraxel@suse.de
- Update xen and uml patches.
- Update config files.
* Sun Dec 04 2005 olh@suse.de
- add patches.arch/ppc-mac-io-MODALIAS.patch
* Sun Dec 04 2005 schwab@suse.de
- Update to 2.6.15-rc5.
* Sun Dec 04 2005 schwab@suse.de
- alsa-current: fix missing declarations.
* Sat Dec 03 2005 schwab@suse.de
- config/powerpc/ppc64: enable CONFIG_FB_NVIDIA and CONFIG_FB_NVIDIA_I2C.
* Fri Dec 02 2005 tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- Update config files.
* Fri Dec 02 2005 schwab@suse.de
- Reenable IA64_SGI_SN_XP [#134912].
* Fri Dec 02 2005 schwab@suse.de
- Add fixup code for pci_controller->windows on Altix.
* Fri Dec 02 2005 olh@suse.de
- update to 2.6.15-rc4-git1
* Fri Dec 02 2005 hare@suse.de
- add patches.drivers/scsi-misc
  scsi-misc tree from James Bottomley
- Update config files.
* Fri Dec 02 2005 olh@suse.de
- update patches.drivers/ibmvscsis.patch for 2.6.15
* Thu Dec 01 2005 olh@suse.de
- add patches.suse/IEEE80211_CRYPT_TKIP.patch
  ieee80211_crypt_tkip depends on NET_RADIO
  add patches.suse/suse-ppc-default-arch.patch
  make ARCH=powerpc the default, and move config files
* Thu Dec 01 2005 schwab@suse.de
- Update to 2.6.15-rc4.
* Thu Dec 01 2005 kraxel@suse.de
- update xen3 patches.
* Wed Nov 30 2005 tiwai@suse.de
- patches.fixes/drm-null-reference-fix: Fix NULL reference in drm
  (132271).
* Tue Nov 29 2005 jeffm@suse.de
- patches.fixes/reiserfs-cnode-failure.diff:  reiserfs: handle
  cnode allocation failure gracefully (#133999).
* Tue Nov 29 2005 schwab@suse.de
- Fix compilation with new binutils.
* Tue Nov 29 2005 agruen@suse.de
- rpm/kernel-syms.spec.in: don't skip over kernel-um.
* Tue Nov 29 2005 gregkh@suse.de
  Remove USB storage patches that are already upstream
- patches.drivers/usb-storage-smsc-floppy-multilun.patch: Delete.
- patches.drivers/usb-storage-nec-floppy-multilun.patch: Delete.
* Tue Nov 29 2005 jeffm@suse.de
- patches.suse/configfs.diff: configfs: merge svn 2710.
- patches.suse/ocfs2.diff: ocfs2: merge svn 2710.
- patches.suse/aop-truncated-page.diff: [Patch] add
  AOP_TRUNCATED_PAGE, prepend AOP_ to WRITEPAGE_ACTIVATE. (needed
  for ocfs2)
* Sun Nov 27 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Make sure kernel flavors that are
  based on a different set of patches than kernel-source won't
  wrongly get a /usr/src/linux-obj directory for creating external
  kernel modules; such modules would not work.
- rpm/kernel-syms.spec.in: Make sure kernel flavors that are based
  on a different set of patches than kernel-source won't have
  their symvers.gz file put in /usr/src/linux-obj: it would not
  match the kernel sources, anyway.
* Fri Nov 25 2005 olh@suse.de
- add patches.suse/suse-ppc-pmac_zilog.USE_CTRL_O_SYSRQ.patch
  do SYSRQ with ctrl-O (like pSeries virtual consoles).
* Fri Nov 25 2005 olh@suse.de
- add patches.drivers/ibmvscsis.patch
* Fri Nov 25 2005 olh@suse.de
- update to 2.6.14.3
  drivers/isdn/hardware/eicon/os_4bri.c: correct the xdiLoadFile() signature
  x86_64/i386: Compute correct MTRR mask on early Noconas
  PPTP helper: Fix endianness bug in GRE key / CallID NAT
  nf_queue: Fix Ooops when no queue handler registered
  ctnetlink: check if protoinfo is present
  ip_conntrack: fix ftp/irc/tftp helpers on ports >= 32768
  VFS: Fix memory leak with file leases
  hwmon: Fix lm78 VID conversion
  hwmon: Fix missing it87 fan div init
  ppc64 memory model depends on NUMA
  Generic HDLC WAN drivers - disable netif_carrier_off()
  ctnetlink: Fix oops when no ICMP ID info in message
  Don't auto-reap traced children
  packet writing oops fix
  PPTP helper: fix PNS-PAC expectation call id
  NAT: Fix module refcount dropping too far
  Fix soft lockup with ALSA rtc-timer
  Fix calculation of AH length during filling ancillary data.
  ip_conntrack TCP: Accept SYN+PUSH like SYN
  refcount leak of proto when ctnetlink dumping tuple
  Fix memory management error during setting up new advapi sockopts.
  Fix sending extension headers before and including routing header.
  hwmon: Fix missing boundary check when setting W83627THF in0 limits
* Wed Nov 23 2005 tonyj@suse.de
- reenable subdomain (AppArmor) in series.conf
- add CONFIG_SECURITY_SUBDOMAIN to necessary config files
- small patch to export necessary symbols from audit subsystem
* Wed Nov 23 2005 ak@suse.de
- scripts/log: Ignore series.conf changes
* Tue Nov 22 2005 gregkh@suse.de
  Mark kernel.org patches as coming from mainline.
- patches.kernel.org/patch-2.6.14.1: 2.6.14.1.
- patches.kernel.org/patch-2.6.14.1-2: 2.6.14.2.
* Tue Nov 22 2005 gregkh@suse.de
  Disable PCI GPL-only symbol change patch.
* Tue Nov 22 2005 gregkh@suse.de
- patches.drivers/pci-free.patch: PCI core wants to be free.
* Mon Nov 21 2005 schwab@suse.de
- Fix asm constraint in put_user.
* Fri Nov 18 2005 garloff@suse.de
- Rediff and reenable patches.suse/security-cap-default (#131755).
* Fri Nov 18 2005 duwe@suse.de
- patches.suse/acpi_enable_ec_burst_mode and
  patches.arch/avoid_table_double_loading.diff
  adapt to reindented context lines and reenable
* Thu Nov 17 2005 okir@suse.de
- patches.suse/nfs-sysctl: Make nfs_max_readahead tunable
* Thu Nov 17 2005 okir@suse.de
- Update config files: made NFS and sunrpc modular
* Wed Nov 16 2005 okir@suse.de
- patches.suse/nfs-sysctl: Add /proc/sys/fs/nfs sysctls to nfs module.
- patches.suse/nfsd-sysctl: Add /proc/sys/fs/nfs sysctls to nfsd module.
* Wed Nov 16 2005 olh@suse.de
- enable CONFIG_KPROBES for iseries64
* Wed Nov 16 2005 okir@suse.de
- Reviewed a bunch of old patches; deleted some, updated some.
* Tue Nov 15 2005 kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixup-arch-x86_64-buildtree: Fix x86_64
  xen build.
- patches.xen/xen3-fixup-arch-um: make uml build again with xen
  patches applied.
- patches.xen/xen3-fixup-common-free_irq: fix xen's free_irq()
  fixups to make it build on all archs.
* Tue Nov 15 2005 schwab@suse.de
- Fix default VGA console on SN platforms.
* Tue Nov 15 2005 hare@suse.de
- patches.fixes/no-partition-check-for-pcmcia
  Do not check partition on flashdisks on open() (#132507)
* Tue Nov 15 2005 axboe@suse.de
- patches.drivers/sis5513-support-sis-965l: Add sis 965l suppor
  for the sis5513 ide driver (131346).
* Tue Nov 15 2005 lmb@suse.de
- patches.fixes/vfs-leases-memleak: Fix memory leak in error leg of
  file leases (#133803)
* Tue Nov 15 2005 hare@suse.de
- patches.suse/libata-enable-atapi.patch
  Update to apply with current kernel.
- Remove unneeded patches.
* Mon Nov 14 2005 gregkh@suse.de
  removed unneeded input patch
- patches.suse/input-kill-sbin-hotplug.patch: Delete.
* Mon Nov 14 2005 kraxel@suse.de
- Update config files.
- patches.suse/twofish-2.6: Twofish encryption for loop device
  for old S.u.S.E. crypto partitions (rediffed and enabled).
- patches.xen/xen3-fixup-arch-x86_64-buildtree: Fix x86_64
  xen build.
* Mon Nov 14 2005 kraxel@suse.de
- patches.suse/configfs-kapi-compat.diff,
  patches.suse/ocfs2-kapi-compat.diff: fix for separate src/obj trees.
- patches.xen/xen3-2.6.15-backport-gdt-access: [PATCH] x86:
  add an accessor function for getting the per-CPU gdt.
- patches.xen/xen3-auto-arch-i386.diff: drop some bits obsoleted by
  the backport above.
- patches.xen/xen3-fixup-arch-i386-buildtree: fix xen build for
  separate src/obj trees.
* Mon Nov 14 2005 olh@suse.de
- build autofs* as module also on iseries
* Fri Nov 11 2005 kraxel@suse.de
- patches.xen/xen3-fixup-common-tpm-infineon: adapt tpm_infineon.c
  to tpm layer changes.
- series.conf: enable xen3-auto-common.diff unconditionally,
  "+kernel-xen" one down ;)
* Fri Nov 11 2005 olh@suse.de
- enable xmon and spinlock debug on ppc
* Fri Nov 11 2005 okir@suse.de
- patches.fixes/ipv6-init-fail-cleanup: inet6_init: cleanup
  after failed initialization (132894).
* Fri Nov 11 2005 olh@suse.de
- update to 2.6.14.2
  airo.c/airo_cs.c: correct prototypes
  fix XFS_QUOTA for modular XFS
  NET: Fix zero-size datagram reception
  fix alpha breakage
  Oops on suspend after on-the-fly switch to anticipatory i/o scheduler - PowerBook5, 4
  ipvs: fix connection leak if expire_nodest_conn=1
  Fix ptrace self-attach rule
  fix signal->live leak in copy_process()
  fix de_thread() vs send_group_sigqueue() race
  prism54 : Fix frame length
  tcp: BIC max increment too large
* Thu Nov 10 2005 schwab@suse.de
- Fix __get_unaligned.
* Wed Nov 09 2005 kraxel@suse.de
- temporarely tagged xen patches touching common code with
  "+kernel-xen", review needed ...
* Wed Nov 09 2005 kraxel@suse.de
- big xen update from http://xenbits.xensource.com/linux-2.6-xen.hg
- patches.xen/xen3-auto-xen-arch.diff: xen: architecture bits.
- patches.xen/xen3-auto-xen-drivers.diff: xen: driver bits.
- patches.xen/xen3-auto-common.diff: xen: common code changes.
- patches.xen/xen3-auto-arch-i386.diff: xen: i386 arch changes.
- patches.xen/xen3-auto-arch-um.diff: xen: um arch changes.
- patches.xen/xen3-auto-arch-x86_64.diff: xen: x86_64 arch
  changes.
- dropped lots of old xen patches.
- Update config files.
- Adapted scripts, "ARCH=xen" is not needed any more on the make
  command line,
* Wed Nov 09 2005 olh@suse.de
- update to 2.6.14.1
  CVE-2005-2709 sysctl unregistration oops
* Wed Nov 09 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Add a ``make scripts'' to create
  scripts like modpost (132492).
* Tue Nov 08 2005 agruen@suse.de
- patches.drivers/drm-fixes: Delete.
- patches.drivers/drm-mach64: Delete.
- patches.drivers/drm-via: Delete.
- patches.drivers/drm-ioctl32: Delete.
- patches.fixes/drm-ioctl32: Delete.
* Fri Nov 04 2005 duwe@suse.de
- switch AMD64 smp to discontigous memory (Bug #132301)
* Fri Nov 04 2005 olh@suse.de
- add patches.arch/ppc64-gcc41-global-reg.patch
  mark global register for paca as volatile (PR24644)
* Thu Nov 03 2005 schwab@suse.de
- Update kdb patches.
* Thu Nov 03 2005 hare@suse.de
- patches.drivers/scsi-misc
  Update to latest git tree
- patches.drivers/open-iscsi-svn.diff
  Update to svn r436
- patches.drivers/iscsitarget
- patches.drivers/iscsitarget-align-with-open-iscsi.patch
- patches.drivers/iscsitarget-svn.diff
  Update to svn r1262
- Update config files
- Remove obsolete patches
* Wed Nov 02 2005 jeffm@suse.de
- Update config files for ocfs2/configfs.
* Wed Nov 02 2005 okir@suse.de
- patches.fixes/acpi-disable-c2-c3-ibm-r40e: Disable C2/C3 states
  on all IBM R40e BIOSes (129954).
* Wed Nov 02 2005 jeffm@suse.de
- patches.suse/ocfs2-configfs: Delete.
- patches.suse/ocfs2.diff: ocfs2: merge from svn 2673.
- patches.suse/ocfs2-kapi-compat.diff: ocfs2: API compatibility
  layer.
- patches.suse/configfs.diff: configfs: merge svn 2673.
- patches.suse/configfs-kapi-compat.diff: configfs: API
  compatibility layer.
* Mon Oct 31 2005 olh@suse.de
- add patches.arch/ppc64-xmon-dmesg-printing.patch
  syslog printing for xmon debugger.
* Sun Oct 30 2005 olh@suse.de
- add patches.arch/ppc64-vio-MODALIAS.patch (56865 - LTC9238)
* Sun Oct 30 2005 olh@suse.de
- enable CONFIG_XMON_DEFAULT on ppc64
* Sat Oct 29 2005 olh@suse.de
- add patches.arch/s390-const-pointer-uaccess.patch
* Fri Oct 28 2005 tiwai@suse.de
- Update ALSA patches
- Revive bootsplash
* Fri Oct 28 2005 gregkh@suse.de
  Update to 2.6.14, now that it is out.
- patches.kernel.org/patch-2.6.14-rc3: Delete.
- patches.kernel.org/patch-2.6.14-rc3-rc4: Delete.
- patches.kernel.org/patch-2.6.14-rc4-rc5: Delete.
- patches.kernel.org/patch-2.6.14-rc5-git5: Delete.
* Thu Oct 27 2005 gregkh@suse.de
  Lots of input and class patches to make input use the hotplug
  core properly.  All of this will be in mainline in 2.6.15-rc1.
* Thu Oct 27 2005 gregkh@suse.de
- patches.drivers/coldplug-emit-hotplug-events-from-sysfs.patch:
  add sysfs attr to re-emit device hotplug event.
  Needed for udev startup.
* Thu Oct 27 2005 mantel@suse.de
- patches.fixes/samsung-unusual-floppy: USB floppy drive SAMSUNG
  SFD-321U/EP detected 8 times (117643).
* Thu Oct 27 2005 mantel@suse.de
- Update config files: CONFIG_ACPI_HOTKEY is not supportable yet
  according to Intel, so should be disabled (#130962)
* Thu Oct 27 2005 ak@suse.de
- Port remaining patches: Disable APIC by default on UP kernel again,
  Fix ACPI debugging, etc.
* Thu Oct 27 2005 ak@suse.de
- Remove obsolete patches, reenable some.
* Thu Oct 27 2005 ak@suse.de
- Disable ACPI again before 2001
* Thu Oct 27 2005 olh@suse.de
- add patches.arch/ppc64-fx-freq-scaling.diff
  add patches.arch/ppc64-smu-partitions.diff
  add patches.arch/ppc64-smu-thermal-control.diff
  new SMU driver
* Wed Oct 26 2005 tiwai@suse.de
- patches.drivers/oss-device-assign: Delete.
- patches.fixes/unsymmetric-pageattr: Delete.
- patches.drivers/alsa-git-post-2.6.14: ALSA-git update
* Wed Oct 26 2005 gregkh@suse.de
- patches.fixes/usb-interface-modalias-fix.patch: USB: always
  export interface information for modalias (105621).
* Tue Oct 25 2005 olh@suse.de
- update to 2.6.14-rc5-git5
* Fri Oct 21 2005 mantel@suse.de
- i386: increase CONFIG_SERIAL_8250_NR_UARTS to 8 (#119467)
* Thu Oct 20 2005 olh@suse.de
- kernel-source.ppc.rpm: nosrc -> src
* Thu Oct 20 2005 olh@suse.de
- add patches.xen/xen3-asm-offsets.diff
  kbuild: full dependency check on asm-offsets.h
* Thu Oct 20 2005 olh@suse.de
- update to 2.6.14-rc5
* Thu Oct 20 2005 neilb@suse.de
- patches.fixes/nfsd-multi-programs: Make sure svc_process call
  the correct pg_authenticate for multi-service port (128784).
- series.conf: patches.fixes/nfsd-multi-programs
  Without this, locking doesn't work on filesystems NFS exported
  from SuSE10.
* Sat Oct 15 2005 olh@suse.de
- update to 2.6.14-rc4-git4
* Wed Oct 12 2005 tiwai@suse.de
- patches.fixes/getnstimeofday-missing-export: Add missing export
  of getnstimeofday().
* Wed Oct 12 2005 ak@suse.de
- Enable CONFIG_SECCOMP on x86-64
* Wed Oct 12 2005 ak@suse.de
- disable CONFIG_EXT2_FS_XIP for anything but s390
* Tue Oct 11 2005 olh@suse.de
- add patches.rpmify/offsets_h-dirname.patch
  remove the $RPM_BUILD_ROOT string from generated files
* Tue Oct 11 2005 gregkh@suse.de
- Removed unused i2c chip driver that isn't going upstream anytime
  soon.
* Tue Oct 11 2005 gregkh@suse.de
- Remove amdshpc driver.  It shouldn't be used, the in-kernel one
  is working just fine. (I'm working with AMD to fix up any
  remaining issues.)
* Tue Oct 11 2005 tiwai@suse.de
- patches.drivers/alsa-*: Delete.
- patches.suse/fuse-*: Delete.
- patches.drivers/alsa-git-post-2.6.14: ALSA-git update (post
  2.6.14).
- Update config files.
* Tue Oct 11 2005 gregkh@suse.de
- Remove ECC patches, they need to be updated by Intel if they
  want them in the next kernel release.
* Tue Oct 11 2005 gregkh@suse.de
- Remove lirc patches from the tree as they are never going to
  be in mainline and we have other ways to support these devices.
  (and the code didn't even work for a lot of devices...)
* Tue Oct 11 2005 axboe@suse.de
- patches.arch/ide-ioreg-long-ia64: Delete.
- patches.fixes/cfq-refcount-fix: Delete.
- patches.fixes/dont-dupe-fs_excl-count-on-fork: Delete.
- patches.fixes/ata_piix-scan-all-enabled-ports: Delete.
- series.conf: Update/kill patches for the 2.6.14 update
* Tue Oct 11 2005 olh@suse.de
- update to 2.6.14-rc4
* Tue Oct 11 2005 gregkh@suse.de
- Enable the module support flag patch and move it higher up in
  the stack as we are probably never going to get that one into
  mainline.
* Tue Oct 11 2005 gregkh@suse.de
  Remove some patches I owned, that are all in 2.6.14-rc
- patches.drivers/floppy-cmos-attribute.patch: Delete.
- patches.drivers/floppy-cmos-attribute-tidy.patch: Delete.
- patches.drivers/securityfs.patch: Delete.
* Tue Oct 11 2005 gregkh@suse.de
- Finish replacing +check2614 with the real owners.
  Sorry about the mess this caused...
* Tue Oct 11 2005 gregkh@suse.de
- Start replacing +check2614 with the real owners
* Mon Oct 10 2005 olh@suse.de
- add patches.suse/suse-ppc32-mol-verify_area.patch
  verify_area was removed in 2.6.14
* Mon Oct 10 2005 olh@suse.de
- add patches.suse/cpu_die.diff
  fix compilation with -Werror-implicit-function-declaration
* Mon Oct 10 2005 olh@suse.de
- add patches.suse/qla-fc_remote_port_unblock.patch
  fix compilation with -Werror-implicit-function-declaration
* Mon Oct 10 2005 olh@suse.de
- update to 2.6.14-rc3-git8
* Mon Oct 10 2005 olh@suse.de
- add patches.suse/pcnet32-MAC-from-prom.patch
  remove special case for ppc to use MAC from prom if CSR is corrupt
* Sat Oct 08 2005 schwab@suse.de
- Update kdb patches.
* Sat Oct 08 2005 gregkh@suse.de
- update the USB patches for 2.6.14
* Sat Oct 08 2005 gregkh@suse.de
  2.6.14-rc3 first cut.  Update the rpmify patches, and the configs,
  but everything else is commented out.  More work todo...
- patches.fixes/patch-2.6.13.1-2: Delete.
- patches.fixes/patch-2.6.13.2-3: Delete.
- patches.fixes/patch-2.6.13.1: Delete.
- Update config files.
- patches.kernel.org/patch-2.6.14-rc3:
* Fri Oct 07 2005 mantel@suse.de
- Update config files: reduce CONFIG_LEGACY_PTY_COUNT to 64
* Fri Oct 07 2005 olh@suse.de
- add patches.arch/ppc64-module-reloc-R_PPC64_TOC16.patch
  handle gcc4 generated relocation types for 32-bit mem acces
* Thu Oct 06 2005 okir@suse.de
- Enabled CONFIG_HPET_TIMER=y on i386 default, smp, bigsmp, debug kernels
* Thu Oct 06 2005 okir@suse.de
- patches.fixes/acpi-pcc-fix: Fix pcc_acpi unloading (118602).
* Thu Oct 06 2005 okir@suse.de
- patches.fixes/acpi-endless-loop: [ACPI] Fix ACPI device scan (116763).
* Wed Oct 05 2005 garloff@suse.de
- patches.fixes/serial8250_console_write-ier: Update to reflect
  the existence of UART_IER_UUE. (#49840)
* Tue Oct 04 2005 tiwai@suse.de
- Update config files: Select CONFIG_PREEMPT_VOLUNTARY.
* Tue Oct 04 2005 olh@suse.de
- update to 2.6.13.3
  Fix fs/exec.c:788 (de_thread()) BUG_ON
  Don't over-clamp window in tcp_clamp_window()
  fix IPv6 per-socket multicast filtering in exact-match case
  ipvs: ip_vs_ftp breaks connections using persistence
  uml - Fix x86_64 page leak
  skge: set mac address oops with bonding
  tcp: set default congestion control correctly for incoming connections
* Fri Sep 30 2005 olh@suse.de
- add patches.fixes/ieee1394-sbp2-sbp2_command_orb_inuse-locking.patch
  fix an oops in sbp2 (113734)
  add a few patches from 2.6.14-rc2-mm2
  patches.fixes/eth1394-workaround-limitation-in-rawiso-routines.patch
  patches.fixes/ieee1394-delete-legacy-module-aliases.patch
  patches.fixes/ieee1394-fix-for-debug-output.patch
  patches.fixes/ieee1394-reorder-activities-after-bus-reset-fixes-device-detection.patch
  patches.fixes/ieee1394-skip-unnecessary-pause-when-scanning-config-roms.patch
  patches.fixes/ieee1394-use-time_before.patch
  patches.fixes/ohci1394-less-noise-in-dmesg.patch
* Wed Sep 28 2005 olh@suse.de
- update ocfs2 patch, move truncate_inode_pages call in jfs
* Mon Sep 26 2005 olh@suse.de
- update to 2.6.13.2
  Reassembly trim not clearing CHECKSUM_HW
  Fix MPOL_F_VERIFY
  jfs: jfs_delete_inode must call clear_inode
  USB: ftdi_sio: custom baud rate fix
  Sun GEM ethernet: enable and map PCI ROM properly
  forcedeth: Initialize link settings in every nv_open()
  lost fput in 32bit ioctl on x86-64
  Lost sockfd_put() in routing_ioctl()
  Fix DHCP + MASQUERADE problem
  Sun HME: enable and map PCI ROM properly
* Sun Sep 25 2005 schwab@suse.de
- Enable HOTPLUG_CPU on ia64.
* Fri Sep 23 2005 olh@suse.de
- enable bluetooth and irda on ppc
* Thu Sep 22 2005 garloff@suse.de
- patches.xen/xen-net-more-headroom: Fix "Received packet needs 56
  bytes more headroom." that stall TCP to unprivileged domains.
* Thu Sep 22 2005 agruen@suse.de
- patches.suse/tmpfs-acl.diff: Fix truncate in shmem_notify_change
  (118299).
* Wed Sep 21 2005 axboe@suse.de
- patches.drivers/sata-promise-pata: support PATA ports on SATA
  controllers (117068): Missed an include diff
* Wed Sep 21 2005 olh@suse.de
- add patches.suse/suse-ppc32-mol-gas-macro.patch
  update for recent gas macro handling changes
* Tue Sep 20 2005 axboe@suse.de
- patches.drivers/sata-promise-pata: support PATA ports on SATA
  controllers (117068).
* Mon Sep 19 2005 olh@suse.de
- enable CONFIG_DEBUG_SLAB on ppc
* Thu Sep 15 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-xen.diff: Xen fixes
  for building with O=.
* Thu Sep 15 2005 olh@suse.de
- mark kernel/drivers/net/mv643xx_eth unsupported. MAC collisions
* Thu Sep 15 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  More dependency fixes.
* Wed Sep 14 2005 olh@suse.de
- add patches.fixes/yenta_subordinate_oops.patch
  check for NULL pointer to fix crash when BIOS left some bus numbers
  unassigned. (113778)
* Tue Sep 13 2005 olh@suse.de
- add patches.fixes/pci_write_config_byte.patch
  write correct values to pci config space (cmd64x/hpt34x)
* Tue Sep 13 2005 okir@suse.de
- patches.fixes/acpi-thermal-polling: [ACPI] Leave thermal
  passive cooling when machine cooled down (98178; patch by
  Thomas Renninger).
* Tue Sep 13 2005 okir@suse.de
- patches.fixes/ec-enable-interrupts: [ACPI] Temperature polling
  should not disable interrupts (115459; patch by Andi Kleen).
* Tue Sep 13 2005 agruen@suse.de
- patches.fixes/fix-nfs-xfs_iget-shutdown: fix nfs xfs_iget
  shutdown (102531, SGI:PV941429).
* Tue Sep 13 2005 tiwai@suse.de
- patches.drivers/alsa-opl3sa2-unregister-fix.diff: [ALSA]
  snd_opl3sa2: add missing pnp_unregister_driver() calls (116586).
* Mon Sep 12 2005 mason@suse.de
- patches.suse/reiserfs-bkl-inversion: fix reiserfs lock inversion
  of bkl vs inode semaphore (116531).
* Mon Sep 12 2005 ak@suse.de
- fix compilation with xen
* Mon Sep 12 2005 ak@suse.de
- patches.arch/x86_64-no-timer-check: (#113323) Update ATI timer bug workaround.
- patches.arch/srat-fallback: (#115891) Backport some x86-64 srat
  fallback fixes
- patches.fixes/mempolicy-verify: Fix MPOL_F_VERIFY
* Mon Sep 12 2005 olh@suse.de
- add patches.fixes/hpt-pci-rom-corruption.patch
  hpt366: write the full 4 bytes of ROM address, not just low 1 byte
* Mon Sep 12 2005 mantel@suse.de
- patches.fixes/sendmsg-DOS: fix kernel sendmsg() DoS (114365).
* Mon Sep 12 2005 kkeil@suse.de
- Fix crash on resume with b44 network devices (#116088)
* Mon Sep 12 2005 mantel@suse.de
- patches.fixes/sendmsg-overflow: fix kernel sendmsg() overflow
  (114364).
* Mon Sep 12 2005 okir@suse.de
- patches.fixes/socket-filter-fix: fix socket filter code (2.6.13
  broke pcap and tcpdump) (115846).
* Sun Sep 11 2005 olh@suse.de
- update patches.suse/suse-ppc32-mol-sk_alloc.patch
  increase proto obj_size to struct sock, register protocol
* Sat Sep 10 2005 garloff@suse.de
- Disable SMP guest support for Xen on i386 and x86-64.
* Sat Sep 10 2005 axboe@suse.de
- series.conf: Disable CFQ refcount fix from IBM, it's buggy
* Sat Sep 10 2005 garloff@suse.de
- Update xen patches to 6715.
* Fri Sep 09 2005 okir@suse.de
- patches.fixes/input-mux-blacklist-vgnfs115b.diff: Fixed
  previous commit.
* Fri Sep 09 2005 okir@suse.de
- Fixed bad path name in previous patch
* Fri Sep 09 2005 thoenig@suse.de
- patches.suse/asus-lcd-fix: ASUS ACPI: make driver less verbose (114960).
* Fri Sep 09 2005 vojtech@suse.cz
- patches.fixes/input-mux-blacklist-vgnfs115b.diff: Blacklist MUX
  for Sony Vaio FSC115b (#80358)
* Fri Sep 09 2005 kkeil@suse.de
- patches.fixes/ppp-mppe-64bit-fix: Fix 64 bit issue
  (#115398, #113841)
* Fri Sep 09 2005 tiwai@suse.de
- series.conf: disable alsa-hda-intel-posbuf-fix.diff (just to be
  sure).
* Fri Sep 09 2005 axboe@suse.de
- patches.drivers/libata-data-pad: libata handle the case when
  device returns/needs extra data.
* Fri Sep 09 2005 axboe@suse.de
- patches.drivers/ahci-mem-failure-debug: Delete.
* Fri Sep 09 2005 mantel@suse.de
- disable usb-hid-blacklist-apple-bluetooth.patch
* Thu Sep 08 2005 tiwai@suse.de
- patches.drivers/alsa-intel8x0-buggy-semaphore: [ALSA] Add
  buggy_semaphore option (115837).
* Thu Sep 08 2005 okir@suse.de
- patches.suse/netfilter-hooks-checksum: [NETFILTER] Make extended
  netfilter hooks recompute IP checksum (115200).
* Thu Sep 08 2005 tiwai@suse.de
- patches.drivers/alsa-hda-intel-dmapos-fix.diff: [ALSA] hda-intel
  - Check validity of DMA position (115253).
- patches.drivers/alsa-hda-intel-fix.diff: [ALSA] hda-codec -
  Assign audio PCMS first (115253).
- patches.drivers/alsa-oss-getoptr-fix.diff: [ALSA] pcm-oss -
  Add bugg-yptr option (115829).
- patches.drivers/alsa-ibook-g4-fix.diff: [ALSA] Correct detection
  of iBook G4 1420Mhz soundcard.
* Thu Sep 08 2005 olh@suse.de
- add patches.arch/ppc-module_device_table-of.patch
  more modalias entries for macio devices (114695)
* Thu Sep 08 2005 axboe@suse.de
- patches.fixes/dont-dupe-fs_excl-count-on-fork: New task
  structures need to zero ->fs_excl.
* Thu Sep 08 2005 hare@suse.de
- patches.drivers/open-iscsi-noop_in.patch
  Update open-iscsi to svn r408.
* Thu Sep 08 2005 axboe@suse.de
- patches.fixes/cfq-refcount-fix: CFQ cic refcounting fix.
* Thu Sep 08 2005 garloff@suse.de
- We continue to need a non-PAE xen kernel.
* Wed Sep 07 2005 garloff@suse.de
- Update xen patches to 6644.
- Enable SMP and PAE in xen and fix all the compilation problems
  incurred. (ACPI_SLEEP and NUMA are still no-gos.)
- xen3-export-tlb-flush: export symbol.
* Wed Sep 07 2005 axboe@suse.de
- patches.drivers/libata-ata_pio_task-fix: Delete.
- patches.drivers/libata-pio-complete-retval: Delete.
- patches.drivers/libata-pio-poll-fix: Don't race with qc_complete
  in ata_pio_complete().
- series.conf: Replace with better simpler fix
* Wed Sep 07 2005 okir@suse.de
- Move ath_pci and ath_rate_sample to nongpl, where the base module is (115040).
* Wed Sep 07 2005 olh@suse.de
- remove patches.fixes/revert-pci-rom.patch
  add patches.suse/pci-rom-mapping.patch
  [PATCH] Fix PCI ROM mapping
  add patches.suse/pci_assign_unassigned_resources.patch
  [PATCH] x86: pci_assign_unassigned_resources() update (115118)
* Wed Sep 07 2005 olh@suse.de
- add patches.suse/ipsec-crash-bug115200.patch (115200)
  [CRYPTO] Fix boundary check in standard multi-block cipher processors
* Tue Sep 06 2005 garloff@suse.de
- xen: Fix SMP alternatives, fix NUMA e820 support, apply RTC patch
  unconditionally (CONFIG_XEN protected) -- from JBeulich.
* Tue Sep 06 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  include/config/MARKER is a phony target.
* Tue Sep 06 2005 olh@suse.de
- add patches.suse/acpi-cpufreq-pIII.patch
  Cpufreq fix for Pentium III - acpi-cpufreq module (104915)
* Tue Sep 06 2005 axboe@suse.de
- patches.drivers/libata-pio-complete-retval: ata_pio_complete()
  and ata_pio_block() return value.
- patches.drivers/libata-ata_pio_task-fix: ata_pio_task() fix.
* Tue Sep 06 2005 axboe@suse.de
- patches.drivers/libata-odd-length-buffer: libata ata_data_xfer()
  fix.
- patches.drivers/libata-data-pad: libata handle the case when
  device returns/needs extra data.
- patches.drivers/libata-atapi-pio-race-1: fix atapi_packet_task
  vs. intr race.
- patches.drivers/libata-ata_poll_qc_complete: implement
  ata_poll_qc_complete and use it in polling functions.
- patches.drivers/libata-fix-eh-locking: fix EH locking.
* Tue Sep 06 2005 axboe@suse.de
- patches.drivers/libata-eh-vs-irq-race: Inactivate libata
  command before completion.
* Tue Sep 06 2005 axboe@suse.de
- patches.drivers/ahci-mem-failure-debug: Print allocation
  failure location to debug load problem (112941).
* Tue Sep 06 2005 jeffm@suse.de
- patches.suse/subfs-detached-namespace.diff: [PATCH] subfs:
  refuse mount in deleted directory (#114351).
* Tue Sep 06 2005 agruen@suse.de
- patches.fixes/xfs-switch-to-kthread-api: Switch kernel thread
  handling to the kthread_ API (113237).
- patches.fixes/xfs-switch-to-kthread-api-2: Make sure the
  threads and shaker in xfs_buf are de-initialized in reverse
  startup order (113237).
* Mon Sep 05 2005 hare@suse.de
- patches.drivers/libata-atapi-cdrom-oops.patch
  Only request sense if no valid sense is present.
* Sun Sep 04 2005 garloff@suse.de
- Update xen patches to 6610.
- Compile virtual TPM drivers also for dom0.
* Sun Sep 04 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Further fixed for compiling with O= (65891).
* Sun Sep 04 2005 olh@suse.de
- add patches.suse/non-x86-rom-ok.patch
  Quiet an incorrect warning in aty128fb/radeonfb about the PCI ROM
* Sat Sep 03 2005 olh@suse.de
- add patches.suse/ohci1394-IR-legacy-flood.patch
  disable 'IR legacy activated' debug message
* Fri Sep 02 2005 olh@suse.de
- disable xmon by default, use xmon=on to enable it at boottime
* Fri Sep 02 2005 tiwai@suse.de
- patches.drivers/alsa-ppc-auto-drc-off.diff: [ALSA] Disable
  auto-toggling of DRC on TiBooks (113630).
- patches.drivers/alsa-alc658d-fix.diff: [ALSA] Fix ALC658D
  support (146962).
- patches.drivers/alsa-hdsp-firmware-fix.diff: [ALSA] hdsp:
  always initialize card name (164962).
* Fri Sep 02 2005 olh@suse.de
- add patches.fixes/ieee1394-MODALIAS.patch
  provide MODALIAS= for ieee1394 devices (#103746)
* Thu Sep 01 2005 vojtech@suse.cz
- input-kill-sbin-hotplug.patch: Get rid of /sbin/hotplug
  calls in the input subsystem by exporting input devices as
  /sys/class/input_device/*
* Thu Sep 01 2005 agruen@suse.de
- scripts/tar-up.sh: create empty patches.*.tar.bz2 archives
  instead of including only the existing archives in the generated
  specfiles. Again include patches.addon.tar.bz2, which is
  intentionally empty.
* Thu Sep 01 2005 agruen@suse.de
- Disable config/x86_64/um.
* Thu Sep 01 2005 tiwai@suse.de
- patches.drivers/alsa-sblive-5.1-fix2.diff: [ALSA] Add
  identification for Live 5.1 [SB0220].
- patches.drivers/alsa-msi-s270-fix.diff: [ALSA] Fix EAPD for
  MSI S270.
- patches.drivers/alsa-atiixp-pm-fix.diff: [ALSA] atiixp -
  Fix PM resume.
- patches.drivers/alsa-intel8x0-quirk.diff: [ALSA] intel8x0 -
  Add quirk for IBM NetVisa A30p (114683).
* Thu Sep 01 2005 olh@suse.de
- add patches.arch/ppc64-rs64.patch
  PPC64: Don't try to claim memory from OF at 1GB mark (114686)
* Thu Sep 01 2005 axboe@suse.de
- series.conf: Fix typo in acard-downgrade
* Thu Sep 01 2005 axboe@suse.de
- patches.drivers/libata-do-simple-command-sleep-hack: Wait for
  current command to finish in ata_do_simple_cmd() (114648).
* Thu Sep 01 2005 axboe@suse.de
- patches.drivers/acard-downgrade: Backout buggy updates to the
  atp870u scsi driver.
* Wed Aug 31 2005 axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix the remaining sata drivers
* Wed Aug 31 2005 axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix ahci as well
* Wed Aug 31 2005 agruen@suse.de
- Fix up some paths for uml and xen.
* Wed Aug 31 2005 ak@suse.de
- patches.fixes/aic79xx-probe: Fix crash in probing when no
  hardware is present
* Wed Aug 31 2005 ak@suse.de
- patches.fixes/avoid-kbd-msg: Disable unnecessary kbd message.
* Wed Aug 31 2005 ak@suse.de
- patches.suse/acpi_errors_on: Fix and reenable.  This compiles
  in ACPI warnings and errors, but nothing of the other
  debug code. Warnings are not printed by default, but can
  by with acpi_dbg_level=0xffffffff
- patches.fixes/acpi_avoid_BIOS_debug: Remove (folded into previous
  patch)
- config/*/*: Enable CONFIG_ACPI_LITE
* Wed Aug 31 2005 ak@suse.de
- patches.arch/i386-apic-up. Fix. Reenable.
  Disable APIC by default on i386/UP kernels.
- patches.arch/dmi-intel-c440gx: Drop (hopefully obsolete)
* Tue Aug 30 2005 axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Tue Aug 30 2005 schwab@suse.de
- Add modalias to macio sysfs attributes.
* Mon Aug 29 2005 olh@suse.de
- add patches.fixes/savage.patch
  return code of savagefb_probe is undefined if pci_request_regions fails
* Mon Aug 29 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Set ARCH correctly for um and xen.
- rpm/kernel-binary.spec.in: Make sure CONFIG_DEBUG_INFO is not
  set in the config files, yet still compile the kernel with
  debug symbols when desired.
- Update xen config file.
* Mon Aug 29 2005 kkeil@suse.de
- update sk98lin to support current chipsets (#98928)
- disable sky2; it hangs on RX (#112917)
* Mon Aug 29 2005 garloff@suse.de
- Update xen patches to 6458.
* Mon Aug 29 2005 okir@suse.de
- rpm/kernel-binary.spec.in: Allow modules with a license of
  "BSD without advertisement clause" to be distributed as well (104157)
* Mon Aug 29 2005 agruen@suse.de
- patches.fixes/arch-ext-mod.diff: Support external modules for
  uml and xen pseudo-architectures.
- rpm/kernel-binary.spec.in: A small cleanup.
- rpm/kernel-source.spec.in: Create output directories for uml
  and xen as well.
* Mon Aug 29 2005 schwab@suse.de
- Update kdb patches.
* Mon Aug 29 2005 olh@suse.de
- update patches.fixes/revert-pci-rom.patch
  use pcirom=0 cmdline option to disable ROM, pcirom=1 to enable it
* Mon Aug 29 2005 ak@suse.de
- Remove obsolete patches that were disabled
* Mon Aug 29 2005 ak@suse.de
- patches.arch/x86_64-no-timer-check: Do no_timer_check by
  default on ATI boards.
* Mon Aug 29 2005 ak@suse.de
- config/{i386,x86_64,ia64}/*: Disable CONFIG_ACPI_DEBUG
* Mon Aug 29 2005 olh@suse.de
- add patches.fixes/revert-pci-rom.patch
  patch broke aty128fb and radeonfb
* Mon Aug 29 2005 olh@suse.de
- update to 2.6.13
* Mon Aug 29 2005 pavel@suse.cz
- patches.suse/acpi-asus-panasonic-sony.patch: add support for
  vendor-specific features from Timo Hoenig
* Sun Aug 28 2005 olh@suse.de
- add patches.suse/suse-ppc32-mol-sk_alloc.patch
  sk_alloc doesnt take NULL as proto.
* Sun Aug 28 2005 olh@suse.de
- add patches.drivers/usb-storage-nec-floppy-multilun.patch
  another floppy with broken LUN handling (105878)
* Sun Aug 28 2005 olh@suse.de
- update patches.suse/suse-ppc32-mol-kbuild.patch
  remove dead code, update dependencies
* Sun Aug 28 2005 olh@suse.de
- update to 2.6.13-rc7-git3, tty oops fix, misc fixes
* Sat Aug 27 2005 olh@suse.de
- add patches.arch/ppc-reiserfs-cc-optimize.patch
  dont compile with -O1 anymore
* Sat Aug 27 2005 olh@suse.de
- update to 2.6.13-rc7-git2, misc fixes
* Fri Aug 26 2005 tiwai@suse.de
- patches.drivers/alsa-sblive-5.1-fix.diff: [ALSA] emu10k1 -
  Add missing ac97 support on SBLive! Player 5.1 (113149).
* Fri Aug 26 2005 olh@suse.de
- add patches.arch/ppc32-ac_power.patch
  assume AC power if no battery present (112670)
* Fri Aug 26 2005 olh@suse.de
- add patches.arch/ppc-tumbler-fix.patch
  workaround for disabled tumbler sound (105448)
* Thu Aug 25 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: Fix PCM 32bit layer
  (113106), FSC quirk (86420).
* Thu Aug 25 2005 garloff@suse.de
- xen3-patch-2.6.13-rc1: Use set_pte_at_sync rather than set_pte
  and flush.
* Thu Aug 25 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
* Thu Aug 25 2005 olh@suse.de
- update to 2.6.13-rc7-git1
* Thu Aug 25 2005 garloff@suse.de
- Update xen patches to hg-6393.
* Thu Aug 25 2005 garloff@suse.de
- Fix SKAs patch for UML on Xen (JanB).
* Thu Aug 25 2005 hare@suse.de
- patches.drivers/libata-atapi-cdrom-oops.patch
  SATA CDROM crashes with kernel oops. again.
* Wed Aug 24 2005 olh@suse.de
- if kernel-foo-nongpl is empty, package /lib/modules/version
  to avoid empty rpm
* Wed Aug 24 2005 axboe@suse.de
- patches.fixes/cfq-update: Small CFQ update.
* Wed Aug 24 2005 pavel@suse.cz
- patches.drivers/sony_acpi_0.1.2.diff: Delete.
- patches.fixes/suspend-stats: Delete.
- patches.suse/swsusp-noncontiguous: Delete.
- series.conf: Delete obsolete patches (they were disabled, anyway)
* Wed Aug 24 2005 garloff@suse.de
- update arch/xen to 2.6.13-rc7.
* Wed Aug 24 2005 olh@suse.de
- add patches.drivers/usb-storage-smsc-floppy-multilun.patch
  another floppy with broken LUN handling (105878)
* Wed Aug 24 2005 olh@suse.de
- update to 2.6.13-rc7, network, md fixes
* Mon Aug 22 2005 axboe@suse.de
- series.conf: Disable barriers by default...
* Mon Aug 22 2005 okir@suse.de
- patches.suse/usagi-ipv6-ip6t-reject: forward ported ip6t_REJECT (105561)
  and re-enabled it.
- Update config files.
* Mon Aug 22 2005 garloff@suse.de
- Update xen patches to hg-6315.
- Move xen/linux public headers to userspace package.
* Mon Aug 22 2005 kkeil@suse.de
- add sky2.patch new driver for Marvell Yukon 2 chipset
* Mon Aug 22 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: remove -override- module path.
* Mon Aug 22 2005 hare@suse.de
- Update iscsitarget to svn r1247.
- Update configs.
* Sun Aug 21 2005 garloff@suse.de
- Update Xen patches to hg-6305.
- Fix overlapping link segments on xen x86-64.
* Sun Aug 21 2005 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  disable 8250 if booted via BootX
* Sun Aug 21 2005 olh@suse.de
- add patches.arch/ppc32-cflags.patch
  compile with -mcpu=powerpc to remove all nops
* Sun Aug 21 2005 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  disable isapnp in pmac setup to hide a warning
* Sun Aug 21 2005 olh@suse.de
- update to 2.6.13-rc6-git13, network fixes
* Sun Aug 21 2005 garloff@suse.de
- Update Xen patches to hg-6299.
* Sat Aug 20 2005 garloff@suse.de
- Refresh Xen patch: include xen drivers in Makefile.
* Sat Aug 20 2005 olh@suse.de
- update to 2.6.13-rc6-git12, follow_symlink, tg3, x86_64, nfs4 fixes
* Sat Aug 20 2005 lmb@suse.de
- Disable OCFS2 on ia64 as it doesn't build.
* Sat Aug 20 2005 lmb@suse.de
- patches.suse/ocfs2-configfs: OCFS2 and configfs merge.
* Sat Aug 20 2005 garloff@suse.de
- Regenerate Xen sparse patch.
* Sat Aug 20 2005 garloff@suse.de
- Further fixups for Xen on x86-64 (Jan).
* Sat Aug 20 2005 garloff@suse.de
- Enable Xen on x86_64 and fix compilation issues (Jan).
- Network drivers were missing from xen kernels: fixed.
* Fri Aug 19 2005 olh@suse.de
- enable sata_vsc and sata_ahci on ppc64
* Fri Aug 19 2005 olh@suse.de
- update to 2.6.13-rc6-git11, network, ide, nfs, md fixes
* Fri Aug 19 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/alsa-ppc-screamer-endian-workaround: A
  workaround for PMac screamer endian problem (105600).
* Fri Aug 19 2005 garloff@suse.de
- Better version of rediffed Xen patches from Jan and additional
  fixes.
* Fri Aug 19 2005 agruen@suse.de
- patches.fixes/nfsd-rewrite-align: Fix logical bug (97941, 96957).
* Fri Aug 19 2005 agruen@suse.de
- patches.suse/bootsplash: Bootsplash update from mls.
* Fri Aug 19 2005 okir@suse.de
- series.conf: disable nfsd-rewrite-align; it's broken
* Fri Aug 19 2005 garloff@suse.de
- Adapt the other 2.6.13-rc changes to Xen and enable.
* Fri Aug 19 2005 garloff@suse.de
- Import 2.6.13-rc changes into Xen up to 2.6.13-rc4 (Charles).
* Fri Aug 19 2005 olh@suse.de
- enable amd8111e on ppc64
* Fri Aug 19 2005 hare@suse.de
- Update open-iscsi to svn r401.
- Update open-iscsi to svn r399.
* Thu Aug 18 2005 okir@suse.de
- Enabled NFSv4, fixed up configs
* Thu Aug 18 2005 garloff@suse.de
- Update Xen patches to Xen3 hg 6223.
- Merge old Xen patches that are still applicable.
* Thu Aug 18 2005 olh@suse.de
- update to 2.6.13-rc6-git10, network, zlib, ntfs, other fixes
* Thu Aug 18 2005 hare@suse.de
- patches.fixes/ide-cs-correct-device-link
  Correct device link for ide-cs devices (#104670)
* Wed Aug 17 2005 olh@suse.de
- update to 2.6.13-rc6-git9, inotify, nfts, acpi hotkey, jfs fixes
* Wed Aug 17 2005 okir@suse.de
- patches.suse/netfilter-02-output-hooks: nat over ipsec.
- patches.suse/netfilter-03-input-hooks: nat over ipsec.
- patches.suse/netfilter-04-policy-lookup: nat over ipsec.
- patches.suse/netfilter-05-policy-checks: nat over ipsec.
- Update config files.
- patches.drivers/e100-update: Obsolete
- patches.drivers/megaraid-new: Obsolete
- patches.drivers/suse-ahci-disable: Obsolete
- patches.drivers/swsusp-b44: Obsolete
- patches.drivers/swsusp-via-velocity: Obsolete
- patches.drivers/usb-qc-usb-*: Obsolete
- patches.fixes/mtrr-check-gpf: Obsolete
- patches.fixes/posix-locks-race: Obsolete
- patches.fixes/procmisc-cached-underflow: Obsolete
- patches.fixes/quiet-sched: Obsolete
- patches.fixes/x86_64-panic-lockup: Obsolete
* Wed Aug 17 2005 hare@suse.de
- remove patches.fixes/atapi-fix-error-handling.patch
- remove patches.fixes/libata-no-complete-on-error
  Newer version of libata error handling is on mainline.
* Tue Aug 16 2005 schwab@suse.de
- Set BLK_DEV_LOOP=y.
* Tue Aug 16 2005 agruen@suse.de
- scripts/compute-PATCHVERSION.sh: Fix after a patch started to
  confuse the very simple patch parser.
* Tue Aug 16 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Move the nvidia pre-compiled object
  files to the -nongpl package (104153).
* Tue Aug 16 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- supported.conf: fix and clean up ALSA entries.
* Tue Aug 16 2005 lmb@suse.de
- patches.suse/dm-flakey, patches.suse/dm-mpath,
  patches.suse/dm-mpath-path_selector,
  patches.suse/dm-mpath-psinit, patches.suse/dm-mpath-ref,
  patches.suse/dmmp-seperate-wqueue: Delete since merged upstream.
* Tue Aug 16 2005 olh@suse.de
- add patches.suse/reiser4-machine_restart.patch
  call panic if something bad happens
* Tue Aug 16 2005 olh@suse.de
- add patches.fixes/uml-pa-buildfix.patch
* Mon Aug 15 2005 garloff@suse.de
- config.conf: Enable Xen build.
- kernel-source.changes: Remove empty series.conf: lines.
* Mon Aug 15 2005 jeffm@suse.de
- series.conf: Re-activated ntfs-subfs
* Mon Aug 15 2005 jeffm@suse.de
- patches.suse/export-get_sb_pseudo: Delete.
- series.conf: Removed dead patches.
* Mon Aug 15 2005 gregkh@suse.de
  Remove USB ub specific patches, as we don't really support this driver
  for now.
- patches.drivers/usb-ub-01.patch: Delete.
- patches.drivers/usb-ub-02.patch: Delete.
- patches.drivers/usb-ub-03.patch: Delete.
* Mon Aug 15 2005 gregkh@suse.de
  Remove my +gregkh marked patches as they should not be in the tree
- patches.fixes/cardbus-fixup-bridge: Delete.
* Mon Aug 15 2005 jeffm@suse.de
- patches.suse/lookup_hash_nameidata.diff: Pass struct nameidata
  to subfs instead of NULL (#104657). [updated from 9.3]
* Mon Aug 15 2005 olh@suse.de
- update to 2.6.13-rc6-git7, revert some scsi and pci io changes
* Mon Aug 15 2005 kkeil@suse.de
- fix PCMCIA IDs for Sedlbauer Speedstar II (#104593)
* Sun Aug 14 2005 olh@suse.de
- add suse-ppc32-mol* patches, maconlinux support
* Sat Aug 13 2005 olh@suse.de
- update to 2.6.13-rc6-git5, netpoll fixes
* Sat Aug 13 2005 schwab@suse.de
- Disable IA64_SGI_SN_XP until it is fixed.
* Sat Aug 13 2005 gregkh@suse.de
- patches.drivers/w1-dont-spam-syslog.patch: w1: more debug
  level decrease. fixes #104020.
* Fri Aug 12 2005 kraxel@suse.de
- patches.xen/smp-alts-uml.patch: fix smp alternatives for uml.
* Fri Aug 12 2005 kraxel@suse.de
- Update xen config file.
- patches.xen/xen3-fixups-i386: more fixups, builds now.
* Fri Aug 12 2005 schwab@suse.de
- Make sure *-nongpl owns all leading directories.
* Fri Aug 12 2005 kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixups-i386: add more fixups.
* Fri Aug 12 2005 kraxel@suse.de
- First batch of xen3 patches:
- patches.xen/pmd-shared.patch: xen3 patch: pmd-shared.
- patches.xen/rcu-nohz.patch: xen3 patch: rcu-nohz.
- patches.xen/smp-alts.patch: xen3 patch: smp alternatives.
- patches.xen/x86_64-linux.patch: xen3 patch: x86_64.
- patches.xen/xen3-auto-arch.diff: xen3 arch/xen and
  include/asm-xen bits.
- patches.xen/xen3-auto-common.diff: xen3: common code changes.
- patches.xen/xen3-fixups-i386: xen3: 2.6.13 adaptions (i386)..
* Thu Aug 11 2005 olh@suse.de
- update to 2.6.13-rc6-git3, misc fixes
* Thu Aug 11 2005 olh@suse.de
- update patches.suse/acpi_enable_ec_burst_mode
  call acpi_ec_burst_add in the ->add method
* Thu Aug 11 2005 hare@suse.de
- remove patches.drivers/open-iscsi-netlink.patch
  Patch is upstream.
* Thu Aug 11 2005 gregkh@suse.de
  Add securityfs (is in -mm and will be in 2.6.14) so that subdomain
  can stop using /subdomain to make the YaST and LSB people happy.
- patches.drivers/securityfs.patch: [PATCH] add securityfs for
  all LSMs to use.
* Thu Aug 11 2005 gregkh@suse.de
  Update floppy-cmos patch to the one that is upstream in -mm.
- patches.drivers/floppy-add-cmos-attr: Delete.
- patches.drivers/floppy-cmos-attribute.patch: Floppy: Add cmos
  attribute to floppy driver.
- patches.drivers/floppy-cmos-attribute-tidy.patch: Floppy:
  add cmos attribute to floppy driver tidy.
* Thu Aug 11 2005 gregkh@suse.de
  Add PCI MSI quirk for PCI hotplug machines.  Is in -mm and will
  go into 2.6.14.
- patches.drivers/pci-quirk-6700-fix.patch: PCI: fix
  quirk-6700-fix.patch.
- patches.drivers/pci-quirk-6700.patch: PCI: 6700/6702PXH quirk.
* Thu Aug 11 2005 gregkh@suse.de
  Sync up with upstream -mm and 2.6.14 pending USB patches that
  we can use in our tree (will fix a lot of usb-storage issues).
- Update config files.
- patches.drivers/usb-add-apple-touchpad-driver.patch: USB:
  add Apple USB Touchpad driver.
- patches.drivers/usb-ftdi_sio-new-ids.patch: USB ftdi_sio:
  New IDs for ELV, Xsens and Falcom products.
- patches.drivers/usb-ftdi_sio-userspecified-vid.patch: USB
  ftdi_sio: user specified VID/PID.
- patches.drivers/usb-hid-blacklist-apple-bluetooth.patch:
  USB: Prevent hid-core claiming Apple Bluetooth device on new
  G4 powerbooks.
- patches.drivers/usb-hub-code-motion.patch: USB: Code motion
  in the hub driver.
- patches.drivers/usb-hub-disconnect-children.patch: USB:
  Disconnect children when unbinding the hub driver.
- patches.drivers/usb-keyspan_remote-endian-fix.patch: Fix endian
  issue with keyspan_remote driver.
- patches.drivers/usb-pl2303hx-fix.patch: USB: pl2303 driver,
  makes pl2303HX chip work correctly.
- patches.drivers/usb-real-nodes-instead-of-usbfs-fix.patch:
  USB: Fix regression in core/devio.c.
- patches.drivers/usb-real-nodes-instead-of-usbfs.patch: USB:
  real nodes instead of usbfs.
- patches.drivers/usb-storage-01.patch: USB Storage: remove
  dependency on SCSI-provided serial/tag number.
- patches.drivers/usb-storage-02.patch: USB Storage: close a
  race condition in disconnect near probe.
- patches.drivers/usb-storage-03.patch: USB Storage: close a
  race condition in disconnect near queuecommand.
- patches.drivers/usb-storage-04.patch: USB Storage: add support
  for Maxtor One-Touch button.
- patches.drivers/usb-storage-05.patch: USB Storage: wedge SCSI
  revision at 2 for usb-storage devices.
- patches.drivers/usb-storage-unusual-devs-mitsumi.patch:
  usb-storage: Add IGNORE_RESIDUE flag for Mitsumi USB 2.0 card
  reader (VIA hardware).
- patches.drivers/usb-ub-01.patch: USB: ub 1/3: Axboe's quasi-S/G.
- patches.drivers/usb-ub-02.patch: USB: ub 2/3: Fold one line.
- patches.drivers/usb-ub-03.patch: USB: ub 3/3: death to
  ub_bd_rq_fn_1.
- patches.drivers/usb-usblp-rate-limit-error-messages.patch:
  USB usblp: rate-limit printer status error messages.
* Wed Aug 10 2005 ak@suse.de
- patches.fixes/acpi-no-search: Disable too slow object search
  in ACPI memory tracking (#102565)
* Wed Aug 10 2005 olh@suse.de
- add patches.suse/acpi_enable_ec_burst_mode
  change default acpi_ec_polling_mode from polling to burst (trenn)
* Wed Aug 10 2005 okir@suse.de
- patches.suse/nfs-lockd-hostnames: [NFS] Make lockd use hostnames
  instead of IP addresses.
- patches.suse/nfs-lockd-kstatd: [NFS] Add in-kernel statd.
- patches.suse/kernel-statd: Obsolete.
- patches.suse/nfs-statd-hostnames: Obsolete.
- Update config files.
* Tue Aug 09 2005 olh@suse.de
- update to 2.6.13-rc6-git1, pci, inotify, dvb, net fixes
* Tue Aug 09 2005 hare@suse.de
- add patches.drivers/scsi-misc
  Include scsi-misc patches (updates to aacraid, aic7xxx, aic79xx).
* Mon Aug 08 2005 hare@suse.de
- add patches.drivers/open-iscsi-*
  Update open-iscsi to official patch submission.
* Mon Aug 08 2005 hare@suse.de
- add patches.drivers/sata-atapi-{fix-sata_sx4,alignment,restore-sg}.patch
  libata fixes for ATAPI drives.
* Sun Aug 07 2005 olh@suse.de
- update to 2.6.13-rc6, pci, mce fixes
* Sun Aug 07 2005 olh@suse.de
- update to 2.6.13-rc5-git5, bluetooth, isofs fixes
* Sat Aug 06 2005 olh@suse.de
- update to 2.6.13-rc5-git4, misc fixes
* Fri Aug 05 2005 olh@suse.de
- add patches.drivers/qla4xxx-extern-inline.patch
  turn extern inline into extern because gcc4 does not inline
  functions from other files
* Fri Aug 05 2005 mantel@suse.de
- disable broken qla4xxx driver until fixed version is available
* Fri Aug 05 2005 garloff@suse.de
- patches.suse/subdomain: Update to r5011.
* Fri Aug 05 2005 olh@suse.de
- add patches.fixes/acpi_avoid_BIOS_debug
  remove ACPI_LV_DEBUG_OBJECT from debug output
* Fri Aug 05 2005 olh@suse.de
- update to 2.6.13-rc5-git3, acpi, scsi, md, inotify, pci updates
* Fri Aug 05 2005 mantel@suse.de
- patches.drivers/qla4xxx-simplefix: more fixes for gcc4
* Fri Aug 05 2005 schwab@suse.de
- Drop kernel-64k-pagesize.
* Fri Aug 05 2005 mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx: update qlogic qla4xxx driver to
  version v5.00.03 (none).
- patches.drivers/qla4xxx-simplefix: make qla4xxx driver actually
  compile with recent kernel (none).
* Fri Aug 05 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/alsa-intel8x0-old-options: Add dummy option
  for background compatibility of intel8x0 (73747).
* Fri Aug 05 2005 mantel@suse.de
- patches.fixes/increase-firmware-loading-timeout: IPW2100 fails
  to load firmware when booting on battery (74526).
* Fri Aug 05 2005 kraxel@suse.de
- patches.fixes/98873-itimer-real-exec-fix: fix: itimer_real
  doesn't survive execve (bug #98873).
* Thu Aug 04 2005 olh@suse.de
- update patches.drivers/ppc64-adb, reenable MAC_EMUMOUSEBTN
* Thu Aug 04 2005 olh@suse.de
- add patches.arch/ppc64-xmon-off.patch
  add patches.arch/ppc64-xmon-helptext.patch
  add patches.arch/ppc64-xmon-autobacktrace.patch
  allow xmon=off, print backtrace on first invocation
* Thu Aug 04 2005 olh@suse.de
- update patches.arch/avoid_table_double_loading.diff, verify checksum
* Thu Aug 04 2005 olh@suse.de
- update to 2.6.13-rc5-git2, acpi updates
* Thu Aug 04 2005 okir@suse.de
- turned off CONFIG_NETFILTER_DEBUG in ia64/x86_64 debug kernels
* Thu Aug 04 2005 olh@suse.de
- enable via ide driver, build promise and aec as module
  enable some pci sound drivers as well.
* Thu Aug 04 2005 kraxel@suse.de
- patches.arch/optimize-686: wrap -mtune=i686 into $(call cc-options),
  so the kernel builds with older compilers as well (i.e. sles9).
* Wed Aug 03 2005 olh@suse.de
- update to 2.6.13-rc5-git1, pci io resource fixes
* Wed Aug 03 2005 olh@suse.de
- enable CONFIG_BOOTX_TEXT, as CONFIG_XMON_DEFAULT doesnt make much
  sense without it
* Wed Aug 03 2005 axboe@suse.de
- patches.fixes/cdrom-open-failed: Kill cdrom: open failed
  message.
* Wed Aug 03 2005 agruen@suse.de
- supported.conf: Add kernel/arch/x86_64/crypto/aes-x86_64.
* Tue Aug 02 2005 axboe@suse.de
- patches.fixes/cfq-barrier-max-depth: Note in patch header that it is merged
* Tue Aug 02 2005 olh@suse.de
- add patches.fixes/scsi-rc-fixes-2.6.diff
  st unload oops, aic and ips fixes
* Tue Aug 02 2005 okir@suse.de
- patches.suse/netfilter-nf_conntrack-fixup: Fixed patch to apply
  properly.
* Tue Aug 02 2005 okir@suse.de
- patches.fixes/usagi-ipv6-privacy: Delete.
- patches.fixes/ipv6-force-mldv1: Delete.
- patches.fixes/ipv6-expire-redirect: Delete.
- patches.suse/usagi-ipv6-addrselect: Delete.
- patches.suse/usagi-ipv6-fib-subtree: Delete.
- patches.suse/suse-ipv6-rt-expiry: Delete.
- patches.suse/usagi-ipv6-fragment: Delete.
- patches.suse/ipv6-no-too-big-to-self-msg: Delete.
- patches.suse/ipv6-tahi-nd-21: Delete.
- patches.suse/ipv6-tahi-pmtu-2: Delete.
- patches.suse/ipv6-v4-mapped-addrs: Delete.
- patches.suse/netfilter-nf_conntrack: Generic nf_conntrack support.
- patches.suse/netfilter-nf_conntrack-fixup: Adapt nf_conntrack
  patch to 2.6.13-rc4.
- Update config files.
* Tue Aug 02 2005 axboe@suse.de
- series.conf: Reenable ext3/reiser barriers by default
* Tue Aug 02 2005 axboe@suse.de
- patches.fixes/cfq-barrier-max-depth: Fix barrier hang with CFQ
  (96537).
* Tue Aug 02 2005 axboe@suse.de
- patches.fixes/cfq-next-req-fixup: Delete.
- series.conf: Already merged!
* Tue Aug 02 2005 axboe@suse.de
- patches.fixes/cfq-next-req-fixup: cfq_find_next_crq fixup.
* Tue Aug 02 2005 olh@suse.de
- update to 2.6.13-rc5, net, v4l, inotify, pcmcia, misc updates
* Tue Aug 02 2005 olh@suse.de
- update patches.suse/legacy-remap_page_range
  readd check_user_page_readable declaration for oprofile
* Mon Aug 01 2005 olh@suse.de
- add patches.suse/error-implicit-function-declaration.patch
  add -Werror-implicit-function-declaration to CFLAGS
* Mon Aug 01 2005 olh@suse.de
- update patches.drivers/qla4xxx
  disable driver, update email address of submitter
* Mon Aug 01 2005 olh@suse.de
- add patches.drivers/alsa-struct_device.patch, fixes compile error
* Mon Aug 01 2005 olh@suse.de
- add patches.fixes/i8xx_tco_reboot.diff (from trenn)
  Clear reboot tco bit (98853)
* Mon Aug 01 2005 olh@suse.de
- update patches.arch/avoid_table_double_loading.diff (from trenn)
* Mon Aug 01 2005 mantel@suse.de
- patches.fixes/invert_acpi_specific_hotkey: Notebook drivers
  are no longer working. (99259).
* Mon Aug 01 2005 mantel@suse.de
- Update config files: enable CONFIG_CPU_FREQ_DEBUG for debug kernel
* Mon Aug 01 2005 mantel@suse.de
- Update config files for i386 and x86_64: use default value for HZ (250)
* Mon Aug 01 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/oss-device-assign: Assign the device pointer
  to OSS devices.
- Update config files.
* Mon Aug 01 2005 schwab@suse.de
- Update kdb patch.
* Mon Aug 01 2005 olh@suse.de
- update to 2.6.13-rc4-git4, network fixes, fbdev sysfs update
* Mon Aug 01 2005 okir@suse.de
- patches.fixes/nfsd-rewrite-align: NFS: Fix rewrite performance
  (97941, 96957)
* Sun Jul 31 2005 olh@suse.de
- update to 2.6.13-rc4-git3, updates all over the place
* Sat Jul 30 2005 agruen@suse.de
- Mark pdc202xx_old as supported, just like pdc202xx_new.
* Thu Jul 28 2005 vojtech@suse.cz
- make evdev be built-in to make sure it's always there.
  (#97022)
* Thu Jul 28 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
* Thu Jul 28 2005 kraxel@suse.de
- patches.drivers/lirc-drivers.diff: Delete.
- patches.drivers/lirc-drivers-0.7.1.diff: add lirc driver.
- patches.drivers/lirc-fixups.diff: lirc driver build fixups.
- patches.drivers/lirc-kconfig.diff: lirc kconfig stuff.
- supported.conf: remove lirc drivers from the list.
* Thu Jul 28 2005 duwe@suse.de
- basically revert olh's change from 2005-02-16T13:32:47,
  short of the speed improvement. ACPI_DEBUG is back on,
  the "lite" version no longer needed.
* Tue Jul 26 2005 tiwai@suse.de
- patches.suse/fuse-*: Sync FUSE patches with 2.6.13-rc3-mm1 tree
* Mon Jul 25 2005 mantel@suse.de
- update configs for bootsplash
* Mon Jul 25 2005 mantel@suse.de
- patches.fixes/quiet-bootsplash: Delete.
- patches.suse/bootsplash-anim-NLD: Delete.
- patches.suse/BOOTSPL1.diff: Delete.
- patches.suse/bootsplash: Bootsplash for current kernel (none).
* Mon Jul 25 2005 hare@suse.de
- patches.suse/libata-enable-atapi.patch
  Enable ATAPI support for SATA devices.
* Sat Jul 23 2005 olh@suse.de
- update to 2.6.13-rc3-git5, net updates
* Fri Jul 22 2005 mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx: add qlogic qla4xxx driver version
  v5.00.01b10 (none).
* Thu Jul 21 2005 olh@suse.de
- add patches.suse/cpp-undefined-defines.patch
  build with -Wun-def to catch incomplete #ifdef usage
* Thu Jul 21 2005 olh@suse.de
- add patches.fixes/aic-byteorder.patch
  handle #ifdef __WRONG_ENDIAN correctly in aic scsi driver
* Thu Jul 21 2005 mantel@suse.de
- patches.drivers/ibm-acpi-update: update ibm acpi to 0.11 (none).
* Wed Jul 20 2005 mantel@suse.de
- re-enable CONFIG_SONYPI (#97029)
* Tue Jul 19 2005 olh@suse.de
- remove patches.suse/modprobe_unknown_symbol.patch
* Tue Jul 19 2005 olh@suse.de
- update patches.suse/acpi_errors_on, export acpi_ut_report_warning
* Tue Jul 19 2005 olh@suse.de
- update patches.suse/modprobe_unknown_symbol.patch
  more debug info
* Mon Jul 18 2005 olh@suse.de
- disable CONFIG_ACPI_DEBUG_LITE until the EXPORT_SYMBOLS are fixed
* Mon Jul 18 2005 mantel@suse.de
- fix logic error in ipt_TTL (#96981)
* Mon Jul 18 2005 olh@suse.de
- update and reenable patches.suse/acpi_errors_on
* Mon Jul 18 2005 olh@suse.de
- update patches.arch/avoid_table_double_loading.diff
  enable checks for real, from trenn@suse.de
* Mon Jul 18 2005 olh@suse.de
- remove patches.fixes/posix-locks-race, not needed anymore in 2.6.12
  breaks glibc test-cancel16 testcase
* Sun Jul 17 2005 olh@suse.de
- add patches.uml/uml-dep-user-offsets.h.patch
  add patches.uml/uml-missing-SYS_UTIL_DIR.patch
  allow parallel builds, readd missing define, add libpcap for uml
* Sun Jul 17 2005 olh@suse.de
- update to 2.6.13-rc3-git4, ntfs updates
* Fri Jul 15 2005 hare@suse.de
- Add 'cmos' attribute to floppy drives.
* Thu Jul 14 2005 agruen@suse.de
- Compute PATCHVERSION automatically.
* Thu Jul 14 2005 mantel@suse.de
- patches.fixes/no-config-security-define: fix kernel compile
  with CONFIG_SECURITY disabled (96459).
* Thu Jul 14 2005 mason@suse.de
- turn barriers off by default on ext3 (#96537)
* Thu Jul 14 2005 olh@suse.de
- update to 2.6.13-rc3-git1, inotify changes, reenable mtd
* Thu Jul 14 2005 olh@suse.de
- remove patches.suse/old-cdrom-broken and disable the .config opts
* Thu Jul 14 2005 mason@suse.de
- make barriers off by default on reiserfs so we can debug the
  blocker (#96537)
* Wed Jul 13 2005 olh@suse.de
- update to 2.6.13-rc3, acpi, i2c, v4l, usb changes
* Tue Jul 12 2005 olh@suse.de
- add patches.suse/mtd-broken.patch
  temporary disable CONFIG_MTD
* Tue Jul 12 2005 olh@suse.de
- update to 2.6.13-rc2-git5, ieee1394 fixes
* Tue Jul 12 2005 mantel@suse.de
- revert HZ value back to 1000
* Tue Jul 12 2005 okir@suse.de
- patches.suse/sunrpc-svcsock-rqaddr: rq_daddr should be filled
  out for TCP-based RPC (SUSE49441).
- Deleted some old and unused patches
* Mon Jul 11 2005 mantel@suse.de
- patches.fixes/pcmcia-ds.diff: fix build of pcmcia modules
* Mon Jul 11 2005 okir@suse.de
- patches.fixes/posix-locks-match: Fix miscompare in
  __posix_lock_file (84154).
- patches.fixes/posix-locks-race: Fix race conditions with file
  lock vs close (84156, 64661, 86975).
- patches.fixes/posix-locks-remove: [NFS] Use proper tgid in
  locks_remove_posix.
* Mon Jul 11 2005 olh@suse.de
- update to 2.6.13-rc2-git3
  update patches.fixes/reduce-do_mount-stack-frame to apply
* Sat Jul 09 2005 schwab@suse.de
- Enable AGP on ppc64.
* Thu Jul 07 2005 hare@suse.de
- patches.drivers/open-iscsi
  Update to SVN release 369.
* Wed Jul 06 2005 kraxel@suse.de
- drop obsolete uml patches.
- update skas patch.
- update uml x11 framebuffer patch.
- add uml config for x86_64.
- Update config files.
* Wed Jul 06 2005 hare@suse.de
- patches.drivers/open-iscsi
  Add support for iSCSI software initiator
- patches.drivers/drm-via
  Update for 2.6.13
* Wed Jul 06 2005 mantel@suse.de
- series.conf: disable drm-via temporarily (needs update for 2.6.12)
* Wed Jul 06 2005 schwab@suse.de
- Enable sound on ppc64.
* Wed Jul 06 2005 hare@suse.de
- patches.drivers/drm-mach64
  Disable Mach64 support; does not compile.
* Wed Jul 06 2005 hare@suse.de
- patches.drivers/iscsitarget
  Add support for iSCSI software target.
- patches.drivers/drm-via
  Update patch to CVS HEAD
- patches.drivers/drm-cvs-20050705
  Removed.
- patches.drivers/drm-mach64
  Add support for Mach64 graphics card.
* Tue Jul 05 2005 axboe@suse.de
- patches.drivers/ide-serialize-updates-1: Delete.
- patches.drivers/cmd64x-idedma-pin-recursion: Delete.
- patches.fixes/ide-pin-irq: Delete.
- series.conf: Needs to be fixed differently
* Tue Jul 05 2005 axboe@suse.de
- patches.drivers/libata-atapi-state-fix: Delete.
- series.conf: Better version exists
* Tue Jul 05 2005 axboe@suse.de
- patches.fixes/scsi-allocate-request-ref: Delete.
- series.conf: Dead
* Tue Jul 05 2005 axboe@suse.de
- patches.drivers/suse-ahci-disable: Don't touch the 6th bar
  unless it's really an ahci device (72074).
- series.conf: Rediff and enable
* Tue Jul 05 2005 axboe@suse.de
- patches.suse/security-compile-if-disabled: Delete.
- series.conf: Not needed
* Tue Jul 05 2005 axboe@suse.de
- patches.suse/ide-probe-delay: Reduce ide probe delays.
- series.conf: Rediff and enable
* Tue Jul 05 2005 axboe@suse.de
- patches.fixes/cfq-ts-sl93: Delete.
- patches.fixes/cfq-requeue: Delete.
- patches.fixes/cfq-pending-work: Delete.
- patches.fixes/cfq-pending-work-fixup: Delete.
- patches.fixes/cfq-shutdown-timer-wq: Delete.
- patches.fixes/cfq-tweaks: Delete.
- series.conf: Merged
* Tue Jul 05 2005 hare@suse.de
- add patches.drivers/drm-cvs-20050705-update
  Update DRM drivers to latest CVS version.
- add patches.fixes/gcc4-correct-signed-unsigned-mismatch
  Fix signed/unsigned mismatches from gcc-4
- Update configs.
* Tue Jul 05 2005 olh@suse.de
- enable xmon per default on ppc64
* Tue Jul 05 2005 olh@suse.de
- add nls_base to list of supported modules
* Mon Jul 04 2005 hare@suse.de
- update patches.drivers/drm-via
  Update via_drv to compile against latest kernel code.
* Mon Jul 04 2005 hare@suse.de
- add patches.arch/s390-atomic-sub-and-test
  Implement atomic_sub_and_test() for reiser4.
* Mon Jul 04 2005 olh@suse.de
- update patches.drivers/drm-via
  update via_drv.c to rev 1.21 for recent drm interface changes
* Mon Jul 04 2005 olh@suse.de
- add patches.arch/ppc64-vdso32_lds.patch
  fix link errors after recent toolchain changes
* Sun Jul 03 2005 agruen@suse.de
- scripts/config.sh: rename VERSION+EXTRAVERSION => PATCHVERSION
  and a few other cleanups.
* Sat Jul 02 2005 garloff@suse.de
- Update subdomain to SLES9SP2 codebase (export version, and use
  strncmp for tailglob).
* Sat Jul 02 2005 schwab@suse.de
- Use SRCVERSION when referring to the source tarball to make it possible
  to use rc patches.
* Sat Jul 02 2005 olh@suse.de
- add patches.suse/openfirmware-add-sysfs-nodes-for-open-firmware-devices.patch
  add patches.suse/openfirmware-generate-device-table-for-userspace.patch
  add patches.suse/openfirmware-implement-hotplug-for-macio-devices.patch
  macio patches from 2.6.13-rc-mm1, from jeffm
* Sat Jul 02 2005 gregkh@suse.de
  Update to 2.6.13-rc1-git3
- patches.fixes/base-add-bus-find-device: Delete.
- Update config files.
- patches.fixes/patch-2.6.13-rc1-git3: Linux 2.6.13-rc1-git3.
* Sat Jul 02 2005 gregkh@suse.de
  Update to 2.6.13-rc1
- patches.drivers/input-bk-64bit-compat.diff: Delete.
- patches.drivers/input-bk-hid-32bit.diff: Delete.
- patches.fixes/patch-2.6.12-git9: Delete.
- patches.suse/inotify: Delete.
- Update config files.
- patches.fixes/serial_console:
- patches.fixes/patch-2.6.13-rc1:
- patches.suse/inotify-0.23-rml-2.6.13-rc1-1.patch: inotify -
  currently for testing purposes only; can stay only when in
  mainline (none).
* Sat Jul 02 2005 gregkh@suse.de
- Update config files.
* Thu Jun 30 2005 tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- Update config files: removed CONFIG_SND_VXP440.
* Wed Jun 29 2005 hare@suse.de
- patches.fixes/reduce-do_mount-stack-frame
  Reduce stack frame size for do_mount.
- Update config for i386.
* Wed Jun 29 2005 hare@suse.de
- patches.arch/s390-qeth-compile-fix
  Fix qeth driver to actually compile
- patches.fixes/base-add-bus-find-device
  Implement bus_find_device().
* Wed Jun 29 2005 schwab@suse.de
- Update kdb patch.
* Wed Jun 29 2005 hare@suse.de
- patches.drivers/lirc-drivers.diff
  Use class_* instead of class_simple_*
- patches.drivers/also-2.6.12-git.diff
  compilation fix
- patches.suse/reiser4-mm-remove-pg_highmem-fix.patch
  Add missing file.
* Wed Jun 29 2005 agruen@suse.de
- patches.fixes/missing-exports.diff: Add a missing export.
- patches.fixes/ext3-xattr-reserved-inodes.diff: improved comment.
* Wed Jun 29 2005 hare@suse.de
- Update Reiser4 patches.
- Fix config files.
* Wed Jun 29 2005 agruen@suse.de
- Fix dash/underscore conversion for RPM tags.
* Wed Jun 29 2005 garloff@suse.de
- Preliminary update of xen patches.
* Tue Jun 28 2005 garloff@suse.de
- patches.suse/security-*: Update and reenable security stubs
  cleanup patches.
* Tue Jun 28 2005 agruen@suse.de
- patches.rpmify/remove-buildenv-paths-from-binaries: Obsolete.
- patches.rpmify/check-symvers: Obsolete.
- patches.rpmify/module-parmtype.diff: Obsolete.
- patches.rpmify/keep-offsets.h: Rediff.
- patches.fixes/license-fixes.diff: Obsolete.
- patches.suse/acl-kconfig-cleanup.diff: Rediff.
* Tue Jun 28 2005 hare@suse.de
- Disabled reiser4 patches.
* Tue Jun 28 2005 tiwai@suse.de
- patches.arch/optimize-686: Add i686 optimization flag.
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update from
  2.6.12.
* Tue Jun 28 2005 hare@suse.de
- add patches.arch/s390-fix-arch-switch
  Fix macro finish_arch_switch()
- add patches.fixes/pci-hotplug-remove-nl
  Do not add newline to hotplug event variables
- patches.fixes/swsusp-mysqld
  Fix call to refrigerator()
- patches.suse/reiser4-only.patch
  Fix call to refrigerator().
* Tue Jun 28 2005 agruen@suse.de
- patches.suse/tmpfs-acl.diff: Rediff for 2.6.12.
* Tue Jun 28 2005 hare@suse.de
- Update to 2.6.12-git9
- add patches.drivers/open-iscsi-0.3rc6
  Include open-iscsi driver.
- Update config files.
* Tue Jun 28 2005 mantel@suse.de
- Update config files.
- patches.suse/inotify: inotify - currently for testing purposes
  only; can stay only when in mainline (none).
* Mon Jun 27 2005 axboe@suse.de
- patches.drivers/libata-timeout-without-command: Delete.
- patches.drivers/2.6.11-rc5-bk4-libata-dev1.patch: Delete.
- series.conf: dead patches
* Mon Jun 27 2005 agruen@suse.de
- Delete patches that will reappear with the next mainline merge.
- patches.fixes/xdr-input-validation.diff: Overflow in xdr input
  validation (93652): Make sure we won't lose this one.
* Mon Jun 27 2005 mantel@suse.de
- Update config files: enable CONFIG_IP_ROUTE_MULTIPATH_CACHED
* Mon Jun 27 2005 mantel@suse.de
- Update config files.
* Fri Jun 24 2005 gregkh@suse.de
  delete pci, i2c, and usb patches that are no longer needed in
  the tree
- patches.drivers/pci-1.2137.patch: Delete.
- patches.drivers/pci-1.2138.patch: Delete.
- patches.drivers/pci-1.2139.patch: Delete.
- patches.drivers/pci-1.2140.patch: Delete.
- patches.drivers/pci-1.2141.patch: Delete.
- patches.drivers/pci-1.2142.patch: Delete.
- patches.drivers/pci-1.2144.patch: Delete.
- patches.drivers/pci-1.2145.patch: Delete.
- patches.drivers/pci-1.2146.patch: Delete.
- patches.drivers/pci-1.2147.patch: Delete.
- patches.drivers/pci-1.2149.patch: Delete.
- patches.drivers/pci-1.2151.patch: Delete.
- patches.drivers/pci-1.2152.patch: Delete.
- patches.drivers/pci-1.2154.patch: Delete.
- patches.drivers/i2c-fscpos-01.patch: Delete.
- patches.drivers/i2c-fscpos-02.patch: Delete.
- patches.drivers/i2c-fscpos-03.patch: Delete.
- patches.drivers/i2c-gl520sm.patch: Delete.
- patches.drivers/i2c-ids.patch: Delete.
- patches.drivers/i2c-m41t00.patch: Delete.
- patches.drivers/i2c-mv64xxx.patch: Delete.
- patches.drivers/i2c-nforce2.patch: Delete.
- patches.drivers/i2c-piix4.patch: Delete.
- patches.drivers/i2c-sis5595.patch: Delete.
- patches.drivers/usb-zd1201-01.patch: Delete.
- patches.fixes/usb-storage-refcounting-as431.patch: Delete.
* Fri Jun 24 2005 olh@suse.de
- remove patches.fixes/silence-SCSI_IOCTL_SEND_COMMAND (#61290)
* Fri Jun 24 2005 tiwai@suse.de
- Remove old ALSA patches in patches.drivers.
- patches.suse/nice-and-rt-prio-rlimits.patch: Delete.
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update to
  2.6.12.
* Fri Jun 24 2005 axboe@suse.de
- patches.drivers/qla2xxx-block-segments: Delete.
- patches.drivers/ide-sata-barrier: Delete.
- patches.drivers/sata-enable-flush: Delete.
- patches.fixes/barrier-update-20050308: Delete.
- patches.fixes/scsi-dead-device: Delete.
- patches.suse/request_end_io-sl93: Delete.
- series.conf: Kill some merged patches
* Fri Jun 24 2005 vojtech@suse.cz
- Update/remove input/console patches for 2.6.12.
* Fri Jun 24 2005 schwab@suse.de
- Update kdb patches.
* Fri Jun 24 2005 hare@suse.de
- Update to 2.6.12.
  Removed old patches.
- Updated configs.
* Fri Jun 24 2005 olh@suse.de
- add patches.arch/avoid_table_double_loading.diff
  fixes acpi crashes, from trenn@suse.de
* Thu Jun 16 2005 hare@suse.de
- patches.arch/s390-2.6.12-rc6-update
  compilation fixes.
* Thu Jun 16 2005 hare@suse.de
- add patches.arch/s390-2.6.12-rc6-update
  Update to latest -rc.
- patches.arch/s390-mapped-base
  Update patch to apply again.
- Update configs for s390 and s390x.
* Wed Jun 15 2005 olh@suse.de
- add patches.fixes/firewire-scsi-host-slab-corruption.patch
  allocate space for scsi_host->hostdata before using it
* Tue Jun 14 2005 gregkh@suse.de
  update to 2.6.11.12 release
- patches.fixes/x86_64-ptrace-overflow: Delete.
- patches.fixes/patch-2.6.11.11-12: Linux-2.6.11.12 patch.
* Tue Jun 14 2005 ak@suse.de
- Increase NR_CPUS on x86-64 to 128.
* Mon Jun 13 2005 agruen@suse.de
- patches.rpmify/supported-flag: Clarify that this is about
  support by Novell.
* Sat Jun 11 2005 garloff@suse.de
- Update Xen patches to 2.0.6a.
- Fix UDP fragment and RCU races.
* Sat Jun 11 2005 tiwai@suse.de
- patches.suse/fuse-*: Add FUSE patches for evaluation, taken
  from 2.6.12-rc6-mm1
- Update config files.  Added CONFIG_FUSE_FS=m.
* Thu Jun 09 2005 axboe@suse.de
- patches.fixes/ata_piix-scan-all-enabled-ports: ata_piix does
  not find any devices on ACER laptop (78564).
* Wed Jun 08 2005 olh@suse.de
- add patches.arch/ppc-export-macio_find.patch
  export for alsa
* Wed Jun 08 2005 olh@suse.de
- add patches.arch/ppc64-offb-remapped-address.patch
  The offb code did not take into account a remapped pci address.
  Adding in the pci_mem_offset fixed a DSI in offb.
* Wed Jun 08 2005 tiwai@suse.de
- patches.suse/nice-and-rt-prio-rlimits.patch: Add nice and rt
  prio to rlimits.
* Wed Jun 08 2005 agruen@suse.de
- Rename /lib/modules/$VER-$REL-$FLAVOR/updates symlink to
  updates2 so that we can use updates/ for per-kernel update
  modules.
* Tue Jun 07 2005 schwab@suse.de
- Enable KDB in ia64/default.
* Fri Jun 03 2005 tiwai@suse.de
- patches.drivers/alsa-cvs-fixes-post-9.3-20050603.diff: Post-9.3
  ALSA update: CVS 2005.06.03.
- Update config files.
* Fri Jun 03 2005 schwab@suse.de
- subfs: cleanup parameter parsing.
* Fri Jun 03 2005 schwab@suse.de
- Remove SN2 configuration.
* Thu Jun 02 2005 mantel@suse.de
- patches.fixes/x86_64-ptrace-overflow: Fix ptrace overflow
  (84078).
* Wed Jun 01 2005 agruen@suse.de
- rpm/check-supported-list: ignore .ko extensions.
* Tue May 31 2005 agruen@suse.de
- patches.fixes/x86_64-sysret-fix: Already merged.
* Fri May 27 2005 gregkh@suse.de
  Update to 2.6.11.11
- patches.fixes/usb-visor-throttle-fix.patch: Delete.
- patches.fixes/ptrace-check-segment: Delete.
- patches.fixes/patch-2.6.11.10-11: Linux-2.6.11.11 patch.
* Fri May 27 2005 ro@suse.de
- disable CONFIG_DRM_VIA on x86_64
* Wed May 25 2005 kraxel@suse.de
- build raid statically into the kernel-xen (bug #85423).
* Tue May 24 2005 agruen@suse.de
- patches.drivers/drm-via: Update, and re-enable CONFIG_DRM_VIA.
* Mon May 23 2005 kraxel@suse.de
- patches.uml/uml-gcc4: uml gcc4 buildfix.
* Mon May 23 2005 olh@suse.de
- patches.arch/ppc64-smp-hwclock-sync.patch, handle i2c-hwclock
* Sun May 22 2005 olh@suse.de
- patches.arch/ppc64-i2c_keywest_init.patch, add interrupt property
* Fri May 20 2005 gregkh@suse.de
- patches.fixes/usb-visor-throttle-fix.patch: USB: fix bug in
  visor driver with throttle/unthrottle causing oopses (#81818).
* Thu May 19 2005 agruen@suse.de
- patches.fixes/x86_64-sysret-fix: Back out; it breaks booting
  (84587).
* Thu May 19 2005 mantel@suse.de
- Update config files.
* Wed May 18 2005 tiwai@suse.de
- patches.drivers/alsa-cvs-fixes-post-9.3.diff: Post-9.3 ALSA
  update: CVS 2005.05.18.
* Wed May 18 2005 agruen@suse.de
- Disable CONFIG_DRM_VIA for now -- it doesn't compile.
* Tue May 17 2005 mantel@suse.de
- patches.fixes/ipodphoto-unusual-device: 60GB iPod Photo,
  wrong disk geometry detected (83906).
* Tue May 17 2005 mantel@suse.de
- patches.fixes/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
- patches.fixes/ptrace-check-segment: x86-64: Fix canonical
  checking for segment registers in ptrace (83143).
* Tue May 17 2005 mantel@suse.de
- patches.fixes/drm-ioctl32: x86-64: fix possible root hole in
  DRM code (76863).
* Mon May 16 2005 gregkh@suse.de
  Update to 2.6.11.10, which fixes 2 root holes
  (one of which was already fixed in the tree)
- patches.fixes/raw-blkdev_ioctl.patch: Delete.
- patches.fixes/patch-2.6.11.9-10:
* Fri May 13 2005 mantel@suse.de
- patches.fixes/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
* Fri May 13 2005 gregkh@suse.de
- scripts/config.sh:
  Fix EXTRAVERSION to get the build working again, sorry about that...
* Fri May 13 2005 gregkh@suse.de
  Update to 2.6.11.9, which catches a few security holes.
- patches.fixes/patch-2.6.11.1: Delete.
- patches.fixes/patch-2.6.11.2: Delete.
- patches.fixes/patch-2.6.11.2-3: Delete.
- patches.fixes/patch-2.6.11.3-4: Delete.
- patches.fixes/ipsec-toobig-deadlock: Delete.
- patches.fixes/ext3-release-race: Delete.
- patches.fixes/load_elf_library-kfree-fix: Delete.
- patches.fixes/bluetooth-check: Delete.
- patches.fixes/aio-up_read-deadlock: Delete.
- patches.fixes/patch-2.6.11.9: Linux 2.6.11.9.
* Thu May 12 2005 mantel@suse.de
- patches.fixes/it8712f-a-detection: fix it87 sensor chip
  detection on GA-K8NF-9 (83483).
* Thu May 12 2005 kraxel@suse.de
- Update config files: disable raid6 for xen, use-mmx-in-kernel
  tricks don't work here.
* Wed May 11 2005 hare@suse.de
- patches.drivers/libata-atapi-state-fix
  patches.drivers/libata-timeout-without-command
  Fix ATAPI timeout problem (74450).
* Tue May 10 2005 kraxel@suse.de
- Update config xen file (disable pci hotplug adapters & pcie,
  make microcode driver static builtin).
* Mon May 09 2005 agruen@suse.de
- patches.fixes/asm-gcc4: compile fixes for kernel-xen from
  ro@suse.de.
* Fri May 06 2005 schwab@suse.de
- Fix some missing exports.
* Fri May 06 2005 mantel@suse.de
- patches.fixes/export-sock_getsockopt: export symbol
  sock_getsockopt needed by iscsi (81259).
* Thu May 05 2005 andrea@suse.de
- patches.fixes/slab-account-reclaim: account reclaimable slabs
  correctly for over commit purposes (62695).
* Fri Apr 29 2005 mantel@suse.de
- patches.suse/kdb-i386: fix for gcc4
* Thu Apr 28 2005 okir@suse.de
- patches.fixes/ipv4-martian-oops: [IPv4] Prevent oops when
  printing martian source (65556).
* Thu Apr 28 2005 schwab@suse.de
- Even more gcc4 fixes for ppc/ppc64.
* Wed Apr 27 2005 schwab@suse.de
- More gcc4 fixes.
* Wed Apr 27 2005 okir@suse.de
- patches.fixes/nfs-access-cache: NFS: Fix typo in access caching (80620).
* Wed Apr 27 2005 pavel@suse.cz
- kernel-source.changes.old: split 2004 and earlier changes into .old
* Wed Apr 27 2005 schwab@suse.de
- Double CONFIG_NR_CPUS to 512.
* Wed Apr 27 2005 agruen@suse.de
- patches.fixes/gcc4-baycom_epp.diff: Fix another gcc4 compile-time
  error.
* Wed Apr 27 2005 schwab@suse.de
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC=2 in sn2 config [#80446].
* Wed Apr 27 2005 schwab@suse.de
- Make kernel compilable with gcc4.
* Tue Apr 26 2005 olh@suse.de
- enable CONFIG_CC_OPTIMIZE_FOR_SIZE on ppc,
  to keep the stripped vmlinux file size below 4M.
  this is a hard requirement for COFF netboot
* Tue Apr 26 2005 mantel@suse.de
- patches.fixes/asm-gcc4: fix compilation with gcc4 (none).
* Tue Apr 26 2005 okir@suse.de
- patches.drivers/drm-fixes: DRM: Fix 32bit support on x86_64
  (MGA and Rage128) (78708) (patch by eich@suse.de).
* Mon Apr 18 2005 okir@suse.de
- patches.fixes/nfs-rename-zap-inode: [NFS] Drop inode after
  rename (76854).
* Thu Apr 14 2005 agruen@suse.de
- rpm/running-kernel.init.in: Check for
  etc/sysconfig/kernel:SKIP_RUNNING_KERNEL, and don't do anything
  if it is set.
* Thu Apr 14 2005 lmb@suse.de
- patches.drivers/nbd-configure-device-count: Do not create excessive
  numbers of network block devices on module load; introduce module
  parameter to limit (#76874).
* Thu Apr 14 2005 hare@suse.de
- patches.fixes/jfs-disable-aops.patch
  Remove special handling for directory aops (#67328)
* Tue Apr 12 2005 mantel@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 (75926).
* Thu Apr 07 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Add back a version of /boot/vmlinux.gz
  without debug symbols to the binary kernel packages. This file
  was moved to the -debuginfo packages previously.
* Thu Apr 07 2005 axboe@suse.de
- series.conf: re-enable CFQ, it should be safe with the SCSI fix below.
* Thu Apr 07 2005 axboe@suse.de
- patches.fixes/scsi-device-lock-reference: Fix sdev <-> queue
  reference counting problems.
* Wed Apr 06 2005 agruen@suse.de
- rpm/prepare-build.sh: Don't drop the list of km_ modules from
  BuildRequires: this breaks kernel building with build.rpm.
* Mon Apr 04 2005 schwab@suse.de
- Enable CONFIG_PCI_MSI on ia64.
* Mon Apr 04 2005 axboe@suse.de
- patches.fixes/aio-up_read-deadlock: [PATCH] rwsem: Make rwsems
  use interrupt disabling spinlocks (73640).
* Sun Apr 03 2005 garloff@suse.de
- Xen: Drop readahead tuning.
- Update xen patches: Fix blkback performance problem, fix timer
  timeouts below one jiffy, update AGP patches.
- Enable xen AGP patch unconditionally.
* Fri Apr 01 2005 mantel@suse.de
- patches.fixes/load_elf_library-kfree-fix: Fix potential DoS
  in load_elf_library (73837).
* Tue Mar 29 2005 garloff@suse.de
- Initialize readahaed in virtual xen block driver.
* Tue Mar 29 2005 mantel@suse.de
- patches.fixes/bluetooth-check: bluetooth: Fix signedness
  problem at socket creation (74519).
* Mon Mar 28 2005 jeffm@suse.de
- patches.fixes/set_blocksize_race.diff: Updated header; accepted
  in 2.6.12-rc1
* Thu Mar 24 2005 jeffm@suse.de
- patches.suse/lookup_hash_nameidata.diff: Version added to CVS did
  _not_ obsolete lookup_create_nameidata.diff, but it was removed
  anyway. Added required changes.
* Wed Mar 23 2005 agruen@suse.de
- Add /boot/*-xen symlinks to file list; create /boot/*-um
  symlinks.
* Wed Mar 23 2005 agruen@suse.de
- patches.fixes/atapi-fix-error-handling.patch: Fix sata atapi
  error handling (70918, hare@suse.de).
* Tue Mar 22 2005 axboe@suse.de
- series.conf: Disable cfq-default
* Tue Mar 22 2005 tiwai@suse.de
- patches.drivers/alsa-alc260-mono-vol.diff: Add mono volume on
  ALC260 (#72971).
* Tue Mar 22 2005 agruen@suse.de
- patches.suse/lookup_hash_nameidata.diff: Pass struct nameidata
  to subfs instead of NULL.
- patches.suse/lookup_create_nameidata.diff: Obsoleted by
  patches.suse/lookup_hash_nameidata.diff.
* Tue Mar 22 2005 mantel@suse.de
- patches.suse/bootsplash: fix problem with setfont (#74141)
* Tue Mar 22 2005 agruen@suse.de
- Update config files: disable broken CONFIG_SONYPI (sonypi.ko).
* Mon Mar 21 2005 axboe@suse.de
- patches.fixes/scsi-allocate-request-ref: SCSI request allocation
  reference counting problem.
* Mon Mar 21 2005 kkeil@suse.de
- patches.drivers/isdn_hfc_sitecom: Add PCI IDs for Sitecom DC-105
- patches.drivers/isdn_pcmcia_cardbus_irq: enable PCMCIA IRQ
  sharing for all PCMCIA ISDN cards (#72300).
* Mon Mar 21 2005 garloff@suse.de
- Update Xen patches: Floppy should work now.
* Sat Mar 19 2005 kraxel@suse.de
- rpm/kernel-binary.spec.in: comment conflict between kernel-um
  and other kernel binaries (bug #73642).
* Sat Mar 19 2005 garloff@suse.de
- Fix patches.xen/drm-io-remap-pfn-range broken by last rediff.
* Fri Mar 18 2005 garloff@suse.de
- Update subdomain LSM.
* Fri Mar 18 2005 kkeil@suse.de
- reenable ppp-mppe pptp driver (#73043)
* Fri Mar 18 2005 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  do not init 8250 ports on pmac64, also disable legacy ports
  enable pmac_zilog in ppc64 .config
* Fri Mar 18 2005 mantel@suse.de
- patches.drivers/alsa-prototypes: ALSA core: add missing
  prototypes and export (66753).
* Fri Mar 18 2005 axboe@suse.de
- series.conf: disable sata-enable-flush
* Fri Mar 18 2005 axboe@suse.de
- patches.fixes/scsi-dead-device: Fix SCSI reference counting
  problem with a dead device.
* Fri Mar 18 2005 vojtech@suse.cz
- patches.drivers/input-bk-rightwin.diff
  Fix right Win key on AT keyboards (OSDL #4361)
* Fri Mar 18 2005 mantel@suse.de
- patches.fixes/no-partition-check-for-pcmcia.patch: Do not
  rescan for partitions on CF cards with PCMCIA adapters.
* Thu Mar 17 2005 mason@suse.de
- patches.fixes/rwv_einval: readv and writev should check for
  EINVAL before Efault (71223).
* Thu Mar 17 2005 okir@suse.de
- patches.drivers/drm-ioctl32: DRM: Support 32bit ioctls (from eich, #72943).
- patches.xen/drm-io-remap-pfn-range: Rediffed DRM patch
* Thu Mar 17 2005 axboe@suse.de
- patches.fixes/cfq-tweaks: Small CFQ tweaks.
* Thu Mar 17 2005 axboe@suse.de
- patches.fixes/cfq-shutdown-timer-wq: Shutdown pending timer/wq
  from both last put and exit case.
* Thu Mar 17 2005 schwab@suse.de
- Fix name of module override directory.
* Thu Mar 17 2005 garloff@suse.de
- (okir) Removed non-compiling dri-ioctl32 patch.
- Updated Xen patches.
* Thu Mar 17 2005 jeffm@suse.de
- series.conf: enabled set_blocksize_race.diff
* Wed Mar 16 2005 axboe@suse.de
- patches.fixes/cfq-pending-work-fixup: Fixup error in
  cfq-pending-work.
* Wed Mar 16 2005 jeffm@suse.de
- patches.fixes/bd_claim_flags.diff: Delete.
- patches.fixes/set_blocksize_race.diff: blockdev: fix race between
  mount/umount (#63178).
- series.conf: checked in disabled pending discussion on kernel@suse.de
* Wed Mar 16 2005 eich@suse.de
- patches.drivers/dri-ioctl32: DRI: Support 32bit ioctls (72943).
* Wed Mar 16 2005 axboe@suse.de
- patches.fixes/cfq-pending-work: Fix CFQ 'do we have pending
  requests' check.
* Wed Mar 16 2005 mason@suse.de
  Use >> for the post and postun install scripts so they don't
  get overwritten half way through (72866)
- rpm/kernel-binary.spec.in:
* Wed Mar 16 2005 gregkh@suse.de
  Add bugzilla reference id to cpia patch.
- patches.drivers/usb-cpia-2.6.11.patch: USB: fix cpia_usb
  driver's warning messages in the syslog (71669).
* Wed Mar 16 2005 mantel@suse.de
- enable patches.fixes/patch-2.6.11.3-4
* Wed Mar 16 2005 axboe@suse.de
- patches.drivers/suse-ahci-disable: Don't touch the 6th bar
  unless it's really an ahci device (72074).
* Wed Mar 16 2005 mantel@suse.de
- x86_64: CONFIG_DRM should be modular as on other archs
* Tue Mar 15 2005 gregkh@suse.de
  Add 2.6.11.4 release to the tree, not the build.
- patches.fixes/patch-2.6.11.3-4: 2.6.11.4 release from
  kernel.org.
* Tue Mar 15 2005 gregkh@suse.de
  Fix for bug 71669
- patches.drivers/usb-cpia-2.6.11.patch: USB: fix cpia_usb
  driver's warning messages in the syslog.
* Tue Mar 15 2005 tiwai@suse.de
- patches.drivers/alsa-suspend-lock-fix.diff: Fix deadlock in
  the suspend code.
- patches.drivers/alsa-hda-cmedia-default.diff: Use full-digital
  model as default for CMI9880.
- patches.drivers/alsa-es1968-resume-fix.diff: Fix PM resume
  with ES1968.
- patches.drivers/alsa-atiixp-resume-fix.diff: Fix PM resume
  with ATIIXP.
- patches.drivers/alsa-timer-fix.diff: Fix Oops with timer
  event notification.
* Tue Mar 15 2005 jeffm@suse.de
- patches.fixes/set_blocksize_race.diff: Delete.
- patches.fixes/bd_claim_flags.diff: blockdev: fix for racing mount/umount.
- series.conf: replaced set_blocksize_race.diff with bd_claim_flags.diff
* Tue Mar 15 2005 axboe@suse.de
- patches.suse/thread_readahead.patch: Delete.
- series.conf: kill dead patch
* Tue Mar 15 2005 vojtech@suse.cz
- patches.drivers/serial-globetrotter.diff: Deleted.
  Generic support works well enough.
* Tue Mar 15 2005 axboe@suse.de
- patches.fixes/ide-noflush: Add hdX=noflush for buggy hard drives
  (66590).
* Tue Mar 15 2005 okir@suse.de
- patches.fixes/ipv6-ppp-crash: Prevent IPv6 oops on PPP devices (72444).
* Tue Mar 15 2005 axboe@suse.de
- patches.drivers/libata-ahci-error-handling: Fix AHCI fatal
  error handling.
* Tue Mar 15 2005 olh@suse.de
- remove patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  will be merged into mainline, or its not worth having
* Mon Mar 14 2005 okir@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 (71684).
* Mon Mar 14 2005 garloff@suse.de
- patches.xen/drm-io-remap-pfn-range: Use io_remap_page_range
  in DRM under Xen.
* Mon Mar 14 2005 tiwai@suse.de
- patches.drivers/alsa-emu10k1-voice-remove-printk.diff: Remove
  invalid debug prints.
* Mon Mar 14 2005 okir@suse.de
- patches.fixes/ipsec-toobig-deadlock: ipsec deadlock patch:
  call tunnel_check_size w/o locking.
* Mon Mar 14 2005 okir@suse.de
- patches.fixes/ext3-release-race: Prevent race condition in jbd.
* Mon Mar 14 2005 okir@suse.de
- Update to 2.6.11.3
* Mon Mar 14 2005 axboe@suse.de
- patches.suse/ide-hpa-off_by_1: Delete.
- patches.suse/ide-probe-delay: Reduce ide probe delays.
- patches.suse/ide-noraid: Add global parameter to disable
  ide raid.
- series.conf: Check up on various disabled patches
* Mon Mar 14 2005 garloff@suse.de
- Enable subdomain LSM.
* Sun Mar 13 2005 vojtech@suse.cz
- patches.fixes/framebuffer-cursor-fix.diff
  Fix cursor behavior
- patches.fixes/uli526x-fix.diff
  Fix ALi/ULi integrated ethernet
- patches.drivers/input-bk-64bit-compat.diff
  Add 32-bit emulation for input devices
- patches.drivers/input-bk-hid-32bit.diff
  Fix extraction of HID items >= 32 bit in size
- patches.drivers/input-bk-i8042-pnp-msg.diff
  Fix i8042 PnP detection if only KBD port is detected
- patches.drivers/input-bk-i8042-resume.diff
  Fix resume sequence for i8042
- patches.drivers/input-bk-sunrex.diff
  Work around bugs in Sunrex IR Keyboard/Mouse (#72331)
- patches.drivers/serial-globetrotter.diff
  Add support for Broadcom GPRS/EDGE CardBus modem
* Sun Mar 13 2005 garloff@suse.de
- Update xen patches to xen 2.0.5 (post).
* Sat Mar 12 2005 olh@suse.de
- merge pmac64+pseries64 defconfig back into one config: ppc64
* Sat Mar 12 2005 olh@suse.de
- update patches.suse/suse-ipv6-rt-expiry
  declare fib6_update_expiry before use
* Sat Mar 12 2005 olh@suse.de
- add patches.fixes/aoe-64bit.patch, fix minor pointer to int bug
* Sat Mar 12 2005 olh@suse.de
- update patches.suse/netfilter-06-policy-match
  ->match prototype update
* Sat Mar 12 2005 vojtech@suse.cz
- patches.fixes/fat-nokia-fix: Delete.
* Sat Mar 12 2005 gregkh@suse.de
  Added the 2.6.11.3 patch to the tree
  (only added the file, did not add it to the build, will let others
  decide if that is necessary, as I think the kernel is supposed to
  be frozen...)
- patches.fixes/patch-2.6.11.2-3: 2.6.11.3 release from kernel.org.
* Sat Mar 12 2005 agruen@suse.de
- patches.fixes/no-oom-kill: Delete.
- patches.suse/jfs-dmapi: Delete.
- patches.suse/jfs-dmapi-fix: Delete.
- patches.suse/jfs-dmapi-prio-tree: Delete.
- patches.suse/jfs-dmapi-regions: Delete.
- patches.suse/jfs-unique-slab-names: Delete.
* Sat Mar 12 2005 gregkh@suse.de
  [#] new
-+Unused: patches.drivers/pci-1.2134.patch
-+Unused: patches.drivers/usb-zd1201-02.patch
-+Unused: patches.drivers/pci-1.2133.patch
  +Unused: patches.fixes/netfilter-checksum
* Sat Mar 12 2005 gregkh@suse.de
  Delete a unused usb patch
- patches.drivers/usb-zd1201-02.patch: Delete.
* Sat Mar 12 2005 gregkh@suse.de
  Deleted unused PCI patches.
- patches.drivers/pci-1.2133.patch: Delete.
- patches.drivers/pci-1.2134.patch: Delete.
- patches.drivers/pci-1.2136.patch: Delete.
- patches.drivers/pci-1.2135.patch: Delete.
- patches.drivers/pci-1.2143.patch: Delete.
- patches.drivers/pci-1.2148.patch: Delete.
- patches.drivers/pci-1.2150.patch: Delete.
* Fri Mar 11 2005 tiwai@suse.de
- patches.drivers/alsa-via82xx-addition.diff: Add DXS support
  for MSI K8T Neo2-FI.
- patches.drivers/alsa-nm256-irq-fix.diff: Fix the lock-up of
  nm256 driver.
- patches.drivers/alsa-emu10k1-alloc-fix.diff: Fix voice
  allocation corruption on emu10k1.
- patches.drivers/alsa-alc655-spdif-route-fix.diff: Fix SPDIF
  route control on ALC655/658/850.
- patches.drivers/alsa-mixer-oss-fix.diff: Fix deadlock in
  error paths.
* Fri Mar 11 2005 garloff@suse.de
- patches.suse/unmap_vmas-lat: Update unmap_vmas() block size
  according to advice from Andrea.
* Fri Mar 11 2005 okir@suse.de
- patches.fixes/usagi-ipv6-esp-null: Obsolete.
- patches.suse/ipv6-export-symbols: Obsolete.
- re-enabled patches.fixes/tokenring-spin-lock-bh
* Fri Mar 11 2005 pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: Do not force emergency
  spindowns of disks..
- README: better testing example
- series.conf: add above patches.
* Fri Mar 11 2005 pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: do not force emergency spindown.
- series.conf: add above patches.
* Fri Mar 11 2005 pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: do not spin disks down hard.
- series.conf: add above stuff.
* Fri Mar 11 2005 okir@suse.de
- Update IPv6 patches:
  - patches.fixes/netfilter-conntrack-ftp-seqno: conntrack ftp:
  fix sequence numbers, debug message.
  - patches.suse/usagi-ipv6-ip6t-reject: implement
  reject target for ipv6 nefilter (67329)
  - Update config files for REJECT target
  - patches.suse/ipv6-v4-mapped-addrs: Fix the handling of IPv6
  mapped IPv4 addresses.
  - patches.suse/ipv6-tahi-pmtu-2: IPv6 PMTU fix.
  - patches.suse/ipv6-ndisc-breaks-arp: Obsolete.
  - patches.suse/ipv6-tahi-nd-74: Obsolete.
  - patches.suse/usagi-ipv6-netfilter: Obsolete.
  - patches.suse/usagi-ipv6-conntrack: Delete
* Fri Mar 11 2005 mantel@suse.de
- patches.fixes/moxa-ioctl-check: add permission check to moxa
  serial driver (65375).
* Fri Mar 11 2005 olh@suse.de
- update patches.suse/acpi_EC_no_byteAcc_fix.diff
  increment offset by one, not eight
* Fri Mar 11 2005 gregkh@suse.de
  Remove unneeded I2C patches from the tree.
- patches.drivers/i2c-1.2081.patch: Delete.
- patches.drivers/i2c-1.2083.patch: Delete.
- patches.drivers/i2c-1.2084.patch: Delete.
- patches.drivers/i2c-1.2085.patch: Delete.
- patches.drivers/i2c-1.2086.patch: Delete.
- patches.drivers/i2c-1.2087.patch: Delete.
- patches.drivers/i2c-1.2088.patch: Delete.
- patches.drivers/i2c-1.2090.patch: Delete.
- patches.drivers/i2c-1.2091.patch: Delete.
- patches.drivers/i2c-1.2092.patch: Delete.
- patches.drivers/i2c-1.2093.patch: Delete.
- patches.drivers/i2c-1.2094.patch: Delete.
- patches.drivers/i2c-1.2095.patch: Delete.
- patches.drivers/i2c-1.2097.patch: Delete.
- patches.drivers/i2c-1.2096.patch: Delete.
- patches.drivers/i2c-1.2102.patch: Delete.
- patches.drivers/i2c-1.2104.patch: Delete.
- patches.drivers/i2c-1.2106.patch: Delete.
- patches.drivers/i2c-1.2107.patch: Delete.
- patches.drivers/i2c-1.2108.patch: Delete.
- patches.drivers/i2c-1.2109.patch: Delete.
- patches.drivers/i2c-1.2110.patch: Delete.
- patches.drivers/i2c-1.2111.patch: Delete.
- patches.drivers/i2c-1.2112.patch: Delete.
- patches.drivers/i2c-1.2113.patch: Delete.
- patches.drivers/i2c-1.2115.patch: Delete.
- patches.drivers/i2c-1.2116.patch: Delete.
* Fri Mar 11 2005 gregkh@suse.de
  Driver core update based on patches now in the 2.6.11-bk tree.
  Almost all of these are liked by udev / HAL in order that they
  can go faster, with less sysfs activity.
- patches.drivers/driver_core-1.2038.patch: [PATCH] driver core:
  Separate platform device name from platform device number.
- patches.drivers/driver_core-1.2039.patch: [PATCH] class core:
  export MAJOR/MINOR to the hotplug env.
- patches.drivers/driver_core-1.2040.patch: [PATCH] block core:
  export MAJOR/MINOR to the hotplug env.
- patches.drivers/driver_core-1.2041.patch: [PATCH] class_simple:
  pass dev_t to the class core.
- patches.drivers/driver_core-1.2042.patch: [PATCH] usb: class
  driver pass dev_t to the class core.
- patches.drivers/driver_core-1.2043.patch: [PATCH] i2c: class
  driver pass dev_t to the class core.
- patches.drivers/driver_core-1.2044.patch: [PATCH] videodev:
  pass dev_t to the class core.
- patches.drivers/driver_core-1.2046.patch: [PATCH] Driver core:
  add "bus" symlink to class/block devices.
- patches.drivers/driver_core-1.2047.patch: [PATCH] floppy.c:
  pass physical device to device registration.
* Thu Mar 10 2005 gregkh@suse.de
  USB update based on patches now in 2.6.11-bk tree.
- patches.drivers/usb-static-sysfs-info: Delete.
- patches.drivers/usb-static-sysfs-info-configuration.patch:
  Delete.
- patches.drivers/usb-static-sysfs-info-fixups.patch: Delete.
- patches.drivers/usb-static-sysfs-info-input.patch: Delete.
- patches.drivers/usb-static-sysfs-info-interface.patch: Delete.
- patches.drivers/usb-static-sysfs-info-usb-storage.patch: Delete.
- patches.fixes/usb-usbnet.c-ax88772.patch: Delete.
- Update config files.
- patches.drivers/usb-1.2020.1.005.patch: [PATCH] USB: SN9C10x
  driver bugfix.
- patches.drivers/usb-1.2020.1.006.patch: [PATCH] USB: SN9C10x
  driver bugfix.
- patches.drivers/usb-1.2020.1.016.patch: [PATCH] USB ftdi_sio:
  an rs485 adaptor from 4n-galaxy.de.
- patches.drivers/usb-1.2020.1.017.patch: [PATCH] USB: Retry
  more aggressively during device initialization.
- patches.drivers/usb-1.2020.1.018.patch: [PATCH] USB: Make
  use_both_schemes=y the default.
- patches.drivers/usb-1.2020.1.031.patch: [PATCH] USB: Add ASIX
  AX88772 10/100 Ethernet support to usbnet.
- patches.drivers/usb-1.2020.1.050.patch: [PATCH] USB: UHCI:
  Fix build errors when CONFIG_DEBUG_FS isn't set.
- patches.drivers/usb-1.2020.1.121.patch: [PATCH] USB: usbfs
  fix for data loss in message.c.
- patches.drivers/usb-1.2020.1.122.patch: [PATCH] USB: set
  timeout message to debug level: message.c.
- patches.drivers/usb-1.2020.1.123.patch: [PATCH] USB: usbfs:
  remove debug message.
- patches.drivers/usb-1.2020.1.138.patch: [PATCH] USB: cache
  the product, manufacturer, and serial number strings at device
  insertion..
- patches.drivers/usb-1.2020.1.139.patch: [PATCH] USB: fix up
  the input drivers to use the built in strings, instead of
  re-reading them from the device..
- patches.drivers/usb-1.2020.1.141.patch: [PATCH] USB: make
  iInterface string cached.
- patches.drivers/usb-1.2020.1.142.patch: [PATCH] USB: cache
  the iConfiguration string, if present..
- patches.drivers/usb-1.2020.1.143.patch: [PATCH] USB: fix memory
  leak in get_string if usb_string() call failed..
- patches.drivers/usb-1.2020.1.144.patch: [PATCH] USB: fix up
  compiler warnings when CONFIG_USB_DEBUG is not set..
- patches.drivers/usb-1.2020.1.146.patch: [PATCH] USB: pegasus
  and rtl8150 cset for proper link detection.
- patches.drivers/usb-1.2020.1.152.patch: [PATCH] USB: Fix use
  after free in usb/core/devices.c.
- patches.drivers/usb-1.2020.1.153.patch: [PATCH] USB: PhidgetKit
  driver update.
- patches.drivers/usb-1.2020.1.140.patch: [PATCH] USB: remove
  string fetches from the usb-storage core, have them used the
  cached versions instead..
* Thu Mar 10 2005 vojtech@suse.cz
- patches.drivers/input-bk-2073.diff
  Update patch to reset mouse immediately when a timing
  based sync loss is detected.
* Thu Mar 10 2005 okir@suse.de
- patches.fixes/nfsd-nohide-fix: nfsd: Fix READDIRPLUS replies on
  "nohide" exports (71819).
* Thu Mar 10 2005 agruen@suse.de
- scripts/tar-up.sh: Add minmem file to force mbuild to pick build
  hosts that have enough memory available.
* Thu Mar 10 2005 garloff@suse.de
- patches.fixes/scsi-define-task-aborted: Don't mask off
  TASK_ABORTED from the SCSI error status (64150, LTC12947).
* Thu Mar 10 2005 mantel@suse.de
- patches.suse/bootsplash: Bootsplash for current kernel (none).
  - don't display output on blanked screens
  - be less restrictive about the framebuffer type
  - re-add switch to verbose mode on system panic
* Thu Mar 10 2005 gregkh@suse.de
  Delete the W1 patches, as they are not needed to be in the tree.
- patches.drivers/w1-1.2080.patch: Delete.
- patches.drivers/w1-1.2081.patch: Delete.
- patches.drivers/w1-1.2082.patch: Delete.
- patches.drivers/w1-1.2083.patch: Delete.
- patches.drivers/w1-1.2084.patch: Delete.
- patches.drivers/w1-1.2085.patch: Delete.
- patches.drivers/w1-1.2086.patch: Delete.
* Wed Mar 09 2005 agruen@suse.de
- patches.fixes/export-__d_path: Export the __d_path function
  (65751).
* Wed Mar 09 2005 vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff
  Update patch to enable handoff on i386 and x86-64 only
* Wed Mar 09 2005 tiwai@suse.de
- patches.drivers/alsa-alc260-fix.diff: More fix for input
- patches.drivers/alsa-au88x0-spdif-fix.diff: Fix a typo in patch
- patches.drivers/alsa-midi-lock-fix.diff: Fix a typo in patch
* Wed Mar 09 2005 olh@suse.de
- add patches.suse/acpi_EC_no_byteAcc_fix.diff
  disable syslog spamming (#67364)
* Wed Mar 09 2005 agruen@suse.de
- rpm/postun.sh, rpm/post.sh: Stop using perl-Bootloader. We won't
  manage to resolve the remaining open issues.
* Wed Mar 09 2005 agruen@suse.de
- scripts/config.sh: Update EXTRAVERSION.
- scripts/sequence-patch.sh: Add VERSION and EXTRAVERSION checks.
* Wed Mar 09 2005 olh@suse.de
- remove obsolete patches
  patches.arch/suse-ppc32-chrp-rootdevice
  patches.arch/suse-ppc32-pmac-rootdevice
  patches.arch/suse-ppc32-prep-rootdevice
  patches.suse/suse-ppc64-chrp-root-sda3
  patches.fixes/root_dev-partition3
  ROOT_DEV is not used anymore now that linuxrc is "/init"
  patches.fixes/usb-proc-devices.patch
* Tue Mar 08 2005 vojtech@suse.cz
- patches.fixes/input-bk.diff: Patch updated to avoid warnings
  in ALSA.
* Tue Mar 08 2005 tiwai@suse.de
- patches.drivers/alsa-ac97-surround-fix.diff: Misc fixes
  for AC97.
- patches.drivers/alsa-alc260-fix.diff: Fix ALC260 support.
- patches.drivers/alsa-ali5455-dra-fix.diff: Don't enable DRA
  for ALI5455.
- patches.drivers/alsa-alias-fix.diff: Alias fixes for ALSA
  modules.
- patches.drivers/alsa-au88x0-spdif-fix.diff: Fix the SPDIF
  control for AU88x0.
- patches.drivers/alsa-audigy-spdif-fix.diff: Fix Audigy SPDIF
  register bits.
- patches.drivers/alsa-emu10k1-pop-fix.diff: Fix pop/click noises.
- patches.drivers/alsa-hda-codec-parser-fix.diff: Fix the parse
  of HDA widget tree.
- patches.drivers/alsa-intel8x0m-new-ids.diff: Add ICH6/ICH7
  support.
- patches.drivers/alsa-midi-lock-fix.diff: Fix possible MIDI
  deadlocks.
- patches.drivers/alsa-pcm-appl-ptr-fix.diff: Fix the calculation
  of appl_ptr.
- patches.drivers/alsa-revo-rate-fix.diff: Fix the sample rates
  on Revo 7.1.
- patches.drivers/alsa-usb-midi-fix.diff: Fix USB MIDI handling
  and new quirks.
- patches.drivers/alsa-user-control-alloc-fix.diff: Fix the
  wrong allocation size for user controls.
* Tue Mar 08 2005 gregkh@suse.de
- patches.fixes/patch-2.6.11.2: 2.6.11.2 release from kernel.org.
* Tue Mar 08 2005 gregkh@suse.de
- Update config files.
- patches.drivers/usb-zd1201-01.patch: [PATCH] USB: add zd1201
  wireless lan driver.
- patches.drivers/usb-zd1201-02.patch: [PATCH] USB: fix up HZ
  change in zd1201 driver..
- patches.drivers/usb-sisusbvga-01.patch: [PATCH] USB: add SiS
  USB2VGA kernel driver.
- patches.drivers/usb-sisusbvga-02.patch: [PATCH] USB: fix sparse
  bitwise warnings in the sisusb.c driver.
- patches.drivers/usb-sisusbvga-03.patch: [PATCH] USB: SiS
  USB2VGA minor fix..
- patches.drivers/usb-sisusbvga-04.patch: [PATCH] USB: give
  sisusb a valid minor number (133 - 140).
- series.conf: Add 2 new usb drivers (already in 2.6.11-bk tree)
* Tue Mar 08 2005 axboe@suse.de
- patches.fixes/as-iosched-deactivate-fix: handle double invocation
* Tue Mar 08 2005 garloff@suse.de
- patches.drivers/input-i8042-double-unregister:
  Avoid unregistering i8042 drivers twice.
- patches.xen/xen-avoid-disfunct-rtc: Don't register RTC driver
  if it only read 0xff from CMOS.
* Tue Mar 08 2005 okir@suse.de
- patches.fixes/uhci-hcd-init-fix: hsb-hcd: change device state
  before enabling interrupts.
* Tue Mar 08 2005 okir@suse.de
- patches.fixes/drm-setversion-missing-memset: Add missing memset
  to drm_setversion (65926). (from eich@suse.de)
* Tue Mar 08 2005 axboe@suse.de
- patches.fixes/barrier-update-20050308: fix deadlock in write barriers
* Tue Mar 08 2005 olh@suse.de
- add patches.fixes/raw-blkdev_ioctl.patch
  Replace ioctl_by_bdev with blkdev_ioctl in raw.c (#67212 - LTC14261)
  export blkdev_ioctl
* Tue Mar 08 2005 gregkh@suse.de
- series.conf: disabled patches.fixes/usb-proc-devices.patch based
  on Andreas Jaeger's request.
* Tue Mar 08 2005 andrea@suse.de
- patches.fixes/x86_64-panic-lockup: avoid lockup after panic
  even if kernel.panic > 0. (#67025)
* Mon Mar 07 2005 jeffm@suse.de
- patches.suse/subfs.patch: updated to "new" version again, lookup_create
  patch fixes issue
- patches.suse/lookup_create_nameidata.diff: lookup_create should
  pass nameidata to lookup_hash.
* Mon Mar 07 2005 pavel@suse.cz
- patches.fixes/swsusp-ehci_hcd: Delete.
- patches.fixes/swsusp-mysqld: Update to apply.
* Mon Mar 07 2005 pavel@suse.de
- patches.fixes/swsusp-ehci_hcd: Delete.
- patches.fixes/swsusp-mysqld: Workaround mysqld-cant-be-stopped
  problem. Updated to apply.
* Mon Mar 07 2005 jeffm@suse.de
- patches.fixes/03-reiserfs-priv-abstract.diff: updated for case
  where xattrs aren't enabled
* Mon Mar 07 2005 agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Fix compiling /usr/src/linux directly with O= (65891).
* Mon Mar 07 2005 axboe@suse.de
- patches.suse/security-compile-if-disable: compile if !CONFIG_SECURITY
* Mon Mar 07 2005 agruen@suse.de
- Fix invocation of km module Makefiles.
* Sun Mar 06 2005 agruen@suse.de
- Add EXTRAVERSION to the rpm package version so that it agrees
  with what `uname -r' reports.
* Sun Mar 06 2005 jeffm@suse.com
- patches.suse/subfs.patch: revert to previous version. It's
  possible for the lookup operation to be passed a NULL nameidata
  which means that all non-file creations will Oops. I'll post a
  revised version on Monday.
* Sun Mar 06 2005 agruen@suse.de
- Merge minor nfsacl cleanups (mostly relevant for different
  configs).
* Sat Mar 05 2005 vojtech@suse.cz
- patches.drivers/input-bk-alps.diff:
  All ALPS fixes in one patch
  Previous ALPS patches removed
* Sat Mar 05 2005 vojtech@suse.cz
- patches.drivers/input-bk-2074.diff:
  Fix ALPS oops on resume/suspend
  (Ruediger Oertel <ro@suse.de>: [kernel] oops during s-t-d)
* Fri Mar 04 2005 vojtech@suse.cz
- patches.drivers/input-bk-2073.diff:
  Fix psmouse.resetafter (#59325)
* Fri Mar 04 2005 vojtech@suse.cz
- patches.drivers/input-bk-2072.diff:
  Fix ALPS DualPoint stick (#70928)
* Fri Mar 04 2005 vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff: Make usb-handoff the
  default. Fixes bug #67239 and similar.
* Fri Mar 04 2005 gregkh@suse.de
- patches.fixes/patch-2.6.11.1: 2.6.11.1 release from kernel.org.
* Thu Mar 03 2005 jeffm@suse.de
- patches.fixes/02-vfs-private-selinux.diff~: Delete.
- patches.fixes/02-vfs-private-flag-workaround.diff: workaround
  for vfs_link crash reported on research list.
* Thu Mar 03 2005 agruen@suse.de
- patches.fixes/x86_64-ia32-icecream-fix.diff: Fix makefile
  dependency with parallel builds.
* Thu Mar 03 2005 vojtech@suse.cz
- patches.drivers/input-bk-2067.diff: Allow setting the PS/2 mouse
  maximum protocol via a sysfs attribute.
- patches.drivers/input-bk-2068.diff: Fix a typo in i8042 ACPI
  printk().
- patches.drivers/input-bk-2069.diff: Properly ignore zero Command
  Register address in i8042 ACPI code.
* Thu Mar 03 2005 pavel@suse.cz
- patches.suse/swsusp-noncontiguous: make apply
- patches.fixes/swsusp-from-initramfs.patch: make apply on top
  of modified swsusp.
- Update README.
* Thu Mar 03 2005 schwab@suse.de
- Update kdb patches and reenable.
* Thu Mar 03 2005 pavel@suse.cz
- patches.suse/swsusp-noncontiguous: Add.
- Remove obsolete swsusp stuff.
* Thu Mar 03 2005 schwab@suse.de
- Bump version to 2.6.11 and remove obsolete patches.
* Thu Mar 03 2005 okir@suse.de
- patches.suse/nfs-statd-hostnames: Fixed deadlock that caused NFS
  client hangs in certain cases (#66530)
- patches.fixes/sunrpc-optional-auth: Made it work with lockd/statd
* Thu Mar 03 2005 gregkh@suse.de
- Update config files.
- patches.arch/linux-2.6.10-rc3_ImacG5_ids.diff: imac g5 and
  current g5 support.
- patches.drivers/pci-1.2133.patch: [PATCH] convert
  pci_dev->slot_name usage to pci_name().
- patches.drivers/pci-1.2134.patch: [PATCH] Remove
  pci_dev->slot_name.
- patches.drivers/pci-1.2135.patch: [PATCH] PCI Hotplug: Remove
  unneeded instructions from ibmphp_pci.c.
- patches.drivers/pci-1.2136.patch: [PATCH] PCI: pci_proc_domain.
- patches.drivers/pci-1.2137.patch: [PATCH] PCI: Make
  pci_claim_resource __devinit.
- patches.drivers/pci-1.2138.patch: [PATCH] PCI: fix
  pci_remove_legacy_files() crash.
- patches.drivers/pci-1.2139.patch: [PATCH] PCI: NUMA-Q PCI
  config access arg validation.
- patches.drivers/pci-1.2140.patch: [PATCH] PCI: pci_raw_ops
  should use unsigned args.
- patches.drivers/pci-1.2141.patch: [PATCH]
  arch/i386/kernel/pci/irq.c:  Wrong message output.
- patches.drivers/pci-1.2142.patch: [PATCH] PCI: Dynids -
  passing driver data.
- patches.drivers/pci-1.2143.patch: [PATCH] drivers/pci/*:
  convert to pci_register_driver.
- patches.drivers/pci-1.2144.patch: [PATCH] PCI Hotplug: Fix
  OSHP calls in shpchp and pciehp drivers.
- patches.drivers/pci-1.2145.patch: [PATCH] PCI: Add PCI quirk
  for SMBus on the Toshiba Satellite A40.
- patches.drivers/pci-1.2146.patch: [PATCH] PCI: allow x86_64
  to do pci express.
- patches.drivers/pci-1.2147.patch: [PATCH] pci/quirks.c: unhide
  SMBus device on Samsung P35 laptop.
- patches.drivers/pci-1.2148.patch: [PATCH] PCI: clean up the
  msi api.
- patches.drivers/pci-1.2149.patch: [PATCH] PCI: pci.ids update.
- patches.drivers/pci-1.2150.patch: PCI: remove pci_find_device
  usage from pci sysfs code..
- patches.drivers/pci-1.2151.patch: [PATCH] PCI: Apple PCI
  IDs update.
- patches.drivers/pci-1.2152.patch: [PATCH] PCI: tone down
  pci=routeirq message.
- patches.drivers/pci-1.2153.patch: [PATCH] PCI: fix hotplug
  double free.
- patches.drivers/pci-1.2154.patch: [PATCH] PCI: One more Asus
  SMBus quirk.
  Add bk-pci selected patches to the build, and fix up the g5 pci id conflicts.
* Thu Mar 03 2005 gregkh@suse.de
- patches.drivers/i2c-1.2098.patch: Delete.
- patches.drivers/i2c-1.2101.patch: Delete.
- patches.drivers/i2c-1.2100.patch: Delete.
- patches.drivers/i2c-1.2099.patch: Delete.
- patches.drivers/i2c-1.2103.patch: Delete.
- patches.drivers/i2c-1.2105.patch: Delete.
- patches.drivers/i2c-1.2114.patch: Delete.
- Update config files.
- patches.drivers/i2c-gl520sm.patch: [PATCH] I2C: add GL520SM
  Sensor Chip driver.
- patches.drivers/i2c-ids.patch: [PATCH] I2C: fixed up the
  i2c-id.h algo ids..
- patches.drivers/i2c-m41t00.patch: [PATCH] I2C: add ST M41T00
  I2C RTC chip driver.
- patches.drivers/i2c-mv64xxx.patch: [PATCH] I2C: add Marvell
  mv64xxx i2c driver.
- patches.drivers/i2c-nforce2.patch: [PATCH] I2C i2c-nforce2:
  add support for nForce4 (patch against 2.6.11-rc4).
- patches.drivers/i2c-piix4.patch: [PATCH] I2C: Enable I2C_PIIX4
  for 64-bit platforms.
- patches.drivers/i2c-sis5595.patch: [PATCH] I2C: New chip
  driver: sis5595.
  Added new i2c drivers to the build and config
* Thu Mar 03 2005 gregkh@suse.de
- patches.drivers/i2c-1.2098.patch: Delete.
- patches.drivers/i2c-1.2101.patch: Delete.
- patches.drivers/i2c-1.2100.patch: Delete.
- patches.drivers/i2c-1.2099.patch: Delete.
- patches.drivers/i2c-1.2103.patch: Delete.
- patches.drivers/i2c-1.2105.patch: Delete.
- patches.drivers/i2c-1.2114.patch: Delete.
- Update config files.
* Thu Mar 03 2005 gregkh@suse.de
- patches.drivers/i2c-1.2080.patch: Delete.
- patches.drivers/i2c-1.2082.patch: Delete.
- patches.drivers/i2c-1.2089.patch: Delete.
- Update config files.
- patches.drivers/i2c-fscpos-01.patch: [PATCH] I2C: add fscpos
  chip driver.
- patches.drivers/i2c-fscpos-02.patch: [PATCH] I2C: Fix up some
  build warnings in the fscpos driver..
- patches.drivers/i2c-fscpos-03.patch: [PATCH] I2C: fix for
  fscpos voltage values.
  Add i2c patches for fscpos driver.
* Thu Mar 03 2005 gregkh@suse.de
- patches.drivers/i2c-1.2080.patch: Delete.
- patches.drivers/i2c-1.2082.patch: Delete.
- patches.drivers/i2c-1.2089.patch: Delete.
- Update config files.
* Wed Mar 02 2005 jeffm@suse.com
- add patches.fixes/01-vfs-private-flag.diff: adds S_PRIVATE flag for inodes
- add patches.fixes/02-vfs-private-selinux.diff: adds IS_PRIVATE to selinux
  inode loop
- add patches.fixes/03-reiserfs-priv-abstract.diff: abstracts reiserfs
  private inode test
- add patches.fixes/04-vfs-private-reiserfs.diff: uses the vfs-level private
  inode for reiserfs
  These patches are required for selinux to work with reiserfs (60041)
* Wed Mar 02 2005 vojtech@suse.cz
- Re-enable patches.suse/fastboot-console-init, I disabled it
  by mistake earlier.
* Wed Mar 02 2005 mantel@suse.de
- patches.drivers/e100-update: update e100 driver to 3.4.1
  (66716).
* Wed Mar 02 2005 mantel@suse.de
- Update config files.
* Wed Mar 02 2005 agruen@suse.de
- patches.suse/nfsacl-acl-umask-handling-workaround-in-nfs-client-3.patch:
  Fix file create bug (#67076).
* Wed Mar 02 2005 axboe@suse.de
- patches.drivers/2.6.11-rc5-bk4-libata-dev1.patch: libata update
* Wed Mar 02 2005 olh@suse.de
- replace patches.suse/acpi-dsdt-from-initrd
  with patches.suse/acpi_dsdt_initrd_initramfs
  update patches.suse/acpi_errors_on
* Wed Mar 02 2005 gregkh@suse.de
  Added split out w1 patches.  Still protected with +gregkh
- patches.drivers/w1-1.2080.patch: [PATCH] w1/w1_therm: replace
  schedule_timeout() with msleep_interruptible().
- patches.drivers/w1-1.2081.patch: [PATCH] w1: dscore
  cleanups. 2/2.
- patches.drivers/w1-1.2082.patch: [PATCH] w1: Core cleanup 1/2.
- patches.drivers/w1-1.2083.patch: [PATCH] w1: fix some compiler
  warnings generated by the last "static" patch..
- patches.drivers/w1-1.2084.patch: [PATCH] w1: replace obsoleted
  *sleep_on*.
- patches.drivers/w1-1.2085.patch: [PATCH] w1: get rid of the
  potential problems with atomic operations..
- patches.drivers/w1-1.2086.patch: [PATCH] drivers/w1/*: convert
  to pci_register_driver.
* Wed Mar 02 2005 olh@suse.de
- update to 2.6.11, serial, selinux, sysfs signedness, pnp fixes
* Wed Mar 02 2005 gregkh@suse.de
  Added split out patches from my i2c-bk tree.  All still protected with a
  +gregkh symbol until I determine the rules about modifing the config files...
- patches.drivers/i2c-1.2080.patch: [PATCH] I2C: add fscpos
  chip driver.
- patches.drivers/i2c-1.2081.patch: [PATCH] I2C: Allow it87
  pwm reconfiguration.
- patches.drivers/i2c-1.2082.patch: [PATCH] I2C: Fix up some
  build warnings in the fscpos driver..
- patches.drivers/i2c-1.2083.patch: [PATCH] I2C: Kill
  i2c_client.id (1/5).
- patches.drivers/i2c-1.2084.patch: [PATCH] I2C: Kill
  i2c_client.id (2/5).
- patches.drivers/i2c-1.2085.patch: [PATCH] I2C: Kill
  i2c_client.id (3/5).
- patches.drivers/i2c-1.2086.patch: [PATCH] I2C: Kill
  i2c_client.id (4/5).
- patches.drivers/i2c-1.2087.patch: [PATCH] I2C: Kill
  i2c_client.id (5/5).
- patches.drivers/i2c-1.2088.patch: [PATCH] I2C: just delete
  the id field, let's not delay it any longer.
- patches.drivers/i2c-1.2089.patch: [PATCH] I2C: fix for fscpos
  voltage values.
- patches.drivers/i2c-1.2090.patch: [PATCH] I2C: i2c-dev
  namespace cleanup.
- patches.drivers/i2c-1.2091.patch: [PATCH] I2C: lm78 driver
  improvement.
- patches.drivers/i2c-1.2092.patch: [PATCH] I2C: Enable w83781d
  and w83627hf temperature channels.
- patches.drivers/i2c-1.2093.patch: [PATCH] I2C: Kill unused
  includes in i2c-sensor-detect.c.
- patches.drivers/i2c-1.2094.patch: [PATCH] I2C: unnecessary
  [#]includes in asb100.c.
- patches.drivers/i2c-1.2095.patch: [PATCH] I2C: lm80 driver
  improvement.
- patches.drivers/i2c-1.2096.patch: [PATCH] i2c-core.c: make
  some code static.
- patches.drivers/i2c-1.2097.patch: [PATCH] I2C: use time_after
  instead of comparing jiffies.
- patches.drivers/i2c-1.2098.patch: [PATCH] I2C: add ST M41T00
  I2C RTC chip driver.
- patches.drivers/i2c-1.2099.patch: [PATCH] I2C: New chip driver:
  sis5595.
- patches.drivers/i2c-1.2100.patch: [PATCH] I2C: add Marvell
  mv64xxx i2c driver.
- patches.drivers/i2c-1.2101.patch: [PATCH] I2C: add GL520SM
  Sensor Chip driver.
- patches.drivers/i2c-1.2102.patch: [PATCH] I2C: improve
  debugging output.
- patches.drivers/i2c-1.2103.patch: [PATCH] I2C: Enable I2C_PIIX4
  for 64-bit platforms.
- patches.drivers/i2c-1.2104.patch: [PATCH] I2C: fix typo in
  drivers/i2c/busses/i2c-ixp4xx.c.
- patches.drivers/i2c-1.2105.patch: [PATCH] I2C i2c-nforce2:
  add support for nForce4 (patch against 2.6.11-rc4).
- patches.drivers/i2c-1.2106.patch: [PATCH] I2C: Remove NULL
  client checks in rtc8564 driver.
- patches.drivers/i2c-1.2107.patch: [PATCH] I2C: Make i2c list
  terminators explicitely unsigned.
- patches.drivers/i2c-1.2108.patch: [PATCH] I2C: Fix some gcc
  4.0 compile failures and warnings.
- patches.drivers/i2c-1.2109.patch: [PATCH] I2C: S3C2410 missing
  I2C_CLASS_HWMON.
- patches.drivers/i2c-1.2110.patch: [PATCH] I2C: minor I2C
  cleanups.
- patches.drivers/i2c-1.2111.patch: [PATCH] Add class definition
  to the elektor bus driver.
- patches.drivers/i2c-1.2112.patch: [PATCH] I2C: saa7146
  build fix.
- patches.drivers/i2c-1.2113.patch: [PATCH] I2C: w83627hf needs
  i2c-isa.
- patches.drivers/i2c-1.2114.patch: [PATCH] I2C: fixed up the
  i2c-id.h algo ids..
- patches.drivers/i2c-1.2115.patch: [PATCH] I2C: Change of i2c
  co-maintainer.
- patches.drivers/i2c-1.2116.patch: [PATCH] I2C: Trivial
  indentation fix in i2c/chips/Kconfig.
* Wed Mar 02 2005 jeffm@suse.com
- add patches.fixes/set_blocksize_race.diff: fixes mount/umount race
  brought out by subfs use
* Tue Mar 01 2005 jeffm@suse.com
- add patches.suse/export_lookup_mnt.diff: Re-exported lookup_mnt
- updated patches.suse/subfs.diff: uses proper locking and reference
  counting on vfsmounts, doesn't try to find a vfsmount since open/lookup
  both supply one, and cleaned up the code
* Tue Mar 01 2005 olh@suse.de
- update to 2.6.11-rc5-bk4, bio, more __init fixes
* Tue Mar 01 2005 garloff@suse.de
- Update Xen patches.
* Tue Mar 01 2005 gregkh@suse.de
- patches.drivers/usb-static-sysfs-info-fixups.patch: USB:
  minor fixups from the sysfs-info patches on the error paths.
* Mon Feb 28 2005 vojtech@suse.cz
- Update to current Input BK tree. This obsoletes most of the
  input patches and should fix most of input-related bugs,
  namely touchpad sync problems and 'keyboard dead' problems.
* Mon Feb 28 2005 olh@suse.de
- add patches.fixes/video-rivafb-i2c-oops.patch
  rivafb kernel oops (#66779)
* Mon Feb 28 2005 olh@suse.de
- update to 2.6.11-rc5-bk3, network, __init, ide fixes
* Mon Feb 28 2005 okir@suse.de
- patches.suse/nfs-statd-hostnames: Fixed a problem with the new
  statd code (#66530)
* Mon Feb 28 2005 okir@suse.de
- patches.drivers/sk98lin-update: update sk98lin drivers to v8.14 (66497).
* Mon Feb 28 2005 hare@suse.de
- patches.fixes/swsusp-from-initramfs
  Fix declaration of swsusp_close()
* Mon Feb 28 2005 agruen@suse.de
- nfsacl patchset update.
* Mon Feb 28 2005 andrea@suse.de
- patches.fixes/pipe-fixes: fix pipe bugs (#65562)
* Sun Feb 27 2005 olh@suse.de
- update to 2.6.11-rc5-bk2, network, __init fixes
* Sun Feb 27 2005 olh@suse.de
- add patches.suse/modprobe_unknown_symbol.patch
  debug spurious Unknown symbol errors (#66533,#63643,#64590,#66449)
* Sat Feb 26 2005 olh@suse.de
- reenable patches.suse/unmap_vmas-lat
  one ZAP_BLOCK_SIZE for everyone
* Sat Feb 26 2005 olh@suse.de
- update to 2.6.11-rc5-bk1, usb, fb, pty race fixes
* Fri Feb 25 2005 olh@suse.de
- disable audio.ko, use the alsa snd-usb-audio.ko driver instead
  (#66670)
* Fri Feb 25 2005 agruen@suse.de
- patches.fixes/x86_64-ia32-icecream-fix.diff: Icecream has no
  way of detecting assembler-level includes. Use the assembler
  directly instead.
* Fri Feb 25 2005 olh@suse.de
- add patches.drivers/usb-static-sysfs-info-configuration.patch
  add patches.drivers/usb-static-sysfs-info-interface.patch
  cache more sysfs file contents
* Thu Feb 24 2005 olh@suse.de
- update patches.drivers/usb-static-sysfs-info
  add patches.drivers/usb-static-sysfs-info-input.patch
  add patches.drivers/usb-static-sysfs-info-usb-storage.patch
  new version of the patch from gregkh
* Thu Feb 24 2005 tiwai@suse.de
- patches.drivers/alsa-ac97-cm9761-fix.diff: Fix output of
  CM9761(A).
- patches.drivers/alsa-au88x0-fix.diff: au88x0 - do codec init
  more like windows does.
- patches.drivers/alsa-cm8338-fix.diff: Fix the chip query
  of cm8338.
- patches.drivers/alsa-dell-quirk.diff: Add AC97 quirk for Dell.
- patches.drivers/alsa-hda-digital-fix.diff: Fix SPDIF I/O on
  HDA codecs.
- patches.drivers/alsa-intel8x0m-hook.diff: Add mixer controls
  to intel8x0m.
- patches.drivers/alsa-misc-cleanup.diff: Misc cleanup.
- patches.drivers/alsa-usb-fix.diff: Add support for Emagic and
  Roland FANTOM-X.
- patches.drivers/alsa-via82xx-dxs-as-pcm.diff: Use DXS volume
  controls as PCM with CMI codecs.
* Thu Feb 24 2005 okir@suse.de
- patches.fixes/sunrpc-restart-delay-fix: NFS: prevent hangs
  when NFS server returns EJUKEBOX.
* Thu Feb 24 2005 olh@suse.de
- update to 2.6.11-rc5, sata, rtl8169, futex fixes
* Wed Feb 23 2005 ak@suse.de
- patches.fixes/mtrr-check-gpf: Ignore MTRR setup errors (65639)
- patches.fixes/cardbus-fixup-bridge: Fix cardbus on some AMD64 laptops
* Wed Feb 23 2005 okir@suse.de
- patches.suse/sunrpc-bindresvport: Fix sunrpc xprt_bindresvport.
* Wed Feb 23 2005 olh@suse.de
- update to 2.6.11-rc4-bk11, nfs, network fixes
* Wed Feb 23 2005 okir@suse.de
- patches.fixes/usagi-ipv6-privacy: IPv6 privacy fixes from USAGI.
- patches.fixes/ipv6-force-mldv1: Force use of MLD (multicast
  listener discovery) version 1 (SUSE34954).
- patches.suse/usagi-ipv6-addrselect: Address selection patches
  from USAGI.
- patches.suse/suse-ipv6-rt-expiry: Force timely expiry of
  IPv6 routes.
- patches.suse/ipv6-no-too-big-to-self-msg: Disable noisy printk
  in ICMPv6 code.
- patches.suse/usagi-ipv6-fragment: USAGI: IPv6 fragmentation
  fixes.
- patches.suse/usagi-ipv6-fib-subtree: USAGI: Add source address
  field to the IPv6 FIB.
- patches.suse/stop-nud_in_timer-warning: Delete.
- patches.suse/usagi-ipv6-ndisc: Delete.
* Wed Feb 23 2005 schwab@suse.de
- Readd lost patch.
* Wed Feb 23 2005 kraxel@suse.de
- patches.uml/skas-for-arch-xen: skas for arch/xen.
* Wed Feb 23 2005 mantel@suse.de
- patches.fixes/remove-PIPE_LEN: remove stale PIPE_LEN macro in
  pipe_fs_i.h (66079).
* Tue Feb 22 2005 olh@suse.de
- update to 2.6.11-rc4-bk10, libata, network fixes
* Tue Feb 22 2005 garloff@suse.de
- Update xen patches.
* Tue Feb 22 2005 kraxel@suse.de
- patches.uml/uml-sysemu-off: [patch] make sysemu support
  switchable.
* Mon Feb 21 2005 kraxel@suse.de
- patches.uml/skas-2.6.11-v8-rc2-fix.patch: fix for skas patch.
* Mon Feb 21 2005 olh@suse.de
- update to 2.6.11-rc4-bk9, netdriver, ide, i386 pci resource fixes
  remove patches.fixes/pci-resource-window-allocation-fix.diff
  which wasnt applied yet
* Mon Feb 21 2005 kraxel@suse.de
- patches.uml/uml-tag-used: Delete.
- patches.uml/uml-sysemu-off: uml: turn sysemu off.
- patches.uml/uml-vt-runtime: add fix + enable.
* Mon Feb 21 2005 olh@suse.de
- add patches.fixes/usb-storage-refcounting-as431.patch
  try to fix refcounting for unexpected add/remove events
* Mon Feb 21 2005 mantel@suse.de
- patches.suse/enable-sysrq: allow again to use /proc/sysrq-trigger
  regardless the setting of /proc/sys/kernel/sysrq
* Mon Feb 21 2005 mantel@suse.de
- patches.drivers/ibm-acpi-update: Update ibm-acpi to 0.10 (none).
* Mon Feb 21 2005 agruen@suse.de
- patches.fixes/pci-resource-window-allocation-fix.diff: IBM
  Thinkpad G41 (and others) PCMCIA problems fix from Linus.
* Sun Feb 20 2005 olh@suse.de
- update to 2.6.11-rc4-bk8, radeonfb, misc fixes
* Sun Feb 20 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Move vmlinux.gz to the debuginfo
  package (except for ppc for now). It grows much too big with
  debug infos enabled.
* Sat Feb 19 2005 olh@suse.de
- add patches.drivers/usb-qc-usb-0.6.2-remap_page.patch
  add patches.drivers/usb-qc-usb-0.6.2-urb-kill.patch
  workarounds for 2.6.11 changes
* Sat Feb 19 2005 olh@suse.de
- add patches.drivers/bk-ieee1394.patch from 2.6.11-rc3-mm2
* Sat Feb 19 2005 olh@suse.de
- update to 2.6.11-rc4-bk7, bluetooth fix
* Fri Feb 18 2005 mason@suse.de
  Update the NAT over IPsec patches
- Update config files.
- patches.suse/netfilter-02-output-hooks:
- patches.suse/netfilter-03-input-hooks:
- patches.suse/netfilter-04-policy-lookup:
- patches.suse/netfilter-05-policy-checks:
- patches.suse/netfilter-06-policy-match:
* Fri Feb 18 2005 tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches update.
* Fri Feb 18 2005 olh@suse.de
- update to 2.6.11-rc4-bk6, acpi 3.0, 4lvl mm fixes
* Fri Feb 18 2005 okir@suse.de
- patches.suse/nfs-statd-hostnames: Make kernel statd/lockd use
  hostnames for SM_NOTIFY.
* Fri Feb 18 2005 agruen@suse.de
- Based on a patch from Olaf Dabrunz <odabrunz@suse.de>:
  Automatically enable CONFIG_DEBUG_INFO when building with debug
  symbols (in which case RPM_OPT_FLAGS contains -g).
* Fri Feb 18 2005 kraxel@suse.de
- series.conf: update skas patches, disable one bad uml patch.
- patches.uml/skas-2.6.11-v7-rc1.patch: Delete.
- patches.uml/skas-2.6.11-v8-rc2.patch: skas3+sysemu patch v8.
* Fri Feb 18 2005 agruen@suse.de
- patches.fixes/drm-i915-on-x86_64.diff: Enable CONFIG_DRM_I915
  on x86_64 as well.
- Update config files.
* Thu Feb 17 2005 olh@suse.de
- update to 2.6.11-rc4-bk5, usb hub + ehci fixes
* Thu Feb 17 2005 mantel@suse.de
- patches.fixes/i810-resume-fix: fix resume with i810 chipset
* Wed Feb 16 2005 olh@suse.de
- update to 2.6.11-rc4-bk4, tty, network, tg3, radeonfb fixes
* Wed Feb 16 2005 olh@suse.de
- add patches.suse/acpi_errors_on from trenn
  remove patches.suse/enable_acpi_object_cache.diff
  speedup acpi debug handling (SUSE50454)
  disable CONFIG_ACPI_DEBUG
* Tue Feb 15 2005 olh@suse.de
- update to 2.6.11-rc4-bk3, xfs fixes
* Tue Feb 15 2005 garloff@suse.de
- patches.suse/security-clean-stubs: Fix non CONFIG_SEC.._NETWORK
  case (by agruen).
* Mon Feb 14 2005 tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
* Mon Feb 14 2005 kkeil@suse.de
- add new driver patches.drivers/i4l-hisax-hfc48s
- fix HFC USB driver patches.fixes/i4l-hisax-hfcusb
- fix ST 5481 USB driver  patches.fixes/i4l-hisax-st5481
* Mon Feb 14 2005 olh@suse.de
- update to 2.6.11-rc4-bk2, misc changes
* Mon Feb 14 2005 okir@suse.de
- patches.fixes/vlan-bonding-normal-frames: VLAN over bonding:
  allow non-VLAN traffic to pass (SUSE50709).
* Mon Feb 14 2005 okir@suse.de
- patches.fixes/sunrpc-cache-crash: RPC authentication cache fix
  from Neil Brown
* Mon Feb 14 2005 mantel@suse.de
- Update config files.
- patches.drivers/drm-via: add DRM support for Via unichrome
  video cards (None). Re-enable driver now that it is fixed.
  Enable only on i386
* Mon Feb 14 2005 mason@suse.de
- enable CONFIG_NTFS_RW
* Sun Feb 13 2005 garloff@suse.de
- Split up security-disabled-... patch.
* Sun Feb 13 2005 garloff@suse.de
- Clean patches.suse/security-disabled-optimize-cap-default.
* Sun Feb 13 2005 olh@suse.de
- add patches.fixes/radeon_pm-register-typo.patch, from rc4-bk1
* Sun Feb 13 2005 olh@suse.de
- update to 2.6.11-rc4, sparc, arm fixes
* Sat Feb 12 2005 olh@suse.de
- update to 2.6.11-rc3-bk9, uml, fb sleep, dm, isdn, vm, tg3 fixes
* Fri Feb 11 2005 olh@suse.de
- update to 2.6.11-rc3-bk8, scsi, sonypi, shmget fixes
* Fri Feb 11 2005 mantel@suse.de
- disable drm-via driver temporarily until problems fixed
* Fri Feb 11 2005 mantel@suse.de
- Update config files.
- patches.drivers/drm-via: add DRM support for Via unichrome
  video cards (None).
* Fri Feb 11 2005 kkeil@suse.de
- readd patches.fixes/i4l-filter-fix
  patches.fixes/i4l-nullpointer-fix
* Fri Feb 11 2005 agruen@suse.de
- Enable DRM config options.
* Thu Feb 10 2005 kraxel@suse.de
- patches.xen/xen-common.diff: one more chunk dropped.
* Thu Feb 10 2005 kraxel@suse.de
- patches.xen/xen-common.diff: drop bits which are already in
  patches.uml/xen-vt-runtime.
* Thu Feb 10 2005 olh@suse.de
- update to 2.6.11-rc3-bk7, network, tg3 updates
* Thu Feb 10 2005 kraxel@suse.de
- Update config files.
- patches.uml/xen-vt-runtime: make VT console runtime-switchable.
- patches.uml/uml-vt-runtime: use runtime-switchable vt for uml.
* Thu Feb 10 2005 olh@suse.de
- add patches.suse/enable_acpi_object_cache.diff
  Improves performance for ACPI drivers especially when ACPI_DEBUG
  is compiled in.
* Thu Feb 10 2005 kraxel@suse.de
- Update uml config file, update skas patch.
- patches.uml/host-skas3: Delete.
- patches.uml/skas-update-2.6.10.patch: Delete.
- patches.uml/skas-2.6.11-v7-rc1.patch: skas3+sysemu patch v7a.
* Thu Feb 10 2005 garloff@suse.de
- Make IDE drivers more modular in Xen.
- Update Xen patches, drop various bits that have been merged.
- Clean up mkinitrd creation for Xen.
* Wed Feb 09 2005 mantel@suse.de
- Update config files.
- patches.fixes/enable-megaraid-legacy: allow for both
  megaraid_mbox and megaraid to be built (SUSE50431).
* Wed Feb 09 2005 olh@suse.de
- update to 2.6.11-rc3-bk6, drm, md updates
* Wed Feb 09 2005 olh@suse.de
- update to 2.6.11-rc3-bk5, libata, bluetooth, netfilter updates
* Wed Feb 09 2005 kkeil@suse.de
- fix a race condition in r8169 network driver which cause a
  endless loop on device close (SUSE50488)
* Tue Feb 08 2005 ak@suse.de
- Disable CONFIG_INTEL_MCH_AGP
* Tue Feb 08 2005 agruen@suse.de
- patches.fixes/remove-extraversion.diff: Remove; the instsys has
  been fixed to cope with long KERNELRELEASE strings already.
* Tue Feb 08 2005 ak@suse.de
- patches.fixes/pt-gnu-stack-fix: Let E stack imply executable heap
* Mon Feb 07 2005 okir@suse.de
- patches.fixes/nfsd-no-cache-readdir: Do not cache NFSv2 readdir
  replies (SUSE50435).
* Mon Feb 07 2005 olh@suse.de
- update to 2.6.11-rc3-bk4, ide, net, tg3 updates
* Mon Feb 07 2005 garloff@suse.de
- patches.suse/security-disabled-optimize-cap-default: Fix.
* Mon Feb 07 2005 agruen@suse.de
- Require a recent enough version of mkinitrd, which is required
  due to modularizing the ide drivers.
- Use the perl-Bootloader library to update bootloader menus
  when installing/removing kernel packages.
* Mon Feb 07 2005 agruen@suse.de
- patches.suse/security-disabled-optimize-cap-default: Make this
  patch compile again.
* Mon Feb 07 2005 olh@suse.de
- add patches.fixes/usb-proc-devices.patch
  finger point at apps that still not use sysfs
* Mon Feb 07 2005 olh@suse.de
- update patches.fixes/usb-storage-multilun-sony-usbfloppy.patch
  use correct revision in unusual_devs.h entry
* Sun Feb 06 2005 olh@suse.de
- add patches.arch/ppc-chrp_nvram.patch
* Sun Feb 06 2005 olh@suse.de
- update to 2.6.11-rc3-bk3, various small fixes
* Sat Feb 05 2005 agruen@suse.de
- patches.fixes/xattr-sharing-bug.diff: Fix long-standing xattr
  sharing bug (SUSE50424).
* Sat Feb 05 2005 olh@suse.de
- update to 2.6.11-rc3-bk2, uml updates
* Fri Feb 04 2005 mason@suse.de
- series.conf: enable reiserfs-iosize-hotfix
* Fri Feb 04 2005 olh@suse.de
- add patches.xen/xen-arch-silent-stack-overflow.diff
* Fri Feb 04 2005 olh@suse.de
- update to 2.6.11-rc3-bk1, ide, ia64, s390, i2c, usb updates
* Fri Feb 04 2005 axboe@suse.de
- patches.drivers/ide-sata-barrier: fix bug on requeing of flush
* Fri Feb 04 2005 axboe@suse.de
- patches.fixes/cfq-requeue: Fix requeue ordering
* Fri Feb 04 2005 okir@suse.de
- patches.fixes/netfilter-xfrm-get-by-name: IPsec was not working
  due to a bad patch (SUSE50310, fix by mholtmann)
* Fri Feb 04 2005 ak@suse.de
- patches.fixes/input-no-hotplug: Fix compilation with !CONFIG_HOTPLUG
* Thu Feb 03 2005 axboe@suse.de
- patches.drivers/ide-sata-barrier: fix various bugs
* Thu Feb 03 2005 agruen@suse.de
- patches.suse/tmpfs-acl.diff: Fix for CONFIG_TMPFS_POSIX_ACL=n.
- patches.suse/devpts-acl.diff: Remove; feature probably not
  needed.
* Thu Feb 03 2005 olh@suse.de
- add patches.arch/ppc32-MMCR0_PMXE-saga.patch, disable MMC
* Thu Feb 03 2005 olh@suse.de
- update to 2.6.11-rc3, dvb, xfs, misc updates
* Wed Feb 02 2005 vojtech@suse.cz
- patches.suse/input-small-fixes: Fixes more bugs from current BK
  input layer: makes USB keyboard LEDs work, and fixes broken
  implementation of i8042 return from multiplexed mode.
* Wed Feb 02 2005 agruen@suse.de
- patches.fixes/attr-initialize: Obsolete.
- series.conf: Remove obsolete patches.
* Wed Feb 02 2005 agruen@suse.de
- patches.suse/ext3-register-filesystem-lifo: Add
  register_filesystem_lifo function for ext2/ext3.
* Wed Feb 02 2005 agruen@suse.de
- patches.suse/mem-acl.diff: rename to generic-acl.diff.
- patches.suse/tmpfs-acl.diff: Further cleanups.
- patches.suse/devpts-acl.diff: Access Control Lists for /dev/pts.
- Update config files.
* Wed Feb 02 2005 agruen@suse.de
- patches.fixes/remove-extraversion.diff: Remove EXTRAVERSION.
* Wed Feb 02 2005 mantel@suse.de
- enable boot splash
* Wed Feb 02 2005 hare@suse.de
- Fix swsusp from initramfs.
* Wed Feb 02 2005 axboe@suse.de
- patches.drivers/ide-sata-barrier: remove some debug code
* Wed Feb 02 2005 axboe@suse.de
- patches.fixes/blk-wait-completion: fix oops for really fast completion
  in blk_execute_rq()
* Wed Feb 02 2005 mantel@suse.de
- patches.suse/bootsplash: Bootsplash for current kernel (none).
* Wed Feb 02 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Modules with spaces in the license
  string were accidentally put into the -nongpl packages.
* Wed Feb 02 2005 axboe@suse.de
- patches.fixes/scsi-end-io-sense-valid-block-pc: don't assume there is always
  room for sense data in a REQ_BLOCK_PC request
* Wed Feb 02 2005 axboe@suse.de
- Add new Promise TX4 sata support
* Tue Feb 01 2005 andrea@suse.de
- patches.suse/silent-stack-overflow: ported to HEAD.
- deleted obsolete (merged in mainline) entries from the
  series file.
* Tue Feb 01 2005 axboe@suse.de
- Enable/add/remove various patches
* Tue Feb 01 2005 olh@suse.de
- add patches.fixes/input-event_field_not_found.patch
  [PATCH 3/3] Fix 'event field not found' message filling logs
* Tue Feb 01 2005 olh@suse.de
- update to 2.6.11-rc2-bk10, acpi, net, bluetooth, tg3 updates
* Tue Feb 01 2005 olh@suse.de
- add patches.fixes/usb-usbnet.c-ax88772.patch
  Fix ax8817x_bind to use allocated buffer to avoid DMA on the stack
* Tue Feb 01 2005 olh@suse.de
- add kernel-$flavour to PreReq: in kernel-$flavour-nongpl
* Tue Feb 01 2005 axboe@suse.de
- patches.drivers/sata-promise-tx2plus: add support for new controller
* Tue Feb 01 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Fix module license check so that
  modules with multiple MODULE_LICENSE tags are recognized
  correctly.
- supported.conf: Mark several more modules as supported.
* Tue Feb 01 2005 agruen@suse.de
- patches.suse/mem-acl.diff: Split off infrastructure from tmpfs
  acls.
- patches.suse/tmpfs-acl.diff: Fix a compile-time error when
  CONFIG_TMPFS_POSIX_ACL is not set.
* Tue Feb 01 2005 mantel@suse.de
- patches.suse/enable-sysrq: allow enabling of sysreq via kernel
  parameter (SUSE47533).
* Tue Feb 01 2005 agruen@suse.de
- supported.conf: Mark IDE modules as supported.
* Tue Feb 01 2005 axboe@suse.de
- Add update barrier support, enable barriers for sata
* Tue Feb 01 2005 axboe@suse.de
- patches.suse/request_end_io-sl93: async request end_io callback
* Tue Feb 01 2005 axboe@suse.de
- Rediff and add patches.drivers/ide-serialize-updates-1
* Mon Jan 31 2005 mantel@suse.de
- patches.fixes/META_stale.patch: JFS: Simplify stale metapage
  handling so that mp->count isn't held above zero by
  multiple threads. (SUSE50045).
* Mon Jan 31 2005 mantel@suse.de
- Update config files.
- patches.drivers/sensors-vt1211: add vt1211 support to i2c to
  handle sensors on VIA EPIA motherboards (SUSE49641).
* Mon Jan 31 2005 hare@suse.de
- Modularized IDE drivers for i386 / x86_64 / ia64.
* Mon Jan 31 2005 olh@suse.de
- update to 2.6.11-rc2-bk9, netfilter memleak fix
* Mon Jan 31 2005 axboe@suse.de
- patches.fixes/scsi_lib2611rc2bk8.diff: fix scsi_lib.c SG_IO screwup
* Mon Jan 31 2005 tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
  Fix ppc compile error and intel8x0 update.
* Mon Jan 31 2005 hare@suse.de
- add patches.fixes/swsusp-from-initramfs.patch
  Enabling resume from initramfs.
* Mon Jan 31 2005 olh@suse.de
- add patches.arch/ppc64-p615-iommu-fix.patch
  fix crash in IDE DMA setup
* Mon Jan 31 2005 mantel@suse.de
- patches.drivers/alsa-hda-intel: Delete.
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
* Mon Jan 31 2005 agruen@suse.de
- patches.suse/tmpfs-acl.diff: Access Control Lists for tmpfs.
* Sun Jan 30 2005 agruen@suse.de
- patches.rpmify/module-parmtype.diff: Module parameter type
  fixes.
- patches.rpmify/cvs-timestamp-in-oopses.diff: Obsoleted by the
  release-numbers file in CVS.
- patches.fixes/kbuild-external-module-support.patch: Obsolete.
- patches.fixes/apic-initdata: Obsolete.
- patches.fixes/swsusp-fixup-pages-count: Obsolete.
- patches.fixes/suspend-wrong-wakeup-address: Obsolete.
- patches.rpmify/mod_param-typeinfo.diff: Obsolete.
- patches.rpmify/kbuild-deps-version.h: Obsolete.
* Sun Jan 30 2005 olh@suse.de
- update to 2.6.11-rc2-bk8, x86_64, libata, cfg fixes
* Sun Jan 30 2005 agruen@suse.de
- patches.suse/nfsd-acl: Syntax error with older compiler.
* Sat Jan 29 2005 olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-bk4-pegasos_chrp_pcibios_fixup.patch
  reverse check for pegasos board
* Sat Jan 29 2005 olh@suse.de
- update to 2.6.11-rc2-bk7, scsi updates
* Sat Jan 29 2005 olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-rest_init-local_irq_disable.patch
  keep irqs enabled to avoid lockup during boot
* Fri Jan 28 2005 olh@suse.de
- update to 2.6.11-rc2-bk6, input, netdriver updates
  update patches.drivers/bk-dtor-input-rc1-mm2.patch to apply
* Fri Jan 28 2005 axboe@suse.de
- patches.fixes/cfq-default: make cfq the default io scheduler
* Fri Jan 28 2005 axboe@suse.de
- patches.fixes/cfq-ts-sl93: update cfq io scheduler to time sliced version
* Fri Jan 28 2005 ak@suse.de
- patches.arch/x86_64-srat-empty-nodes: Another fix
* Fri Jan 28 2005 ak@suse.de
- patches.arch/i386-apic-up: Fix and reenable. APIC is
  now disabled on i386 UP kernels by default again.
* Fri Jan 28 2005 ak@suse.de
- patches.arch/x86_64-srat-empty_nodes: Handle empty nodes in SRAT
  (SUSE50257)
* Fri Jan 28 2005 agruen@suse.de
- rpm/kernel-syms.spec.in: Adapt to $KERNELRELEASE no longer
  matching %%version-%%release-$FLAVOR.
* Fri Jan 28 2005 agruen@suse.de
- patches.suse/nfsacl-iop-NULL-fix.diff: Must not initialize
  inode->i_op to NULL.
- patches.fixes/ext3-xattr-reserved-inodes.diff: Don't write
  anything to the in-inode xattr space of reserved inodes.
* Thu Jan 27 2005 olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-bk5-ftape
  fix syntax error
* Thu Jan 27 2005 agruen@suse.de
- patches.arch/oprofile-model4: Did not apply.
- patches.fixes/properly-export-find_exported_dentry:
  properly export find_exported_dentry (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185126a-nfs-inode-data-corruption:
  nfs inode data corruption (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185437a-nfs-exportfs-dependency-fix:
  nfs exportfs dependency fix (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-186566a-fix-modular-nfsd-exports:
  fix modular nfsd exports (SUSE50038, SGI:PV923968).
- Update config files.
* Thu Jan 27 2005 hare@suse.de
- add patches.suse/initramfs-before-acpi.patch
  Call populate_rootfs prior to ACPI initialisation.
* Thu Jan 27 2005 ak@suse.de
- Fix oprofile on newer P4s.
* Thu Jan 27 2005 olh@suse.de
- update to 2.6.11-rc2-bk5, bluetooth, network updates
* Thu Jan 27 2005 olh@suse.de
- scsi target patch requires new bootloader for ppc64 CHRP
* Wed Jan 26 2005 olh@suse.de
- add patches.fixes/ixgb_fix_eeh.patch
  redundant Write-Back in Receive Descriptor Ring caused memory
  corruption. (SUSE50213 - LTC12695)
* Wed Jan 26 2005 olh@suse.de
- update to 2.6.11-rc2-bk4, dvd, pcmcia updates
* Wed Jan 26 2005 olh@suse.de
- add patches.fixes/usb-storage-multilun-sony-usbfloppy.patch
  another broken floppy (SUSE49049)
* Tue Jan 25 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Re-enable km_ modules (they were
  turned off for debugging; forgot to remove the debug code.)
* Tue Jan 25 2005 olh@suse.de
- enable parport printer option for pseries (SUSE50028 - LTC13260)
* Tue Jan 25 2005 olh@suse.de
- update to 2.6.11-rc2-bk3, fix memleak in pipe code
* Tue Jan 25 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Make it so that the release number
  again shows up in the path /usr/src/linux-$VERSION-$RELEASE; it
  accidentally got removed.
* Tue Jan 25 2005 olh@suse.de
- add patches.fixes/scsi-sd-scsi_device_put-refcount.patch
  add patches.fixes/scsi-sr-scsi_cd_put-refcount.patch
  no use of uninitalized memory (SUSE49207)
* Tue Jan 25 2005 hare@suse.de
- Remove obsolete patches.
* Mon Jan 24 2005 olh@suse.de
- update patches.suse/kdb-common, is_kernel() now in mainline
* Mon Jan 24 2005 agruen@suse.de
- patches.suse/nfsacl-umask.diff: Fix NFSv2.
* Mon Jan 24 2005 mantel@suse.de
- patches.suse/increase-MAX_MP_BUSSES: increase MAX_MP_BUSSES
  (SUSE42179).
* Mon Jan 24 2005 mantel@suse.de
- patches.drivers/sk98lin-update: update sk98lin drivers to v8.13
* Mon Jan 24 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Remove tolerate_unknown_new_config_options
  hack.
* Mon Jan 24 2005 olh@suse.de
- update to 2.6.11-rc2-bk2
  x86_64 updates, fix module kallsym lookup breakage
* Mon Jan 24 2005 kraxel@suse.de
- Update config files.
* Mon Jan 24 2005 kraxel@suse.de
- series.conf: update+reenable uml+lirc patches.
- patches.uml/frame-size: Delete (merged).
- patches.drivers/lirc-drivers.diff: update + enable lirc drivers.
- patches.drivers/lirc-fixups.diff: Delete.
- patches.drivers/lirc-floating-point.diff: Delete.
* Sun Jan 23 2005 olh@suse.de
- update to 2.6.11-rc2-bk1, dvb, ia64, 4lvl pagetable updates
* Sun Jan 23 2005 garloff@suse.de
- xen: Update config and enable patches that don't touch common
  code unconditionally.
* Sat Jan 22 2005 agruen@suse.de
- Integrate Olaf Kirch's nfsacl review feedback.
- Fix a patch-2.6.11-rc2 merge compile time error.
- Update config files.
* Sat Jan 22 2005 agruen@suse.de
- patches.fixes/patch-2.6.11-rc2: Merge.
- Merge some xattr fixes that are the queue for 2.6.11.
- rpm/kernel-binary.spec.in: Allow kernel-$FLAVOR and kernel-xen
  to coexist.
- scripts/run_oldconfig.sh, config.conf: Special-case xen.
- patches.xen/xen-2611rc1bk8.diff: Compile-time fix.
* Sat Jan 22 2005 agruen@suse.de
- Script / specfile cleanups.
- Update config files.
* Sat Jan 22 2005 andrea@suse.de
- patches.suse/protect-pids-from-oom2/mapped-base: proc fix
* Fri Jan 21 2005 garloff@suse.de
- Port xen to 2.6.11-rc1-bk8.
* Fri Jan 21 2005 mason@suse.de
- series.conf: put ecc-pci_get_class into series.conf
* Fri Jan 21 2005 mason@suse.de
- patches.drivers/ecc-pci_get_class: make drivers/char/ecc.c
  use pci_get_class.
* Fri Jan 21 2005 mason@suse.de
- patches.suse/legacy-remap_page_range: add back remap_page_range
  until all modules are converted.
* Fri Jan 21 2005 schwab@suse.de
- Update kdb patches.
* Fri Jan 21 2005 mantel@suse.de
- patches.fixes/fix-aout-leak: Delete.
- patches.drivers/qla4xxx: add qlogic qla4xxx driver version
  v5.00.01b10 (none).
- patches.fixes/export-symbols-gpl: export some symbols for SGI
  GPL kernel modules (SUSE46082).
* Fri Jan 21 2005 agruen@suse.de
- Update nfsacl patches.
- Update config files.
* Fri Jan 21 2005 hare@suse.de
- patches.drivers/bk-input-rc1-mm2.patch
  Update input drivers to 2.6.11-rc1-mm2.
- patches.drivers/bk-dtor-input-rc1-mm2.patch
  Update input drivers
- patches.drivers/bk/input-{mm1,rc1}.patch
  Remove obsolete patches
- patches.drivers/bk-dtor-input-rc1.patch
  Remove obsolete patch.
* Fri Jan 21 2005 andrea@suse.de
- patches.fixes/lowmem_reserve: forward ported
- patches.fixes/oom-killer: forward ported
- patches.fixes/tif_memdie: forward ported
- patches.fixes/used_math: forward ported
- patches.fixes/backout-smp_rmb-removal: fixed pte leaking smp race
  between i_size and truncate_count
* Fri Jan 21 2005 mason@suse.de
- Update patches.suse/sunrpc-enosys-when-unavail so things
  compile
* Fri Jan 21 2005 garloff@suse.de
- Adapt xen patches.
* Fri Jan 21 2005 mason@suse.de
- patches.fixes/patch-2.6.11-rc1: 2.6.11-rc1.
- patches.fixes/patch-2.6.11-rc1-bk8: 2.6.11-rc1-bk8.
* Fri Jan 21 2005 mason@suse.de
- Update to 2.6.11-rc1-bk8
* Thu Jan 20 2005 garloff@suse.de
- Fix save/restore problem in Xen (__init in timer_tsc init).
* Thu Jan 20 2005 axboe@suse.de
- patches.fixes/scsi-sg-unknown-warn: only warn on unknown commands
  in SG_IO
* Thu Jan 20 2005 garloff@suse.de
- Merge Xen architecture (post-2.0.3 testing)
* Thu Jan 20 2005 kraxel@suse.de
- update dvb/v4l drivers:
- patches.drivers/v4l-cx88-update: cx88 update.
- patches.drivers/v4l-tuner-update: v4l: tuner update.
- patches.drivers/v4l-mpeg-api: v4l2 mpeg api.
- patches.drivers/v4l-mt352: mt352 frontend update.
- patches.drivers/v4l-saa7134-update: saa7134 update.
* Thu Jan 20 2005 hare@suse.de
- add patches.drivers/bk-input-class-device.patch
  Fix input layer to send proper hotplug events
* Thu Jan 20 2005 schwab@suse.de
- Update to latest kdb patches.
* Wed Jan 19 2005 olh@suse.de
- add patches.fixes/usb-net-ax8817x-goodway.patch
  Add support for another AX8817x network device
* Wed Jan 19 2005 agruen@suse.de
- patches.suse/nfsacl-client-cache.diff: Fix CONFIG_NFS_ACL=n case.
* Wed Jan 19 2005 mantel@suse.de
- patches.drivers/alsa-new-drivers: Delete.
- Update config files.
- patches.drivers/bk-alsa-update: Linus BK backport of ALSA stuff.
- patches.drivers/alsa-cvs-fixes: Backport of ALSA CVS fixes.
- patches.drivers/alsa-hda-intel: Addition of Intel High
  Definition Audio driver.
* Wed Jan 19 2005 agruen@suse.de
- patches.rpmify/mod_param-typeinfo.diff: Fix for whenmoduleparm.h
  is included without including module.h.
* Wed Jan 19 2005 agruen@suse.de
- rpm/kernel-binary.spec.in: Ghost initrd in the file list twice.
- patches.rpmify/release-number.diff: Release number inserted in
  the wrong position.
* Wed Jan 19 2005 olh@suse.de
- add imac g5 patches, also needed for current desktop models
  patches.arch/linux-2.6.10-rc3_ImacG5_ide.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_ids.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_pci.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_smu.diff
  http://perso.magic.fr/l_indien/linux-ImacG5/index.htm
* Wed Jan 19 2005 schwab@suse.de
- Set NR_CPUS to 512 in ia64/debug.
* Tue Jan 18 2005 agruen@suse.de
- patches.rpmify/buildhost: Hide the build hostname.
- patches.rpmify/check-symvers: Warn when building external
  modules without modversions.
- patches.rpmify/cloneconfig.diff: Add ``cloneconfig'' target.
- patches.rpmify/default-configuration: Don't use running kernel's
  config file by default.
- patches.rpmify/remove-buildenv-paths-from-binaries: Don't
  include absolute filenames in binaries.
- patches.rpmify/rpm-kernel-config: Add the CONFIG_SUSE_KERNEL
  option.
- patches.rpmify/release-number.diff: Hard-code the RPM release
  number; don't get it from .config.
- scripts/run_oldconfig.sh, scripts/sequence-patch.sh,
  rpm/check-for-config-changes, rpm/install-configs:
- patches.rpmify/extmod-extra: Delete obsolete patch.
- patches.rpmify/extmod-doc: Delete obsolete patch.
- Update config files.
* Tue Jan 18 2005 olh@suse.de
- add /lib/modules/<uname -r> to nongpl package to avoid empty rpms
* Tue Jan 18 2005 hare@suse.de
- Update input drivers from -mm.
  + add patches.drivers/bk-input-mm1.patch
  + add patches.drivers/bk-input-rc1.patch
  + add patches.drivers/bk-dtor-input-rc1.patch
- Fixed SLRS-pos patch for input update.
- Update config files.
* Tue Jan 18 2005 agruen@suse.de
- New version of nfsacl: now caches acls on the client. Patches:
  + patches.suse/qsort: Qsort.
  + patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  RPC programs that are unavailable.
  + patches.suse/sunrpc-enotsupp: Add missing -EOPNOTSUPP =>
  NFS3ERR_NOTSUPP mapping in nfsd.
  + patches.suse/sunrpc-multiple-programs: Allow multiple programs
  to listen on the same port.
  + patches.suse/sunrpc-change-program: Allow multiple programs to
  share the same transport.
  + patches.suse/nfsacl-lazy-alloc: Lazy RPC receive buffer
  allocation.
  + patches.suse/sunrpc-xdr-arrays: Encode and decode arbitrary XDR
  arrays.
  + patches.suse/nfs-access-acl: Add noacl nfs mount option.
  + patches.suse/nfsd-acl: Infrastructure and server side of
  nfsacl.
  + patches.suse/nfsd-acl-v2-solaris: Solaris nfsacl workaround.
  + patches.suse/nfs-acl: Client side of nfsacl.
  + patches.suse/nfsacl-umask.diff: ACL umask handling workaround
  in nfs client (SUSE48477).
  + patches.suse/nfsacl-client-cache.diff: Cache acls on the nfs
  client side (SUSE48477).
* Fri Jan 14 2005 andrea@suse.de
- patches.fixes/writeback-nr_scanned: count the writeback as
  scanned.
* Fri Jan 14 2005 mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Thu Jan 13 2005 mantel@suse.de
- patches.fixes/smbfs-security-fix: merged 2.6.10-ac8 smbfs
  fixes and old stefan esser fixes (SUSE46204).
* Thu Jan 13 2005 mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Wed Jan 12 2005 axboe@suse.de
- patches.fixes/sg-ioctl-unsigned: sg_scsi_ioctl() sign issue (SUSE49782)
* Wed Jan 12 2005 okir@suse.de
- patches.fixes/nfs-directio-maxsize: Correctly deal with
  oversized NFS DIRECTIO requests (SUSE49685).
* Wed Jan 12 2005 agruen@suse.de
- Update config files.
* Wed Jan 12 2005 agruen@suse.de
- rpm/kernel-source.spec.in: Fix "make silentoldconfig" invocation.
- rpm/kernel-binary.spec.in: Add conflict between kernel-um and
  other kernel-$BINARY packages. Add /usr/bin/linux symlink in
  um-host-kernel.
- rpm/post.sh: Small cleanup.
* Tue Jan 11 2005 ak@suse.de
- (patches.arch/i386-enable-unit-at-a-time, lindenhurst-irqbalance):
  Remove
- i386-command-line: Update and enable.
- optimize-i686: Enable.
* Tue Jan 11 2005 kraxel@suse.de
- update v4l/dvb drivers:
- patches.drivers/v4l-bttv-input-update: [patch] v4l: bttv IR
  input driver update.
- patches.drivers/v4l-bttv-update: [patch] v4l: bttv update.
- patches.drivers/v4l-cxSUSE22702: [patch] dvb: cxSUSE22702 update.
- patches.drivers/v4l-cx88-update: [patch] v4l: cx88 update.
- patches.drivers/v4l-saa7134-module: [patch] v4l: saa7134 module
  load fix.
- patches.drivers/v4l-tuner-update: [patch] v4l: tuner update.
- patches.drivers/v4l-tvaudio-update: [patch] v4l: tvaudio update.
- patches.drivers/v4l-tveeprom: [patch] v4l: tveeprom.
- patches.drivers/v4l-video-buf-update: [patch] v4l: video
  buf update.
* Mon Jan 10 2005 ak@suse.de
- Remove some already removed patches from series
* Mon Jan 10 2005 hare@suse.de
- update patches.s390/s390-netdev-eui64.patch
  Enable per-device IPv6 address generation.
* Sun Jan 09 2005 olh@suse.de
- add a few fixes from mainline
  patches.fixes/linus-backport.CS461x_gameport_code_isn_t_being_included_in_build.patch
  patches.fixes/linus-backport.EDD_add_edd_off_and_edd_skipmbr_options.patch
  patches.fixes/linus-backport.Fix_broken_RST_handling_in_ip_conntrack.patch
  patches.fixes/linus-backport.Fix_for_NAT_core_on_nonlinear_skbs.patch
  patches.fixes/linus-backport.Fix_megaraid_oops_on_unload.patch
  patches.fixes/linus-backport.Fix_net_core_sock_o_build_failure.patch
  patches.fixes/linus-backport.Fix_up_compiler_inefficiencies.patch
  patches.fixes/linus-backport.Intel_ICH7_DID_s_PIRQ_and_PATA_support.patch
  patches.fixes/linus-backport.NFS_incorrect_df_results.patch
  patches.fixes/linus-backport.PKT_SCHED_dsmark_should_ignore_ECN_bits.patch
  patches.fixes/linus-backport.SERIAL_support_for_another_Rockwell_PNP_modem.patch
  patches.fixes/linus-backport.acpi_video_device_enumeration_fix_incorrect_device_list_allocation.patch
  patches.fixes/linus-backport.cs416x_use_upcase_in_config.patch
  patches.fixes/linus-backport.fix_cdrom_autoclose.patch
  patches.fixes/linus-backport.fix_missing_wakeup_in_ipc_sem.patch
  patches.fixes/linus-backport.fix_sx8_blk_driver_device_naming.patch
  patches.fixes/linus-backport.floppy_build_fix.patch
  patches.fixes/linus-backport.handle_quoted_module_parameters.patch
  patches.fixes/linus-backport.ide_serverworks_add_support_for_CSB6_RAID.patch
  patches.fixes/linus-backport.input_Add_support_for_Kensington_ThinkingMouse_PS_2_protocol.patch
  patches.fixes/linus-backport.ipt_ECN_corrupt_checksum_fix.patch
  patches.fixes/linus-backport.libata_PIO_error_handling_improvement.patch
  patches.fixes/linus-backport.libata_verify_ATAPI_DMA_for_a_given_request_is_OK.patch
  patches.fixes/linus-backport.make_microcode_text_less_confusing.patch
  patches.fixes/linus-backport.quiet_scsi_ioctls_warnings.patch
  patches.fixes/linus-backport.readdir_return_value_missed_in_getdents64.patch
  patches.fixes/linus-backport.time_runx_too_fast_after_S3.patch
* Fri Jan 07 2005 kraxel@suse.de
- Update uml config file.
* Fri Jan 07 2005 kraxel@suse.de
- delete a bunch of obsolete uml patches.
- patches.fixes/uml-system-i386-comment-out-cmpxchgb: Delete.
- patches.uml/uml-raise-tty-limit: Delete.
- patches.uml/uml-fix-umldir-order: Delete.
- patches.uml/uml-terminal-cleanup: Delete.
- patches.uml/uml-fix-export-symbol: Delete.
* Fri Jan 07 2005 kraxel@suse.de
- add a bunch of uml patches from -mm kernels (merged mainline
  post-2.6.10).
* Fri Jan 07 2005 olh@suse.de
- update emulex fc driver to lpfcdriver-2.6-8.0.13
* Fri Jan 07 2005 kraxel@suse.de
- patches.fixes/dvb-pinnaclesat: dvb: fix pinnacle pctv sat
  support in 2.6.10.
* Fri Jan 07 2005 olh@suse.de
- add patches.drivers/usb-qc-usb-0.6.2.patch
  add patches.drivers/usb-qc-usb-kbuild.patch
  Quickcam Express driver from http://qce-ga.sourceforge.net/ (SUSE32497)
* Fri Jan 07 2005 mludvig@suse.de
- patches.drivers/crypto-padlock: Added PadLock crypto accelerator.
* Wed Jan 05 2005 mason@suse.de
- delete some dead patches
- patches.suse/can_writepage: Delete.
- patches.suse/ext3-nofs-retry: Delete.
- patches.suse/reiserfs-file-write-prefault: Delete.
- patches.suse/file-write-prefault: Delete.
* Wed Jan 05 2005 mason@suse.de
- update reiser4 to the latest code drop in -mm
* Wed Jan 05 2005 mason@suse.de
- delete a number of patches that were already in mainline
* Tue Jan 04 2005 okir@suse.de
- patches.fixes/cmsg-compat-signedness-fix-fix: Fix cmsg_len
  checks in 32bit compat mode (SUSE49517 - LTC13227).
* Tue Jan 04 2005 andrea@suse.de
- patches.fixes/writeback-highmem: fix writeback of dirty
  pagecache on blkdev (blkdev is limited to lowmemory).
- patches.fixes/disable_swap_token: deleted from CVS, already in
  2.6.10
* Mon Jan 03 2005 garloff@suse.de
- Disable CONFIG_IDEDMA_ONLYDISK everywhere.
* Mon Jan 03 2005 okir@suse.de
- Moved to 2.6.10
- Removed some old patches
* Mon Jan 03 2005 okir@suse.de
- patches.fixes/netfilter-rmmod-oops: properly clean up
  /proc/net/stat/ip_conntrack dentry when unloading module
* Sat Dec 25 2004 andrea@suse.de
- patches.fixes/tif_memdie: Convert tsk->memdie to TIF_MEMDIE
  to fix a purerly theoretical race of alpha ev4+SMP or ev4+PREEMPT
  (ev4 is absolutely obsolete hardware).
- patches.fixes/used_math: Convert tsk->used_math to PF_USED_MATH
  to fix a purerly theoretical race of alpha ev4+SMP or ev4+PREEMPT
  (ev4 is absolutely obsolete hardware).
* Fri Dec 24 2004 andrea@suse.de
- patches.fixes/disable_swap_token: disable swap token completely
  by default. New sysctl can re-enable it at runtime since it
  apparently helps some workload (but it destabilizes everything
  else, ignore-swap-token is still valid but not enough to fix
  all workloads, this is needed too).
- patches.fixes/oom-killer: lots of oom killer fixes. Most
  important fix is that there will not be suprious kills anymore
  so ssh is truly safe now. OTOH Oracle is still screwed by the
  oom killer, but fixing Oracle requires rewriting badness
  from scratch and it's orthogonal with these fixes.
  This also includes a write throttling fix (oom related),
  the p->memdie race fix, and a lock inversion fix
  during the task exiting.
- patches.suse/protect-pids-from-oom2: fixes a race and
  two minor aesthetical bugs.
* Wed Dec 22 2004 olh@suse.de
- remove patches.suse/pci.ids-update
  CONFIG_PCI_NAMES is not enabled in our configs
* Tue Dec 21 2004 olh@suse.de
- add patches.fixes/patch-2.6.10-rc3-bk10-bk14
* Mon Dec 20 2004 hare@suse.de
- patches.suse/sysfs-backing-store-*: Delete.
  Included in mainline.
* Fri Dec 17 2004 mason@suse.de
  Delete some reiserfs patches that have wandered into mainline
- patches.fixes/reiserfs-bitmap-overflow: Delete.
- patches.suse/reiserfs-cleanup-buffer-heads.diff: Delete.
- patches.suse/reiserfs-cleanup-sb-journal.diff: Delete.
- patches.suse/reiserfs-io-error-handling.diff: Delete.
- patches.suse/reiserfs-write-lock.diff: Delete.
* Fri Dec 17 2004 mason@suse.de
  Copy getblk_slow-race from SP1
- patches.suse/getblk_slow-race: __getblk_slow can loop forever
  when pages are partially mapped (SUSE43890).
* Fri Dec 17 2004 mason@suse.de
  Enable some patches
- patches.suse/reiserfs-barrier-default: Make reiserfs default
  to barrier=flush.
- patches.suse/reiserfs-old-format-size.diff: reiserfs_file_write
  should not allow files > 2G on 3.5.x disks (SUSE42191).
- patches.suse/ext3-barrier-default: make ext3 mount default
  to barrier=1.
- patches.suse/reiserfs-nobarrier-fsync: reiserfs_fsync should
  only use barriers when they are enabled.
- patches.suse/reiserfs-vs-8115-warning: reiserfs vs-8115 message
  is not needed. (SUSE40466).
- patches.suse/reiserfs-osync-dirty-inode: reiserfs: use
  mark_inode_dirty instead of reiserfs_update_sd.
* Fri Dec 17 2004 mason@suse.de
- series.conf, get rid of some duplicates from the sles9 section
* Fri Dec 17 2004 kraxel@suse.de
- patches.fixes/tiocgdev: rediffed.
- re-enable some patches.
* Fri Dec 17 2004 kraxel@suse.de
- update + re-enable skas3 patches.
- update + re-enable uml patches.
* Fri Dec 17 2004 mason@suse.de
  Drop patches where Patch-mainline tag indicated they were
  in mainline already
- patches.drivers/isdn_remove_broken_on_smp.patch: Delete.
- patches.drivers/megaraid-update: Delete.
- patches.fixes/serialize-dgram-read.diff: Delete.
- patches.fixes/prio-tree-expand-bits: Delete.
- patches.fixes/fix-elf-overlap: Delete.
- patches.fixes/cmsg-signedness: Delete.
- patches.fixes/ignore-swap-token: Delete.
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Delete.
- patches.fixes/cmsg-compat-signedness-fix: Delete.
- patches.fixes/c4_locking_fix: Delete.
* Fri Dec 17 2004 ak@suse.de
- Enable dm multipath
* Thu Dec 16 2004 ak@suse.de
- Remove dead entries in series.conf
* Thu Dec 16 2004 ak@suse.de
- Delete lots of patches.
* Thu Dec 16 2004 axboe@suse.de
- patches.drivers/ide-kill-stroke-parameter: Delete.
- patches.fixes/bio-map-bounce: Delete.
- patches.fixes/bio-partial-completion: Delete.
- patches.fixes/scsi-cmd-reference: Delete.
- patches.fixes/odirect-eof-fix: Delete.
- patches.fixes/libata-enotty: Delete.
- patches.fixes/scsi-bounce-limit: Delete.
- series.conf:
  Kill dead patches
* Thu Dec 16 2004 okir@suse.de
- Moved to 2.6.10-rc3-bk10
* Tue Dec 14 2004 mason@suse.de
- replace Suse-bugzilla tag with References
* Mon Dec 13 2004 olh@suse.de
- drop pmac64_32bit kernel
* Mon Dec 13 2004 mantel@suse.de
- patches.fixes/x86-64-up-lost-irq: Edge triggered IRQ lost
  forever when delivered while IRQ disabled.
* Sun Dec 12 2004 andrea@suse.de
- patches.fixes/oom-warning: Tell the end user not to worry about
  GFP_ATOMIC failures (SUSE48965).
* Fri Dec 10 2004 mantel@suse.de
- patches.fixes/unsymmetric-pageattr: Fix the non-symmetric
  pageattr changes (SUSE49015).
* Fri Dec 10 2004 agruen@suse.de
- rpm/post.sh: Fix bugs introduced when fixing SUSE49028.
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Fix memory
  leak in ip_conntrack_ftp (SUSE49047).
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (SUSE49047).
- patches.fixes/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (SUSE49047).
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/fix-ip-options-leak: Do not leak IP options. (SUSE49057).
* Thu Dec 09 2004 mantel@suse.de
- patches.fixes/iPod-unusual-device: Apple iPod lies about its
  size, mounting via USB not possible (SUSE48783).
* Wed Dec 08 2004 agruen@suse.de
- Add /lib/modules/$(uname -r)/modules.dep and other generated
  files as %%ghost only in kernel-$flavor, and instead always run
  depmod in %%post of kernel-$flavor and kernel-$flavor-nongpl.
* Wed Dec 08 2004 olh@suse.de
- add patches.arch/asm-ppc-8253pit_h.patch
  missing header file from 2.6.9 for pc speaker driver
* Wed Dec 08 2004 agruen@suse.de
- rpm/kernel-source.spec.in: Remove obsolete post.sh from file
  list.
* Wed Dec 08 2004 mantel@suse.de
- patches.drivers/megaraid-update: fix data corruption bug in
  megaraid driver (SUSE49023).
* Tue Dec 07 2004 olh@suse.de
- drop power3 and smp kernel
* Tue Dec 07 2004 agruen@suse.de
- Fix initrd.previous creation (SUSE47813).
* Mon Dec 06 2004 mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 06 2004 mantel@suse.de
- patches.fixes/fix-elf-overlap: check insert_vm_struct failures
  with malicious vmas (SUSE48493).
* Sat Dec 04 2004 andrea@suse.de
- patches.fixes/pageattr-guard-page: fix pageattr overflow on
  the next page (bug in mm/vmalloc.c). SUSE46920
- ptches.fixes/pageattr-flush-tlb: fix missing tlb flush with
  multiple pages being passed to pageattr at the same time
  (found from source while trying to fix SUSE46920)
* Thu Dec 02 2004 mantel@suse.de
- patches.fixes/sys_ia32-overrun: Fix buffer overrun in
  arch/x86_64/sys_ia32.c (SUSE48813).
* Wed Dec 01 2004 agruen@suse.de
- patches.fixes/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (SUSE48427).
* Mon Nov 29 2004 agruen@suse.de
- patches.fixes/aio_free_ring-oops.diff: Oops in aio_free_ring
  on 2.6.9 (SUSE48021).
* Thu Nov 25 2004 andrea@suse.de
- patches.fixes/account-reserved-pages: allow reading from
  zeropage with O_DIRECT/rawio. (SUSE48141)
* Thu Nov 25 2004 andrea@suse.de
- patches.fixes/prio-tree-expand-bits: fix prio-tree-expand bug.
* Thu Nov 25 2004 andrea@suse.de
- patches.fixes/ignore-swap-token: disable swap token heuristic
  during mem pressure.
* Wed Nov 24 2004 agruen@suse.de
- Disable patches.suse/nfsacl-umask.diff until we cache ACLs on
  the client side.
* Wed Nov 24 2004 agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Device special files and
  permission cache fix (SUSE48477).
- patches.suse/nfsacl-umask.diff: Fix ACL umask handling over nfs
  (SUSE48477).
* Mon Nov 22 2004 kraxel@suse.de
- update skas3 patch to version 7.
* Fri Nov 19 2004 trenn@suse.de
- patches.fixes/do_not_restart_on_shutdown
  fixes restart on acpi systems when trying to power off (SUSE47048)
* Fri Nov 19 2004 okir@suse.de
- patches.fixes/nfs-sillyrename-fix: NFS: Prevent unnecessary
  sillyrenames (SUSE48347 - LTC12621).
* Fri Nov 19 2004 duwe@suse.de
- config changes: disable dibusb DVB driver that doesn't compile
  with >=2.6.9, re-enable RTC interrupt, reclaim from rarely found
  HPET (Bug SUSE46813)
* Fri Nov 19 2004 agruen@suse.de
- patches.fixes/compat-fcntl-flock-fix.diff: compat_sys_fcntl[64]
  contain superfluous, buggy test (SUSE47963, SUSE46863).
* Fri Nov 19 2004 mantel@suse.de
- patches.fixes/compat_ioctl_tcsbrkp:
  move TCSBRKP support to compat layer instead of only fixing for
  x86-64 (SUSE48317)
* Thu Nov 18 2004 agruen@suse.de
- scripts/log: Summarize config file updates as
  "Update config files".
- Update config files.
* Thu Nov 18 2004 mantel@suse.de
- patches.fixes/compat_sys_fcntl64: fix overflow with fcntl with
  gcc32 (SUSE46863)
* Wed Nov 17 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Include /usr/share/doc/packages/%%name
  in the file list if it exists; km packages may want to place
  additional documentation in there.
* Wed Nov 17 2004 mantel@suse.de
- patches.fixes/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Tue Nov 16 2004 agruen@suse.de
- Update config files.
* Tue Nov 16 2004 agruen@suse.de
- patches.rpmify/srcversion: put srcversion checksum in each
  modinfo section (SUSE46872).
* Tue Nov 16 2004 agruen@suse.de
- SUSE48207: kernel-binary %%postun: Notify boot loader after another
  kernel has become active.
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix also for x86_64
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/zap_pte_range-dirty-pages: [PATCH] zap_pte_range
  should not mark non-uptodate pages dirty.
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/account-reserved-pages:
  properly account reserved pages (SUSE47343)
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix a.out leaking fds and memory (SUSE48199)
* Mon Nov 15 2004 mantel@suse.de
- patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs (SUSE46204).
* Fri Nov 12 2004 schwab@suse.de
- Fix handling of symlinks on tmpfs [SUSE48068].
* Fri Nov 12 2004 mantel@suse.de
- patches.fixes/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (SUSE45632)
* Thu Nov 11 2004 mantel@suse.de
- patches.fixes/invalidate_inode_pages2-EIO: make invalidate_inode_pages2
  return -EIO on problems in order to fix BUG at fs/mpage.c:462
  during File system stress (SUSE47602 - LTC11826)
* Tue Nov 09 2004 mantel@suse.de
- patches.fixes/parport-mutex:
  fix oops in parport_wait_peripheral (SUSE47947)
* Fri Nov 05 2004 andrea@suse.de
- patches.fixes/ioremap-pageattr-fix: fixup DEBUG_PAGEALLOC config
  option on x86 and be even more strict on x86-64
* Wed Nov 03 2004 axboe@suse.de
- Fix O_DIRECT EOF handling
* Fri Oct 29 2004 olh@suse.de
- add patches.arch/x86_64-make-O-boot.patch
  allow make O=$dir
* Fri Oct 29 2004 mantel@suse.de
- patches.fixes/swsusp-ehci_hcd: fix suspend to RAM which was
  prevented by ehci_hcd (SUSE45448)
* Fri Oct 29 2004 mantel@suse.de
- patches.fixes/patch-2.6.8-005-bluetooth-core-accept-unlink-fix:
  Fix race when unlinking incoming connections
- patches.fixes/patch-2.6.8-006-bluetooth-cmtp-free-skb-fix:
  Let the CAPI free the SKB in the error case
* Thu Oct 28 2004 vojtech@suse.cz
- patches.fixes/ioremap-pageattr-fix: fix incorrect calls
  to pageattr in ioremap/iounmap and refcounting problems
  in pageattr itself on x86-64 and i386. Thanks to Andi and
  Andrea for the patch. This fixes bug SUSE46920, and possibly
  some others.
* Thu Oct 28 2004 andrea@suse.de
- patches.fixes/lowmem_reserve: one liner fix for harmless
  bug to really enable the feature by default (SP1 version
  was just fine)
* Wed Oct 27 2004 hare@suse.de
- Proper cancellation of SCSI devices (SUSE47639)
  add patches.fixes/scsi-host-cancel-fix
  add patches.fixes/scsi-terminate-shost_for_each_device
* Wed Oct 27 2004 axboe@suse.de
- Fix SCSI bounce limits (SUSE42331)
* Wed Oct 27 2004 andrea@suse.de
- patches.fixes/kswapd_balance: fix longstanding bug in kswapd
  that didn't balance correctly the zones with the protection
  (now lowmem_reserve) algorithm enabled.
* Tue Oct 26 2004 axboe@suse.de
- libata must return -ENOTTY for unknown ioctls, not -EOPNOTSUPP
* Tue Oct 26 2004 axboe@suse.de
- Fix ide interrupt pinning (SUSE47425)
* Tue Oct 26 2004 kraxel@suse.de
- add patches.drivers/bttv-pinnaclesat-has-dvb: tag the pinnacle sat as
  dvb card (SUSE47586).
- update patches.uml/uml-x11-fb patch (add mmap support).
* Mon Oct 25 2004 andrea@suse.de
- patches.fixes/lowmem_reserve: avoid oom early kill or deadlocks
  due memory imbalances. This is useful both on x86-64 vs ZONE_DMA
  and especially on x86 on the 32G boxes vs ZONE_NORMAL. This has
  been a critical bugfix for google when implemented originally
  in 2.4. This makes the SUSE CVS the first 2.6 kernel out there
  without this bug. This especially matters on machines without
  swap. The algorithm used to fix this critical bug has been
  developed by SUSE. This algorithm is more efficient than
  throwing cpu and memcopies at the problem.
* Mon Oct 25 2004 okir@suse.de
- patches.fixes/early-acpi-fix: Prevent partial ACPI setup when
  using acpi=off (SUSE46675).
* Mon Oct 25 2004 okir@suse.de
- Merged missing patches from 9.2 branch:
  * patches.drivers/cifs-security-fix: Security fixes for CIFS
  (SUSE46501).
  * patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs
  (SUSE46204).
  * patches.fixes/early-acpi-fix: Prevent partial ACPI setup when
  using acpi=off (SUSE46675).
* Mon Oct 25 2004 axboe@suse.de
- Bug in O_DIRECT io path if there's nothing left to do.
* Fri Oct 22 2004 garloff@suse.de
- st-handle-ioctl.diff: general ioctls may succeed where st fails
  [SUSE46446]. st-non-blocking open may be needed as well. (Currently
  disabled.)
* Fri Oct 22 2004 kraxel@suse.de
- add patches.uml/uml-checksum-fix: missing memory barrier
- add patches.uml/uml-ptrace-fix: fix hang-on-shutdown (SUSE45149).
* Wed Oct 20 2004 axboe@suse.de
- Fix O_DIRECT/raw issue with reading the last bit of a device (SUSE47120)
* Mon Oct 18 2004 agruen@suse.de
- patches.rpmify/extmod-extra: extra/ path was lost in last fix.
* Mon Oct 18 2004 agruen@suse.de
- patches.fixes/suspend-wrong-wakeup-address: suspend-to-ram
  fixup: wrong wakeup address (from Pavel).
* Sun Oct 17 2004 olh@suse.de
- add patches.fixes/do_anonymous_page-race (SUSE46948 - LTC11574)
  Fix threaded user page write memory ordering
  Make sure we order the writes to a newly created page with the
  page table update that potentially exposes the page to another CPU.
* Sat Oct 16 2004 agruen@suse.de
- patches.rpmify/extmod-extra: Support official variable name
  INSTALL_MOD_DIR in addition to our MOD_DIR.
* Fri Oct 15 2004 okir@suse.de
- patches.fixes/nfs-nolock-fix2: Fix broken locking on NFS
  nolock mounts (SUSE47287)
* Fri Oct 15 2004 kkeil@suse.de
- patches.fixes/c4_locking_fix (SUSE47191)
  * Fix a SMP deadlock for the AVM c4 driver
* Thu Oct 14 2004 andrea@suse.de
- patches.suse/dynamic-timeslice: re-enable nice levels and set
  default timeslice to good value. SUSE46716
* Wed Oct 13 2004 garloff@suse.de
- patches.suse/protect-pids-from-oom2: Rediff against 2.6.8 and
  reenable.
* Wed Oct 13 2004 agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix the fix.
* Tue Oct 12 2004 agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix kbuild (O=).
- patches.drivers/cx88-kbuild: Fix kbuild (O=).
* Tue Oct 12 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Create a dummy initrd with roughly
  the size the real one will have. That way, YaST will know that
  this package requires some additional space in /boot. Add the
  initrd as a %%ghost file.
- rpm/postun.sh: %%ghost files are cleaned up automatically; no need
  to remove it manually here anymore.
* Fri Oct 08 2004 okir@suse.de
- patches.fixes/sunrpc-authdomain-lookup: Fix sunrpc
  auth_domain_lookup (SUSE46946)
* Fri Oct 08 2004 agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: One more tiny tweak.
- kernel-binary.spec: Remove custom patch + custom config
  file hack: patches.addon provides a more general mechanism.
- rpm/kernel-binary.spec.in: Add version to provided symbol
  "kernel". This will help with extra packages that contain kernel
  modules.
- Add $post script to nongpl package so that mkinitrd is called
  if the initrd contains a module from the nongpl package.
* Fri Oct 08 2004 agruen@suse.de
- patches.rpmify/supported-flag: Check for /.buildenv instead of
  an environment variable: this avoids superfluous rebuilds while
  working inside a build environment.
* Thu Oct 07 2004 agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Updated version; should fix
  SUSE46254 for real now.
- patches.fixes/quiet-acpi: Drop obsolete patch.
* Wed Oct 06 2004 ak@suse.de
- Add C2/C3 blacklist entry for Medion laptop (SUSE45404)
* Wed Oct 06 2004 okir@suse.de
- patches.fixes/ipfwadm-symbol-cleanup: Prevent exported symbols
  from showing up in ipfwadm.ko (SUSE46802)
* Wed Oct 06 2004 agruen@suse.de
- patches.fixes/swsusp-fixup-pages-count: swsusp: Fix the number
  of pages to be copied (SUSE44832)
* Tue Oct 05 2004 mantel@suse.de
- tagged SL92
* Tue Oct 05 2004 mantel@suse.de
- patches.fixes/ide-dma-blacklist: fix IDE DMA blacklist handling
* Tue Oct 05 2004 ak@suse.de
- Fix Thinkpad C2/C3 workaround (SUSE45404)
* Tue Oct 05 2004 ak@suse.de
- Add two scheduler load balance fixes from l-k
* Mon Oct 04 2004 agruen@suse.de
- patches.fixes/no-oom-kill: SUSE46535: Add local-oom-kill sysctl
  to allow disabling the OOM killer
- timestamps: Add the most important SUSE LINUX 9.2 snapshot
  timestamps.
* Mon Oct 04 2004 agruen@suse.de
- patches.fixes/swsusp-proc-startup-times: swsusp: fix process
  start times after resume (from Pavel).
* Mon Oct 04 2004 ak@suse.de
- Fix broken input parameter check in NUMA syscall.
* Mon Oct 04 2004 ak@suse.de
- Don't free override DSDT early (hopefully fixes SUSE46254)
* Mon Oct 04 2004 kraxel@suse.de
- add patches.drivers/dvb-cx24110-fix.diff
  Fix initialization order bug leading to an oops (SUSE46730).
* Mon Oct 04 2004 hare@suse.de
- add patches.fixes/lsusb-lockup.patch
  Fix lockup on calling 'lsusb' (SUSE46600).
* Mon Oct 04 2004 olh@suse.de
- add patches.fixes/usb-hcd-usb_register_bus-unlocking.patch
  usb: hcd locking fix, missing up() on an error path.
* Mon Oct 04 2004 ak@suse.de
- Fix TCP window tracking in netfilter conntrack
* Mon Oct 04 2004 schwab@suse.de
- Update /boot/vmlinuz symlink before calling /sbin/new-kernel-pkg.
* Sun Oct 03 2004 schwab@suse.de
- Hide non-OF PCI devices on PowerMacs.
* Sat Oct 02 2004 jeffm@suse.com
- Release path after iput in sys_unlink (SUSE45004)
* Sat Oct 02 2004 olh@suse.de
- add patches.fixes/ieee1394-khpsbpkt-suspend
  handle -EINTR during suspend (SUSE45851)
* Sat Oct 02 2004 ak@suse.de
- Fix compilation of x86-64 UP
* Fri Oct 01 2004 ak@suse.de
- patches.fixes/export-kallsyms_lookup: Drop
- patches.drivers/infiniband-mlock: Add workaround for broken
  code.
* Fri Oct 01 2004 ak@suse.de
- patches.arch/x86_64-msi: fix logical MSI target
- patches.arch/x86_64-nvidia-override: ignore timer override on nvidia
- patches.arch/x86_64-profile-pc: avoid bad register access with
  CONFIG_FRAME_POINTER
* Fri Oct 01 2004 axboe@suse.de
- Clear bad sector count setting in ide-taskfile for some commands (SUSE42717)
* Fri Oct 01 2004 agruen@suse.de
- patches.fixes/export-kallsyms_lookup: Export kallsyms_lookup
  (requied by Infiniband mosal.ko)
- patches.fixes/export_symbol: Probably obsoleted; removing.
* Fri Oct 01 2004 mantel@suse.de
- patches.fixes/acpi-C2-C3: make C2 and C3 states work again (SUSE46597)
* Fri Oct 01 2004 kraxel@suse.de
- patches.drivers/dvb-alps-fix.diff: make alps frontend ignore the
  cx88 driver (SUSE46559)
* Fri Oct 01 2004 agruen@suse.de
- Remove obsolete anon-vma, prio-tree, and disable-cap-mlock
  patches.
* Fri Oct 01 2004 hare@suse.de
- patches.fixes/usb-check-for-disconnect-before-submit
  We should check for disconnect before submitting commands
  to avoid races with the SCSI midlayer (SUSE46316).
* Fri Oct 01 2004 andrea@suse.de
- patches.fixes/pte-establish-race avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Fri Oct 01 2004 agruen@suse.de
- patches.fixes/attr-initialize: Prevent chown from modifying
  inode ctimes without permission check (SUSE42542)
- patches.fixes/ext23-no-ace-write-limit.diff: re-enable.
- Remove a few obsolete patches.
* Thu Sep 30 2004 vojtech@suse.cz
- replace patches.fixes/fat-nokia-fix with a correct (and
  provably harmless) fix, enable it again.
* Thu Sep 30 2004 agruen@suse.de
- AlSA update from Takashi:
  + patches.fixes/alsa-zz-ac97-cm9761: [ALSA] Add CM9761 AC97
  codec support
  + patches.fixes/alsa-zz-au88x0: [ALSA] Fix au88x0 drivers.
  + patches.fixes/alsa-zz-emu10k1-ac3-fix: [ALSA] Fix EMU10k1
  AC3 playback
  + patches.fixes/alsa-zz-hdsp-meter-fix: [ALSA] HDSP meter
  ioctl fix
  + patches.fixes/alsa-zz-ice17xx-fixes: [ALSA] ice1712/ice1724
  fixes
  + patches.fixes/alsa-zz-ich4-spdif: [ALSA] ICH4/5/6 SPDIF fix
  + patches.fixes/alsa-zz-pcm-link-deadlock: [ALSA] Fix deadlock
  of linked PCM streams
  + patches.fixes/alsa-zz-rme32-oops: [ALSA] Fix RME32 Oops
  + patches.fixes/alsa-zz-seq-name-fix: [ALSA] Improve the sequencer
  client name
  + patches.fixes/alsa-zz-usb-edirol-ua25: [ALSA] Support of
  Edirol UA-25
  + patches.fixes/alsa-zz-usb-urb-fix: [ALSA] Fix unlinking URBs
  + patches.fixes/alsa-zz-via82xx-quirk: [ALSA] Fix via82xx quirk
* Thu Sep 30 2004 okir@suse.de
- patches.fixes/netfilter6-ipv6-skip-exthdrs: Properly skip
  extension headers when matching IPv6 packets (SUSE46338)
- patches.fixes/netfilter6-icmp6-skip-exthdrs: Skip extension
  headers when matching ICMPv6 packets (SUSE46338)
* Thu Sep 30 2004 hare@suse.de
- add patches.fixes/visor-override-probe
  Allow user to override Palm OS probe.
* Thu Sep 30 2004 vojtech@suse.cz
- add patches.fixes/input-alps-dell-inspiron, which should
  fix SUSE46278, and adds an entry for a new type of ALPS
  touchpads used in Dell Inspiron notebooks.
* Thu Sep 30 2004 olh@suse.de
- add patches.fixes/linux-2.6.9-rc2-rc3-aty128fb.diff
  init rage128 if the driver is compiled into the kernel
* Thu Sep 30 2004 olh@suse.de
- add patches.fixes/usb-storage-nec-floppy-lun.patch
  floppy fails to report scsi LUNs correctly (SUSE42892)
* Thu Sep 30 2004 hare@suse.de
- On disconnect we need to mark USB devices as gone and
  drop all requests (SUSE46316).
- Limit the class name size for hidp devices (SUSE46229)
* Thu Sep 30 2004 hare@suse.de
- Fix resource claiming of SuperIO chips (SUSE45891)
* Thu Sep 30 2004 axboe@suse.de
- Hold reference to scsi device for lifetime of pending commands (SUSE46316)
* Thu Sep 30 2004 kkeil@suse.de
- fix from mainline for RLT8169 driver (disable DAC) SUSE46390
* Wed Sep 29 2004 vojtech@suse.cz
- fixed patches.fixes/fat-nokia-fix, but not enabled yet
* Wed Sep 29 2004 mason@suse.de
- disable patches.fixes/fat-nokia-fix until bug SUSE46434 is resolved
* Wed Sep 29 2004 hare@suse.de
- Remove newline from hidp class name.
* Wed Sep 29 2004 mason@suse.de
- fix reiserfs oops on small filesystems due to
  bitmap overflow
* Wed Sep 29 2004 axboe@suse.de
- Kill SCSI_IOCTL_SEND_COMMAND until after 9.2 release
* Wed Sep 29 2004 okir@suse.de
- patches.drivers/sata-uli: include driver for ULi SATA
- updated config files
* Wed Sep 29 2004 hare@suse.de
- Remove scsi_host after cancelling I/O (bug SUSE46316)
* Wed Sep 29 2004 olh@suse.de
- update default config, build scsi as module, disable offb
* Tue Sep 28 2004 axboe@suse.de
- Fix problem with use of bio->bi_io_vec elements after io completion, since
  partial io completions may have overwritten ->bv_len and ->bv_offset.
  (bug SUSE45868)
* Tue Sep 28 2004 mantel@suse.de
- patches.fixes/swsusp-mysqld: fix suspend to disk when mysqld is
  running (SUSE45953)
* Tue Sep 28 2004 hare@suse.de
- Update patch to fix all input devices for sysfs (SUSE46229)
- Create dummy name for input_device if no name is provided.
* Tue Sep 28 2004 holtmann@suse.de
- Fix crash of bluetooth HID devices (SUSE46229)
* Tue Sep 28 2004 ak@suse.de
- Fix x86-64 MCE oops with multiple MCE entries (SUSE46284)
- Add a new line before MCE panics
* Tue Sep 28 2004 hare@suse.de
- patches.fixes/null-argument-for-put_device
  put_device() should accept a NULL argument, too (SUSE46234).
* Tue Sep 28 2004 agruen@suse.de
- patches.drivers/dm-minorcheck: device-mapper: fix minor
  number check
* Tue Sep 28 2004 andrea@suse.de
- patches.suse/silent-stack-overflow: enforce gap between
  heap and stack. SUSE44807
* Mon Sep 27 2004 hare@suse.de
- Fix input devices for macintosh.
* Mon Sep 27 2004 ak@suse.de
- Disable C2/C3 on Thinkpad R40e (SUSE45044)
* Mon Sep 27 2004 mantel@suse.de
- patches.fixes/fix-inconsistent-font-height: Fix inconsistent
  font height per vt of VGA console
* Mon Sep 27 2004 ak@suse.de
- And fix the UP compilation too.
* Mon Sep 27 2004 ak@suse.de
- Finally add proper fix for MSI problems
* Mon Sep 27 2004 mantel@suse.de
- patches.drivers/dm-update: add device mapper updates needed for
  ataraid devices
* Mon Sep 27 2004 hare@suse.de
- Fixing refcount error for input_device (SUSE45823).
* Sun Sep 26 2004 ak@suse.de
- Fix compilation on i386
* Sat Sep 25 2004 olh@suse.de
- update Release: tag for all specfiles, not just the current one
  (SUSE45207)
* Sat Sep 25 2004 olh@suse.de
- reenable patches.fixes/nodemgr-locking
  cleanup nodemgr semaphore on module unload (SUSE45851)
* Fri Sep 24 2004 mludvig@suse.de
- Avoid crash when installing IPsec SA (SUSE46006).
  patches.fixes/xfrm-locking
* Fri Sep 24 2004 hare@suse.de
- Disable ->release for input_device; triggers a refcount error.
  Temporary fix only; real fix should be coming soon (SUSE45823).
* Fri Sep 24 2004 ak@suse.de
- Really fix ipchains and ipfw modules (SUSE45141)
* Fri Sep 24 2004 ak@suse.de
- Add workaround for Intel E75xx erratum 24
* Fri Sep 24 2004 mludvig@suse.de
- Added module aes-i586 to supported.
* Fri Sep 24 2004 ak@suse.de
- Fix MCE tainting to not trigger on all non fatal MCE polls.
* Fri Sep 24 2004 ak@suse.de
- Don't disable IO-APIC on x86-64 VIA (SUSE45842, SUSE45887)
  This may readd the IDE DMA timeout problems some people saw.
* Fri Sep 24 2004 okir@suse.de
- Fixed a typo in sunrpc-optional-auth
* Fri Sep 24 2004 olh@suse.de
- remove patches.fixes/usb-ehci_urb_done-barrier.patch
  this patch is not needed, the inital bug was triggered by
  list corruption
* Thu Sep 23 2004 vojtech@suse.cz
- Add a patch to fix a too strict check in the FAT filesystem
  code to allow mounting various Flash disks including Nokia
  phones.
* Thu Sep 23 2004 okir@suse.de
- Disable TSO for bcm5700 as well (SUSE45864)
* Thu Sep 23 2004 mantel@suse.de
- bootsplash: add extra consistency checks to animation update code
* Thu Sep 23 2004 vojtech@suse.cz
- Remove patches.fixes/compaq-noloop, it's Linus's kernel now
  and in patches.drivers/input-bk.diff.
- Remove patches.drivers/driver-input-linuxwacom.patch, it
  should be merged in input-bk.diff as well
- Rediff & reenable patches.fixes/psmouse-resetafter, which
  was reverted by input-bk.diff by accident
* Thu Sep 23 2004 ak@suse.de
- Fix ip_fw and ipchains load (SUSE45141)
- Don't enable interrupts in timer suspend on i386/x86-64
* Thu Sep 23 2004 garloff@suse.de
- Disable scsi-scan-replun-non-ex-lun0.
* Wed Sep 22 2004 okir@suse.de
- Allow NFS lockd callbacks to work (SUSE45168)
* Wed Sep 22 2004 axboe@suse.de
- Enable ide disk stroke by default (SUSE45219)
* Wed Sep 22 2004 axboe@suse.de
- Fix a typo in scsi-scan-replun-non-ex-lun0 (SUSE45717 and others)
* Wed Sep 22 2004 mantel@suse.de
- fix cardbus issue on x86_64 (SUSE45677)
* Wed Sep 22 2004 mantel@suse.de
- export symbol get_sb_pseudo (SUSE45571)
* Wed Sep 22 2004 agruen@suse.de
- patches.rpmify/cvs-timestamp-in-oopses.diff,
  rpm/kernel-binary.spec.in: Add CVS timestamp to Oopses
* Tue Sep 21 2004 kraxel@suse.de
- merged a bunch of uml kbuild fixes/cleanups from blaisorblade
  (make -j works now for uml).
* Tue Sep 21 2004 ak@suse.de
- Use intel-agp driver for i865 chipsets (SUSE44894)
* Tue Sep 21 2004 mantel@suse.de
- fix mounting ntfs filesystems via subfs (SUSE45277)
* Tue Sep 21 2004 lmb@suse.de
- Fix clusterip patches + enable on all archs.
* Tue Sep 21 2004 mantel@suse.de
- don't clear/remove referenced pages (SUSE44485)
* Tue Sep 21 2004 kraxel@suse.de
- fixed and re-enabled lirc patches (SUSE45679).
* Tue Sep 21 2004 okir@suse.de
- Disable TCP segment offload (TSO) for now; it's too broken (SUSE45666)
* Tue Sep 21 2004 ak@suse.de
- Disable warning in cpufreq /proc interface code
* Mon Sep 20 2004 ak@suse.de
- Fix x86-64 compat waitid call for new interface
* Mon Sep 20 2004 olh@suse.de
- add patches.suse/subfs.patch, avoid km_* mess if possible
* Mon Sep 20 2004 ak@suse.de
- Add "M" tainted flag for machine checks on i386 and x86-64
* Mon Sep 20 2004 ak@suse.de
- Disable IO-APIC on VIA boards for x86-64.
- remove merge marks in series file
* Mon Sep 20 2004 agruen@suse.de
- Remove more obsolete patches.
* Mon Sep 20 2004 ak@suse.de
- Add left over x86-64 updates:
  Fix information leak in alignment exception (i386 too),
  quieten APIC code, really fix ELF header executable stack checking,
  optimize context switch, fix warnon in machine check handling,
  fix mem= handling.
* Mon Sep 20 2004 okir@suse.de
- Fixed previous commit :-/
* Mon Sep 20 2004 okir@suse.de
- Fixed usagi-ipv6-netfilter which got garbled during rc2 update
* Mon Sep 20 2004 agruen@suse.de
- patches.fixes/nfs-optimistic-caching: Remove obsolete patch.
* Mon Sep 20 2004 okir@suse.de
- Re-enabled several patches that got disabled post-rc2 merge:
   -	patches.suse/kernel-statd
   -	usagi-ipv6-fib-subtree, usagi-ipv6-netfilter,
  usagi-ipv6-ip6t-reject, usagi-ipv6-conntrack,
  netfilter-checksum
- Dropped e1000-TSMPT-and-tx-locking.patch
- Updated config files
* Mon Sep 20 2004 agruen@suse.de
- scripts/log: Run scripts/check-cvs-add to make sure that all
  files in series.conf have been added to the cvs.
* Mon Sep 20 2004 agruen@suse.de
- Update config files.
* Mon Sep 20 2004 vojtech@suse.cz
- update the input layer to current BK version, rediff and
  reenable usb legacy disabling patch, update ALPS touchpad
  driver, add Hannes's input sysfs/hotplug patch.
* Mon Sep 20 2004 agruen@suse.de
- patches.rpmify/extmod-extra: Allow to install external modules
  into custom path.
- Remove obsolete kbuild patches.
* Mon Sep 20 2004 kraxel@suse.de
- add bttv bugfix.
* Mon Sep 20 2004 kkeil@suse.de
- add isdn PPP filter fix (SUSE45579)
* Mon Sep 20 2004 olh@suse.de
- add patches.suse/kdb-asm-hardirq.patch
  hardirq_count() moved from asm/ to linux/
* Mon Sep 20 2004 garloff@suse.de
- swsusp-x86_64-itercount-register: Move loop iteration counter
  into register variable on x86-64, fixing swsusp. (SUSE44249)
- swsusp_fix_highmem.diff: Move highmem reinitialization before
  enabling local IRQs. (SUSE44329)
* Mon Sep 20 2004 okir@suse.de
- sunrpc/svcsock: don't propagate TCP recvfrom errors up to nfsd;
  this causes nfsd to exit (SUSE45132)
* Mon Sep 20 2004 kraxel@suse.de
- driver update: dvb, cx88.
* Mon Sep 20 2004 axboe@suse.de
- Disable aacraid-update, mark for review.
* Mon Sep 20 2004 garloff@suse.de
- scsi-scan-replun-non-ex-lun0: Try REPORT_LUNS also when target
  is present but not LUN 0.
* Mon Sep 20 2004 ak@suse.de
- Add remaining safe fixes from 2.6.9rc2-bk*
  TCP fixes (SUSE45554), fix 64bit ABI, fix timer leak, fix
  NX ELF stack checking, other fixes.
* Mon Sep 20 2004 mason@suse.de
- update reiser4 rcu barrier patches to match the ones in -mm
* Mon Sep 20 2004 mason@suse.de
- update reiserfs-osync-dirty-inode
* Mon Sep 20 2004 mason@suse.de
- enable reiserfs-barrier-default and reiserfs-nobarrier-fsync
* Sun Sep 19 2004 olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  always disable serial console via legacy driver on pmac
* Sat Sep 18 2004 olh@suse.de
- fix merge error in patches.drivers/usb-static-sysfs-info
* Fri Sep 17 2004 ak@suse.de
- Add fixes for CBQ slab corruption and an flock hang
* Fri Sep 17 2004 olh@suse.de
- add patches.fixes/make_oldconfig_nostamp.patch
  Omit .config file timestamp in the file if the environment
  variable "NOTIMESTAMP" is present (its value is not checked).
* Fri Sep 17 2004 ak@suse.de
- Fix double unlock in new NETIF_F_LLTX path.
* Fri Sep 17 2004 mantel@suse.de
- re-add bcm5700 driver version 7.3.5
* Fri Sep 17 2004 mantel@suse.de
- add modules in kernel/lib to list of supported (SUSE45537)
* Fri Sep 17 2004 agruen@suse.de
- series.conf: Add patches.drivers/alsa-new-drivers, and adjust
  config files.
* Fri Sep 17 2004 schwab@suse.de
- Enable SGI_SNSC.
* Fri Sep 17 2004 kraxel@suse.de
- update UML config.
* Fri Sep 17 2004 agruen@suse.de
- patches.fixes/bluetooth-bnep-check-checksums: Check checksums
  for BNEP
- patches.fixes/bluetooth-broadcom-hidproxy-no-isoc: Don't use
  ISOC transfers for Broadcom dongle
- patches.fixes/bluetooth-l2cap-cmd-reject-fix: Don't send L2CAP
  reject command for bad responses
* Fri Sep 17 2004 olh@suse.de
- add patches.arch/ppc32-fix-arch-ppc-boot-common-ns16550c.patch
* Fri Sep 17 2004 olh@suse.de
- add patches.fixes/269rc3-ppc32-open_pic-build-fix
* Fri Sep 17 2004 mantel@suse.de
- enable CONFIG_SGI_PARTITION also for i386 and x86_64 (SUSE44581)
* Fri Sep 17 2004 agruen@suse.de
- patches.drivers/bk-alsa-update: Add __iomem annotations and
  convert from (long) to (void __iomem *).
* Thu Sep 16 2004 jeffm@suse.com
- Fix host-skas3 compilation.
* Thu Sep 16 2004 olh@suse.de
- enable CONFIG_PROC_MM for uml on i386
* Thu Sep 16 2004 schwab@suse.de
- Fix kdb compilation.
* Thu Sep 16 2004 kraxel@suse.de
- big post-mainline-merge UML patch update.
  * fixed and reenabled host-skas patch (SUSE45149).
  * added some uml fixes fished from lkml
  * added some uml fixes from user-mode-linux.sf.net
  * updated the current patches, dropped a few obsolete/merged ones.
* Thu Sep 16 2004 garloff@suse.de
- bootsplash-anum-NLD: Fix bootsplash.
* Thu Sep 16 2004 agruen@suse.de
- patches.rpmify/sumversion.diff: Fix .tmp_versions for external
  modules.
* Wed Sep 15 2004 lmb@suse.de
- Drop legacy Lustre support hooks.
* Wed Sep 15 2004 garloff@suse.de
- patches.fixes/269rc2-iomemptr-atm:
  2.6.9rc2 uses void __iomem * for readX/writeX/ioremap/...
- patches.fixes/269rc2-iomemptr-cciss: Likewise
- patches.fixes/269rc2-iomemptr-mtd: Likewise
* Wed Sep 15 2004 agruen@suse.de
- patches.drivers/bk-alsa-update, patches.drivers/alsa-new-drivers:
  ALSA update from Takashi.
- Update config files.
- patches.drivers/bk-alsa, patches.drivers/kcalloc.dif: Obsolete.
* Wed Sep 15 2004 axboe@suse.de
- DVD-RAM support for viocd has been merged in mainline
* Wed Sep 15 2004 axboe@suse.de
- Update the series of barrier patches, luckily most are merged in
  mainline this time!
* Wed Sep 15 2004 mantel@suse.de
- update PCI IDs to latest version
* Wed Sep 15 2004 schwab@suse.de
- Remove useless casts.
* Wed Sep 15 2004 schwab@suse.de
- Update configs.
* Tue Sep 14 2004 garloff@suse.de
- Remove whirlpool algo.
- Fix patches broken by 2.6.9-rc2.
* Tue Sep 14 2004 garloff@suse.de
- Update to 2.6.9-rc2.
* Mon Sep 13 2004 kkeil@suse.de
- readd SET_NETDEV_DEV() call to sk98lin; lost by update (SUSE45174)
- enable vm_reserved patch
* Mon Sep 13 2004 garloff@suse.de
- Make alps driver less chatty.
- Async serio input probing.
* Mon Sep 13 2004 agruen@suse.de
- rpm/kernel-source.spec.in: Must not use bash extensions here.
* Mon Sep 13 2004 agruen@suse.de
- Set VERSION and SUBLEVEL correctly in /usr/src/linux-obj/
  $ARCH/$FLAVOR/Makefile.
* Mon Sep 13 2004 ak@suse.de
- Update XFS to 2.6.9rc1-bk19 state
- Remove old XFS O_DIRECT hack
- Don't enable reiser4 by default in Kconfig
* Mon Sep 13 2004 axboe@suse.de
- CUE_SHEET command was not in -rc1 released list of allowed commands,
  readd it.
* Mon Sep 13 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Put Module.symvers file into
  /usr/src/linux-obj/$ARCH/$FLAVOR/ so that modules can be built
  for the running kernel even without the kernel-syms package.
* Thu Sep 09 2004 mason@suse.de
- add reiserfs-iosize-hotfix to solve rpm problems with the
  larger io sizes
* Thu Sep 09 2004 agruen@suse.de
- Add an empty patches.addon.tar.bz2 for the convenience of
  people who want to rebuild their own kernels with add-on patches.
* Thu Sep 09 2004 olh@suse.de
- disable CONFIG_BLK_DEV_UB (Low Performance USB Block driver)
* Thu Sep 09 2004 agruen@suse.de
- patches.fixes/burnfix.diff: DVD writing fix from jens Axboe.
* Thu Sep 09 2004 garloff@suse.de
- fastboot-console-init: Don't generate hotplug events for virtual
  consoles. Speeds up booting by ~2s. By okir.
* Thu Sep 09 2004 garloff@suse.de
- swsusp-fix-small: suspend broke when onlyvery little memory was
  used (init=/bin/bash). By pavel.
- ide-probe-delay: sleep 5ms instead of 50ms in ide probe and
  provide idewait= boot param to change. Saves ~3s boot time.
* Wed Sep 08 2004 agruen@suse.de
- patches.drivers/kcalloc.dif: Add kcalloc function (like
  user-space calloc). From Takashi Iwai <tiwai@suse.de>.
* Tue Sep 07 2004 schwab@suse.de
- Enable IP_NF_CONNTRACK_MARK, IP_NF_TARGET_CONNMARK,
  IP_NF_MATCH_CONNMARK.
* Mon Sep 06 2004 mantel@suse.de
- update aacraid driver to latest version
* Mon Sep 06 2004 mantel@suse.de
- add new megaraid driver (LSI megaraid_mm) version 2.20.3.1
* Mon Sep 06 2004 mantel@suse.de
- update ALSA to latest bk version
* Mon Sep 06 2004 kkeil@suse.de
- add isdn fixes from 2.6.9-rc1-bk
* Sat Sep 04 2004 ak@suse.de
- quieten and fix time lost logic on x86-64.
* Fri Sep 03 2004 mantel@suse.de
- update sk98lin driver to 7.04
* Fri Sep 03 2004 olh@suse.de
- add patches.fixes/usb-ehci-watchdog-queuelocking.patch
  fix list corruption when ehci_irq and ehci_watchdog operate
  one the same list elements (SUSE43633)
* Wed Sep 01 2004 mantel@suse.de
- make bootsplash more verbose before reading the image
* Wed Sep 01 2004 mantel@suse.de
- fix memory corruption in libata (SUSE44432)
* Wed Sep 01 2004 mantel@suse.de
- fix bootsplash for new kernel version
* Wed Sep 01 2004 agruen@suse.de
- rpm/source-post.sh: Remove $RPM_BUILD_ROOT which has nothing to
  do here.
* Wed Sep 01 2004 agruen@suse.de
- Move comments from series.conf into patch files.
* Wed Sep 01 2004 schwab@suse.de
- Export pm_power_off.
* Tue Aug 31 2004 agruen@suse.de
- Clean up; move comments from series.conf into patch files.
- patches.fixes/swsusp-warnings.diff: Obsolete.
* Tue Aug 31 2004 schwab@suse.de
- Fix kdb compilation.
* Tue Aug 31 2004 schwab@suse.de
- Fix missing header.
* Tue Aug 31 2004 ak@suse.de
- fix infiniband compilation
* Tue Aug 31 2004 ak@suse.de
- fix 32bit emulation problems on x86-64 (SUSE44082)
* Tue Aug 31 2004 agruen@suse.de
- patches.fixes/assembly-inline: Not needed anymore.
* Tue Aug 31 2004 agruen@suse.de
- series.conf: Remove some leftovers.
- patches.suse/reiserfs-iosize-hotfix: Obsolete.
* Tue Aug 31 2004 garloff@suse.de
- swsusp-linker-section-flags: Use currect section flags (x86-64)
- rss-limit-enforce: page out pages if process is over RSS and
  there's memory pressure.
* Mon Aug 30 2004 agruen@suse.de
- patches.fixes/undo-broken-fh-conversion: Undo broken FH
  conversion that broke nfsroot compile.
- patches.suse/sunrpc-change-program-4: Add function to iswitch to
  another RPC program/version after cloning an RPC client.
- patches.suse/nfs-acl: Update to 2.6.9-rc1.
- scripts/cvs-touched-files: Set LC_ALL so that day of week and
  month won't end up localized for comparing timestamps.
* Mon Aug 30 2004 schwab@suse.de
- Fix cc-version.
* Mon Aug 30 2004 mantel@suse.de
- update to 2.6.9-rc1
* Mon Aug 30 2004 garloff@suse.de
- radeonfb-swsusp-noblank: Don't blank radeon framebuffer during
  swsusp
- swsusp-performance-and-progress.diff: Display swsusp progress
  as percentage and major performance speedup
* Mon Aug 30 2004 agruen@suse.de
- patches.fixes/ipsec-nat-t-old: This is already in mainline.
- patches.suse/ext3-register-filesystem-lifo: Revive.
* Sat Aug 28 2004 axboe@suse.de
- Kill QIC02 in the configs, it's ancient. Linus is removing it from the
  kernel.
* Fri Aug 27 2004 mantel@suse.de
- add ALPS driver
* Fri Aug 27 2004 olh@suse.de
- add patches.fixes/usb-storage-genesys.patch
  work around broken devices from genesys,
  they dont follow the spec
* Thu Aug 26 2004 kkeil@suse.de
- reenable psmouse-resetafter - it is still needed (SUSE44325)
* Thu Aug 26 2004 agruen@suse.de
- rpm/kernel-syms.spec.in: Move Requires line below Release line
  so that the %%release macro gets expanded properly (kernel-syms
  requires kernel-source with the same version and release
  number).
* Thu Aug 26 2004 agruen@suse.de
- patches.suse/writeback-lat, series.conf: Remove superfluous
  latency fix (tiwai@suse.de).
* Thu Aug 26 2004 okir@suse.de
- prevent oops in ip6t_LOG (SUSE44213)
* Thu Aug 26 2004 agruen@suse.de
- scripts/tar-up.sh, rpm/kernel-binary.spec.in: Add
  x-devel-packages in neededforbuild of kernel-um.spec.
* Wed Aug 25 2004 okir@suse.de
- Fixed thinko in devpts-dentry-refcount patch
* Wed Aug 25 2004 okir@suse.de
- devpts-dentry-refcount: plug memory leak in devpts (SUSE43210)
* Tue Aug 24 2004 mason@suse.de
- add reiser4 patches from -mm
* Tue Aug 24 2004 mantel@suse.de
- update IBM ServeRAID driver (ips.c) to 7.10.18
* Tue Aug 24 2004 agruen@suse.de
- SUSE43492: rpm/post.sh: If mkinitrd fails (because no space is
  left in /boot, etc.), fail the postinstall script as well.
  Create the initrd before changing the symlinks in /boot, so
  that in case of a mkinitrd failure, the symlinks are still valid.
* Tue Aug 24 2004 agruen@suse.de
- scripts/log: Generate better *.changes entries. Add support for
  doing a cvs commit as well, optiomally allowing to edit the
  commit message.
* Tue Aug 24 2004 schwab@suse.de
- Import kdb 4.4.
* Mon Aug 23 2004 axboe@suse.de
- SEND_CUE_SHEET was missing from allowed write command list in scsi_ioctl
- Update filtering table in scsi_ioctl.c to be more complete (makes
  cdrecord work as non-root again, if you have proper permissions).
* Mon Aug 23 2004 agruen@suse.de
- patches.drivers/infiniband-license-fixes,
  patches.fixes/license-fixes.diff, series.conf: Further module
  license fixes.
* Mon Aug 23 2004 kraxel@suse.de
- uml: reenable agruens O= fix (patches.fixes/um-O=.diff).
- uml: add framebuffer driver (patches.uml/uml-x11-fb).
* Mon Aug 23 2004 okir@suse.de
- tcp-rtt-seq-out-of-sync: TCP RTO estimator could get confused,
  causing wrong RTT predictions (SUSE44086)
* Fri Aug 20 2004 mludvig@suse.de
- Fixed and reenabled patches.rpmify/supported-flag
* Fri Aug 20 2004 agruen@suse.de
- rpm/kernel-binary.spec.in: Use only the first line of
  build-source-timestamp as the ``uname -v'' timestamp: the second
  line may contain the CVS branch name.
* Fri Aug 20 2004 mantel@suse.de
- use __u16 instead of u16 in crc-ccitt.h since this is exposed
  to user space (SUSE43884)
* Fri Aug 20 2004 agruen@suse.de
- In /lib/modules, add symlink $VERSION-$RELEASE-$FLAVOR/updates
  -> ../$VERSION-override-$FLAVOR to replace override hack in
  module-init-tools.
* Fri Aug 20 2004 mantel@suse.de
- update ALSA to latest bk version
* Fri Aug 20 2004 mantel@suse.de
- disable CONFIG_X86_SPEEDSTEP_CENTRINO on x86_64
* Fri Aug 20 2004 garloff@suse.de
- i915-agp.diff: Add i915 to list in intel-agp. (SUSE43414)
* Fri Aug 20 2004 okir@suse.de
- More nfsd xdr decoding fixes (SUSE43603)
* Fri Aug 20 2004 garloff@suse.de
- bio-sgio-write-copy-from-user: Another fix needed for audio CD
  writing (SUSE43821). Unaligned multisegment BIOs wrote the first
  segment repeatedly instead of all data.
* Fri Aug 20 2004 kraxel@suse.de
- more uml updates.
* Thu Aug 19 2004 kraxel@suse.de
- update/review uml patches for 2.6.8 (first cut, more will follow ...).
* Wed Aug 18 2004 agruen@suse.de
- Require that the versions and release numbers of these packages
  match: kernel-source === kernel-syms, kernel-$FLAVOR ===
  kernel-$FLAVOR-nongpl.
* Wed Aug 18 2004 agruen@suse.de
- patches.fixes/license-fixes.diff, rpm/kernel-binary.spec.in,
  series.conf: Split binary kernel packages into kernel-$FLAVOR.rpm
  and kernel-$FLAVOR-nongpl.rpm. Resolve duplicate/conflicting
  MODULE_LICENSE tags.
* Wed Aug 18 2004 agruen@suse.de
- rpm/kernel-binary.spec.in, series.conf:
* Wed Aug 18 2004 mason@suse.de
- enable aio-wait-exclusive to fix hangs during aio reads.
* Wed Aug 18 2004 kraxel@suse.de
- update vesafb-mtrr + bootsplash patches.
- enable vesafb-mtrr patch.
* Wed Aug 18 2004 mantel@suse.de
- re-enable CONFIG_MWAVE
* Wed Aug 18 2004 mason@suse.de
- update aio patch set
* Wed Aug 18 2004 agruen@suse.de
- patches.arch/x86_64-patchkit-fix:
  Add missing parentheses in include/asm-x86_64/processor.h
* Wed Aug 18 2004 kraxel@suse.de
- enable CONFIG_DVB_AV7110_OSD on amd64 (SUSE43455).
* Wed Aug 18 2004 schwab@suse.de
- Remove obsolete hp-sx1000 patches.
* Tue Aug 17 2004 schwab@suse.de
- Fix IPv6 mobility patches.
* Tue Aug 17 2004 garloff@suse.de
- bio-uncopy-free-on-write: fix mem leak triggered by writing
  audio CDs. (SUSE43821)
* Tue Aug 17 2004 mantel@suse.de
- fix swsuspend on highmem machines
* Tue Aug 17 2004 mantel@suse.de
- fix files > 2 GB in isofs
* Tue Aug 17 2004 mantel@suse.de
- fix swsusp-platform.diff
* Tue Aug 17 2004 agruen@suse.de
- doc/README.SUSE: Update documentation.
- scripts/log: Adapt to improvement of vc script.
* Tue Aug 17 2004 okir@suse.de
- don't truncate contents of /proc/pid/cmdline when size of argv
  exceeds page size (SUSE43769)
* Mon Aug 16 2004 okir@suse.de
- updated and re-enabled Pv6 mobility patch
* Mon Aug 16 2004 mantel@suse.de
- make "platform" suspend method actually work
* Mon Aug 16 2004 schwab@suse.de
- Enable ROOT_NFS on ia64.
* Mon Aug 16 2004 mantel@suse.de
- enable CONFIG_PM_DEBUG for the preview phase to help debugging
* Sat Aug 14 2004 olh@suse.de
- add patches.fixes/nfs-2.6.8.1-oops
  Fix stupid thinkos in the fcntl f_op removal code.
* Sat Aug 14 2004 agruen@suse.de
- scripts/tar-up.sh: Include CVS branch name in rpm info.
- scripts/sequence-patch.sh: Clean up some mess.
* Sat Aug 14 2004 olh@suse.de
- update to 2.6.8 final
* Fri Aug 13 2004 mantel@suse.de
- add Sony ACPI driver
* Fri Aug 13 2004 axboe@suse.de
- Update to 2.6.8-rc4-bk3 (includes elv-init and SG_IO security fix)
* Fri Aug 13 2004 olh@suse.de
- add patches.fixes/usb-ehci_urb_done-barrier.patch
  fix list corruption (SUSE43633)
* Fri Aug 13 2004 ak@suse.de
- Fix ADM Comet NIC on 64bit systems (SUSE35897)
- Remove one obsolete patch
* Fri Aug 13 2004 mantel@suse.de
- update swsuspend code
* Fri Aug 13 2004 ak@suse.de
- Rediff & reenable /proc/pid/mapped_base patch
* Fri Aug 13 2004 ak@suse.de
- Add -d / --dir argument to sequence-patch to avoid $SCRATCH_AREA
* Thu Aug 12 2004 mason@suse.de
- enable reiserfs and ext3 barrier code again
- rediff and enable the remaining reiserfs patches
* Thu Aug 12 2004 olh@suse.de
- update to patches.fixes/patch-2.6.8-rc4-bk2
  mtd updates, nfsd signed bug fixed.
* Thu Aug 12 2004 axboe@suse.de
- Make sure queue members are properly setup before calling into
  elevator init functions. This hurts cfq that needs to check nr_requests.
* Wed Aug 11 2004 axboe@suse.de
- Fix bug in barrier ide code for write cache off
* Wed Aug 11 2004 ak@suse.de
- Update s2io driver (SUSE43383)
* Wed Aug 11 2004 axboe@suse.de
- Update flakey and mpath dm targets to newest from the dm tree
* Wed Aug 11 2004 olh@suse.de
- update to patches.fixes/patch-2.6.8-rc4-bk1
  net, prism54, libata updates, TEA/XTEA algorithm
* Wed Aug 11 2004 ak@suse.de
- Remove obsolete XFS bug fixes.
  * DMAPI support temporarily dropped
* Tue Aug 10 2004 ak@suse.de
- Fix IA64 compilation
* Tue Aug 10 2004 olh@suse.de
- reenable patches.arch/ibm-ppc64-syscfg-2.diff
* Tue Aug 10 2004 ak@suse.de
- Update ACPI to latest bk from 2.6.8rc4-mm1
- Add agpgart BK update from 2.8.8rc4-mm1
* Tue Aug 10 2004 ak@suse.de
- Update to new demand hugetlbfs patches from Ken Chen
  * NUMA API support still missing
* Tue Aug 10 2004 ak@suse.de
- Reenable tcp-proc-walk and tcp-proc-listen
- Hopefully fix UML compilation
- Reenable XFS locked O_DIRECT workaround/kludge.
- Review some more patches
- Increase i386 command line to 2048 bytes.
* Tue Aug 10 2004 ak@suse.de
- Remove obsolete patches
* Tue Aug 10 2004 axboe@suse.de
- Assign some patches to ak/mason, kill dirty address space patch
* Tue Aug 10 2004 axboe@suse.de
- Enable and kill selected patches.
* Tue Aug 10 2004 axboe@suse.de
- duplicate definition of ide_id_has_flush_*() macros
* Tue Aug 10 2004 axboe@suse.de
- Update and include most of the barrier patches (core+drivers and ext3)
* Tue Aug 10 2004 olh@suse.de
- update patches.suse/suse.ppc32.601cpu.exception
  use patch from Stef Simoens instead of -mno-string
* Tue Aug 10 2004 axboe@suse.de
- Fixup dm rejects
* Tue Aug 10 2004 axboe@suse.de
- Update the huge stack of dm patches. Only multipath, flakey, and bbr
  target are not merged in mainline.
* Tue Aug 10 2004 axboe@suse.de
- congestion API and dm congestions bits are all merged
* Tue Aug 10 2004 axboe@suse.de
- fbmem fix needs to go as well
* Tue Aug 10 2004 axboe@suse.de
- Lots of patches merged
* Tue Aug 10 2004 axboe@suse.de
- ide opcode dump and kblockd_schedule_work() export
* Tue Aug 10 2004 olh@suse.de
- update to 2.6.8-rc4
* Mon Aug 09 2004 mludvig@suse.de
- removed patches.fixes/build-crypto-aes - not needed anymore.
* Mon Aug 09 2004 olh@suse.de
- reenable patches.drivers/ppc64-iseries-icom.patch
* Mon Aug 09 2004 olh@suse.de
- update patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
  works now on prep and ppc64
* Mon Aug 09 2004 axboe@suse.de
- Update a few more patches
* Mon Aug 09 2004 ak@suse.de
- Update defconfigs
* Mon Aug 09 2004 axboe@suse.de
- aacraid log level patch had an older equiv, add that instead and remove
  the new one from hubert.
- Remove old libata patches (one to go)
* Mon Aug 09 2004 ak@suse.de
- Fix warnings in es7000
* Mon Aug 09 2004 ak@suse.de
- Update ACPI to latest BK version from 2.6.8rc3mm2
  * lots of changes: suppor cpufreq  with "acpi" on SMP Nocona,
  update to ACPICA 20040715, Change OS name for better compatibility
  with broken BIOS, Better suspend/resume for IOAPIC, SMP
  support in processor driver, EBDA fixes.
* Mon Aug 09 2004 olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk4
  Remove ESPIPE logic from drivers,
  letting the VFS layer handle it instead.
* Mon Aug 09 2004 ak@suse.de
- Add cpufreq BK update from 2.6.8rc3mm2 (fixes x86-64)
  * support cpufreq on SMP Nocona and other fixes.
* Mon Aug 09 2004 hare@suse.de
- Update patches.fixes/enable-all-events-for-initramfs.patch
- Update patches.suse/khelper-limit-dynamic.patch
* Mon Aug 09 2004 axboe@suse.de
- Additional cciss patchlet from (to be) mainline
* Sun Aug 08 2004 olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk3
  proc fixes, Make sysctl pass the pos pointer around properly.
  various ppc, ppc64, s390, net updates, asm aes for i586
* Sat Aug 07 2004 olh@suse.de
- reenable patches.fixes/firewire-overflow (SUSE42402)
* Sat Aug 07 2004 olh@suse.de
- reenable patches.fixes/dvdram-write-fail (SUSE41245 - LTC8828)
  reenable patches.drivers/ppc64-iseries-viocd-driveid
* Fri Aug 06 2004 ak@suse.de
- Review more patches
- Reenable disable APIC patch on UP/i386
* Fri Aug 06 2004 ak@suse.de
- Remove JFS patches that are already in mainline
  (everything except DMAPI)
* Fri Aug 06 2004 mantel@suse.de
- fix configs
* Fri Aug 06 2004 mantel@suse.de
- remove unneeded LOGLEVEL defines from aacraid driver
* Fri Aug 06 2004 olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk1
  ia64, mtd, arm updates, drop aes
* Fri Aug 06 2004 schwab@suse.de
- Remove early-printk patch.
* Fri Aug 06 2004 axboe@suse.de
- Various storage drivers merged
* Fri Aug 06 2004 axboe@suse.de
- Update cciss patches
* Thu Aug 05 2004 schwab@suse.de
- Disable CONFIG_IRDA, it uses ISA DMA API without CONFIG_ISA.
- Disable CONFIG_EVLOG, clashes with CONFIG_SCSI_AACRAID.
* Thu Aug 05 2004 mludvig@suse.de
- Fixed and reenabled patches.suse/netfilter-*
* Thu Aug 05 2004 olh@suse.de
- reenable patches.drivers/patch-ipr_evlog
  reenable patches.suse/max-init-args
* Thu Aug 05 2004 ak@suse.de
- Split HP bigsmp fix and acpi blacklists patch into cleaner
  separated patch.
* Thu Aug 05 2004 mludvig@suse.de
- Enable building crypto/aes.ko on non-x86
  patches.fixes/build-crypto-aes
* Thu Aug 05 2004 olh@suse.de
- add patches.fixes/usb-pl2303-bufferhandling.patch
  add a circular buffer to pl2303.c
* Thu Aug 05 2004 olh@suse.de
- update patches.drivers/usb-static-sysfs-info
* Thu Aug 05 2004 ak@suse.de
- Remove more merged patches
* Thu Aug 05 2004 ak@suse.de
- Update to x86_64-2.6.8rc3-1
- Fix config files
* Thu Aug 05 2004 ak@suse.de
- Enable ACPI_DEBUG by default on all architectures
- Add patch from osdl bug #2398 to control ACPI debugging from the
  command line
* Thu Aug 05 2004 ak@suse.de
- fixup remaining acpi patches.
- remove more merged patches
* Thu Aug 05 2004 olh@suse.de
- add patches.suse/suse-ppc-legacy-io.patch
  prevent legacy io access on pmac
* Thu Aug 05 2004 schwab@suse.de
- Enable HW_RANDOM on ia64.
* Thu Aug 05 2004 ak@suse.de
- Remove some more obsolete patches
* Thu Aug 05 2004 schwab@suse.de
- Update ia64 configs.
* Thu Aug 05 2004 schwab@suse.de
- Include <net/ip6_checksum.h> for csum_ipv6_magic.
* Thu Aug 05 2004 schwab@suse.de
- Export sys_wait4 for xpnet driver.
* Thu Aug 05 2004 schwab@suse.de
- Fix use of acpi_register_irq.
* Thu Aug 05 2004 hare@suse.de
- Update S/390 configuration
- Added patches.arch/s390-netdev-eui64.patch
* Thu Aug 05 2004 axboe@suse.de
- Forgot one patch
* Thu Aug 05 2004 axboe@suse.de
- Check lots more patches
* Thu Aug 05 2004 garloff@suse.de
- Build fixes.
* Thu Aug 05 2004 garloff@suse.de
- Drop many patches (all upstream: axp, scsi, proc-info-leak).
- Port some (bootsplash, kbuild stuff).
- Adapt configs for i386 and x86-64.
* Wed Aug 04 2004 schwab@suse.de
- Implement 32bit compat PTRACE_GETEVENTMSG for ia64 [SUSE41261].
* Wed Aug 04 2004 schwab@suse.de
- Update serial console patch.
* Wed Aug 04 2004 schwab@suse.de
- Update ia64 patches.
* Wed Aug 04 2004 axboe@suse.de
- More merged patches
* Wed Aug 04 2004 okir@suse.de
- Merged some more sunrpc and ipv6 patches
* Wed Aug 04 2004 hare@suse.de
- Merged / removed S/390 patches.
- Update sysfs backing store patches.
* Wed Aug 04 2004 okir@suse.de
- Reviewed NFS fixes and a few others
* Wed Aug 04 2004 okir@suse.de
- Reviewed a bunch of network patches
* Wed Aug 04 2004 olh@suse.de
- drop ppc64 ameslab patch
* Wed Aug 04 2004 axboe@suse.de
- lots more merged
* Wed Aug 04 2004 axboe@suse.de
- cdrom-rwrt-header-length is merged
* Wed Aug 04 2004 axboe@suse.de
- bio_copy_user and ide-cd sg are merged.
* Wed Aug 04 2004 axboe@suse.de
- Remove CFQ patches, they are all merged.
* Wed Aug 04 2004 okir@suse.de
- Partial update to 2.6.8-rc3.
* Tue Aug 03 2004 olh@suse.de
- add patches.arch/ibm-ppc64-ptrace-geteventmsg.patch
  implement the 32bit compat PTRACE_GETEVENTMSG for ppc64
  (SUSE41261 - LTC8916)
* Tue Aug 03 2004 schwab@suse.de
- Add tlb_migrate_finish hook [SUSE43341].
* Mon Aug 02 2004 okir@suse.de
- netfilter-unload-crash: drop bogus skb's that can be seed during
  module unload (SUSE42902 - LTC9841)
* Wed Jul 28 2004 garloff@suse.de
- writepages-bh-race: Avoid writepages vs readpages race [SUSE42748],
  finally fixing ext2 corruption..
- uml-fix-mconsole-proc: Reading /proc from uml_mconsole would
  have crashed UML on the fourth time [SUSE42952].
* Wed Jul 28 2004 olh@suse.de
- remove patches.arch/suse-ppc64-miscdev-late_initcall
  misc_init is now subsys_initcall()
* Wed Jul 28 2004 olh@suse.de
- build pc floppy driver as module on ppc and ppc64
* Wed Jul 28 2004 okir@suse.de
- Fixed buffer overflow in cryptoapi [SUSE43364]
* Wed Jul 28 2004 hare@suse.de
- Enable hotplug events in initramfs again (Backport from
  2.6.8-rc2-mm1).
  add patches.fixes/early-hotplug-events.patch
* Tue Jul 27 2004 schwab@suse.de
- Add support for partial pages [SUSE41755].
* Tue Jul 27 2004 mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 schwab@suse.de
- Fix initialisation bug of sched_domain_init to allow booting 512p [SUSE43326].
* Tue Jul 27 2004 mantel@suse.de
- fix integer overflow in firewire code (SUSE42402)
* Tue Jul 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-autodetect.diff
  autodetect the pseries hvsi console (SUSE42805 - LTC9839)
* Tue Jul 27 2004 hare@suse.de
- Fix z90crypt module warnings (SUSE43302).
* Tue Jul 27 2004 hare@suse.de
- Fix zFCP kernel oops (SUSE43187).
* Tue Jul 27 2004 garloff@suse.de
- Increase log buffer to 128k minimum (i386 def+um, ia64 configs)
* Mon Jul 26 2004 mantel@suse.de
- make old megaraid driver advertize itself as "megaraid-old" (SUSE42046)
* Sun Jul 25 2004 agruen@suse.de
- SUSE39181 pending signal queues: Expose RLIMIT_SIGPENDING to user
  space as it has already been added to the 2.6.8-rc2 mainline
  kernel.
* Fri Jul 23 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-sysfs-config-cat
  reading sysfs config file caused panic (SUSE43097 - LTC10031)
* Fri Jul 23 2004 mantel@suse.de
- activate fixes for /proc info leak (SUSE41074)
* Tue Jul 20 2004 olh@suse.de
- add patches.arch/suse-ppc32-undef-IDE_PMAC_DEBUG.patch
  less output when booted with 'quiet'
* Tue Jul 20 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-removal-listhandling.patch
  do not access freed memory while walking list (SUSE43025 - LTC9966)
* Mon Jul 19 2004 olh@suse.de
- add patches.fixes/e1000-TSMPT-and-tx-locking.patch
  * include the entire cleaning of the transmit descriptor queue,
  instead of only the netif_wake_queue in e1000_clean_tx_irq.
  * The TSMPT register (TCP Segmetation Pad offset) has been
  modified from the default of 0x0100 to 0x0C00.
  fixes a few more EEH device shutdowns (SUSE41111 - LTC8539)
* Mon Jul 19 2004 olh@suse.de
- add patches.fixes/scsi_remove_device_locking.patch
  serializes scsi_add_device with scsi_remove_device for each
  scsi host adapter (SUSE42691 - LTC9732)
* Mon Jul 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-syscfg-2.diff
  update timebase fields in systemcfg (SUSE42824 - LTC9288)
* Mon Jul 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-more-unbalanced-get-put.patch
  fix another slab corruption in EEH (SUSE43041 - LTC10011)
* Mon Jul 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-SLES9-obsolete.diff
  do not assicated hvc0 and hvsi0 to the same lowlevel driver
  (SUSE42838 - LTC9860)
* Mon Jul 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-handle-altivec-assist-exception.patch
  patches.arch/ibm-ppc64-single-stepping-emulated-instructions.patch
  handle invalid altivec/vmx instructions (SUSE42803 - LTC9837)
* Sat Jul 17 2004 garloff@suse.de
- Fix fchmod error return value (SUSE41346)
* Fri Jul 16 2004 mantel@suse.de
- fix kobil USB PnP card readers
* Fri Jul 16 2004 mantel@suse.de
- fix lost timer ticks problem on x86_64 (SUSE42836)
* Fri Jul 16 2004 mantel@suse.de
- fix oops in JFS code (SUSE42823)
* Fri Jul 16 2004 mantel@suse.de
- ckrm: propagate existing class from CORE to CRBCE on attach (SUSE42030)
* Fri Jul 16 2004 mantel@suse.de
- properly initialize attrs at chown() (SUSE42542)
* Fri Jul 16 2004 hare@suse.de
- add patches.suse/vm-nocheck-reserved.patch
  Relax checking rules for anonymous non-pageable memory (SUSE42772)
* Thu Jul 15 2004 schwab@suse.de
- Fix race in fsys_gettimeofday [SUSE42906].
* Thu Jul 15 2004 olh@suse.de
- add patches.fixes/ehci-handoff-broken-bios.patch
  ignore failed bios handoff (SUSE42897)
* Thu Jul 15 2004 axboe@suse.de
- Fix a bounce problem with bio_copy/map_user (bug SUSE43020)
* Thu Jul 15 2004 hare@suse.de
- Latest Update from IBM (patches.arch/s390-06-[16-21]-april2004.diff)
- Removed offending patch for arch/s390/entry.S from
  patches.suse/ltt-hooks-full-linux-2.6.5-7.17.patch and
  ltt-hooks-remove-non-i386-7.39.patch
- Updated patches.arch/s390-06-{01,05,07,11}-april2004.diff
  patches have been rearranged; update to conform to IBMs patches.
* Wed Jul 14 2004 agruen@suse.de
- SUSE42972 / LTC9906: Fix include/linux/version.h build dependencies.
* Wed Jul 14 2004 garloff@suse.de
- Fixes for bug SUSE42748:
  * writepage-fs-corruption: Make sure we don't mark pages clean
  prematurely without them being written in the confused case.
  *  writepages-zero: Make sure we zero out the last page.
  * i-size-read-race: i_size could change below us, let's use one
  value consistently in the function.
* Wed Jul 14 2004 axboe@suse.de
- cfq unlock badness and missing clear causing rb_next() to return bogus
  pointer if slab poisoning is enabled.
* Tue Jul 13 2004 axboe@suse.de
- adjust idecd length/align dma alignment restrictions
* Mon Jul 12 2004 axboe@suse.de
- aic7xxx modprobe oops fixes (bug SUSE42711)
* Fri Jul 09 2004 ak@suse.de
- Fix ACPI support in powernow-k8 driver
* Fri Jul 09 2004 olh@suse.de
- add patches.fixes/usb-keyspan_pda-lockup.patch
  fix instant lockup in keyspan_pda driver (SUSE42883)
* Fri Jul 09 2004 axboe@suse.de
- Fix instant SMP deadlock on atp870u scsi driver
* Fri Jul 09 2004 ak@suse.de
- Fix memory corruption during SMP bootup on x86-64
* Fri Jul 09 2004 ak@suse.de
- Fix reference of freed memory in exit in NUMA API
* Fri Jul 09 2004 axboe@suse.de
- Fix sleep-under-queue-lock problem in CFQ.
* Fri Jul 09 2004 hare@suse.de
- S/390: Enable modular build of local 3270 tubes.
* Fri Jul 09 2004 hare@suse.de
- S/390: Enable modular build of all crypto modules (SUSE41666).
* Thu Jul 08 2004 axboe@suse.de
- always setup sg bio for SG_IO (SUSE42314, SUSE42822 (and hopefully SUSE42704)), remove
  crufty kmalloc hack
* Thu Jul 08 2004 hare@suse.de
- Add IBM codedrop 06 for SLES9 GA.
* Tue Jul 06 2004 axboe@suse.de
- make sure request segment counts are valid for non-bio requests (SUSE42314)
* Fri Jul 02 2004 mantel@suse.de
- bump version number of ibmveth driver
* Thu Jul 01 2004 agruen@suse.de
- SUSE42449: patches.fixes/clone-thread-deadlock: release self-reaping
  zombies that are under ptrace when the tracing process
  terminates.
* Thu Jul 01 2004 mantel@suse.de
- fix oops in ibmveth driver (PPC only) (SUSE42579)
* Thu Jul 01 2004 agruen@suse.de
- SUSE42081: patches.fixes/cifs-hash-inode: Add new inodes to the
  inode hash.
* Thu Jul 01 2004 mantel@suse.de
- fix vulnerability in tcp_find_option (SUSE42661)
* Thu Jul 01 2004 agruen@suse.de
- Move flush_barriers_disabled from drivers/ide/ide-disk.c to
  drivers/block/ll_rw_blk.c so that it's also defined in non-IDE
  configurations. Move SLES9_RC3 tag.
* Wed Jun 30 2004 agruen@suse.de
- SUSE42619: patches.fixes/flush-barrier-disable: make reiserfs and
  ext3 honor barrier=off (mason@suse.de).
* Wed Jun 30 2004 agruen@suse.de
- kbuild: Fix the search path for the Module.supported file so
  that external modules can declare themselves supported or
  externally supported when needed.
* Tue Jun 29 2004 mantel@suse.de
- update qla2xxx driver to v8.00.00b14
* Tue Jun 29 2004 mantel@suse.de
- disable file-write-prefault
* Tue Jun 29 2004 mantel@suse.de
- remove reiserfs debug trigger code
* Tue Jun 29 2004 mantel@suse.de
- enable CONFIG_VIDEO_ZORAN; driver builds and works now (SUSE42094)
* Tue Jun 29 2004 mantel@suse.de
- remove remove-via82xx-generic-ide as it would cause problems on
  update (SUSE42335)
* Tue Jun 29 2004 schwab@suse.de
- Fix perfmon-2 local exploit [SUSE42515].
* Mon Jun 28 2004 mantel@suse.de
- dprobes: Fix console hang (SUSE42023)
* Mon Jun 28 2004 mantel@suse.de
- work around TLB fetch timeout defect on sx1000 chipset (SUSE42455)
* Mon Jun 28 2004 agruen@suse.de
- SUSE42360: patches.fixes/cciss_getluninfo_fix_for_sls9.patch:
  Fix kernel oops while scanning cciss devices.
* Mon Jun 28 2004 mason@suse.de
- SUSE42191 make reiserfs_file_write honor 2GB limit in 3.5.x FS
- SUSE42038 fix deadlock between ext3/reiserfs and copy_from_user
* Mon Jun 28 2004 mason@suse.de
- change ide-disk-barrier_mode-2 to match what I put into cvs GA
* Mon Jun 28 2004 agruen@suse.de
- SUSE42495: Disable CONFIG_E100_NAPI for ia64.
* Sun Jun 27 2004 agruen@suse.de
- SUSE41246: patches.fixes/ide-disk-barrier_mode-2: Only use IDE
  barriers if advertised by the drive.
* Sun Jun 27 2004 agruen@suse.de
- SUSE42409: patches.fixes/hugetlb-pmd-free: fix hugetlb pmd reuse.
- SUSE42353: patches.fixes/hugetlb-page-fault-ia32-amd64-ia64: fix
  races and make all architectures use the same hugetlb code.
  IA64 is now using hugetlb-quotas as well.
* Sun Jun 27 2004 agruen@suse.de
- SUSE42453: patches.fixes/huge-sysctl-nodes: fix changing hugepages
  over sysctl (ak@suse.de).
* Sun Jun 27 2004 agruen@suse.de
- From Andrew Morton: Several file systems drop the return value
  of inode_setattr instead of propagating it. This causes truncate
  errors to get lost.
* Sat Jun 26 2004 ak@suse.de
- Fix swiotlb increase patch to use better parameter (SUSE42448)
* Sat Jun 26 2004 agruen@suse.de
- Fix yield() with spin lock held in hvsi_drain_input().
* Sat Jun 26 2004 agruen@suse.de
- SUSE42509: patches.fixes/ipsec-nat-t-old: Patch did appends two
  random bytes to packages encapsulated with the method described
  in draft-ietf-ipsec-udp-encaps-01.txt.
* Fri Jun 25 2004 schwab@suse.de
- Fix discontigmem discovery in non-NUMA case [SUSE42060].
* Fri Jun 25 2004 hare@suse.de
- add patches.arch/s390-04-28-april2004.diff
  Add missing symbols for qeth and lcs (SUSE42483).
* Fri Jun 25 2004 mantel@suse.de
- avoid underflow of "Cached:" field in /proc/meminfo (SUSE42182)
* Fri Jun 25 2004 mantel@suse.de
- remove via82xx S-ATA chip from generic ide driver list (SUSE42335)
* Fri Jun 25 2004 agruen@suse.de
- SUSE41412: ppc64: Init ppc_md udbg pointers to dummy values if not
  found.
- SUSE42233: ppc64: allow for shared update disks.
- SUSE42404: Check for NULL pointer when dereferencing PCI slot.
* Fri Jun 25 2004 agruen@suse.de
- SUSE42033: An int vs. a long constant is used in lib/radix-tree.c.
* Fri Jun 25 2004 okir@suse.de
- Minor fix to previous patch
* Fri Jun 25 2004 okir@suse.de
- pcnet32 patch from Don Fry: correctly program MII Control
  and Status Register (SUSE40341 - LTC9045)
* Thu Jun 24 2004 ak@suse.de
- Fix iommu=memaper= option on x86-64.
- Add new iommu=noaperture option to disable aperture setup
  on x86-64 (SUSE42450)
* Thu Jun 24 2004 ak@suse.de
- Increase software iotlb default size on em64t and ia64 to 64MB
  (SUSE42448)
* Thu Jun 24 2004 okir@suse.de
- Added ipv6-tcp-dst-refcounting to fix a refcounting problem
  in tcp6_connect, which could cause kernel oopses when connecting
  to an IPv6 address (SUSE42342)
* Thu Jun 24 2004 mantel@suse.de
- ckrm: fix changing shares values for a class (SUSE42319)
* Thu Jun 24 2004 garloff@suse.de
- procstat-comm-race: Make a copy of task->comm when we output
  /proc/stat to avoid race making top segfault. (SUSE42364)
* Thu Jun 24 2004 agruen@suse.de
- A minor improvement to the Makefiles in /usr/src/linux-obj/*/*:
  Also include VERSION and PATCHLEVEL so that external modules can
  adapt to the kernel version (mainly 2.4 vs. 2.6).
* Thu Jun 24 2004 duwe@suse.de
- add temporary hack for floppy controller on x445+DL740 SUSE40940
* Thu Jun 24 2004 okir@suse.de
- pcnet32 fix from Don Fry: acknowledge all interrupts (SUSE42408 - LTC9592)
* Thu Jun 24 2004 mason@suse.de
- add and disable reiserfs-file-write-prefault to match the state
  of the GA branch
* Wed Jun 23 2004 axboe@suse.de
- export kblockd_schedule_work() for vscsi
* Wed Jun 23 2004 garloff@suse.de
- Add hvsi console for PPC.
* Wed Jun 23 2004 mason@suse.de
- bug SUSE42091, fix a bogus warning when barrier writes fail
* Wed Jun 23 2004 axboe@suse.de
- vscsi must not block in a tasklet, convert to work queue (SUSE42210)
* Wed Jun 23 2004 okir@suse.de
- Added CIFS patch from Steve French which fixes request
  queueing to handle more than 100 overlapped requests (SUSE39916 - LTC8025)
* Wed Jun 23 2004 agruen@suse.de
- Three obvious bug fixes from mainline:
  + patches.fixes/ieee1394-null-dereference.diff
  + patches.fixes/ip-conntrack-missing-check.diff
  + patches.fixes/megaraid-get_user.diff
* Tue Jun 22 2004 agruen@suse.de
- SUSE42324: patches.fixes/jfs-link-timestamps: the link system call
  did not update i_ctime and i_mtime as required by POSIX.
* Tue Jun 22 2004 agruen@suse.de
- SUSE42134 / LTC9401: patches.fixes/rphahp_add_slot.patch: call
  rpaphp_config_pci_adapter() when adding a non-empty slot.
- SUSE42259 / LTC9477: patches.fixes/eeh-event-race.patch: prevent
  kernel panic on duplicate EEH event (ppc64).
* Tue Jun 22 2004 axboe@suse.de
- in case of ide errors, dump the offending opcode
* Tue Jun 22 2004 hare@suse.de
- Update to IBM codedrop 04-april2004.
  Added patches.arch/s390-04-[15|18-27].diff
* Tue Jun 22 2004 mantel@suse.de
- add megaraid-old to list of supported modules
* Tue Jun 22 2004 agruen@suse.de
- SUSE42062: patches.fixes/xfs-O_DIRECT-i_sem-hotfix: Fix xfs inode
  locking for direct I/O by taking i_sem. A better fix that does
  not symchronize direct I/O writers will replace this fix later.
* Tue Jun 22 2004 hare@suse.de
- Renamed patches to match IBM codedrop 04-april2004.
- Renamed patches.arch/s390-dirty-2.6.5.diff to
  patches.arch/s390-04-16-april2004.diff
- Renamed patches.arch/s390-dasd_modules_unload2.patch to
  patches.arch/s390-04-17-april2004.diff
- Removed old patches.arch/s390-dasd_modules_unload.patch
* Tue Jun 22 2004 hare@suse.de
- Re-diffed patches to match IBM codedrop 04-april2004.
  Modified patches.arch/s390-04-{02|13|14}.patch
* Tue Jun 22 2004 garloff@suse.de
- Disable [I][N]FTL flash drivers.
* Tue Jun 22 2004 mantel@suse.de
- avoid pagecache underflow (SUSE42182)
* Tue Jun 22 2004 agruen@suse.de
- Merge recent kbuild improvements, update the documentation and
  demo module. Add upstream documentation. Looking good now.
* Mon Jun 21 2004 ak@suse.de
- Handle maxnode == 0 in NUMA API too (suggested by agruen)
* Mon Jun 21 2004 agruen@suse.de
- SUSE41420: replace patches.suse/xfs-blockdev with patches.fixes/
  bdev-address_space.patch, export-blk_get_backing_dev_info.patch
  from Nathan Scott <nathans@sgi.com>: Prevents corruption
  on XFS when the underlying block device is accessed while XFS
  is mounted.
* Mon Jun 21 2004 ak@suse.de
- Fix early CPU detect on i386 for non Intel CPUs
* Mon Jun 21 2004 ak@suse.de
- Handle maxnode == 1 in NUMA API syscalls without crashing
* Mon Jun 21 2004 agruen@suse.de
- SUSE42084: patches.fixes/apic-initdata: Remove __initdata tag from
  enable_local_apic variable which is also accessed during
  shutdown. (Fix from Andi Kleen <ak@suse.de>.)
* Mon Jun 21 2004 mantel@suse.de
- ckrm: use varargs in rbce_tc_classify/rbce_sc_classify (SUSE42241)
* Mon Jun 21 2004 agruen@suse.de
- SUSE42124 / LTC9408: patches.fixes/compat_sched_setaffinity_fix:
  Fix bitmap composition order in compat_sys_sched_setaffinity.
* Fri Jun 18 2004 agruen@suse.de
- SUSE42230: Check for self-configured /usr/src/linux tree in
  running-kernel init script, and don't touch the sources in
  that case.
* Fri Jun 18 2004 mantel@suse.de
- check existance of device in eql (SUSE42217)
* Fri Jun 18 2004 mantel@suse.de
- fix reentry spinlock deadlock (SUSE42173)
* Fri Jun 18 2004 mason@suse.de
- fix bug SUSE40752, ext3 needs to wait for io to complete
  before locking buffers for journal commits.
* Fri Jun 18 2004 mantel@suse.de
- fix cpumask bug on es7000 machines (SUSE42178)
* Fri Jun 18 2004 ak@suse.de
- Fix MCE panic printing on x86-64
* Fri Jun 18 2004 axboe@suse.de
- Fix direct io alias problem in cfq (Netapp)
* Fri Jun 18 2004 andrea@suse.de
- Fix anon-vma mprotect extension-merging that generated kernel
  crashes with wine. SUSE42132
* Fri Jun 18 2004 ak@suse.de
- Generate kerntypes on x86-64
* Thu Jun 17 2004 ak@suse.de
- Fix more O_DIRECT  hugetlbfs problems (SUSE41943)
* Thu Jun 17 2004 mantel@suse.de
- ckrm: remove task from resource controllers on exit (SUSE42130)
* Thu Jun 17 2004 ak@suse.de
- Fix bad use of __initdata in x86-64 mce code
* Thu Jun 17 2004 ak@suse.de
- Disable x86_64-ioremap patch for now (SUSE42154)
* Thu Jun 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3-init_pci_config_tokens.patch
  call init_pci_config_tokens even if the box has no EEH,
  or if EEH was turned off via kernel cmdline (SUSE41946 - LTC9283)
* Thu Jun 17 2004 agruen@suse.de
- SUSE39181 pending signal queues: denial of service.
* Thu Jun 17 2004 garloff@suse.de
- pss-user-pointer: Properily check userspace pointer (SUSE42050).
* Wed Jun 16 2004 agruen@suse.de
- kernel-source package: Prevent the /etc/init.d/running-kernel
  boot script from needlessly touching files in /usr/src/linux:
  this triggers superfluous rebuilds. (From SLES9 branch.)
* Wed Jun 16 2004 garloff@suse.de
- vgettimeofday-optimize: Don't do int 0x80 instead of sysenter.
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3.patch
  Obtain PHB Unit ID's from the "regs" property. (SUSE41946 - LTC9283)
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-mf-completion
  use completion instead of semaphores in OS400 interface
  (SUSE39541 - LTC8142)
* Wed Jun 16 2004 garloff@suse.de
- hugetlb-implicit-only: remove MAP_HUGETLB completely. (SUSE41918)
* Wed Jun 16 2004 garloff@suse.de
- ehci-bios-handoff: Fix typo in USB ehci handoff code.
* Wed Jun 16 2004 garloff@suse.de
- bootsplash-anim-NLD: Allow bootsplash animations.
* Wed Jun 16 2004 mantel@suse.de
- fix memory overwrite bug in airo driver (SUSE42096)
* Wed Jun 16 2004 mantel@suse.de
- fix copy_from_user/copy_to_user thinko in ALSA (SUSE42095)
* Wed Jun 16 2004 mantel@suse.de
- asus_acpi: parse arguments in a safe way (SUSE42052)
* Wed Jun 16 2004 mantel@suse.de
- properly use _user in OSS ioctls (SUSE42050)
* Wed Jun 16 2004 ihno@suse.de
- fixing module unload of DASD-mod (SUSE41717)
* Wed Jun 16 2004 mantel@suse.de
- allow old and new megaraid driver to co-exist. The old one is
  named "megaraid-old". It's still needed for some hardware
* Wed Jun 16 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix event handling (SUSE41934 - LTC9273)
* Wed Jun 16 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  clear bi_next in end_io (SUSE41555 - LTC9033)
  merge patches.fixes/ibm-vscsi-ltc9255 into vscsi patch
* Wed Jun 16 2004 okir@suse.de
- CKRM: honor euid/egid when classifying task (SUSE42083 - LTC9399)
* Wed Jun 16 2004 mantel@suse.de
- don't write user pointers without checking in decnet (SUSE42049)
* Wed Jun 16 2004 garloff@suse.de
- partition-table-msdos: Be more critical about accepting a part
  table as an msdos one.
* Wed Jun 16 2004 hare@suse.de
- Update patches.arch/s390-dirty-2.6.5.diff
  Update to version suggested by akpm (SUSE42066).
* Wed Jun 16 2004 mantel@suse.de
- ckrm: fix system hang when trying to classify exited proc. (SUSE41872)
* Wed Jun 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-unbalanced-dev-put.patch
  fix double free of pci_dev pointers (SUSE42077 - LTC9396)
* Wed Jun 16 2004 schwab@suse.de
- Workaround problem in Altix console driver [SUSE42002].
* Wed Jun 16 2004 schwab@suse.de
- Workaround high network load panics on Altix [SUSE41995].
* Wed Jun 16 2004 okir@suse.de
- Another CIFS fix to prevent data corruption (SUSE41826 - LTC9164)
* Wed Jun 16 2004 garloff@suse.de
- raid5-resync-bug: Wrong optimization in raid5 resync code.
* Wed Jun 16 2004 olh@suse.de
- add patches.suse/kdb-ppc64-recurse
  set RECURSE=2 on ppc64 (SUSE41871 - LTC9240)
* Tue Jun 15 2004 ihno@suse.de
- fixing data corruption under memory pressure for s390 (SUSE42066)
* Tue Jun 15 2004 mantel@suse.de
- enable CONFIG_SCSI_INIA100
* Tue Jun 15 2004 garloff@suse.de
- scsi-device-state-remove: Cleanup of SCSI state machine from
  2.6.7-pre.
- scsi-forget-host: Flush cache before removing host. (SUSE41825)
* Tue Jun 15 2004 ak@suse.de
- Fix use of uninitialized memory in ioremap() on x86-64
* Tue Jun 15 2004 okir@suse.de
- IPv6: added usagi patch to prevent double free when an error
  occurs during UDPv6 multicast delivery (SUSE42019)
* Tue Jun 15 2004 hare@suse.de
- add patches.arch/s390-dasd_modules_unload.patch
  Fix unloading of DASD modules (SUSE41717).
* Tue Jun 15 2004 okir@suse.de
- Fix insertion of dprobes in shared libraries (SUSE41966 - LTC9269)
* Tue Jun 15 2004 okir@suse.de
- vgettimeofday patch from John Stultz to fix LTP gettimeofday01
  failure (SUSE40504 - LTC8395)
- Updated CIFS to 1.18 (SUSE41963 - LTC9328)
* Tue Jun 15 2004 agruen@suse.de
- SUSE40829 / LTC8406: patches.fixes/power3-numabug: Fix memory zone
  setup that caused the emergency pool to underrun.
* Mon Jun 14 2004 olh@suse.de
- add patches.arch/ppc64-fix-out_be64.patch
  fixes out_be64 implementation on ppc64 along with a glich in
  out_be32 (inconsistent) use of barrier.
* Mon Jun 14 2004 ak@suse.de
- Fix acpi=off on x86-64 (SUSE41990)
* Mon Jun 14 2004 olh@suse.de
- add patches.arch/suse-ppc64-cut-iseries-cmdline
  avoid multiline /proc/cmdline on iseries
* Mon Jun 14 2004 ak@suse.de
- Enable CONFIG_DEBUGREG and CONFIG_KDB_MODULES in i386 debug kernel
* Mon Jun 14 2004 agruen@suse.de
- Enable CONFIG_CRASH_DUMP in kernel-64k-pagesize.
* Mon Jun 14 2004 ak@suse.de
- Turn "too many keys pressed" printk into KERN_DEBUG
* Mon Jun 14 2004 garloff@suse.de
- ext3-barrier-default: Enable barriers on ext3 by default, use
  -o barrier=0 to disable.
* Mon Jun 14 2004 okir@suse.de
- updated e1000-validate: the fix to ETHTOOL_GREGS prevented the
  ioctl from copying all registers
* Mon Jun 14 2004 ak@suse.de
- Check for suspend state in e1000 get_stats (SUSE41278)
* Mon Jun 14 2004 agruen@suse.de
- SUSE41884 / LTC8990: patches.fixes/lkcd_64K_pagesize: disk dump
  failure on ia64 w/64K pages.
* Mon Jun 14 2004 garloff@suse.de
- reiserfs-bitmap-overflow-2: Avoid stack overflow in new reiser
  block allocator (SUSE41441, mason).
* Mon Jun 14 2004 ak@suse.de
- Reduce stack footprint of page state structure
- Fix XFS NFS delayed write corruption
- Don't get statistics from suspended drivers in link watch (SUSE41278)
- Fix kernel hang with uncleared FPU exceptions on i386/x86-64
  (SUSE41951)
* Sat Jun 12 2004 axboe@suse.de
- harden blk_execute_rq() a little so it doesn't inspect ->waiting
  at all. Similar to how mainline works.
* Sat Jun 12 2004 schwab@suse.de
- Rename modules to work around lkcd bug [SUSE41891].
* Fri Jun 11 2004 garloff@suse.de
- hugetlb-disable-nonstd-maphugetlb-sysctl: Don't honour
  MAP_HUGETLB; instead print a warning. It can be enabled by sysctl
  though. It's deprecated and will be removed. SUSE41918.
- patches.suse/apic-timer-irq-delivery-dl760: Also add Proliant
  hack to setup_ExtINT_IRQ0_pin(), causing it to fail; it works
  in Virtual Wire mode ... This is needed for acpi=off boots.
  SUSE40944.
* Fri Jun 11 2004 ak@suse.de
- Prevent access to block devices XFS has mounted (SUSE41420)
* Fri Jun 11 2004 agruen@suse.de
- SUSE41490 / LTC9047: additional jfs fix from Dave Kleikamp.
- SUSE41868 / LTC9255: Fix vscsi double-deactivation.
* Fri Jun 11 2004 ak@suse.de
- Quieten printk in the input layer
* Fri Jun 11 2004 ak@suse.de
- Fix race in XFS delayed write handling (SUSE41420)
- Fix deadlock in XFS ENOSPC handling (partial SUSE41544)
* Fri Jun 11 2004 schwab@suse.de
- Fix race in fsys fallback path [SUSE40832].
* Fri Jun 11 2004 okir@suse.de
- Updated pcnet32-overrun-restart patch to fix some remaining
  problems with restart after FIFO overrun (SUSE40951 - LTC8726)
* Fri Jun 11 2004 okir@suse.de
- Added e1000 patches to address (SUSE41875 - LTC8972)
* Fri Jun 11 2004 ak@suse.de
- Check correct for strace too for SIGSEGVs on x86-64
- Detect correct bank on fatal MCEs on x86-64
* Thu Jun 10 2004 ak@suse.de
- Avoid printks for handled SIGSEGVs on x86-64
* Thu Jun 10 2004 agruen@suse.de
- Fix thinko in third-party module support (+external).
* Thu Jun 10 2004 agruen@suse.de
- Add README.SUSE to kernel-source file list.
* Thu Jun 10 2004 ak@suse.de
- Take inode lock around hugepages overcommit check (SUSE41528)
* Thu Jun 10 2004 ak@suse.de
- Don't call smp_send_stop in lkcd (SUSE41843)
* Thu Jun 10 2004 ak@suse.de
- Add another bugfix for the sigprof exit race.
* Thu Jun 10 2004 ak@suse.de
- Handle O_DIRECT in hugetlb holes (SUSE41733)
* Thu Jun 10 2004 ak@suse.de
- Handle PMD holes in hugetlbpages on i386/x86-64 (SUSE41604)
* Thu Jun 10 2004 axboe@suse.de
- Don't move completion event to request sense structure, it causes nasties
  with completing on dead request (bug SUSE38944)
* Wed Jun 09 2004 mason@suse.de
- barrier-eopnotsupp, deal with asynchronous ide barrier failures
* Wed Jun 09 2004 ak@suse.de
- Make sure x86-64 machine check handler logs correct MCE
- Don't threat MCE overflows as fatal
* Wed Jun 09 2004 agruen@suse.de
- Allow modules to be tagged as "externally supported" ("+external"
  in supported.conf). Doument the supported/unsupported flags
  in README.SUSE.
* Wed Jun 09 2004 garloff@suse.de
- evlog-header-inval-pgrp: Avoid dereferencing inval
  current->signal ptr in evlog (SUSE41804).
* Wed Jun 09 2004 hare@suse.de
- Added patches.arch/s390-04-{13|14}-april2004.diff
  Last update by IBM to SLES9 RC2 (hopefully).
- Re-diffed ltt patches to apply again.
* Wed Jun 09 2004 okir@suse.de
- Added smbfs-request-counting: failure to allocate an smb request
  did not decrement the overall request counter, leading to deadlock
* Wed Jun 09 2004 okir@suse.de
- Added smbfs-sendqueue-backoff to make smbiod react more gracefully
  to a full tcp send queue (SUSE41343 - LTC8669)
* Wed Jun 09 2004 agruen@suse.de
- Additional consistency check for tar-up.sh: Make sure that all
  patches referenced in series.conf have been added to the CVS.
* Wed Jun 09 2004 okir@suse.de
- Merged patch from mainline: /proc/net/tcp would not show all
  listening sockets if the first socket in a hash chain had a
  different address family.
* Wed Jun 09 2004 okir@suse.de
- IPv6 Fix from Shirley Ma to use proper ip6_output handler in
  IPv6 dst cache entries created by ndisc (SUSE41669 - LTC9123)
- 2 CIFS fixes from Steve French:
   - prevent races when accessing tcpStatus (SUSE41757 - LTC1953)
   - fix for data corruption on partial writes to page cache (SUSE41826 - LTC9164)
* Wed Jun 09 2004 hare@suse.de
- add patches.arch/s390-04-[08-12].diff
  Update to IBM codedrop for SLES9.
* Wed Jun 09 2004 hare@suse.de
- update sysfs-backing store to v0.6 from 2.6.6-mm4 (SUSE40072)
* Wed Jun 09 2004 agruen@suse.de
- SUSE41748: LAuS msgsnd reporting invalid syscall parameter size.
* Wed Jun 09 2004 olh@suse.de
- update patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  pass correct device node info to rtas_call (SUSE41818 - LTC9219)
* Wed Jun 09 2004 garloff@suse.de
- scsi-error-test-unit-ready-timeout: Use 30s timeout for
  TEST_UNIT_READY (SUSE41689).
* Tue Jun 08 2004 ak@suse.de
- Really remove ibm-noacpi patch now
* Tue Jun 08 2004 agruen@suse.de
- patches.fixes/downgrade_write: Fix from mainline.
- patches.fixes/ext3-htree-rename: htree rename fix from mainline.
* Tue Jun 08 2004 garloff@suse.de
- firewire-suspend: Update patch to fix ieee1394 suspend (SUSE40177).
* Tue Jun 08 2004 garloff@suse.de
- suspend-pci-cfg-space, suspend-agpgart-intel-resume:
  For devices without specific suspend / resume support, save PCI
  config space at least and restore on resume. Use one intel-agp.
* Tue Jun 08 2004 garloff@suse.de
- fremap-race: Fix locking in fremap. (SUSE40699, andrea).
* Tue Jun 08 2004 garloff@suse.de
- const-udelay-fix-3: Fuix rounding bug in const_udelay on i386
  (SUSE41553, jstulz, garloff, browdowski).
* Tue Jun 08 2004 ak@suse.de
- Fix printks in serverworks and intel AGP drivers
- Remove IBM HS40 blacklist entry again (SUSE38178)
* Tue Jun 08 2004 mason@suse.de
- fix a race between fs writeback and unmounting that can lead to
  general memory corruption
- add more reserved pages for PF_MEMALLOC and atomic allocations
- make ext3 redirty when allocations fail in writepage
- make shrink_cache process clean pages first
* Tue Jun 08 2004 kkeil@suse.de
- add patches.fixes/hisax_tj320_fix; fix IRQ storm for TJ320
  based ISDN cards (newer TELES PCI, netjet)
* Tue Jun 08 2004 ak@suse.de
- Readd pci=noacpi blacklist for IBM HS40
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/suse-ppc64-disable-spinlock-debug
  disable DEBUG_SPINLOCK_SLEEP on ppc64 for the time being
* Tue Jun 08 2004 olh@suse.de
- remove bogus DEBUG_SPINLOCK_SLEEP changes (SUSE41447 - LTC9040)
* Tue Jun 08 2004 ak@suse.de
- Fix hugetlb accounting bugs (SUSE41528)
* Tue Jun 08 2004 okir@suse.de
- Fix restart of pcnet driver after FIFO overrun (SUSE40951 - LTC8726)
* Tue Jun 08 2004 okir@suse.de
- nfsd: ignore attempts to change the mode of a symlink (SUSE41602 - LTC9096)
* Tue Jun 08 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-embedded_drc_name.patch
  Allow rpadlpar to properly identify dlpar-capable slots
  (SUSE41760 - LTC9180)
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/kdb-clean-percpu.patch
  new command to print per_cpu variables (SUSE41753 - LTC9107)
* Tue Jun 08 2004 olh@suse.de
- add patches.drivers/ipr_abort_hang.patch
  fixes a hang that occurs when an abort is issued by the midlayer
  add patches.drivers/ipr_only_tcq_cancel_all.patch
  only send a cancel all when the device is running TCQ
  add patches.drivers/ipr_driver_version_2_0_10.patch
  bump version number (SUSE41689 - LTC9144)
* Tue Jun 08 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  change inquiry data length from 0xfb to 0xfa
* Tue Jun 08 2004 olh@suse.de
- add patches.suse/kdb-ppc64-unrecoverable-exception
  Don't return from KDB upon unrecoverable exception (SUSE40982 - LTC8623)
* Tue Jun 08 2004 ak@suse.de
- Handle bad PIT readings in the cyclone timer driver (SUSE40644)
* Tue Jun 08 2004 agruen@suse.de
- SUSE41718 / LTC9150: revalidate_special may invalidate dentry->d_op
  (as it sometimes does with cifs), so re-check when revalidating
  again.
* Mon Jun 07 2004 agruen@suse.de
- Quota fixes from Jan Kara <jack@suse.cz> (patches.fixes/
  quota-1-v2rootfix, quota-2-v1initfix, quota-3-slabfix).
* Mon Jun 07 2004 schwab@suse.de
- Fix boot hanging during KDB initialization [SUSE40187].
* Mon Jun 07 2004 agruen@suse.de
- patches.fixes/jfs-btstack: Fix btstack debugging code.
* Mon Jun 07 2004 garloff@suse.de
- tmscsim-267rc2: Update patches to tmscsim driver.
* Mon Jun 07 2004 ak@suse.de
- Add /proc/sys/kernel/check_deadlocks to control file lock
  deadlock checking.
* Mon Jun 07 2004 agruen@suse.de
- SUSE40752: patches.fixes/jbd-dirty-uptodate: jbd bugs cause dirty
  buffers not marked uptodate to become visible to the buffer
  layer (commit for Chris Mason <mason@suse.com>).
- SUSE41701: Change smbfs default encodings to more sane defaults
  by request of Lars Mueller <lmuelle@suse.de>.
* Mon Jun 07 2004 olh@suse.de
- add patches.drivers/ppc64-iseries-viocd-driveid
  more dvd drive ids for legacy dvd-ram (SUSE41245 - LTC8828)
* Mon Jun 07 2004 ak@suse.de
- Update powernow-k8 driver to 1.00.09d from AMD.
  * Fix hangs at bootup with BIOS that set up bogus PST tables.
* Mon Jun 07 2004 ak@suse.de
- Fix compilation of kdb kdbm_pg module
- Fix warnings on kdb/i386
- Fix warning in Lustre
* Mon Jun 07 2004 ak@suse.de
- Quiet down noisy JEDEC probing
* Mon Jun 07 2004 ak@suse.de
- Fix compilation without CONFIG_MODULES
* Mon Jun 07 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  another one needed in e1000_clean_tx_irq()  (SUSE41111 - LTC8539)
* Mon Jun 07 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix list corruption (SUSE41555 - LTC9033)
  fixes the serial number returned on SCSI Inquiry to virtual
  devices
  Clean up text returned on error messages
  Return correct information when the client passes a buffer too
  small to the server.
  minor ibmvscsi client fixes
  Better error message from VSCSI client when adapter can't be
  opened.
* Sun Jun 06 2004 agruen@suse.de
- xfs-fix-lowbit64: Fix use of ffs(0) which apparently is
  undefined on some architectures.
* Sun Jun 06 2004 garloff@suse.de
- directio-inval-fix: The wrong no of DIO blocks was invalidated.
* Sun Jun 06 2004 agruen@suse.de
- patches.fixes/nfsd-symlink-setattr: Update; silently ignore
  nfsd requests to set the file mode permission bits of a symlink.
* Sun Jun 06 2004 ak@suse.de
- disable debugging printks in udf
* Sun Jun 06 2004 olh@suse.de
- add patches.fixes/recvmsg-compat-MSG_CMSG_COMPAT
  Fix bogus msg_flags checks, need to mask out MSG_CMSG_COMPAT
* Sat Jun 05 2004 garloff@suse.de
- apic-timer-irq-delivery-dl760: Enable tweak for DL740. (SUSE40944)
* Sat Jun 05 2004 olh@suse.de
- add patches.suse/suse.ppc32.binutils-version.patch
  newer binutils require -many
* Fri Jun 04 2004 ak@suse.de
- add workaround for wrong _BBN on serverworks boards
  (SUSE38178)
- disable IBM ACPI H20,H40 blacklist entries (SUSE41656)
* Fri Jun 04 2004 mason@suse.de
- enable patches.fixes/shrink_zone.patch
* Fri Jun 04 2004 ak@suse.de
- add additional check to nforce2 c1 disconnect workaround
* Fri Jun 04 2004 ak@suse.de
- fix race handling in lazy hugetlbfs on i386,x86-64,ppc64,ia64
  (SUSE41604)
* Fri Jun 04 2004 hare@suse.de
- add patches.arch/s390-04-05-april2004.diff
  add patches.arch/s390-04-06-april2004.diff
  add patches.arch/s390-04-07-april2004.diff
  Update to latest IBM codedrop.
* Fri Jun 04 2004 okir@suse.de
- Added patch from netdev to prevent e1000 NAPI crash during ifdown
* Fri Jun 04 2004 mason@suse.de
- enable 01-redirty-for-writepage and gfp-nofs-extra-scan
* Fri Jun 04 2004 ak@suse.de
- Let acpi=force overwrite pci=noacpi blacklists (SUSE41206)
* Thu Jun 03 2004 ak@suse.de
- fix name of IBM HS40 in dmi blacklist
* Thu Jun 03 2004 axboe@suse.de
- Bad length check in cdrom_get_random_writable() (SUSE41245)
* Thu Jun 03 2004 olh@suse.de
- add patches.fixes/no_cpuhp_on_nonlpar.patch
  add patches.fixes/ppc64-cpuhotplug-online-0.patch
  hide sysfs cpu hotplug files in non LPAR mode (SUSE41603 - LTC9039)
* Thu Jun 03 2004 garloff@suse.de
- Make elevator=anticipatory default again; YaST will put
  elevator=cfq for servers into boot loader config.
* Thu Jun 03 2004 olh@suse.de
- disable patches.fixes/usb-dell-patch-4-ul
  causes deadlocks during unplug/replug (SUSE40827)
* Thu Jun 03 2004 hare@suse.de
- Update patches.arch/s390-crypto-api.patch
  to official version from bitkeeper (SUSE41386).
* Thu Jun 03 2004 okir@suse.de
- ppc64: do_IRQ now warns if free space on the kernel stack
  drops below 2K; previously this was 4K. (SUSE41431 - LTC9026)
* Thu Jun 03 2004 agruen@suse.de
- SUSE41202: patches.suse/nfsd-acl-v2-solaris: If the nfs_acl program
  is exported, Solaris clients expect both version 2 and version 3
  to be available; a RPC_PROG_MISMATCH reply which would indicate
  that the requested version is not available leads to a mount
  failure. Make up a fake RPC_PROG_UNAVAIL reply when asked for
  nfs_acl version 2 instead.
* Thu Jun 03 2004 ak@suse.de
- Fix LDT/TSS limit on x86-64 (SUSE41574)
* Thu Jun 03 2004 garloff@suse.de
- Mark as SLES9_RC1.
* Thu Jun 03 2004 agruen@suse.de
- SUSE41202 / nfs_acl: Fix mounting NFSv2 volumes from Solaris
  clients: the supported program version numbers were wrong. Also
  fix the transport buffer size calculation (we were still safe).
* Thu Jun 03 2004 garloff@suse.de
- SUSE40944: apic-timer-irq-delivery-dl760: Add workaround for timer
  IRQ delivery for DL760.
* Thu Jun 03 2004 ak@suse.de
- add IDE support for nvidia nforce3,nforce3-mcp04,nforce3-ck804
* Wed Jun 02 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs_write_room.2.0.patch
  improve buffering in hvcs_write_room
* Wed Jun 02 2004 agruen@suse.de
- SUSE41490: patches.fixes/jfs-dtstack: jfs dtstack overflow.
- SUSE41503: patches.fixes/jfs-mp-leak: jfs deadlock in fsstress.
* Wed Jun 02 2004 garloff@suse.de
- serial8250_console_write-ier: Fix a race where we could get out
  of sync with the IER, leaving IRQs disabled. (SUSE34840)
* Wed Jun 02 2004 ak@suse.de
- really fix acpi=ht on x86-64
* Wed Jun 02 2004 mason@suse.de
- drop overly verbose reiserfs allocator message on mount
- make lkcd use NR_CPUS instead of it's own constant (SUSE41509)
* Wed Jun 02 2004 ak@suse.de
- Fix acpi=ht on x86-64
- Remove xfs debug patch
* Wed Jun 02 2004 agruen@suse.de
- SUSE41504: patches.fixes/LAuS-login-msg: audit record sometimes
  is missing the executable name.
* Wed Jun 02 2004 mason@suse.de
- turn off CONFIG_KLOG_CHANNEL everywhere (bug SUSE40653)
* Wed Jun 02 2004 garloff@suse.de
- compaq-noloop: Some Compaq ProLiant machines lockup on issueing
  the AUX LoopBack command. Blacklist. (SUSE36474, vojtech)
* Wed Jun 02 2004 agruen@suse.de
- patches.fixes/ramfs-O_SYNC: Fix NULL pointer dereference of
  a_ops->writepage in page_writepages with O_SYNC ramfs.
* Wed Jun 02 2004 olh@suse.de
- add patches.suse/kdb-recurse
  handle RECURSE=x setting in KDB (SUSE40982 - LTC8623)
* Wed Jun 02 2004 axboe@suse.de
- megaraid must not use spin_is_locked() in UP
* Wed Jun 02 2004 hare@suse.de
- Really modularize SHA1 and DES
- Add cpint and arch/s390/crypto to the list of supported modules.
* Wed Jun 02 2004 ak@suse.de
- fix SIGPROF <-> exit race (SUSE41527)
- fix msync on hugetlbfs pages
- fix reuse of large pages
* Wed Jun 02 2004 hare@suse.de
- compile SHA1 and DES as module on S/390 to enable
  support for z990-specific modules.
* Wed Jun 02 2004 ak@suse.de
- dump bad block when internal xfs consistency checks fail
- add more KERN_ALERTs to oopses on x86-64 and i386
* Wed Jun 02 2004 garloff@suse.de
- swsusp-free-more-mem: Several tries to free memory, allows low-
  mem machines to successfully suspend to disk.
* Tue Jun 01 2004 ak@suse.de
- fix deadlock in active_load_balance
* Tue Jun 01 2004 ak@suse.de
- Fix metapage leak in JFS (SUSE41503 - LTC9062)
* Tue Jun 01 2004 garloff@suse.de
- usb-dell-patch-4-ul: Update serialisation of USB cmnds. (SUSE40827)
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  dont crash if the vscsi server disappears (SUSE41266 - LTC8924)
* Tue Jun 01 2004 olh@suse.de
- add patches.fixes/jfs-nfs-inode
  Limit metapage reads to i_size (SUSE41434)
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  many bugfixes, changed from using wait tasks to kernel_threads
* Tue Jun 01 2004 ak@suse.de
- quieten some annoying/unnecessary printks
- fix bootsplash to not print overlong lines on error.
* Tue Jun 01 2004 olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth2
  print the entire map as hex in AVAILABLE_VETH
* Tue Jun 01 2004 ak@suse.de
- apply spinlock debug change from ppc64 to all architectures (SUSE41447)
* Tue Jun 01 2004 hare@suse.de
- S/390: Add in-kernel crypto support for z990 (SUSE41386).
  Add patches.arch/s390-crypto-api.patch
* Tue Jun 01 2004 agruen@suse.de
- SUSE41427: Better handle out of space errors in jfs.
* Tue Jun 01 2004 mason@suse.de
- fix rbce insmod bug (SUSE41422)
* Tue Jun 01 2004 agruen@suse.de
- /etc/init.d/running-kernel: Fix fallback logic.
* Tue Jun 01 2004 okir@suse.de
- Merged two CIFS patches from Steve French, via air mail:
 - Fix block count reported to du (SUSE41487 - LTC9036)
 - Fix prepare_write bug (SUSE41131)
* Tue Jun 01 2004 hare@suse.de
- Update to unofficial IBM codedrop; renamed
  patches from s390-03-{29|30}-april2004.diff to
  official IBM name s390-04-*.
* Tue Jun 01 2004 axboe@suse.de
- flag BH_Eopnotsupp on buffer_heads for failed barriers
* Tue Jun 01 2004 agruen@suse.de
- SUSE41443: rpm/running-kernel.init.in: Keep include/asm-*/offsets.h
  when doing a `make clean' and also link it into /usr/src/linux
  on those platforms that have it.
* Tue Jun 01 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-buffer_pool
  handle buffer pools correctly (SUSE41392 - LTC8999)
* Tue Jun 01 2004 okir@suse.de
- Merge nfsd fix from Neil Brown to correct handling of nfsd
  readahead
* Tue Jun 01 2004 agruen@suse.de
- Fix kernel-binary post-install script for upgrading from SLES8
  to SLES9.
* Tue Jun 01 2004 garloff@suse.de
- Serialise usb-storage commands with usbfs operations (SUSE40827).
* Tue Jun 01 2004 okir@suse.de
- Fix refcounting problem in ipsec xfrm_state (SUSE41219)
* Tue Jun 01 2004 okir@suse.de
- Tentative fix for nfsd/solaris9 readdirplus interoperability
  issue (SUSE41010 - LTC8781)
* Tue Jun 01 2004 okir@suse.de
- Added workaround for pcnet skb_over_panic when the card reports
  weird frame sizes (SUSE42438 - LTC9029)
* Tue Jun 01 2004 okir@suse.de
- CIFS readdir should deal gracefully with inode & dentry
  allocation failures (SUSE41131)
* Tue Jun 01 2004 hare@suse.de
- add patches.suse/lkcd-netdump-discontig.patch
  Fix netdump for CONFIG_DISCONTIGMEM enabled (SUSE41399 - LTC9007)
* Tue Jun 01 2004 olh@suse.de
- add patches.arch/ibm-ppc64-prom-reloc
  missing RELOCs, add linux,phandle properties to device-tree
* Tue Jun 01 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  remove sysfs entry for vscsis
* Tue Jun 01 2004 kkeil@suse.de
- ppp-filter-fix: new version with correct filter headers for
  DLT_LINUX_SLL filter (see # SUSE34724)
* Mon May 31 2004 okir@suse.de
- Updated lustre-intent-fix-3 with latest from IBM (SUSE41025 - LTC8786)
* Mon May 31 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-dealloc_slot_struct.patch
  dealloc_slot_struct was called twice on error (SUSE41451 - LTC9011)
* Mon May 31 2004 mason@suse.de
- make -o barrier=none also disable blkdev_flush on fsync for
  reiserfs
* Mon May 31 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  Flush pending packets when remote partition goes down
  fix virtual ethernet hangs (SUSE39499 - LTC7908)
* Mon May 31 2004 mason@suse.de
- remove debugging printk from aio-debug add comments now that
  the bug is understood
* Mon May 31 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hash_table-fixes
  add patches.arch/ibm-ppc64-iseries-hash_table-fixes
  more hashtable locking fixes (SUSE39039 - LTC7625)
* Mon May 31 2004 olh@suse.de
- add patches.fixes/ppc64-rpa_vio.patch
  fix removal of virtual ethernet slots  (SUSE41442 - LTC9031)
* Mon May 31 2004 olh@suse.de
- add patches.suse/kdb-gfp (SUSE40759)
  Use the correct GFP flags when kdb is running in interrupt context
* Sun May 30 2004 schwab@suse.de
- Fix fpu register leak [SUSE41411].
* Sat May 29 2004 okir@suse.de
- Fixed lustre revalidate_special to not return dentries with
  d_inode == NULL (SUSE41025 - LTC8786)
* Sat May 29 2004 olh@suse.de
- add patches.fixes/radeonfb_new-ibook
  support for the latest iBook models
  fix initialisation problem on some IGP chipsets
* Sat May 29 2004 olh@suse.de
- add patches.fixes/ppc32.serial.zilog.channel_b
  fix rx on channel b
* Sat May 29 2004 ak@suse.de
- add more adaptec support to i2o driver
- ignore unwriteable sysenter registers on x86-64
* Fri May 28 2004 agruen@suse.de
- SUSE41259: Fix handling of mmap vs. dmapi regions on jfs.
- Rename `supported' command line option to `unsupported'. Allow
  the values 0 = no, 1 = with warnings, and 2 = without warnings,
  identical to /proc/sys/kernel/unsupported. A value of 2 still
  taints the kernel if unsupported modules are loaded. Make
  self-compiled kernels default to 2.
- Instead of the build time, put cvs timestamp in `uname -v'.
- Don't cause unresolved symbols to abort the build.
* Fri May 28 2004 ak@suse.de
- fix i386 kdb for regparms (SUSE40952)
* Fri May 28 2004 ak@suse.de
- fix ugly warning in cciss change
* Fri May 28 2004 ak@suse.de
- prefer panic to deadlock on MCE on x86-64 (SUSE41070)
* Fri May 28 2004 mantel@suse.de
- enable CONFIG_BLK_DEV_TRM290 and CONFIG_BLK_DEV_OPTI621 (SUSE38814)
* Fri May 28 2004 ak@suse.de
- ignore holes in mlock to work around ld.so issue (SUSE41356)
* Fri May 28 2004 ak@suse.de
- fix and reenable tcp-proc-listen patch (SUSE40888)
* Fri May 28 2004 mason@suse.de
- fix DIRECT_IO hole filling bug (SUSE41325)
* Fri May 28 2004 mantel@suse.de
- fix 32/64 bit problem in cciss driver for configuration utility
  (SUSE41377)
* Fri May 28 2004 ak@suse.de
- fix 32bit select on x86-64 (partial SUSE41260)
* Fri May 28 2004 mantel@suse.de
- family field of struct sockaddr should contain AF_XXX values,
  not IPPROTO_XXX (SUSE41348)
* Fri May 28 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-modinfo
  provide driver version via modinfo (SUSE41326 - LTC8966)
* Fri May 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  improve locking
* Fri May 28 2004 agruen@suse.de
- patches.fixes/anon-d_hash: Set d_bucket correctly for anonymous
  dentries.
* Fri May 28 2004 ihno@suse.de
- adding fix from IBM for s390-iucv-Interface (SUSE41252)
* Fri May 28 2004 mason@suse.de
- aio debugging patch
* Thu May 27 2004 ak@suse.de
- add missing GSI code for es7000 (SUSE41319)
* Thu May 27 2004 agruen@suse.de
- patches.fixes/xfs-overflow: Fix 64-bit overflow.
- Make failures in external modules non-fatal.
- Make unlisted modules non-fatal.
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-off.patch
  handle numa=off (SUSE41334 - LTC8921)
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  add MODULE_VERSION (SUSE41332 - LTC8969)
* Thu May 27 2004 ak@suse.de
- Fix another bug in x86_64 find_first_bit()
- Reenable x86_64-early-console that got disabled by mistake
* Thu May 27 2004 ak@suse.de
- Disable /proc/net/*listen for now
* Thu May 27 2004 ak@suse.de
- readd broken hack to lustre-intent to make the module
  compile again.
* Thu May 27 2004 ak@suse.de
- Make x86-64 compile for uniprocessor again
* Thu May 27 2004 garloff@suse.de
- Mark bcm4400 as unsupported (bad code, b44 being much better).
* Thu May 27 2004 ak@suse.de
- add missing memory clobber in x86-64 find_first_bit
* Thu May 27 2004 ak@suse.de
- Update ACPI to 2.6.7-bk state
  es7000 temporarily broken
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  make sure properties are not changed while target is active
* Thu May 27 2004 mantel@suse.de
- fix incorrect error handling in sysfs_rename_dir (SUSE40072)
* Thu May 27 2004 ak@suse.de
- disable tcp-proc-walk temporarily
* Thu May 27 2004 ak@suse.de
- disable pageattr-nx fix, replace with subtly wrong hack (SUSE41184)
- fix early console on x86-64
- remove bogus code in lustre patch
* Thu May 27 2004 mantel@suse.de
- lkcd: fix compilation on IPF with 64k page size (SUSE41265)
* Thu May 27 2004 agruen@suse.de
- Add /usr/src/linux/Makefile.suse for external module testing.
* Thu May 27 2004 axboe@suse.de
- Fix deadlock in flush_workqueue() for singlethreaded work queues (SUSE41244)
* Thu May 27 2004 okir@suse.de
- Fix kernel statd server to actually accept SM_NOTIFY calls
- Fix minor oops in net/sched_tbf (from mainline)
* Thu May 27 2004 olh@suse.de
- reenable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  add patches.fixes/dm-remove-all
  use dm ioctl wrappers from mainline (SUSE40454 - LTC8344)
* Thu May 27 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b13
* Thu May 27 2004 okir@suse.de
- Updated nfsd-encode-dirent3 to fix nfsd memory corruption when
  handling readdirplus calls from non-Linux clients (LTC8781 - SUSE41010)
* Thu May 27 2004 olh@suse.de
- add patches.fixes/ppc32-boot-chrp-ldscript.patch
  do not include ld.script in boot header
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  add sysfs support for vscsi server
* Thu May 27 2004 olh@suse.de
- add patches.arch/suse-ppc64-as-option
  pass -a64 instead of -64 to as
* Thu May 27 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp-multifunction-devices
  handle multi-fuction devices correctly (SUSE40901 - LTC8702)
* Thu May 27 2004 agruen@suse.de
- LTC8470 / SUSE40615: Fix the fix.
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-IOMAP_MAX_ORDER
  bump IOMMU_MAX_ORDER (SUSE41133 - LTC8862)
* Thu May 27 2004 mantel@suse.de
- allow probe to be inserted into already loaded module (SUSE41281)
* Thu May 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix implementation of the SRP protocol (SUSE40997 - LTC8745)
* Thu May 27 2004 mantel@suse.de
- don't make rcfs unusable when class directory under taskclass
  gets removed (SUSE41242)
* Thu May 27 2004 okir@suse.de
- merged pcnet-promisc-switchover patch (Don Fry)
* Thu May 27 2004 olh@suse.de
- add patches.drivers/ipr_ioa_reset_timeout_oops2.patch
  add patches.drivers/ipr_driver_version_2_0_9.patch
  fix oops when ipr adapter times out coming operational
  (SUSE41282 - LTC8950)
* Thu May 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  add patches.arch/ibm-ppc64-panic_on_oops.patch
  trigger a panic after an EEH error (SUSE41277 - LTC8773)
* Thu May 27 2004 okir@suse.de
- Updated to cifs 1.16 to fix the prepare write bug (SUSE41131)
* Thu May 27 2004 mantel@suse.de
- fix write failure on virtual DVDRAM (PPC) (SUSE41245)
* Thu May 27 2004 agruen@suse.de
- LTC8470 / SUSE40615: Fix teardown of partially initialised xfs
  buffers.
* Thu May 27 2004 okir@suse.de
- fix typo in previous pcnet fix
* Thu May 27 2004 okir@suse.de
- Merged patch for JFS hang on get_metapage (LTC8905 - SUSE41253)
- Fixed pcnet32 diagnostics patch (LTC8726 - SUSE40951)
* Thu May 27 2004 ak@suse.de
- force pci=noacpi for IBM HS20 and asus pr-dls (SUSE38178)
- fix b44 resume when interface is down
* Thu May 27 2004 agruen@suse.de
- patches.suse/jfs-dmapi-fix: Back out broken 32-bit compatibility
  code.
* Thu May 27 2004 garloff@suse.de
- tulip-napi-remove-hang: Better fix. (okir, SUSE39668)
* Wed May 26 2004 mason@suse.de
- ckrm permission fix (bug SUSE41270)
* Wed May 26 2004 mason@suse.de
- lkcd doesn't compile with 64k page size on ia64
* Wed May 26 2004 ak@suse.de
- Fix noapic, lapic, nolapic options (SUSE41236)
* Wed May 26 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10f
  fix snprintf bug in lpfc_proc_info
* Wed May 26 2004 ak@suse.de
- fix siblings issue on vmware
* Wed May 26 2004 mason@suse.de
- ckrm fix (bug SUSE41243) fix rcfs checking of values from userland
* Wed May 26 2004 mason@suse.de
- fix some compiler warnings in the rbce module
* Wed May 26 2004 mason@suse.de
- add ckrm rbce module (bug SUSE40398)
* Wed May 26 2004 agruen@suse.de
- SUSE41048: jfs dmapi fix for 64-bit kernel with 32-bit userspace.
* Wed May 26 2004 okir@suse.de
- merged two patches from mainline:
  1.1717.17.1 04/05/20 18:20:15 yoshfuji@linux-ipv6.org +1 -0
  [IPV6] handle return value from ip6_push_pending_frames().
  1.1726.1.17 04/05/21 13:20:48 akpm@osdl.org[torvalds] +1 -0
  Fix NFSD oops in readdir
* Wed May 26 2004 mason@suse.de
- export smp_send_stop on ia64 for lkcd
* Wed May 26 2004 mason@suse.de
- remove bogus vs-8115 warning from reiserfs
* Wed May 26 2004 mason@suse.de
- fix bug SUSE40642, reiserfs_commit_for_inode return values was
  causing problems for O_DIRECT and directory fsyncs
* Wed May 26 2004 mason@suse.de
- add lkcd-ia64-kerntypes-compile to use
  -fno-eliminate-unused-debug-types on for ia64 kerntypes file
* Wed May 26 2004 hare@suse.de
- add patches.arch/s390-03-{29|30}-april2004.diff
  Fix kernel oops on unloading DASD modules.
* Wed May 26 2004 mantel@suse.de
- add support for E7501 and CNB20LE/CNB30LE to ecc driver (SUSE41220)
* Wed May 26 2004 ak@suse.de
- add /proc/net/tcp_listen, tcp6_listen to make slpd scale better
  (SUSE40888)
* Wed May 26 2004 garloff@suse.de
- lustre-intent-fix-2: Fix intent initialization and interaction
  with fshooks.
* Wed May 26 2004 olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  In _raw_spin_lock_flags we were branching to the wrong spot and
  would restore random stuff to the MSR.
  (function is unused in our tree, fix it anyway)
* Wed May 26 2004 ak@suse.de
- print backtrace on bad vfrees
* Wed May 26 2004 axboe@suse.de
- don't allow non-fs requests to ide-disk, currently only the taskfile
  io path was checked (SUSE40704)
* Wed May 26 2004 ak@suse.de
- dump all registers on x86-64 in lkcd (part of SUSE39442)
* Wed May 26 2004 ak@suse.de
- enable IO-APIC in default kernel on IBM x445 (SUSE34649)
* Wed May 26 2004 ak@suse.de
- optimize proc tcp socket list walking slightly (SUSE40888)
* Wed May 26 2004 olh@suse.de
- add patches.fixes/blockdev-readahead-fix
  We need to set file->f_ra _after_ calling blkdev_open(), when
  inode->i_mapping points at the right thing.
  And we need to get it from inode->i_mapping->host->i_mapping too,
  which represents the underlying device.
* Wed May 26 2004 mantel@suse.de
- update b44 driver to version 0.94 (SUSE41149)
* Wed May 26 2004 okir@suse.de
- Added pcnet diagnostics patch (LTC8726 - SUSE40915)
* Wed May 26 2004 garloff@suse.de
- Enable tng_forkfnc/exitfnc.
* Wed May 26 2004 okir@suse.de
- added patch from John Stultz to fix vgettiomeofday on i386 (LTC8395-SUSE40504)
- s/tg3-autonet/tg3-autoneg/ in series.conf to fix previous commit
* Wed May 26 2004 ak@suse.de
- enable hardware flow control in tg3 driver
* Tue May 25 2004 mason@suse.de
- update ia64 .config for lkcd
* Tue May 25 2004 mason@suse.de
- add lkcd for ipf again
* Tue May 25 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  remove mb again from e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Tue May 25 2004 mason@suse.de
- fix lkcd compile problem on x86_64
* Tue May 25 2004 mason@suse.de
- potential fix for SUSE40701 (BUG in aio) and some O_SYNC related
  reiserfs fixes
* Tue May 25 2004 andrea@suse.de
- fix the other smp race condition in do_stop() SUSE40082
* Tue May 25 2004 agruen@suse.de
- SUSE41146: jfs acls broken.
* Tue May 25 2004 kraxel@suse.de
- fix ieee1394 nodemgr locking (SUSE40177).
* Tue May 25 2004 ak@suse.de
- fix typo in previous lkcd patch
* Tue May 25 2004 mantel@suse.de
- work around parser problem for kernel-docs
* Tue May 25 2004 ak@suse.de
- clean up x86-64 lkcd changes and make them compile without CONFIG_DUMP
- minor lkcd fixes
* Tue May 25 2004 olh@suse.de
- add patches.suse/lkcd_cpu_hotplug_fix.patch
  use num_possible_cpus() when looking for cpus (SUSE41135 - LTC8863)
* Tue May 25 2004 olh@suse.de
- update patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  write 1 to /sys/bus/vio/drivers/viodasd/probe instead of reading
  from it (SUSE40528 - LTC8159)
* Tue May 25 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fix-real_virtual-irq-mapping.patch
  fix virtual to real irq mapping
* Tue May 25 2004 olh@suse.de
- add patches.arch/ibm-ppc64-siginfo-copy
  ppc64: siginfo conversion fix for 32 -> 64bit
* Tue May 25 2004 hare@suse.de
- S/390: Update to IBM codedrop 25-05-2004
* Tue May 25 2004 olh@suse.de
- add patches.drivers/ipr_duplicate_ioa_reset_fix.patch
  fix timeout after duplicate reset commands (SUSE41050 - LTC8814)
  add patches.drivers/ipr_scsi_busy_io_hang.patch
  fix hang in io on unexpected scsi status (SUSE41049 - LTC8678)
  add patches.drivers/ipr_driver_version_2_0_8.patch
  bump version number
* Tue May 25 2004 agruen@suse.de
- patches.fixes/udf-cvsfix: Fix reading udf filesystems created
  with recent Win* tools.
* Tue May 25 2004 olh@suse.de
- remove patches.fixes/proc_bus_usb_bielefeld
  binary only apps like vmware cant be fixed to not read
  from /proc/bus/usb/devices (SUSE41036)
* Tue May 25 2004 olh@suse.de
- reenable patches.arch/ibm-ppc64-memcpy_tofromio.diff
  increment the loop counter (SUSE40978 - LTC8701)
* Tue May 25 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-longbusy
  check for busy state (SUSE41039 - LTC8798)
* Tue May 25 2004 olh@suse.de
- enable CONFIG_IXGB and CONFIG_S2IO on pseries64,
  enable NAPI for both drivers (SUSE41112 - LTC8851)
* Tue May 25 2004 okir@suse.de
- Fix lustre patch to work with updated cifs patch
* Tue May 25 2004 hare@suse.de
- Fix cifs merge to patch again.
* Tue May 25 2004 axboe@suse.de
- ide_pin_hwgroup() should check ->doing_barrier as well
* Tue May 25 2004 hare@suse.de
- really fix arch-atomic_inc_and_test for S/390 (SUSE41096).
* Tue May 25 2004 okir@suse.de
- Merge CIFS 1.15e to address problems in build_path_from_dentry (SUSE40973)
* Tue May 25 2004 olh@suse.de
- add patches.fixes/e1000_discriptor.patch
  allow setting Tx or Rx Descriptors above 3272 (SUSE41116 - LTC8857)
* Tue May 25 2004 olh@suse.de
- enable CONFIG_IBMOL on pseries (SUSE41099 - LTC8836)
* Tue May 25 2004 okir@suse.de
- pcnet32 driver on 79c973 reported all outgoing packets as
  TX errors; patch from Don Fry (LTC8689 - SUSE40886)
* Tue May 25 2004 hare@suse.de
- add patches.suse/ltt-hooks-remove-non-i386-7.39.patch
  Remove LTT on non-i386 architectures.
- fix xfs-mem-retry to build again.
* Tue May 25 2004 mantel@suse.de
- clean up megaraid driver (use own subdir for new driver)
* Tue May 25 2004 garloff@suse.de
- tulip-napi-remove-hang: Fix issue with removed tulip pcmcia card
  when NAPI is enabled (SUSE39668, cadaha).
* Tue May 25 2004 ak@suse.de
- retry failed allocations in XFS (SUSE39962)
- fix bug in NUMA API with huge nodemasks
* Tue May 25 2004 agruen@suse.de
- Add EXPORT_SYMBOL(laptop_mode).
- jfs updates/fixes: jfs-__get_metapage-size, jfs-d_instantiate-fix,
  jfs-error-recovery, jfs-invalidate-metadata-race, jfs-memleak,
  jfs-reduce-stack-usage, jfs-rmmod-fix.
* Tue May 25 2004 olh@suse.de
- update patches.fixes/e1000-mb.patch
  need also mb in e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Mon May 24 2004 agruen@suse.de
- xfs updates/fixes:
  + xfs-laptop-mode-patch: final laptop mode patch; rest already
  in kernel.
  + xfs-remove-some-dead-code: xfs_swappable code not used.
  + xfs-fix-some-warnings
  + xfs-jiffies-to-centisecs: Export/import tunable time
  intervals as centisecs not jiffies.
  + xfs-forced-shutdown-fix: Fix a use-after-free during
  transaction commit when the log is in error state.
  + xfs-use-set_current_state: Use set_current_state instead of
  direct current->state assignment, it has added memory barrier
  goodness.
* Mon May 24 2004 agruen@suse.de
- SUSE41054: Require irqbalance package for kernel-smp on x86_64.
* Mon May 24 2004 axboe@suse.de
- cfq rq allocation race fix
* Mon May 24 2004 hare@suse.de
- fix patches.arch/s390-mapped-base.patch
  to properly handle 31-bit emulation prgs (SUSE40895).
* Mon May 24 2004 axboe@suse.de
- cfq should check cfqd->xxx instead of the global defaults
* Mon May 24 2004 okir@suse.de
- Merged several pcnet32 fixes from Don Fry (LTC8703 - SUSE41034)
* Mon May 24 2004 mantel@suse.de
- DM fixes:
  o fix mpathd log writing loop (SUSE40787)
  o fix potential memory leak in an I/O mapping error-path
  o make kcopyd daemon single-threaded
* Mon May 24 2004 ak@suse.de
- add acpi=oldboot alias for acpi=ht for compatibility
* Mon May 24 2004 mantel@suse.de
- re-add cleaned up version of ES7000 support
* Mon May 24 2004 okir@suse.de
- fix setsockopt/getsockopt 32bit emulation for IPV6_ONLY and
  a few other ioctls (LTC7563/SUSE38941)
* Mon May 24 2004 kraxel@suse.de
- framebuffer palette handling fix (SUSE38364).
* Mon May 24 2004 okir@suse.de
- Fixed typo in previous patch
* Mon May 24 2004 okir@suse.de
- Fix for IPv6 tunnel PMTU problem (SUSE41017)
* Mon May 24 2004 schwab@suse.de
- Set platform specific PROM flag on sn2 [SUSE40927].
* Mon May 24 2004 hare@suse.de
- S/390: Update to official IBM codedrop 18-05-2004
- S/390: Split IBM codedrop 27-04-2004 in individual patches
  for better maintenance.
* Mon May 24 2004 hare@suse.de
- add patches.suse/lkcd-x86_64-netdump.patch
  Fix netdump on x86_64 (SUSE40608)
* Mon May 24 2004 andrea@suse.de
- fix for ia64 arch-atomic_inc_and_test needed by the
  page-freeing-race-fix.
* Sun May 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix2.patch
  update for power4 (SUSE40468 - LTC8498)
* Sun May 23 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  init iseries_vscsi_dev.iommu_table (SUSE40818 - LTC8642)
* Sun May 23 2004 olh@suse.de
- add patches.drivers/ipr-gcc-attribute-fixes-1.patch
  split packed ipr structs
  add patches.drivers/ipr_delete_anon_unions-4.patch
  make gcc 2.95 happy
  add patches.drivers/ipr_eh_elog_fixes-2.patch
  more logging in abort, device reset, and bus reset paths
  add patches.drivers/ipr_ioa_reset_timeout_oops-3.patch
  fix oops on bad hardware (SUSE40207 - LTC8316)
  add patches.drivers/ipr_driver_version_2-0-7-5.patch
  bump driver version
* Sun May 23 2004 olh@suse.de
- add patches.fixes/initramfs-uncompress.patch
  handle 512 byte aligned gzip headers
* Sun May 23 2004 axboe@suse.de
- fix ide barrier plugging race (SUSE41028)
* Sun May 23 2004 agruen@suse.de
- SUSE41015: Deadlock on path reiserfs_setxattr => xah->set =>
  user_set => reiserfs_permission_locked => _reiserfs_permission:
  reiserfs_setxattr does down_write(xattr_sem);
  _reiserfs_permission then does down_read(xattr_sem).
* Sun May 23 2004 garloff@suse.de
- Disable page-freeing-race-fix.patch on ia64.
* Sun May 23 2004 axboe@suse.de
- Fix barrier clearing in ext3, and fix several bugs in barrier-ide
  in error handling.
* Sun May 23 2004 agruen@suse.de
- Preserve timestamps of km_* files when copying them from
  /usr/src/kernel-modules to %%_builddir.
* Sat May 22 2004 schwab@suse.de
- Fix cosmetical bug in quiet_cmd_modules_install_extra.
* Sat May 22 2004 garloff@suse.de
- small-filp: Reduce size of struct file from 264 to 256 on 64bit.
* Sat May 22 2004 garloff@suse.de
- lustre-intent-fix: streamline locking and export symbol.
* Sat May 22 2004 garloff@suse.de
- steal-locks: Only migrate locks to current if we have the resp.
  file descriptors (agruen, SUSE40400).
* Fri May 21 2004 ak@suse.de
- Fix x86-64 export for smp_stop_*
- Backport fixed 32bit select from 2.6.7 for x86-64
- Make it compile without CONFIG_CKRM
- Add some missing numa API documentation
* Fri May 21 2004 agruen@suse.de
- Fix a reference to page->count on s390.
* Fri May 21 2004 mantel@suse.de
- SLES9 Beta6 (CVS tag SLES9_BETA6)
* Fri May 21 2004 axboe@suse.de
- Make CFQ the default IO scheduler
* Fri May 21 2004 olh@suse.de
- disable broken patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 mantel@suse.de
- remove bogus WARNING from futex (SUSE40837)
* Fri May 21 2004 mason@suse.de
- export __log_start_commit for ext3
* Fri May 21 2004 mantel@suse.de
- update acenic driver to make it work; verified by IBM (SUSE40983)
* Fri May 21 2004 mason@suse.de
- fix a reiserfs bug when filesystem block size is less then the
  page size
* Fri May 21 2004 garloff@suse.de
- security-disabled-optimize-cap-default: Put a correctly predicted
  branch in the inlined LSM hooks rather than doing the indirect
  calls. The default is capability now, the module does not need
  to be compiled-in nor loaded (SUSE39439).
* Fri May 21 2004 olh@suse.de
- add patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 mason@suse.de
- bug SUSE40197, make ext3 retry failed allocations
* Fri May 21 2004 okir@suse.de
- patch from IPSec Oops when deleting an ip address to prevent
  IPSec Oops when deleting an ip address (via netdev)
* Fri May 21 2004 ak@suse.de
- Remove ES7000 patches for now since they break too many
  other machines (SUSE40944)
* Fri May 21 2004 mantel@suse.de
- CKRM: add missing root checks (SUSE40106)
* Fri May 21 2004 schwab@suse.de
- Enable oprofile [SUSE40939].
* Fri May 21 2004 schwab@suse.de
- Unwinding fixes [SUSE40928].
* Fri May 21 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  add patches.fixes/show_stat-for_each_online_cpu.patch
  report sibling cpus properly in /proc/stat (SUSE38886 - LTC7522)
* Fri May 21 2004 okir@suse.de
- Prevent buffer overflows if buggy/hostile NFS server returns
  giant symlinks
* Fri May 21 2004 ak@suse.de
- disable another annoying printk in ipv6
* Fri May 21 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  probe new disks by reading /sys/bus/vio/drivers/viodasd/probe
  (SUSE40528 - LTC8159)
* Fri May 21 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  ibmvscsi_remove doesnt take null pointers (SUSE40818 - LTC8642)
* Fri May 21 2004 ak@suse.de
- add fix for via rhine negotation problems with forced link
* Fri May 21 2004 okir@suse.de
- prevent race condition in procfs access to task->group_info (SUSE38009 - LTC7259)
* Fri May 21 2004 olh@suse.de
- add patches.suse/lkcd_remove_ioctl32reg_ppc64.patch
  LKCD ppc64 tries ioctl32 registration twice (SUSE40543 - LTC8552)
* Fri May 21 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-pci_dev_get.patch
  fix unbalanced pci_dev_get()/put() calls (SUSE40899 - LTC8698)
* Fri May 21 2004 garloff@suse.de
- qla-nvram-settings: Patch from A Vasquez to fixup an invalid
  NVRAM setting in qla2xxx. (SUSE40092)
* Fri May 21 2004 okir@suse.de
- Prevent deadlock in IPIP tunnel (error path)
* Fri May 21 2004 axboe@suse.de
- don't leave ->waiting pointer left pointing to old stack
* Fri May 21 2004 okir@suse.de
- Fix handling of IPv6 mapped IPv4 addresses (SUSE40894)
* Fri May 21 2004 andrea@suse.de
- SUSE38478: fix ramfs 2G limit
* Fri May 21 2004 agruen@suse.de
- SUSE40950: Add files to kernel-source.spec so that binary kernels
  can be built directly from kernel-source.spec.
* Fri May 21 2004 andrea@suse.de
- fix VM double freeing longstanding race condition, patches
  from -mm, bug SUSE38424
* Fri May 21 2004 mason@suse.de
- bug SUSE40450 and SUSE40581, data miscompares on reiser
- catch some missed reiserfs io error handling cases (jeffm)
- enable reiserfs write barriers by default
* Fri May 21 2004 mason@suse.de
- fix problem between reiserfsck --rebuild-tree and the
  new reiserfs block allocator
* Thu May 20 2004 mason@suse.de
- bug SUSE40937, SUSE40929, SUSE40396 ckrm fixes
* Thu May 20 2004 mason@suse.de
- bugzilla dump
- bug SUSE40391, SUSE40660, SUSE40659, SUSE40653 - ckrm fixes
- bug SUSE40755 lkcd fix for ppc64
- bug SUSE40893 apply limits to jfs mount options
* Thu May 20 2004 ak@suse.de
- Fix CPU online check in msr and cpuid drivers
* Thu May 20 2004 ak@suse.de
- Remove 99 char limit on cpumask (SUSE40820)
* Thu May 20 2004 garloff@suse.de
- scsi-early-set-max-dev-blocked: Avoid possible recursion by
  initializing max_device_blocked early enough.
- st-ioctl-idlun-support: st would not answer SCSI_IOCTL_GET_IDLUN
  correctly without this.
* Thu May 20 2004 olh@suse.de
- enable patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  and patches.arch/ibm-ppc64-hotcpu_numa.patch
  add patches.arch/ibm-ppc64-numa-find_min_common_depth.patch
  DLPAR and NUMA married. (SUSE40430 - LTC8104)
* Thu May 20 2004 schwab@suse.de
- A better fix for the rt_sigprocmask fast syscall [SUSE30297].
* Thu May 20 2004 olh@suse.de
- add patches.fixes/ext2-init-goal
  [PATCH] use-before-uninitialized value in ext3(2)_find_ goal
* Thu May 20 2004 ak@suse.de
- Update clone-balance patch to newer version from mainline for
  better performance.
- Disable clone balancing on ia64 since it doesn't scale well to
  huge machines.
- Rediff LaUS-kernel patch.
* Thu May 20 2004 olh@suse.de
- add patches.fixes/sunrpc-svc_recv-init-len
  svc_recv may call svc_sock_release before rqstp->rq_res is
  initialized.
* Thu May 20 2004 olh@suse.de
- add patches.fixes/ppc32-save-all-regs
  Get full register set on bad kernel accesses
* Thu May 20 2004 olh@suse.de
- add patches.arch/ibm-ppc64-set_pte-race
  close a race windows when set_pte is called on a present PTE
  (SUSE39039 - LTC7625)
* Thu May 20 2004 olh@suse.de
- add patches.arch/ibm-ppc64-systemcfg
  add POWER5 value to systemcfg.h (SUSE40870 - LTC8666)
* Thu May 20 2004 olh@suse.de
- add patches.arch/suse-ppc64-autoconsole.patch
  try to autodetect serial console on Xserve
* Thu May 20 2004 olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  Fix inline version of _raw_spin_trylock
* Thu May 20 2004 garloff@suse.de
- selinux-opt-selinux0: Don't do the indirect security_opt calls
  if selinux is not enabled to avoid perf penalty. (SUSE39439)
* Wed May 19 2004 olh@suse.de
- enable zilog console for pmac64
* Wed May 19 2004 olh@suse.de
- add patches.drivers/qla-check-pci_map_sg-2.patch
  check for pci_map_sg failure (SUSE40677 - LTC8321)
* Wed May 19 2004 olh@suse.de
- add patches.fixes/jfs-GFP_NOFS-2.patch
  Set bdev's gfp_mask to GFP_NOFS when mounting rw (SUSE40654 - LTC8590)
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-slot_errbuf_lock.patch
  slot-error-detail buffer needs a lock (SUSE40823 - LTC8661)
* Wed May 19 2004 okir@suse.de
- Made vgettimeofday controllable by boot param; default to off
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas_slot_error_detail.patch
  log slot-error-detail properly (SUSE40824 - LTC8656)
* Wed May 19 2004 schwab@suse.de
- Convert /proc/perfmon to seqfile API [SUSE40819].
* Wed May 19 2004 garloff@suse.de
- lustre-intent: Integrate the intent stuff LUSTRE needs for
  integration into the kernel.
* Wed May 19 2004 ak@suse.de
- Fix 64bit sendfile on s390x too
* Wed May 19 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  missing spin_unlock in error path
* Wed May 19 2004 ak@suse.de
- Fix sendfile for files >2GB on 64bit architectures
- Fix >2GB sendfile on XFS
* Wed May 19 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  fix TX errors in iseries_veth, another logic bug
* Wed May 19 2004 olh@suse.de
- add patches.suse/kdb-ppc64-udbg_write
  write to OF stdout instead of console
* Wed May 19 2004 olh@suse.de
- add patches.arch/ibm-ppc64-readq_writeq
  fix readq/writeq
* Wed May 19 2004 olh@suse.de
- add patches.fixes/ppc64-PT_FPSCR
  Fix incorrect PT_FPSCR definition
* Wed May 19 2004 olh@suse.de
- add patches.fixes/ppc.970-cpuinit
  Cleanup PPC970 CPU initialization
  add patches.fixes/ppc32-altivec-exception-handling
  Handle altivec assist exception properly
  add patches.fixes/ppc32-altivec-trap
  Fix thinko in the altivec exception code
* Wed May 19 2004 olh@suse.de
- add patches.fixes/video-radeon-lvds-typo
  Fix typo nonsense test in radeon PMAC backlight code.
* Wed May 19 2004 olh@suse.de
- add patches.suse/ibm-ppc64-970fx-smp-init
  Add proper  SMP init on dual 970FX based machines
* Wed May 19 2004 olh@suse.de
- add patches.fixes/usb-keep-bound-interfaces
  dont oops in usb_ifnum_to_if
  add patches.fixes/usb-serial-keyspan-upr112
  add patches.fixes/usb-storage-ibm-memkey
  add patches.fixes/usb-storage-kyocery-finecam
  add patches.fixes/usb-storage-sony-clie
  add patches.fixes/usb-storage-sony-handycam
  new firmware for keyspan device, new unusual dev entries
* Wed May 19 2004 axboe@suse.de
- Patchlet to expose backing device read-ahead setting through sysfs
* Wed May 19 2004 okir@suse.de
- mmapped pages on NFS would never be discarded (SUSE39480)
* Wed May 19 2004 okir@suse.de
- Updated CIFS to cifs-1.15-suse provided by Steve French (SUSE40736)
- Make CIFS sockets use sk_allocation = NOFS to prevent deadlock (SUSE40736 too)
* Wed May 19 2004 andrea@suse.de
- Fix smp race in set_page_dirty (SUSE39268)
* Wed May 19 2004 garloff@suse.de
- scsi-bflags-266: Add BLIST_MS_192_BYTES_FOR_3F from 2.6.6 to
  avoid conflicting blacklist constants.
* Tue May 18 2004 olh@suse.de
- update patches.fixes/jfs-commit_threads
  more updates for the fix (SUSE40540 - LTC8497)
* Tue May 18 2004 agruen@suse.de
- Fix use of floating-point in lirc-parallel.ko.
* Tue May 18 2004 ak@suse.de
- Fix empty node 0 on x86-64 (SUSE39708)
* Tue May 18 2004 agruen@suse.de
- Export swapper_space and delete_from_swap_cache symbols; the
  former is used by ocfs2.
* Tue May 18 2004 agruen@suse.de
- patches.fixes/jfs-config-fix: Fix for CONFIG_JFS_POSIX_ACL=n.
* Tue May 18 2004 ak@suse.de
- Another try at fixing the x86-64 timer bug (SUSE40751)
* Tue May 18 2004 garloff@suse.de
- sched-double-lock-contention: less locking in balancing (sched).
* Tue May 18 2004 olh@suse.de
- add patches.drivers/scsi_debug.patch
  update driver to 1.73
* Tue May 18 2004 garloff@suse.de
- Merge PCIe and Standard PCI hotplug updates from 2.6.6 (SUSE34641).
* Tue May 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hash-page-ri.patch
  dont clear MSR.RI in exit path of do_hash_page_DSI. (SUSE40637 - LTC8576)
* Tue May 18 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  Changes to hvcs to fix several concerns including documentation,
  interrupt handling, and code formatting.
* Tue May 18 2004 olh@suse.de
- add patches.fixes/sg_cmd_done_oops_again.patch
  fix races in sg ioctl handling (SUSE40394 - LTC8371)
* Tue May 18 2004 olh@suse.de
- add patches.suse/kdb-ppc64-bt-tail-recursion
  handle tail-recursive routines in kdb bt (SUSE39989 - LTC8037)
* Tue May 18 2004 okir@suse.de
- allow 8 instead of 5 levels of indirection via symlinks (SUSE40720)
- changed smbfs follow_link function to use kmalloc instead of
  putting a 256 byte buf on the stack
* Tue May 18 2004 okir@suse.de
- Updated sunrpc-bogus-export-entry to official fix from
  Neil Brown; disabled sunrpc-null-noauth which is obsoleted by this.
* Tue May 18 2004 ak@suse.de
- Disable es7000+x86-64 fixes because they still seem to have
  problems
* Tue May 18 2004 okir@suse.de
- Merged several CIFS fixes from Steve French:
   - out of memory deadlock (SUSE40736, SUSE40735)
   - deadlock in readdir
   - truncated readdir() results in some cases
* Tue May 18 2004 mantel@suse.de
- fix oops in hiddev.c
* Tue May 18 2004 okir@suse.de
- Cleaned up cifs-update patch, removed garbage file cifs/file.c.temp.short.c
* Tue May 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iSeries-SRC.patch
  update SRC on boot (SUSE40756 - LTC8360)
* Tue May 18 2004 mantel@suse.de
- inrease blk_queue_max_sectors for cciss driver (SUSE40757)
* Tue May 18 2004 ak@suse.de
- Backport SIS 746,648 AGP fixes from mainline
* Tue May 18 2004 ak@suse.de
- Fix VIA, SIS, Nvidia, AMD K7 AGP drivers to only announce their
  supported PCI IDs (SUSE40622)
- Add missing SIS755 ID to amd64 AGP driver
* Tue May 18 2004 ak@suse.de
- Fix timer interrupt on x86-64 (SUSE40751)
* Tue May 18 2004 agruen@suse.de
- SUSE40682: Make arch/$ARCH/defconfig the default configuration for
  `make menuconfig' instead of /boot/config-`uname -r`.
* Mon May 17 2004 olh@suse.de
- add patches.suse/kdb-common-console_detection
  disable kdb if no console detected, rather than stop booting.
  (SUSE40737)
* Mon May 17 2004 okir@suse.de
- Fixed BUG() in nfs_clear_inode (SUSE40536)
* Mon May 17 2004 agruen@suse.de
- Add symbol versions of modules from km_* packages to
  /boot/symvers-%%ver_str.gz.
- Fix minor linkage bug in mobile ipv6.
* Mon May 17 2004 kraxel@suse.de
- add patches.uml/uml-general-protection-fault: fix uml general
  protection fault handling (SUSE35761).
* Mon May 17 2004 garloff@suse.de
- exec-sig-tty-timer-init: When we alloc a new signal struct by
  calling exec from a a thread, posix_timers and tty were not
  properly initialized. (SUSE40407, LTC8378, ssant@in.ibm.com)
* Mon May 17 2004 hare@suse.de
- Disable LTT for S/390. Totally broken.
* Mon May 17 2004 olh@suse.de
- add patches.arch/intel-soft-float, finally!
* Mon May 17 2004 ak@suse.de
- Fix AGP/NX allocation bug on x86-64 (SUSE40703)
* Mon May 17 2004 olh@suse.de
- add patches.fixes/e1000_memory_leak_fix.patch
  fix e1000 DMA mapping leak (SUSE40371 - LTC8427)
* Mon May 17 2004 agruen@suse.de
- kernel-binary.spec: Fix check for unresolved symbols.
* Sun May 16 2004 agruen@suse.de
- kernel-syms.spec: Don't fail when symver dump files are
  missing.
* Sun May 16 2004 agruen@suse.de
- SUSE40545: patches.fixes/xfs-endianness-fix: Fix XFS recovery on
  64-bit big-endian architectures.
- SUSE38009: patches.fixes/groups-alloc-0 did not fix the actual bug.
- SUSE40545: patches.fixes/jfs-commit_threads-fix: Get rid of
  floating point in jfs.
* Sat May 15 2004 schwab@suse.de
- Fix botched riva fbdev lvalue conversion.
* Sat May 15 2004 olh@suse.de
- disable patches.fixes/jfs-commit_threads, uses floats (SUSE40540)
* Sat May 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-fix-smt-oprofile
  set the run latch in the control register to make PMC6 count
  (SUSE40643 - LTC8582)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e1000-netdev_register.patch
  move debug printk (SUSE40181 - LTC8195)
* Sat May 15 2004 olh@suse.de
- add patches.suse/kdb-xmon-ppc64-shuffle-sysrq-keys
  Alt-SysRq-d for KDB overrides LKCD (SUSE40373 - LTC8431)
* Sat May 15 2004 olh@suse.de
- add patches.suse/kdb-ppc64-print-unknown-sym
  put some spaces between addr and opcode (SUSE40427 - LTC8364)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e100-mb.patch
  mb needed in e100_exec_cmd() (SUSE40387 - LTC8455)
* Sat May 15 2004 olh@suse.de
- add patches.fixes/compat-ioctl-HDIO_DRIVE_TASK.patch
  handle also HDIO_DRIVE_TASKFILE (SUSE40276 - LTC8380)
* Sat May 15 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-readonly-disks
  handle read-only viodasd disks (SUSE40380 - LTC8442)
* Sat May 15 2004 olh@suse.de
- update patches.fixes/e100-mb.patch
  rmb needed in e100_rx_indicate() (SUSE40376 - LTC8434)
* Fri May 14 2004 olh@suse.de
- update patches.arch/suse-ppc64-iseries-available_veth
  do not write outside the allocated buffer
* Fri May 14 2004 garloff@suse.de
- Fix minor merging error of sysctl_hugetlb_shm_group and
  disable-cap-mlock (from andrea).
* Fri May 14 2004 olh@suse.de
- disable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  as broken as patches.suse/dm-03-32bit-ioctl
* Fri May 14 2004 agruen@suse.de
- Add supported command line option to disallow loading of
  unsupported modules.
* Fri May 14 2004 olh@suse.de
- disable kdb per default on pseries64. use 'kdb=on' to activate it
* Fri May 14 2004 agruen@suse.de
- Fix file list in kernel-syms.spec.
* Fri May 14 2004 okir@suse.de
- fixed strip level in previous patch
* Fri May 14 2004 okir@suse.de
- groups_alloc(0) would not allocate enough memory (SUSE38009)
* Fri May 14 2004 schwab@suse.de
- Fix missing VM_RESERVED in ia32 emulation [SUSE40532].
* Fri May 14 2004 schwab@suse.de
- Fix error handling in fast version of rt_sigprocmask [SUSE30297].
* Fri May 14 2004 agruen@suse.de
- running-kernel init script: Allow the running kernel and kernel
  sources to have a different version/release.
* Fri May 14 2004 mantel@suse.de
- fix boot on ES7000 machines (SUSE40274)
* Fri May 14 2004 mantel@suse.de
- JFS: fix hang with multiple mkdir commands (SUSE40540)
* Fri May 14 2004 mantel@suse.de
- CKRM: Don't allow non-root users to move any process to any
  class (SUSE40106)
* Fri May 14 2004 agruen@suse.de
- Create missing directories in kernel-syms.spec.
* Fri May 14 2004 hare@suse.de
- Fix lkcd dump for DUMP_LEVEL=1 (SUSE39840).
* Fri May 14 2004 okir@suse.de
- CIFS: prevent oops in smb_init if kmalloc fails (SUSE40385)
* Fri May 14 2004 agruen@suse.de
- No loger abort the build when modules are not listed in
  supported.conf.
* Fri May 14 2004 ak@suse.de
- Add simple CMP support to x86-64
* Fri May 14 2004 hare@suse.de
- Update sysfs-backing-store to official version from
  2.6.6-mm2 (SUSE36248).
* Fri May 14 2004 mantel@suse.de
- update pci.ids file to latest version
* Fri May 14 2004 mantel@suse.de
- fix AMD64 iommu compatibility in aacraid driver
* Fri May 14 2004 olh@suse.de
- update patches.arch/ibm-ppc64-numa-topology
  make some variables unsigned int (SUSE40201 - LTC8309)
* Fri May 14 2004 agruen@suse.de
- Fold patches.suse/tainted-warning into
  patches.rpmify/supported-flag where the bug was introduced.
* Thu May 13 2004 mason@suse.de
- enable ltt and dprobes in the i386 debug kernel
- fix minor merging error between kdb and ltt/dprobes
- fix lkcd so that it cant reboot after a crash (SUSE40218)
- fix ltt so that it works with regparm (SUSE40392)
- fix relayfs to use a workqueue for file removal (SUSE40393)
- fix the kernel taint message to send the proper number of args
  to printk (patches.suse/tainted-warning)
* Thu May 13 2004 mantel@suse.de
- back put aic7xxx driver update: driver panics
* Thu May 13 2004 kkeil@suse.de
- fix typo in the PCMCIA driver name in avm_cs.c
* Thu May 13 2004 olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth
  show the configured veth interfaces in /proc/iSeries/config
  (SUSE40527)
* Thu May 13 2004 schwab@suse.de
- Don't strip at all when compiling with debug info.
* Thu May 13 2004 agruen@suse.de
- Update unsupported modules patch; add /proc/sys/kernel/unsupported
  switch to allow/disallow loading unsupported modules.
* Thu May 13 2004 olh@suse.de
- add patches.fixes/scsi_device-type-signed.patch
  char is signed, aic7xxx puts a -1 in it.
* Thu May 13 2004 schwab@suse.de
- Add debug configuration for ia64.
* Thu May 13 2004 olh@suse.de
- add patches.drivers/qla2xxx-wmb_additions-sles9.diff
  io barriers for qla driver (SUSE40173 - LTC8017)
* Thu May 13 2004 kraxel@suse.de
- fix uml network problem (SUSE39978).
* Thu May 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks-kconfig
  CONFIG_SPINLINE for slpar locks
* Thu May 13 2004 mantel@suse.de
- fix scalability problem with del_timer_sync() (SUSE40475)
* Thu May 13 2004 mason@suse.de
- patch ltt and dprobes in again after some review from s390
  maintainers.  These patches are still disabled in .config
* Thu May 13 2004 mantel@suse.de
- update aic7xxx to 6.3.6 and aic79xxx to 2.0.8 (SUSE40144)
* Thu May 13 2004 mason@suse.de
- fix a race during writeback_inodes where the filesystem may
  be unmounted while it is being processed (bug SUSE40457 I hope)
* Thu May 13 2004 garloff@suse.de
- Correct binary kernel license: Proprietary modules are contained
  thus the license is non-GPL.
* Thu May 13 2004 schwab@suse.de
- Kill node_first_cpu [SUSE40449].
* Thu May 13 2004 ak@suse.de
- Implement simple overcommit memory checking for hugepages
  Can be controlled with /proc/sys/vm/overcommit_hugepages
- Do lazy hugepage allocation on IA64
- Support NUMA policy for huge tlb pages on IA64
- Fix a race in i386 hugepage allocation
- Fix mbind to not crash when it reaches end of memory
- Fix get_user_pages for lazy hugetlb
* Thu May 13 2004 ak@suse.de
- Mark subfs as supported again
* Thu May 13 2004 schwab@suse.de
- Update configs.
* Thu May 13 2004 olh@suse.de
- disable patches from SUSE40430 - LTC8104, go with this one instead:
  patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Thu May 13 2004 mason@suse.de
- disable ltt and dprobes
* Thu May 13 2004 hare@suse.de
- Add patches.suse/lkcd-arch-kerntypes.patch
  to enable kerntypes support for all architectures.
* Thu May 13 2004 hare@suse.de
- Fix patches.arch/s390-mapped-base.patch to compile on s390x.
* Thu May 13 2004 olh@suse.de
- add patches.fixes/linux-2.6.5-6.usb.dvb.diff
  fix unresolved symbol in dvb-ttusb-budget driver
* Thu May 13 2004 schwab@suse.de
- Fix breakage from mason.
* Thu May 13 2004 hare@suse.de
- Fix /proc/mapped_base for S/390 (SUSE40080).
  Add patches.arch/s390-core-changes.patch
  Add patches.arch/s390-mapped-base.patch
  Remove patches.arch/s390-proc-mapped-base.patch
  Reworked patches.suse/noexec_stack4 to apply again.
* Thu May 13 2004 ak@suse.de
- check for disabled nodes before registering them in sysfs
  partial fix for SUSE39708
* Thu May 13 2004 ak@suse.de
- mark econet and wanpipe as unsupported too
* Thu May 13 2004 ak@suse.de
- fix locking in bond_close()
* Thu May 13 2004 olh@suse.de
- revert rename hid -> usbhid from usb update
  remove random_ether_addr change from usbnet
* Thu May 13 2004 ak@suse.de
- really kill all reparent_to_init()s in amdshpc
* Thu May 13 2004 okir@suse.de
- nfsd: allow NULL calls to succeed, even if we don't know the
  client (SUSE40463)
* Thu May 13 2004 ak@suse.de
- set /dev/mem memory holes to uncached on x86-64 to make MTRRs
  work (SUSE29200)
* Thu May 13 2004 axboe@suse.de
- barrier-core update. clear_buffer_write_io_error() on
  WRITE_BARRIER, not just write (should just check direction).
  Correctly check BIO_EOPNOTSUPP at end_io time as well (for async
  notication of lacking barrier support)
* Thu May 13 2004 axboe@suse.de
- Correctly check cfs_enable_2 bits for FLUSH_CACHE/_EXT support
  (SUSE39747)
* Thu May 13 2004 mason@suse.de
- add ltt and dprobes, disabled in .configs
- fix ckrm bugs SUSE40024 SUSE40084 SUSE40386
- fix ckrm memory corruption in networking code
- fix relayfs compiler warning
* Thu May 13 2004 andrea@suse.de
- rewrite swap-unplug fixing at least one unplugging bug
  and with much cleaner design that doesn't expose swapcache
  details into the highlevel pagecache code, this should fix
  SUSE39744 correctly.
* Thu May 13 2004 olh@suse.de
- update usb stack to 2.6.6 level
* Thu May 13 2004 olh@suse.de
- build ibmveth as a module on pseries64
* Thu May 13 2004 olh@suse.de
- build tokenring as a module on iseries64
* Thu May 13 2004 olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks
  [PATCH] Un-inline spinlocks on ppc64
* Thu May 13 2004 agruen@suse.de
- patches.suse/intel-vtune-fix: Make compile on i386, enable it
  in the config files.
* Wed May 12 2004 okir@suse.de
- Fix TCPv6 dst underruns introduced by MIPv6 patch (SUSE39713)
* Wed May 12 2004 schwab@suse.de
- Only strip debug symbols from vmlinux.
* Wed May 12 2004 ak@suse.de
- add amd 8131 hotplug pci driver
* Wed May 12 2004 kraxel@suse.de
- make uml kernels uname syscall return machine == "i586" [bug SUSE40273]
* Wed May 12 2004 ak@suse.de
- small powernow-k8 update from AMD to handle newer CPUs
* Wed May 12 2004 axboe@suse.de
- dm-zero.c is buggy, it passes a bad argument to bvec_kunmap_irq()
* Wed May 12 2004 olh@suse.de
- add patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  patches.arch/ibm-ppc64-hotcpu_numa.patch
  patches.fixes/hotcpu_notifier_c99_initializers.patch
  obsoletes patches.arch/ibm-ppc64-numa-topology
  (SUSE40430 - LTC8104) CPU DLPAR and NUMA wont play well together
* Wed May 12 2004 agruen@suse.de
- Add missing wlan modules to supported.conf.
* Wed May 12 2004 garloff@suse.de
- sbp2-reset-3: Return SUCCESS in _abort handler if command can
  just be dequeued. Don't abort running commands then by resetting
  the bus. (SUSE38892)
- Enable i386/debug kernel in config.conf.
* Wed May 12 2004 schwab@suse.de
- Force little-endian during signal delivery [SUSE40382].
* Wed May 12 2004 mantel@suse.de
- fix shutting down network with quad tulip card (SUSE39204)
* Wed May 12 2004 okir@suse.de
- Fixed bug in tcp_ipv6_check_established
* Wed May 12 2004 olh@suse.de
- enable patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Wed May 12 2004 olh@suse.de
- update patches.arch/ibm-ppc64-rtasmsgs.patch
  rtasmsg patch with on/off instead of 0/1 (SUSE40195 - LTC8320)
* Wed May 12 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-isa-check.patch
  handle EEH on ISA devices (SUSE40221 - LTC8347)
* Wed May 12 2004 agruen@suse.de
- Fix external module support for SUBDIRS="more/ than/ one/".
* Wed May 12 2004 mantel@suse.de
- set up read-ahead for cciss driver on a per queue basis (SUSE40389)
* Wed May 12 2004 garloff@suse.de
- Enable CONFIG_DEBUG_STACK_OVERFLOW in i386 kernels, disbale
  CONFIG_DEBUG_STACK_USAGE instead.
- Add debug kernel config (currently disabled).
* Wed May 12 2004 mantel@suse.de
- don't start stopped processes on suspend to disk (SUSE38637)
* Wed May 12 2004 schwab@suse.de
- Fix pci probing on ia64 [SUSE38930].
* Wed May 12 2004 schwab@suse.de
- Don't use EXEC_PAGESIZE when PAGE_SIZE is meant.
* Wed May 12 2004 agruen@suse.de
- SUSE39199: Add Intel VTune(TM) Performance Analyzer Driver, with
  fixes from Intel.
- Add patches.fixes/priotree-hugetlbfs-truncate-lockup to
  series.conf.
* Wed May 12 2004 olh@suse.de
- remove patches.drivers/pcnet32-drop-ltint.patch
  add patches.fixes/pcnet32-disable-ltint
  just disable ltint for the time being
* Wed May 12 2004 olh@suse.de
- add patches.fixes/ext3-bogus-enospc
  [PATCH] Fix ext3 bogus ENOSPC
* Wed May 12 2004 olh@suse.de
- add patches.fixes/radeonfb_overlapping_copyarea
  [PATCH] radeon: fix overlapping copyarea
* Wed May 12 2004 olh@suse.de
- add patches.arch/ppc-XTABS-termio.patch
  PPC termio fix for TABDLY bits TAB3/XTABS
* Wed May 12 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  Fix panic in ibmvscsi_eh_abort_handler (LTC bugzilla 7983)
  fix the ibmvscsi server
  - getting rid of some debug that shouldn't be there
  - fixes the way adapter information is sent to the client
  - fixes a hang when the client sends device_reset or abort
* Tue May 11 2004 garloff@suse.de
- priotree-hugetlbfs-truncate-lockup: Patch from andrea, fixing
  a corner case with hugetlbfs truncate lockup in priotree.
* Tue May 11 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  show correct number of cpus (SUSE40194 - LTC8340)
* Tue May 11 2004 olh@suse.de
- add patches.fixes/dentry_inode_cache_hash.patch (SUSE40102 - LTC8261)
  [PATCH] dentry and inode cache hash algorithm performance changes.
* Tue May 11 2004 agruen@suse.de
- Add supported flag for modules. The file supported.conf lists
  all modules, and marks unsupported modules as in series.conf.
  Loading an unsupported module taints the kernel.
- Mark all drivers that depend on CONFIG_ISA as unsupported.
- Add a warning when symbol versions are not found while compiling
  external modules. Update documentation and example module.
* Tue May 11 2004 olh@suse.de
- update patches.fixes/schedaffinity-compat
  reverse check for access_ok result
* Tue May 11 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vpurr (SUSE39732 - LTC8074)
  replaces patches.arch/ibm-ppc64-vpurr-preserve-cpumask
* Tue May 11 2004 okir@suse.de
- removed a few obsolete nfs and ipv6 patches
* Tue May 11 2004 mantel@suse.de
- device mapper fixes:
  o fix some potential buffer-overflow issues
  o exchange slow bit-by-bit count to use hweight32 to count bits
  per uint32_t
* Tue May 11 2004 mantel@suse.de
- fix non-working filtering based on file device number (SUSE40089)
* Tue May 11 2004 mantel@suse.de
- disable CONFIG_INTERMEZZO_FS
* Tue May 11 2004 olh@suse.de
- add patches.arch/ppc64-io-barrier2, make barriers stronger
* Tue May 11 2004 garloff@suse.de
- dentry-bloat: We don't need cache line alignment for dentries,
  more space for inline filenames (from Linus, in 2.6.6)
- qlogicisp-eh: Minimal for for qlogicisp exception handling
- scsi-format-unit-timeout: Some SCSI disks need much more than
  two hours to format.
- acpi-pci-link: Patch from Len Brown to fix IRQ assignment for
  2.6.6, disabled for 2.6.5 for now.
* Tue May 11 2004 mantel@suse.de
- fix oops in aic7xxx driver when hardware is not present (might
  fix SUSE35757)
* Tue May 11 2004 olh@suse.de
- add patches.fixes/report-printk-buffer-size_selinux
  [PATCH] SElinux interface for reporting size of printk buffer
* Tue May 11 2004 olh@suse.de
- add patches.fixes/bfs_read_past_end_of_dir
  [PATCH] bfs filesystem read past the end of dir
* Tue May 11 2004 okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
* Tue May 11 2004 mantel@suse.de
- make use of SHM_HUGETLB shm memory configurable via sysctl (SUSE40301)
* Tue May 11 2004 olh@suse.de
- add patches.suse/gendisk_removeable_media.patch
  flag removeable media via /block/*/removable with content 0/1
* Tue May 11 2004 hare@suse.de
- Update to IBM codedrop 16-05-2004 (preliminary)
* Tue May 11 2004 ak@suse.de
- Fix PCI ID tables for Intel AGP drivers (SUSE40150)
* Tue May 11 2004 agruen@suse.de
- SUSE40115: Fix installation path of Kerntypes for `make install'
  (now done in /sbin/installkernel).
* Tue May 11 2004 okir@suse.de
- updated ipv6-expire-redirect patch to fix bug SUSE38543
* Tue May 11 2004 okir@suse.de
- IPv6: IPv6 redirects to routers with no neighbor cache entry
  were ignored (TAHI test nd/74, bug SUSE38554)
* Tue May 11 2004 kraxel@suse.de
- fix uml build failure.
* Tue May 11 2004 okir@suse.de
- Added patch to prevent IPv6 ndisc changes from breaking
  gratuitous ARPs (needed for HA failover, bug SUSE30104)
* Mon May 10 2004 garloff@suse.de
- bluetooth-patch-265-mh3: Complete patchset patch-2.6.5-mh3
  (merged in 2.6.6) as advised by Marcel, fixing SUSE39349,
  obsoleting bluetooth-init-fix, bluetooth-usb-unlink-race,
  from-2.6.6-rcx-Bluetooth-Fix-broken-HCI-security-filter,
  from-2.6.6-rcx-Bluetooth-Fix-race-in-RX-complete-routine-of-
  the-USB-drivers.
- bluetooth-isoc-disconnect-crash: Fixing a crash when discon-
  necting from the ISOC interface. (SUSE39349)
* Mon May 10 2004 olh@suse.de
- add patches.arch/suse-ppc64-export-HvLpEvent_registerHandler
  allow iseriesveth to be a module, needed for version upgrade
* Mon May 10 2004 mantel@suse.de
- fix deadlock in create_workqueue (SUSE40073)
* Mon May 10 2004 mantel@suse.de
- fix kthread_stop for migration_thread (SUSE40075)
* Mon May 10 2004 mantel@suse.de
- fix I/O permission leak (SUSE40256)
* Mon May 10 2004 agruen@suse.de
- Fix typo in install path for Kerntypes-%%ver_str on x86_64.
* Mon May 10 2004 mantel@suse.de
- fix incorrect kobject_set_name usage (SUSE40078)
* Mon May 10 2004 agruen@suse.de
- patches.fixes/shrink_slab-handle-GFP_NOFS.patch: Improve fairness
  when shrinking pagecache vs. shrinking slab (from -mm).
* Mon May 10 2004 mantel@suse.de
- fix race in sys_sched_getaffinity (SUSE40079)
* Mon May 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-bolted-fix.patch
  fix power4 iseries (SUSE40104 - LTC8269)
* Mon May 10 2004 garloff@suse.de
- selinux-default-disable: Disable selinux by default (SUSE39439).
* Mon May 10 2004 okir@suse.de
- fix bug in nfsd export list handling (SUSE37879)
* Mon May 10 2004 mantel@suse.de
- fix programs that include cciss_ioctl.h (SUSE40090, SUSE26843)
* Mon May 10 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix.patch
  avoid oops on shutdown. added support for 970FX and GS
* Mon May 10 2004 hare@suse.de
- add patches.arch/s390-dasd-erp-debug.patch
  Remove ERP debugging messages (SUSE36834)
* Mon May 10 2004 olh@suse.de
- update patches.arch/ppc64-eeh-race.patch
  fix list handling (SUSE40066 - LTC8219)
* Mon May 10 2004 mantel@suse.de
- fix yet another name clash for JFS dmapi (SUSE40166)
* Mon May 10 2004 olh@suse.de
- add patches.fixes/modversions_dedotify.patch
  do not taint the kernel if a dot function is not found
* Mon May 10 2004 olh@suse.de
- update patches.fixes/schedaffinity-compat (SUSE40186)
* Mon May 10 2004 ak@suse.de
- Remove broken ppc64 only hugepage cow patch
* Mon May 10 2004 axboe@suse.de
- re-add requeueing as-iosched patch, integrate barrier request leak, fix
  sync reporting of missing driver barrier support, fix use-after-free of
  rq in failure case
* Mon May 10 2004 axboe@suse.de
- cpqarray fixlet
* Sun May 09 2004 schwab@suse.de
- Don't override default target.
* Sun May 09 2004 agruen@suse.de
- Add external kernel module documentation.
- Some fixes in xfs.
- Stop jfs dmapi from using the same slab names as xfs dmapi.
* Sun May 09 2004 olh@suse.de
- add patches.arch/ppc64-io-barrier
  extra barrier in I/O operations for cacheable stores
* Sun May 09 2004 olh@suse.de
- add patches.fixes/schedaffinity-compat to fix glibc make check
* Sun May 09 2004 agruen@suse.de
- Add improved external module support from 2.6.6-rc*.
* Sun May 09 2004 olh@suse.de
- add patches.fixes/sctp_memset_parameter
  [SCTP] Fix memset() parameter ordering.
* Sun May 09 2004 schwab@suse.de
- Audit LAuS patches for bad uses of audit_result [SUSE39936].
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iommu_alloc_consistent-return
  return null on allocation failure
* Sat May 08 2004 olh@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot2
  call populate_rootfs before do_initcalls
* Sat May 08 2004 olh@suse.de
- add patches.fixes/rwsem-sleepers patches.fixes/rwsem-sleepers2
  Be more careful about semaphore contention memory ordering.
* Sat May 08 2004 olh@suse.de
- add patches.drivers/pcnet32-drop-ltint.patch
  disalbe TxDone-intr inhibitor support (SUSE40202 - LTC7799)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ppc64-slbie-hugepage
  [PATCH] ppc64: Use slbie, not slbia in hugepage code
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ppc32.support.update
  new ibook g4, windtunnel fixes
* Sat May 08 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394_nodemgr
  fix rmmod ieee1394 (SUSE39731)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ppc32.serial.zilog.CRTSCTS.mode
  fixes a bug in the pmac-zilog driver when in CRTSCTS mode
* Sat May 08 2004 olh@suse.de
- add patches.fixes/ncpfs-data-corruption
  [PATCH] ncpfs data corruption when using large TCP transfers
* Sat May 08 2004 olh@suse.de
- add patches.fixes/selinux.tags.patch  make tags for selinux
* Sat May 08 2004 olh@suse.de
- CONFIG_SECURITY_SELINUX_BOOTPARAM=y on pseries (SUSE40204 - LTC8359)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/new-slab-order-0-for-vfs-caches.patch from -mm
  fix deadlocks with order-1 allocations ext3_inode_cache.
  (SUSE39707 - LTC8045)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasmsgs.patch
  disable rtas logs via rtasmsgs=off (SUSE40195 - LTC8320)
* Sat May 08 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irqstack-local-paca
  Check local cpus paca in slb miss code (SUSE40193 - LTC8355)
* Sat May 08 2004 olh@suse.de
- add patches.fixes/e100-napi-pseries
  EEH and NAPI do not play well together (SUSE38183 - LTC7201)
* Fri May 07 2004 olh@suse.de
- add patches.fixes/e1000-netdev_register.patch
  move the reading of the user tunable parameters to before the
  registering of the netdevice. (SUSE40181 - LTC8195)
* Fri May 07 2004 ak@suse.de
- fix unload races in 32bit ioctl emulation
- change pty allocation to prefer low numbers again
* Fri May 07 2004 olh@suse.de
- add patches.fixes/e100-io_barrier.patch
  another io_barrier to keep things going (SUSE38183 - LTC7201)
* Fri May 07 2004 olh@suse.de
- disable patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  fix booting on power4 iseries (SUSE40104 - LTC8269)
* Fri May 07 2004 olh@suse.de
- enable lkcd block device dump on ppc64 (SUSE39910 - LTC8147)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-topology
  leave it disabled (SUSE40113 - LTC8259)
* Fri May 07 2004 olh@suse.de
- disable patches.arch/ibm-ppc64-force_max_zoneorder
  (SUSE40031 - LTC8213)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  handle cpus with than one SMT thread (SUSE40010 - LTC8174)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh-global-enable.patch
  POWER5 Requires EEH to be enabled for all devices (SUSE40105 - LTC8267)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irq-stacks-check
  more sanity checks
* Fri May 07 2004 olh@suse.de
- add patches.suse/kdb-xmon-coexistance-ppc64
  xmon may be more reliable, so allow coexistance of 2 debuggers.
* Fri May 07 2004 ak@suse.de
- move kmod patch to the end to make it actually patch
* Fri May 07 2004 ak@suse.de
- Fix compilation without KMOD
- Fix white space in series.conf
* Fri May 07 2004 okir@suse.de
- disable another ipv6 debug message
* Fri May 07 2004 olh@suse.de
- add patches.fixes/fix-tty-race (SUSE39399 - LTC7756)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ppc64-PTE_FREELIST_SIZE.patch
  typo in PTE_FREELIST_SIZE (LTC8238)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ibm-ppc64-sbl_invalidation
  Never flush out the kernel stack, even with interrupt stacks
  enabled (SUSE40014 - LTC8170)
* Fri May 07 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix compile without CONFIG_IRQSTACKS (SUSE40014 - LTC8170)
* Fri May 07 2004 olh@suse.de
- add patches.arch/ppc64-eeh-race.patch
  close deadlock window in EEH failure path (SUSE40066 - LTC8219)
* Fri May 07 2004 olh@suse.de
- build rpms in subdir
* Thu May 06 2004 olh@suse.de
- do not strip the vmlinux elf binary (SUSE36735 - LTC7003)
* Thu May 06 2004 mason@suse.de
- fix request leak in the ide barriers
  (patches.suse/barrier-request-leak)
* Thu May 06 2004 axboe@suse.de
- revert small requeueing change, appears to still be a bug there
* Thu May 06 2004 mantel@suse.de
- fix race in kthread_stop (SUSE40082)
* Thu May 06 2004 duwe@suse.de
- re-introduce blacklist entries for HP P44 & P47 mainboards
  (a.k.a DL760G2 & DL740), to force pci=noacpi, and to hint
  bigsmp for Andi's new genapic code. Un-panic IO-APIC id setting
  along the way, now back to our SLES8 behaviour.
  Fixes blocker SUSE37238
* Thu May 06 2004 mantel@suse.de
- fix race in worker_thread (SUSE40065)
* Thu May 06 2004 mantel@suse.de
- fix UID/GID problems in audit subsystem (SUSE39031, SUSE39829)
* Thu May 06 2004 mantel@suse.de
- update i2o driver to 64bit clean version
* Thu May 06 2004 olh@suse.de
- update ipr scsi driver to version 2.0.6
  update patches.fixes/patch-2.6.5-sd_timeout_mod
  Don't run BIST at module load time. (SUSE39622 - LTC7974)
  This fixes the coldplug/ifup/lspci issue and speeds up boot time.
* Thu May 06 2004 mantel@suse.de
- export sys_ioctl on ia64 too. Needed by audit subsystem
* Thu May 06 2004 axboe@suse.de
- ... and one in sata_vsc, sorry folks.
* Thu May 06 2004 axboe@suse.de
- fix typo in sata_promise
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  better version of this patch (SUSE39909 - LTC8091)
* Thu May 06 2004 axboe@suse.de
- don't let sata sub drivers pci_disable a device, could be used by
  native driver (bug SUSE39044)
* Thu May 06 2004 ak@suse.de
- Disable suspend message in PAE kernels.
* Thu May 06 2004 schwab@suse.de
- Fix infiniband driver and enable on ia64.
* Thu May 06 2004 olh@suse.de
- update patches.drivers/ppc64-iseries-veth
  Fix discovery of MAC address in Virtual Ethernet. (LTC8191)
* Thu May 06 2004 agruen@suse.de
- SUSE39949: Update modules.dep correctly by running /sbin/
  update-modules.dep before creating the initrd. The modules.dep
  contained in the kernel package will not be complete if scripts
  create additional modules (for example, nvidia).
- Add three jfs fixes.
* Thu May 06 2004 axboe@suse.de
- Use requeue hook for ide re-adding real barrier request, works because
  the as accounting had another bug that is now fixed as well.
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up-race
  dont use cpu_is_offline() (SUSE39977 - LTC8128)
* Thu May 06 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix typo, call handle_irq_event() always (SUSE40011 - LTC8197)
* Thu May 06 2004 olh@suse.de
- add patches.suse/lkcd-kerntypes.ppc64.patch (SUSE40019 - LTC8198)
* Thu May 06 2004 okir@suse.de
- added patches.fixes/sunrpc-sched-deadlock to prevent rpc deadlock (SUSE38960)
* Thu May 06 2004 axboe@suse.de
- flush ide cache before unlocking door to prevent removal race there
* Thu May 06 2004 ak@suse.de
- Fix non contiguous APIC ID handling on i386 bigsmp
* Thu May 06 2004 ak@suse.de
- Disable mcdx and sbpcd drivers because they are broken.
* Wed May 05 2004 olh@suse.de
- enable CONFIG_E1000_NAPI also on ppc64
* Wed May 05 2004 axboe@suse.de
- only enable HPA if the protected area is bigger by more than a single
  sector (bug SUSE38147)
* Wed May 05 2004 ak@suse.de
- Fix infiniband undefined symbols on x86-64
* Wed May 05 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  wait for a cpu to become online (SUSE39909 - LTC8091)
* Wed May 05 2004 olh@suse.de
- disable CONFIG_CRASH_DUMP_MEMDEV on pseries (SUSE39910 - LTC8147)
* Wed May 05 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries_bolted_segment_fix
  do not overwrite SLB entry 0 (SUSE39915 - LTC8166)
* Wed May 05 2004 okir@suse.de
- fix off by one in CKRM accept_queue patch (SUSE39918)
* Wed May 05 2004 okir@suse.de
- fix compilation if CKRM accept_queues are enabled (SUSE39913)
* Wed May 05 2004 okir@suse.de
- selinux_socket_sock_rcv_skb: changed write_lock to read_lock
  to avoid deadlock (SUSE39912)
* Wed May 05 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  deadlock fix (SUSE39758 - LTC8099)
* Wed May 05 2004 ak@suse.de
- Add workaround for Nforce2 C1 disconnect hangs
* Wed May 05 2004 ak@suse.de
- Disable ECC driver on x86-64
- Make sure MCE error output on x86-64 reaches the console and do not
  try to kill init or the idle task silently.
* Wed May 05 2004 olh@suse.de
- disable CONFIG_VPURR until all related bugs get fixed
  (SUSE39732 - LTC8074)
* Wed May 05 2004 olh@suse.de
- add patches.fixes/report-printk-buffer-size
  dmesg can now dump entire log buffer by default (SUSE39761 - LTC8103)
* Tue May 04 2004 mantel@suse.de
- enable CONFIG_HISAX_SEDLBAUER_CS (SUSE39828)
* Tue May 04 2004 agruen@suse.de
- Update to patches.fixes/reiserfs-ioerror-xattr-fix.diff: Another
  bad unlock on an error path (jeffm@suse.com).
* Tue May 04 2004 olh@suse.de
- add patches.arch/ppc64-ames-rtas_flash-proc.patch
  fix a typo that prevents the creation of manage_flash /proc file
* Tue May 04 2004 olh@suse.de
- update patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  force irq stacks into the first segment (SUSE39753 - LTC8089)
* Tue May 04 2004 axboe@suse.de
- update barrier-ide
* Tue May 04 2004 mason@suse.de
- fix for aio stalls (patches.suse/aio-context-stall)
* Tue May 04 2004 agruen@suse.de
- SUSE39848: patches.fixes/nfsd-symlink-setattr: Creating symlinks
  on nfs over reiserfs fails on the server side if acls are
  enabled. Bug introduced in mainline.
* Tue May 04 2004 schwab@suse.de
- Better fix for the 8250 HCDP shared irq problem [SUSE39152].
* Tue May 04 2004 olh@suse.de
- kernel-pseries64 obsoletes kernel-ppc64
* Tue May 04 2004 axboe@suse.de
- bug SUSE39744 temp work-around
* Tue May 04 2004 agruen@suse.de
- SUSE39775: patches.fixes/reiserfs-ioerror-xattr-fix.diff: Lock
  releasing fix on error path (xattrs) from Jeff Mahoney
  <jeffm@suse.com>.
* Tue May 04 2004 axboe@suse.de
- kernel doesn't link it CKRM isn't configured (sigh)
* Tue May 04 2004 schwab@suse.de
- Enable CONFIG_SERIAL_8250_EXTENDED and CONFIG_SERIAL_8250_SHARE_IRQ
  [SUSE39152].
* Tue May 04 2004 olh@suse.de
- add patches.arch/ibm-ppc64-irqstacks
  add patches.fixes/irqstacks-do_softirq.patch
  add patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  (SUSE39753 - LTC8089) Stack overflow on SF2 running NFS/samba test
* Mon May 03 2004 ihno@suse.de
- Adding LAuS driver for s390 and s390x (missing Kconfig)
* Mon May 03 2004 mantel@suse.de
- make "clock=tsc" the default
* Mon May 03 2004 mantel@suse.de
- add generic APIC support for ES7000 platform
* Mon May 03 2004 ak@suse.de
- Increase i386 NR_CPUS for smp to 32 and bigsmp to 128
* Mon May 03 2004 olh@suse.de
- update patches.arch/ibm-ppc64-mark-exception-frames
  print SP in stack backtraces.
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pseries-stackoverflow
  print stack trace in case of stackoverflow
* Sun May 02 2004 agruen@suse.de
- Add POSIX message queue patches (disabled so far).
- xfs: Fix qsort removal patch; update vmtruncate fix; add
  security namespace fix.
* Sun May 02 2004 olh@suse.de
- add ioc4-serial-move-job-control-stuff-tosignal_struct.patch
  use the new define
* Sun May 02 2004 olh@suse.de
- add move-job-control-stuff-tosignal_struct-flag-our-backport.patch
  [#]define HAS_TTY_STRUCT_IN_SIGNAL_STRUCT for external drivers
* Sun May 02 2004 olh@suse.de
- add patches.suse/xfs-cvs-sleepers
  struct semaphore has no ->sleepers
* Sun May 02 2004 olh@suse.de
- reenable successful boot on ppc64
  SPINLOCK_SLEEP catches too many hard errors
* Sun May 02 2004 agruen@suse.de
- Add move-job-control-stuff-tosignal_struct.patch.
- XFS fixes; re-enable CONFIG_XFS_DMAPI; enable CONFIG_JFS_DMAPI.
- Re-enable hugetlb patches.
- Update cifs to 1.13a.
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-flat
  fix numa probing code, fall back to flat model (SUSE39160 - LTC7725)
* Sun May 02 2004 olh@suse.de
- add patches.arch/ibm-ppc64-signal-handler-args
  [PATCH] ppc64: fix incorrect signal handler argument
* Sat May 01 2004 olh@suse.de
- add patches.arch/ibm-ppc64-mark-exception-frames
  Mark exception frames, look for the marker in show_stack().
* Sat May 01 2004 garloff@suse.de
- Back to 8 CPUs for x86-64 smp kernel (APIC limited).
* Sat May 01 2004 olh@suse.de
- add patches.suse/suse.ppc32.sysfs-adb.patch
  adds /sys/class/adb/, removes unused devfs lines and updates a
  comment to match reality.
* Sat May 01 2004 olh@suse.de
- update patches.drivers/atixl-noinit-2.6.2
  set pll_gen_cntl based on mclk_post_div_real, fixes ibook1
* Sat May 01 2004 olh@suse.de
- add patches.arch/ppc64-no_sleep_in_irq
  allocate irq_map with GFP_ATOMIC
* Sat May 01 2004 olh@suse.de
- enable SPINLOCK_SLEEP, STACKOVERFLOW, STACK_USAGE on ppc64
* Fri Apr 30 2004 olh@suse.de
- Bump max no of CPUs to 64 on x86-64 Konfig.
* Fri Apr 30 2004 olh@suse.de
- drop patches.arch/ibm-ppc64-rtas-error-log-max, bug fixed
* Fri Apr 30 2004 olh@suse.de
- add patches.fixes/pcnet32-mac, patches.fixes/pcnet32-timer
  (SUSE36471 - LTC6941) machine displays the wrong MAC addresses
  added timer for 971/972 so skbufs don't remain on tx ring forever.
* Fri Apr 30 2004 olh@suse.de
- add patches.suse/sched-trivial-ppc64.patch
  [PATCH] [ppc64] ARCH_HAS_SCHED_WAKE_BALANCE doesnt exist
* Fri Apr 30 2004 kraxel@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot
  (fix bad atomic schedule with initrd).
* Fri Apr 30 2004 mantel@suse.de
- disable infiniband on ia64 as it does not build there as well
* Fri Apr 30 2004 garloff@suse.de
- Bump max no of CPUs to 64 on x86-64 smp config.
* Fri Apr 30 2004 agruen@suse.de
- Disable hugetlb-06_sles-map-hugetlb-flag,
  hugetlb-06.5_sles-map-flag-s390-ppc,
  hugetlb-07_sles-hugetlb-implicit.
* Fri Apr 30 2004 olh@suse.de
- update selinux-sock-rcv-skb-crash, return res;
* Fri Apr 30 2004 kraxel@suse.de
- update patches.fixes/posix-timers-deadlock2 (from kurt).
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-setri.patch
  set MSR.RI in iSeries exception prolog (SUSE39085 - LTC7655)
* Fri Apr 30 2004 olh@suse.de
- compile CONFIG_SCSI_SYM53C8XX_2=y on ppc32
* Fri Apr 30 2004 okir@suse.de
- Added selinux-sock-rcv-skb-crash (SUSE38762)
* Fri Apr 30 2004 mantel@suse.de
- fix infiniband on x86_64
* Fri Apr 30 2004 mantel@suse.de
- remove enhanced speedstep feature as it breaks ACPI on x86_64
* Fri Apr 30 2004 mantel@suse.de
- disable infiniband on x86_64 (does not compile)
* Fri Apr 30 2004 mantel@suse.de
- re-add infiniband drivers (SUSE35064)
* Fri Apr 30 2004 agruen@suse.de
- SUSE39662: Add a few extra files to kernel-source.src.rpm to
  simplify building from that package.
* Fri Apr 30 2004 mantel@suse.de
- add support for enhanced speedstep feature (SUSE39618)
* Fri Apr 30 2004 mantel@suse.de
- use correct fix for swsuspend-agp problem (SUSE36167)
* Fri Apr 30 2004 axboe@suse.de
- blk_start_queue() should use kblockd_schedule_work() to avoid blocking
  on keventd
* Fri Apr 30 2004 mantel@suse.de
- tag ibmasm driver experimental and have it print so at loading
* Fri Apr 30 2004 axboe@suse.de
- make the CFQ io sched tunables available in sysfs
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-vio-devspec
  provide pointer into the device-tree for vio devices
* Fri Apr 30 2004 kraxel@suse.de
- add patches.fixes/posix-timers-thread.patch (from 2.6.6-rc).
* Fri Apr 30 2004 okir@suse.de
- NFS: blocksize defaults to wsize, not the server's
  advertised wtmult anymore.
* Fri Apr 30 2004 okir@suse.de
- nfsd: Return proper error code in subtree check (SUSE38584)
* Fri Apr 30 2004 agruen@suse.de
- Enable 2.6.6-rc patches.
- Enable jfs dmapi patches (disable in config files).
* Fri Apr 30 2004 kraxel@suse.de
- add USB-fix-up-fake-usb_interface-structure-in-hiddev
  (from -rc kernels, ack by Vojtech)
* Fri Apr 30 2004 olh@suse.de
- add patches.arch/ibm-ppc64-shmget_translation
  32->64 bit syscall translation layer on ppc64 incorrectly
  sign-extends rather than zero-extending the second parameter to
  shmget() (LTC7941)
* Thu Apr 29 2004 agruen@suse.de
- Add some more patches from 2.6.6-rc.
* Thu Apr 29 2004 agruen@suse.de
- patches.fixes/zoran-overflow-fix.patch: Fix a potential integer
  overflow.
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg
  lparcfg fixup of capped indicator, and pool_capacity values.
* Thu Apr 29 2004 olh@suse.de
- update hugetbl patches, do_mmap call stack differs in our tree
* Thu Apr 29 2004 kraxel@suse.de
- committed a batch of small fixes from 2.6.6-rc kernels,
  disabled in series.conf for now.
* Thu Apr 29 2004 mason@suse.de
- fix rcfs compile on ia64, it doesn't really need asm/namei.h
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-iseries-handle_irq_event
  enable interrupts on iseries during bh handlers (SUSE39489 - LTC7254)
* Thu Apr 29 2004 mason@suse.de
- fix some ckrm compiler warnings
* Thu Apr 29 2004 okir@suse.de
- Fixed problem with spin_lock usage in token ring drivers (netdev)
  (SUSE39489 - LTC7254)
* Thu Apr 29 2004 mason@suse.de
- ckrm update to e12
* Thu Apr 29 2004 agruen@suse.de
- Update cifs to 1.12.
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-force_max_zoneorder
  CONFIG_FORCE_MAX_ZONEORDER must be set via Kconfig
* Thu Apr 29 2004 olh@suse.de
- update patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  call class_simple_device_remove() on rmmod (SUSE39493)
* Thu Apr 29 2004 rw@suse.de
- update xpnet driver patches for Altix (SUSE39488)
* Thu Apr 29 2004 olh@suse.de
- reenable hugetlb patches for ppc64, reenable shm_use_hugepages
* Thu Apr 29 2004 olh@suse.de
- change CONFIG_FORCE_MAX_ZONEORDER from 13 to 19 on ppc64 (16MB/1GB)
* Thu Apr 29 2004 mantel@suse.de
- update megaraid driver to version v2.20.0.B2.04.27.2004
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up-race
  wait in start_secondary() until current cpu is in cpu_online_map
* Thu Apr 29 2004 agruen@suse.de
- Disable CONFIG_XFS_DMAPI until it is fixed in the xfs cvs.
* Thu Apr 29 2004 olh@suse.de
- update patches.drivers/r8169-update
  include linux/dma-mapping.h because the driver uses stuff from it
* Thu Apr 29 2004 olh@suse.de
- add patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  add patches.arch/ibm-ppc64-hardcode-slb_size
  improve SLB handling (LTC7754)
* Thu Apr 29 2004 hare@suse.de
- Update xip2fs; fixes copyrights and lineendings.
* Thu Apr 29 2004 kraxel@suse.de
- add ethtool support to the uml virtual network driver.
* Thu Apr 29 2004 olh@suse.de
- update ipr scsi driver to version 2.0.5
  Adapter dump fixes.
  Add adapter type and microcode version to the dump.
* Thu Apr 29 2004 olh@suse.de
- add patches.fixes/alpha-procfs-dynamic-inodes
  remove last user of PROC_NDYNAMIC
* Thu Apr 29 2004 olh@suse.de
- fix build without CONFIG_BLK_DEV_INITRD on pseries,
  fix the case where the initrd is loaded before the kernel
  (SUSE39613 - LTC8005)
* Thu Apr 29 2004 hare@suse.de
- add patches.fixes/rwsem-contention-fix
  Fix rwsem contention on alpha and s390x.
* Thu Apr 29 2004 hare@suse.de
- modify patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-qeth-28042004.diff
  Update to IBM Codedrop 28/04/2004.
  Removed bk patches for S/390.
* Thu Apr 29 2004 mason@suse.de
- lkcd for x86_64
* Wed Apr 28 2004 olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  provide sysfs data to create chardev /dev/ica via udev
* Wed Apr 28 2004 olh@suse.de
- dont hide /linuxrc on ppc64.
  setting ROOT_DEV to Ram0 was never correct.
  Read Documentation/initrd.txt
* Wed Apr 28 2004 olh@suse.de
- disable patches.fixes/cpumask_arith-first_cpu.patch
  causes oops on x86_64, s390 doesnt even boot
* Wed Apr 28 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10e1
* Wed Apr 28 2004 mason@suse.de
- reiserfs data=journal support
- reiserfs bit operations cleanups
- reiserfs journal macro cleanups
- reiserfs io error handling
- fix aio bug where delayed timers don't get waited on during process
  exit
* Wed Apr 28 2004 bk@suse.de
- S/390 cpint: extend struct for cpint by an uppercase flag
* Wed Apr 28 2004 agruen@suse.de
- Update xfs to current cvs.
* Wed Apr 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-hvc_console
  Handle H_LongBusyOrder* hypervisor return codes in hvconsole.c
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-power5-slbie-workaround
  POWER5 < DD2.1 has a problem where slbie's need to be repeated
  under some circumstances. Apply workaround.
* Wed Apr 28 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * allow the ibmvscsi adapter to reconnect properly to the server
  if the server disconnects (i.e. reboots.)
  * Fix the ibmvscsi server to correctly handle the case where the
  client is active and waiting when the server boots.
* Wed Apr 28 2004 okir@suse.de
- Fix vgettimeofday sysenter case (SUSE39537)
* Wed Apr 28 2004 hare@suse.de
- S/390: Update configs for S/390 Crypto API.
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ppc64-user-stackcheck
  (SUSE37975 - LTC7227) shmdt01 ltp test fails to detach shared memory
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-error_log
  (SUSE39501 - LTC7920) restore /proc/ppc64/rtas/error_log
* Wed Apr 28 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_remove_slot_errno.patch
  (SUSE39556 - LTC7722) RPA DLPAR: remove slot error case error code
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pSeries_log_error
  add patches.arch/ibm-ppc64-ras-irq
  (SUSE39557 - LTC7435) handle EPOW events sent by OS/400 NWSDs
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/hotplug-cpu-sched_balance_exec-fix
  add patches.fixes/cpumask_arith-first_cpu.patch
  reenable patches.suse/ibm-ppc64-domain-sched-fix.patch
  cpu hotplug fixes for DLPAR (SUSE39549 - LTC7946)
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/lkcd-cpumask_t-handling
  better handling for cpumask_t in lkcd (SUSE39252 - LTC7781)
* Wed Apr 28 2004 olh@suse.de
- add patches.suse/sched-domain-stop_machine_run.patch
  possible fix for crash in find_busiest_group() (SUSE39160 - LTC7725)
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-rtas_error_log_buffer_max.patch
  (SUSE39257 - LTC7709) vmalloc enough space
* Wed Apr 28 2004 olh@suse.de
- add max_cpus to 128 again on pseries (SUSE39252 - LTC7781)
* Wed Apr 28 2004 hare@suse.de
- S/390 update from Bitkeeper
  add patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-update-02-april2004.diff
  add patches.arch/s390-update-04-april2004.diff
  add patches.arch/s390-update-05-april2004.diff
* Wed Apr 28 2004 mantel@suse.de
- fix problem with 8 bit characters on JFS (SUSE39542)
* Wed Apr 28 2004 olh@suse.de
- add patches.fixes/e100-mb.patch, patches.fixes/e1000-mb.patch
  add memory barriers to order stores (SUSE36881 - LTC7055)
* Wed Apr 28 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-node_set_online.patch
  (SUSE39550 - LTC7901) support NUMA nodes with empty memory/cpus in sysfs
* Wed Apr 28 2004 mantel@suse.de
- update Broadcom driver bcm5700 to 7.2.24
* Tue Apr 27 2004 olh@suse.de
- add patches.arch/ppc64-iseries-mf_proc-write.patch
  report errors back to userland when writing to /proc/iSeries/mf/
* Tue Apr 27 2004 mantel@suse.de
- re-add ecc driver (SUSE39508)
* Tue Apr 27 2004 mantel@suse.de
- fix anon vma locking
* Tue Apr 27 2004 mantel@suse.de
- fix swsuspend with $VENDOR-agp (SUSE36167)
* Tue Apr 27 2004 olh@suse.de
- add patches.fixes/get_user_pages-cow-corruption
  patch from Andrea to prevent unmapping of pinned pages
  (SUSE39138 - LTC7702)
* Tue Apr 27 2004 olh@suse.de
- add patches.arch/ibm-ppc64-sys32shmctl.patch
  fix ipcs -l output (SUSE39431 - LTC7852)
* Tue Apr 27 2004 rw@suse.de
- fix initialization of Vitesse SATA controller (SUSE39352)
* Tue Apr 27 2004 okir@suse.de
- IPv6: Add patch for TAHI pmtu test case #2 from mludvig (SUSE38557)
* Tue Apr 27 2004 rw@suse.de
- make 8250_hcdp.c set the share irq flag on console port and fix
  iosapic.c to not touch an irq, if an action is already attached
  (SUSE39152)
* Tue Apr 27 2004 olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * Correctly fail requests if the adapter is disabled.  This makes
  raid work very nicely across multiple virtual scsi adapters
  * Correctly handle busy return codes from H_FREE_CRQ call
* Tue Apr 27 2004 rw@suse.de
- remove obsolete pda overflow check to revive SGI Altix (SUSE39320)
- increase NR_CPUS to 128 in ia64/default and 64k-pagesize (SUSE38722)
* Tue Apr 27 2004 axboe@suse.de
- Fix SG_IO page pinning leak
* Tue Apr 27 2004 hare@suse.de
- Add patches.suse/lkcd-dump-gzip-compress.patch
  Fix error message on writing gzipped dump (SUSE39416)
* Tue Apr 27 2004 okir@suse.de
- allow kernel to compile with CONFIG_NETFILTER off (SUSE39391)
* Tue Apr 27 2004 olh@suse.de
- update patches.fixes/psmouse-usb-fix-3
  do not call the pci quirk for ppc until it is fixed (SUSE38070)
  causes a machine check
* Tue Apr 27 2004 olh@suse.de
- add patches.fixes/sunrpc-unix_domain_find-kmalloc-check.patch
  [SUNRPC]: Missing NULL kmalloc check in unix_domain_find().
* Tue Apr 27 2004 hare@suse.de
- Renamed patches.fixes/icmp-percpu-modules to
  patches.fixes/no-static-percpu-in-modules;
  Fixes drivers/scsi/scsi.c and drivers/char/random.c, too.
* Tue Apr 27 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b12
* Tue Apr 27 2004 hare@suse.de
- Fixed fshooks compilation for S/390
- Add patches.fixes/icmp-percpu-modules to fix loading
  of ipv6 modules with more the 4 GB (SUSE38820)
- Add patches.suse/sysfs-backing-store-0{0,1,2,3,4,5,6}.patch
  for S/390 only to reduce sysfs memory usage (SUSE36248)
* Tue Apr 27 2004 axboe@suse.de
- update ide-serialize-update-1 to allow !hwgroup
* Mon Apr 26 2004 axboe@suse.de
- Correct logic bug in ide-cd-loej-1
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_warningfix.patch
  declare function prototype
* Mon Apr 26 2004 agruen@suse.de
- Some more post-2.5.6 patches (patches.fixes/):
  QD65xx-io-ports-fix.patch, alpha-fix-unaligned-stxncpy-again.patch,
  ext2-alternate-sb-mount-fix.patch, ext3-alternate-sb-mount-fix.patch,
  get_user_pages-shortcut.patch, isicom-jiffies-fix.patch,
  jbd-do_get_write_access-lock-contention-reduction.patch,
  raid56-masking-fix.patch.
* Mon Apr 26 2004 mantel@suse.de
- update audit subsystem
* Mon Apr 26 2004 axboe@suse.de
- don't log failures to load a cdrom drive on START_STOP_UNIT
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/bluetooth-usb-unlink-race
  fix lockup on bluetooth disconnect (SUSE39349)
* Mon Apr 26 2004 garloff@suse.de
- Integrate CluserIP alias patches and enable in all configs.
- Enable BINFMT_MISC as module on ppc configs that lacked it.
* Mon Apr 26 2004 olh@suse.de
- add patches.arch/ppc64-xics_set_affinity_bug.patch
  (SUSE39397 - LTC7826) System hangs when write into /proc/irq/<irq#>
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location1.patch
  (SUSE39418 - LTC7876) system crash when loading rpaphp module
* Mon Apr 26 2004 olh@suse.de
- put the penguins back to the barn until linuxrc is fixed
  (SUSE39428 - LTC7873)
* Mon Apr 26 2004 okir@suse.de
- Merged netfilter fix from Rusty: missing ip_rt_put in ipt_MASQUERADE
* Mon Apr 26 2004 okir@suse.de
- Prevent annoying "nud_in_timer" warning
* Mon Apr 26 2004 okir@suse.de
- Added some more aliases for crypto module, so loading them
  by algorithm name works (mludvig)
* Mon Apr 26 2004 olh@suse.de
- update patches.suse/lkcd-bio-vector.patch
  use better version from Jens Axboe
* Mon Apr 26 2004 olh@suse.de
- Update kdb to 2.6.5-kdb-v4.3-{common-2,i386-1,ia64-040413-1}.
  dump() must be called after kdb, not before.
  Use the current version of sn_serial.c.
  (SUSE39355)
* Mon Apr 26 2004 olh@suse.de
- add patches.suse/lkcd-bio-vector.patch
  (SUSE39375 - LTC7697) setup bio->bi_vcnt correctly
* Mon Apr 26 2004 olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location.patch
  (SUSE39422 - LTC7486) use "linux-style" naming scheme
* Mon Apr 26 2004 olh@suse.de
- add patches.arch/ppc64-eeh-include.patch
  include struct device after recent changes
  add patches.suse/LAuS-kernel-ioctl-include
  include ioctl function prototypes
  add patches.suse/kdb-ppc64-warningfix.patch
  pass correct options to ss
* Mon Apr 26 2004 olh@suse.de
- Update ibmvscsis driver with bug fixes and cleanup.
  - fix incorrect report capacity
  - fix missing length in buffer pool
  - change driver to use dma_foo interfaces
  - change driver to use tasklet instead of workqueue
* Mon Apr 26 2004 axboe@suse.de
- pin hwgroup before making speed/dma changes to the interface (SUSE38595)
* Mon Apr 26 2004 okir@suse.de
- Merged patch to make lockd use the file system's
  underlying lock ops (conditional on a sysctl)
* Mon Apr 26 2004 okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
- Merged a fix for e100 at 10Mbbps/half-duplex
* Mon Apr 26 2004 okir@suse.de
- Merged patches for vsyscall-gettimeofday
* Mon Apr 26 2004 olh@suse.de
- consolidate ppc64 patches, update to current ameslab status
  set MAX_CPU back to 64, lkcd broken
* Mon Apr 26 2004 hare@suse.de
- add patches.suse/lkcd-netdump.patch
  Fixing lkcd netdump (SUSE39396)
* Mon Apr 26 2004 okir@suse.de
- Merged patch from netdev to prevent oops when removing tulip module
* Sun Apr 25 2004 olh@suse.de
- disable hugetlb patches for ppc64, disable shm_use_hugepages
  has to be fixed first, leads to segfaults in insmod
* Sat Apr 24 2004 agruen@suse.de
- scripts/sequence-patch: Improve integration with quilt; now
  sequence-patch.sh can apply patches up to a specific point
  (which it does slightly faster than quilt); the resulting tree
  is fully compatible with quilt. (Use the --clean option to get
  rid of quilt specific files in .pc/.)
* Sat Apr 24 2004 agruen@suse.de
- Add more stuff from -mc4 (patches.fixes/):
  ext3-transaction-batching-fix.patch, intermezzo-leak-fixes.patch,
  load_elf_binary-overflow-detection-fix.patch
  nfs-readdirplus-overflow-fix.patch, pmdisk-needs-asmlinkage.patch,
  proc-load-average-fix.patch, selinux-ipv6-support.patch,
  selinux-remove-duplicate-assignment.patch
  v850-bitop-volatiles.patch, v850-dma-mapping-fix.patch.
- Another minor nfsacl optimization: Reserve a little space for
  SETACL arguments in nfs so that in the common cases, no extra
  pages need to be allocated.
* Fri Apr 23 2004 olh@suse.de
- display brand on the front panel display
* Fri Apr 23 2004 olh@suse.de
- enable hugetlb patches for ppc64, enable shm_use_hugepages
  add patches.arch/ibm-ppc64-cow-bugfix
* Fri Apr 23 2004 agruen@suse.de
- From -mc4, add patches.fixes/hysnd-MOD_USE_COUNT-fix.patch and
  patches.fixes/remove-nswap-cnswap.patch; enable patches.fixes/
  huge-sparse-tmpfs-files.patch + rediff patches.suse/numa-api.
* Fri Apr 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error-log-max
  use 1k for rtas-error-log-max (SUSE37978 - LTC7338)
* Fri Apr 23 2004 olh@suse.de
- add patches.fixes/net-MCAST_MSFILTER-error.patch
  [IPV4]: Fix return value on MCAST_MSFILTER error case.
* Fri Apr 23 2004 garloff@suse.de
- cpufreq-unsigned: Use unsigned in cpufreq ioctl handler (SUSE38898).
* Fri Apr 23 2004 agruen@suse.de
- xfs dmapi: Add vm_operations_struct->mprotect.
- Update cifs to version 1.10.
- patches.fixes/file-operations-fcntl.patch: Add fcntl file
  operation.
* Fri Apr 23 2004 hare@suse.de
- add patches.arch/s390-proc-mapped-base.patch (SUSE39066)
  Fix /proc/<pid>/mmapped_base for s390x
* Fri Apr 23 2004 okir@suse.de
- Make sure the null cipher crypto module is loaded automatically
  (patch from mludvig, SUSE39274)
* Fri Apr 23 2004 ak@suse.de
- add early cpu detect for i386
- add balance on fork for scheduler
* Fri Apr 23 2004 ak@suse.de
- Add SMT scheduling for x86-64
- Disable NUMA scheduler on x86-64
* Thu Apr 22 2004 olh@suse.de
- add patches.arch/eeh_rpaphp.patch (SUSE39259 - LTC7797)
  ethernet drivers can't create interfaces for newly added adapters
* Thu Apr 22 2004 olh@suse.de
- add patches.drivers/pcnet32-dump_regs.patch
  (SUSE39299 - LTC7796) add register dump capability to pcnet32
* Thu Apr 22 2004 ak@suse.de
- Add more overflow fixes (sdla)
- Prevent unloading of old IDE drivers
- Fix compilation with kmod off
- Fix typo in NUMA API
- Fix LFS in sendfile (SUSE39156)
- Fix bug in i810 overflow fix
* Thu Apr 22 2004 mantel@suse.de
- clean up fshooks/LAuS code
* Thu Apr 22 2004 agruen@suse.de
- nfsacl: Add on-demand buffer allocation patch from okir; this
  significantly improves common-case performance.
* Thu Apr 22 2004 kraxel@suse.de
- fix smp bugs in skas3 patch.
* Thu Apr 22 2004 axboe@suse.de
- dm-mp must use own work queue, to not stall others if it ends up block.
  Bug SUSE39260
* Thu Apr 22 2004 schwab@suse.de
- Disable KDB in default and 64k-pagesize.
* Wed Apr 21 2004 agruen@suse.de
- nfsacl: Fix another bug in xdr_xcode_array2, and clean it up.
  Remove some unnecessary xdr code. Return a more useful error
  code when an acl is too large.
* Wed Apr 21 2004 okir@suse.de
- Tentative fix for arp_solicit crash (SUSE38442)
- Fix for failure in tahi nd#21 (SUSE38542)
* Wed Apr 21 2004 olh@suse.de
- add patches.fixes/rpaphp_err_free.patch
  RPA PCI Hotplug - redundant free (SUSE39258 - LTC7101)
* Wed Apr 21 2004 olh@suse.de
- add patches.fixes/kobject_set_name-lenght.patch
  kobject_set_name() doesn't allocate enough space (SUSE39258 - LTC7101)
* Wed Apr 21 2004 olh@suse.de
- add patches.drivers/firewire_ieee1394_nodemgr
  allow rmmod ohci1394  (SUSE39190)
* Wed Apr 21 2004 garloff@suse.de
- More elegant solution for not attaching other highlevel drivers.
* Wed Apr 21 2004 kraxel@suse.de
- v4l driver updates (cx88, saa7134).
* Wed Apr 21 2004 garloff@suse.de
- Drop 2.4 style SCSI scanning patches except inq_timeout, in
  favour of using new style flags (scsi_mod.)default_dev_flags=Flags
  and dev_flags=Vendor:Model:Flags. Instead:
  * scsi-scan-deprecate-forcelun: Document we don't want FORCELUN
  entries. Instead max_luns=N parameter should be used.
  * scsi-scan-blist_replun: BLIST_NOREPORTLUN (0x10000) and BLIST_
  REPORTLUN2 (0x20000), the first disallowing the use of
  REPORT_LUNS, the second allowing even for SCSI-2 (if HBA
  supports more than 8 LUNs).
  * scsi-scan-no-offl-pq-notcon: Don't mark entire device offline
  if PQ reports not connected. Instead prevent sd driver from
  attaching. Replaces allow_ghost_luns parameter.
  * scsi-scan-dont-att-pq-notcon: Don't attach sr, st, or osst
  either for a PQ different from 0.
  * scsi-scan-dont-att-pq-notcon-ch: Don't attach changer.
* Wed Apr 21 2004 garloff@suse.de
- Disable posix-timers-deadlock patch as it's broken (at least
  on x86-64).
* Wed Apr 21 2004 garloff@suse.de
- Change CPU in bigsmp config to MPENTIUMII. Old PPro machines
  need to run the (small) smp kernel, as they need PPRO_FENCE
  (erratum #51).
* Wed Apr 21 2004 mantel@suse.de
- fix memory leak in do_fork() (SUSE39223)
* Wed Apr 21 2004 olh@suse.de
- CONFIG_HOTPLUG_PCI_RPA=y in pseries64 config (SUSE39216 - LTC7773)
* Wed Apr 21 2004 agruen@suse.de
- Remove patches.fixes/shm_unlink-posix.diff: This is supposed to
  be fixed in glibc (and it is indeed fixed there).
- Add selected fixes from -mc4:
  + bitmap_parse-fix.patch: Broken bitmap_parse for ncpus > 32
  + i4l-kernelcapi-rework.patch: receive workqueue and locking
  rework
  + strip-param-quotes.patch: Strip quotes from kernel parameters
  + sys_time-subtick-correction-fix.patch: Fix sys_time() to get
  subtick correction from the new xtime
  + huge-sparse-tmpfs-files.patch: Fix huge sparse tmpfs files
  (disabled, pending confirmation).
* Wed Apr 21 2004 okir@suse.de
- IPv6: Fixing various IPv6 redirect problems flagged by TAHI (SUSE38543, SUSE38549)
* Wed Apr 21 2004 garloff@suse.de
- posix-timers-deadlock: Avoid deadlock.
* Wed Apr 21 2004 agruen@suse.de
- patches.suse/sunrpc-xdr-arrays, patches.suse/nfs-acl: More
  fixes in nfsacl; the cleanup revealed a few additional bugs
  that did not trigger before.
- patches.fixes/ice-workaround.diff: Work around internal compiler
  error.
* Tue Apr 20 2004 garloff@suse.de
- fix-fb_copy_cmap: Fix error in framebuffer colourmap ioctl (SUSE39053)
* Tue Apr 20 2004 olh@suse.de
- reenable kdb for pseries
* Tue Apr 20 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-veth-devinfo
  provice sysfs device symlink for hwinfo
* Tue Apr 20 2004 olh@suse.de
- update patches.arch/ppc64.patch
  preserve cpus_allowed in collect_startpurr() (# SUSE39143 - LTC7339)
* Tue Apr 20 2004 olh@suse.de
- add patches.fixes/ibm-ppc64-procfs-dynamic-inodes
  [PATCH] Increase number of dynamic inodes in procfs
* Tue Apr 20 2004 olh@suse.de
- update ipr scsi driver to version 2.0.4
  Don't zero the hostrcb dma buffer address in unit check processing.
* Tue Apr 20 2004 ak@suse.de
- Add overflow fixes from linux-kernel (e1000, i810, 3ware, fusion)
- Add acpi_skip_timer_override option for nforce2
- update x86-64 patchkit:
  * fix MCE logging
  * allow compilation without PCI or GART_IOMMU
  * Add cache_alignment field/macro
  * more flexible node<->cpu mapping
  * fix stack page printing in oops log
  * minor cleanups
* Tue Apr 20 2004 mantel@suse.de
- disable CONFIG_PM_DISK on i386
* Tue Apr 20 2004 garloff@suse.de
- SCSI scanning parameters: Drop sparselun and largelun params,
  they are superceeded by default_dev_flags.
- SCSI scanning parameters: Drop llun_blklst: Superceeded by
  dev_flags.
- tmscsim-64bit: 64bit fixes for tmscsim SCSI driver.
* Tue Apr 20 2004 axboe@suse.de
- CFQ iosched alias request hash fix
* Tue Apr 20 2004 garloff@suse.de
- SCSI scanning parameters: Drop scsi_ prefixes as we have a
  scsi_mod. prefix anyways. Also split inq_timeout patch.
* Tue Apr 20 2004 hare@suse.de
- Update call_usermode_helper to use workqueues
  (from 2.6.6-rc1-mm)
  Removed patches.fixes/call_usermodehelper_async.patch,
  patches.fixes/call_usermodehelper_async-always.patch.
  Added patches.fixes/create_singlethread_workqueue.patch,
  patches.fixes/use-workqueue-for-call_usermodehelper.patch
* Tue Apr 20 2004 okir@suse.de
- added a fix from usagi for UDP sendmsg with options
* Tue Apr 20 2004 okir@suse.de
- Pulled in two ipsec patches: pfkey-prio, xfrm-family
* Tue Apr 20 2004 olh@suse.de
- add patches.suse/ibm-ppc64-domain-sched-fix.patch
  updates description to get it in sync with x86
  fixes one nodemask which wasnt being anded with cpu_possible_map.
* Tue Apr 20 2004 okir@suse.de
- Fixed firmware address in tg3 driver (Andreas Jochens)
* Tue Apr 20 2004 mantel@suse.de
- make suspend to S4 via powerbutton work more than once (SUSE39089)
* Tue Apr 20 2004 mantel@suse.de
- use in-kernel e100 driver; new version was meant for 2.4 only
  according to Intel
* Tue Apr 20 2004 garloff@suse.de
- vesafb-video-mem-mtrr: Apply MTRR setting to whole framebuffer.
  (SUSE39104)
* Mon Apr 19 2004 olh@suse.de
- add  patches.fixes/rcu_large_cpumask.patch
  The RCU code was missing cpus_empty() in one place,
  required with large cpumasks.
* Mon Apr 19 2004 schwab@suse.de
- Fix broken LAuS patch.
* Mon Apr 19 2004 schwab@suse.de
- Update configs.
* Mon Apr 19 2004 agruen@suse.de
- Add a few patches from Andrew's -mc4 tree:
  ext2-fsync-speedup-2, ext3-fsync-speedup, jbd-commit-ordered-fix,
  jbd-iobuf-error-handling-fix, jbd-move-locked-buffers,
  kerneldoc-handle-attributes,
  set-mod-waiter-before-calling-stop_machine.
* Mon Apr 19 2004 okir@suse.de
- IPv6: use official IANA value for MLDv2 (SUSE39070)
* Mon Apr 19 2004 olh@suse.de
- update arch/ppc64/kernel/rtas.c
* Mon Apr 19 2004 okir@suse.de
- How embarrassing - a missing semicolon in my previous commit
* Mon Apr 19 2004 mason@suse.de
- update to CKRM-e5
* Mon Apr 19 2004 okir@suse.de
- nat-before-ipsec patches were lacking an EXPORT_SYMBOL(nf_rcv_postxfrm_local)
* Mon Apr 19 2004 okir@suse.de
- open(O_EXCL) on NFSv3 produced incorrect time stamp (SUSE39056)
* Mon Apr 19 2004 mason@suse.de
- fix reiserfs oops during umount due to undeleted work queue timer
* Mon Apr 19 2004 kraxel@suse.de
- raise number of ttys for uml [bug SUSE38995].
* Mon Apr 19 2004 mason@suse.de
- merge aio O_SYNC code
- remove hunks from barrier-reiser that revert other patches
- fix reiserfs-dirty-warning to catch another bogus warning that
  was triggering an oops
* Mon Apr 19 2004 okir@suse.de
- Merged nat-before-ipsec patches and enabled CONFIG_IP_NF_MATCH_POLICY=m
* Mon Apr 19 2004 agruen@suse.de
- Use `make silentoldconfig' instead of `make oldconfig' in spec
  files: As a side effect, this prevents the infinitely growing
  build log problem from happening.
* Mon Apr 19 2004 axboe@suse.de
- update barrier md to use same layout as md unplug bits
* Mon Apr 19 2004 okir@suse.de
- Enabled CONFIG_SCHED_SMT on ppc64
- Fixed typo in sched-domain-setup-lock.patch
* Mon Apr 19 2004 mantel@suse.de
- added Intel e100 driver version 2.3.40. Since there is already a
  driver for this hardware in the kernel (e100.c version 3.0.17),
  the new one from Intel has been added under the name e100-intel.o
* Mon Apr 19 2004 axboe@suse.de
- update swap unplug bits. From Hugh.
* Mon Apr 19 2004 axboe@suse.de
- update md unplug bits. From Neil.
* Mon Apr 19 2004 mantel@suse.de
- update e1000 driver to 5.2.39
* Mon Apr 19 2004 mantel@suse.de
- add audit subsystem (LAuS-kernel and fshooks)
* Mon Apr 19 2004 okir@suse.de
- Merged domain scheduler patches from mm tree
* Sun Apr 18 2004 olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs-warning-fix
* Sun Apr 18 2004 olh@suse.de
- update kdb-ppc64 patch, fix bt <addr>
* Sun Apr 18 2004 olh@suse.de
- update patches.arch/ibm-ppc64-rtas-races
  avoid stale rtas lock, remove lock from rtas_stop_self()
* Sun Apr 18 2004 olh@suse.de
- add patches.arch/ibm-ppc64-oops-platform_info
  add platform to oops message
* Sat Apr 17 2004 olh@suse.de
- fix alsa suspend
* Sat Apr 17 2004 olh@suse.de
- enable lkcd for ppc64
* Sat Apr 17 2004 agruen@suse.de
- patches.suse/nfs-acl: Add missing check.
* Sat Apr 17 2004 olh@suse.de
- temporary disable CONFIG_PPC_VPURR on pseries64
* Sat Apr 17 2004 olh@suse.de
- add patches.drivers/raw-2.6.6-rc1.patch
  create dev nodes in sysfs for raw device (SUSE39037 - LTC7618)
* Sat Apr 17 2004 olh@suse.de
- return 1 in kdb_debugger on ppc64 to avoid recursive calls to kdb
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-xmon, update from ameslab
* Fri Apr 16 2004 olh@suse.de
- update kdb for ppc64 from ameslab
* Fri Apr 16 2004 garloff@suse.de
- Forward port 2.4 SCSI patches:
  * scsi-log-unlikely: Branch prediction optimization
- Forward port 2.4 SCSI scanning patches:
  * patches.suse/scsi-scan-newopts:
  Introduce scsi_sparselun=1 and scsi_largelun=1 boot/module
  parameters.
  * patches.suse/scsi-scan-reportlun2:
  Drop SCSI_REPORT_LUNS config option, introduce scsi_noreportlun
  parameter instead. Also scsi_reportlun2 to allow trying
  REPORT_LUNS on SCSI-2 devices.
  * patches.suse/scsi-scan-allow-ghost-devs:
  Allow to avoid setting LUNs offline as needed by some EMC
  device (scsi_allow_ghost_devices parameter).
  * patches.suse/scsi-scan-inq-timeout:
  Allow the user to specify the SCSI scanning timeout, as some
  devices may need more (scsi_inq_timeout parameter).
  * patches.suse/scsi-scan-llun-blklst-param:
  Implement llun_blklst=C,B,T[,C,B,T[,...]] parameter that allows
  setting BLIST_LARGELUN|BLIST_SPARSELUN for single devices.
  * patches.suse/scsi-scan-host-noreportlun:
  Allow host adapters to not use REPORT_LUNS scanning.
  * patches.suse/scsi-zfcp-noreportlun.diff:
  The zfcp adapter uses it's own way of mapping LUNs, different
  from Linux. Thus don't use REPORT_LUNS.
* Fri Apr 16 2004 olh@suse.de
- add hugetblfs patches for ppc64
  patches.arch/ibm-ppc64-01_sles-macro-cleanup-1.patch
  patches.arch/ibm-ppc64-02_sles-hugetlb-race-1.patch
  patches.arch/ibm-ppc64-03_sles_dyn_as.patch
* Fri Apr 16 2004 olh@suse.de
- add patches.suse/dm-bbr.vmalloc
  vmalloc needs vmalloc.h
* Fri Apr 16 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1206, leave out whitespace changes
* Fri Apr 16 2004 agruen@suse.de
- Some cleanups in nfsacl.
* Fri Apr 16 2004 mason@suse.de
- reiserfs update:
- improved allocator (less fragmentation)
- optimizations for synchronous workloads
- metadata readahead
* Fri Apr 16 2004 schwab@suse.de
- Build sgi_fetchop as module [SUSE38862].
* Fri Apr 16 2004 mantel@suse.de
- fix alsa suspend
* Fri Apr 16 2004 schwab@suse.de
- Add driver for Intel Multimedia Timer [SUSE38873].
* Fri Apr 16 2004 agruen@suse.de
- Update cifs to version 1.0.8.
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-buffer-rmo
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-duplicate-mmu-hash-entry
  [PATCH] ppc64: Fix possible duplicate MMU hash entries
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-branch-trap
  [PATCH] [ppc64] catch branch to 0 in real mode (SUSE38737 - LTC7403)
* Fri Apr 16 2004 okir@suse.de
- merged some pcnet fixes (SUSE38961)
* Fri Apr 16 2004 axboe@suse.de
- import my correct unplug counting patch from mainline
* Fri Apr 16 2004 axboe@suse.de
- update sr reference count and disconnect race patch to match mainline
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-races
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 mantel@suse.de
- fix performance problems with pcnet32 driver (SUSE38962)
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-initialise-dn-properties
  [PATCH] [ppc64] always initialise dn->type and dn->name
  (SUSE37976 - LTC7231) qla2xxx driver oops on device discovery
* Fri Apr 16 2004 olh@suse.de
- add patches.fixes/call_usermodehelper_async-always.patch
  add patches.fixes/call_usermodehelper_async.patch
  add patches.fixes/kstrdup-and-friends.patch
  from 2.6.5-mm6
  (SUSE38925 - LTC7358) Boot hang in call_usermodehelper
* Fri Apr 16 2004 olh@suse.de
- add patches.arch/ibm-ppc64-dart-absolute_to_virt
  [PATCH] ppc64: Fix G5 build with DART (iommu) support
* Thu Apr 15 2004 agruen@suse.de
- Remove a few 64-bit cleanliness warnings that lead to build
  failures.
* Thu Apr 15 2004 olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.patch (SUSE37425)
  ftp://www-126.ibm.com/pub/icadd/icadd-2.6-0.23/
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-eeh_register_disable_func
  export function for pci hotplug
  add patches.arch/ibm-ppc64-restore-r13s
  have to restore r13 when entering unrecoverable_exception
  add patches.arch/ibm-ppc64-si_addr-fix
* Thu Apr 15 2004 okir@suse.de
- Disabled CONFIG_NFS_V4 and CONFIG_NFSD_V4 on all platforms
* Thu Apr 15 2004 axboe@suse.de
- fix reference bug in barrier-core, fix clearing of ->doing_barrier
  in ide core in case of errors
* Thu Apr 15 2004 okir@suse.de
- Updated statfs-no-eoverflow: ia32 mode on AMD64 had the
  same problem with ffiles == -1 (SUSE36400)
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-signal_frame-corruption
  ppc64 signal frame issue
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-ras-bss
  (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Thu Apr 15 2004 mantel@suse.de
- fix ALSA update for PPC
* Thu Apr 15 2004 okir@suse.de
- Fix a typo on ipv6/ah6.c (from netdev)
* Thu Apr 15 2004 olh@suse.de
- update ipr scsi driver to version 2.0.3
  add patches.drivers/patch-ipr_evlog
  add patches.fixes/patch-2.6.5-sd_timeout_mod
  allows LLDs to override the default read/write timeout for scsi
  disks. The default timeout value used is too short for many RAID
  array devices, such as those created by the ipr driver.
* Thu Apr 15 2004 mantel@suse.de
- ALSA update and cleanup
* Thu Apr 15 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas-loglevel
  (SUSE38172 - LTC7219) Frequent RTAS messages reported to the console
* Wed Apr 14 2004 garloff@suse.de
- Back out barrier patches temporarily (SUSE38950, SUSE38949).
* Wed Apr 14 2004 garloff@suse.de
- Patch from Arjan to fix cursor setting for framebuffer drivers.
* Wed Apr 14 2004 olh@suse.de
- update icom driver, fix PORT_ICOM define
* Wed Apr 14 2004 ak@suse.de
- Merge ext3 data=journal data corruption fix from mainline.
* Wed Apr 14 2004 garloff@suse.de
- Added missing ISO9660 symlink length check (mason, agruen).
* Wed Apr 14 2004 okir@suse.de
- IPv6: Disabled xfrm6_tunnel, adjusted several other patches (SUSE36302, SUSE37357)
* Wed Apr 14 2004 axboe@suse.de
- renable barrier-ide again, I killed the sync on block device close.
* Wed Apr 14 2004 okir@suse.de
- SCTP: fail if /proc/net/sctp couldn't be created (SUSE38038)
* Wed Apr 14 2004 agruen@suse.de
- Makefile.suse (for building external modules): Allow symlinks,
  too.
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-cpu-power5
  add patches.suse/ibm-ppc64-cpu-features
  Update CPU features. Remove DABR feature, all cpus have it.
  Add MMCRA, PMC8, SMT, COHERENT_ICACHE, LOCKLESS_TLBIE features
* Wed Apr 14 2004 schwab@suse.de
- Enable parsing of PCI link entries in ACPI [SUSE36790].
* Wed Apr 14 2004 olh@suse.de
- add patches.fixes/generalise-system_running.patch
  (SUSE38395 - LTC7308) Crash at reboot on CONFIG_NUMA systems
* Wed Apr 14 2004 hare@suse.de
- S/390: Rename qeth module to qeth_mod for compability with
  old versions.
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-16mb-lmb
  (SUSE37612 - LTC7163)   [PATCH] ppc64: NUMA fix for 16MB LMBs
* Wed Apr 14 2004 olh@suse.de
- add patches.arch/ibm-ppc64-numa-register-secondary
  (SUSE38648 - LTC7337) sibling cpus are not mapped to nodes
* Wed Apr 14 2004 hare@suse.de
- S/390: Update to IBM Codedrop 2004/04/15
- S/390: Removed obsolete patches
- Rediffed patches.suse/lkcd-kernel-changes-linux263.patch,
  patches.fixes/anon-vma to apply again.
* Tue Apr 13 2004 mantel@suse.de
- update mpt/fusion driver to 3.01.03
* Tue Apr 13 2004 mantel@suse.de
- fix dm so that EVMS snapshotting works correctly
* Tue Apr 13 2004 mantel@suse.de
- fix nonlinear/truncate problem
* Tue Apr 13 2004 mantel@suse.de
- fix module parameter problem in qla2xxx driver (SUSE38764)
* Tue Apr 13 2004 mantel@suse.de
- update cifs to 1.0.6
* Tue Apr 13 2004 schwab@suse.de
- Increase NR_CPUS to 512 in sn2 config.
* Tue Apr 13 2004 mantel@suse.de
- fix file system corruption from qla1280 driver (SUSE38732)
* Thu Apr 08 2004 ak@suse.de
- Disable unnecessary MTD drivers on x86-64
* Thu Apr 08 2004 ak@suse.de
- Add lazy time stamps for networking
* Thu Apr 08 2004 axboe@suse.de
- Don't issue unconditional sync on block driver release.
* Thu Apr 08 2004 ak@suse.de
- Readd new version of NUMA API
* Thu Apr 08 2004 agruen@suse.de
- Update check for unresolved symbols so that it is also effective
  inside Autobuild.
* Thu Apr 08 2004 garloff@suse.de
- Disable barrier-ide until it's fixed.
* Thu Apr 08 2004 agruen@suse.de
- scripts/cvs-wd-timestamp: Fix for users who don't have bash
  as their default shell on cvs.unitedlinux.com.
* Thu Apr 08 2004 andrea@suse.de
- Replace slab-no-comp with gfp-level-mask to better localize
  the dependencies on new gfpmask bitflags.
* Thu Apr 08 2004 andrea@suse.de
- Updated xfs-hugetlbfs-mm-corruption using an alternate
  cleaner fix from the XFS developers. This patch was less
  obvious than the previous one but it has been tested by now
  so it can be applied.
* Thu Apr 08 2004 andrea@suse.de
- added patches.fixes/mprotect-vma-merging and replaced prio-tree
  with the one in 2.6-aa and splitted out the prio-tree-suse
  part (covering kdb etc..) in a separate patch. This way
  the prio tree is applied before the numa-api patches.
- Disabled temporarily the three NUMA-API patches numa-api,
  mpol-copy-fix, numa-api-htlbpages. Andi has been notified,
  the patches need to be rediffed.
* Wed Apr 07 2004 garloff@suse.de
- Fix vscsi deadlocking (against call_usermode_helper/hotplug).
* Wed Apr 07 2004 garloff@suse.de
- Fix slab allocation flags (bug triggered by
  xfs-hugetlbfs-mm-corruption)
* Wed Apr 07 2004 garloff@suse.de
- Fix UML build.
* Wed Apr 07 2004 garloff@suse.de
- Disable non-executable stack on S390.
* Wed Apr 07 2004 ak@suse.de
- Fix 2TB overflow in MD RAID5
* Wed Apr 07 2004 ak@suse.de
- Fix PHY timer bug in updated r8169 driver
* Wed Apr 07 2004 agruen@suse.de
- lvm hash bucket calculation fix, solves snapshot creation
  problems on 32bit machines with > 4GB of ram.  Bug SUSE34418
  (mason@suse.de)
* Wed Apr 07 2004 agruen@suse.de
- fixes/xfs-hugetlbfs-mm-corruption: xfs mm corruption fix
  (andrea@suse.de)
- patches.fixes/anon_vma_prepares-locking: Fix locking for page
  faults in concurrent threads (andrea@suse.de).
- fixes/ext3-infoleak: SUSE35212: fixes/ext3-infoleak, CAN-2004-0133.
* Tue Apr 06 2004 agruen@suse.de
- SUSE38544: fixes/linux-2.6-flash-list-4gig-1: allows flashing of
  the JS20 firmware with the 2.6 kernel (ppc, meissner@suse.de).
- SUSE37815: fixes/iommu-alloc-failed: pci_alloc_consistent should
  return a NULL pointer instead of the magic NO_TCE value. (ppc,
  meissner@suse.de).
* Tue Apr 06 2004 schwab@suse.de
- Reenable auto-IRQ for HCDP serial driver.
* Tue Apr 06 2004 mantel@suse.de
- add Bad Block Relocation Device Target for device mapper
* Tue Apr 06 2004 agruen@suse.de
- SUSE38503: Running fsx-linux generates a truncate + mmap workload
  that can make reiserfs leak bufers.  Eventually the system will
  run out of ram and die.
* Tue Apr 06 2004 axboe@suse.de
- add ext3 barrier patch
* Tue Apr 06 2004 axboe@suse.de
- add barrier patchset
* Tue Apr 06 2004 agruen@suse.de
- patches.fixes/vicam-fix: Add missing copy_from_user (instead
  of direct memory access).
* Tue Apr 06 2004 kraxel@suse.de
- saa7134 driver card list fixes.
* Tue Apr 06 2004 agruen@suse.de
- Fix problem with %%prepare in kernel-source (triggered on ppc).
- Fix permissions of arch/x86_64/offset.h
* Tue Apr 06 2004 hare@suse.de
- S/390: Add patches.arch/s390-xip2fs-lru.patch.
  Fix build for xip2fs.
* Tue Apr 06 2004 agruen@suse.de
- SUSE38013: Enable patches.fixes/shm_unlink-posix.diff.
- Merge selected bug fixes from 2.6.5-mc1.
- Fail if km_* modules don't build or there are undefined
  symbols.
* Tue Apr 06 2004 axboe@suse.de
- update cdrom-refcount to better fix
* Tue Apr 06 2004 schwab@suse.de
- Update configs.
* Tue Apr 06 2004 schwab@suse.de
- Set MAX_DMA_ADDRESS earlier for HP platforms.
* Tue Apr 06 2004 axboe@suse.de
- update libata-update to latest
* Tue Apr 06 2004 mantel@suse.de
- remove HP ProLiant machines from ACPI blacklist (SUSE38427)
* Tue Apr 06 2004 andrea@suse.de
- backed out swap-writepage-sync-1 and applied real fix for SUSE38247
* Mon Apr 05 2004 ak@suse.de
- change map_base to mapped_base (SUSE38434)
* Mon Apr 05 2004 ak@suse.de
- keep ACPI processor module loaded even without ACPI (SUSE37702)
* Mon Apr 05 2004 ak@suse.de
- update r8169 driver (SUSE37793)
* Mon Apr 05 2004 ak@suse.de
- disable CONFIG_NET_DIVERT on pseries64 too
* Mon Apr 05 2004 schwab@suse.de
- Fix mmap overflow [SUSE37845].
* Mon Apr 05 2004 ak@suse.de
- handle empty/disabled nodes without oopsing (SUSE37135)
* Mon Apr 05 2004 agruen@suse.de
- Include binaries below scripts/ in kernel-source.$arch.rpm:
  Some external modules expect them.
- Include arch/asm-x86_64/offsets.h in kernel-source.$arch.rpm.
- Remove wrong Provides from kernel-syms.spec.
* Mon Apr 05 2004 garloff@suse.de
- cdcrom-refcount: Patch from axboe for CDROM refcounting (SUSE38222).
* Mon Apr 05 2004 okir@suse.de
- Remove remainder of udp-no-eagain patch; it breaks poll() on raw
  sockets (SUSE37842).
* Mon Apr 05 2004 hare@suse.de
- S/390: add patches.drivers/xip2fs_part{1,2}.diff
  Add new execute-in-place fs for S/390.
* Mon Apr 05 2004 mantel@suse.de
- disable CONFIG_PCI_NAMES
* Mon Apr 05 2004 schwab@suse.de
- Disable 32bit emulation when the cpu does not support it [SUSE37594].
* Mon Apr 05 2004 schwab@suse.de
- Fix missing include file.
* Mon Apr 05 2004 okir@suse.de
- Updated and re-enabled patches.fixes/sunrpc-disconnect-race (SUSE37686)
* Mon Apr 05 2004 mantel@suse.de
- fix AC97 register initialization
* Mon Apr 05 2004 ak@suse.de
- Force IPv6 FIB cleanup on netdevice unregister (SUSE38246)
* Mon Apr 05 2004 ak@suse.de
- add mapped-base for ppc64
* Mon Apr 05 2004 okir@suse.de
- Disabled patches.fixes/sunrpc-verbose-disconnect; bad idea
* Mon Apr 05 2004 kkeil@suse.de
- fix bug in the init of some bluetooth PCMCIA cards (SUSE34038)
* Mon Apr 05 2004 andrea@suse.de
- prio-tree internal fix from Rajesh Venkatasubramanian,
  changes only mm/prio_tree.c.
* Mon Apr 05 2004 garloff@suse.de
- Update to linux-2.6.5, dropping merged patches and adapt a few.
* Mon Apr 05 2004 ak@suse.de
- add alpha fixes from ro
* Sun Apr 04 2004 ak@suse.de
- add acpi_link_tolerant option to work around problems
  with VIA chipsets. Disabled by default for now.
* Sun Apr 04 2004 andrea@suse.de
- added obviously safe patches.suse/unmap_vmas-lat to provide
  lowlatency even with preempt disabled.
* Sun Apr 04 2004 andrea@suse.de
- XFS vmtruncate fix, will fix bug SUSE37257
* Sun Apr 04 2004 agruen@suse.de
- patches.fixes/sound-ati-ixp-fix: Fix the S/PDIF port on ATI IXP
  boards (takashi@suse.de).
* Sun Apr 04 2004 andrea@suse.de
- anon-vma arch update (noop for x86/x86-64 and most others)
* Sun Apr 04 2004 ak@suse.de
- add ACPI always enable gpes change from mainline
* Sun Apr 04 2004 garloff@suse.de
- Update cifs to version 1.0.5. (SUSE35685, SUSE37871).
* Sun Apr 04 2004 ak@suse.de
- disable apic off dmi entry for HP DL380 (SUSE34704)
* Sun Apr 04 2004 agruen@suse.de
- SUSE38070 hang in hwscan loading module uhci-hcd: Extended
  psmouse-usb-fix patch to reset the USB controller thoroughly
  (vojtech@suse.cz).
* Sat Apr 03 2004 agruen@suse.de
- patches.fixes/alsa-via82xx-amira-fix.diff: Fix from Takashi.
* Sat Apr 03 2004 ak@suse.de
- add ACPI updates from mainline (pci bridge and ACPI SCI fixes)
* Sat Apr 03 2004 garloff@suse.de
- protect-pids-from-oom2: Patch that allows adjustment of oom
  score per pid in powers of 2: 1 << $((/proc/$PID/oom_adj))
  with oom_adj in [-16 ... 15] and exports oom scores in /proc/
  $PID/oom_score. OOM killer sends SIGTERM prior to SIGKILL now.
- rediff patch-delay-2.6.3-040317
* Fri Apr 02 2004 garloff@suse.de
- Change max request size from 128k to 124k for SATA devices w/o
  LBA48 support.
* Fri Apr 02 2004 ak@suse.de
- Disable vectored interrupts support for i386 smp/bigsmp
* Fri Apr 02 2004 ak@suse.de
- set nodes online on ia64
* Fri Apr 02 2004 andrea@suse.de
- Removed suprious warnings from gfp-no-compound, and added
  further bugchecks to be more robust. Added some further
  __GFP_NO_COMP in the swapsuspend/swapresume (not strictly
  needed but just in case).
* Fri Apr 02 2004 kraxel@suse.de
- add missing MODULE_DEVICE_TABLE() to skystar2 driver.
* Fri Apr 02 2004 olh@suse.de
- merge a few patches from the linuxppc64-2.5 tree
  veth, vscsi, eeh
* Fri Apr 02 2004 mantel@suse.de
- JFS: initialize log->bp before calling lmNextPage
* Fri Apr 02 2004 mason@suse.de
- update snapshot locking code, fix possible deadlock cause by
  during dm activation.
* Fri Apr 02 2004 agruen@suse.de
- patches.fixes/shm_unlink-posix.diff: Proposed fix for for
  SUSE38013, error status of shm_unlink not compliant with
  POSIX.1-2001 (minor issue).  The fix is disabled right now; we
  will test/enable it after SL91 is out.
* Fri Apr 02 2004 mantel@suse.de
- downgrade bcm5700 driver to 7.1.22 as this is the latest official
  version
* Fri Apr 02 2004 hare@suse.de
- Fix patches.fixes/prio-tree to cover S/390.
* Fri Apr 02 2004 kkeil@suse.de
- fix Oops on unloading ISDN drivers with still activ connections
* Fri Apr 02 2004 axboe@suse.de
- update dm-02-leftovers to include fix for blk_pc_request residuals
* Fri Apr 02 2004 okir@suse.de
- Replaced IGMPv3 timer list fix icmp-dead-backout with a
  different one from DL Stevens (igmp-timerlist)
* Fri Apr 02 2004 agruen@suse.de
- kernel-source package: Call running-kernel init script with
  argument "start" in %%post; a few more rc.d => init.d changes.
* Fri Apr 02 2004 okir@suse.de
- IPv6 mcast defaults to MLDv1 now in order to prevent network
  meltdown with some cisco switches (SUSE34954)
- Remove obsolete patches.fixes/suse-ipv6-mld2 patch
* Fri Apr 02 2004 andrea@suse.de
- patches.fixes/aic7xxx-suspend (fix swap suspend for aic7xxx
  driver from Pavel)
- patches.fixes/gfp-no-compound this fixes a collision between
  rw_swap_page_sync with compound pages and anon-vma: swapsuspend
  called rw_swap_page_sync with a compound page. This is the last
  bit needed to close SUSE37442. This also cures the no-hugetlbfs
  compilation that currently is very suspect since it doesn't
  setup the page_count of all page_t * for the secondary pages
  in the multipage.
- patches.fixes/anon-vma added hardness check for PageCompound
  in rw_swap_page_sync so an explicit bug will trigger instead
  of a random oops (decoding the asm once is more than enough ;)
- patches.suse/disable-cap-mlock new version (slightly cleaner)
  from Andrew Morton (after s/unlikely/likely)
* Thu Apr 01 2004 okir@suse.de
- statfs should not return EOVERFLOW on 32bit systems if
  b_files or b_ffree is -1 (SUSE36400)
* Thu Apr 01 2004 agruen@suse.de
- Fix a build dependency in lkcd (kerntypes.o needs compile.h).
- Add missing PreReq entires in kernel-source.spec.in.
- Use /etc/init.d instead of /etc/rc.d.
* Thu Apr 01 2004 olh@suse.de
- update icom driver to version 1.3.1
* Thu Apr 01 2004 okir@suse.de
- patches.fixes/nfs-blocksize is superfluous, removed it
* Thu Apr 01 2004 okir@suse.de
- Starting the NFS server didn't work (SUSE37925)
  patches.fixes/sunrpc-xprt-connfix should address this
* Thu Apr 01 2004 okir@suse.de
- Some people still saw kernel messages complaining about an old
  NFS mount version. Fixed. (SUSE37689)
* Thu Apr 01 2004 mason@suse.de
- add BKL around reiserfs_end_persistent_transaction, fixing an
  oops in when reiserfs_get_block returns an error to
  reiserfs_prepare_write
* Thu Apr 01 2004 ak@suse.de
- make pci_dma_allowed on x86-64 bug to bug compatible to i386
  for alsa (SUSE37943)
* Thu Apr 01 2004 mason@suse.de
- disable reiserfs warning about locked buffers being marked dirty
  (bug SUSE37758)
* Thu Apr 01 2004 andrea@suse.de
- One more fix for bug SUSE37442 so that the page written with
  rw_swap_page_sync aren't considered exclusive by the
  swap_writepage operations. This should allow swapsuspend to
  work again. Added further bugchecks in the rw_swap_page_sync
  to protect against non-private pages being passed to that
  interface.
* Thu Apr 01 2004 okir@suse.de
- sunrpc-disconnect-race patch is broken; disabled for now
* Thu Apr 01 2004 agruen@suse.de
- Remove some swsusp warnings.
- patches.suse/disable-cap-mlock: Add sysctl so that the
  CAP_IPC_LOCK capability can be ignored in mlock/mlockall/mmap,
  and so unprivileged processes can use them.
* Thu Apr 01 2004 mantel@suse.de
- pci: Add quirks for USB devices, so that SMM BIOS Legacy PS/2
  emulation is switched off even when USB drivers are not loaded.
  (SUSE34824)
* Thu Apr 01 2004 kraxel@suse.de
- added updates for v4l drivers.
* Thu Apr 01 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10d
* Thu Apr 01 2004 andrea@suse.de
- Allow swap header to be rewritten with rw_swap_page_sync,
  may fix bug SUSE37442.
* Thu Apr 01 2004 ak@suse.de
- disable EDD reporting url
* Wed Mar 31 2004 olh@suse.de
- add patches.drivers/usb-static-sysfs-info
  the sysfs files 'serial', 'product' and 'manufacturer' will be
  read on the fly. this causes problems and unexpected results
  if many processes read that file at once.
  just read this info once now during plugin time and keep it in
  memory.
* Wed Mar 31 2004 andrea@suse.de
- Andrew's fix for SUSE37442 was buggy, rewritten the fix
  and hopefully fixed the bug for real this time.
* Wed Mar 31 2004 okir@suse.de
- Fixed a race condition in the NFS disconnect code (SUSE37686)
* Wed Mar 31 2004 agruen@suse.de
- patches.suse/nfs-mount-warning: Include user space mount version
  in warning.
* Wed Mar 31 2004 stepan@suse.de
-  update bootsplash to 3.1.6
* Wed Mar 31 2004 andrea@suse.de
- Fix a very minor bug while dealing with device driver memory
  in anon-vma (it couldn't harm but this is more correct).
- Fix another minor issue in xfs in prio-tree with nonlinear vmas.
  An xfs fixup for a generic VM truncate bug spotted by objrmap is
  also pending but it's unrelated to this so it'll be in another
  checkin.
- Rediffed ppc64-kdb so it applies cleanly with my scripts (no
  difference for anybody else).
* Wed Mar 31 2004 agruen@suse.de
- Add reiserfs acl support for special files (jeffm@suse.de).
* Tue Mar 30 2004 ak@suse.de
- Add missing vmalloc.h include on x86-64
* Tue Mar 30 2004 mason@suse.de
- lkcd update, disable IPF support until IBM can integrate and
  test the fujitsu patch
- merge ppc64 support, leave them disabled in series.conf until
  the ppc folks can try things out and make sure it compiles
* Tue Mar 30 2004 agruen@suse.de
- Don't artificially limit the number of ACL entries on ext[23].
* Tue Mar 30 2004 garloff@suse.de
- Forward port patch to increase sense buffer size to 96 bytes.
  (Some devices need it, e.g. IBM MagStar tapes.)
- Increase the libata request size from 100k to 128k resp. 512k
  for LBA48 devices.
* Tue Mar 30 2004 okir@suse.de
- Increased the limit when nfsd starts dropping connections
- NFSD now prints a (hopefully) helpful message when it reaches
  this limit and has to drop connections
* Tue Mar 30 2004 agruen@suse.de
- Generate symlinks in /boot also for uml.
* Tue Mar 30 2004 okir@suse.de
- NFS now prints a message when the server drops the connection
* Tue Mar 30 2004 ak@suse.de
- Enable oprofile in i386 configuration
* Tue Mar 30 2004 ak@suse.de
- support more than 8 local APICs on x86-64
* Tue Mar 30 2004 kraxel@suse.de
- update lirc patch and update config files (fixes SUSE37261).
* Tue Mar 30 2004 kkeil@suse.de
- add SET_NETDEV_DEV macros to many network drivers
* Tue Mar 30 2004 agruen@suse.de
- prio_tree: Add missing include module.h for symbol exports.
- Exclude um from module test build: it's badly broken with
  respect to O= building.
* Tue Mar 30 2004 axboe@suse.de
- Make partial io completions with io errors work properly when
  .using bio pairs
* Tue Mar 30 2004 axboe@suse.de
- Fix PREP_KILL return in elv_next_request(), can cause dead
  kernel if used by drivers (send MODE6 to ide-cd, for instance).
* Tue Mar 30 2004 agruen@suse.de
- Export prio_tree_{first,next} symbols.
* Mon Mar 29 2004 mason@suse.de
- Make reiserfs warnings give device details (SUSE29740)
* Mon Mar 29 2004 agruen@suse.de
- Two small prio-tree fixes from Andrea.
* Mon Mar 29 2004 mason@suse.de
- properly set block device size during loop device setup
* Mon Mar 29 2004 mantel@suse.de
- added prio-tree feature
* Mon Mar 29 2004 axboe@suse.de
- fix oops in pci_alloc_consistent with iommu for pcidev == NULL (SUSE37191)
* Mon Mar 29 2004 olh@suse.de
- remove changes to arch/ppc/mm/pgtable.c from anon_vma patch
* Mon Mar 29 2004 andrea@suse.de
- Add bugcheck for page->mapcount == 0 in alloc/free page paths
  (just in case).
- Convert BUG_ON to WARN_ON in page_remove_rmap and added a
  WARN_ON(page->mapcount) in remove_from_page_cache, to try
  to trap the case of pages being removed from pagecache while
  they still had some mapping. This should fix SUSE37257.
* Mon Mar 29 2004 mantel@suse.de
- add swsuspend support for highmem machines; show progress (SUSE37147)
* Mon Mar 29 2004 mantel@suse.de
- ALSA update:
  - fix the hang up of AD1985 codec.
  - fix the handling of chained AD188x/AD198x codecs.
  - fix the detection of AC97 rev2.3.
* Mon Mar 29 2004 axboe@suse.de
- return -ENXIO in scsi_device_get() if it isn't fully set up yet (SUSE37303)
* Mon Mar 29 2004 mantel@suse.de
- update IBM ServeRaid driver (ips) to 7.00.15
* Mon Mar 29 2004 mantel@suse.de
- don't use arbitrary MAC address in prism driver when firmware is
  not yet loaded
* Mon Mar 29 2004 mantel@suse.de
- fix signal/restart loop in autofs (SUSE35148)
* Mon Mar 29 2004 kkeil@suse.de
- update ppp-filter-fix to fix also the ippp autodial filter (SUSE37284)
* Mon Mar 29 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040329
  s390 updates, mount compat changes, ide updates
* Sun Mar 28 2004 olh@suse.de
- update patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  use the official version
* Sun Mar 28 2004 olh@suse.de
- add patches.drivers/ppc64-iseries-icom.patch
  serial icom driver for iseries
* Sun Mar 28 2004 olh@suse.de
- add patches.arch/ppc64.patch_iseriesworkaround
  the segment handling patch broke iseries, temporary fix
  add patches.drivers/ppc64-iseries-viocd-removableflag
  dont show iSeries virtual CD in /proc/partitions
* Sun Mar 28 2004 agruen@suse.de
- patches.fixes/alsa2.diff: Fix from Takashi Iwai <tiwai@suse.de>.
* Sun Mar 28 2004 olh@suse.de
- disable patches.suse/dm-03-32bit-ioctl
  breaks interfaces on ppc (SUSE36813 - LTC7019)
* Sat Mar 27 2004 garloff@suse.de
- Enable noexec-stack on all archs and put in front of anon-vma.
  (Rediffed the latter.)
* Sat Mar 27 2004 agruen@suse.de
- xfs got the attribute namespaces wrong with a tight buffer as in
  listxattr(file, buffer, listxattr(file, NULL, 0)).
* Sat Mar 27 2004 schwab@suse.de
- Remove obsolete patches.
* Sat Mar 27 2004 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pcspkr.patch
* Sat Mar 27 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040327
  acpi, ia64, ppc23, arm, sparc64 updates
  add patches.drivers/usb-2.6-disable-pwc
  disabled umaintained usb driver
* Fri Mar 26 2004 olh@suse.de
- add patches.fixes/usb-interface-init-fix (SUSE36990)
* Fri Mar 26 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040326
  add patches.drivers/pci_dma_mapping_error.patch
* Fri Mar 26 2004 mason@suse.de
- merge patches.fixes/reiserfs-writepage back into
  reiserfs-writepage-ordered-race (which added the bug)
- add writepage-ordered-race to fix the data=ordered race with
  fsync/O_SYNC for ext3, integrate speedups from Andrew's fix into
  reiserfs-writepage-ordered-race
  fsync should really be syncing now (finally)
* Fri Mar 26 2004 axboe@suse.de
- Back out problematic igmp dev ref counting patch (SUSE36696)
* Fri Mar 26 2004 schwab@suse.de
- Export register_percpu_irq.
* Fri Mar 26 2004 schwab@suse.de
- Fix an unwind bug.
* Fri Mar 26 2004 ak@suse.de
- Make VIA IOMMU change compile on SMP too
* Fri Mar 26 2004 okir@suse.de
- Removed my mcast timer fix after Jens imported the mainline fix
* Fri Mar 26 2004 mantel@suse.de
- do not panic when resume partition cannot be found (SUSE36972)
* Fri Mar 26 2004 ak@suse.de
- Force swiotlb on VIA chipsets for >3GB RAM.
* Fri Mar 26 2004 ak@suse.de
- Make ACPI modular on x86-64
* Fri Mar 26 2004 axboe@suse.de
- add ip_mc_down() fix from linux-bk (SUSE36696)
* Fri Mar 26 2004 ak@suse.de
- Disable debugging messages in parport daisy driver
* Fri Mar 26 2004 ak@suse.de
- Enable powernow k8 acpi driver on x86-64 and i386 (SUSE36822)
* Fri Mar 26 2004 agruen@suse.de
- xfs cvs update.
* Thu Mar 25 2004 andrea@suse.de
- Fixup one locking bit in the objrmap-core, more precisely
  backed out this below incorrect patch. This results in a
  microscalability optimization for munmap, and it fixes an smp
  race in swapoff (such race existed in mainline too btw).
- After modifying this part of objrmap-core, anon-vma generated a
  trivial reject, but there is absolutely no change to anon-vma
  except for the reject fixup.
* Thu Mar 25 2004 ak@suse.de
- Fix use of uninitialized memory in split_vma (SUSE36890)
* Thu Mar 25 2004 okir@suse.de
- Prevent dst underrun in ip6t_REJECT (SUSE36923)
* Thu Mar 25 2004 ak@suse.de
- Force alignment of task_struct to 16 bytes (SUSE36301)
* Thu Mar 25 2004 okir@suse.de
- prevent "uninitialized timer in ip_mc_down" message (SUSE36842)
* Thu Mar 25 2004 schwab@suse.de
- Make VFAT builtin.
* Thu Mar 25 2004 ak@suse.de
- Fix vsyscall debugging on x86-64
* Thu Mar 25 2004 agruen@suse.de
- SUSE36841: Disable ``mount version is older than kernel'' warning:
  The kernel for SL 9.1 will support a higher mount version than
  the mount binary.
* Thu Mar 25 2004 mantel@suse.de
- update libata
* Thu Mar 25 2004 axboe@suse.de
- add CFQ io sheduler
* Thu Mar 25 2004 mantel@suse.de
- add objrmap nonlinear and anon-vma ppc support
* Thu Mar 25 2004 ak@suse.de
- Use correct optimization option for intel x86-64 CPUs (SUSE36901)
* Thu Mar 25 2004 ak@suse.de
- Disable network debugging messages
* Thu Mar 25 2004 axboe@suse.de
- Fix ide-cd capacity query
* Thu Mar 25 2004 ak@suse.de
- Emulate bridge ioctls for vmware (SUSE36641)
* Thu Mar 25 2004 garloff@suse.de
- Revert sysfs changes from rc2. (SUSE36844, SUSE36198).
* Thu Mar 25 2004 garloff@suse.de
- Drop part from lkcd_ipf that panics the kernel on accessing
  /proc/sys/kernel/cad_pid.
* Wed Mar 24 2004 agruen@suse.de
- patches.fixes/doc-syntax.diff: Fix a syntax error that causes
  the kernel-docs package to fail.
* Wed Mar 24 2004 agruen@suse.de
- Update configs, and relax the config file consistency check.
* Wed Mar 24 2004 ak@suse.de
- another swap fix for NUMA kernels under load (SUSE36806)
- remove debugging messages in usagi ip6ip6 tunnel
- enlarge kernel log size on x86-64
* Wed Mar 24 2004 mantel@suse.de
- some ALSA updates still missing from 2.6.5-rc2
* Wed Mar 24 2004 olh@suse.de
- add patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  do not hang during usb device unplug (SUSE36830)
* Wed Mar 24 2004 schwab@suse.de
- Fix buffer list walking bug in reiserfs writepage [SUSE36797].
* Wed Mar 24 2004 agruen@suse.de
- kernel-dummy.spec.in: Remove wrong Provides line.
* Wed Mar 24 2004 axboe@suse.de
- don't show cdroms in /proc/partitions (SUSE36527)
* Wed Mar 24 2004 mantel@suse.de
- allow capabilities to be disabled via kernel parameter (SUSE36821)
* Wed Mar 24 2004 olh@suse.de
- update kdb for ppc64, keep the ameslab version intact
  fix stacktrace for current process
* Wed Mar 24 2004 schwab@suse.de
- Fix SAL revision detection [SUSE36782].
* Wed Mar 24 2004 ak@suse.de
- delete obsolete patches.
* Wed Mar 24 2004 ak@suse.de
- Fix 32bit getdents and remount on x86-64
* Wed Mar 24 2004 hare@suse.de
- Disable LTT & dprobe completely as they also do not
  work on S/390.
- Rediff numa-api.
* Wed Mar 24 2004 schwab@suse.de
- Enable KDB on ia64, off by default.
* Tue Mar 23 2004 ak@suse.de
- fix oops in numa api code (SUSE36806)
* Tue Mar 23 2004 garloff@suse.de
- Non executable stack for x86-64.
* Tue Mar 23 2004 kkeil@suse.de
- add PPP filter fix (SUSE34724)
- add ported iff_dynamic patch
* Tue Mar 23 2004 ak@suse.de
- Disable relayfs on um
* Tue Mar 23 2004 ak@suse.de
- Fix build on x86-64 again
* Tue Mar 23 2004 ak@suse.de
- Really disable IO-APIC on UP by default in ACPI (SUSE36767)
* Tue Mar 23 2004 agruen@suse.de
- patches.fixes/um-O=.diff: UML related fix for O=.
- rpm/generate-Makefile.suse: Minor quircks.
* Tue Mar 23 2004 agruen@suse.de
- Add Required-Start: $remote_fs to running-kernel.init so that
  the script will find /usr mounted.
* Tue Mar 23 2004 schwab@suse.de
- Enable forced interrupts by default on SN [SUSE36439].
* Tue Mar 23 2004 ak@suse.de
- Disable non fatal MCE checks for i386 (too many false errors)
* Tue Mar 23 2004 ak@suse.de
- Disable HPET timer support for i386 (SUSE35081)
* Tue Mar 23 2004 olh@suse.de
- add patches.arch/ibm-ppc64-pci_dma_error.patch
  update vio drivers for recent pci_dma changes
* Tue Mar 23 2004 okir@suse.de
- nfs-blocksize: prevent 32bit statfs failures on large NFS file
  systems (SUSE36400)
- nfs-mount-fail-crash: do not oops when fsinfo call fails during
  OB  NFS super block initialization (SUSE36018)
* Tue Mar 23 2004 garloff@suse.de
- ngroups-max-var: Add patch to allow adjustment of NGROUPS_MAX
  (SUSE36724).
* Tue Mar 23 2004 garloff@suse.de
- vm_reserve-patch: Add patch from Karsten Keil to implement
  vm_reserve boot parameter.
* Tue Mar 23 2004 garloff@suse.de
- Make __HZ int instead of long and use sizeof(int) in sysctl
  handler. It displayed two values on 64 bit archs :-(
* Tue Mar 23 2004 schwab@suse.de
- Fix ckrm patch so that it compiles.
* Tue Mar 23 2004 ak@suse.de
- Update ACPI to 20040311 test queue.
* Tue Mar 23 2004 ak@suse.de
- Update configurations
* Tue Mar 23 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040323
  isdn updates, ps2 works again on ppc64
* Tue Mar 23 2004 olh@suse.de
- remove patches.suse/kdb-common-softirq again, it was old kdb code
* Tue Mar 23 2004 ak@suse.de
- make s2io driver actually compile with standard configuration
* Tue Mar 23 2004 ak@suse.de
- add s2io driver
* Tue Mar 23 2004 mason@suse.de
- hopefully fix lkcd for ia64 compiles as a module
* Tue Mar 23 2004 mason@suse.de
- remove duplicate entry for num api in series.conf
* Tue Mar 23 2004 mason@suse.de
- well, that didn't work.  disable ckrm on ppc
- reorder things in series.conf so ckrm comes before llt, that
  way it won't conflict with anon-vma on ppc.  Enable relayfs
  for ppc.
* Tue Mar 23 2004 ak@suse.de
- disable debugging code in numa api
* Tue Mar 23 2004 mason@suse.de
- add ckrm core patches
* Tue Mar 23 2004 schwab@suse.de
- Remove ILP32 patch.
* Tue Mar 23 2004 olh@suse.de
- update emulex fc driver to lpfcdriver-2.10c
* Mon Mar 22 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  restore old simpler version of this patch
* Mon Mar 22 2004 schwab@suse.de
- Fix lkcd patch so that it compiles.
* Mon Mar 22 2004 schwab@suse.de
- More fallout from ak's patch.
* Mon Mar 22 2004 schwab@suse.de
- Fix ak's fixes.
* Mon Mar 22 2004 mason@suse.de
- fix lkcd compile for ia64
* Mon Mar 22 2004 mason@suse.de
- fix ia64 configs for lkcd
* Mon Mar 22 2004 ak@suse.de
- Some fixes for previous checkin
* Mon Mar 22 2004 schwab@suse.de
- Update ppc64 kdb patches.
* Mon Mar 22 2004 ak@suse.de
- Add NUMA API
* Mon Mar 22 2004 agruen@suse.de
- add lkcd for ia64
* Mon Mar 22 2004 agruen@suse.de
- Switch from a build-kernel-modules script to Makefile.suse for
  test-building external modules.
- Remove test that breaks the external modules test.
- patches.rpmify/kbuild-out-of-tree: Remove modversions files
  when doing a `make distclean'.
* Mon Mar 22 2004 schwab@suse.de
- kdb: move bfd.h and ansidecl.h to include/asm.
* Mon Mar 22 2004 mantel@suse.de
- disable CONFIG_WATCHDOG_NOWAYOUT (SUSE36511)
* Mon Mar 22 2004 mantel@suse.de
- add fix for vmware to anon-vma
* Mon Mar 22 2004 axboe@suse.de
- update patches.suse/backing-dev-unplug.patch to not call into q->unplug_fn
  unconditionally, saves some cpu io bound loads.
- update patches.suse/dm-30-unplug-update-1 to not include md patches now
  folded into the above patch
* Mon Mar 22 2004 olh@suse.de
- add patches.suse/kdb-common-softirq
  ignore softirqs when in kdb
* Mon Mar 22 2004 olh@suse.de
- add patches.drivers/ppc64-e1000-tce-leak
  Don't wrap the ring in tx_map, since that'll lead to TCE leaks
* Mon Mar 22 2004 olh@suse.de
- update patches.arch/ppc64.patch
  sync with Linus, some hotplug things changed when rusty merged it
  upstream
* Mon Mar 22 2004 ak@suse.de
- fix DEBUG_INFO build on x86-64 again
* Sun Mar 21 2004 olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1193, Some host driver cleanups.
* Sun Mar 21 2004 mason@suse.de
- reiserfs laptop mode support
* Sun Mar 21 2004 olh@suse.de
- add patches.suse/aio-cancel-debug
* Sun Mar 21 2004 olh@suse.de
- update ipr scsi driver to version 2.0.0-8
* Sun Mar 21 2004 mason@suse.de
- fix aacraid compile problem
* Sun Mar 21 2004 mason@suse.de
- disable the hooks probes and LTT on ppc, needs a rediff against
  anon_vma once andrea fixes that
- disable kprobes/dprobes entirely, it doesn't compile on arches
  it doesn't support
* Sun Mar 21 2004 mason@suse.de
- update evlog so that dev_printk can go there
- add e1000 dprintk code from IBM
- add relayfs, kernel hooks, dprobes and LTT
* Sun Mar 21 2004 mason@suse.de
- quota locking update from Jan Kara
* Sun Mar 21 2004 andrea@suse.de
- Make mmap(MAP_SHARED|MAP_ANONYMOUS) work again.
* Sun Mar 21 2004 olh@suse.de
- split patches.arch/ppc64.patch into smaller pieces for
  rtas, ipr and vscsi driver, veth, hvc console and server
* Sun Mar 21 2004 andrea@suse.de
- Change BUG_ON with WARN_ON. Current kernel will work fine
  even if the WARN_ON triggers. However it would be nice to
  catch drivers not setting VM_RESERVED since those wouldn't work
  properly with a pagetable walk anymore.
- this will make SUSE36628 not a problem, but still I'd like to
  fix the vmmon module to set VM_RESERVED to enforce a
  stronger VM API.
* Sun Mar 21 2004 olh@suse.de
- add patches.drivers/emulex-lpfc-compat
  remove compat defines to get it going on ppc (SUSE35691 - LTC6704)
* Sun Mar 21 2004 olh@suse.de
- update patches.drivers/usb-eciadsl.patch
  better version from David Brownell
* Sun Mar 21 2004 olh@suse.de
- add patches.fixes/sg_cmd_done_oops.patch
  fixes a race condition in sg_cmd_done that results in an oops.
  sg_cmd_done cannot touch sfp once srp->done is set.
* Sun Mar 21 2004 agruen@suse.de
- When installing a second kernel in addition to the existing
  one(s), keep symlinks to the previously active kernel around as
  /boot/{vmlinuz,initrd}.previous.
- Remove ``Requires: make c_compiler'' from kernel-source package.
* Sun Mar 21 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20030420
* Sat Mar 20 2004 andrea@suse.de
- Fixed NOPAGE_SIGBUS/OOM returned by ->nopage, and save
  8 bytes per page on 64bit archs.
* Sat Mar 20 2004 mason@suse.de
- Pull in Takashi's latest latency fixes for reiserfs and
  mpage_writepages
* Sat Mar 20 2004 mason@suse.de
- cleanup: get rid of the old dm patches, they have been disabled
  most of the week.
* Sat Mar 20 2004 mason@suse.de
- reiserfs-file_write_hole_sd.diff needs to be in the series.conf
  to do any good.  whoops.  Now bug SUSE36353 should be fixed
* Sat Mar 20 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  implement a pipe as suggested by viro
* Sat Mar 20 2004 agruen@suse.de
- SUSE36587: Remove qsort from xfs; it's in our kernel for nfsacl
  anyway.
* Fri Mar 19 2004 olh@suse.de
- readd patches.suse/suse.ppc32.console.autodetection
* Fri Mar 19 2004 schwab@suse.de
- Prevent GCC from clobbering r13.
* Fri Mar 19 2004 mantel@suse.de
- re-add ppp_mppe (SUSE34335)
* Fri Mar 19 2004 mantel@suse.de
- update powernow-k8
* Fri Mar 19 2004 schwab@suse.de
- Fix fallout from last change.
* Fri Mar 19 2004 mantel@suse.de
- update objrmap-core, add anon-vma
* Fri Mar 19 2004 okir@suse.de
- Back out patches.fixes/suse-ipv6-mld2
- Removed patches.fixes/ipv6-rtm-dump-no-mcast; folded into mainline
* Fri Mar 19 2004 ak@suse.de
- Update to x86_64-2.6.5rc1-3. Should fix SUSE35405
* Fri Mar 19 2004 agruen@suse.de
- Fix the override-config-file mechanism.
* Fri Mar 19 2004 mason@suse.de
- fix reiserfs_file_write hole bug
- Try to fix some O_DIRECT<->buffered io races
- fix reiserfs writepage for fsync vs data=ordered races
- add O_DIRECT aio fixes from -mm
- make fsaio really async (from Suparna)
* Thu Mar 18 2004 ak@suse.de
- Disable PM_TIMER on x86-64
* Thu Mar 18 2004 stepan@suse.de
- update bootsplash to v3.1.5
* Thu Mar 18 2004 agruen@suse.de
- Fix breakage in the merged version.h/autoconf.h files.
* Thu Mar 18 2004 hare@suse.de
- add patches.fixes/ide-pci-module.patch to fix modular IDE drivers.
* Thu Mar 18 2004 mantel@suse.de
- add monitor patch to orinoco driver (SUSE34371)
* Thu Mar 18 2004 ak@suse.de
- disable software suspend on x86-64 and i386 SMP kernels.
* Thu Mar 18 2004 ak@suse.de
- enable SIS190 and RAID6 on x86-64
- enable SIS190 on i386
* Thu Mar 18 2004 ak@suse.de
- fix compilation with fusion driver (hopefully last fix needed now)
* Thu Mar 18 2004 mason@suse.de
- fix race with ak on the fusion change
* Thu Mar 18 2004 mason@suse.de
- fix mpt fusion fix so it patches
- fix for mm-writeback changes, make wait_on_page_writeback_range
  actually wait
* Thu Mar 18 2004 ak@suse.de
- Remove bogus hunk from usb-set_idle.patch that broke compilation
* Thu Mar 18 2004 ak@suse.de
- Set correct consistent dma mask in mpt fusion.
- Disable previous workaround in x86-64 code for that.
- Disable warning in fusion that triggers under load.
* Thu Mar 18 2004 ak@suse.de
- Disable donauboe driver completely on 64bit, drop older patch.
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ppc32.make_smp.patch
  no extra space for mkprep
* Wed Mar 17 2004 olh@suse.de
- add patches.suse/kdb-common-disable-kdbm_inode_pages
  workaround struct inode changes from -mm
* Wed Mar 17 2004 mason@suse.de
- add missing EXPORT_SYMBOL for test_set_page_writeback()
* Wed Mar 17 2004 mason@suse.de
- update for the mm writeback changes, some filesystems need to
  switch from SetPageWriteback to set_page_writeback()
* Wed Mar 17 2004 ak@suse.de
- Readd apic option to i386 UP kernel. Enable UP APIC support
  in configuration. Disable by default. Add DMI entries
  for Intel G440X+and HP Proliant DL380 (SUSE34704, SUSE35681)
* Wed Mar 17 2004 mantel@suse.de
- avoid overflow in fs/read_write.c (SUSE35403)
* Wed Mar 17 2004 olh@suse.de
- add a bunch of ppc64 patches,
  limit OF property size to 1Mb, provide vioconfig info, g5 iommu
  freq in cpu info, rtas log_error, vscsi report lun
* Wed Mar 17 2004 ak@suse.de
- Disable not 64bit EICON driver on x86-64
* Wed Mar 17 2004 ak@suse.de
- Disable APIC on x86-64 even with acpi=off
* Wed Mar 17 2004 kraxel@suse.de
- fix uml build.
- put uml kernel also into kernel-um.
* Wed Mar 17 2004 ak@suse.de
- Disable LANSTREAMER driver on x86-64
- Fix 64bit bug on donauboe driver
* Wed Mar 17 2004 olh@suse.de
- add patches.drivers/alsa-ppc-snd_dma_continuous_data.patch
  fix unresolved symbol in pmac alsa driver
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ibm-ppc64-rtas_os_term.patch
  passes the panic string to the os-term call so that it can be
  stored in a platform error log
* Wed Mar 17 2004 ak@suse.de
- Disable MWAVE driver on x86-64
* Wed Mar 17 2004 schwab@suse.de
- Disable IRQ debugging by default.
- Add hook to be able to speed up process migration.
* Wed Mar 17 2004 schwab@suse.de
- Fix missing symbol export.
* Wed Mar 17 2004 ak@suse.de
- Update to x86_64-2.6.5rc1-2 (should fix SUSE36030)
* Wed Mar 17 2004 olh@suse.de
- add patches.arch/ppc64-slb.patch (SUSE34332 - LTC6143)
  1. Paulus' exception stack changes that will enter xmon if we
  ever do more than 2 levels of exception
  2. Checks of MSR_RI at exception entry, if this is an exception
  taken during the critical window, enter xmon so we can debug it
  3. Anton's removal of class bits from SLB entries
  4. Added SLB invalidates when we reuse entries.
* Wed Mar 17 2004 mantel@suse.de
- update dm-30-unplug-update-1
* Wed Mar 17 2004 ak@suse.de
- Add workaround for consistent dma mask bug added with 2.6.5rc1
  on x86-64.
* Wed Mar 17 2004 ak@suse.de
- Fix hyperthreading support on x86-64
* Wed Mar 17 2004 mason@suse.de
- fixes from Jens for device mapper:
-   dm update reverted a bit shifting fix
-   dm raid1 unplugging fix
* Wed Mar 17 2004 ak@suse.de
- Add powernow k8 ACPI driver.
* Wed Mar 17 2004 ak@suse.de
- update to x86_64-2.6.5rc-1
* Tue Mar 16 2004 olh@suse.de
- add patches.drivers/usb-eciadsl.patch
  make the eci adsl modem work with 2.6
  add patches.fixes/ppc32-2.6.5-compile.patch
  compilefixes for recent dma changes
* Tue Mar 16 2004 bk@suse.de
- S/390 cpint: retry with more response buffer if it was too small
* Tue Mar 16 2004 mason@suse.de
- merge writeback changes from -mm
- merge latest device mapper patchset
* Tue Mar 16 2004 mantel@suse.de
- add missing PCI ID for ATI IXP
* Tue Mar 16 2004 schwab@suse.de
- Update 64k-pagesize and sn2 configuration to be more similar to
  default.
* Tue Mar 16 2004 schwab@suse.de
- Remove dig and zx1 configuration.
- Enable BLK_DEV_SGIIOC4 in default config.
* Tue Mar 16 2004 mantel@suse.de
- add ATI IXP chipset IDE support
* Tue Mar 16 2004 mantel@suse.de
- ALSA update for 2.6.5-rc1
* Tue Mar 16 2004 agruen@suse.de
- Include all spec files into kernel-source.src.rpm for easier
  rpm rebuild.
* Tue Mar 16 2004 okir@suse.de
- Updated MIPv6 patch
* Tue Mar 16 2004 olh@suse.de
- remove patches.suse/suse-ppc64-xmon.disassembler.update
  xmon and bfd interface differs alot
* Tue Mar 16 2004 schwab@suse.de
- Fix missing braces.
* Tue Mar 16 2004 schwab@suse.de
- Remove obsolete patch.
* Tue Mar 16 2004 mantel@suse.de
- fix double export of md_unplug_mddev
* Tue Mar 16 2004 schwab@suse.de
- Remove obsolete patches.
* Tue Mar 16 2004 mantel@suse.de
- fix a missing export and two missing shifts with BIO_RW_SYNC in
  backing-dev-unplug.patch
* Tue Mar 16 2004 mantel@suse.de
- update to 2.6.5-rc1
* Tue Mar 16 2004 mantel@suse.de
- remove infiniband drivers
* Tue Mar 16 2004 olh@suse.de
- reenable patches.drivers/firewire_ieee1394
  rev 1191, fixes some list corruption in ieee1394 core
* Mon Mar 15 2004 olh@suse.de
- add patches.fixes/alsa.patch, patches.fixes/ia64-dma.patch
  fix compile errors after dma_sync_for_device-cpu.patch
  more alsa updates
  preserve ABI in arch/s390/appldata/appldata_mem.c
* Mon Mar 15 2004 garloff@suse.de
- dynamic-timeslice: Add patch to allow tuning of scheduling
  timeslices. (Port from 2.4.)
* Mon Mar 15 2004 garloff@suse.de
- bio-unplug-bitmasks: Another unplugging fix: The bitmasks were
  confused.
* Mon Mar 15 2004 garloff@suse.de
- fix-plugging-race: Add patch from axboe to fix a plugging race
  (SUSE36090).
* Mon Mar 15 2004 schwab@suse.de
- Fix more breakage from olh.
* Mon Mar 15 2004 agruen@suse.de
- Reenable pre-configuring of the kernel sources: sadly a number
  of packages expect configured kernel sources; it doesn't seem
  realistic to assume that we can fix them all.
- Check for files that may be msising when building from nosrc
  packages.
- scripts/sequence-patch.sh: Add `-' option to set up the scratch
  area without applying any patches.
* Mon Mar 15 2004 schwab@suse.de
- Fix last change.
* Mon Mar 15 2004 mantel@suse.de
- fix slab corruption by sys_swapon (SUSE36016)
* Mon Mar 15 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040315
  nfs merge, alsa updates, fix ppc32 PReP booting
* Mon Mar 15 2004 schwab@suse.de
- Fix broken exports.
* Mon Mar 15 2004 agruen@suse.de
- patches.rpmify/cloneconfig.diff: Add cloneconfig target, and
  make defconfig do ``the right thing''.
* Mon Mar 15 2004 mantel@suse.de
- update backing-dev-unplug.patch
* Mon Mar 15 2004 agruen@suse.de
- Remove a few obsolete patches. Re-enable xfs permission() fix
  that was accidentally commented out.
* Mon Mar 15 2004 agruen@suse.de
- No longer add the cvs timestamp to packages: We now have
  it in `rpm -qi'.
* Sun Mar 14 2004 mason@suse.de
- make backing-dev-unplug.patch able to handle swap pages, add
  a few barriers for luck.
* Sun Mar 14 2004 agruen@suse.de
- Add a flag for ignoring failures in external modules.
* Sun Mar 14 2004 mason@suse.de
- fix reiserfs tail packing bug
* Sun Mar 14 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040314
* Sat Mar 13 2004 schwab@suse.de
- Remove unwanted patches.
* Fri Mar 12 2004 olh@suse.de
- disable emulex lpfc driver on ppc64 until it is fixed (SUSE35691)
* Fri Mar 12 2004 kraxel@suse.de
- update uml config.
* Fri Mar 12 2004 schwab@suse.de
- Add Vitesse SATA driver.
* Fri Mar 12 2004 mantel@suse.de
- export missing symbols from dm-table
* Fri Mar 12 2004 kraxel@suse.de
- uml update.
* Fri Mar 12 2004 schwab@suse.de
- Enable MD_RAID6.
* Fri Mar 12 2004 agruen@suse.de
- Abort build on unresolved symbols.
- SUSE35753: Update from old versions: Force replacement of
  /boot/$image and /boot/initrd even if they are regular files.
* Fri Mar 12 2004 ak@suse.de
- Fix DEBUG_INFO build on x86-64
* Fri Mar 12 2004 schwab@suse.de
- Add latest ia64 updates.
- Fix compilation of infiniband driver.
* Fri Mar 12 2004 olh@suse.de
- add patches.arch/ppc64.patch.numa_cpu_lookup_table-init
  init non existant cpus to zero. (SUSE35497 - LTC6747)
* Fri Mar 12 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040312
  x86-64 merge, G5 temperature control update
* Fri Mar 12 2004 olh@suse.de
- add patches.arch/ppc64.patch.errno-truncate
  errno is an int, but the syscall stored unsigned long
* Fri Mar 12 2004 mantel@suse.de
- some fixes for backing-dev-unplug
* Fri Mar 12 2004 mantel@suse.de
- kill the global queue plugging in the block layer, which was a
  huge scalability problem on big iron (axboe@suse.de)
* Fri Mar 12 2004 ak@suse.de
- decrease struct page size on x86-64
* Thu Mar 11 2004 mason@suse.de
- latency fixes from Takashi
- enable reiserfs preallocation
- mpool alloc and free race fix
* Thu Mar 11 2004 mason@suse.de
- reiserfs logging fixes
* Thu Mar 11 2004 ak@suse.de
- update x86-64 configs (enable mmconfig support)
* Thu Mar 11 2004 ak@suse.de
- update to x86_64-2.6.4rc3-1
* Thu Mar 11 2004 mantel@suse.de
- update to 2.6.4
* Thu Mar 11 2004 agruen@suse.de
- Disable pre-configuration of the kernel source package: Building
  with O= is well supported now. (The km_* packages don't support
  O=, yet.)
- Also install the arch/$arch/defconfig.$flavor files in the
  binary kernels. Add scripts/build-kernel-modules (generated by
  script) for testing compilation and installation.
* Thu Mar 11 2004 agruen@suse.de
- %%postun-script: Fix relink code (broke recently).
- Rename /boot/vmlinux to /boot/vmlinux.gz for gzip'ed files
  (the extension was lost at some point).
- patches.fixes/x86_64-memcpy_io.diff: Force memcpy_{from,to}io
  into the kernel; they are needed by modules. Fix usage of long
- patches.fixes/alsa-bk-2004-03-01-fix.patch: Fix usage of long
  as pointer in memcpy_{from,to}io.
- patches.fixes/reiserfs-direct-tail.diff: SUSE34646 (comment #63):
  Fix for reiserfs_unmap_buffer() with bh->b_page == NULL.
* Wed Mar 10 2004 schwab@suse.de
- Fix USB oops.
* Wed Mar 10 2004 schwab@suse.de
- Enable AGP_HP_ZX1.
* Wed Mar 10 2004 okir@suse.de
- Fixed nfs-short-read patch
* Wed Mar 10 2004 agruen@suse.de
- Packaging: Rename file timestamp to build-source-timestamp;
  Autobuild will expand the file contents into the description
  in the rpm info.
* Wed Mar 10 2004 mantel@suse.de
- fix oops on psmouse reconnect (SUSE35489)
* Wed Mar 10 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc3-20040310
  irda fixes, G5 OF interface fixes
* Wed Mar 10 2004 agruen@suse.de
- Update to current cvs version of xfs (+ a minor fix).
- Create directory for miscellaneous stuff, and add scripts for
  diffing against the xfs cvs, and the kernel package build
  script.
- Set the same version number in kernel-dummy as in all other
  spec files.
* Tue Mar 09 2004 schwab@suse.de
- Fix partial reads at end of block device [SUSE31902].
* Tue Mar 09 2004 schwab@suse.de
- Restore previous version of tiocgdev patch.
* Tue Mar 09 2004 okir@suse.de
- added patches.fixes/nfs-short-read
- added patches.fixes/ipv6-rtm-dump-no-mcast to fix SUSE35288
* Tue Mar 09 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040309
* Tue Mar 09 2004 agruen@suse.de
- scripts/tar-up.sh: Also create kernel-dummy.changes.
- Update configs (duwe).
* Mon Mar 08 2004 agruen@suse.de
- Add internal kernel-dummy package to keep release numbers
  synchronized.
* Mon Mar 08 2004 mantel@suse.de
- correctly set the block size on the loopback block device
* Mon Mar 08 2004 mantel@suse.de
- restore 32/64 bit compatibility of TIOCGDEV
* Mon Mar 08 2004 mason@suse.de
- evlog update
* Mon Mar 08 2004 ak@suse.de
- Enable CONFIG_LEGACY_PTYS everywhere
* Mon Mar 08 2004 olh@suse.de
- build scsi into the kernel on G5
* Mon Mar 08 2004 olh@suse.de
- add patches.fixes/xfs-export-filemap_flush.patch
* Sun Mar 07 2004 olh@suse.de
- add patches.suse/kdb-common-xfs
  add patches.suse/suse-ppc64-export-find_next_bit
* Sun Mar 07 2004 ak@suse.de
- Add workaround for AMD768MPX erratum
* Sun Mar 07 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040307
  acpi fixes, hfsplus, nfsd
* Sun Mar 07 2004 agruen@suse.de
- Re-enable km_wlan.
* Sat Mar 06 2004 ak@suse.de
- Fix cache flushing on x86-64 in i810 fb
* Sat Mar 06 2004 olh@suse.de
- add patches.suse/suse-con_set_unimap.patch
  workaround for unimap handling in the console driver
* Sat Mar 06 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  look for /init instead of /sbin/init
  kinit= gone
* Sat Mar 06 2004 olh@suse.de
- add patches.suse/suse-ppc64-clear_user_page-power3
  proper kernel segment handling on power3/rs64
* Sat Mar 06 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040306
  update patches.arch/ppc64.patch
  includes kdb4.3, add disassembler update for xmon
* Sat Mar 06 2004 ak@suse.de
- Undo wrong off-by-one IST change in x86-64 patchkit
* Sat Mar 06 2004 schwab@suse.de
- Make TIOCGDEV compatible again.
* Sat Mar 06 2004 schwab@suse.de
- Read patches.drivers/xpnet-04-xpc.
* Sat Mar 06 2004 ak@suse.de
- Update x86-64 patchkit to x86_64-2.6.4rc2-1
* Fri Mar 05 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040305
  ibmasm, xfs, lots of other fixes
* Fri Mar 05 2004 mantel@suse.de
- fix problems with broken USB->PS/2 legacy emulation in certain
  BIOSes (SUSE34761)
* Fri Mar 05 2004 mantel@suse.de
- some fixes for the cciss driver from HP (SUSE35163)
* Fri Mar 05 2004 mantel@suse.de
- check for NULL argument in pciehprm_free_bridges() (SUSE34978)
* Fri Mar 05 2004 okir@suse.de
- Another fix to MIPv6
* Fri Mar 05 2004 okir@suse.de
- Fix an ICMPv6 crash caused by the MIPv6 patch
* Fri Mar 05 2004 hare@suse.de
- Update S/390 to pre-lobster codedrop.
* Thu Mar 04 2004 mantel@suse.de
- fix qla2xxx driver for 64 bit archs
* Thu Mar 04 2004 mantel@suse.de
- add laptop disk mode
* Thu Mar 04 2004 mantel@suse.de
- yet another update for tiocgdev
* Thu Mar 04 2004 mantel@suse.de
- update qla2xxx driver to 8.00.00b11; enable failover
* Thu Mar 04 2004 stepan@suse.de
- update atixl-noinit patch
* Thu Mar 04 2004 mantel@suse.de
- add objrmap-core to start mitigate rmap problems with Oracle
* Thu Mar 04 2004 mantel@suse.de
- make TIOCGDEV 64bit clean
* Wed Mar 03 2004 mason@suse.de
- reiserfs quota support
* Wed Mar 03 2004 mason@suse.de
- update reiserfs-lock-lat, latency fix during deletes
- fix reiserfs metadata corruption bugs in reiserfs_file_write and
  search_by_key
* Wed Mar 03 2004 kraxel@suse.de
- fix uml init calls ordering.
- update uml configuration.
* Wed Mar 03 2004 stepan@suse.de
- add patches.drivers/atixl-noinit-2.6.2 (allow bios-less
  initialization of ATI XL cards)
* Wed Mar 03 2004 olh@suse.de
- add patches.suse/suse-ppc64-xmon_backtrace.patch
  dont do symbol lookup per default, breaks if the system is gone
* Wed Mar 03 2004 ak@suse.de
- Don't include .orig file in printkat
* Wed Mar 03 2004 agruen@suse.de
- Allow for a non-numeric CONFIG_RELEASE so that test builds
  with distinct names can be created.
- Adapt the spec files accordingly.
* Wed Mar 03 2004 schwab@suse.de
- Add ioc4 serial driver.
* Wed Mar 03 2004 schwab@suse.de
- Remove patches.drivers/xpnet-04-xpc.
* Wed Mar 03 2004 schwab@suse.de
- Fix staircase effect on Altix serial console.
* Wed Mar 03 2004 schwab@suse.de
- Fix net/ipv6/mobile_ip6 for parallel build.
* Tue Mar 02 2004 olh@suse.de
- net/ipv6/mobile_ip6/mobhdr_mn.c needs linux/init.h
* Tue Mar 02 2004 olh@suse.de
- update patches.fixes/linux-post-2.6.4rc1-20040302
  ieee1394, s390, x86-64, networking updates
* Tue Mar 02 2004 mantel@suse.de
- update configs for mobile ipv6
* Tue Mar 02 2004 mantel@suse.de
- update ALSA to 1.0.3
* Tue Mar 02 2004 okir@suse.de
- Minor fix to MIPv6 patch
* Tue Mar 02 2004 okir@suse.de
- Don't send multicast group membership packets for the IPv6
  solicited-node address (SUSE34954)
- IPv6: Don't fragment 1500 byte packets if the MTU is 1500
- Merge MIPv6 patch from Krishna Kumar @IBM
* Tue Mar 02 2004 schwab@suse.de
- Add Altix partitioning drivers (xpnet) [SUSE35164].
* Tue Mar 02 2004 schwab@suse.de
- Disable CONFIG_DVB_TDA1004X.
* Tue Mar 02 2004 okir@suse.de
- Updated sunrpc-nulltimeout. The "NFS tasks stuck in D state"
  problem should now be gone
* Tue Mar 02 2004 agruen@suse.de
- reiserfs xattrs: Update from Jeff Mahoney <jeffm@suse.com>:
  + Update inode->i_ctime for a file when its xattrs are changed.
  + Improvement to hiding the .reiserf_priv directory: Only
  hide directories with that name in the root of the mounted
  filesystem.
* Tue Mar 02 2004 agruen@suse.de
- Fix the mainline `make rpm' target.
* Tue Mar 02 2004 ak@suse.de
- Fix cosmetical issues in ACPI initrd DSDT patch.
* Tue Mar 02 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040302
  libata fixes, netupdates, usblp fixes
* Tue Mar 02 2004 agruen@suse.de
- Bug in sequence-patch.sh: After applying all patches, the
  default configuration file was copied to arch/$arch/defconfig,
  accidentally also trashing hardlinks. Sequence-patch.sh uses
  hard-linked trees, so this caused patched failures with patches
  that touched the defconfig files. The fix is to no longer modify
  the defconfig files; nobody needed this, anyway.
* Mon Mar 01 2004 agruen@suse.de
- reiserfs: enable trusted xattrs iff the filesystem supports
  them, i.e., only enable them if the filesystem supports xattrs
  (Jeff Mahoney <jeffm@suse.de>).
- Also enable the post-install heuristic of finding the most
  recent remaining kernel for vmlinux-%%ver_str (ppc and ppc64).
* Mon Mar 01 2004 garloff@suse.de
- Allow > 256 raw devices (for real now, patch from Badari).
* Mon Mar 01 2004 kraxel@suse.de
- fix uml build (again).
* Mon Mar 01 2004 hare@suse.de
- Update configurations for S/390
* Mon Mar 01 2004 olh@suse.de
- add patches.drivers/emulex-lpfc
  emulex fibrechannel driver for ppc64, ia64, i386 and x86-64
  version lpfcdriver-2.10a.tar.gz
* Mon Mar 01 2004 hare@suse.de
- Added patches/arch/s390-nohz-timer
* Mon Mar 01 2004 hare@suse.de
- Preliminary update of S/390 to pre-Lobster codedrop.
* Mon Mar 01 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch to version 2.0.0-7
* Mon Mar 01 2004 agruen@suse.de
- Fix in %%post: /boot/initrd symlink accidentally didn't get
  created.
* Mon Mar 01 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040301
* Sun Feb 29 2004 schwab@suse.de
- Fix stack usage on kernel thread creation.
- Fix 64 bit DMA mapping problem with PCI cards on SN2.
* Sun Feb 29 2004 agruen@suse.de
- patches.suse/twofish-2.6: Merge fix from Andrea (type of
  loop_func_table->transfer operation has changed).
* Sun Feb 29 2004 schwab@suse.de
- Fix NULL pointer reference in pciehp driver.
* Sun Feb 29 2004 garloff@suse.de
- alarm-round: Commit fix for alarm() return value being one too
  much because of roundoff errors in tv <-> jiffie conversion.
* Sun Feb 29 2004 agruen@suse.de
- Add timestamp of cvs working directory to rpm files:
  /boot/timestamp-%%ver_str, /usr/src/linux-%%ver_str/timestamp.
* Sat Feb 28 2004 ak@suse.de
- Fix mellanox tlb flush for UP kernels
* Sat Feb 28 2004 ak@suse.de
- Fix compilation of mellanox HCA and ibm asm on x86-64
* Sat Feb 28 2004 agruen@suse.de
- Re-enable lkcd with the right config options.
* Sat Feb 28 2004 kraxel@suse.de
- make uml kernels build parallel.
* Sat Feb 28 2004 agruen@suse.de
- infiniband: Evil hack to get parallel build to work again.
- Re-enable infiniband in the config files.
- Disable mellanox-hca infiniband module on x86_64: won't
  compile.
* Sat Feb 28 2004 agruen@suse.de
- Fix regression in reiserfs_mknod.
- Another regparm fix.
* Fri Feb 27 2004 mason@suse.de
- device mapper update
- snapshot<->fs locking patch
* Fri Feb 27 2004 mason@suse.de
- update aio-poll to the latest rev
- add aio-read-immediate, allows short aio reads on pipe/socket
- add aio-context-switch to keep the wakeups on worker threads
  within reason
* Fri Feb 27 2004 hare@suse.de
- Split kerntypes support from crash dump support.
* Fri Feb 27 2004 okir@suse.de
- Added IBM evlog patches
* Fri Feb 27 2004 mantel@suse.de
- update cpqarray driver to 2.6.0 and add fixes (SUSE35163)
* Fri Feb 27 2004 schwab@suse.de
- Add workaround for problem with PAL_HALT_LIGHT on sn2 [SUSE34645].
* Fri Feb 27 2004 mantel@suse.de
- add infiniband drivers (SUSE35064)
* Fri Feb 27 2004 mantel@suse.de
- add bcm5700 driver version 7.2.15 (hopefully fixes SUSE34508)
* Fri Feb 27 2004 mantel@suse.de
- fix hang on "rmmod parport_pc" (SUSE34997)
* Fri Feb 27 2004 mantel@suse.de
- add aio-poll
* Fri Feb 27 2004 mantel@suse.de
- added ibmasm driver
* Fri Feb 27 2004 mantel@suse.de
- re-add adaptive-lazy-readahead
* Fri Feb 27 2004 kraxel@suse.de
- regparam / fastcall fixes.
* Fri Feb 27 2004 agruen@suse.de
- Fix regression in __reiserfs_permission.
* Fri Feb 27 2004 hare@suse.de
- Re-enable crash dumps for S/390.
* Fri Feb 27 2004 kraxel@suse.de
- more __attribute__((used)) fixes for uml.
* Thu Feb 26 2004 kraxel@suse.de
- fix undefined symbols in uml modules.
* Thu Feb 26 2004 mantel@suse.de
- fix loop device hangs
* Thu Feb 26 2004 agruen@suse.de
- Add parisc architecture (patch is only enabled for parisc
  itself, no risk for all others).
* Thu Feb 26 2004 agruen@suse.de
- patches.fixes/ext23-no-ace-read-limit.diff: SUSE34623: Patch was
  accidentally calling ext2_xattr_get from ext3 -- ouch!
* Wed Feb 25 2004 mason@suse.de
- disable kerntypes patch
- add netpoll for netconsole and lkcd dump driver
- add lkcd for ia32
* Wed Feb 25 2004 agruen@suse.de
- patches.fixes/missing-exports.diff: bcm5700.ko requires the
  genapic symbol.
- patches.fixes/icn-strchr-bug.diff: strpbrk gets converted to
  strchr from libgcc by the compiler, but there is no libgcc in
  the kernel. The compieler does not realize that it should use
  an inlined function instead.
* Wed Feb 25 2004 ak@suse.de
- Update to latest x86-64 patchkit
* Wed Feb 25 2004 hare@suse.de
- add patches.fixes/s390-zfcp-hotplug-fix:
  Fix deadlock when adding more than one lun (SUSE34984)
- add patches.fixes/s390-sysfs-net.patch:
  Add correct sysfs attributes for net drivers (SUSE34632)
* Wed Feb 25 2004 mantel@suse.de
- SCSI support now modular again (SUSE34955)
* Wed Feb 25 2004 hare@suse.de
- add patches.arch/s390-qeth-eui64.patch to
  enable IPV6 support for qeth (SUSE34980).
* Wed Feb 25 2004 hare@suse.de
- S/390: Update from -mm3.
- S/390: Adapted configuration files for update.
* Wed Feb 25 2004 agruen@suse.de
- More CONFIG_REGPARM fixes.
* Tue Feb 24 2004 agruen@suse.de
- patches.fixes/regparm-fix.diff: CONFIG_REGPARM breaks some
  syscalls that are not declared as asmlinkage.
* Tue Feb 24 2004 schwab@suse.de
- Disable CONFIG_DVB_SP887X.
* Tue Feb 24 2004 schwab@suse.de
- pcibios_set_irq_routing is x86-only.
* Tue Feb 24 2004 mantel@suse.de
- fix suspend to disk (SUSE34476)
* Tue Feb 24 2004 mantel@suse.de
- fix checksum bug for multicast/broadcast packets on postrouting (SUSE34669)
* Mon Feb 23 2004 mason@suse.com
- reiserfs update, data=ordered and other fixes
* Mon Feb 23 2004 okir@suse.de
- updated patches.suse/usagi-ipv6-ndisc to fix neighbor cache
  updates when receiving redirects
* Mon Feb 23 2004 schwab@suse.de
- Import kdb v4.3.
* Mon Feb 23 2004 olh@suse.de
- update patches.arch/ppc64.patch
  numa sysfs fixes, ibmvscsi update, iseries irq fixes
* Mon Feb 23 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.3-20040223
  dynamic pty98 allocation, ieee1394, serial, arm, m68k updates
* Sun Feb 22 2004 olh@suse.de
- update hfsplus driver, enable adbhid on pmac64
* Sun Feb 22 2004 agruen@suse.de
- Fix override configs/additional patches on i386.
* Sun Feb 22 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040222
  sungem, h8300, networking updates
* Sat Feb 21 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040221
  ieee1394, mips, ppc64 pci hotplug, networking updates
* Sat Feb 21 2004 agruen@suse.de
- Fix modversions for out-of-tree modules with O=... set.
- Remove obsolete patches.arch/i386-regparm.
- Another xfs cvs update.
* Fri Feb 20 2004 okir@suse.de
- Repaired broken ipv6 ndisc patch
* Fri Feb 20 2004 agruen@suse.de
- Add xfs smp fix from Christoph Hellwig (via Jens Axboe).
* Fri Feb 20 2004 schwab@suse.de
- Add python to neededforbuild.
* Fri Feb 20 2004 schwab@suse.de
- Revert last change.
* Fri Feb 20 2004 okir@suse.de
- IPv6: properly purge expired routers from routing cache
* Fri Feb 20 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040220
  update to linus latest, usb, ia64, xeon64, i4l, ide fixes
* Thu Feb 19 2004 agruen@suse.de
- Update xfs to current cvs version.
- Remove now-obsolete patches.suse/xfs-dmapi.
- Fix a long-standing bug in the rollback code in
  sequence-patch.sh.
* Thu Feb 19 2004 okir@suse.de
- Fix for the "dst underflow" bug when running TAHI (SUSE34664)
* Thu Feb 19 2004 okir@suse.de
- experimental sunrpc patch to prevent processes from getting
  stuck in D state forever
* Thu Feb 19 2004 stepan@suse.de
- patches.suse/bootsplash: update to fixed version 3.1.4
- patches.suse/bootsplash-fixdep: dropped (included in above)
* Thu Feb 19 2004 garloff@suse.de
- patches.suse/sd-many-4: Add support for 32k SCSI disks.
- patches.suse/sg-many-1: Add support for 32k SCSI generic devices.
- patches.suse/scsi_sysfs-procname-2: Export proc_name of SCSI
  hostadapter via sysfs.
* Thu Feb 19 2004 ak@suse.de
- fix IA32e patch for !SMP
* Thu Feb 19 2004 olh@suse.de
- build scsi as a module on pseries64
* Wed Feb 18 2004 olh@suse.de
- add patches.drivers/drivers-net-pcnet32.patch
  many fixes for this driver (SUSE34509 - LTC4358)
* Wed Feb 18 2004 ak@suse.de
- Add support for IA32e to x86-64
- Enable Intel specific configure options in x86-64 config
- Enable some missing config options (IPMI, SCSI logging etc.)
* Wed Feb 18 2004 olh@suse.de
- update patches.arch/ppc64-patch
* Wed Feb 18 2004 schwab@suse.de
- Add support for HP sx1000.
* Wed Feb 18 2004 sf@suse.de
- patches.fixes/libata-core.diff: fix ide detection on
  x86_64
* Wed Feb 18 2004 ak@suse.de
- port mapped_base feature to 2.6
* Wed Feb 18 2004 mantel@suse.de
- add missing pci info to cs5520 and cs5530 drivers (SUSE34268)
* Wed Feb 18 2004 agruen@suse.de
- patches.suse/twofish-2.6: add module license, clean up a little.
* Wed Feb 18 2004 mantel@suse.de
- update to 2.6.3
* Wed Feb 18 2004 kraxel@suse.de
- config update -- enable the new netfilter6 options.
* Tue Feb 17 2004 agruen@suse.de
- Fold fix for SUSE34432 - LTC6269 into patches.suse/reiserfs-acl-02
* Tue Feb 17 2004 schwab@suse.de
- Add configuration 64k-pagesize.
* Tue Feb 17 2004 okir@suse.de
- Merged netfilter6 conntrack code from usagi cvs
* Tue Feb 17 2004 okir@suse.de
- Merged tentative patch for UDP recvmsg/EAGAIN problem (SUSE34510)
* Tue Feb 17 2004 okir@suse.de
- added patches.suse/usagi-ipv6-netfilter, including REJECT target
* Tue Feb 17 2004 olh@suse.de
- add patches.fixes/serial_console_init.patch
  It results in serial console getting initialised really late
* Tue Feb 17 2004 hare@suse.de
- add patches.arch/s390-dasd-update
  Update DASD driver to latest version from IBM.
* Tue Feb 17 2004 kraxel@suse.de
- update uml patch.
- dropped some uml fixes merged upstream.
* Mon Feb 16 2004 olh@suse.de
- add patches.arch/ppc64.tce_init_pSeries.patch
  from 2.6.3 final
* Mon Feb 16 2004 olh@suse.de
- add patches.suse/suse-ppc64-pseries-nvram
  fix the damn thing
* Mon Feb 16 2004 agruen@suse.de
- Add directory /lib/modules/precompiled to binary kernels for
  the glue layer code of binary-only modules.
* Mon Feb 16 2004 olh@suse.de
- update patches.fixes/ppc32-pmac_zilog-consoleinit
  add MacRISC3 to whitelist to avoid crash during cat < /dev/ttyS0
* Mon Feb 16 2004 mantel@suse.de
- increase maximum number of command line arguments (SUSE34511)
* Mon Feb 16 2004 mantel@suse.de
- don't leak space in aio subsystem
* Mon Feb 16 2004 olh@suse.de
- go back to xmon in pseries64 .config
* Mon Feb 16 2004 olh@suse.de
- update to patches.fixes/linux-post-2.6.3-rc3-20040216
* Sun Feb 15 2004 agruen@suse.de
- Minor cosmetic fixes in error handling paths in fs/xattr_acl.c
  and fs/nfs/xattr.c.
* Fri Feb 13 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040213
  64bit G5 support, add config/ppc64/pmac64
* Fri Feb 13 2004 mantel@suse.de
- work around umount problem of loopback devices
* Fri Feb 13 2004 okir@suse.de
- fixed the ndisc patch again
* Fri Feb 13 2004 okir@suse.de
- re-diffed and re-enabled usagi ndisc patch
* Thu Feb 12 2004 kkeil@suse.de
- Update ISDN to 2.6.3-rc2-mm1 version
  + this is a new port 2.4 -> 2.6 I4L code
- enable SMP for AVM activ cards
* Thu Feb 12 2004 agruen@suse.de
- Update from Jeff Mahoney <jeffm@suse.com>:
  + Fix mounting of v3.5 filesystems (fixed in 2.4 series, but
  the patch was not yet ported).
  + Permissions checking more closely tracks ext[23] xattr perms.
  + When the fs returns -EIO due to a bad magic/hash value, an
  error message is printed.
* Thu Feb 12 2004 agruen@suse.de
- patches.fixes/alpha-compile: Compile fix for AXP.
- Also check for /boot/image-%%ver_str in post.sh (s390).
* Thu Feb 12 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040212
  bluetooth, watchdog, cpufreq, ia64 updates
* Thu Feb 12 2004 hare@suse.de
-  add patches.fixes/dmapool-nopci.patch
  Do not compile drivers/base/dmapool.c for non-PCI systems.
* Thu Feb 12 2004 olh@suse.de
- add patches.suse/kdb-common-inital_env
  print enough lines, dump bta in one go
* Wed Feb 11 2004 kraxel@suse.de
- uml fixes.
* Wed Feb 11 2004 olh@suse.de
- add patches.arch/suse-ppc32-pmac-rootdevice
  really use /linuxrc if root= not given
* Wed Feb 11 2004 garloff@suse.de
- Set max number of raw devices to 4096.
* Wed Feb 11 2004 agruen@suse.de
- Update to current xfs cvs + dmapi fixes.
- patches.suse/sunrpc-multiple-programs accidentally got lost
  with 2.6.3-rc2 update.
- Update config files.
* Wed Feb 11 2004 mantel@suse.de
- fix dependency for CONFIG_BOOTSPLASH
* Wed Feb 11 2004 mantel@suse.de
- update to 2.6.3-rc2
* Wed Feb 11 2004 olh@suse.de
- add kernel-pmac64_32bit
* Tue Feb 10 2004 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pc_floppy.patch
* Tue Feb 10 2004 olh@suse.de
- drop patches.suse/suse.ppc32.boot.per_board_initrd.patch
* Tue Feb 10 2004 schwab@suse.de
- Fix provides/obsoletes for ia64.
* Mon Feb 09 2004 okir@suse.de
- Merged several NFS patches from Chuck Lever
- Fixed some USAGI rejects caused by the update
  to post 2.6.3-rc1
* Mon Feb 09 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/ibm-ipr-scsi-start_unit.patch
* Mon Feb 09 2004 mantel@suse.de
- enable CONFIG_PPP_MULTILINK (SUSE34363)
* Mon Feb 09 2004 olh@suse.de
- update to post 2.6.3-rc1 20040209
* Sat Feb 07 2004 agruen@suse.de
- patches.suse/xfs-dmapi-fix: Add code missing for 2.6 kernels.
* Sat Feb 07 2004 schwab@suse.de
- Fix ia64 build failures.
* Sat Feb 07 2004 agruen@suse.de
- In binary kernels, check if a file $arch-$flavor.conf exists.
  If so, use that as the config file, otherwise use the
  appropriate config file in config.tar.bz2 like before.
- Likewise for $arch-$flavor.diff: If it exists, apply this patch
  after all other patches in series.conf.
* Sat Feb 07 2004 kraxel@suse.de
- fix missing init.h include in lirc driver.
* Fri Feb 06 2004 mantel@suse.de
- update aio to make it pass some glibc rtkaio tests
* Fri Feb 06 2004 agruen@suse.de
- Minor fix in nfs-acl Makefile.
- Synchronize version numbers on kernel-syms instead of
  kernel-source (kernel-source no longer is dependent on
  the binary kernels).
* Fri Feb 06 2004 kraxel@suse.de
- update configs.
* Fri Feb 06 2004 agruen@suse.de
- Fix RPM macro expansion irregularity in source-post.sh.
* Fri Feb 06 2004 agruen@suse.de
- ext[23]: Remove limit of 32 acl entries when reading.
  Write support not yet enabled pending discussion.
- Update to XFS CVS + patches for DMAPI support.
- Allow to install multiple kernel-source.spec packages in
  parallel.
- Update cofigs.
* Thu Feb 05 2004 kraxel@suse.de
- update configs for i386 and x86_64.
* Thu Feb 05 2004 kraxel@suse.de
- fix uml build.
- add lirc drivers.
* Thu Feb 05 2004 ak@suse.de
- fix x86-64 compilation (patches.arch/x86_64-elf-compile)
* Thu Feb 05 2004 olh@suse.de
- restore drivers/scsi/ata_piix.c, add #ifdef to rivafb
* Thu Feb 05 2004 olh@suse.de
- add patches.fixes/linux-post-2.6.2-20040205
  altix update, qla update, many other fixes
* Thu Feb 05 2004 olh@suse.de
- update patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  Fix oops when fbcon_mode_changed is called at boot time
  Fix the radeonfb "workaround" for external TMDS
  Update ADT 7467 thermostat driver
* Wed Feb 04 2004 okir@suse.de
- Potential fix for the NFS "busy inodes after unmount" problem (SUSE30943)
* Wed Feb 04 2004 olh@suse.de
- add patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  brings hfs+, G5 support and support for newer Macs
* Wed Feb 04 2004 agruen@suse.de
- patches.fixes/xattr-keep-block.diff: Fix xattr bug when keeping
  the same disk block in ext[23].
* Wed Feb 04 2004 olh@suse.de
- update to 2.6.2 final
  update ppc64.patch
* Tue Feb 03 2004 agruen@suse.de
- Add patches.suse/ext3-register-filesystem-lifo: Forward port
  of Andrea's patch.
* Tue Feb 03 2004 okir@suse.de
- Merged nfsd patch from MvS that fixes a largefile bug in nfsd_commit
* Tue Feb 03 2004 ak@suse.de
- Add patch for CONFIG_REGPARM for i386
- Enable it by default
* Tue Feb 03 2004 agruen@suse.de
- patches.fixes/toshiba-acpi-0.17: Update toshiba_acpi driver
  to version 0.17.
- Update config files.
* Mon Feb 02 2004 ak@suse.de
- Reenable -funit-at-a-time for i386 (+ bug fix)
- Add new early printk for i386
- Remove some white space from series file
* Sat Jan 31 2004 olh@suse.de
- add patches.suse/suse-ppc64-iseries-pci_fn_scan
  add patches.suse/suse.ppc32.export.cpu_possible_map
* Sat Jan 31 2004 olh@suse.de
- update to 2.6.2-rc3
* Fri Jan 30 2004 agruen@suse.de
- Expand Provides or Obsoletes tags as a nested if statement
  in the spec file.
* Fri Jan 30 2004 olh@suse.de
- add patches.drivers/driver-input-linuxwacom.patch
  use patches from linuxwacom project (SUSE32504)
* Fri Jan 30 2004 okir@suse.de
- Two more USAGI patches:
  +       patches.suse/usagi-ipv6-fib-subtree
  +       patches.suse/usagi-ipv6-ndisc
  Enabled CONFIG_IPV6_NDISC_NEW=y in almost all config files
* Fri Jan 30 2004 agruen@suse.de
- Fix several problems with Provides and Obsoletes.
- Split modversion symbols from kernel-source, and put them
  into kernel-syms instead. This also obsoletes kernel-bare.
* Fri Jan 30 2004 olh@suse.de
- add patches.drivers/firewire_ieee1394 (rev 1113)
  update sbp2 driver to provide ieee1394_guid in sysfs device/ dir
* Thu Jan 29 2004 agruen@suse.de
- Alsa update to version 1.0.2 (tiwai@suse.de).
* Thu Jan 29 2004 agruen@suse.de
- Allow line continuation in scripts/guards (avoids a lot of mess
  in rpm/old-packages.conf).
- Add rpm/old-packages.conf and scripts/old-config.sh: The conf
  file defines the Provides and Obsoletes entries. The script
  is for testing the config file.
* Thu Jan 29 2004 okir@suse.de
- Two more USAGI patches:
  patches.fixes/usagi-ipv6-privacy
  patches.suse/usagi-ipv6-ipcomp
* Thu Jan 29 2004 schwab@suse.de
- Update ilp32 patch.
* Thu Jan 29 2004 okir@suse.de
- Updated usagi ipv6-ipv6 tunnel patch
* Thu Jan 29 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  trigger CONFIG_FW_LOADER if enabled
* Wed Jan 28 2004 okir@suse.de
- Merged the first couple of USAGI fixes
* Wed Jan 28 2004 schwab@suse.de
- Fix ILP32 emulation to compile with 3.4.
* Wed Jan 28 2004 okir@suse.de
- Increase number of RPC slots
* Tue Jan 27 2004 agruen@suse.de
- Add get_release_numbers.sh to synchronize the release numbers
  between packages.
* Tue Jan 27 2004 schwab@suse.de
- Add support for ILP32 on ia64.
* Tue Jan 27 2004 agruen@suse.de
- nfsacl: Building sunrpc + nfsd + nfs was still broken. Fix.
* Mon Jan 26 2004 olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/scsi-type-RAID.patch
  enable SCSI_IPR_TRACE + SCSI_IPR_DUMP=y
* Mon Jan 26 2004 olh@suse.de
- update patches.arch/ppc64.patch
* Mon Jan 26 2004 agruen@suse.de
- Rename packages (strip -26).
- Merge source and binary rpm changes files into
  kernel-source.changes.
* Mon Jan 26 2004 olh@suse.de
- update patches.suse/kdb-common
  use __LOG_BUF_LEN in kdb dmesg command
* Mon Jan 26 2004 olh@suse.de
- update to 2.6.2-rc2
* Sun Jan 25 2004 agruen@suse.de
- Add /lib/modules/scripts directory to file list.
* Fri Jan 23 2004 agruen@suse.de
- Fix ownership of linux-um binary.
* Fri Jan 23 2004 agruen@suse.de
- Some more fixes in the spec files.
- Also compile kernel modules in kernel-um-26.spec.
- patches.fixes/sata_sil_enable: Mark driver as working, and
  add it in the configs (from ro@suse.de).
* Fri Jan 23 2004 kraxel@suse.de
- fix i386 build with CONFIG_PROC_MM (skas) turned off.
* Fri Jan 23 2004 agruen@suse.de
- patches.suse/sunrpc-xdr-arrays: Add missing exports.
* Thu Jan 22 2004 olh@suse.de
- use plain elf vmlinux binary on ppc and ppc64 as bootfile
* Thu Jan 22 2004 olh@suse.de
- split patches.suse/early_userspace-instead-of-linuxrc
  core and debug patch.
* Thu Jan 22 2004 olh@suse.de
- reenable patches.fixes/alsa-101.patch
  from 2.6.2-rc1-mm1
* Thu Jan 22 2004 agruen@suse.de
- Lots of changes in the spec files (for biarch, etc.).
  M4 no longer used.
* Thu Jan 22 2004 mantel@suse.de
- update to 2.6.2-rc1 (linus-latest-2.6)
* Thu Jan 22 2004 olh@suse.de
- update patches.fixes/linus-latest-2.6
  input fixes
  update patches.arch/ppc64.patch
  vio fixes
* Wed Jan 21 2004 olh@suse.de
- add patches.drivers/ibm-ipr-2.0.0.patch
  ibmsis replacement, older iseries systems do still need ibmsis
* Wed Jan 21 2004 olh@suse.de
- add patches.fixes/ppc32.sort_exception_table
* Wed Jan 21 2004 kraxel@suse.de
- fix selinux for uml.
* Wed Jan 21 2004 kraxel@suse.de
- disable raid6 on hammer (doesn't build, mmx/sse2 issues).
* Wed Jan 21 2004 kraxel@suse.de
- one more uml fix.
* Wed Jan 21 2004 kraxel@suse.de
- added i2c kbuild fix.
* Wed Jan 21 2004 hare@suse.de
- Remove S390 specific patches from IBM; have been
  merged into 2.6.2-rc1.
* Wed Jan 21 2004 kraxel@suse.de
- fix and reenable uml.
* Wed Jan 21 2004 olh@suse.de
- update to 2.6.2-rc1
  update patches.arch/ppc64.patch
  disabled s390, alsa and uml patches until it is merged
* Wed Jan 21 2004 hare@suse.de
- Fix syntax error in kernel-binary-26.spec.in
- Fix build on s390x.
* Wed Jan 21 2004 hare@suse.de
- Fix config for s390 / s390x.
* Wed Jan 21 2004 agruen@suse.de
- Fix syntax error in kernel-source-26.spec.in.
* Tue Jan 20 2004 agruen@suse.de
- Spec files and pre-configuration: Add architecture into
  configuration identifier (e.g., what before was
  CONFIG_CFGNAME="smp" on x86_64 now becomes
  ARCH_FLAVOR="x86_64-smp").
- patches.fixes/aha152x-fix: Fix compile-time bug.
- patches.suse/reiserfs-acl-02: Fix the previous fix.
- sequence-patch.sh: Add all config files from all architectures,
  useful for run_oldconfig.sh.
- Update some configs.
* Tue Jan 20 2004 kraxel@suse.de
- dropped forcedeth patch (merged in latest -bk).
* Tue Jan 20 2004 schwab@suse.de
- Reenable ia64 updates.
* Mon Jan 19 2004 kraxel@suse.de
- fix uml modules
- update uml config
* Mon Jan 19 2004 schwab@suse.de
- Enable CONFIG_IA64_PAL_IDLE [SUSE33188].
* Mon Jan 19 2004 hare@suse.de
- Update patches.arch/s390-gcc-inline-assembly to version
  from Martin Schwidefsky.
* Mon Jan 19 2004 agruen@suse.de
- SUSE31399: Add nfsacl fix from 2.4 branch (thanks okir).
- Fix `make distclean': By accident, the dependency on the clean
  target got lost.
* Mon Jan 19 2004 olh@suse.de
- update to current Linus tree
  update patches.arch/ppc64.patch
  add sysfs patches from Greg KH
* Fri Jan 16 2004 kraxel@suse.de
- updated uml patch to 2.6.1 version
- updated configs.
* Fri Jan 16 2004 schwab@suse.de
- Add latest ia64 updates.
* Fri Jan 16 2004 hare@suse.de
- add patches.arch/s390-gcc-inline-assembly to fix
  errorneous inline assembly on S390 (SUSE32972).
* Thu Jan 15 2004 kraxel@suse.de
- re-add patches.uml/uml-fix-fixaddr patch.
* Thu Jan 15 2004 olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  use set_preferred_console
* Thu Jan 15 2004 olh@suse.de
- add patches.suse/suse-ppc64-kdb.disassembler.update
  update a few files to current binutils cvs status
* Thu Jan 15 2004 olh@suse.de
- update patches.arch/ppc64.patch
  spinlock fixes
* Thu Jan 15 2004 olh@suse.de
- add patches.fixes/linus-latest-2.6
  add patches.fixes/input_key84-2.6.1.patch,
  fixes a dead key, might require a console keymap update, X works
  disable patches.drivers/forcedeth-v20, as merged upstream
* Thu Jan 15 2004 hare@suse.de
- Update series.conf to reflect configuration changes.
* Thu Jan 15 2004 hare@suse.de
- S390: Removed ald configurations z900, g5;
  Update s390 and s390x configuration.
- S390: Update spec file to use image instead of bzImage
  for install.
- Install init/kerntypes.o instead of Kerntypes
  (with does not exist).
* Wed Jan 14 2004 kraxel@suse.de
- add video4linux driver updates.
- update user-mode-linux patch
- remove some uml patches (merged upstream).
* Wed Jan 14 2004 hare@suse.de
- S390: add patches.arch/s390-export-module-symbols; adding
  missing EXPORT_SYMBOL for modular build.
- S390: add patches.arch/s390-07-zfcp-host-adapter-update.patch from
  2.6.1-mm3.
- S390: add patches.fixed/s390-ffs-fix for fixing dosfs access.
* Wed Jan 14 2004 agruen@suse.de
- Add ALSA 1.0.1 update according to Takashi Iwai <tiwai@suse.de>.
* Wed Jan 14 2004 olh@suse.de
- add patches.suse/suse.ppc64.spinlock_asm_syntax.patch
  correct syntax for spinlock asm to avoid NULL pointer derefs.
* Wed Jan 14 2004 olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  update patches.suse/suse.ppc32.console.autodetection
  remove hardcoded speed for the console= parameter
* Wed Jan 14 2004 garloff@suse.de
- Enable km_submount.
* Tue Jan 13 2004 schwab@suse.de
- Update configs.
* Tue Jan 13 2004 hare@suse.de
- S390: Update s390-ibm-* patches to 2.6.1-mm2.
* Mon Jan 12 2004 olh@suse.de
- update patches.arch/ppc64.patch
  restore config files
* Mon Jan 12 2004 agruen@suse.de
- sunrpc: Report -ENOSYS for unavailable programs.
- nfsacl: Fix handling of minimal ACLs.
- nfsacl: Fix dependency to allow to build sunrpc + nfsd + nfs
  to be built as modules.
* Mon Jan 12 2004 garloff@suse.de
- rpmify on DEC Alpha as well.
* Sun Jan 11 2004 garloff@suse.de
- Two patches from Ivan to make DEC alpha work:
  * Don't prefetch spinlocks on UP machines
  * Fix relocation issue in module loading
* Sun Jan 11 2004 agruen@suse.de
- Fix accidentally reversed condition in patches.rpmify/
  kbuild-out-of-tree.
- Also fill in the kernel version in the generated spec files.
* Sun Jan 11 2004 agruen@suse.de
- Add patches.fixes/ipsec-nat-t-old: Backward compatibility of
  NAT Traversal with draft-ietf-ipsec-udp-encaps-00/01 (which
  have long since expired).
* Sun Jan 11 2004 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  do not mount sysfs early, the events can be replayed later
  keep the early binfmt_elf init to record early hotplug calls
* Sat Jan 10 2004 agruen@suse.de
- Rework how kernel-source and the binary kernels are built: Now,
  the source and binary package are all built directly from the
  sources.
* Fri Jan 09 2004 schwab@suse.de
- Fix missing header.
* Fri Jan 09 2004 schwab@suse.de
- Force arch/ia64/lib/io.o to be linked in.
* Fri Jan 09 2004 kraxel@suse.de
- update to 2.6.1-final
- commented patches.fixes/missing-headers (doesn't apply and build
  seems to work fine without).
- added patches.drivers/forcedeth-v20 (nvidia network driver).
* Fri Jan 09 2004 kraxel@suse.de
- updated configurations.
* Fri Jan 09 2004 agruen@suse.de
- patches.suse/reiserfs-acl-02: Locking fix from Jeff Mahoney.
  Fold patches.suse/reiserfs-acl-fix into the man patch.
* Thu Jan 08 2004 agruen@suse.de
- Re-enable patches.rpmify/kbuild-out-of-tree after version
  update, and add patches.rpmify/kbuild-out-of-tree-meta which
  enables different modversion tables for different configuration
  flavors.
* Thu Jan 08 2004 kraxel@suse.de
- disable CONFIG_CPU_FREQ_24_API (bug SUSE33598).
* Wed Jan 07 2004 schwab@suse.de
- Readd missing parts from ia64 update.
* Wed Jan 07 2004 kraxel@suse.de
- added patches.suse/twofish-2.6 (suse24-compatible crypto loop).
- renamed /proc/bus/usb/bielefeld to something less confusing.
* Tue Jan 06 2004 kraxel@suse.de
- moved patch chunk from export_symbol to uml-fix-skas.
* Tue Jan 06 2004 kraxel@suse.de
- updated kernel configs.
* Tue Jan 06 2004 kraxel@suse.de
- fixed and reenabled bootsplash patch.
* Tue Jan 06 2004 kraxel@suse.de
- update to 2.6.1-rc2 -- first cut.
- disabled usb-2.5 patches (doesn't apply, partly merged).
- disabled ia64 update (doesn't apply, partly merged).
- disabled amd64 patches (doesn't apply, partly merged).
- fixed patches.arch/ppc32.lxppc.patch
- disabled ppc64 patches (rejects in arch/ppc64/kernel/irq.c).
- disabled uml patches (also irq.c rejects).
- deleted patches.fixes/gencpio.offset (merged).
- deleted patches.fixes/no-Werror (not needed any more).
- deleted patches.fixes/unimap_set (merged).
- disabled patches.fixes/s390-ibm-40_compat.diff (doesn't apply, partly merged).
- disabled patches.arch/s390-compat_wrapper (doesn't apply).
- disabled patches.rpmify/kbuild-out-of-tree (doesn't apply).
- disabled patches.suse/bootsplash (doesn't apply).
* Mon Jan 05 2004 schwab@suse.de
- Add latest ia64 updates.
- Cleanup use of EXPORT_SYMBOL.
* Mon Jan 05 2004 agruen@suse.de
- Add a missing #ifdef + #endif in patches.arch/ia64-update.
* Mon Jan 05 2004 schwab@suse.de
- gcc-no-unit-at-a-time: don't redefine check_gcc.
* Mon Jan 05 2004 agruen@suse.de
- Replace permission POSIX compliance fix with the version sent to
  Andrew Morton <akpm@osdl.org>, and add a separare patch for
  ReiserFS.
* Sat Dec 20 2003 schwab@suse.de
- Add latest ia64 updates.
* Fri Dec 19 2003 garloff@suse.de
- Make xconfig work on lib64 archs.
* Fri Dec 19 2003 agruen@suse.de
- Update for version 2.6.0. Various clean-ups.
- Add /boot/modversions-%%{ver_str}.gz.
* Fri Dec 19 2003 agruen@suse.de
- Modversions for km_* modules. (Modversion tables still missing
  in kernel-source-26 package.)
* Thu Dec 18 2003 olh@suse.de
- update to 2.6.0
  iseries updates, pci updates
* Wed Dec 17 2003 agruen@suse.de
- SUSE33559 nfsacl: add missing initialization and re-enable patches.
- Proberly map between NFSERR_NOTSUPP (v3+v4) and -ENOTSUPP /
  -EOPNOTSUPP (thanks jeffm@suse.com).
* Wed Dec 17 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  ide-cd blank media handling
  update patches.arch/ppc64.patch
  more iseries changes, altivec updates
* Tue Dec 16 2003 agruen@suse.de
- Disable patches.rpmify/kbuild-out-of-tree for now, as it breaks
  external modules.
* Tue Dec 16 2003 agruen@suse.de
- The hotplug_path variable is only defined with CONFIG_HOTPLUG,
  but used unconditionally.
* Tue Dec 16 2003 ak@suse.de
- Update configs for x86-64. Enable various options that should be
  enabled. ISDN still off.
* Tue Dec 16 2003 olh@suse.de
- update patches.suse/suse-ppc64-ksymoops.calltrace.patch
  print newline unconditionally
* Tue Dec 16 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  raid5 fixes, usb merges
* Mon Dec 15 2003 agruen@suse.de
- List all defined configurations in running-kernel.make.
- patches.rpmify/meta-config-version: Keep "meta-version" of
  include/linux/version.h intact (see patch).
- patches.rpmify/{kbuild-readonly,kbuild-out-of-tree}:
  Allow out-of-tree modules against read-only kernel sources
  (see patches).
* Sun Dec 14 2003 olh@suse.de
- add patches.suse/suse-ppc64-ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
  add  patches.suse/suse-ppc64-wchan64
  yes, we have now a 64bit ps
* Sun Dec 14 2003 olh@suse.de
- add patches.suse/suse.ppc32.ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
* Sun Dec 14 2003 olh@suse.de
- update patches.suse/kdb-common
  kallsyms_get_addr is not required of kallsyms is off
* Sun Dec 14 2003 olh@suse.de
- update patches.arch/ppc64.patch
  surveillance, lpar, proc updates
* Sun Dec 14 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  more smp fixes
* Sat Dec 13 2003 olh@suse.de
- mark some generic s390 changes as generic
* Sat Dec 13 2003 olh@suse.de
- update patches.drivers/usb-2.5
  more usb fixes, storage updates
* Sat Dec 13 2003 olh@suse.de
- handle s390x as s390 in specfile
* Sat Dec 13 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  fix smp race in finish_wait
* Thu Dec 11 2003 kraxel@suse.de
- delete bogous drivers/media/video/tvmixer.c patch chunk from usb-2.5
* Thu Dec 11 2003 ak@suse.de
- Update x86_64 patchkit to x86_64-2.6.0test11-3
* Thu Dec 11 2003 ak@suse.de
- Remove obsolete patches
* Thu Dec 11 2003 olh@suse.de
- less guessing about the ARCH make flag and the used .config file
* Thu Dec 11 2003 olh@suse.de
- add patches.suse/suse.ppc32.boot.per_board_initrd.patch
  allow smaller initrd for some boards
* Wed Dec 10 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  update patches.arch/suse-ppc64-pcihotplug-makefile
  iseries pci support
  patches.drivers/usb-2.5
  usb storage updates, ohci updates
* Tue Dec 09 2003 agruen@suse.de
- Relax the configuration file check: Don't abort if options are
  only taken away, but no new options are added.
* Tue Dec 09 2003 olh@suse.de
- add patches.arch/suse-ppc64-export-csum_partial
  csum_partial should be exported per arch now
* Tue Dec 09 2003 olh@suse.de
- add patches.arch/suse-ppc64-miscdev-late_initcall
  call the arch specific init stuff late, for sysfs misc dev node
* Tue Dec 09 2003 olh@suse.de
- add patches.drivers/usb-2.5
  patches.drivers/usb-2.5_kobject.debug
  patches.drivers/usb-2.5_module_sig-depend
  dump the usb and sysfs tree in our repo
* Mon Dec 08 2003 agruen@suse.de
- SUSE33559: Disable nfsacl until the problem can be debugged.
* Mon Dec 08 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  tmpfs oops fix
* Mon Dec 08 2003 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  simplify changes
* Sun Dec 07 2003 olh@suse.de
- add patches.arch/suse-ppc64-pcihotplug-rpa
  rpa is ppc64 only
* Sun Dec 07 2003 olh@suse.de
- update to current status:
  patches.fixes/linux-2.6.0-test11-bk-latest
  patches.arch/ppc32.lxppc.patch
  patches.arch/ppc64.patch
* Sun Dec 07 2003 agruen@suse.de
- Update configurations of i386 and x86_64.
* Sun Dec 07 2003 agruen@suse.de
- patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  programs or procedures that are unavailable. The nfsacl support
  needs this to decide whether or not to turn nfsacl support off.
* Sat Dec 06 2003 agruen@suse.de
- Update i386 and x86_64 configs for qla2xxx driver update.
* Sat Dec 06 2003 agruen@suse.de
- The uname replacement in Autobuild also breaks with the
  meta-configuration. Work around this by creating /.kernelversion
  when running inside Autobuild.
* Sat Dec 06 2003 schwab@suse.de
- Update qla2xxx driver to 8.00.00b8.
* Sat Dec 06 2003 schwab@suse.de
- Update qla2xxx driver to 8.00.00b7.
* Sat Dec 06 2003 agruen@suse.de
- Fail if default configurations have missing symbols. Update
  i386 and x86_64 configurations.
- Add pre-configured headers proposal ("meta-configuration").
* Thu Dec 04 2003 bk@suse.de
- add patches.arch/s390-suse-bk-cpint_cpcmd.diff for cpint support
* Thu Dec 04 2003 olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  Fix /proc access to dead thread group list oops
  Add RTPROT_XORP.
  Sanitize ip_ct_tcp_timeout_close_wait value, from 2.4.x
  Fix ipv4 mapped address calculation in udpv6_sendmsg().
* Wed Dec 03 2003 olh@suse.de
- add patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  Fix a number of irq affinity bugs
* Tue Dec 02 2003 schwab@suse.de
- Add qla2xxx drivers.
* Tue Dec 02 2003 agruen@suse.de
- A fix in the xdr array encoding code (nfsacl).
- Enable nfsacl in config files.
* Tue Dec 02 2003 agruen@suse.de
- Less complicated versions of xdr_{encode,decode}_word can be
  used given proper word alignment in xdr_buf's. Luckily we can
  assume that.
* Tue Dec 02 2003 agruen@suse.de
- patches.suse/reiserfs-acl-fix: Need to set the MS_POSIXACL mount
  option too, or else nfsacl won't work.
* Tue Dec 02 2003 hare@suse.de
- S/390: Made definition of atomic_t visible from userspace.
* Tue Dec 02 2003 agruen@suse.de
- Update version of ACPI DSDT patch (by Thomas Renninger
  <trenn@suse.de>).
* Tue Dec 02 2003 agruen@suse.de
- Enable nfsacl port from 2.4.
* Tue Dec 02 2003 hare@suse.de
- Using G5 as default configuration for s390.
* Tue Dec 02 2003 hare@suse.de
- add patches.arch/s390-compat_wrapper
  Adding missing global symbol
- Update patches.fixes/export_symbol
  Export symbol delete_partition(), required for dasd_mod.
- Include ip_fast_csum in patches.arch/s390-ibm-01-base.diff.
* Mon Dec 01 2003 olh@suse.de
- add missing CMD_LINE_SIZE to asm-ppc/bootinfo.h
* Sun Nov 30 2003 olaf@suse.de
- add patches.suse/suse.ppc32.boot.ldscript.__kcrctab
  discard a kernel section, breaks OF booting
- add patches.suse/suse.ppc32.boot.ldscript.depend
  rebuild boot files if ld.script changes
- add patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
- add patches.suse/suse.ppc32.console.autodetection
  autodetect serial console on pmac and CHRP
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.601cpu.exception
  avoid unhandled alignment exceptions on 601 cpus
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_i8042.patch
  suse.ppc32.pmac.no_isapnp.patch
  suse.ppc32.pmac.no_pc_serial.patch
  dont probe for pc style hardware on mac
* Sun Nov 30 2003 olh@suse.de
- add patches.suse/suse.ppc32.boot.zlib.debug
  add patches.suse/suse.ppc32.boot.zlib.no_memcpy
  update debugging code, no memcpy to avoid deadly exceptions in OF
* Sun Nov 30 2003 olh@suse.de
- update patches.arch/ppc64.patch
  remove changes to sym2 driver and sg_add
  simplify ppc32 ROOT_DEV changes
* Sun Nov 30 2003 olh@suse.de
- rename patches.arch/ppc32.patch to ppc32.lxppc.patch
  remove all the 4xx changes, to reduce patch noise
* Sun Nov 30 2003 olh@suse.de
- update patches.arch/ppc64.patch
  remove bogus change in pci_scan_slot() loop, breaks some setups
* Fri Nov 28 2003 hare@suse.de
- Added new configuration options for S/390.
* Fri Nov 28 2003 hare@suse.de
- Update configuration files for S/390.
* Fri Nov 28 2003 schwab@suse.de
- Disable CONFIG_IDE_TASKFILE_IO.
* Fri Nov 28 2003 garloff@suse.de
- unimap_set: Allow setfont to set unicode map on openend console
  file descriptor (not only on current foreground console).
* Fri Nov 28 2003 okir@suse.de
- Ported two minor nfs patches over from 2.4: nfs-d_drop-lowmem,
  nfs-min-blocksize
* Fri Nov 28 2003 garloff@suse.de
- rdtsc-var-shadow: Variable name in rdtscll macro shadowed
  real variable (from axboe).
* Fri Nov 28 2003 olh@suse.de
- update patches.arch/ppc64.patch
  vio fixes
* Thu Nov 27 2003 agruen@suse.de
- Update spec file: add scripts/config_subst.sh. Remove defconfig
  files if the architecture has no default configuration.
- Remove test build; we haven't done test builds in the 2.4 kernel
  source package for a long time now without problems.
* Thu Nov 27 2003 olh@suse.de
- update patches.arch/ppc64.patch
  update patches.suse/kdb-common
* Thu Nov 27 2003 kraxel@suse.de
- bump version to test11
* Thu Nov 27 2003 schwab@suse.de
- Readd bootmem sorting for discontigmem.
- Add sn2 and zx1 configs.
* Thu Nov 27 2003 agruen@suse.de
- Add hotfix for Reiserfs+RPM problem: We need a working 2.6
  kernel for Autobuild.
* Thu Nov 27 2003 hare@suse.de
- Added Patches from IBM which won't make it for 2.6.0.
  Enabled only for S390 for now.
- Updated config for s390 and s390x.
* Thu Nov 27 2003 sf@suse.de
- add aacraid module to config
* Thu Nov 27 2003 olh@suse.de
- update to 2.6.0-test11
* Wed Nov 26 2003 olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  call also init_elf32_binfmt
* Wed Nov 26 2003 olh@suse.de
- add patches.suse/suse-ppc64-chrp-console-cmdline
  autodetect serial console and update cmdline
* Wed Nov 26 2003 kraxel@suse.de
- added amd64 32bit signal handling fix (from ak).
* Tue Nov 25 2003 olh@suse.de
- add patches.suse/suse-ppc64-chrp-root-sda3
  force sda3 if no root= specified
* Tue Nov 25 2003 olh@suse.de
- Fix error return on concurrent fork() with threaded exit()
  CONFIG_PACKET=y on ppc32 for dhcpcd
* Tue Nov 25 2003 schwab@suse.de
- Update scsi-changer patch.
* Tue Nov 25 2003 olh@suse.de
- update to 2.6.0-test10-bk1-
  update ppc64.patch, some iseries support
* Mon Nov 24 2003 olh@suse.de
- umount sysfs before calling name_to_dev_t()
* Mon Nov 24 2003 olh@suse.de
- update to 2.6.0-test10
  disable CONFIG_IP_PNP, was dead code anyway
  enable minix per default
* Sun Nov 23 2003 olh@suse.de
- add patches.suse/early_userspace-instead-of-linuxrc
  run /sbin/kinit if available, instead of linuxrc
* Fri Nov 21 2003 olh@suse.de
- update to 2.6.0-test9-bk25
  update ppc64.patch,
  Add support for POSIX timer, clock syscalls for 32-bit processes.
* Thu Nov 20 2003 olh@suse.de
- update ppc64.patch to fix compilation
* Thu Nov 20 2003 olh@suse.de
- update to 2.6.0-test9-bk24
  update ppc64.patch
* Wed Nov 19 2003 agruen@suse.de
- The patches.fixes/permission fix is incomplete and introduces
  a bug. Adding patches.fixes/permission-hack for now to hotfix
  the issue; more complete solution pending.
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc64.ppc32.compat.syscalls
  a few missing syscalls: compat_clock_settime,
  compat_clock_gettime, compat_clock_getres, compat_clock_nanosleep
* Tue Nov 18 2003 olh@suse.de
- update patches.arch/ppc64.as.no_power4
  use -Wa,-many to make it compile
* Tue Nov 18 2003 olh@suse.de
- update patches.arch/ppc64.patch
  stat64 and fadvice64 updates, and more
* Tue Nov 18 2003 olh@suse.de
- update to 2.6.0-test9-bk23+
  update ppc32.patch
* Tue Nov 18 2003 olh@suse.de
- add patches.fixes/drivers.net.pcnet32.watchdog.spinlock
  see http://bugme.osdl.org/show_bug.cgi?id=817
* Tue Nov 18 2003 olh@suse.de
- add patches.fixes/gencpio.offset
  add an offset after adding a file to initramfs
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc32.syscall6
  define _syscall6 for klibc
* Tue Nov 18 2003 olh@suse.de
- add patches.arch/ppc64.as.no_power4
  do not optimize for power4, or older cpus will not boot
* Tue Nov 18 2003 olh@suse.de
- update to 2.6.0-test9-bk22, update config, arch ia64 + x86_64
  split patches.arch/ia64-early-printk
* Mon Nov 17 2003 agruen@suse.de
- Fail build if one of the km_* modules fails.
* Fri Nov 14 2003 stepan@suse.de
- add patches.suse/bootsplash
* Fri Nov 14 2003 schwab@suse.de
- Update ia64 config.
* Fri Nov 14 2003 schwab@suse.de
- Update ia64 support.
* Fri Nov 14 2003 schwab@suse.de
- Fix reiserfs xattr and acl patches.
* Thu Nov 13 2003 schwab@suse.de
- Remove blkdev_get_block-partial, it doesn't properly fix the issue and
  is better addressed in user space.
* Thu Nov 13 2003 agruen@suse.de
- SUSE33097: patches.common/xattr-pointer-arith fixes a pointer
  arithmetic bug in the xattr code.
- Enable CONFIG_MODVERSIONS for all archs.
* Thu Nov 13 2003 kraxel@suse.de
- updated i386 + amd64 configs.
* Thu Nov 13 2003 agruen@suse.de
- Merge reiserfs xattr and acl patches from jeffm@suse.com.
* Wed Nov 12 2003 agruen@suse.de
- Fix get_release_number.sh: Did not work with the --prefer-rpms
  option of build script.
* Tue Nov 11 2003 ak@suse.de
- Merge to x86_64-2.6.0test9-5
* Tue Nov 11 2003 schwab@suse.de
- Fix rounding error for blkdev reads [SUSE31902].
* Mon Nov 10 2003 schwab@suse.de
- Reenable serial console patch.
* Fri Nov 07 2003 hare@suse.de
- patches.suse/kerntypes: Fixed #define.
* Thu Nov 06 2003 ro@suse.de
- bump version to test9
* Fri Oct 31 2003 hare@suse.de
- Update configuration for S/390
- patches.suse/kerntypes: Added Kerntypes patch (needed for lcrash)
- patches.arch/s390-semaphore: Add mb() to __down to avoid races.
- patches.fixes/ip-compute-checksum: Add patch for S/390.
- Removed obsolete S/390 specific compilation fix.
* Thu Oct 30 2003 kraxel@suse.de
- make uml recognise console= cmd line args.
* Thu Oct 30 2003 kraxel@suse.de
- fix uml disk names.
* Tue Oct 28 2003 agruen@suse.de
- patches.fixes/permission: Make permission() functions and
  access() system call comply with POSIX.1-2001.
- patches.suse/sunrpc-multiple-programs: Allow multiple rpc
  programs in the same transport endpoint. (First part of nfsacl
  port from 2.4).
* Mon Oct 27 2003 kraxel@suse.de
- fixup UML fixaddr stuff.
* Mon Oct 27 2003 kraxel@suse.de
- updated UML.
* Sun Oct 26 2003 ak@suse.de
- Add x86-64-2.6.0test9-1 patchkit
- Export ip_compute_csum
- Remove obsolete file
- Work around compat mode wrap issue
* Sun Oct 26 2003 schwab@suse.de
- Update ia64 support.
* Sun Oct 26 2003 olh@suse.de
- update to 2.6.0-test9
* Thu Oct 23 2003 kraxel@suse.de
- one more uml fix.
* Thu Oct 23 2003 okir@suse.de
- Fix miscompilation of ip_send_check in ip_fragment (SUSE31812)
* Thu Oct 23 2003 kraxel@suse.de
- UML build fixes.
* Wed Oct 22 2003 kraxel@suse.de
- updated UML patches.
* Tue Oct 21 2003 olh@suse.de
- add patches.fixes/ppc32-pmac_zilog-consoleinit
  init pmac serial only on powermac, to prevent early crash
* Tue Oct 21 2003 olh@suse.de
- build with -k to spot all errors in one go
* Tue Oct 21 2003 olh@suse.de
- add patches.fixes/root_dev-partition3
  define Root_SDA3 before using it
* Mon Oct 20 2003 ak@suse.de
- Fix warning added by ppc64 patch
* Mon Oct 20 2003 schwab@suse.de
- Fix numa init error.
* Mon Oct 20 2003 schwab@suse.de
- Update ia64 patches and configs.
- Update spec file.
* Mon Oct 20 2003 kraxel@suse.de
- updated i386 configs.
* Mon Oct 20 2003 kraxel@suse.de
- updated x86_64 configs.
* Mon Oct 20 2003 olh@suse.de
- add patches.arch/suse-ppc32-chrp-rootdevice
  add patches.arch/suse-ppc32-prep-rootdevice
  use sda3 as default root device if no root= given
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3-float
  request->sector is u64, leads to floating point usage on divide
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3
  PowerMac floppy driver update
* Mon Oct 20 2003 olh@suse.de
- add patches.fixes/usb-serial-whiteheat-CMSPAR
  some archs do not define CMSPAR in asm/termbits.h
  add patches.fixes/kdb-dis-asm.h
  add missing header
* Mon Oct 20 2003 olh@suse.de
- update to 2.6.0-test8
  update patches.arch/ppc64.patch
  add patches.arch/ppc32.patch
* Fri Oct 17 2003 schwab@suse.de
- Update to latest ia64 updates.
- Switch to generic build.
- Remove early printk patch again, it does not even compile.
* Thu Oct 16 2003 ak@suse.de
- Reenable early printk support for i386
* Wed Oct 15 2003 schwab@suse.de
- Update to latest ia64 patches.
- Enable ia32 support.
* Wed Oct 15 2003 hare@suse.de
- S/390 update: fixes and default configuration.
* Tue Oct 14 2003 schwab@suse.de
- Translate LF to CRLF instead of LFCR on serial console.
- Remove stack hard limit on ia64.
* Sat Oct 11 2003 schwab@suse.de
- Fix more missing EXPORT_SYMBOLs.
* Fri Oct 10 2003 schwab@suse.de
- Add missing EXPORT_SYMBOL.
* Fri Oct 10 2003 olh@suse.de
- add patches.arch/ppc64.patch and a pseries config
* Fri Oct 10 2003 schwab@suse.de
- Add futex fix.
* Thu Oct 09 2003 kraxel@suse.de
- char/sc driver buildfix.
- updated ppc/hammer configs.
* Thu Oct 09 2003 schwab@suse.de
- Fix bug in genksyms parser.
* Thu Oct 09 2003 ak@suse.de
- remove more obsolete files
* Thu Oct 09 2003 ak@suse.de
- remove obsolete file
- add x86-64 APIC hack for nvidia/via
* Thu Oct 09 2003 kraxel@suse.de
- updated to -test7
- removed ia64/smp from config.conf
* Tue Oct 07 2003 schwab@suse.de
- Make ia64 default to SMP and remove smp configuration.
* Mon Oct 06 2003 schwab@suse.de
- Fix invalid pointer in megaraid driver.
* Wed Oct 01 2003 schwab@suse.de
- Apply tiocgdev patch.
- Remove printk in ia64_ni_syscall.
* Wed Oct 01 2003 schwab@suse.de
- Adapt ia64 patch.
* Mon Sep 29 2003 kraxel@suse.de
- Updated configs (ppc,i386,amd64).
* Mon Sep 29 2003 schwab@suse.de
- Fix specfile for ia64.
* Mon Sep 29 2003 schwab@suse.de
- Update ia64 configs.
* Mon Sep 29 2003 kraxel@suse.de
- updated to kernel 2.6.0-test6
- added tiocgdev patch.
* Fri Sep 19 2003 kraxel@suse.de
- amd64 smp fix.
* Fri Sep 19 2003 kraxel@suse.de
- misc build fixes.
* Tue Sep 16 2003 kraxel@suse.de
- updated uml patch.
* Fri Sep 12 2003 schwab@suse.de
- Reenable ia64 patch.
- Update configs.
* Wed Sep 10 2003 kraxel@suse.de
- configuration updates.
* Wed Sep 10 2003 kraxel@suse.de
- updated scsi changer patch.
* Tue Sep 09 2003 kraxel@suse.de
- commented ia64 patch, breaks i386 build.
* Tue Sep 09 2003 kraxel@suse.de
- updated spec file.
* Tue Sep 09 2003 kraxel@suse.de
- updated to 2.6.0-test5.
- updated ia64 patch.
- commented merged and/or obsolete patches.
- fixed some rejects.
* Wed Sep 03 2003 schwab@suse.de
- Avoid repeating version.
* Wed Sep 03 2003 schwab@suse.de
- Fix missing patches.
* Wed Sep 03 2003 schwab@suse.de
- Update ia64 patch to 2.6.0-test4-ia64-030826.
- Update ia64 configs.
* Wed Sep 03 2003 schwab@suse.de
- Readd non-obsolete fix.
* Tue Sep 02 2003 agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Overwrite the bios ACPI DSDT
  with one attached to the initrd.
* Mon Sep 01 2003 olh@suse.de
- add patches.fixes/proc_bus_usb_bielefeld
  noone must ever read /proc/bus/usb/devices
* Thu Aug 28 2003 kraxel@suse.de
- updated configs (ia64, uml).
* Wed Aug 27 2003 kraxel@suse.de
- updated ia64 configs.
* Wed Aug 27 2003 kraxel@suse.de
- uml networking fixes.
* Tue Aug 26 2003 kraxel@suse.de
- updated config files (ppc, i386, x86_64).
* Tue Aug 26 2003 kraxel@suse.de
- more UML fixes.
* Mon Aug 25 2003 kraxel@suse.de
- UML fixes.
* Mon Aug 25 2003 kraxel@suse.de
- updated to 2.6.0-test4.
- updated amd64 patch.
- removed ia64 patch.
- removed obsolete fixes.
- rediffed uml patch.
- commented config.gz patch (standard kernel has /proc/ikconfig/*
  now ...).
* Fri Aug 22 2003 kraxel@suse.de
- updated uml patches.
* Mon Aug 18 2003 schwab@suse.de
- Fix ia64_ksyms.c.
- Disable NUMA on UP.
* Mon Aug 18 2003 schwab@suse.de
- Update ia64 patch to 2.6.0-test3-ia64-030815.
- Update ia64 configs.
- Fix paride disk driver.
* Fri Aug 15 2003 kraxel@suse.de
- set CONFIG_FRAMEBUFFER_CONSOLE=y
* Wed Aug 13 2003 kraxel@suse.de
- disabled CONFIG_PARIDE (doesn't build)
- more uml fixes.
* Mon Aug 11 2003 kraxel@suse.de
- uml build fix.
* Mon Aug 11 2003 kraxel@suse.de
- updated to -test3.
- commented ia64 patches.
- updated amd64 patches.
- minor other fixups.
* Thu Aug 07 2003 kraxel@suse.de
- updated ia64 configs
* Wed Aug 06 2003 kraxel@suse.de
- updated ppc configs
* Wed Aug 06 2003 kraxel@suse.de
- updated i386 configs
* Wed Aug 06 2003 kraxel@suse.de
- add -fno-unit-at-a-time to cflags
* Tue Aug 05 2003 kraxel@suse.de
- uml fixups, added ia32 uml config
* Tue Aug 05 2003 kraxel@suse.de
- update amd64 configs
* Mon Aug 04 2003 kraxel@suse.de
- update to 2.6.0-test2
- updated ia64 arch patch
- added amd64 arch patch
- added uml arch patch
- dropped vesafb patch (merged)
* Fri Jul 25 2003 kraxel@suse.de
- *really* added s390 build fix (no cross compile).
* Fri Jul 25 2003 kraxel@suse.de
- added uli's s390 fix to cvs.
* Thu Jul 24 2003 kraxel@suse.de
- rm global -g switch from ia64 arch patch.
* Tue Jul 15 2003 kraxel@suse.de
- fix vesafb
* Mon Jul 14 2003 schwab@suse.de
- Update ia64 config files.
* Mon Jul 14 2003 kraxel@suse.de
- updated amd64 config files
* Mon Jul 14 2003 kraxel@suse.de
- updated media changer patch
* Mon Jul 14 2003 schwab@suse.de
- Update ia64 patch to 2.5.75-ia64-030712 (with some tweaks).
- Readd patches that still apply.
* Mon Jul 14 2003 kraxel@suse.de
- added ppc build fix
- updated ppc configurations
- deleted merged/obsolete arch patches
* Mon Jul 14 2003 kraxel@suse.de
- updated configurations for i386/ia64/amd64
* Mon Jul 14 2003 kraxel@suse.de
- updated to 2.6.0-test1
- commented all patches which don't apply
- specfile tweaks -- rpm doesn't like a dash in Version: :-/
* Wed Jul 02 2003 schwab@suse.de
- Fix xfs build.
- Fix huge kmallocs.
- Fix divacapi driver.
* Wed Jul 02 2003 kraxel@suse.de
- added ppc smp build fix (missing include).
* Wed Jul 02 2003 kraxel@suse.de
- ppc build fix, added/updated configurations for ppc+ia64
* Tue Jul 01 2003 schwab@suse.de
- Add latest ia64 patches.
* Tue Jul 01 2003 kraxel@suse.de
- updated to 2.5.73
- removed ia64 patches (merged).
- added amd64 patches.
- commented patches which don't apply.
- updated amd64 configs
* Fri Jun 20 2003 schwab@suse.de
- Update ia64 patch to 2.5.72-030619
* Wed Jun 18 2003 ak@suse.de
- add early_printk for i386
- fix genapic compilation
- add bigsmp configuration (with PAE, M686, genapic, 32 CPUs support)
- disable APICs for now for default kernels.
- fix PPPoE for SMP kernels
- Tell compiler to optimize for 686 by default
- various configuration fixes
* Thu Jun 12 2003 schwab@suse.de
- Update ia64 patch to 2.5.69-030521, throwing away the parts included
  in 2.5.70.
* Wed May 28 2003 kraxel@suse.de
- updated to kernel 2.5.70.
- deleted hammer patches (merged).
- updated scsi changer patch.
- commented patches which don't apply any more.
- disabled some config options to make stuff compile.
* Wed May 14 2003 schwab@suse.de
- Separate out show_stack changes into own patch.
- Add some build fixes.
* Wed May 14 2003 schwab@suse.de
- Fix uses of head and tail.
* Thu May 08 2003 kraxel@suse.de
- initial release
